'use strict';

/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function _class_call_check$2O(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2K(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2K(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2K(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2K(Constructor, staticProps);
    return Constructor;
}
function _instanceof$h(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
var t$z = globalThis, e$J = t$z.ShadowRoot && (void 0 === t$z.ShadyCSS || t$z.ShadyCSS.nativeShadow) && "adoptedStyleSheets" in Document.prototype && "replace" in CSSStyleSheet.prototype, s$i = Symbol(), o$T = new WeakMap;
var n$u = /*#__PURE__*/ function() {
    function n(t, e, o) {
        _class_call_check$2O(this, n);
        if (this._$cssResult$ = !0, o !== s$i) throw Error("CSSResult is not constructable. Use `unsafeCSS` or `css` instead.");
        this.cssText = t, this.t = e;
    }
    _create_class$2K(n, [
        {
            key: "styleSheet",
            get: function get() {
                var t = this.o;
                var s = this.t;
                if (e$J && void 0 === t) {
                    var e1 = void 0 !== s && 1 === s.length;
                    e1 && (t = o$T.get(s)), void 0 === t && ((this.o = t = new CSSStyleSheet).replaceSync(this.cssText), e1 && o$T.set(s, t));
                }
                return t;
            }
        },
        {
            key: "toString",
            value: function toString() {
                return this.cssText;
            }
        }
    ]);
    return n;
}();
var r$F = function(t) {
    return new n$u("string" == typeof t ? t : t + "", void 0, s$i);
}, i$p = function(t) {
    for(var _len = arguments.length, e = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++){
        e[_key - 1] = arguments[_key];
    }
    var o = 1 === t.length ? t[0] : e.reduce(function(e, s, o) {
        return e + function(t) {
            if (!0 === t._$cssResult$) return t.cssText;
            if ("number" == typeof t) return t;
            throw Error("Value passed to 'css' function must be a 'css' function result: " + t + ". Use 'unsafeCSS' to pass non-literal values, but take care to ensure page security.");
        }(s) + t[o + 1];
    }, t[0]);
    return new n$u(o, t, s$i);
}, S$7 = function(s, o) {
    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
    if (e$J) s.adoptedStyleSheets = o.map(function(t) {
        return _instanceof$h(t, CSSStyleSheet) ? t : t.styleSheet;
    });
    else try {
        for(var _iterator = o[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
            var e1 = _step.value;
            var _$o = document.createElement("style"), n = t$z.litNonce;
            void 0 !== n && _$o.setAttribute("nonce", n), _$o.textContent = e1.cssText, s.appendChild(_$o);
        }
    } catch (err) {
        _didIteratorError = true;
        _iteratorError = err;
    } finally{
        try {
            if (!_iteratorNormalCompletion && _iterator.return != null) {
                _iterator.return();
            }
        } finally{
            if (_didIteratorError) {
                throw _iteratorError;
            }
        }
    }
}, c$C = e$J ? function(t) {
    return t;
} : function(t) {
    return _instanceof$h(t, CSSStyleSheet) ? function(t) {
        var e = "";
        var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
        try {
            for(var _iterator = t.cssRules[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                var s = _step.value;
                e += s.cssText;
            }
        } catch (err) {
            _didIteratorError = true;
            _iteratorError = err;
        } finally{
            try {
                if (!_iteratorNormalCompletion && _iterator.return != null) {
                    _iterator.return();
                }
            } finally{
                if (_didIteratorError) {
                    throw _iteratorError;
                }
            }
        }
        return r$F(e);
    }(t) : t;
};

function _array_like_to_array$P(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$j(arr) {
    if (Array.isArray(arr)) return arr;
}
function _array_without_holes$C(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$P(arr);
}
function _assert_this_initialized$2r(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$F(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$F(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$F(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$F(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$2N(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _construct$6(Parent, args, Class) {
    if (_is_native_reflect_construct$2r()) {
        _construct$6 = Reflect.construct;
    } else {
        _construct$6 = function construct(Parent, args, Class) {
            var a = [
                null
            ];
            a.push.apply(a, args);
            var Constructor = Function.bind.apply(Parent, a);
            var instance = new Constructor();
            if (Class) _set_prototype_of$2r(instance, Class.prototype);
            return instance;
        };
    }
    return _construct$6.apply(null, arguments);
}
function _defineProperties$2J(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2J(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2J(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2J(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$2r(o) {
    _get_prototype_of$2r = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2r(o);
}
function _inherits$2r(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2r(subClass, superClass);
}
function _is_native_function$6(fn) {
    return Function.toString.call(fn).indexOf("[native code]") !== -1;
}
function _iterable_to_array$C(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _iterable_to_array_limit$j(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$j() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _non_iterable_spread$C() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$2r(self, call) {
    if (call && (_type_of$2s(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2r(self);
}
function _set_prototype_of$2r(o, p) {
    _set_prototype_of$2r = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2r(o, p);
}
function _sliced_to_array$j(arr, i) {
    return _array_with_holes$j(arr) || _iterable_to_array_limit$j(arr, i) || _unsupported_iterable_to_array$P(arr, i) || _non_iterable_rest$j();
}
function _to_consumable_array$C(arr) {
    return _array_without_holes$C(arr) || _iterable_to_array$C(arr) || _unsupported_iterable_to_array$P(arr) || _non_iterable_spread$C();
}
function _type_of$2s(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$P(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$P(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$P(o, minLen);
}
function _wrap_native_super$6(Class) {
    var _cache = typeof Map === "function" ? new Map() : undefined;
    _wrap_native_super$6 = function wrapNativeSuper(Class) {
        if (Class === null || !_is_native_function$6(Class)) return Class;
        if (typeof Class !== "function") {
            throw new TypeError("Super expression must either be null or a function");
        }
        if (typeof _cache !== "undefined") {
            if (_cache.has(Class)) return _cache.get(Class);
            _cache.set(Class, Wrapper);
        }
        function Wrapper() {
            return _construct$6(Class, arguments, _get_prototype_of$2r(this).constructor);
        }
        Wrapper.prototype = Object.create(Class.prototype, {
            constructor: {
                value: Wrapper,
                enumerable: false,
                writable: true,
                configurable: true
            }
        });
        return _set_prototype_of$2r(Wrapper, Class);
    };
    return _wrap_native_super$6(Class);
}
function _is_native_reflect_construct$2r() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2r(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2r();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2r(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2r(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2r(this, result);
    };
}
function _ts_generator$G(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
var _Symbol, _a, _a1;
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var i$o = Object.is, e$I = Object.defineProperty, r$E = Object.getOwnPropertyDescriptor, h$o = Object.getOwnPropertyNames, o$S = Object.getOwnPropertySymbols, n$t = Object.getPrototypeOf, a$q = globalThis, c$B = a$q.trustedTypes, l$g = c$B ? c$B.emptyScript : "", p$I = a$q.reactiveElementPolyfillSupport, d$A = function(t, s) {
    return t;
}, u$N = {
    toAttribute: function toAttribute(t, s) {
        switch(s){
            case Boolean:
                t = t ? l$g : null;
                break;
            case Object:
            case Array:
                t = null == t ? t : JSON.stringify(t);
        }
        return t;
    },
    fromAttribute: function fromAttribute(t, s) {
        var i = t;
        switch(s){
            case Boolean:
                i = null !== t;
                break;
            case Number:
                i = null === t ? null : Number(t);
                break;
            case Object:
            case Array:
                try {
                    i = JSON.parse(t);
                } catch (t) {
                    i = null;
                }
        }
        return i;
    }
}, f$p = function(t, s) {
    return !i$o(t, s);
}, y$h = {
    attribute: !0,
    type: String,
    converter: u$N,
    reflect: !1,
    hasChanged: f$p
};
var _metadata, _litPropertyMetadata;
(_metadata = (_Symbol = Symbol).metadata) !== null && _metadata !== void 0 ? _metadata : _Symbol.metadata = Symbol("metadata"), (_litPropertyMetadata = (_a = a$q).litPropertyMetadata) !== null && _litPropertyMetadata !== void 0 ? _litPropertyMetadata : _a.litPropertyMetadata = new WeakMap;
var b$j = /*#__PURE__*/ function(HTMLElement1) {
    _inherits$2r(b, HTMLElement1);
    var _super = _create_super$2r(b);
    function b() {
        _class_call_check$2N(this, b);
        var _this;
        _this = _super.call(this), _this._$Ep = void 0, _this.isUpdatePending = !1, _this.hasUpdated = !1, _this._$Em = null, _this._$Ev();
        return _possible_constructor_return$2r(_this);
    }
    _create_class$2J(b, [
        {
            key: "_$Ev",
            value: function _$Ev() {
                var _this = this;
                var _this_constructor_l;
                this._$ES = new Promise(function(t) {
                    return _this.enableUpdating = t;
                }), this._$AL = new Map, this._$E_(), this.requestUpdate(), (_this_constructor_l = this.constructor.l) === null || _this_constructor_l === void 0 ? void 0 : _this_constructor_l.forEach(function(t) {
                    return t(_this);
                });
            }
        },
        {
            key: "addController",
            value: function addController(t) {
                var _t_hostConnected;
                var _this__$EO;
                ((_this__$EO = this._$EO) !== null && _this__$EO !== void 0 ? _this__$EO : this._$EO = new Set).add(t), void 0 !== this.renderRoot && this.isConnected && ((_t_hostConnected = t.hostConnected) === null || _t_hostConnected === void 0 ? void 0 : _t_hostConnected.call(t));
            }
        },
        {
            key: "removeController",
            value: function removeController(t) {
                var _this__$EO;
                (_this__$EO = this._$EO) === null || _this__$EO === void 0 ? void 0 : _this__$EO.delete(t);
            }
        },
        {
            key: "_$E_",
            value: function _$E_() {
                var t = new Map, s = this.constructor.elementProperties;
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = s.keys()[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var i = _step.value;
                        this.hasOwnProperty(i) && (t.set(i, this[i]), delete this[i]);
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
                t.size > 0 && (this._$Ep = t);
            }
        },
        {
            key: "createRenderRoot",
            value: function createRenderRoot() {
                var _this_shadowRoot;
                var t = (_this_shadowRoot = this.shadowRoot) !== null && _this_shadowRoot !== void 0 ? _this_shadowRoot : this.attachShadow(this.constructor.shadowRootOptions);
                return S$7(t, this.constructor.elementStyles), t;
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                var _this__$EO;
                var _this_renderRoot;
                (_this_renderRoot = this.renderRoot) !== null && _this_renderRoot !== void 0 ? _this_renderRoot : this.renderRoot = this.createRenderRoot(), this.enableUpdating(!0), (_this__$EO = this._$EO) === null || _this__$EO === void 0 ? void 0 : _this__$EO.forEach(function(t) {
                    var _t_hostConnected;
                    return (_t_hostConnected = t.hostConnected) === null || _t_hostConnected === void 0 ? void 0 : _t_hostConnected.call(t);
                });
            }
        },
        {
            key: "enableUpdating",
            value: function enableUpdating(t) {}
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                var _this__$EO;
                (_this__$EO = this._$EO) === null || _this__$EO === void 0 ? void 0 : _this__$EO.forEach(function(t) {
                    var _t_hostDisconnected;
                    return (_t_hostDisconnected = t.hostDisconnected) === null || _t_hostDisconnected === void 0 ? void 0 : _t_hostDisconnected.call(t);
                });
            }
        },
        {
            key: "attributeChangedCallback",
            value: function attributeChangedCallback(t, s, i) {
                this._$AK(t, i);
            }
        },
        {
            key: "_$EC",
            value: function _$EC(t, s) {
                var i = this.constructor.elementProperties.get(t), e = this.constructor._$Eu(t, i);
                if (void 0 !== e && !0 === i.reflect) {
                    var _i_converter;
                    var r = (void 0 !== ((_i_converter = i.converter) === null || _i_converter === void 0 ? void 0 : _i_converter.toAttribute) ? i.converter : u$N).toAttribute(s, i.type);
                    this._$Em = t, null == r ? this.removeAttribute(e) : this.setAttribute(e, r), this._$Em = null;
                }
            }
        },
        {
            key: "_$AK",
            value: function _$AK(t, s) {
                var i = this.constructor, e = i._$Eh.get(t);
                if (void 0 !== e && this._$Em !== e) {
                    var _t_converter;
                    var _$t = i.getPropertyOptions(e), r = "function" == typeof _$t.converter ? {
                        fromAttribute: _$t.converter
                    } : void 0 !== ((_t_converter = _$t.converter) === null || _t_converter === void 0 ? void 0 : _t_converter.fromAttribute) ? _$t.converter : u$N;
                    this._$Em = e, this[e] = r.fromAttribute(s, _$t.type), this._$Em = null;
                }
            }
        },
        {
            key: "requestUpdate",
            value: function requestUpdate(t, s, i) {
                if (void 0 !== t) {
                    var _i_hasChanged;
                    if (i !== null && i !== void 0 ? i : i = this.constructor.getPropertyOptions(t), !((_i_hasChanged = i.hasChanged) !== null && _i_hasChanged !== void 0 ? _i_hasChanged : f$p)(this[t], s)) return;
                    this.P(t, s, i);
                }
                !1 === this.isUpdatePending && (this._$ES = this._$ET());
            }
        },
        {
            key: "P",
            value: function P(t, s, i) {
                var _this__$Ej;
                this._$AL.has(t) || this._$AL.set(t, s), !0 === i.reflect && this._$Em !== t && ((_this__$Ej = this._$Ej) !== null && _this__$Ej !== void 0 ? _this__$Ej : this._$Ej = new Set).add(t);
            }
        },
        {
            key: "_$ET",
            value: function _$ET() {
                var _this = this;
                return _async_to_generator$F(function() {
                    var t, _$t, _tmp;
                    return _ts_generator$G(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _this.isUpdatePending = !0;
                                _state.label = 1;
                            case 1:
                                _state.trys.push([
                                    1,
                                    3,
                                    ,
                                    4
                                ]);
                                return [
                                    4,
                                    _this._$ES
                                ];
                            case 2:
                                _state.sent();
                                return [
                                    3,
                                    4
                                ];
                            case 3:
                                t = _state.sent();
                                Promise.reject(t);
                                return [
                                    3,
                                    4
                                ];
                            case 4:
                                _$t = _this.scheduleUpdate();
                                _tmp = null != _$t;
                                if (!_tmp) return [
                                    3,
                                    6
                                ];
                                return [
                                    4,
                                    _$t
                                ];
                            case 5:
                                _tmp = _state.sent();
                                _state.label = 6;
                            case 6:
                                return [
                                    2,
                                    (!_this.isUpdatePending)
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "scheduleUpdate",
            value: function scheduleUpdate() {
                return this.performUpdate();
            }
        },
        {
            key: "performUpdate",
            value: function performUpdate() {
                if (!this.isUpdatePending) return;
                if (!this.hasUpdated) {
                    var _this_renderRoot;
                    if ((_this_renderRoot = this.renderRoot) !== null && _this_renderRoot !== void 0 ? _this_renderRoot : this.renderRoot = this.createRenderRoot(), this._$Ep) {
                        var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                        try {
                            for(var _iterator = this._$Ep[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                                var _step_value = _sliced_to_array$j(_step.value, 2), t = _step_value[0], _$s = _step_value[1];
                                this[t] = _$s;
                            }
                        } catch (err) {
                            _didIteratorError = true;
                            _iteratorError = err;
                        } finally{
                            try {
                                if (!_iteratorNormalCompletion && _iterator.return != null) {
                                    _iterator.return();
                                }
                            } finally{
                                if (_didIteratorError) {
                                    throw _iteratorError;
                                }
                            }
                        }
                        this._$Ep = void 0;
                    }
                    var t1 = this.constructor.elementProperties;
                    var _iteratorNormalCompletion1 = true, _didIteratorError1 = false, _iteratorError1 = undefined;
                    if (t1.size > 0) try {
                        for(var _iterator1 = t1[Symbol.iterator](), _step1; !(_iteratorNormalCompletion1 = (_step1 = _iterator1.next()).done); _iteratorNormalCompletion1 = true){
                            var _step_value1 = _sliced_to_array$j(_step1.value, 2), _$s1 = _step_value1[0], i = _step_value1[1];
                            !0 !== i.wrapped || this._$AL.has(_$s1) || void 0 === this[_$s1] || this.P(_$s1, this[_$s1], i);
                        }
                    } catch (err) {
                        _didIteratorError1 = true;
                        _iteratorError1 = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion1 && _iterator1.return != null) {
                                _iterator1.return();
                            }
                        } finally{
                            if (_didIteratorError1) {
                                throw _iteratorError1;
                            }
                        }
                    }
                }
                var t2 = !1;
                var _$s2 = this._$AL;
                try {
                    var _this__$EO;
                    t2 = this.shouldUpdate(_$s2), t2 ? (this.willUpdate(_$s2), (_this__$EO = this._$EO) === null || _this__$EO === void 0 ? void 0 : _this__$EO.forEach(function(t) {
                        var _t_hostUpdate;
                        return (_t_hostUpdate = t.hostUpdate) === null || _t_hostUpdate === void 0 ? void 0 : _t_hostUpdate.call(t);
                    }), this.update(_$s2)) : this._$EU();
                } catch (s) {
                    throw t2 = !1, this._$EU(), s;
                }
                t2 && this._$AE(_$s2);
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(t) {}
        },
        {
            key: "_$AE",
            value: function _$AE(t) {
                var _this__$EO;
                (_this__$EO = this._$EO) === null || _this__$EO === void 0 ? void 0 : _this__$EO.forEach(function(t) {
                    var _t_hostUpdated;
                    return (_t_hostUpdated = t.hostUpdated) === null || _t_hostUpdated === void 0 ? void 0 : _t_hostUpdated.call(t);
                }), this.hasUpdated || (this.hasUpdated = !0, this.firstUpdated(t)), this.updated(t);
            }
        },
        {
            key: "_$EU",
            value: function _$EU() {
                this._$AL = new Map, this.isUpdatePending = !1;
            }
        },
        {
            key: "updateComplete",
            get: function get() {
                return this.getUpdateComplete();
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                return this._$ES;
            }
        },
        {
            key: "shouldUpdate",
            value: function shouldUpdate(t) {
                return !0;
            }
        },
        {
            key: "update",
            value: function update(t) {
                var _this = this;
                this._$Ej && (this._$Ej = this._$Ej.forEach(function(t) {
                    return _this._$EC(t, _this[t]);
                })), this._$EU();
            }
        },
        {
            key: "updated",
            value: function updated(t) {}
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(t) {}
        }
    ], [
        {
            key: "addInitializer",
            value: function addInitializer(t) {
                var _this_l;
                this._$Ei(), ((_this_l = this.l) !== null && _this_l !== void 0 ? _this_l : this.l = []).push(t);
            }
        },
        {
            key: "observedAttributes",
            get: function get() {
                return this.finalize(), this._$Eh && _to_consumable_array$C(this._$Eh.keys());
            }
        },
        {
            key: "createProperty",
            value: function createProperty(t) {
                var s = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : y$h;
                if (s.state && (s.attribute = !1), this._$Ei(), this.elementProperties.set(t, s), !s.noAccessor) {
                    var i = Symbol(), r = this.getPropertyDescriptor(t, i, s);
                    void 0 !== r && e$I(this.prototype, t, r);
                }
            }
        },
        {
            key: "getPropertyDescriptor",
            value: function getPropertyDescriptor(t, s, i) {
                var _r;
                var _ref = (_r = r$E(this.prototype, t)) !== null && _r !== void 0 ? _r : {
                    get: function get() {
                        return this[s];
                    },
                    set: function set(t) {
                        this[s] = t;
                    }
                }, e = _ref.get, h = _ref.set;
                return {
                    get: function get() {
                        return e === null || e === void 0 ? void 0 : e.call(this);
                    },
                    set: function set(s) {
                        var r = e === null || e === void 0 ? void 0 : e.call(this);
                        h.call(this, s), this.requestUpdate(t, r, i);
                    },
                    configurable: !0,
                    enumerable: !0
                };
            }
        },
        {
            key: "getPropertyOptions",
            value: function getPropertyOptions(t) {
                var _this_elementProperties_get;
                return (_this_elementProperties_get = this.elementProperties.get(t)) !== null && _this_elementProperties_get !== void 0 ? _this_elementProperties_get : y$h;
            }
        },
        {
            key: "_$Ei",
            value: function _$Ei() {
                if (this.hasOwnProperty(d$A("elementProperties"))) return;
                var t = n$t(this);
                t.finalize(), void 0 !== t.l && (this.l = _to_consumable_array$C(t.l)), this.elementProperties = new Map(t.elementProperties);
            }
        },
        {
            key: "finalize",
            value: function finalize() {
                if (this.hasOwnProperty(d$A("finalized"))) return;
                if (this.finalized = !0, this._$Ei(), this.hasOwnProperty(d$A("properties"))) {
                    var t = this.properties, s = _to_consumable_array$C(h$o(t)).concat(_to_consumable_array$C(o$S(t)));
                    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                    try {
                        for(var _iterator = s[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                            var i = _step.value;
                            this.createProperty(i, t[i]);
                        }
                    } catch (err) {
                        _didIteratorError = true;
                        _iteratorError = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion && _iterator.return != null) {
                                _iterator.return();
                            }
                        } finally{
                            if (_didIteratorError) {
                                throw _iteratorError;
                            }
                        }
                    }
                }
                var t1 = this[Symbol.metadata];
                if (null !== t1) {
                    var s1 = litPropertyMetadata.get(t1);
                    var _iteratorNormalCompletion1 = true, _didIteratorError1 = false, _iteratorError1 = undefined;
                    if (void 0 !== s1) try {
                        for(var _iterator1 = s1[Symbol.iterator](), _step1; !(_iteratorNormalCompletion1 = (_step1 = _iterator1.next()).done); _iteratorNormalCompletion1 = true){
                            var _step_value = _sliced_to_array$j(_step1.value, 2), t2 = _step_value[0], i1 = _step_value[1];
                            this.elementProperties.set(t2, i1);
                        }
                    } catch (err) {
                        _didIteratorError1 = true;
                        _iteratorError1 = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion1 && _iterator1.return != null) {
                                _iterator1.return();
                            }
                        } finally{
                            if (_didIteratorError1) {
                                throw _iteratorError1;
                            }
                        }
                    }
                }
                this._$Eh = new Map;
                var _iteratorNormalCompletion2 = true, _didIteratorError2 = false, _iteratorError2 = undefined;
                try {
                    for(var _iterator2 = this.elementProperties[Symbol.iterator](), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true){
                        var _step_value1 = _sliced_to_array$j(_step2.value, 2), t3 = _step_value1[0], s2 = _step_value1[1];
                        var i2 = this._$Eu(t3, s2);
                        void 0 !== i2 && this._$Eh.set(i2, t3);
                    }
                } catch (err) {
                    _didIteratorError2 = true;
                    _iteratorError2 = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion2 && _iterator2.return != null) {
                            _iterator2.return();
                        }
                    } finally{
                        if (_didIteratorError2) {
                            throw _iteratorError2;
                        }
                    }
                }
                this.elementStyles = this.finalizeStyles(this.styles);
            }
        },
        {
            key: "finalizeStyles",
            value: function finalizeStyles(s) {
                var i = [];
                if (Array.isArray(s)) {
                    var e = new Set(s.flat(1 / 0).reverse());
                    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                    try {
                        for(var _iterator = e[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                            var _$s = _step.value;
                            i.unshift(c$C(_$s));
                        }
                    } catch (err) {
                        _didIteratorError = true;
                        _iteratorError = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion && _iterator.return != null) {
                                _iterator.return();
                            }
                        } finally{
                            if (_didIteratorError) {
                                throw _iteratorError;
                            }
                        }
                    }
                } else void 0 !== s && i.push(c$C(s));
                return i;
            }
        },
        {
            key: "_$Eu",
            value: function _$Eu(t, s) {
                var i = s.attribute;
                return !1 === i ? void 0 : "string" == typeof i ? i : "string" == typeof t ? t.toLowerCase() : void 0;
            }
        }
    ]);
    return b;
}(_wrap_native_super$6(HTMLElement));
var _reactiveElementVersions;
b$j.elementStyles = [], b$j.shadowRootOptions = {
    mode: "open"
}, b$j[d$A("elementProperties")] = new Map, b$j[d$A("finalized")] = new Map, p$I === null || p$I === void 0 ? void 0 : p$I({
    ReactiveElement: b$j
}), ((_reactiveElementVersions = (_a1 = a$q).reactiveElementVersions) !== null && _reactiveElementVersions !== void 0 ? _reactiveElementVersions : _a1.reactiveElementVersions = []).push("2.0.4");

/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function _array_like_to_array$O(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$i(arr) {
    if (Array.isArray(arr)) return arr;
}
function _array_without_holes$B(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$O(arr);
}
function _assert_this_initialized$2q(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2M(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2I(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2I(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2I(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2I(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$2q(o) {
    _get_prototype_of$2q = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2q(o);
}
function _inherits$2q(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2q(subClass, superClass);
}
function _iterable_to_array$B(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _iterable_to_array_limit$i(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$i() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _non_iterable_spread$B() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$2q(self, call) {
    if (call && (_type_of$2r(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2q(self);
}
function _set_prototype_of$2q(o, p) {
    _set_prototype_of$2q = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2q(o, p);
}
function _sliced_to_array$i(arr, i) {
    return _array_with_holes$i(arr) || _iterable_to_array_limit$i(arr, i) || _unsupported_iterable_to_array$O(arr, i) || _non_iterable_rest$i();
}
function _to_consumable_array$B(arr) {
    return _array_without_holes$B(arr) || _iterable_to_array$B(arr) || _unsupported_iterable_to_array$O(arr) || _non_iterable_spread$B();
}
function _type_of$2r(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$O(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$O(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$O(o, minLen);
}
function _is_native_reflect_construct$2q() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2q(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2q();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2q(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2q(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2q(this, result);
    };
}
var _t;
var t$y = globalThis, i$n = t$y.trustedTypes, s$h = i$n ? i$n.createPolicy("lit-html", {
    createHTML: function(t) {
        return t;
    }
}) : void 0, e$H = "$lit$", h$n = "lit$".concat(Math.random().toFixed(9).slice(2), "$"), o$R = "?" + h$n, n$s = "<".concat(o$R, ">"), r$D = document, l$f = function() {
    return r$D.createComment("");
}, c$A = function(t) {
    return null === t || "object" != typeof t && "function" != typeof t;
}, a$p = Array.isArray, u$M = function(t) {
    return a$p(t) || "function" == typeof (t === null || t === void 0 ? void 0 : t[Symbol.iterator]);
}, d$z = "[ 	\n\f\r]", f$o = /<(?:(!--|\/[^a-zA-Z])|(\/?[a-zA-Z][^>\s]*)|(\/?$))/g, v$j = /-->/g, _ = />/g, m$r = RegExp(">|".concat(d$z, "(?:([^\\s\"'>=/]+)(").concat(d$z, "*=").concat(d$z, "*(?:[^ 	\n\f\r\"'`<>=]|(\"|')|))|$)"), "g"), p$H = /'/g, g$e = /"/g, $$2 = /^(?:script|style|textarea|title)$/i, y$g = function(t) {
    return function(i) {
        for(var _len = arguments.length, s = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++){
            s[_key - 1] = arguments[_key];
        }
        return {
            _$litType$: t,
            strings: i,
            values: s
        };
    };
}, x$3 = y$g(1), b$i = y$g(2), T$3 = Symbol.for("lit-noChange"), E$2 = Symbol.for("lit-nothing"), A$1 = new WeakMap, C$7 = r$D.createTreeWalker(r$D, 129);
function P$2(t, i) {
    if (!a$p(t) || !t.hasOwnProperty("raw")) throw Error("invalid template strings array");
    return void 0 !== s$h ? s$h.createHTML(i) : i;
}
var V = function(t, i) {
    var s = t.length - 1, o = [];
    var r, l = 2 === i ? "<svg>" : 3 === i ? "<math>" : "", c = f$o;
    for(var _$i = 0; _$i < s; _$i++){
        var s1 = t[_$i];
        var a = void 0, u = void 0, d = -1, y = 0;
        for(; y < s1.length && (c.lastIndex = y, u = c.exec(s1), null !== u);)y = c.lastIndex, c === f$o ? "!--" === u[1] ? c = v$j : void 0 !== u[1] ? c = _ : void 0 !== u[2] ? ($$2.test(u[2]) && (r = RegExp("</" + u[2], "g")), c = m$r) : void 0 !== u[3] && (c = m$r) : c === m$r ? ">" === u[0] ? (c = r !== null && r !== void 0 ? r : f$o, d = -1) : void 0 === u[1] ? d = -2 : (d = c.lastIndex - u[2].length, a = u[1], c = void 0 === u[3] ? m$r : '"' === u[3] ? g$e : p$H) : c === g$e || c === p$H ? c = m$r : c === v$j || c === _ ? c = f$o : (c = m$r, r = void 0);
        var x = c === m$r && t[_$i + 1].startsWith("/>") ? " " : "";
        l += c === f$o ? s1 + n$s : d >= 0 ? (o.push(a), s1.slice(0, d) + e$H + s1.slice(d) + h$n + x) : s1 + h$n + (-2 === d ? _$i : x);
    }
    return [
        P$2(t, l + (t[s] || "<?>") + (2 === i ? "</svg>" : 3 === i ? "</math>" : "")),
        o
    ];
};
var N$1 = /*#__PURE__*/ function() {
    function N(param, n) {
        var t = param.strings, s = param._$litType$;
        _class_call_check$2M(this, N);
        var r;
        this.parts = [];
        var c = 0, a = 0;
        var u = t.length - 1, d = this.parts, _V = _sliced_to_array$i(V(t, s), 2), f = _V[0], v = _V[1];
        if (this.el = N.createElement(f, n), C$7.currentNode = this.el.content, 2 === s || 3 === s) {
            var _t;
            var t1 = this.el.content.firstChild;
            (_t = t1).replaceWith.apply(_t, _to_consumable_array$B(t1.childNodes));
        }
        for(; null !== (r = C$7.nextNode()) && d.length < u;){
            if (1 === r.nodeType) {
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                if (r.hasAttributes()) try {
                    for(var _iterator = r.getAttributeNames()[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var t2 = _step.value;
                        if (t2.endsWith(e$H)) {
                            var i1 = v[a++], s1 = r.getAttribute(t2).split(h$n), e1 = /([.?@])?(.*)/.exec(i1);
                            d.push({
                                type: 1,
                                index: c,
                                name: e1[2],
                                strings: s1,
                                ctor: "." === e1[1] ? H : "?" === e1[1] ? I$4 : "@" === e1[1] ? L$1 : k$3
                            }), r.removeAttribute(t2);
                        } else t2.startsWith(h$n) && (d.push({
                            type: 6,
                            index: c
                        }), r.removeAttribute(t2));
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
                if ($$2.test(r.tagName)) {
                    var t3 = r.textContent.split(h$n), s2 = t3.length - 1;
                    if (s2 > 0) {
                        r.textContent = i$n ? i$n.emptyScript : "";
                        for(var i2 = 0; i2 < s2; i2++)r.append(t3[i2], l$f()), C$7.nextNode(), d.push({
                            type: 2,
                            index: ++c
                        });
                        r.append(t3[s2], l$f());
                    }
                }
            } else if (8 === r.nodeType) if (r.data === o$R) d.push({
                type: 2,
                index: c
            });
            else {
                var t4 = -1;
                for(; -1 !== (t4 = r.data.indexOf(h$n, t4 + 1));)d.push({
                    type: 7,
                    index: c
                }), t4 += h$n.length - 1;
            }
            c++;
        }
    }
    _create_class$2I(N, null, [
        {
            key: "createElement",
            value: function createElement(t, i) {
                var s = r$D.createElement("template");
                return s.innerHTML = t, s;
            }
        }
    ]);
    return N;
}();
function S$6(t, i) {
    var s = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : t, e = arguments.length > 3 ? arguments[3] : void 0;
    var _s__$Co, _h__$AO;
    var _s;
    if (i === T$3) return i;
    var h = void 0 !== e ? (_s__$Co = s._$Co) === null || _s__$Co === void 0 ? void 0 : _s__$Co[e] : s._$Cl;
    var o = c$A(i) ? void 0 : i._$litDirective$;
    var __$Co;
    return (h === null || h === void 0 ? void 0 : h.constructor) !== o && (h === null || h === void 0 ? void 0 : (_h__$AO = h._$AO) === null || _h__$AO === void 0 ? void 0 : _h__$AO.call(h, !1), void 0 === o ? h = void 0 : (h = new o(t), h._$AT(t, s, e)), void 0 !== e ? ((__$Co = (_s = s)._$Co) !== null && __$Co !== void 0 ? __$Co : _s._$Co = [])[e] = h : s._$Cl = h), void 0 !== h && (i = S$6(t, h._$AS(t, i.values), h, e)), i;
}
var M$3 = /*#__PURE__*/ function() {
    function M(t, i) {
        _class_call_check$2M(this, M);
        this._$AV = [], this._$AN = void 0, this._$AD = t, this._$AM = i;
    }
    _create_class$2I(M, [
        {
            key: "parentNode",
            get: function get() {
                return this._$AM.parentNode;
            }
        },
        {
            key: "_$AU",
            get: function get() {
                return this._$AM._$AU;
            }
        },
        {
            key: "u",
            value: function u(t) {
                var _t_creationScope;
                var _this__$AD = this._$AD, _this__$AD_el = _this__$AD.el, i = _this__$AD_el.content, s = _this__$AD.parts, e = ((_t_creationScope = t === null || t === void 0 ? void 0 : t.creationScope) !== null && _t_creationScope !== void 0 ? _t_creationScope : r$D).importNode(i, !0);
                C$7.currentNode = e;
                var h = C$7.nextNode(), o = 0, n = 0, l = s[0];
                for(; void 0 !== l;){
                    if (o === l.index) {
                        var i1 = void 0;
                        2 === l.type ? i1 = new R(h, h.nextSibling, this, t) : 1 === l.type ? i1 = new l.ctor(h, l.name, l.strings, this, t) : 6 === l.type && (i1 = new z$1(h, this, t)), this._$AV.push(i1), l = s[++n];
                    }
                    o !== (l === null || l === void 0 ? void 0 : l.index) && (h = C$7.nextNode(), o++);
                }
                return C$7.currentNode = r$D, e;
            }
        },
        {
            key: "p",
            value: function p(t) {
                var i = 0;
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = this._$AV[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var s = _step.value;
                        void 0 !== s && (void 0 !== s.strings ? (s._$AI(t, s, i), i += s.strings.length - 2) : s._$AI(t[i])), i++;
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
            }
        }
    ]);
    return M;
}();
var R = /*#__PURE__*/ function() {
    function R(t, i, s, e) {
        _class_call_check$2M(this, R);
        var _e_isConnected;
        this.type = 2, this._$AH = E$2, this._$AN = void 0, this._$AA = t, this._$AB = i, this._$AM = s, this.options = e, this._$Cv = (_e_isConnected = e === null || e === void 0 ? void 0 : e.isConnected) !== null && _e_isConnected !== void 0 ? _e_isConnected : !0;
    }
    _create_class$2I(R, [
        {
            key: "_$AU",
            get: function get() {
                var _this__$AM;
                var _this__$AM__$AU;
                return (_this__$AM__$AU = (_this__$AM = this._$AM) === null || _this__$AM === void 0 ? void 0 : _this__$AM._$AU) !== null && _this__$AM__$AU !== void 0 ? _this__$AM__$AU : this._$Cv;
            }
        },
        {
            key: "parentNode",
            get: function get() {
                var t = this._$AA.parentNode;
                var i = this._$AM;
                return void 0 !== i && 11 === (t === null || t === void 0 ? void 0 : t.nodeType) && (t = i.parentNode), t;
            }
        },
        {
            key: "startNode",
            get: function get() {
                return this._$AA;
            }
        },
        {
            key: "endNode",
            get: function get() {
                return this._$AB;
            }
        },
        {
            key: "_$AI",
            value: function _$AI(t) {
                var i = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : this;
                t = S$6(this, t, i), c$A(t) ? t === E$2 || null == t || "" === t ? (this._$AH !== E$2 && this._$AR(), this._$AH = E$2) : t !== this._$AH && t !== T$3 && this._(t) : void 0 !== t._$litType$ ? this.$(t) : void 0 !== t.nodeType ? this.T(t) : u$M(t) ? this.k(t) : this._(t);
            }
        },
        {
            key: "O",
            value: function O(t) {
                return this._$AA.parentNode.insertBefore(t, this._$AB);
            }
        },
        {
            key: "T",
            value: function T(t) {
                this._$AH !== t && (this._$AR(), this._$AH = this.O(t));
            }
        },
        {
            key: "_",
            value: function _(t) {
                this._$AH !== E$2 && c$A(this._$AH) ? this._$AA.nextSibling.data = t : this.T(r$D.createTextNode(t)), this._$AH = t;
            }
        },
        {
            key: "$",
            value: function $(t) {
                var _this__$AH;
                var i = t.values, s = t._$litType$, e = "number" == typeof s ? this._$AC(t) : (void 0 === s.el && (s.el = N$1.createElement(P$2(s.h, s.h[0]), this.options)), s);
                if (((_this__$AH = this._$AH) === null || _this__$AH === void 0 ? void 0 : _this__$AH._$AD) === e) this._$AH.p(i);
                else {
                    var _$t = new M$3(e, this), s1 = _$t.u(this.options);
                    _$t.p(i), this.T(s1), this._$AH = _$t;
                }
            }
        },
        {
            key: "_$AC",
            value: function _$AC(t) {
                var i = A$1.get(t.strings);
                return void 0 === i && A$1.set(t.strings, i = new N$1(t)), i;
            }
        },
        {
            key: "k",
            value: function k(t) {
                a$p(this._$AH) || (this._$AH = [], this._$AR());
                var i = this._$AH;
                var s, e = 0;
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = t[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var h = _step.value;
                        e === i.length ? i.push(s = new R(this.O(l$f()), this.O(l$f()), this, this.options)) : s = i[e], s._$AI(h), e++;
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
                e < i.length && (this._$AR(s && s._$AB.nextSibling, e), i.length = e);
            }
        },
        {
            key: "_$AR",
            value: function _$AR() {
                var t = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : this._$AA.nextSibling, i = arguments.length > 1 ? arguments[1] : void 0;
                var _this__$AP, _this;
                for((_this__$AP = (_this = this)._$AP) === null || _this__$AP === void 0 ? void 0 : _this__$AP.call(_this, !1, !0, i); t && t !== this._$AB;){
                    var i1 = t.nextSibling;
                    t.remove(), t = i1;
                }
            }
        },
        {
            key: "setConnected",
            value: function setConnected(t) {
                var _this__$AP, _this;
                void 0 === this._$AM && (this._$Cv = t, (_this__$AP = (_this = this)._$AP) === null || _this__$AP === void 0 ? void 0 : _this__$AP.call(_this, t));
            }
        }
    ]);
    return R;
}();
var k$3 = /*#__PURE__*/ function() {
    function k(t, i, s, e, h) {
        _class_call_check$2M(this, k);
        this.type = 1, this._$AH = E$2, this._$AN = void 0, this.element = t, this.name = i, this._$AM = e, this.options = h, s.length > 2 || "" !== s[0] || "" !== s[1] ? (this._$AH = Array(s.length - 1).fill(new String), this.strings = s) : this._$AH = E$2;
    }
    _create_class$2I(k, [
        {
            key: "tagName",
            get: function get() {
                return this.element.tagName;
            }
        },
        {
            key: "_$AU",
            get: function get() {
                return this._$AM._$AU;
            }
        },
        {
            key: "_$AI",
            value: function _$AI(t) {
                var i = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : this, s = arguments.length > 2 ? arguments[2] : void 0, e = arguments.length > 3 ? arguments[3] : void 0;
                var h = this.strings;
                var o = !1;
                if (void 0 === h) t = S$6(this, t, i, 0), o = !c$A(t) || t !== this._$AH && t !== T$3, o && (this._$AH = t);
                else {
                    var e1 = t;
                    var n, r;
                    for(t = h[0], n = 0; n < h.length - 1; n++)r = S$6(this, e1[s + n], i, n), r === T$3 && (r = this._$AH[n]), o || (o = !c$A(r) || r !== this._$AH[n]), r === E$2 ? t = E$2 : t !== E$2 && (t += (r !== null && r !== void 0 ? r : "") + h[n + 1]), this._$AH[n] = r;
                }
                o && !e && this.j(t);
            }
        },
        {
            key: "j",
            value: function j(t) {
                t === E$2 ? this.element.removeAttribute(this.name) : this.element.setAttribute(this.name, t !== null && t !== void 0 ? t : "");
            }
        }
    ]);
    return k;
}();
var H = /*#__PURE__*/ function(k) {
    _inherits$2q(H, k);
    var _super = _create_super$2q(H);
    function H() {
        _class_call_check$2M(this, H);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments))), _this.type = 3;
        return _possible_constructor_return$2q(_this);
    }
    _create_class$2I(H, [
        {
            key: "j",
            value: function j(t) {
                this.element[this.name] = t === E$2 ? void 0 : t;
            }
        }
    ]);
    return H;
}(k$3);
var I$4 = /*#__PURE__*/ function(k) {
    _inherits$2q(I, k);
    var _super = _create_super$2q(I);
    function I() {
        _class_call_check$2M(this, I);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments))), _this.type = 4;
        return _possible_constructor_return$2q(_this);
    }
    _create_class$2I(I, [
        {
            key: "j",
            value: function j(t) {
                this.element.toggleAttribute(this.name, !!t && t !== E$2);
            }
        }
    ]);
    return I;
}(k$3);
var L$1 = /*#__PURE__*/ function(k) {
    _inherits$2q(L, k);
    var _super = _create_super$2q(L);
    function L(t, i, s, e, h) {
        _class_call_check$2M(this, L);
        var _this;
        _this = _super.call(this, t, i, s, e, h), _this.type = 5;
        return _possible_constructor_return$2q(_this);
    }
    _create_class$2I(L, [
        {
            key: "_$AI",
            value: function _$AI(t) {
                var i = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : this;
                var _S;
                if ((t = (_S = S$6(this, t, i, 0)) !== null && _S !== void 0 ? _S : E$2) === T$3) return;
                var s = this._$AH, e = t === E$2 && s !== E$2 || t.capture !== s.capture || t.once !== s.once || t.passive !== s.passive, h = t !== E$2 && (s === E$2 || e);
                e && this.element.removeEventListener(this.name, this, s), h && this.element.addEventListener(this.name, this, t), this._$AH = t;
            }
        },
        {
            key: "handleEvent",
            value: function handleEvent(t) {
                var _this_options;
                var _this_options_host;
                "function" == typeof this._$AH ? this._$AH.call((_this_options_host = (_this_options = this.options) === null || _this_options === void 0 ? void 0 : _this_options.host) !== null && _this_options_host !== void 0 ? _this_options_host : this.element, t) : this._$AH.handleEvent(t);
            }
        }
    ]);
    return L;
}(k$3);
var z$1 = /*#__PURE__*/ function() {
    function z(t, i, s) {
        _class_call_check$2M(this, z);
        this.element = t, this.type = 6, this._$AN = void 0, this._$AM = i, this.options = s;
    }
    _create_class$2I(z, [
        {
            key: "_$AU",
            get: function get() {
                return this._$AM._$AU;
            }
        },
        {
            key: "_$AI",
            value: function _$AI(t) {
                S$6(this, t);
            }
        }
    ]);
    return z;
}();
var Z = {
    M: e$H,
    P: h$n,
    A: o$R,
    C: 1,
    L: V,
    R: M$3,
    D: u$M,
    V: S$6,
    I: R,
    H: k$3,
    N: I$4,
    U: L$1,
    B: H,
    F: z$1
}, j = t$y.litHtmlPolyfillSupport;
var _litHtmlVersions;
j === null || j === void 0 ? void 0 : j(N$1, R), ((_litHtmlVersions = (_t = t$y).litHtmlVersions) !== null && _litHtmlVersions !== void 0 ? _litHtmlVersions : _t.litHtmlVersions = []).push("3.2.1");
var B$1 = function(t, i, s) {
    var _s_renderBefore;
    var e = (_s_renderBefore = s === null || s === void 0 ? void 0 : s.renderBefore) !== null && _s_renderBefore !== void 0 ? _s_renderBefore : i;
    var h = e._$litPart$;
    if (void 0 === h) {
        var _s_renderBefore1;
        var _$t = (_s_renderBefore1 = s === null || s === void 0 ? void 0 : s.renderBefore) !== null && _s_renderBefore1 !== void 0 ? _s_renderBefore1 : null;
        e._$litPart$ = h = new R(i.insertBefore(l$f(), _$t), _$t, void 0, s !== null && s !== void 0 ? s : {});
    }
    return h._$AI(t), h;
};

function _assert_this_initialized$2p(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2L(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2H(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2H(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2H(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2H(Constructor, staticProps);
    return Constructor;
}
function _get$1e(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$1e = Reflect.get;
    } else {
        _get$1e = function get(target, property, receiver) {
            var base = _super_prop_base$1e(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$1e(target, property, receiver || target);
}
function _get_prototype_of$2p(o) {
    _get_prototype_of$2p = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2p(o);
}
function _inherits$2p(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2p(subClass, superClass);
}
function _possible_constructor_return$2p(self, call) {
    if (call && (_type_of$2q(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2p(self);
}
function _set_prototype_of$2p(o, p) {
    _set_prototype_of$2p = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2p(o, p);
}
function _super_prop_base$1e(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2p(object);
        if (object === null) break;
    }
    return object;
}
function _type_of$2q(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2p() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2p(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2p();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2p(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2p(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2p(this, result);
    };
}
var _globalThis_litElementHydrateSupport, _globalThis;
var _globalThis1;
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var r$C = /*#__PURE__*/ function(t) {
    _inherits$2p(r, t);
    var _super = _create_super$2p(r);
    function r() {
        _class_call_check$2L(this, r);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments))), _this.renderOptions = {
            host: _assert_this_initialized$2p(_this)
        }, _this._$Do = void 0;
        return _possible_constructor_return$2p(_this);
    }
    _create_class$2H(r, [
        {
            key: "createRenderRoot",
            value: function createRenderRoot() {
                var _this_renderOptions;
                var _$t = _get$1e(_get_prototype_of$2p(r.prototype), "createRenderRoot", this).call(this);
                var _renderBefore;
                return (_renderBefore = (_this_renderOptions = this.renderOptions).renderBefore) !== null && _renderBefore !== void 0 ? _renderBefore : _this_renderOptions.renderBefore = _$t.firstChild, _$t;
            }
        },
        {
            key: "update",
            value: function update(t) {
                var s = this.render();
                this.hasUpdated || (this.renderOptions.isConnected = this.isConnected), _get$1e(_get_prototype_of$2p(r.prototype), "update", this).call(this, t), this._$Do = B$1(s, this.renderRoot, this.renderOptions);
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                var _this__$Do;
                _get$1e(_get_prototype_of$2p(r.prototype), "connectedCallback", this).call(this), (_this__$Do = this._$Do) === null || _this__$Do === void 0 ? void 0 : _this__$Do.setConnected(!0);
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                var _this__$Do;
                _get$1e(_get_prototype_of$2p(r.prototype), "disconnectedCallback", this).call(this), (_this__$Do = this._$Do) === null || _this__$Do === void 0 ? void 0 : _this__$Do.setConnected(!1);
            }
        },
        {
            key: "render",
            value: function render() {
                return T$3;
            }
        }
    ]);
    return r;
}(b$j);
r$C._$litElement$ = !0, r$C["finalized"] = !0, (_globalThis_litElementHydrateSupport = (_globalThis = globalThis).litElementHydrateSupport) === null || _globalThis_litElementHydrateSupport === void 0 ? void 0 : _globalThis_litElementHydrateSupport.call(_globalThis, {
    LitElement: r$C
});
var i$m = globalThis.litElementPolyfillSupport;
i$m === null || i$m === void 0 ? void 0 : i$m({
    LitElement: r$C
});
var _litElementVersions;
((_litElementVersions = (_globalThis1 = globalThis).litElementVersions) !== null && _litElementVersions !== void 0 ? _litElementVersions : _globalThis1.litElementVersions = []).push("4.1.1");

// Generated by genversion.
var version = "0.43.0";

function _assert_this_initialized$2o(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2K(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2G(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2G(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2G(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2G(Constructor, staticProps);
    return Constructor;
}
function _get$1d(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$1d = Reflect.get;
    } else {
        _get$1d = function get(target, property, receiver) {
            var base = _super_prop_base$1d(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$1d(target, property, receiver || target);
}
function _get_prototype_of$2o(o) {
    _get_prototype_of$2o = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2o(o);
}
function _inherits$2o(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2o(subClass, superClass);
}
function _possible_constructor_return$2o(self, call) {
    if (call && (_type_of$2p(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2o(self);
}
function _set_prototype_of$2o(o, p) {
    _set_prototype_of$2o = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2o(o, p);
}
function _super_prop_base$1d(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2o(object);
        if (object === null) break;
    }
    return object;
}
function _type_of$2p(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2o() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2o(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2o();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2o(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2o(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2o(this, result);
    };
}
var c$z = new Set, g$d = function() {
    var s = document.documentElement.dir === "rtl" ? document.documentElement.dir : "ltr";
    c$z.forEach(function(o) {
        o.setAttribute("dir", s);
    });
}, w$1 = new MutationObserver(g$d);
w$1.observe(document.documentElement, {
    attributes: !0,
    attributeFilter: [
        "dir"
    ]
});
var p$G = function(s) {
    return typeof s.startManagingContentDirection != "undefined" || s.tagName === "SP-THEME";
};
function SpectrumMixin(s) {
    var o = /*#__PURE__*/ function(s) {
        _inherits$2o(o, s);
        var _super = _create_super$2o(o);
        function o() {
            _class_call_check$2K(this, o);
            return _super.apply(this, arguments);
        }
        _create_class$2G(o, [
            {
                key: "isLTR",
                get: function get() {
                    return this.dir === "ltr";
                }
            },
            {
                key: "hasVisibleFocusInTree",
                value: function hasVisibleFocusInTree() {
                    var n = function() {
                        var r = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : document;
                        var l;
                        var t = r.activeElement;
                        for(; t != null && t.shadowRoot && t.shadowRoot.activeElement;)t = t.shadowRoot.activeElement;
                        var a = t ? [
                            t
                        ] : [];
                        for(; t;){
                            var i = t.assignedSlot || t.parentElement || ((l = t.getRootNode()) == null ? void 0 : l.host);
                            i && a.push(i), t = i;
                        }
                        return a;
                    }(this.getRootNode())[0];
                    if (!n) return !1;
                    try {
                        return n.matches(":focus-visible") || n.matches(".focus-visible");
                    } catch (r) {
                        return n.matches(".focus-visible");
                    }
                }
            },
            {
                key: "connectedCallback",
                value: function connectedCallback() {
                    var _this = this;
                    if (!this.hasAttribute("dir")) {
                        var e = this.assignedSlot || this.parentNode;
                        for(; e !== document.documentElement && !p$G(e);)e = e.assignedSlot || e.parentNode || e.host;
                        if (this.dir = e.dir === "rtl" ? e.dir : this.dir || "ltr", e === document.documentElement) c$z.add(this);
                        else {
                            var n = e.localName;
                            n.search("-") > -1 && !customElements.get(n) ? customElements.whenDefined(n).then(function() {
                                e.startManagingContentDirection(_this);
                            }) : e.startManagingContentDirection(this);
                        }
                        this._dirParent = e;
                    }
                    _get$1d(_get_prototype_of$2o(o.prototype), "connectedCallback", this).call(this);
                }
            },
            {
                key: "disconnectedCallback",
                value: function disconnectedCallback() {
                    _get$1d(_get_prototype_of$2o(o.prototype), "disconnectedCallback", this).call(this), this._dirParent && (this._dirParent === document.documentElement ? c$z.delete(this) : this._dirParent.stopManagingContentDirection(this), this.removeAttribute("dir"));
                }
            }
        ]);
        return o;
    }(s);
    return o;
}
var SpectrumElement = /*#__PURE__*/ function(_SpectrumMixin) {
    _inherits$2o(SpectrumElement, _SpectrumMixin);
    var _super = _create_super$2o(SpectrumElement);
    function SpectrumElement() {
        _class_call_check$2K(this, SpectrumElement);
        return _super.apply(this, arguments);
    }
    return SpectrumElement;
}(SpectrumMixin(r$C));
SpectrumElement.VERSION = version;

function _define_property$i(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread$f(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$i(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$c(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$c(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$c(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var o$Q = {
    attribute: !0,
    type: String,
    converter: u$N,
    reflect: !1,
    hasChanged: f$p
}, r$B = function() {
    var _$t = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : o$Q, _$e = arguments.length > 1 ? arguments[1] : void 0, r = arguments.length > 2 ? arguments[2] : void 0;
    var n = r.kind, i = r.metadata;
    var s = globalThis.litPropertyMetadata.get(i);
    if (void 0 === s && globalThis.litPropertyMetadata.set(i, s = new Map), s.set(r.name, _$t), "accessor" === n) {
        var o1 = r.name;
        return {
            set: function set(r) {
                var n = _$e.get.call(this);
                _$e.set.call(this, r), this.requestUpdate(o1, n, _$t);
            },
            init: function init(e) {
                return void 0 !== e && this.P(o1, void 0, _$t), e;
            }
        };
    }
    if ("setter" === n) {
        var o2 = r.name;
        return function r(r) {
            var n = this[o2];
            _$e.call(this, r), this.requestUpdate(o2, n, _$t);
        };
    }
    throw Error("Unsupported decorator location: " + n);
};
function n$r(t) {
    return function(e, o) {
        return "object" == typeof o ? r$B(t, e, o) : function(t, e, o) {
            var r = e.hasOwnProperty(o);
            return e.constructor.createProperty(o, r ? _object_spread_props$c(_object_spread$f({}, t), {
                wrapped: !0
            }) : t), r ? Object.getOwnPropertyDescriptor(e, o) : void 0;
        }(t, e, o);
    };
}

function _define_property$h(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread$e(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$h(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$b(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$b(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$b(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function r$A(r) {
    return n$r(_object_spread_props$b(_object_spread$e({}, r), {
        state: !0,
        attribute: !1
    }));
}

/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var e$G = function(e, t, c) {
    return c.configurable = !0, c.enumerable = !0, Reflect.decorate && "object" != typeof t && Object.defineProperty(e, t, c), c;
};

/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function e$F(e, r) {
    return function(n, s, i) {
        var o = function(t) {
            var _t_renderRoot;
            var _t_renderRoot_querySelector;
            return (_t_renderRoot_querySelector = (_t_renderRoot = t.renderRoot) === null || _t_renderRoot === void 0 ? void 0 : _t_renderRoot.querySelector(e)) !== null && _t_renderRoot_querySelector !== void 0 ? _t_renderRoot_querySelector : null;
        };
        if (r) {
            var _ref = "object" == typeof s ? n : i !== null && i !== void 0 ? i : function() {
                var _$t = Symbol();
                return {
                    get: function get() {
                        return this[_$t];
                    },
                    set: function set(e) {
                        this[_$t] = e;
                    }
                };
            }(), e1 = _ref.get, _$r = _ref.set;
            return e$G(n, s, {
                get: function get() {
                    var _$t = e1.call(this);
                    return void 0 === _$t && (_$t = o(this), (null !== _$t || this.hasUpdated) && _$r.call(this, _$t)), _$t;
                }
            });
        }
        return e$G(n, s, {
            get: function get() {
                return o(this);
            }
        });
    };
}

/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function o$P(o) {
    return function(e, n) {
        var _ref = o !== null && o !== void 0 ? o : {}, r = _ref.slot, s = _ref.selector, c = "slot" + (r ? "[name=".concat(r, "]") : ":not([name])");
        return e$G(e, n, {
            get: function get() {
                var _this_renderRoot;
                var _t_assignedElements;
                var _$t = (_this_renderRoot = this.renderRoot) === null || _this_renderRoot === void 0 ? void 0 : _this_renderRoot.querySelector(c), _$e = (_t_assignedElements = _$t === null || _$t === void 0 ? void 0 : _$t.assignedElements(o)) !== null && _t_assignedElements !== void 0 ? _t_assignedElements : [];
                return void 0 === s ? _$e : _$e.filter(function(t) {
                    return t.matches(s);
                });
            }
        });
    };
}

/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function n$q(n) {
    return function(o, r) {
        var _ref = n !== null && n !== void 0 ? n : {}, e = _ref.slot, s = "slot" + (e ? "[name=".concat(e, "]") : ":not([name])");
        return e$G(o, r, {
            get: function get() {
                var _this_renderRoot;
                var _$t = (_this_renderRoot = this.renderRoot) === null || _this_renderRoot === void 0 ? void 0 : _this_renderRoot.querySelector(s);
                var _t_assignedNodes;
                return (_t_assignedNodes = _$t === null || _$t === void 0 ? void 0 : _$t.assignedNodes(n)) !== null && _t_assignedNodes !== void 0 ? _t_assignedNodes : [];
            }
        });
    };
}

function _assert_this_initialized$2n(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2J(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2F(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2F(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2F(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2F(Constructor, staticProps);
    return Constructor;
}
function _get$1c(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$1c = Reflect.get;
    } else {
        _get$1c = function get(target, property, receiver) {
            var base = _super_prop_base$1c(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$1c(target, property, receiver || target);
}
function _get_prototype_of$2n(o) {
    _get_prototype_of$2n = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2n(o);
}
function _inherits$2n(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2n(subClass, superClass);
}
function _possible_constructor_return$2n(self, call) {
    if (call && (_type_of$2o(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2n(self);
}
function _set_prototype_of$2n(o, p) {
    _set_prototype_of$2n = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2n(o, p);
}
function _super_prop_base$1c(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2n(object);
        if (object === null) break;
    }
    return object;
}
function _type_of$2o(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2n() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2n(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2n();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2n(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2n(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2n(this, result);
    };
}
var a$o = Object.defineProperty;
var u$L = Object.getOwnPropertyDescriptor;
var m$q = function(r, i, s, t) {
    for(var e = t > 1 ? void 0 : t ? u$L(i, s) : i, l = r.length - 1, o; l >= 0; l--)(o = r[l]) && (e = (t ? o(i, s, e) : o(e)) || e);
    return t && e && a$o(i, s, e), e;
};
function SizedMixin(r) {
    var _ref = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, tmp = _ref.validSizes, i = tmp === void 0 ? [
        "s",
        "m",
        "l",
        "xl"
    ] : tmp, s = _ref.noDefaultSize, tmp1 = _ref.defaultSize, t = tmp1 === void 0 ? "m" : tmp1;
    var e = /*#__PURE__*/ function(r) {
        _inherits$2n(e, r);
        var _super = _create_super$2n(e);
        function e() {
            _class_call_check$2J(this, e);
            var _this;
            _this = _super.call.apply(_super, [
                this
            ].concat(Array.prototype.slice.call(arguments)));
            _this._size = t;
            return _this;
        }
        _create_class$2F(e, [
            {
                key: "size",
                get: function get() {
                    return this._size || t;
                },
                set: function set(n) {
                    var p = s ? null : t, z = n && n.toLocaleLowerCase(), x = i.includes(z) ? z : p;
                    if (x && this.setAttribute("size", x), this._size === x) return;
                    var c = this._size;
                    this._size = x, this.requestUpdate("size", c);
                }
            },
            {
                key: "update",
                value: function update(n) {
                    !this.hasAttribute("size") && !s && this.setAttribute("size", this.size), _get$1c(_get_prototype_of$2n(e.prototype), "update", this).call(this, n);
                }
            }
        ]);
        return e;
    }(r);
    return m$q([
        n$r({
            type: String
        })
    ], e.prototype, "size", 1), e;
}

function _class_call_check$2I(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2E(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2E(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2E(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2E(Constructor, staticProps);
    return Constructor;
}
function _type_of$2n(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function r$z(i, e, t) {
    return (typeof i === "undefined" ? "undefined" : _type_of$2n(i)) === e ? function() {
        return i;
    } : typeof i == "function" ? i : t;
}
var FocusGroupController = /*#__PURE__*/ function() {
    function FocusGroupController(e) {
        var _this = this;
        var _ref = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {
            elements: function() {
                return [];
            }
        }, t = _ref.direction, n = _ref.elementEnterAction, s = _ref.elements, o = _ref.focusInIndex, h = _ref.isFocusableElement, c = _ref.listenerScope;
        _class_call_check$2I(this, FocusGroupController);
        this._currentIndex = -1;
        this._direction = function() {
            return "both";
        };
        this.directionLength = 5;
        this.elementEnterAction = function(e) {};
        this._focused = !1;
        this._focusInIndex = function(e) {
            return 0;
        };
        this.isFocusableElement = function(e) {
            return !0;
        };
        this._listenerScope = function() {
            return _this.host;
        };
        this.offset = 0;
        this.recentlyConnected = !1;
        this.handleFocusin = function(e) {
            if (!_this.isEventWithinListenerScope(e)) return;
            _this.isRelatedTargetAnElement(e) && _this.hostContainsFocus();
            var t = e.composedPath();
            var n = -1;
            t.find(function(s) {
                return n = _this.elements.indexOf(s), n !== -1;
            }), _this.currentIndex = n > -1 ? n : _this.currentIndex;
        };
        this.handleFocusout = function(e) {
            _this.isRelatedTargetAnElement(e) && _this.hostNoLongerContainsFocus();
        };
        this.handleKeydown = function(e) {
            if (!_this.acceptsEventCode(e.code) || e.defaultPrevented) return;
            var t = 0;
            switch(e.code){
                case "ArrowRight":
                    t += 1;
                    break;
                case "ArrowDown":
                    t += _this.direction === "grid" ? _this.directionLength : 1;
                    break;
                case "ArrowLeft":
                    t -= 1;
                    break;
                case "ArrowUp":
                    t -= _this.direction === "grid" ? _this.directionLength : 1;
                    break;
                case "End":
                    _this.currentIndex = 0, t -= 1;
                    break;
                case "Home":
                    _this.currentIndex = _this.elements.length - 1, t += 1;
                    break;
            }
            e.preventDefault(), _this.direction === "grid" && _this.currentIndex + t < 0 ? _this.currentIndex = 0 : _this.direction === "grid" && _this.currentIndex + t > _this.elements.length - 1 ? _this.currentIndex = _this.elements.length - 1 : _this.setCurrentIndexCircularly(t), _this.elementEnterAction(_this.elements[_this.currentIndex]), _this.focus();
        };
        this.mutationObserver = new MutationObserver(function() {
            _this.handleItemMutation();
        }), this.host = e, this.host.addController(this), this._elements = s, this.isFocusableElement = h || this.isFocusableElement, this._direction = r$z(t, "string", this._direction), this.elementEnterAction = n || this.elementEnterAction, this._focusInIndex = r$z(o, "number", this._focusInIndex), this._listenerScope = r$z(c, "object", this._listenerScope);
    }
    _create_class$2E(FocusGroupController, [
        {
            key: "currentIndex",
            get: function get() {
                return this._currentIndex === -1 && (this._currentIndex = this.focusInIndex), this._currentIndex - this.offset;
            },
            set: function set(e) {
                this._currentIndex = e + this.offset;
            }
        },
        {
            key: "direction",
            get: function get() {
                return this._direction();
            }
        },
        {
            key: "elements",
            get: function get() {
                return this.cachedElements || (this.cachedElements = this._elements()), this.cachedElements;
            }
        },
        {
            key: "focused",
            get: function get() {
                return this._focused;
            },
            set: function set(e) {
                e !== this.focused && (this._focused = e);
            }
        },
        {
            key: "focusInElement",
            get: function get() {
                return this.elements[this.focusInIndex];
            }
        },
        {
            key: "focusInIndex",
            get: function get() {
                return this._focusInIndex(this.elements);
            }
        },
        {
            key: "isEventWithinListenerScope",
            value: function isEventWithinListenerScope(e) {
                return this._listenerScope() === this.host ? !0 : e.composedPath().includes(this._listenerScope());
            }
        },
        {
            key: "handleItemMutation",
            value: function handleItemMutation() {
                if (this._currentIndex == -1 || this.elements.length <= this._elements().length) return;
                var e = this.elements[this.currentIndex];
                if (this.clearElementCache(), this.elements.includes(e)) return;
                var t = this.currentIndex !== this.elements.length, n = t ? 1 : -1;
                t && this.setCurrentIndexCircularly(-1), this.setCurrentIndexCircularly(n), this.focus();
            }
        },
        {
            key: "update",
            value: function update() {
                var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {
                    elements: function() {
                        return [];
                    }
                }, e = _ref.elements;
                this.unmanage(), this._elements = e, this.clearElementCache(), this.manage();
            }
        },
        {
            key: "focus",
            value: function focus(e) {
                var t = this.elements;
                if (!t.length) return;
                var n = t[this.currentIndex];
                (!n || !this.isFocusableElement(n)) && (this.setCurrentIndexCircularly(1), n = t[this.currentIndex]), n && this.isFocusableElement(n) && n.focus(e);
            }
        },
        {
            key: "clearElementCache",
            value: function clearElementCache() {
                var _this = this;
                var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 0;
                this.mutationObserver.disconnect(), delete this.cachedElements, this.offset = e, requestAnimationFrame(function() {
                    _this.elements.forEach(function(t) {
                        _this.mutationObserver.observe(t, {
                            attributes: !0
                        });
                    });
                });
            }
        },
        {
            key: "setCurrentIndexCircularly",
            value: function setCurrentIndexCircularly(e) {
                var _this_elements = this.elements, t = _this_elements.length;
                var n = t, s = (t + this.currentIndex + e) % t;
                for(; n && this.elements[s] && !this.isFocusableElement(this.elements[s]);)s = (t + s + e) % t, n -= 1;
                this.currentIndex = s;
            }
        },
        {
            key: "hostContainsFocus",
            value: function hostContainsFocus() {
                this.host.addEventListener("focusout", this.handleFocusout), this.host.addEventListener("keydown", this.handleKeydown), this.focused = !0;
            }
        },
        {
            key: "hostNoLongerContainsFocus",
            value: function hostNoLongerContainsFocus() {
                this.host.addEventListener("focusin", this.handleFocusin), this.host.removeEventListener("focusout", this.handleFocusout), this.host.removeEventListener("keydown", this.handleKeydown), this.focused = !1;
            }
        },
        {
            key: "isRelatedTargetAnElement",
            value: function isRelatedTargetAnElement(e) {
                var t = e.relatedTarget;
                return !this.elements.includes(t);
            }
        },
        {
            key: "acceptsEventCode",
            value: function acceptsEventCode(e) {
                if (e === "End" || e === "Home") return !0;
                switch(this.direction){
                    case "horizontal":
                        return e === "ArrowLeft" || e === "ArrowRight";
                    case "vertical":
                        return e === "ArrowUp" || e === "ArrowDown";
                    case "both":
                    case "grid":
                        return e.startsWith("Arrow");
                }
            }
        },
        {
            key: "manage",
            value: function manage() {
                this.addEventListeners();
            }
        },
        {
            key: "unmanage",
            value: function unmanage() {
                this.removeEventListeners();
            }
        },
        {
            key: "addEventListeners",
            value: function addEventListeners() {
                this.host.addEventListener("focusin", this.handleFocusin);
            }
        },
        {
            key: "removeEventListeners",
            value: function removeEventListeners() {
                this.host.removeEventListener("focusin", this.handleFocusin), this.host.removeEventListener("focusout", this.handleFocusout), this.host.removeEventListener("keydown", this.handleKeydown);
            }
        },
        {
            key: "hostConnected",
            value: function hostConnected() {
                this.recentlyConnected = !0, this.addEventListeners();
            }
        },
        {
            key: "hostDisconnected",
            value: function hostDisconnected() {
                this.mutationObserver.disconnect(), this.removeEventListeners();
            }
        },
        {
            key: "hostUpdated",
            value: function hostUpdated() {
                var _this = this;
                this.recentlyConnected && (this.recentlyConnected = !1, this.elements.forEach(function(e) {
                    _this.mutationObserver.observe(e, {
                        attributes: !0
                    });
                }));
            }
        }
    ]);
    return FocusGroupController;
} 
();

function _tagged_template_literal$3B(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3B() {
    var data = _tagged_template_literal$3B([
        "\n    :host{--spectrum-accordion-item-height:var(--spectrum-component-height-200);--spectrum-accordion-item-width:var(--spectrum-accordion-minimum-width);--spectrum-accordion-disclosure-indicator-height:var(--spectrum-component-height-100);--spectrum-accordion-disclosure-indicator-to-text-space:var(--spectrum-accordion-disclosure-indicator-to-text);--spectrum-accordion-edge-to-disclosure-indicator-space:var(--spectrum-accordion-edge-to-disclosure-indicator);--spectrum-accordion-edge-to-text-space:var(--spectrum-accordion-edge-to-text);--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-regular-medium);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-regular-medium);--spectrum-accordion-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-accordion-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-accordion-corner-radius:var(--spectrum-corner-radius-100);--spectrum-accordion-item-content-area-top-to-content:var(--spectrum-accordion-content-area-top-to-content);--spectrum-accordion-item-content-area-bottom-to-content:var(--spectrum-accordion-content-area-bottom-to-content);--spectrum-accordion-component-edge-to-text:var(--spectrum-component-edge-to-text-75);--spectrum-accordion-item-header-font:var(--spectrum-sans-font-family-stack);--spectrum-accordion-item-header-font-weight:var(--spectrum-bold-font-weight);--spectrum-accordion-item-header-font-style:var(--spectrum-default-font-style);--spectrum-accordion-item-header-font-size:var(--spectrum-font-size-300);--spectrum-accordion-item-header-line-height:1.25;--spectrum-accordion-item-content-font:var(--spectrum-sans-font-family-stack);--spectrum-accordion-item-content-font-weight:var(--spectrum-body-sans-serif-font-weight);--spectrum-accordion-item-content-font-style:var(--spectrum-body-sans-serif-font-style);--spectrum-accordion-item-content-font-size:var(--spectrum-body-size-s);--spectrum-accordion-item-content-line-height:var(--spectrum-line-height-100);--spectrum-accordion-background-color-default:rgba(var(--spectrum-gray-900-rgb),var(--spectrum-background-opacity-default));--spectrum-accordion-background-color-hover:rgba(var(--spectrum-gray-900-rgb),var(--spectrum-background-opacity-hover));--spectrum-accordion-background-color-down:rgba(var(--spectrum-gray-900-rgb),var(--spectrum-background-opacity-down));--spectrum-accordion-background-color-key-focus:rgba(var(--spectrum-gray-900-rgb),var(--spectrum-background-opacity-key-focus));--spectrum-accordion-item-header-color-default:var(--spectrum-neutral-content-color-default);--spectrum-accordion-item-header-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-accordion-item-header-color-down:var(--spectrum-neutral-content-color-down);--spectrum-accordion-item-header-color-key-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-accordion-item-header-disabled-color:var(--spectrum-disabled-content-color);--spectrum-accordion-item-content-disabled-color:var(--spectrum-disabled-content-color);--spectrum-accordion-item-content-color:var(--spectrum-body-color);--spectrum-accordion-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-accordion-divider-color:var(--spectrum-gray-300);--spectrum-accordion-min-block-size:max(var(--mod-accordion-item-height,var(--spectrum-accordion-item-height)),calc(var(--mod-accordion-item-header-top-to-text-space,var(--spectrum-accordion-item-header-top-to-text-space)) + var(--mod-accordion-item-header-bottom-to-text-space,var(--spectrum-accordion-item-header-bottom-to-text-space)) + var(--mod-accordion-item-header-font-size,var(--spectrum-accordion-item-header-font-size))*var(--mod-accordion-item-header-line-height,var(--spectrum-accordion-item-header-line-height))))}:host:dir(rtl),:host([dir=rtl]){--spectrum-logical-rotation:matrix(-1,0,0,1,0,0)}:host:lang(ja),:host:lang(ko),:host:lang(zh){--spectrum-accordion-item-header-line-height:var(--spectrum-cjk-line-height-100);--spectrum-accordion-item-content-line-height:var(--spectrum-cjk-line-height-100)}:host([density=compact]){--spectrum-accordion-item-height:var(--spectrum-component-height-100);--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-compact-medium);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-compact-medium)}:host([density=compact][size=s]){--spectrum-accordion-item-height:var(--spectrum-component-height-75);--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-compact-small);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-compact-small)}:host([density=compact][size=l]){--spectrum-accordion-item-height:var(--spectrum-component-height-200);--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-compact-large);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-compact-large)}:host([density=compact][size=xl]){--spectrum-accordion-item-height:var(--spectrum-component-height-300);--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-compact-extra-large);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-compact-extra-large)}:host([density=spacious]){--spectrum-accordion-item-header-line-height:1.278;--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-spacious-medium);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-spacious-medium)}:host([density=spacious][size=s]){--spectrum-accordion-item-header-line-height:1.25;--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-small-top-to-text-spacious);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-spacious-small)}:host([density=spacious][size=l]){--spectrum-accordion-item-header-line-height:1.273;--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-spacious-large);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-spacious-large)}:host([density=spacious][size=xl]){--spectrum-accordion-item-header-line-height:1.25;--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-spacious-extra-large);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-spacious-extra-large)}:host([size=s]){--spectrum-accordion-item-height:var(--spectrum-component-height-100);--spectrum-accordion-disclosure-indicator-height:var(--spectrum-component-height-75);--spectrum-accordion-component-edge-to-text:var(--spectrum-component-edge-to-text-50);--spectrum-accordion-item-header-font-size:var(--spectrum-font-size-200);--spectrum-accordion-item-content-font-size:var(--spectrum-body-size-xs);--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-regular-small);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-regular-small)}:host([size=l]){--spectrum-accordion-item-height:var(--spectrum-component-height-300);--spectrum-accordion-disclosure-indicator-height:var(--spectrum-component-height-200);--spectrum-accordion-component-edge-to-text:var(--spectrum-component-edge-to-text-100);--spectrum-accordion-item-header-font-size:var(--spectrum-font-size-500);--spectrum-accordion-item-content-font-size:var(--spectrum-body-size-m);--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-regular-large);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-regular-large)}:host([size=xl]){--spectrum-accordion-item-height:var(--spectrum-component-height-400);--spectrum-accordion-disclosure-indicator-height:var(--spectrum-component-height-300);--spectrum-accordion-component-edge-to-text:var(--spectrum-component-edge-to-text-200);--spectrum-accordion-item-header-font-size:var(--spectrum-font-size-700);--spectrum-accordion-item-content-font-size:var(--spectrum-body-size-l);--spectrum-accordion-item-header-top-to-text-space:var(--spectrum-accordion-top-to-text-regular-extra-large);--spectrum-accordion-item-header-bottom-to-text-space:var(--spectrum-accordion-bottom-to-text-regular-extra-large)}:host{margin:0;padding:0;list-style:none;display:block}:host{--spectrum-logical-rotation: }\n"
    ]);
    _templateObject$3B = function _templateObject() {
        return data;
    };
    return data;
}
var e$E = i$p(_templateObject$3B());
var g$c = e$E;

function _array_like_to_array$N(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$A(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$N(arr);
}
function _assert_this_initialized$2m(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$E(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$E(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$E(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$E(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$2H(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2D(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2D(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2D(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2D(Constructor, staticProps);
    return Constructor;
}
function _get$1b(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$1b = Reflect.get;
    } else {
        _get$1b = function get(target, property, receiver) {
            var base = _super_prop_base$1b(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$1b(target, property, receiver || target);
}
function _get_prototype_of$2m(o) {
    _get_prototype_of$2m = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2m(o);
}
function _inherits$2m(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2m(subClass, superClass);
}
function _iterable_to_array$A(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$A() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$2m(self, call) {
    if (call && (_type_of$2m(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2m(self);
}
function _set_prototype_of$2m(o, p) {
    _set_prototype_of$2m = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2m(o, p);
}
function _super_prop_base$1b(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2m(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$3A(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$A(arr) {
    return _array_without_holes$A(arr) || _iterable_to_array$A(arr) || _unsupported_iterable_to_array$N(arr) || _non_iterable_spread$A();
}
function _type_of$2m(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$N(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$N(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$N(o, minLen);
}
function _is_native_reflect_construct$2m() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2m(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2m();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2m(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2m(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2m(this, result);
    };
}
function _ts_generator$F(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$3A() {
    var data = _tagged_template_literal$3A([
        "\n            <slot\n                @slotchange=",
        "\n                @sp-accordion-item-toggle=",
        "\n            ></slot>\n        "
    ]);
    _templateObject$3A = function _templateObject() {
        return data;
    };
    return data;
}
var n$p = Object.defineProperty;
var u$K = Object.getOwnPropertyDescriptor;
var s$g = function(l, i, e, o) {
    for(var t = o > 1 ? void 0 : o ? u$K(i, e) : i, r = l.length - 1, a; r >= 0; r--)(a = l[r]) && (t = (o ? a(i, e, t) : a(t)) || t);
    return o && t && n$p(i, e, t), t;
};
var Accordion = /*#__PURE__*/ function(_d) {
    _inherits$2m(Accordion, _d);
    var _super = _create_super$2m(Accordion);
    function Accordion() {
        _class_call_check$2H(this, Accordion);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.allowMultiple = !1;
        _this.focusGroupController = new FocusGroupController(_assert_this_initialized$2m(_this), {
            direction: "vertical",
            elements: function() {
                return _this.items;
            },
            isFocusableElement: function(e) {
                return !e.disabled;
            }
        });
        return _this;
    }
    _create_class$2D(Accordion, [
        {
            key: "items",
            get: function get() {
                return _to_consumable_array$A(this.defaultNodes || []).filter(function(e) {
                    return typeof e.tagName != "undefined";
                });
            }
        },
        {
            key: "focus",
            value: function focus() {
                this.focusGroupController.focus();
            }
        },
        {
            key: "onToggle",
            value: function onToggle(e) {
                var _this = this;
                return _async_to_generator$E(function() {
                    var o, t;
                    return _ts_generator$F(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                o = e.target;
                                return [
                                    4,
                                    0
                                ];
                            case 1:
                                if (_state.sent(), _this.allowMultiple || e.defaultPrevented) return [
                                    2
                                ];
                                t = _to_consumable_array$A(_this.items);
                                t && !t.length || t.forEach(function(r) {
                                    r !== o && (r.open = !1);
                                });
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange() {
                var _this = this;
                this.focusGroupController.clearElementCache(), this.items.forEach(function(e) {
                    e.size = _this.size;
                });
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                var _this = this;
                _get$1b(_get_prototype_of$2m(Accordion.prototype), "updated", this).call(this, e), e.has("size") && (e.get("size") || this.size !== "m") && this.items.forEach(function(o) {
                    o.size = _this.size;
                });
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$3A(), this.handleSlotchange, this.onToggle);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    g$c
                ];
            }
        }
    ]);
    return Accordion;
}(SizedMixin(SpectrumElement, {
    noDefaultSize: !0
}));
s$g([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "allow-multiple"
    })
], Accordion.prototype, "allowMultiple", 2), s$g([
    n$r({
        type: String,
        reflect: !0
    })
], Accordion.prototype, "density", 2), s$g([
    n$q()
], Accordion.prototype, "defaultNodes", 2);

function defineElement(e, n) {
    customElements.define(e, n);
}

defineElement("sp-accordion", Accordion);

function _assert_this_initialized$2l(self1) {
    if (self1 === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self1;
}
function _class_call_check$2G(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2C(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2C(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2C(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2C(Constructor, staticProps);
    return Constructor;
}
function _get$1a(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$1a = Reflect.get;
    } else {
        _get$1a = function get(target, property, receiver) {
            var base = _super_prop_base$1a(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$1a(target, property, receiver || target);
}
function _get_prototype_of$2l(o) {
    _get_prototype_of$2l = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2l(o);
}
function _inherits$2l(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2l(subClass, superClass);
}
function _possible_constructor_return$2l(self1, call) {
    if (call && (_type_of$2l(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2l(self1);
}
function _set_prototype_of$2l(o, p) {
    _set_prototype_of$2l = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2l(o, p);
}
function _super_prop_base$1a(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2l(object);
        if (object === null) break;
    }
    return object;
}
function _type_of$2l(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2l() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2l(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2l();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2l(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2l(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2l(this, result);
    };
}
var i$l = !0;
try {
    document.body.querySelector(":focus-visible");
} catch (a) {
    i$l = !1, Promise.resolve().then(function () { return require('./focus-visible.cjs.js'); }).then(function (n) { return n.focusVisible; });
}
var FocusVisiblePolyfillMixin = function(a) {
    var s, t;
    var n = function(l) {
        if (l.shadowRoot == null || l.hasAttribute("data-js-focus-visible")) return function() {};
        if (self.applyFocusVisiblePolyfill) self.applyFocusVisiblePolyfill(l.shadowRoot), l.manageAutoFocus && l.manageAutoFocus();
        else {
            var e = function() {
                self.applyFocusVisiblePolyfill && l.shadowRoot && self.applyFocusVisiblePolyfill(l.shadowRoot), l.manageAutoFocus && l.manageAutoFocus();
            };
            return self.addEventListener("focus-visible-polyfill-ready", e, {
                once: !0
            }), function() {
                self.removeEventListener("focus-visible-polyfill-ready", e);
            };
        }
        return function() {};
    }, o = Symbol("endPolyfillCoordination");
    var c = /*#__PURE__*/ function(_superClass) {
        _inherits$2l(c, _superClass);
        var _super = _create_super$2l(c);
        function c() {
            _class_call_check$2G(this, c);
            var _this;
            _this = _super.call.apply(_super, [
                this
            ].concat(Array.prototype.slice.call(arguments)));
            _this[s] = null;
            return _this;
        }
        _create_class$2C(c, [
            {
                key: "connectedCallback",
                value: function connectedCallback() {
                    var _this = this;
                    _get$1a(_get_prototype_of$2l(c.prototype), "connectedCallback", this) && _get$1a(_get_prototype_of$2l(c.prototype), "connectedCallback", this).call(this), i$l || requestAnimationFrame(function() {
                        _this[o] == null && (_this[o] = n(_this));
                    });
                }
            },
            {
                key: "disconnectedCallback",
                value: function disconnectedCallback() {
                    var _this = this;
                    _get$1a(_get_prototype_of$2l(c.prototype), "disconnectedCallback", this) && _get$1a(_get_prototype_of$2l(c.prototype), "disconnectedCallback", this).call(this), i$l || requestAnimationFrame(function() {
                        _this[o] != null && (_this[o](), _this[o] = null);
                    });
                }
            }
        ]);
        return c;
    }((t = a, s = o, t));
    return c;
};

function _assert_this_initialized$2k(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$D(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$D(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$D(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$D(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$2F(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2B(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2B(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2B(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2B(Constructor, staticProps);
    return Constructor;
}
function _get$19(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$19 = Reflect.get;
    } else {
        _get$19 = function get(target, property, receiver) {
            var base = _super_prop_base$19(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$19(target, property, receiver || target);
}
function _get_prototype_of$2k(o) {
    _get_prototype_of$2k = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2k(o);
}
function _inherits$2k(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2k(subClass, superClass);
}
function _possible_constructor_return$2k(self, call) {
    if (call && (_type_of$2k(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2k(self);
}
function _set_prototype_of$2k(o, p) {
    _set_prototype_of$2k = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2k(o, p);
}
function _super_prop_base$19(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2k(object);
        if (object === null) break;
    }
    return object;
}
function _type_of$2k(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2k() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2k(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2k();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2k(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2k(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2k(this, result);
    };
}
function _ts_generator$E(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
var d$y = Object.defineProperty;
var b$h = Object.getOwnPropertyDescriptor;
var n$o = function(s, a, e, t) {
    for(var i = t > 1 ? void 0 : t ? b$h(a, e) : a, o = s.length - 1, r; o >= 0; o--)(r = s[o]) && (i = (t ? r(a, e, i) : r(i)) || i);
    return t && i && d$y(a, e, i), i;
};
function u$J() {
    return new Promise(function(s) {
        return requestAnimationFrame(function() {
            return s();
        });
    });
}
var Focusable = /*#__PURE__*/ function(_m) {
    _inherits$2k(Focusable, _m);
    var _super = _create_super$2k(Focusable);
    function Focusable() {
        _class_call_check$2F(this, Focusable);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.disabled = !1;
        _this.autofocus = !1;
        _this._tabIndex = 0;
        _this.manipulatingTabindex = !1;
        _this.autofocusReady = Promise.resolve();
        return _this;
    }
    _create_class$2B(Focusable, [
        {
            key: "tabIndex",
            get: function get() {
                if (this.focusElement === this) {
                    var t = this.hasAttribute("tabindex") ? Number(this.getAttribute("tabindex")) : NaN;
                    return isNaN(t) ? -1 : t;
                }
                var e = parseFloat(this.hasAttribute("tabindex") && this.getAttribute("tabindex") || "0");
                return this.disabled || e < 0 ? -1 : this.focusElement ? this.focusElement.tabIndex : e;
            },
            set: function set(e) {
                if (this.manipulatingTabindex) {
                    this.manipulatingTabindex = !1;
                    return;
                }
                if (this.focusElement === this) {
                    if (e !== this._tabIndex) {
                        this._tabIndex = e;
                        var t = this.disabled ? "-1" : "" + e;
                        this.manipulatingTabindex = !0, this.setAttribute("tabindex", t);
                    }
                    return;
                }
                if (e === -1 ? this.addEventListener("pointerdown", this.onPointerdownManagementOfTabIndex) : (this.manipulatingTabindex = !0, this.removeEventListener("pointerdown", this.onPointerdownManagementOfTabIndex)), e === -1 || this.disabled) {
                    this.setAttribute("tabindex", "-1"), this.removeAttribute("focusable"), e !== -1 && this.manageFocusElementTabindex(e);
                    return;
                }
                this.setAttribute("focusable", ""), this.hasAttribute("tabindex") ? this.removeAttribute("tabindex") : this.manipulatingTabindex = !1, this.manageFocusElementTabindex(e);
            }
        },
        {
            key: "onPointerdownManagementOfTabIndex",
            value: function onPointerdownManagementOfTabIndex() {
                var _this = this;
                this.tabIndex === -1 && setTimeout(function() {
                    _this.tabIndex = 0, _this.focus({
                        preventScroll: !0
                    }), _this.tabIndex = -1;
                });
            }
        },
        {
            key: "manageFocusElementTabindex",
            value: function manageFocusElementTabindex(e) {
                var _this = this;
                return _async_to_generator$D(function() {
                    var _tmp;
                    return _ts_generator$E(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _tmp = _this.focusElement;
                                if (_tmp) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 1:
                                _tmp = _state.sent();
                                _state.label = 2;
                            case 2:
                                e === null ? _this.focusElement.removeAttribute("tabindex") : _this.focusElement.tabIndex = e;
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "focusElement",
            get: function get() {
                throw new Error("Must implement focusElement getter!");
            }
        },
        {
            key: "focus",
            value: function focus(e) {
                this.disabled || !this.focusElement || (this.focusElement !== this ? this.focusElement.focus(e) : HTMLElement.prototype.focus.apply(this, [
                    e
                ]));
            }
        },
        {
            key: "blur",
            value: function blur() {
                var e = this.focusElement || this;
                e !== this ? e.blur() : HTMLElement.prototype.blur.apply(this);
            }
        },
        {
            key: "click",
            value: function click() {
                if (this.disabled) return;
                var e = this.focusElement || this;
                e !== this ? e.click() : HTMLElement.prototype.click.apply(this);
            }
        },
        {
            key: "manageAutoFocus",
            value: function manageAutoFocus() {
                this.autofocus && (this.dispatchEvent(new KeyboardEvent("keydown", {
                    code: "Tab"
                })), this.focusElement.focus());
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$19(_get_prototype_of$2k(Focusable.prototype), "firstUpdated", this).call(this, e), (!this.hasAttribute("tabindex") || this.getAttribute("tabindex") !== "-1") && this.setAttribute("focusable", "");
            }
        },
        {
            key: "update",
            value: function update(e) {
                e.has("disabled") && this.handleDisabledChanged(this.disabled, e.get("disabled")), _get$19(_get_prototype_of$2k(Focusable.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$19(_get_prototype_of$2k(Focusable.prototype), "updated", this).call(this, e), e.has("disabled") && this.disabled && this.blur();
            }
        },
        {
            key: "handleDisabledChanged",
            value: function handleDisabledChanged(e, t) {
                var _this = this;
                return _async_to_generator$D(function() {
                    var i, _tmp1;
                    return _ts_generator$E(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                i = function() {
                                    return _this.focusElement !== _this && typeof _this.focusElement.disabled != "undefined";
                                };
                                if (!e) return [
                                    3,
                                    2
                                ];
                                _this.manipulatingTabindex = !0, _this.setAttribute("tabindex", "-1");
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 1:
                                (_state.sent(), i() ? _this.focusElement.disabled = !0 : _this.setAttribute("aria-disabled", "true"));
                                return [
                                    3,
                                    5
                                ];
                            case 2:
                                _tmp1 = t;
                                if (!_tmp1) return [
                                    3,
                                    4
                                ];
                                _this.manipulatingTabindex = !0, _this.focusElement === _this ? _this.setAttribute("tabindex", "" + _this._tabIndex) : _this.removeAttribute("tabindex");
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 3:
                                _tmp1 = (_state.sent(), i() ? _this.focusElement.disabled = !1 : _this.removeAttribute("aria-disabled"));
                                _state.label = 4;
                            case 4:
                                _state.label = 5;
                            case 5:
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                var _this = this;
                var _this1 = this, _superprop_get_getUpdateComplete = function() {
                    return _get$19(_get_prototype_of$2k(Focusable.prototype), "getUpdateComplete", _this);
                };
                return _async_to_generator$D(function() {
                    var e;
                    return _ts_generator$E(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _superprop_get_getUpdateComplete().call(_this1)
                                ];
                            case 1:
                                e = _state.sent();
                                return [
                                    4,
                                    _this1.autofocusReady
                                ];
                            case 2:
                                return [
                                    2,
                                    (_state.sent(), e)
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                var _this = this;
                _get$19(_get_prototype_of$2k(Focusable.prototype), "connectedCallback", this).call(this), this.autofocus && (this.autofocusReady = new Promise(function() {
                    var _ref = _async_to_generator$D(function(e) {
                        return _ts_generator$E(this, function(_state) {
                            switch(_state.label){
                                case 0:
                                    return [
                                        4,
                                        u$J()
                                    ];
                                case 1:
                                    _state.sent();
                                    return [
                                        4,
                                        u$J()
                                    ];
                                case 2:
                                    _state.sent(), e();
                                    return [
                                        2
                                    ];
                            }
                        });
                    });
                    return function(e) {
                        return _ref.apply(this, arguments);
                    };
                }()), this.updateComplete.then(function() {
                    _this.manageAutoFocus();
                }));
            }
        }
    ]);
    return Focusable;
}(FocusVisiblePolyfillMixin(SpectrumElement));
n$o([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Focusable.prototype, "disabled", 2), n$o([
    n$r({
        type: Boolean
    })
], Focusable.prototype, "autofocus", 2), n$o([
    n$r({
        type: Number
    })
], Focusable.prototype, "tabIndex", 1);

/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var o$O = function(o) {
    return o !== null && o !== void 0 ? o : E$2;
};

/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function _array_like_to_array$M(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$z(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$M(arr);
}
function _class_call_check$2E(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2A(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2A(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2A(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2A(Constructor, staticProps);
    return Constructor;
}
function _iterable_to_array$z(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$z() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _to_consumable_array$z(arr) {
    return _array_without_holes$z(arr) || _iterable_to_array$z(arr) || _unsupported_iterable_to_array$M(arr) || _non_iterable_spread$z();
}
function _unsupported_iterable_to_array$M(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$M(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$M(o, minLen);
}
var t$x = {
    ATTRIBUTE: 1,
    CHILD: 2,
    PROPERTY: 3,
    BOOLEAN_ATTRIBUTE: 4,
    EVENT: 5,
    ELEMENT: 6
}, e$D = function(t) {
    return function() {
        for(var _len = arguments.length, e = new Array(_len), _key = 0; _key < _len; _key++){
            e[_key] = arguments[_key];
        }
        return {
            _$litDirective$: t,
            values: e
        };
    };
};
var i$k = /*#__PURE__*/ function() {
    function i(t) {
        _class_call_check$2E(this, i);
    }
    _create_class$2A(i, [
        {
            key: "_$AU",
            get: function get() {
                return this._$AM._$AU;
            }
        },
        {
            key: "_$AT",
            value: function _$AT(t, e, i) {
                this._$Ct = t, this._$AM = e, this._$Ci = i;
            }
        },
        {
            key: "_$AS",
            value: function _$AS(t, e) {
                return this.update(t, e);
            }
        },
        {
            key: "update",
            value: function update(t, e) {
                return this.render.apply(this, _to_consumable_array$z(e));
            }
        }
    ]);
    return i;
}();

/**
 * @license
 * Copyright 2020 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var t$w = Z.I, f$n = function(o) {
    return void 0 === o.strings;
}, s$f = function() {
    return document.createComment("");
}, r$y = function(o, i, n) {
    var e = o._$AA.parentNode, l = void 0 === i ? o._$AB : i._$AA;
    if (void 0 === n) {
        var _$i = e.insertBefore(s$f(), l), c = e.insertBefore(s$f(), l);
        n = new t$w(_$i, c, o, o.options);
    } else {
        var t1 = n._$AB.nextSibling, _$i1 = n._$AM, c1 = _$i1 !== o;
        if (c1) {
            var _n__$AQ;
            var t2;
            (_n__$AQ = n._$AQ) === null || _n__$AQ === void 0 ? void 0 : _n__$AQ.call(n, o), n._$AM = o, void 0 !== n._$AP && (t2 = o._$AU) !== _$i1._$AU && n._$AP(t2);
        }
        if (t1 !== l || c1) {
            var _$o = n._$AA;
            for(; _$o !== t1;){
                var t3 = _$o.nextSibling;
                e.insertBefore(_$o, l), _$o = t3;
            }
        }
    }
    return n;
}, v$i = function(o, t) {
    var i = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : o;
    return o._$AI(t, i), o;
}, u$I = {}, m$p = function(o) {
    var t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : u$I;
    return o._$AH = t;
}, p$F = function(o) {
    return o._$AH;
}, M$2 = function(o) {
    var _o__$AP;
    (_o__$AP = o._$AP) === null || _o__$AP === void 0 ? void 0 : _o__$AP.call(o, !1, !0);
    var t = o._$AA;
    var i = o._$AB.nextSibling;
    for(; t !== i;){
        var _$o = t.nextSibling;
        t.remove(), t = _$o;
    }
};

function _array_like_to_array$L(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$h(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$2j(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2D(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2z(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2z(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2z(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2z(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$2j(o) {
    _get_prototype_of$2j = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2j(o);
}
function _inherits$2j(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2j(subClass, superClass);
}
function _iterable_to_array_limit$h(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$h() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$2j(self, call) {
    if (call && (_type_of$2j(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2j(self);
}
function _set_prototype_of$2j(o, p) {
    _set_prototype_of$2j = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2j(o, p);
}
function _sliced_to_array$h(arr, i) {
    return _array_with_holes$h(arr) || _iterable_to_array_limit$h(arr, i) || _unsupported_iterable_to_array$L(arr, i) || _non_iterable_rest$h();
}
function _type_of$2j(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$L(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$L(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$L(o, minLen);
}
function _is_native_reflect_construct$2j() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2j(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2j();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2j(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2j(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2j(this, result);
    };
}
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var u$H = function(e, s, t) {
    var r = new Map;
    for(var l = s; l <= t; l++)r.set(e[l], l);
    return r;
}, c$y = e$D(/*#__PURE__*/ function(t) {
    _inherits$2j(_class, t);
    var _super = _create_super$2j(_class);
    function _class(e) {
        _class_call_check$2D(this, _class);
        var _this;
        if (_this = _super.call(this, e), e.type !== t$x.CHILD) throw Error("repeat() can only be used in text expressions");
        return _possible_constructor_return$2j(_this);
    }
    _create_class$2z(_class, [
        {
            key: "dt",
            value: function dt(e, s, t) {
                var r;
                void 0 === t ? t = s : void 0 !== s && (r = s);
                var l = [], o = [];
                var i = 0;
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = e[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var _$s = _step.value;
                        l[i] = r ? r(_$s, i) : i, o[i] = t(_$s, i), i++;
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
                return {
                    values: o,
                    keys: l
                };
            }
        },
        {
            key: "render",
            value: function render(e, s, t) {
                return this.dt(e, s, t).values;
            }
        },
        {
            key: "update",
            value: function update(s, param) {
                var _param = _sliced_to_array$h(param, 3), _$t = _param[0], r = _param[1], c = _param[2];
                var d = p$F(s), _this_dt = this.dt(_$t, r, c), p = _this_dt.values, a = _this_dt.keys;
                if (!Array.isArray(d)) return this.ut = a, p;
                var _this_ut;
                var h = (_this_ut = this.ut) !== null && _this_ut !== void 0 ? _this_ut : this.ut = [], v = [];
                var m, y, x = 0, j = d.length - 1, k = 0, w = p.length - 1;
                for(; x <= j && k <= w;)if (null === d[x]) x++;
                else if (null === d[j]) j--;
                else if (h[x] === a[k]) v[k] = v$i(d[x], p[k]), x++, k++;
                else if (h[j] === a[w]) v[w] = v$i(d[j], p[w]), j--, w--;
                else if (h[x] === a[w]) v[w] = v$i(d[x], p[w]), r$y(s, v[w + 1], d[x]), x++, w--;
                else if (h[j] === a[k]) v[k] = v$i(d[j], p[k]), r$y(s, d[x], d[j]), j--, k++;
                else if (void 0 === m && (m = u$H(a, k, w), y = u$H(h, x, j)), m.has(h[x])) if (m.has(h[j])) {
                    var _$e = y.get(a[k]), _$t1 = void 0 !== _$e ? d[_$e] : null;
                    if (null === _$t1) {
                        var _$e1 = r$y(s, d[x]);
                        v$i(_$e1, p[k]), v[k] = _$e1;
                    } else v[k] = v$i(_$t1, p[k]), r$y(s, d[x], _$t1), d[_$e] = null;
                    k++;
                } else M$2(d[j]), j--;
                else M$2(d[x]), x++;
                for(; k <= w;){
                    var _$e2 = r$y(s, v[w + 1]);
                    v$i(_$e2, p[k]), v[k++] = _$e2;
                }
                for(; x <= j;){
                    var _$e3 = d[x++];
                    null !== _$e3 && M$2(_$e3);
                }
                return this.ut = a, m$p(s, v), T$3;
            }
        }
    ]);
    return _class;
}(i$k));

function _array_like_to_array$K(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$g(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$2i(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2C(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2y(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2y(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2y(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2y(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$2i(o) {
    _get_prototype_of$2i = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2i(o);
}
function _inherits$2i(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2i(subClass, superClass);
}
function _iterable_to_array_limit$g(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$g() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$2i(self, call) {
    if (call && (_type_of$2i(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2i(self);
}
function _set_prototype_of$2i(o, p) {
    _set_prototype_of$2i = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2i(o, p);
}
function _sliced_to_array$g(arr, i) {
    return _array_with_holes$g(arr) || _iterable_to_array_limit$g(arr, i) || _unsupported_iterable_to_array$K(arr, i) || _non_iterable_rest$g();
}
function _type_of$2i(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$K(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$K(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$K(o, minLen);
}
function _is_native_reflect_construct$2i() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2i(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2i();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2i(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2i(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2i(this, result);
    };
}
/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var e$C = e$D(/*#__PURE__*/ function(i) {
    _inherits$2i(_class, i);
    var _super = _create_super$2i(_class);
    function _class(t) {
        _class_call_check$2C(this, _class);
        var _this;
        var _t_strings;
        if (_this = _super.call(this, t), t.type !== t$x.ATTRIBUTE || "class" !== t.name || ((_t_strings = t.strings) === null || _t_strings === void 0 ? void 0 : _t_strings.length) > 2) throw Error("`classMap()` can only be used in the `class` attribute and must be the only part in the attribute.");
        return _possible_constructor_return$2i(_this);
    }
    _create_class$2y(_class, [
        {
            key: "render",
            value: function render(t) {
                return " " + Object.keys(t).filter(function(s) {
                    return t[s];
                }).join(" ") + " ";
            }
        },
        {
            key: "update",
            value: function update(s, param) {
                var _param = _sliced_to_array$g(param, 1), _$i = _param[0];
                if (void 0 === this.st) {
                    var _this_nt;
                    this.st = new Set, void 0 !== s.strings && (this.nt = new Set(s.strings.join(" ").split(/\s/).filter(function(t) {
                        return "" !== t;
                    })));
                    for(var _$t in _$i)_$i[_$t] && !((_this_nt = this.nt) === null || _this_nt === void 0 ? void 0 : _this_nt.has(_$t)) && this.st.add(_$t);
                    return this.render(_$i);
                }
                var r = s.element.classList;
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = this.st[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var _$t1 = _step.value;
                        _$t1 in _$i || (r.remove(_$t1), this.st.delete(_$t1));
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
                for(var _$t2 in _$i){
                    var _this_nt1;
                    var _$s = !!_$i[_$t2];
                    _$s === this.st.has(_$t2) || ((_this_nt1 = this.nt) === null || _this_nt1 === void 0 ? void 0 : _this_nt1.has(_$t2)) || (_$s ? (r.add(_$t2), this.st.add(_$t2)) : (r.remove(_$t2), this.st.delete(_$t2)));
                }
                return T$3;
            }
        }
    ]);
    return _class;
}(i$k));

function _array_like_to_array$J(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$f(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$2h(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2B(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2x(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2x(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2x(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2x(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$2h(o) {
    _get_prototype_of$2h = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2h(o);
}
function _inherits$2h(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2h(subClass, superClass);
}
function _iterable_to_array_limit$f(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$f() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$2h(self, call) {
    if (call && (_type_of$2h(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2h(self);
}
function _set_prototype_of$2h(o, p) {
    _set_prototype_of$2h = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2h(o, p);
}
function _sliced_to_array$f(arr, i) {
    return _array_with_holes$f(arr) || _iterable_to_array_limit$f(arr, i) || _unsupported_iterable_to_array$J(arr, i) || _non_iterable_rest$f();
}
function _type_of$2h(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$J(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$J(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$J(o, minLen);
}
function _is_native_reflect_construct$2h() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2h(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2h();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2h(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2h(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2h(this, result);
    };
}
/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var n$n = "important", i$j = " !" + n$n, o$N = e$D(/*#__PURE__*/ function(r) {
    _inherits$2h(_class, r);
    var _super = _create_super$2h(_class);
    function _class(t) {
        _class_call_check$2B(this, _class);
        var _this;
        var _t_strings;
        if (_this = _super.call(this, t), t.type !== t$x.ATTRIBUTE || "style" !== t.name || ((_t_strings = t.strings) === null || _t_strings === void 0 ? void 0 : _t_strings.length) > 2) throw Error("The `styleMap` directive must be used in the `style` attribute and must be the only part in the attribute.");
        return _possible_constructor_return$2h(_this);
    }
    _create_class$2x(_class, [
        {
            key: "render",
            value: function render(t) {
                return Object.keys(t).reduce(function(e, r) {
                    var s = t[r];
                    return null == s ? e : e + "".concat(r = r.includes("-") ? r : r.replace(/(?:^(webkit|moz|ms|o)|)(?=[A-Z])/g, "-$&").toLowerCase(), ":").concat(s, ";");
                }, "");
            }
        },
        {
            key: "update",
            value: function update(e, param) {
                var _param = _sliced_to_array$f(param, 1), _$r = _param[0];
                var _e_element = e.element, s = _e_element.style;
                if (void 0 === this.ft) return this.ft = new Set(Object.keys(_$r)), this.render(_$r);
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = this.ft[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var _$t = _step.value;
                        null == _$r[_$t] && (this.ft.delete(_$t), _$t.includes("-") ? s.removeProperty(_$t) : s[_$t] = null);
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
                for(var _$t1 in _$r){
                    var _$e = _$r[_$t1];
                    if (null != _$e) {
                        this.ft.add(_$t1);
                        var _$r1 = "string" == typeof _$e && _$e.endsWith(i$j);
                        _$t1.includes("-") || _$r1 ? s.setProperty(_$t1, _$r1 ? _$e.slice(0, -11) : _$e, _$r1 ? n$n : "") : s[_$t1] = _$e;
                    }
                }
                return T$3;
            }
        }
    ]);
    return _class;
}(i$k));

function _array_like_to_array$I(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$y(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$I(arr);
}
function _assert_this_initialized$2g(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2A(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2w(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2w(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2w(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2w(Constructor, staticProps);
    return Constructor;
}
function _get$18(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$18 = Reflect.get;
    } else {
        _get$18 = function get(target, property, receiver) {
            var base = _super_prop_base$18(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$18(target, property, receiver || target);
}
function _get_prototype_of$2g(o) {
    _get_prototype_of$2g = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2g(o);
}
function _inherits$2g(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2g(subClass, superClass);
}
function _iterable_to_array$y(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$y() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$2g(self, call) {
    if (call && (_type_of$2g(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2g(self);
}
function _set_prototype_of$2g(o, p) {
    _set_prototype_of$2g = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2g(o, p);
}
function _super_prop_base$18(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2g(object);
        if (object === null) break;
    }
    return object;
}
function _to_consumable_array$y(arr) {
    return _array_without_holes$y(arr) || _iterable_to_array$y(arr) || _unsupported_iterable_to_array$I(arr) || _non_iterable_spread$y();
}
function _type_of$2g(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$I(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$I(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$I(o, minLen);
}
function _is_native_reflect_construct$2g() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2g(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2g();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2g(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2g(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2g(this, result);
    };
}
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var s$e = function(i, t) {
    var _i__$AO;
    var e = i._$AN;
    if (void 0 === e) return !1;
    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
    try {
        for(var _iterator = e[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
            var _$i = _step.value;
            (_i__$AO = _$i._$AO) === null || _i__$AO === void 0 ? void 0 : _i__$AO.call(_$i, t, !1), s$e(_$i, t);
        }
    } catch (err) {
        _didIteratorError = true;
        _iteratorError = err;
    } finally{
        try {
            if (!_iteratorNormalCompletion && _iterator.return != null) {
                _iterator.return();
            }
        } finally{
            if (_didIteratorError) {
                throw _iteratorError;
            }
        }
    }
    return !0;
}, o$M = function(i) {
    var _$t, e;
    do {
        if (void 0 === (_$t = i._$AM)) break;
        e = _$t._$AN, e.delete(i), i = _$t;
    }while (0 === (e === null || e === void 0 ? void 0 : e.size));
}, r$x = function(i) {
    for(var _$t; _$t = i._$AM; i = _$t){
        var e = _$t._$AN;
        if (void 0 === e) _$t._$AN = e = new Set;
        else if (e.has(i)) break;
        e.add(i), c$x(_$t);
    }
};
function h$m(i) {
    void 0 !== this._$AN ? (o$M(this), this._$AM = i, r$x(this)) : this._$AM = i;
}
function n$m(i) {
    var _$t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : !1, e = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : 0;
    var r = this._$AH, h = this._$AN;
    if (void 0 !== h && 0 !== h.size) if (_$t) if (Array.isArray(r)) for(var _$i = e; _$i < r.length; _$i++)s$e(r[_$i], !1), o$M(r[_$i]);
    else null != r && (s$e(r, !1), o$M(r));
    else s$e(this, i);
}
var c$x = function(i) {
    var _i, _i1;
    var __$AP, __$AQ;
    i.type == t$x.CHILD && ((__$AP = (_i = i)._$AP) !== null && __$AP !== void 0 ? __$AP : _i._$AP = n$m, (__$AQ = (_i1 = i)._$AQ) !== null && __$AQ !== void 0 ? __$AQ : _i1._$AQ = h$m);
};
var f$m = /*#__PURE__*/ function(t) {
    _inherits$2g(f, t);
    var _super = _create_super$2g(f);
    function f() {
        _class_call_check$2A(this, f);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments))), _this._$AN = void 0;
        return _possible_constructor_return$2g(_this);
    }
    _create_class$2w(f, [
        {
            key: "_$AT",
            value: function _$AT(i, t, e) {
                _get$18(_get_prototype_of$2g(f.prototype), "_$AT", this).call(this, i, t, e), r$x(this), this.isConnected = i._$AU;
            }
        },
        {
            key: "_$AO",
            value: function _$AO(i) {
                var _$t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : !0;
                var _this_reconnected, _this, _this_disconnected, _this1;
                i !== this.isConnected && (this.isConnected = i, i ? (_this_reconnected = (_this = this).reconnected) === null || _this_reconnected === void 0 ? void 0 : _this_reconnected.call(_this) : (_this_disconnected = (_this1 = this).disconnected) === null || _this_disconnected === void 0 ? void 0 : _this_disconnected.call(_this1)), _$t && (s$e(this, i), o$M(this));
            }
        },
        {
            key: "setValue",
            value: function setValue(t) {
                if (f$n(this._$Ct)) this._$Ct._$AI(t, this);
                else {
                    var _$i = _to_consumable_array$y(this._$Ct._$AH);
                    _$i[this._$Ci] = t, this._$Ct._$AI(_$i, this, 0);
                }
            }
        },
        {
            key: "disconnected",
            value: function disconnected() {}
        },
        {
            key: "reconnected",
            value: function reconnected() {}
        }
    ]);
    return f;
}(i$k);

function _array_like_to_array$H(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$e(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$2f(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2z(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2v(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2v(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2v(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2v(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$2f(o) {
    _get_prototype_of$2f = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2f(o);
}
function _inherits$2f(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2f(subClass, superClass);
}
function _iterable_to_array_limit$e(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$e() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$2f(self, call) {
    if (call && (_type_of$2f(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2f(self);
}
function _set_prototype_of$2f(o, p) {
    _set_prototype_of$2f = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2f(o, p);
}
function _sliced_to_array$e(arr, i) {
    return _array_with_holes$e(arr) || _iterable_to_array_limit$e(arr, i) || _unsupported_iterable_to_array$H(arr, i) || _non_iterable_rest$e();
}
function _type_of$2f(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$H(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$H(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$H(o, minLen);
}
function _is_native_reflect_construct$2f() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2f(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2f();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2f(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2f(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2f(this, result);
    };
}
/**
 * @license
 * Copyright 2020 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var l$e = e$D(/*#__PURE__*/ function(t) {
    _inherits$2f(_class, t);
    var _super = _create_super$2f(_class);
    function _class(r) {
        _class_call_check$2z(this, _class);
        var _this;
        if (_this = _super.call(this, r), r.type !== t$x.PROPERTY && r.type !== t$x.ATTRIBUTE && r.type !== t$x.BOOLEAN_ATTRIBUTE) throw Error("The `live` directive is not allowed on child or event bindings");
        if (!f$n(r)) throw Error("`live` bindings can only contain a single expression");
        return _possible_constructor_return$2f(_this);
    }
    _create_class$2v(_class, [
        {
            key: "render",
            value: function render(r) {
                return r;
            }
        },
        {
            key: "update",
            value: function update(i, param) {
                var _param = _sliced_to_array$e(param, 1), _$t = _param[0];
                if (_$t === T$3 || _$t === E$2) return _$t;
                var o = i.element, l = i.name;
                if (i.type === t$x.PROPERTY) {
                    if (_$t === o[l]) return T$3;
                } else if (i.type === t$x.BOOLEAN_ATTRIBUTE) {
                    if (!!_$t === o.hasAttribute(l)) return T$3;
                } else if (i.type === t$x.ATTRIBUTE && o.getAttribute(l) === _$t + "") return T$3;
                return m$p(i), _$t;
            }
        }
    ]);
    return _class;
}(i$k));

/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function n$l(n, r, t) {
    return n ? r(n) : t === null || t === void 0 ? void 0 : t(n);
}

/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function _ts_generator$D(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function o$L(o, t) {
    var f, i, _iteratorNormalCompletion, _didIteratorError, _iteratorError, _iterator, _step, n, _tmp, err;
    return _ts_generator$D(this, function(_state) {
        switch(_state.label){
            case 0:
                f = "function" == typeof t;
                if (!(void 0 !== o)) return [
                    3,
                    10
                ];
                i = -1;
                _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                _state.label = 1;
            case 1:
                _state.trys.push([
                    1,
                    8,
                    9,
                    10
                ]);
                _iterator = o[Symbol.iterator]();
                _state.label = 2;
            case 2:
                if (!!(_iteratorNormalCompletion = (_step = _iterator.next()).done)) return [
                    3,
                    7
                ];
                n = _step.value;
                _tmp = i > -1;
                if (!_tmp) return [
                    3,
                    4
                ];
                return [
                    4,
                    f ? t(i) : t
                ];
            case 3:
                _tmp = _state.sent();
                _state.label = 4;
            case 4:
                i++;
                return [
                    4,
                    n
                ];
            case 5:
                _state.sent();
                _state.label = 6;
            case 6:
                _iteratorNormalCompletion = true;
                return [
                    3,
                    2
                ];
            case 7:
                return [
                    3,
                    10
                ];
            case 8:
                err = _state.sent();
                _didIteratorError = true;
                _iteratorError = err;
                return [
                    3,
                    10
                ];
            case 9:
                try {
                    if (!_iteratorNormalCompletion && _iterator.return != null) {
                        _iterator.return();
                    }
                } finally{
                    if (_didIteratorError) {
                        throw _iteratorError;
                    }
                }
                return [
                    7
                ];
            case 10:
                return [
                    2
                ];
        }
    });
}

function _tagged_template_literal$3z(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3z() {
    var data = _tagged_template_literal$3z([
        "\n    :host{--spectrum-icon-inline-size:var(--mod-icon-inline-size,var(--mod-icon-size,var(--spectrum-icon-size)));--spectrum-icon-block-size:var(--mod-icon-block-size,var(--mod-icon-size,var(--spectrum-icon-size)));inline-size:var(--spectrum-icon-inline-size);block-size:var(--spectrum-icon-block-size);color:var(--mod-icon-color,inherit);fill:currentColor;pointer-events:none;display:inline-block}:host(:not(:root)){overflow:hidden}@media (forced-colors:active){:host{forced-color-adjust:auto}}:host{--spectrum-icon-size:var(--spectrum-workflow-icon-size-100)}:host([size=xxs]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-xxs)}:host([size=xs]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-50)}:host([size=s]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-75)}:host([size=l]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-200)}:host([size=xl]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-300)}:host([size=xxl]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-xxl)}:host{--spectrum-icon-size:inherit;--spectrum-icon-inline-size:var(--mod-icon-inline-size,var(--mod-icon-size,var(--_spectrum-icon-size)));--spectrum-icon-block-size:var(--mod-icon-block-size,var(--mod-icon-size,var(--_spectrum-icon-size)));--_spectrum-icon-size:var(--spectrum-icon-size,var(--spectrum-workflow-icon-size-100))}#container{height:100%}img,svg,::slotted(*){vertical-align:top;color:inherit;width:100%;height:100%}@media (forced-colors:active){img,svg,::slotted(*){forced-color-adjust:auto}}:host([size=xxs]){--_spectrum-icon-size:var(--spectrum-icon-size,var(--spectrum-workflow-icon-size-xxs))}:host([size=xs]){--_spectrum-icon-size:var(--spectrum-icon-size,var(--spectrum-workflow-icon-size-50))}:host([size=s]){--_spectrum-icon-size:var(--spectrum-icon-size,var(--spectrum-workflow-icon-size-75))}:host([size=l]){--_spectrum-icon-size:var(--spectrum-icon-size,var(--spectrum-workflow-icon-size-200))}:host([size=xl]){--_spectrum-icon-size:var(--spectrum-icon-size,var(--spectrum-workflow-icon-size-300))}:host([size=xxl]){--_spectrum-icon-size:var(--spectrum-icon-size,var(--spectrum-workflow-icon-size-xxl))}\n"
    ]);
    _templateObject$3z = function _templateObject() {
        return data;
    };
    return data;
}
var s$d = i$p(_templateObject$3z());
var c$w = s$d;

function _assert_this_initialized$2e(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2y(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2u(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2u(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2u(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2u(Constructor, staticProps);
    return Constructor;
}
function _get$17(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$17 = Reflect.get;
    } else {
        _get$17 = function get(target, property, receiver) {
            var base = _super_prop_base$17(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$17(target, property, receiver || target);
}
function _get_prototype_of$2e(o) {
    _get_prototype_of$2e = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2e(o);
}
function _inherits$2e(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2e(subClass, superClass);
}
function _possible_constructor_return$2e(self, call) {
    if (call && (_type_of$2e(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2e(self);
}
function _set_prototype_of$2e(o, p) {
    _set_prototype_of$2e = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2e(o, p);
}
function _super_prop_base$17(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2e(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$3y(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$2e(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2e() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2e(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2e();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2e(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2e(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2e(this, result);
    };
}
function _templateObject$3y() {
    var data = _tagged_template_literal$3y([
        "\n            <slot></slot>\n        "
    ]);
    _templateObject$3y = function _templateObject() {
        return data;
    };
    return data;
}
var a$n = Object.defineProperty;
var d$x = Object.getOwnPropertyDescriptor;
var p$E = function(i, r, t, l) {
    for(var e = l > 1 ? void 0 : l ? d$x(r, t) : r, s = i.length - 1, o; s >= 0; s--)(o = i[s]) && (e = (l ? o(r, t, e) : o(e)) || e);
    return l && e && a$n(r, t, e), e;
};
var IconBase = /*#__PURE__*/ function(b) {
    _inherits$2e(IconBase, b);
    var _super = _create_super$2e(IconBase);
    function IconBase() {
        _class_call_check$2y(this, IconBase);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.label = "";
        return _this;
    }
    _create_class$2u(IconBase, [
        {
            key: "update",
            value: function update(t) {
                t.has("label") && (this.label ? this.removeAttribute("aria-hidden") : this.setAttribute("aria-hidden", "true")), _get$17(_get_prototype_of$2e(IconBase.prototype), "update", this).call(this, t);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$3y());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    c$w
                ];
            }
        }
    ]);
    return IconBase;
}(SpectrumElement);
p$E([
    n$r()
], IconBase.prototype, "label", 2), p$E([
    n$r({
        reflect: !0
    })
], IconBase.prototype, "size", 2);

function _class_call_check$2x(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2t(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2t(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2t(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2t(Constructor, staticProps);
    return Constructor;
}
var IconsetRegistry = /*#__PURE__*/ function() {
    function IconsetRegistry() {
        _class_call_check$2x(this, IconsetRegistry);
        this.iconsetMap = new Map;
    }
    _create_class$2t(IconsetRegistry, [
        {
            key: "addIconset",
            value: function addIconset(e, t) {
                this.iconsetMap.set(e, t);
                var n = new CustomEvent("sp-iconset-added", {
                    bubbles: !0,
                    composed: !0,
                    detail: {
                        name: e,
                        iconset: t
                    }
                });
                setTimeout(function() {
                    return window.dispatchEvent(n);
                }, 0);
            }
        },
        {
            key: "removeIconset",
            value: function removeIconset(e) {
                this.iconsetMap.delete(e);
                var t = new CustomEvent("sp-iconset-removed", {
                    bubbles: !0,
                    composed: !0,
                    detail: {
                        name: e
                    }
                });
                setTimeout(function() {
                    return window.dispatchEvent(t);
                }, 0);
            }
        },
        {
            key: "getIconset",
            value: function getIconset(e) {
                return this.iconsetMap.get(e);
            }
        }
    ], [
        {
            key: "getInstance",
            value: function getInstance() {
                return IconsetRegistry.instance || (IconsetRegistry.instance = new IconsetRegistry), IconsetRegistry.instance;
            }
        }
    ]);
    return IconsetRegistry;
} 
();

function _assert_this_initialized$2d(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$C(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$C(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$C(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$C(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$2w(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2s(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2s(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2s(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2s(Constructor, staticProps);
    return Constructor;
}
function _get$16(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$16 = Reflect.get;
    } else {
        _get$16 = function get(target, property, receiver) {
            var base = _super_prop_base$16(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$16(target, property, receiver || target);
}
function _get_prototype_of$2d(o) {
    _get_prototype_of$2d = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2d(o);
}
function _inherits$2d(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2d(subClass, superClass);
}
function _possible_constructor_return$2d(self, call) {
    if (call && (_type_of$2d(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2d(self);
}
function _set_prototype_of$2d(o, p) {
    _set_prototype_of$2d = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2d(o, p);
}
function _super_prop_base$16(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2d(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$3x(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$2d(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2d() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2d(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2d();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2d(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2d(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2d(this, result);
    };
}
function _ts_generator$C(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$3x() {
    var data = _tagged_template_literal$3x([
        '\n                <div id="container"></div>\n            '
    ]);
    _templateObject$3x = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$J() {
    var data = _tagged_template_literal$3x([
        '\n                <img\n                    src="',
        '"\n                    alt=',
        "\n                    @error=",
        "\n                />\n            "
    ]);
    _templateObject1$J = function _templateObject() {
        return data;
    };
    return data;
}
var p$D = Object.defineProperty;
var l$d = Object.getOwnPropertyDescriptor;
var o$K = function(s, r, e, t) {
    for(var i = t > 1 ? void 0 : t ? l$d(r, e) : r, n = s.length - 1, a; n >= 0; n--)(a = s[n]) && (i = (t ? a(r, e, i) : a(i)) || i);
    return t && i && p$D(r, e, i), i;
};
var Icon = /*#__PURE__*/ function(v) {
    _inherits$2d(Icon, v);
    var _super = _create_super$2d(Icon);
    function Icon() {
        _class_call_check$2w(this, Icon);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.iconsetListener = function(e) {
            if (!_this.name) return;
            var t = _this.parseIcon(_this.name);
            e.detail.name === t.iconset && (_this.updateIconPromise = _this.updateIcon());
        };
        return _this;
    }
    _create_class$2s(Icon, [
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                _get$16(_get_prototype_of$2d(Icon.prototype), "connectedCallback", this).call(this), window.addEventListener("sp-iconset-added", this.iconsetListener);
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                _get$16(_get_prototype_of$2d(Icon.prototype), "disconnectedCallback", this).call(this), window.removeEventListener("sp-iconset-added", this.iconsetListener);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated() {
                this.updateIconPromise = this.updateIcon();
            }
        },
        {
            key: "attributeChangedCallback",
            value: function attributeChangedCallback(e, t, i) {
                _get$16(_get_prototype_of$2d(Icon.prototype), "attributeChangedCallback", this).call(this, e, t, i), this.updateIconPromise = this.updateIcon();
            }
        },
        {
            key: "announceIconImageSrcError",
            value: function announceIconImageSrcError() {
                this.dispatchEvent(new Event("error", {
                    cancelable: !1,
                    bubbles: !1,
                    composed: !1
                }));
            }
        },
        {
            key: "render",
            value: function render() {
                return this.name ? x$3(_templateObject$3x()) : this.src ? x$3(_templateObject1$J(), this.src, o$O(this.label), this.announceIconImageSrcError) : _get$16(_get_prototype_of$2d(Icon.prototype), "render", this).call(this);
            }
        },
        {
            key: "updateIcon",
            value: function updateIcon() {
                var _this = this;
                return _async_to_generator$C(function() {
                    var _tmp, e, t;
                    return _ts_generator$C(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _tmp = _this.updateIconPromise;
                                if (!_tmp) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    _this.updateIconPromise
                                ];
                            case 1:
                                _tmp = _state.sent();
                                _state.label = 2;
                            case 2:
                                if (!_this.name) return [
                                    2,
                                    Promise.resolve()
                                ];
                                e = _this.parseIcon(_this.name), t = IconsetRegistry.getInstance().getIconset(e.iconset);
                                return [
                                    2,
                                    !t || !_this.iconContainer ? Promise.resolve() : (_this.iconContainer.innerHTML = "", t.applyIconToElement(_this.iconContainer, e.icon, _this.size || "", _this.label ? _this.label : ""))
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "parseIcon",
            value: function parseIcon(e) {
                var t = e.split(":");
                var i = "default", n = e;
                return t.length > 1 && (i = t[0], n = t[1]), {
                    iconset: i,
                    icon: n
                };
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                var _this = this;
                var _this1 = this, _superprop_get_getUpdateComplete = function() {
                    return _get$16(_get_prototype_of$2d(Icon.prototype), "getUpdateComplete", _this);
                };
                return _async_to_generator$C(function() {
                    var e;
                    return _ts_generator$C(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _superprop_get_getUpdateComplete().call(_this1)
                                ];
                            case 1:
                                e = _state.sent();
                                return [
                                    4,
                                    _this1.updateIconPromise
                                ];
                            case 2:
                                return [
                                    2,
                                    (_state.sent(), e)
                                ];
                        }
                    });
                })();
            }
        }
    ]);
    return Icon;
}(IconBase);
o$K([
    n$r()
], Icon.prototype, "src", 2), o$K([
    n$r()
], Icon.prototype, "name", 2), o$K([
    e$F("#container")
], Icon.prototype, "iconContainer", 2);

function _array_like_to_array$G(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$x(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$G(arr);
}
function _iterable_to_array$x(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$x() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _to_consumable_array$x(arr) {
    return _array_without_holes$x(arr) || _iterable_to_array$x(arr) || _unsupported_iterable_to_array$G(arr) || _non_iterable_spread$x();
}
function _unsupported_iterable_to_array$G(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$G(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$G(o, minLen);
}
var t$v;
var tag$1 = function tag(e) {
    for(var _len = arguments.length, a = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++){
        a[_key - 1] = arguments[_key];
    }
    return t$v ? t$v.apply(void 0, [
        e
    ].concat(_to_consumable_array$x(a))) : a.reduce(function(r, p, l) {
        return r + p + e[l + 1];
    }, e[0]);
}, setCustomTemplateLiteralTag$1 = function(e) {
    t$v = e;
};

function _tagged_template_literal$3w(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3w() {
    var data = _tagged_template_literal$3w([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 10 10"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="M3 9.95a.875.875 0 0 1-.615-1.498L5.88 5 2.385 1.547A.875.875 0 0 1 3.615.302L7.74 4.377a.876.876 0 0 1 0 1.246L3.615 9.698A.87.87 0 0 1 3 9.95"\n    />\n  </svg>'
    ]);
    _templateObject$3w = function _templateObject() {
        return data;
    };
    return data;
}
var Chevron100Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Chevron100" : tmp2;
    return tag$1(_templateObject$3w(), r, t, e);
};

function _assert_this_initialized$2c(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2v(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2r(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2r(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2r(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2r(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$2c(o) {
    _get_prototype_of$2c = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2c(o);
}
function _inherits$2c(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2c(subClass, superClass);
}
function _possible_constructor_return$2c(self, call) {
    if (call && (_type_of$2c(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2c(self);
}
function _set_prototype_of$2c(o, p) {
    _set_prototype_of$2c = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2c(o, p);
}
function _type_of$2c(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2c() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2c(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2c();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2c(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2c(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2c(this, result);
    };
}
var IconChevron100 = /*#__PURE__*/ function(t) {
    _inherits$2c(IconChevron100, t);
    var _super = _create_super$2c(IconChevron100);
    function IconChevron100() {
        _class_call_check$2v(this, IconChevron100);
        return _super.apply(this, arguments);
    }
    _create_class$2r(IconChevron100, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Chevron100Icon();
            }
        }
    ]);
    return IconChevron100;
} 
(IconBase);

defineElement("sp-icon-chevron100", IconChevron100);

function _tagged_template_literal$3v(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3v() {
    var data = _tagged_template_literal$3v([
        "\n    .spectrum-UIIcon-ChevronRight50{--spectrum-icon-size:var(--spectrum-chevron-icon-size-50)}.spectrum-UIIcon-ChevronRight75{--spectrum-icon-size:var(--spectrum-chevron-icon-size-75)}.spectrum-UIIcon-ChevronRight100{--spectrum-icon-size:var(--spectrum-chevron-icon-size-100)}.spectrum-UIIcon-ChevronRight200{--spectrum-icon-size:var(--spectrum-chevron-icon-size-200)}.spectrum-UIIcon-ChevronRight300{--spectrum-icon-size:var(--spectrum-chevron-icon-size-300)}.spectrum-UIIcon-ChevronRight400{--spectrum-icon-size:var(--spectrum-chevron-icon-size-400)}.spectrum-UIIcon-ChevronRight500{--spectrum-icon-size:var(--spectrum-chevron-icon-size-500)}.spectrum-UIIcon-ChevronDown50{--spectrum-icon-size:var(--spectrum-chevron-icon-size-50);transform:rotate(90deg)}.spectrum-UIIcon-ChevronDown75{--spectrum-icon-size:var(--spectrum-chevron-icon-size-75);transform:rotate(90deg)}.spectrum-UIIcon-ChevronDown100{--spectrum-icon-size:var(--spectrum-chevron-icon-size-100);transform:rotate(90deg)}.spectrum-UIIcon-ChevronDown200{--spectrum-icon-size:var(--spectrum-chevron-icon-size-200);transform:rotate(90deg)}.spectrum-UIIcon-ChevronDown300{--spectrum-icon-size:var(--spectrum-chevron-icon-size-300);transform:rotate(90deg)}.spectrum-UIIcon-ChevronDown400{--spectrum-icon-size:var(--spectrum-chevron-icon-size-400);transform:rotate(90deg)}.spectrum-UIIcon-ChevronDown500{--spectrum-icon-size:var(--spectrum-chevron-icon-size-500);transform:rotate(90deg)}.spectrum-UIIcon-ChevronLeft50{--spectrum-icon-size:var(--spectrum-chevron-icon-size-50);transform:rotate(180deg)}.spectrum-UIIcon-ChevronLeft75{--spectrum-icon-size:var(--spectrum-chevron-icon-size-75);transform:rotate(180deg)}.spectrum-UIIcon-ChevronLeft100{--spectrum-icon-size:var(--spectrum-chevron-icon-size-100);transform:rotate(180deg)}.spectrum-UIIcon-ChevronLeft200{--spectrum-icon-size:var(--spectrum-chevron-icon-size-200);transform:rotate(180deg)}.spectrum-UIIcon-ChevronLeft300{--spectrum-icon-size:var(--spectrum-chevron-icon-size-300);transform:rotate(180deg)}.spectrum-UIIcon-ChevronLeft400{--spectrum-icon-size:var(--spectrum-chevron-icon-size-400);transform:rotate(180deg)}.spectrum-UIIcon-ChevronLeft500{--spectrum-icon-size:var(--spectrum-chevron-icon-size-500);transform:rotate(180deg)}.spectrum-UIIcon-ChevronUp50{--spectrum-icon-size:var(--spectrum-chevron-icon-size-50);transform:rotate(270deg)}.spectrum-UIIcon-ChevronUp75{--spectrum-icon-size:var(--spectrum-chevron-icon-size-75);transform:rotate(270deg)}.spectrum-UIIcon-ChevronUp100{--spectrum-icon-size:var(--spectrum-chevron-icon-size-100);transform:rotate(270deg)}.spectrum-UIIcon-ChevronUp200{--spectrum-icon-size:var(--spectrum-chevron-icon-size-200);transform:rotate(270deg)}.spectrum-UIIcon-ChevronUp300{--spectrum-icon-size:var(--spectrum-chevron-icon-size-300);transform:rotate(270deg)}.spectrum-UIIcon-ChevronUp400{--spectrum-icon-size:var(--spectrum-chevron-icon-size-400);transform:rotate(270deg)}.spectrum-UIIcon-ChevronUp500{--spectrum-icon-size:var(--spectrum-chevron-icon-size-500);transform:rotate(270deg)}\n"
    ]);
    _templateObject$3v = function _templateObject() {
        return data;
    };
    return data;
}
var r$w = i$p(_templateObject$3v());
var C$6 = r$w;

function _tagged_template_literal$3u(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3u() {
    var data = _tagged_template_literal$3u([
        '\n    :host{z-index:inherit;min-block-size:var(--mod-accordion-item-height,var(--spectrum-accordion-item-height));min-inline-size:var(--mod-accordion-item-width,var(--spectrum-accordion-item-width));border-block-end:1px solid #0000;border-color:var(--mod-accordion-divider-color,var(--spectrum-accordion-divider-color));border-width:var(--mod-accordion-divider-thickness,var(--spectrum-divider-thickness-small));margin:0;position:relative}:host(:first-child){border-block-start:1px solid #0000;border-color:var(--mod-accordion-divider-color,var(--spectrum-accordion-divider-color));border-width:var(--mod-accordion-divider-thickness,var(--spectrum-divider-thickness-small))}#heading{box-sizing:border-box;margin:0;position:relative}.iconContainer{inline-size:var(--mod-accordion-disclosure-indicator-height,var(--spectrum-accordion-disclosure-indicator-height));block-size:var(--mod-accordion-disclosure-indicator-height,var(--spectrum-accordion-disclosure-indicator-height));color:var(--mod-accordion-item-header-color-default,var(--spectrum-accordion-item-header-color-default));justify-content:center;align-items:center;padding-inline-start:var(--mod-accordion-edge-to-disclosure-indicator-space,var(--spectrum-accordion-edge-to-disclosure-indicator-space));display:flex;position:absolute;inset-block-start:max(0px,calc(( var(--mod-accordion-min-block-size,var(--spectrum-accordion-min-block-size)) - var(--mod-accordion-disclosure-indicator-height,var(--spectrum-accordion-disclosure-indicator-height)))/2))}.iconContainer:dir(rtl),:host([dir=rtl]) .iconContainer{transform:scaleX(-1)}#content{padding-block:var(--mod-accordion-item-content-area-top-to-content,var(--spectrum-accordion-item-content-area-top-to-content))var(--mod-accordion-item-content-area-bottom-to-content,var(--spectrum-accordion-item-content-area-bottom-to-content));padding-inline:var(--mod-accordion-component-edge-to-text,var(--spectrum-accordion-component-edge-to-text))var(--mod-accordion-component-edge-to-text,var(--spectrum-accordion-component-edge-to-text));color:var(--mod-accordion-item-content-color,var(--spectrum-accordion-item-content-color));font-weight:var(--mod-accordion-item-content-font-weight,var(--spectrum-accordion-item-content-font-weight));font-style:var(--mod-accordion-item-content-font-style,var(--spectrum-accordion-item-content-font-style));font-size:var(--mod-accordion-item-content-font-size,var(--spectrum-accordion-item-content-font-size));font-family:var(--mod-accordion-item-content-font,var(--spectrum-accordion-item-content-font));line-height:var(--mod-accordion-item-content-line-height,var(--spectrum-accordion-item-content-line-height));display:none}#header{box-sizing:border-box;padding-block:var(--mod-accordion-item-header-top-to-text-space,var(--spectrum-accordion-item-header-top-to-text-space))var(--mod-accordion-item-header-bottom-to-text-space,var(--spectrum-accordion-item-header-bottom-to-text-space));min-block-size:var(--mod-accordion-min-block-size,var(--spectrum-accordion-min-block-size));line-height:var(--mod-accordion-item-header-line-height,var(--spectrum-accordion-item-header-line-height));text-overflow:ellipsis;cursor:pointer;font-size:var(--mod-accordion-item-header-font-size,var(--spectrum-accordion-item-header-font-size));font-weight:var(--mod-accordion-item-header-font-weight,var(--spectrum-accordion-item-header-font-weight));font-style:var(--mod-accordion-item-header-font-style,var(--spectrum-accordion-item-header-font-style));font-family:var(--mod-accordion-item-header-font,var(--spectrum-accordion-item-header-font));appearance:none;text-align:start;color:var(--mod-accordion-item-header-color-default,var(--spectrum-accordion-item-header-color-default));background-color:var(--mod-accordion-background-color-default,var(--spectrum-accordion-background-color-default));border:0;justify-content:flex-start;align-items:center;inline-size:100%;padding-inline-start:calc(var(--mod-accordion-disclosure-indicator-to-text-space,var(--spectrum-accordion-disclosure-indicator-to-text-space)) + var(--mod-accordion-disclosure-indicator-height,var(--spectrum-accordion-disclosure-indicator-height)));padding-inline-end:var(--mod-accordion-edge-to-text-space,var(--spectrum-accordion-edge-to-text-space));display:flex;position:relative}#header:focus{outline:none}#header:focus:after{content:"";position:absolute;inset-inline-start:0}#header:focus-visible{border-radius:var(--mod-accordion-corner-radius,var(--spectrum-accordion-corner-radius));outline:var(--mod-accordion-focus-indicator-thickness,var(--spectrum-accordion-focus-indicator-thickness))solid var(--mod-accordion-focus-indicator-color,var(--spectrum-accordion-focus-indicator-color));background-color:var(--mod-accordion-background-color-key-focus,var(--spectrum-accordion-background-color-key-focus));color:var(--mod-accordion-item-header-color-key-focus,var(--spectrum-accordion-item-header-color-key-focus));outline-offset:calc(var(--mod-accordion-focus-indicator-gap,var(--spectrum-accordion-focus-indicator-gap))*-1)}#header:active{background-color:var(--mod-accordion-background-color-down,var(--spectrum-accordion-background-color-down));color:var(--mod-accordion-item-header-color-down,var(--spectrum-accordion-item-header-color-down))}:host([disabled]) #header,:host([disabled]) #header:focus-visible{color:var(--mod-accordion-item-header-disabled-color,var(--spectrum-accordion-item-header-disabled-color));background-color:initial}@media (hover:hover){#header:hover{background-color:var(--mod-accordion-background-color-hover,var(--spectrum-accordion-background-color-hover))}#header:hover,#header:hover+.iconContainer{color:var(--mod-accordion-item-header-color-hover,var(--spectrum-accordion-item-header-color-hover))}:host([open]) #header:hover{background-color:var(--mod-accordion-background-color-hover,var(--spectrum-accordion-background-color-hover))}:host([disabled]) #header:hover{color:var(--mod-accordion-item-header-disabled-color,var(--spectrum-accordion-item-header-disabled-color));background-color:initial}}:host([disabled]) #header+.iconContainer{color:var(--mod-accordion-item-header-disabled-color,var(--spectrum-accordion-item-header-disabled-color))}:host([disabled]) #content{color:var(--mod-accordion-item-content-disabled-color,var(--spectrum-accordion-item-content-disabled-color))}@media (forced-colors:active){#header:after{forced-color-adjust:none;content:"";position:absolute;inset-inline-start:0}}:host([open])>#heading>.iconContainer>.indicator,:host([open])>.iconContainer>.indicator{transform:var(--spectrum-logical-rotation,)rotate(90deg)}:host([open])>#content{display:block}:host([disabled]) #header{cursor:default}:host{display:block}#heading{height:auto;position:relative}:host([disabled]) #heading .indicator{color:var(--mod-accordion-item-header-disabled-color,var(--spectrum-accordion-item-header-disabled-color))}\n'
    ]);
    _templateObject$3u = function _templateObject() {
        return data;
    };
    return data;
}
var r$v = i$p(_templateObject$3u());
var b$g = r$v;

function _assert_this_initialized$2b(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2u(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2q(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2q(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2q(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2q(Constructor, staticProps);
    return Constructor;
}
function _get$15(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$15 = Reflect.get;
    } else {
        _get$15 = function get(target, property, receiver) {
            var base = _super_prop_base$15(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$15(target, property, receiver || target);
}
function _get_prototype_of$2b(o) {
    _get_prototype_of$2b = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2b(o);
}
function _inherits$2b(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2b(subClass, superClass);
}
function _possible_constructor_return$2b(self, call) {
    if (call && (_type_of$2b(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2b(self);
}
function _set_prototype_of$2b(o, p) {
    _set_prototype_of$2b = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2b(o, p);
}
function _super_prop_base$15(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2b(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$3t(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$2b(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2b() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2b(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2b();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2b(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2b(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2b(this, result);
    };
}
function _templateObject$3t() {
    var data = _tagged_template_literal$3t([
        '\n        <span class="iconContainer">\n            <sp-icon-chevron100\n                class="indicator spectrum-UIIcon-ChevronRight75"\n                slot="icon"\n            ></sp-icon-chevron100>\n        </span>\n    '
    ]);
    _templateObject$3t = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$I() {
    var data = _tagged_template_literal$3t([
        '\n        <span class="iconContainer">\n            <sp-icon-chevron100\n                class="indicator spectrum-UIIcon-ChevronRight100"\n                slot="icon"\n            ></sp-icon-chevron100>\n        </span>\n    '
    ]);
    _templateObject1$I = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$t() {
    var data = _tagged_template_literal$3t([
        '\n        <span class="iconContainer">\n            <sp-icon-chevron100\n                class="indicator spectrum-UIIcon-ChevronRight200"\n                slot="icon"\n            ></sp-icon-chevron100>\n        </span>\n    '
    ]);
    _templateObject2$t = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$o() {
    var data = _tagged_template_literal$3t([
        '\n        <span class="iconContainer">\n            <sp-icon-chevron100\n                class="indicator spectrum-UIIcon-ChevronRight300"\n                slot="icon"\n            ></sp-icon-chevron100>\n        </span>\n    '
    ]);
    _templateObject3$o = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$j() {
    var data = _tagged_template_literal$3t([
        '\n            <h3 id="heading">\n                ',
        '\n                <button\n                    id="header"\n                    @click=',
        "\n                    aria-expanded=",
        '\n                    aria-controls="content"\n                    ?disabled=',
        "\n                >\n                    ",
        '\n                </button>\n            </h3>\n            <div id="content" role="region" aria-labelledby="header">\n                <slot></slot>\n            </div>\n        '
    ]);
    _templateObject4$j = function _templateObject() {
        return data;
    };
    return data;
}
var p$C = Object.defineProperty;
var d$w = Object.getOwnPropertyDescriptor;
var s$c = function(n, o, e, i) {
    for(var t = i > 1 ? void 0 : i ? d$w(o, e) : o, l = n.length - 1, a; l >= 0; l--)(a = n[l]) && (t = (i ? a(o, e, t) : a(t)) || t);
    return i && t && p$C(o, e, t), t;
};
var f$l = {
    s: function() {
        return x$3(_templateObject$3t());
    },
    m: function() {
        return x$3(_templateObject1$I());
    },
    l: function() {
        return x$3(_templateObject2$t());
    },
    xl: function() {
        return x$3(_templateObject3$o());
    }
};
var AccordionItem = /*#__PURE__*/ function(_h) {
    _inherits$2b(AccordionItem, _h);
    var _super = _create_super$2b(AccordionItem);
    function AccordionItem() {
        _class_call_check$2u(this, AccordionItem);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.open = !1;
        _this.label = "";
        _this.disabled = !1;
        _this.renderChevronIcon = function() {
            return f$l[_this.size || "m"]();
        };
        return _this;
    }
    _create_class$2q(AccordionItem, [
        {
            key: "focusElement",
            get: function get() {
                return this.shadowRoot.querySelector("#header");
            }
        },
        {
            key: "onClick",
            value: function onClick() {
                this.disabled || this.toggle();
            }
        },
        {
            key: "toggle",
            value: function toggle() {
                this.open = !this.open, this.dispatchEvent(new CustomEvent("sp-accordion-item-toggle", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                })) || (this.open = !this.open);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject4$j(), n$l(this.size, this.renderChevronIcon), this.onClick, this.open, this.disabled, this.label);
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$15(_get_prototype_of$2b(AccordionItem.prototype), "updated", this).call(this, e), e.has("disabled") && (this.disabled ? this.setAttribute("aria-disabled", "true") : this.removeAttribute("aria-disabled"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    b$g,
                    C$6
                ];
            }
        }
    ]);
    return AccordionItem;
}(SizedMixin(Focusable, {
    noDefaultSize: !0
}));
s$c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], AccordionItem.prototype, "open", 2), s$c([
    n$r({
        type: String,
        reflect: !0
    })
], AccordionItem.prototype, "label", 2), s$c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], AccordionItem.prototype, "disabled", 2);

defineElement("sp-accordion-item", AccordionItem);

function _tagged_template_literal$3s(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3s() {
    var data = _tagged_template_literal$3s([
        "\n    :host{pointer-events:none;visibility:hidden;opacity:0;transition:transform var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))ease-in-out,opacity var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))ease-in-out,visibility 0s linear var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))}:host([open]){pointer-events:auto;visibility:visible;opacity:1;transition-delay:var(--mod-overlay-animation-duration-opened,var(--spectrum-animation-duration-0,0s))}:host{--flow-direction:1;--spectrum-popover-animation-distance:var(--spectrum-spacing-100);--spectrum-popover-background-color:var(--spectrum-background-layer-2-color);--spectrum-popover-border-color:var(--spectrum-gray-400);--spectrum-popover-content-area-spacing-vertical:var(--spectrum-popover-top-to-content-area);--spectrum-popover-shadow-horizontal:var(--spectrum-drop-shadow-x);--spectrum-popover-shadow-vertical:var(--spectrum-drop-shadow-y);--spectrum-popover-shadow-blur:var(--spectrum-drop-shadow-blur);--spectrum-popover-shadow-color:var(--spectrum-drop-shadow-color);--spectrum-popover-corner-radius:var(--spectrum-corner-radius-100);--spectrum-popover-pointer-width:var(--spectrum-popover-tip-width);--spectrum-popover-pointer-height:var(--spectrum-popover-tip-height);--spectrum-popover-pointer-edge-offset:calc(var(--spectrum-corner-radius-100) + var(--spectrum-popover-tip-width)/2);--spectrum-popover-pointer-edge-spacing:calc(var(--spectrum-popover-pointer-edge-offset) - var(--spectrum-popover-tip-width)/2)}:host:dir(rtl),:host([dir=rtl]){--flow-direction:-1}@media (forced-colors:active){:host{--highcontrast-popover-border-color:CanvasText}}:host{--spectrum-popover-filter:drop-shadow(var(--mod-popover-shadow-horizontal,var(--spectrum-popover-shadow-horizontal))var(--mod-popover-shadow-vertical,var(--spectrum-popover-shadow-vertical))var(--mod-popover-shadow-blur,var(--spectrum-popover-shadow-blur))var(--mod-popover-shadow-color,var(--spectrum-popover-shadow-color)));box-sizing:border-box;padding:var(--mod-popover-content-area-spacing-vertical,var(--spectrum-popover-content-area-spacing-vertical))0;border-radius:var(--mod-popover-corner-radius,var(--spectrum-popover-corner-radius));border-style:solid;border-color:var(--highcontrast-popover-border-color,var(--mod-popover-border-color,var(--spectrum-popover-border-color)));border-width:var(--mod-popover-border-width,var(--spectrum-popover-border-width));background-color:var(--mod-popover-background-color,var(--spectrum-popover-background-color));filter:var(--mod-popover-filter,var(--spectrum-popover-filter));outline:none;flex-direction:column;display:inline-flex;position:absolute}:host([tip]) #tip .triangle{stroke-linecap:square;stroke-linejoin:miter;fill:var(--highcontrast-popover-background-color,var(--mod-popover-background-color,var(--spectrum-popover-background-color)));stroke:var(--highcontrast-popover-border-color,var(--mod-popover-border-color,var(--spectrum-popover-border-color)));stroke-width:var(--mod-popover-border-width,var(--spectrum-popover-border-width))}*{--mod-popover-filter:none}:host([tip]) .spectrum-Popover--top-end,:host([tip]) .spectrum-Popover--top-left,:host([tip]) .spectrum-Popover--top-right,:host([tip]) .spectrum-Popover--top-start,:host([placement*=top][tip]){margin-block-end:calc(var(--mod-popover-pointer-height,var(--spectrum-popover-pointer-height)) - var(--mod-popover-border-width,var(--spectrum-popover-border-width)))}:host([open]) .spectrum-Popover--top-end,:host([open]) .spectrum-Popover--top-left,:host([open]) .spectrum-Popover--top-right,:host([open]) .spectrum-Popover--top-start,:host([placement*=top][open]){transform:translateY(calc(var(--mod-popover-animation-distance,var(--spectrum-popover-animation-distance))*-1))}:host([tip]) .spectrum-Popover--bottom-end,:host([tip]) .spectrum-Popover--bottom-left,:host([tip]) .spectrum-Popover--bottom-right,:host([tip]) .spectrum-Popover--bottom-start,:host([placement*=bottom][tip]){margin-block-start:calc(var(--mod-popover-pointer-height,var(--spectrum-popover-pointer-height)) - var(--mod-popover-border-width,var(--spectrum-popover-border-width)))}:host([open]) .spectrum-Popover--bottom-end,:host([open]) .spectrum-Popover--bottom-left,:host([open]) .spectrum-Popover--bottom-right,:host([open]) .spectrum-Popover--bottom-start,:host([placement*=bottom][open]){transform:translateY(var(--mod-popover-animation-distance,var(--spectrum-popover-animation-distance)))}:host([tip]) .spectrum-Popover--right-bottom,:host([tip]) .spectrum-Popover--right-top,:host([placement*=right][tip]){margin-inline-start:calc(var(--mod-popover-pointer-width,var(--spectrum-popover-pointer-width)) - var(--mod-popover-border-width,var(--spectrum-popover-border-width)))}:host([open]) .spectrum-Popover--right-bottom,:host([open]) .spectrum-Popover--right-top,:host([placement*=right][open]){transform:translateX(var(--mod-popover-animation-distance,var(--spectrum-popover-animation-distance)))}:host([tip]) .spectrum-Popover--left-bottom,:host([tip]) .spectrum-Popover--left-top,:host([placement*=left][tip]){margin-inline-end:calc(var(--mod-popover-pointer-width,var(--spectrum-popover-pointer-width)) - var(--mod-popover-border-width,var(--spectrum-popover-border-width)))}:host([open]) .spectrum-Popover--left-bottom,:host([open]) .spectrum-Popover--left-top,:host([placement*=left][open]){transform:translateX(calc(var(--mod-popover-animation-distance,var(--spectrum-popover-animation-distance))*-1))}:host([tip]) .spectrum-Popover--start-bottom,:host([tip]) .spectrum-Popover--start-top,:host([tip]) .spectrum-Popover--start{margin-inline-end:calc(var(--mod-popover-pointer-width,var(--spectrum-popover-pointer-width)) - var(--mod-popover-border-width,var(--spectrum-popover-border-width)))}:host([open]) .spectrum-Popover--start-bottom,:host([open]) .spectrum-Popover--start-top,:host([open]) .spectrum-Popover--start{transform:translateX(calc(var(--mod-popover-animation-distance,var(--spectrum-popover-animation-distance))*-1))}:host([open]) .spectrum-Popover--start-bottom:dir(rtl),:host([open]) .spectrum-Popover--start-top:dir(rtl),:host([open]) .spectrum-Popover--start:dir(rtl),:host([dir=rtl][open]) .spectrum-Popover--start-bottom,:host([dir=rtl][open]) .spectrum-Popover--start-top,:host([dir=rtl][open]) .spectrum-Popover--start{transform:translateX(var(--mod-popover-animation-distance,var(--spectrum-popover-animation-distance)))}:host([tip]) .spectrum-Popover--end-bottom,:host([tip]) .spectrum-Popover--end-top,:host([tip]) .spectrum-Popover--end{margin-inline-start:calc(var(--mod-popover-pointer-width,var(--spectrum-popover-pointer-width)) - var(--mod-popover-border-width,var(--spectrum-popover-border-width)))}:host([open]) .spectrum-Popover--end-bottom,:host([open]) .spectrum-Popover--end-top,:host([open]) .spectrum-Popover--end{transform:translateX(var(--mod-popover-animation-distance,var(--spectrum-popover-animation-distance)))}:host([open]) .spectrum-Popover--end-bottom:dir(rtl),:host([open]) .spectrum-Popover--end-top:dir(rtl),:host([open]) .spectrum-Popover--end:dir(rtl),:host([dir=rtl][open]) .spectrum-Popover--end-bottom,:host([dir=rtl][open]) .spectrum-Popover--end-top,:host([dir=rtl][open]) .spectrum-Popover--end{transform:translateX(calc(var(--mod-popover-animation-distance,var(--spectrum-popover-animation-distance))*-1))}:host([tip]) #tip,:host([tip][placement*=bottom]) #tip,:host([tip]) .spectrum-Popover--bottom-end #tip,:host([tip]) .spectrum-Popover--bottom-left #tip,:host([tip]) .spectrum-Popover--bottom-right #tip,:host([tip]) .spectrum-Popover--bottom-start #tip,:host([tip][placement*=top]) #tip,:host([tip]) .spectrum-Popover--top-end #tip,:host([tip]) .spectrum-Popover--top-left #tip,:host([tip]) .spectrum-Popover--top-right #tip,:host([tip]) .spectrum-Popover--top-start #tip{inline-size:var(--mod-popover-pointer-width,var(--spectrum-popover-pointer-width));block-size:var(--mod-popover-pointer-height,var(--spectrum-popover-pointer-height));margin:auto;position:absolute;inset-block-start:100%;inset-inline:0;transform:translate(0)}:host([tip]) .spectrum-Popover--top-left #tip{inset-inline:var(--mod-popover-pointer-edge-spacing,var(--spectrum-popover-pointer-edge-spacing))auto}:host([tip]) .spectrum-Popover--top-right #tip{inset-inline:auto var(--mod-popover-pointer-edge-spacing,var(--spectrum-popover-pointer-edge-spacing))}:host([tip]) .spectrum-Popover--top-start #tip{margin-inline-start:var(--mod-popover-pointer-edge-spacing,var(--spectrum-popover-pointer-edge-spacing))}:host([tip]) .spectrum-Popover--top-end #tip{margin-inline-end:var(--mod-popover-pointer-edge-spacing,var(--spectrum-popover-pointer-edge-spacing))}:host([tip][placement*=bottom]) #tip,:host([tip]) .spectrum-Popover--bottom-end #tip,:host([tip]) .spectrum-Popover--bottom-left #tip,:host([tip]) .spectrum-Popover--bottom-right #tip,:host([tip]) .spectrum-Popover--bottom-start #tip{inset-block:auto 100%;transform:scaleY(-1)}:host([tip]) .spectrum-Popover--bottom-left #tip{inset-inline:var(--mod-popover-pointer-edge-spacing,var(--spectrum-popover-pointer-edge-spacing))auto}:host([tip]) .spectrum-Popover--bottom-right #tip{inset-inline:auto var(--mod-popover-pointer-edge-spacing,var(--spectrum-popover-pointer-edge-spacing))}:host([tip]) .spectrum-Popover--bottom-start #tip{margin-inline-start:var(--mod-popover-pointer-edge-spacing,var(--spectrum-popover-pointer-edge-spacing))}:host([tip]) .spectrum-Popover--bottom-end #tip{margin-inline-end:var(--mod-popover-pointer-edge-spacing,var(--spectrum-popover-pointer-edge-spacing))}:host([tip]) .spectrum-Popover--end #tip,:host([tip]) .spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--end-top #tip,:host([tip][placement*=left]) #tip,:host([tip]) .spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--left-top #tip,:host([tip][placement*=right]) #tip,:host([tip]) .spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--start #tip,:host([tip]) .spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--start-top #tip{inline-size:var(--mod-popover-pointer-height,var(--spectrum-popover-pointer-height));block-size:var(--mod-popover-pointer-width,var(--spectrum-popover-pointer-width));inset-block:0}:host([tip][placement*=left]) .spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--left-top #tip,:host([tip][placement*=left]) .spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--left-top #tip,:host([tip][placement*=left]) .spectrum-Popover--end #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--left-top #tip,:host([tip][placement*=left]) .spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--left-top #tip,:host([tip][placement*=left]) .spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--left-top #tip,:host([tip][placement*=left][placement*=left]) #tip,:host([tip][placement*=left]) .spectrum-Popover--left-bottom #tip,:host([tip][placement*=left]) .spectrum-Popover--left-top #tip,:host([tip][placement*=left]) .spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--left-top #tip,:host([tip][placement*=left]) .spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--left-top #tip,:host([tip][placement*=right][placement*=left]) #tip,:host([tip][placement*=right]) .spectrum-Popover--left-bottom #tip,:host([tip][placement*=right]) .spectrum-Popover--left-top #tip,:host([tip][placement*=left]) .spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--left-top #tip,:host([tip][placement*=left]) .spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--left-top #tip,:host([tip][placement*=left]) .spectrum-Popover--start #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--left-top #tip{inset-inline:100% auto}:host([tip][placement*=right]) .spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--right-top #tip,:host([tip][placement*=right]) .spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--right-top #tip,:host([tip][placement*=right]) .spectrum-Popover--end #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--right-top #tip,:host([tip][placement*=right]) .spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--right-top #tip,:host([tip][placement*=right]) .spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--right-top #tip,:host([tip][placement*=left][placement*=right]) #tip,:host([tip][placement*=left]) .spectrum-Popover--right-bottom #tip,:host([tip][placement*=left]) .spectrum-Popover--right-top #tip,:host([tip][placement*=right]) .spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--right-top #tip,:host([tip][placement*=right]) .spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--right-top #tip,:host([tip][placement*=right][placement*=right]) #tip,:host([tip][placement*=right]) .spectrum-Popover--right-bottom #tip,:host([tip][placement*=right]) .spectrum-Popover--right-top #tip,:host([tip][placement*=right]) .spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--right-top #tip,:host([tip][placement*=right]) .spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--right-top #tip,:host([tip][placement*=right]) .spectrum-Popover--start #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--right-top #tip{inset-inline:auto 100%;transform:scaleX(-1)}:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--start-top #tip,:host([tip][placement*=left]) .spectrum-Popover--end-top #tip,:host([tip][placement*=left]) .spectrum-Popover--left-top #tip,:host([tip][placement*=left]) .spectrum-Popover--right-top #tip,:host([tip][placement*=left]) .spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--start-top #tip,:host([tip][placement*=right]) .spectrum-Popover--end-top #tip,:host([tip][placement*=right]) .spectrum-Popover--left-top #tip,:host([tip][placement*=right]) .spectrum-Popover--right-top #tip,:host([tip][placement*=right]) .spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--start-top #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--end-top #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--left-top #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--right-top #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--start-top #tip{inset-block:var(--mod-popover-pointer-edge-spacing,var(--spectrum-popover-pointer-edge-spacing))auto}:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--end-bottom.spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--end-top.spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--end.spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--left-bottom.spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--left-top.spectrum-Popover--start-bottom #tip,:host([tip][placement*=left]) .spectrum-Popover--end-bottom #tip,:host([tip][placement*=left]) .spectrum-Popover--left-bottom #tip,:host([tip][placement*=left]) .spectrum-Popover--right-bottom #tip,:host([tip][placement*=left]) .spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--right-bottom.spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--right-top.spectrum-Popover--start-bottom #tip,:host([tip][placement*=right]) .spectrum-Popover--end-bottom #tip,:host([tip][placement*=right]) .spectrum-Popover--left-bottom #tip,:host([tip][placement*=right]) .spectrum-Popover--right-bottom #tip,:host([tip][placement*=right]) .spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--start-bottom.spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--start-top.spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--left-bottom #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--right-bottom #tip,:host([tip]) .spectrum-Popover--start.spectrum-Popover--start-bottom #tip{inset-block:auto var(--mod-popover-pointer-edge-spacing,var(--spectrum-popover-pointer-edge-spacing))}:host([tip]) .spectrum-Popover--start #tip,:host([tip]) .spectrum-Popover--start-bottom #tip,:host([tip]) .spectrum-Popover--start-top #tip{margin-inline-start:100%}:host([tip]) .spectrum-Popover--start #tip:dir(rtl),:host([tip]) .spectrum-Popover--start-bottom #tip:dir(rtl),:host([tip]) .spectrum-Popover--start-top #tip:dir(rtl),:host([dir=rtl][tip]) .spectrum-Popover--start #tip,:host([dir=rtl][tip]) .spectrum-Popover--start-bottom #tip,:host([dir=rtl][tip]) .spectrum-Popover--start-top #tip{transform:scaleX(-1)}:host([tip]) .spectrum-Popover--end #tip,:host([tip]) .spectrum-Popover--end-bottom #tip,:host([tip]) .spectrum-Popover--end-top #tip{margin-inline-end:100%;transform:scaleX(-1)}:host([tip]) .spectrum-Popover--end #tip:dir(rtl),:host([tip]) .spectrum-Popover--end-bottom #tip:dir(rtl),:host([tip]) .spectrum-Popover--end-top #tip:dir(rtl),:host([dir=rtl][tip]) .spectrum-Popover--end #tip,:host([dir=rtl][tip]) .spectrum-Popover--end-bottom #tip,:host([dir=rtl][tip]) .spectrum-Popover--end-top #tip{transform:scaleX(1)}:host{--spectrum-popover-border-width:var(--system-spectrum-popover-border-width)}:host{clip-path:none;min-width:min-content;max-width:100%;max-height:100%}::slotted(*){overscroll-behavior:contain}:host([placement*=left]) #tip[style],:host([placement*=right]) #tip[style]{inset-block-end:auto}:host([placement*=top]) #tip[style],:host([placement*=bottom]) #tip[style]{inset-inline-end:auto}.block,.inline{width:100%;height:100%;display:block}:host([placement*=left]) .block,:host([placement*=right]) .block,:host([placement*=top]) .inline,:host([placement*=bottom]) .inline{display:none}::slotted(.visually-hidden){clip:rect(0,0,0,0);clip-path:inset(50%);white-space:nowrap;border:0;width:1px;height:1px;margin:0 -1px -1px 0;padding:0;position:absolute;overflow:hidden}::slotted(sp-menu){margin:0}:host([dialog]){min-width:var(--mod-popover-dialog-min-width,var(--spectrum-popover-dialog-min-width,270px));padding:var(--mod-popover-dialog-padding,var(--spectrum-popover-dialog-padding,30px 29px))}:host([tip][placement]) #tip{height:auto}\n"
    ]);
    _templateObject$3s = function _templateObject() {
        return data;
    };
    return data;
}
var o$J = i$p(_templateObject$3s());
var g$b = o$J;

function _assert_this_initialized$2a(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2t(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2p(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2p(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2p(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2p(Constructor, staticProps);
    return Constructor;
}
function _get$14(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$14 = Reflect.get;
    } else {
        _get$14 = function get(target, property, receiver) {
            var base = _super_prop_base$14(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$14(target, property, receiver || target);
}
function _get_prototype_of$2a(o) {
    _get_prototype_of$2a = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2a(o);
}
function _inherits$2a(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2a(subClass, superClass);
}
function _possible_constructor_return$2a(self, call) {
    if (call && (_type_of$2a(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2a(self);
}
function _set_prototype_of$2a(o, p) {
    _set_prototype_of$2a = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2a(o, p);
}
function _super_prop_base$14(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2a(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$3r(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$2a(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2a() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2a(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2a();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2a(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2a(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2a(this, result);
    };
}
function _templateObject$3r() {
    var data = _tagged_template_literal$3r([
        '\n            <div id="tip" aria-hidden="true">\n                <svg class="tip block" viewBox="0 -0.5 16 9">\n                    <path class="triangle" d="M-1,-1 8,8 17,-1"></path>\n                </svg>\n                <svg class="tip inline" viewBox="0 -0.5 9 16">\n                    <path class="triangle" d="M-1,-1 8,8 -1,17"></path>\n                </svg>\n            </div>\n        '
    ]);
    _templateObject$3r = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$H() {
    var data = _tagged_template_literal$3r([
        "\n            <slot></slot>\n            ",
        "\n        "
    ]);
    _templateObject1$H = function _templateObject() {
        return data;
    };
    return data;
}
var c$v = Object.defineProperty;
var d$v = Object.getOwnPropertyDescriptor;
var t$u = function(o, r, l, p) {
    for(var e = p > 1 ? void 0 : p ? d$v(r, l) : r, i = o.length - 1, a; i >= 0; i--)(a = o[i]) && (e = (p ? a(r, l, e) : a(e)) || e);
    return p && e && c$v(r, l, e), e;
};
var Popover = /*#__PURE__*/ function(m) {
    _inherits$2a(Popover, m);
    var _super = _create_super$2a(Popover);
    function Popover() {
        _class_call_check$2t(this, Popover);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.dialog = !1;
        _this.open = !1;
        _this.tip = !1;
        return _this;
    }
    _create_class$2p(Popover, [
        {
            key: "renderTip",
            value: function renderTip() {
                return x$3(_templateObject$3r());
            }
        },
        {
            key: "update",
            value: function update(l) {
                _get$14(_get_prototype_of$2a(Popover.prototype), "update", this).call(this, l);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject1$H(), this.tip ? this.renderTip() : E$2);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    g$b
                ];
            }
        }
    ]);
    return Popover;
}(SpectrumElement);
t$u([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Popover.prototype, "dialog", 2), t$u([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Popover.prototype, "open", 2), t$u([
    n$r({
        reflect: !0
    })
], Popover.prototype, "placement", 2), t$u([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Popover.prototype, "tip", 2), t$u([
    e$F("#tip")
], Popover.prototype, "tipElement", 2);

defineElement("sp-popover", Popover);

var spPopover = /*#__PURE__*/Object.freeze({
    __proto__: null
});

function _assert_this_initialized$29(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2s(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2o(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2o(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2o(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2o(Constructor, staticProps);
    return Constructor;
}
function _define_property$g(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _get$13(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$13 = Reflect.get;
    } else {
        _get$13 = function get(target, property, receiver) {
            var base = _super_prop_base$13(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$13(target, property, receiver || target);
}
function _get_prototype_of$29(o) {
    _get_prototype_of$29 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$29(o);
}
function _inherits$29(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$29(subClass, superClass);
}
function _possible_constructor_return$29(self, call) {
    if (call && (_type_of$29(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$29(self);
}
function set(target, property, value, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.set) {
        set = Reflect.set;
    } else {
        set = function set(target, property, value, receiver) {
            var base = _super_prop_base$13(target, property);
            var desc;
            if (base) {
                desc = Object.getOwnPropertyDescriptor(base, property);
                if (desc.set) {
                    desc.set.call(receiver, value);
                    return true;
                } else if (!desc.writable) {
                    return false;
                }
            }
            desc = Object.getOwnPropertyDescriptor(receiver, property);
            if (desc) {
                if (!desc.writable) {
                    return false;
                }
                desc.value = value;
                Object.defineProperty(receiver, property, desc);
            } else {
                _define_property$g(receiver, property, value);
            }
            return true;
        };
    }
    return set(target, property, value, receiver);
}
function _set(target, property, value, receiver, isStrict) {
    var s = set(target, property, value, receiver || target);
    if (!s && isStrict) {
        throw new Error("failed to set property");
    }
    return value;
}
function _set_prototype_of$29(o, p) {
    _set_prototype_of$29 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$29(o, p);
}
function _super_prop_base$13(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$29(object);
        if (object === null) break;
    }
    return object;
}
function _type_of$29(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$29() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$29(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$29();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$29(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$29(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$29(this, result);
    };
}
var RovingTabindexController = /*#__PURE__*/ function(i) {
    _inherits$29(RovingTabindexController, i);
    var _super = _create_super$29(RovingTabindexController);
    function RovingTabindexController() {
        _class_call_check$2s(this, RovingTabindexController);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.managed = !0;
        _this.manageIndexesAnimationFrame = 0;
        return _this;
    }
    _create_class$2o(RovingTabindexController, [
        {
            key: "focused",
            get: function get() {
                return _get$13(_get_prototype_of$29(RovingTabindexController.prototype), "focused", this);
            },
            set: function set(e) {
                e !== this.focused && (_set(_get_prototype_of$29(RovingTabindexController.prototype), "focused", e, this, true), this.manageTabindexes());
            }
        },
        {
            key: "clearElementCache",
            value: function clearElementCache() {
                var _this = this;
                var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 0;
                cancelAnimationFrame(this.manageIndexesAnimationFrame), _get$13(_get_prototype_of$29(RovingTabindexController.prototype), "clearElementCache", this).call(this, e), this.managed && (this.manageIndexesAnimationFrame = requestAnimationFrame(function() {
                    return _this.manageTabindexes();
                }));
            }
        },
        {
            key: "manageTabindexes",
            value: function manageTabindexes() {
                var _this = this;
                this.focused ? this.updateTabindexes(function() {
                    return {
                        tabIndex: -1
                    };
                }) : this.updateTabindexes(function(e) {
                    return {
                        removeTabIndex: e.contains(_this.focusInElement) && e !== _this.focusInElement,
                        tabIndex: e === _this.focusInElement ? 0 : -1
                    };
                });
            }
        },
        {
            key: "updateTabindexes",
            value: function updateTabindexes(e) {
                this.elements.forEach(function(a) {
                    var _e = e(a), t = _e.tabIndex, s = _e.removeTabIndex;
                    if (!s) {
                        a.tabIndex = t;
                        return;
                    }
                    a.removeAttribute("tabindex");
                    var n = a;
                    n.requestUpdate && n.requestUpdate();
                });
            }
        },
        {
            key: "manage",
            value: function manage() {
                this.managed = !0, this.manageTabindexes(), _get$13(_get_prototype_of$29(RovingTabindexController.prototype), "manage", this).call(this);
            }
        },
        {
            key: "unmanage",
            value: function unmanage() {
                this.managed = !1, this.updateTabindexes(function() {
                    return {
                        tabIndex: 0
                    };
                }), _get$13(_get_prototype_of$29(RovingTabindexController.prototype), "unmanage", this).call(this);
            }
        },
        {
            key: "hostUpdated",
            value: function hostUpdated() {
                _get$13(_get_prototype_of$29(RovingTabindexController.prototype), "hostUpdated", this).call(this), this.host.hasUpdated || this.manageTabindexes();
            }
        }
    ]);
    return RovingTabindexController;
} 
(FocusGroupController);

function asyncGeneratorStep$B(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$B(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$B(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$B(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$2r(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2n(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2n(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2n(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2n(Constructor, staticProps);
    return Constructor;
}
function _ts_generator$B(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var s$b = /*#__PURE__*/ function() {
    function s(s1, param) {
        var _this = this;
        var i = param.target, h = param.config, o = param.callback, e = param.skipInitial;
        _class_call_check$2r(this, s);
        this.t = new Set, this.o = !1, this.i = !1, this.h = s1, null !== i && this.t.add(i !== null && i !== void 0 ? i : s1), this.l = h, this.o = e !== null && e !== void 0 ? e : this.o, this.callback = o, (window.MutationObserver ? (this.u = new MutationObserver(function(t) {
            _this.handleChanges(t), _this.h.requestUpdate();
        }), s1.addController(this)) : console.warn("MutationController error: browser does not support MutationObserver."));
    }
    _create_class$2n(s, [
        {
            key: "handleChanges",
            value: function handleChanges(t) {
                var _this_callback, _this;
                this.value = (_this_callback = (_this = this).callback) === null || _this_callback === void 0 ? void 0 : _this_callback.call(_this, t, this.u);
            }
        },
        {
            key: "hostConnected",
            value: function hostConnected() {
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = this.t[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var t = _step.value;
                        this.observe(t);
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
            }
        },
        {
            key: "hostDisconnected",
            value: function hostDisconnected() {
                this.disconnect();
            }
        },
        {
            key: "hostUpdated",
            value: function hostUpdated() {
                var _this = this;
                return _async_to_generator$B(function() {
                    var t;
                    return _ts_generator$B(this, function(_state) {
                        t = _this.u.takeRecords();
                        (t.length || !_this.o && _this.i) && _this.handleChanges(t), _this.i = !1;
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "observe",
            value: function observe(t) {
                this.t.add(t), this.u.observe(t, this.l), this.i = !0, this.h.requestUpdate();
            }
        },
        {
            key: "disconnect",
            value: function disconnect() {
                this.u.disconnect();
            }
        }
    ]);
    return s;
}();

function _tagged_template_literal$3q(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3q() {
    var data = _tagged_template_literal$3q([
        "\n    :host{--spectrum-actiongroup-button-spacing-reset:0;--spectrum-actiongroup-border-radius-reset:0;--spectrum-actiongroup-border-radius:var(--spectrum-corner-radius-100)}:host([size=s]),:host([size=xs]){--spectrum-actiongroup-horizontal-spacing-regular:var(--spectrum-spacing-75);--spectrum-actiongroup-vertical-spacing-regular:var(--spectrum-spacing-75)}:host([size=l]),:host,:host([size=xl]){--spectrum-actiongroup-horizontal-spacing-regular:var(--spectrum-spacing-100);--spectrum-actiongroup-vertical-spacing-regular:var(--spectrum-spacing-100)}:host{gap:var(--mod-actiongroup-horizontal-spacing-regular,var(--spectrum-actiongroup-horizontal-spacing-regular));flex-wrap:wrap;display:flex}::slotted(*){flex-shrink:0}::slotted(:focus-visible){z-index:3}:host(:not([vertical]):not([compact])) ::slotted(*){flex-shrink:0}:host([vertical]){gap:var(--mod-actiongroup-vertical-spacing-regular,var(--spectrum-actiongroup-vertical-spacing-regular));flex-direction:column;display:inline-flex}:host([compact]){gap:var(--mod-actiongroup-gap-size-compact,var(--spectrum-actiongroup-gap-size-compact))}:host([compact]:not([quiet])){flex-wrap:nowrap}:host([compact]:not([quiet])) ::slotted(*){border-radius:var(--mod-actiongroup-border-radius-reset,var(--spectrum-actiongroup-border-radius-reset));z-index:0;position:relative}:host([compact]:not([quiet])) ::slotted(:first-child){--mod-actionbutton-focus-indicator-border-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))0px 0px var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius));border-start-start-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius));border-end-start-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius));margin-inline-start:var(--mod-actiongroup-button-spacing-reset,var(--spectrum-actiongroup-button-spacing-reset))}:host([compact]:not([quiet])) ::slotted(:not(:first-child)){--mod-actionbutton-focus-indicator-border-radius:0px;margin-inline-start:var(--mod-actiongroup-horizontal-spacing-compact,var(--spectrum-actiongroup-horizontal-spacing-compact));margin-inline-end:var(--mod-actiongroup-horizontal-spacing-compact,var(--spectrum-actiongroup-horizontal-spacing-compact))}:host([compact]:not([quiet])) ::slotted(:last-child){--mod-actionbutton-focus-indicator-border-radius:0px var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))0px;border-start-end-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius));border-end-end-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius));margin-inline-start:var(--mod-actiongroup-horizontal-spacing-compact,var(--spectrum-actiongroup-horizontal-spacing-compact));margin-inline-end:var(--mod-actiongroup-border-radius-reset,var(--spectrum-actiongroup-border-radius-reset))}:host([compact]:not([quiet])) ::slotted([selected]){z-index:1}@media (hover:hover){:host([compact]:not([quiet])) ::slotted(:hover){z-index:2}}:host([compact]:not([quiet])) ::slotted(:focus-visible){z-index:3}:host([compact]:not([quiet])[vertical]){gap:var(--mod-actiongroup-gap-size-compact,var(--spectrum-actiongroup-gap-size-compact))}:host([compact][vertical]:not([quiet])) ::slotted(*){border-radius:var(--mod-actiongroup-border-radius-reset,var(--spectrum-actiongroup-border-radius-reset))}:host([compact][vertical]:not([quiet])) ::slotted(:first-child){--mod-actionbutton-focus-indicator-border-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))0px 0px;border-start-start-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius));border-start-end-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius));margin-block-start:var(--mod-actiongroup-vertical-spacing-compact,var(--spectrum-actiongroup-vertical-spacing-compact));margin-block-end:var(--mod-actiongroup-vertical-spacing-compact,var(--spectrum-actiongroup-vertical-spacing-compact));margin-inline-end:var(--mod-actiongroup-button-spacing-reset,var(--spectrum-actiongroup-button-spacing-reset))}:host([compact][vertical]:not([quiet])) ::slotted(:not(:first-child)){margin-block-start:var(--mod-actiongroup-button-spacing-reset,var(--spectrum-actiongroup-button-spacing-reset));margin-block-end:var(--mod-actiongroup-vertical-spacing-compact,var(--spectrum-actiongroup-vertical-spacing-compact));margin-inline-start:var(--mod-actiongroup-button-spacing-reset,var(--spectrum-actiongroup-button-spacing-reset));margin-inline-end:var(--mod-actiongroup-button-spacing-reset,var(--spectrum-actiongroup-button-spacing-reset))}:host([compact][vertical]:not([quiet])) ::slotted(:last-child){--mod-actionbutton-focus-indicator-border-radius:0px 0px var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius));border-end-end-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius));border-end-start-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius));margin-block-start:var(--mod-actiongroup-vertical-spacing-compact,var(--spectrum-actiongroup-vertical-spacing-compact));margin-block-end:var(--mod-actiongroup-button-spacing-reset,var(--spectrum-actiongroup-button-spacing-reset))}:host([justified]) ::slotted(*){flex:1}:host{--spectrum-actiongroup-gap-size-compact:var(--system-spectrum-actiongroup-gap-size-compact);--spectrum-actiongroup-horizontal-spacing-compact:var(--system-spectrum-actiongroup-horizontal-spacing-compact);--spectrum-actiongroup-vertical-spacing-compact:var(--system-spectrum-actiongroup-vertical-spacing-compact)}:host([size=xs]){--spectrum-actiongroup-horizontal-spacing-regular:var(--spectrum-spacing-75);--spectrum-actiongroup-vertical-spacing-regular:var(--spectrum-spacing-75)}:host([dir][compact][vertical]) ::slotted(:nth-child(n)){margin-left:0;margin-right:0}:host([justified]) ::slotted(:not([role])),:host([vertical]) ::slotted(:not([role])){flex-direction:column;align-items:stretch;display:flex}:host([compact]:not([quiet])) ::slotted(:not([role])){--overriden-border-radius:0;--mod-actionbutton-border-radius:var(--overriden-border-radius)}:host([compact][vertical]:not([quiet])) ::slotted(:not([role]):first-child){--overriden-border-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))0 0}:host([compact][vertical]:not([quiet])) ::slotted(:not([role]):last-child){--overriden-border-radius:0 0 var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))}:host([dir=ltr][compact]:not([quiet],[vertical])) ::slotted(:not([role]):first-child){--overriden-border-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))0 0 var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))}:host([dir=rtl][compact]:not([quiet],[vertical])) ::slotted(:not([role]):first-child),:host([dir=ltr][compact]:not([quiet],[vertical])) ::slotted(:not([role]):last-child){--overriden-border-radius:0 var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))0}:host([dir=rtl][compact]:not([quiet],[vertical])) ::slotted(:not([role]):last-child){--overriden-border-radius:var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))0 0 var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))}:host([compact]:not([quiet])) ::slotted(*){--mod-actionbutton-focus-ring-border-radius:0}:host([compact][vertical]:not([quiet])) ::slotted(:first-child){--mod-actionbutton-focus-ring-border-radius:var(--spectrum-alias-component-border-radius)var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))0 0}:host([compact][vertical]:not([quiet])) ::slotted(:last-child){--mod-actionbutton-focus-ring-border-radius:0 0 var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))}:host([dir=ltr][compact]:not([quiet],[vertical])) ::slotted(:first-child){--mod-actionbutton-focus-ring-border-radius:var(--spectrum-alias-component-border-radius)0 0 var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))}:host([dir=rtl][compact]:not([quiet],[vertical])) ::slotted(:first-child),:host([dir=ltr][compact]:not([quiet],[vertical])) ::slotted(:last-child){--mod-actionbutton-focus-ring-border-radius:0 var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))0}:host([dir=rtl][compact]:not([quiet],[vertical])) ::slotted(:last-child){--mod-actionbutton-focus-ring-border-radius:var(--spectrum-alias-component-border-radius)0 0 var(--mod-actiongroup-border-radius,var(--spectrum-actiongroup-border-radius))}\n"
    ]);
    _templateObject$3q = function _templateObject() {
        return data;
    };
    return data;
}
var o$I = i$p(_templateObject$3q());
var S$5 = o$I;

function _array_like_to_array$F(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$w(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$F(arr);
}
function _assert_this_initialized$28(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$A(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$A(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$A(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$A(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$2q(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2m(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2m(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2m(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2m(Constructor, staticProps);
    return Constructor;
}
function _get$12(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$12 = Reflect.get;
    } else {
        _get$12 = function get(target, property, receiver) {
            var base = _super_prop_base$12(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$12(target, property, receiver || target);
}
function _get_prototype_of$28(o) {
    _get_prototype_of$28 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$28(o);
}
function _inherits$28(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$28(subClass, superClass);
}
function _iterable_to_array$w(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$w() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$28(self, call) {
    if (call && (_type_of$28(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$28(self);
}
function _set_prototype_of$28(o, p) {
    _set_prototype_of$28 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$28(o, p);
}
function _super_prop_base$12(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$28(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$3p(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$w(arr) {
    return _array_without_holes$w(arr) || _iterable_to_array$w(arr) || _unsupported_iterable_to_array$F(arr) || _non_iterable_spread$w();
}
function _type_of$28(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$F(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$F(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$F(o, minLen);
}
function _is_native_reflect_construct$28() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$28(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$28();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$28(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$28(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$28(this, result);
    };
}
function _ts_generator$A(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$3p() {
    var data = _tagged_template_literal$3p([
        '\n            <slot role="presentation" @slotchange=',
        "></slot>\n        "
    ]);
    _templateObject$3p = function _templateObject() {
        return data;
    };
    return data;
}
var h$l = Object.defineProperty;
var p$B = Object.getOwnPropertyDescriptor;
var r$u = function(c, u, e, s) {
    for(var t = s > 1 ? void 0 : s ? p$B(u, e) : u, i = c.length - 1, l; i >= 0; i--)(l = c[i]) && (t = (s ? l(u, e, t) : l(t)) || t);
    return s && t && h$l(u, e, t), t;
};
var d$u = [];
var ActionGroup = /*#__PURE__*/ function(_f) {
    _inherits$28(ActionGroup, _f);
    var _super = _create_super$28(ActionGroup);
    function ActionGroup() {
        _class_call_check$2q(this, ActionGroup);
        var _this;
        _this = _super.call(this);
        _this._buttons = [];
        _this._buttonSelector = "sp-action-button";
        _this.rovingTabindexController = new RovingTabindexController(_assert_this_initialized$28(_this), {
            focusInIndex: function(e) {
                var s = -1;
                var t = e.findIndex(function(i, l) {
                    return !e[s] && !i.disabled && (s = l), i.selected && !i.disabled;
                });
                return e[t] ? t : s;
            },
            elements: function() {
                return _this.buttons;
            },
            isFocusableElement: function(e) {
                return !e.disabled;
            }
        });
        _this.compact = !1;
        _this.emphasized = !1;
        _this.justified = !1;
        _this.label = "";
        _this.quiet = !1;
        _this.vertical = !1;
        _this._selected = d$u;
        _this.hasManaged = !1;
        _this.manageButtons = function() {
            var s = _this.slotElement.assignedElements({
                flatten: !0
            }).reduce(function(t, i) {
                if (i.matches(_this._buttonSelector)) t.push(i);
                else {
                    var _t;
                    var l = Array.from(i.querySelectorAll(":scope > ".concat(_this._buttonSelector)));
                    (_t = t).push.apply(_t, _to_consumable_array$w(l));
                }
                return t;
            }, []);
            if (_this.buttons = s, _this.selects || !_this.hasManaged) {
                var t = [];
                _this.buttons.forEach(function(i) {
                    i.selected && t.push(i.value);
                }), _this.setSelected(_this.selected.concat(t));
            }
            _this.manageChildren(), _this.manageSelects(), _this.hasManaged = !0;
        };
        new s$b(_assert_this_initialized$28(_this), {
            config: {
                childList: !0,
                subtree: !0
            },
            callback: function() {
                _this.manageButtons();
            },
            skipInitial: !0
        });
        return _this;
    }
    _create_class$2m(ActionGroup, [
        {
            key: "buttons",
            get: function get() {
                return this._buttons;
            },
            set: function set(e) {
                e !== this.buttons && (this._buttons = e, this.rovingTabindexController.clearElementCache());
            }
        },
        {
            key: "selected",
            get: function get() {
                return this._selected;
            },
            set: function set(e) {
                var _this = this;
                this.requestUpdate("selected", this._selected), this._selected = e, this.updateComplete.then(function() {
                    _this.applySelects(), _this.manageChildren();
                });
            }
        },
        {
            key: "dispatchChange",
            value: function dispatchChange(e) {
                var _this = this;
                this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                })) || (this.setSelected(e), this.buttons.map(function(t) {
                    t.selected = _this.selected.includes(t.value);
                }));
            }
        },
        {
            key: "setSelected",
            value: function setSelected(e, s) {
                if (e === this.selected) return;
                var t = this.selected;
                this.requestUpdate("selected", t), this._selected = e, s && this.dispatchChange(t);
            }
        },
        {
            key: "focus",
            value: function focus(e) {
                this.rovingTabindexController.focus(e);
            }
        },
        {
            key: "deselectSelectedButtons",
            value: function deselectSelectedButtons() {
                var _this = this;
                this.buttons.forEach(function(e) {
                    e.selected && (e.selected = !1, e.tabIndex = -1, e.setAttribute(_this.selects ? "aria-checked" : "aria-pressed", "false"));
                });
            }
        },
        {
            key: "handleActionButtonChange",
            value: function handleActionButtonChange(e) {
                e.stopPropagation(), e.preventDefault();
            }
        },
        {
            key: "handleClick",
            value: function handleClick(e) {
                var s = e.target;
                if (typeof s.value != "undefined") switch(this.selects){
                    case "single":
                        {
                            this.deselectSelectedButtons(), s.selected = !0, s.tabIndex = 0, s.setAttribute("aria-checked", "true"), this.setSelected([
                                s.value
                            ], !0);
                            break;
                        }
                    case "multiple":
                        {
                            var t = _to_consumable_array$w(this.selected);
                            s.selected = !s.selected, s.setAttribute("aria-checked", s.selected ? "true" : "false"), s.selected ? t.push(s.value) : t.splice(this.selected.indexOf(s.value), 1), this.setSelected(t, !0), this.buttons.forEach(function(i) {
                                i.tabIndex = -1;
                            }), s.tabIndex = 0;
                            break;
                        }
                }
            }
        },
        {
            key: "applySelects",
            value: function applySelects() {
                var _this = this;
                return _async_to_generator$A(function() {
                    return _ts_generator$A(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _this.manageSelects(!0)
                                ];
                            case 1:
                                _state.sent();
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "manageSelects",
            value: function manageSelects(e) {
                var _this = this;
                return _async_to_generator$A(function() {
                    var s, _, t, i, l, t1, i1, l1, a, t2, i2;
                    return _ts_generator$A(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                if (!_this.buttons.length) return [
                                    2
                                ];
                                s = _this.buttons;
                                _ = _this.selects;
                                switch(_){
                                    case "single":
                                        return [
                                            3,
                                            1
                                        ];
                                    case "multiple":
                                        return [
                                            3,
                                            3
                                        ];
                                }
                                return [
                                    3,
                                    5
                                ];
                            case 1:
                                _this.setAttribute("role", "radiogroup");
                                t = [], i = s.map(function() {
                                    var _ref = _async_to_generator$A(function(a) {
                                        return _ts_generator$A(this, function(_state) {
                                            switch(_state.label){
                                                case 0:
                                                    return [
                                                        4,
                                                        a.updateComplete
                                                    ];
                                                case 1:
                                                    _state.sent(), a.setAttribute("role", "radio"), a.setAttribute("aria-checked", a.selected ? "true" : "false"), a.selected && t.push(a);
                                                    return [
                                                        2
                                                    ];
                                            }
                                        });
                                    });
                                    return function(a) {
                                        return _ref.apply(this, arguments);
                                    };
                                }());
                                if (e) return [
                                    3,
                                    8
                                ];
                                return [
                                    4,
                                    Promise.all(i)
                                ];
                            case 2:
                                _state.sent();
                                l = t.map(function(a) {
                                    return a.value;
                                });
                                _this.setSelected(l || d$u);
                                return [
                                    3,
                                    8
                                ];
                            case 3:
                                _this.getAttribute("role") === "radiogroup" && _this.removeAttribute("role");
                                t1 = [], i1 = [], l1 = s.map(function() {
                                    var _ref = _async_to_generator$A(function(o) {
                                        return _ts_generator$A(this, function(_state) {
                                            switch(_state.label){
                                                case 0:
                                                    return [
                                                        4,
                                                        o.updateComplete
                                                    ];
                                                case 1:
                                                    _state.sent(), o.setAttribute("role", "checkbox"), o.setAttribute("aria-checked", o.selected ? "true" : "false"), o.selected && (t1.push(o.value), i1.push(o));
                                                    return [
                                                        2
                                                    ];
                                            }
                                        });
                                    });
                                    return function(o) {
                                        return _ref.apply(this, arguments);
                                    };
                                }());
                                if (e) return [
                                    3,
                                    8
                                ];
                                return [
                                    4,
                                    Promise.all(l1)
                                ];
                            case 4:
                                _state.sent();
                                a = t1.length ? t1 : d$u;
                                _this.setSelected(a);
                                return [
                                    3,
                                    8
                                ];
                            case 5:
                                if (!_this.selected.length) return [
                                    3,
                                    7
                                ];
                                t2 = [], i2 = s.map(function() {
                                    var _ref = _async_to_generator$A(function(l) {
                                        return _ts_generator$A(this, function(_state) {
                                            switch(_state.label){
                                                case 0:
                                                    return [
                                                        4,
                                                        l.updateComplete
                                                    ];
                                                case 1:
                                                    _state.sent(), l.setAttribute("role", "button"), l.selected ? (l.setAttribute("aria-pressed", "true"), t2.push(l)) : l.removeAttribute("aria-pressed");
                                                    return [
                                                        2
                                                    ];
                                            }
                                        });
                                    });
                                    return function(l) {
                                        return _ref.apply(this, arguments);
                                    };
                                }());
                                if (e) return [
                                    3,
                                    8
                                ];
                                return [
                                    4,
                                    Promise.all(i2)
                                ];
                            case 6:
                                _state.sent(), _this.setSelected(t2.map(function(l) {
                                    return l.value;
                                }));
                                return [
                                    3,
                                    8
                                ];
                            case 7:
                                _this.buttons.forEach(function(t) {
                                    t.setAttribute("role", "button");
                                });
                                return [
                                    3,
                                    8
                                ];
                            case 8:
                                _this.hasAttribute("role") || _this.setAttribute("role", "toolbar");
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$3p(), this.manageButtons);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$12(_get_prototype_of$28(ActionGroup.prototype), "firstUpdated", this).call(this, e), this.addEventListener("click", this.handleClick);
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$12(_get_prototype_of$28(ActionGroup.prototype), "updated", this).call(this, e), e.has("selects") && (this.manageSelects(), this.manageChildren(), this.selects ? this.shadowRoot.addEventListener("change", this.handleActionButtonChange) : this.shadowRoot.removeEventListener("change", this.handleActionButtonChange)), (e.has("quiet") || e.has("emphasized") || e.has("size") || e.has("static")) && this.manageChildren(e), e.has("label") && (this.label || typeof e.get("label") != "undefined") && (this.label.length ? this.setAttribute("aria-label", this.label) : this.removeAttribute("aria-label"));
            }
        },
        {
            key: "manageChildren",
            value: function manageChildren(e) {
                var _this = this;
                this.buttons.forEach(function(s) {
                    (_this.quiet || e != null && e.get("quiet")) && (s.quiet = _this.quiet), (_this.emphasized || e != null && e.get("emphasized")) && (s.emphasized = _this.emphasized), (_this.static || e != null && e.get("static")) && (s.static = _this.static), (_this.selects || !_this.hasManaged) && (s.selected = _this.selected.includes(s.value)), _this.size && (_this.size !== "m" || typeof (e == null ? void 0 : e.get("size")) != "undefined") && (s.size = _this.size);
                });
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    S$5
                ];
            }
        }
    ]);
    return ActionGroup;
}(SizedMixin(SpectrumElement, {
    validSizes: [
        "xs",
        "s",
        "m",
        "l",
        "xl"
    ],
    noDefaultSize: !0
}));
r$u([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionGroup.prototype, "compact", 2), r$u([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionGroup.prototype, "emphasized", 2), r$u([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionGroup.prototype, "justified", 2), r$u([
    n$r({
        type: String
    })
], ActionGroup.prototype, "label", 2), r$u([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionGroup.prototype, "quiet", 2), r$u([
    n$r({
        type: String
    })
], ActionGroup.prototype, "selects", 2), r$u([
    n$r({
        reflect: !0
    })
], ActionGroup.prototype, "static", 2), r$u([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionGroup.prototype, "vertical", 2), r$u([
    n$r({
        type: Array
    })
], ActionGroup.prototype, "selected", 1), r$u([
    e$F("slot")
], ActionGroup.prototype, "slotElement", 2);

defineElement("sp-action-group", ActionGroup);

function _assert_this_initialized$27(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2p(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2l(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2l(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2l(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2l(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$27(o) {
    _get_prototype_of$27 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$27(o);
}
function _inherits$27(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$27(subClass, superClass);
}
function _possible_constructor_return$27(self, call) {
    if (call && (_type_of$27(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$27(self);
}
function _set_prototype_of$27(o, p) {
    _set_prototype_of$27 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$27(o, p);
}
function _tagged_template_literal$3o(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$27(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$27() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$27(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$27();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$27(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$27(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$27(this, result);
    };
}
function _templateObject$3o() {
    var data = _tagged_template_literal$3o([
        "<slot></slot>"
    ]);
    _templateObject$3o = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$G() {
    var data = _tagged_template_literal$3o([
        "<a\n                    id=",
        "\n                    class=",
        "\n                    href=",
        "\n                    download=",
        "\n                    target=",
        "\n                    aria-label=",
        "\n                    aria-labelledby=",
        "\n                    aria-hidden=",
        "\n                    tabindex=",
        "\n                    referrerpolicy=",
        "\n                    rel=",
        "\n                >",
        "</a>"
    ]);
    _templateObject1$G = function _templateObject() {
        return data;
    };
    return data;
}
var u$G = Object.defineProperty;
var f$k = Object.getOwnPropertyDescriptor;
var n$k = function(s, r, p, i) {
    for(var t = i > 1 ? void 0 : i ? f$k(r, p) : r, a = s.length - 1, l; a >= 0; a--)(l = s[a]) && (t = (i ? l(r, p, t) : l(t)) || t);
    return i && t && u$G(r, p, t), t;
};
function LikeAnchor(s) {
    var r = /*#__PURE__*/ function(s) {
        _inherits$27(r, s);
        var _super = _create_super$27(r);
        function r() {
            _class_call_check$2p(this, r);
            return _super.apply(this, arguments);
        }
        _create_class$2l(r, [
            {
                key: "renderAnchor",
                value: function renderAnchor(param) {
                    var i = param.id, t = param.className, a = param.ariaHidden, l = param.labelledby, d = param.tabindex, tmp = param.anchorContent, g = tmp === void 0 ? x$3(_templateObject$3o()) : tmp;
                    return x$3(_templateObject1$G(), i, o$O(t), o$O(this.href), o$O(this.download), o$O(this.target), o$O(this.label), o$O(l), o$O(a ? "true" : void 0), o$O(d), o$O(this.referrerpolicy), o$O(this.rel), g);
                }
            }
        ]);
        return r;
    }(s);
    return n$k([
        n$r()
    ], r.prototype, "download", 2), n$k([
        n$r()
    ], r.prototype, "label", 2), n$k([
        n$r()
    ], r.prototype, "href", 2), n$k([
        n$r()
    ], r.prototype, "target", 2), n$k([
        n$r()
    ], r.prototype, "referrerpolicy", 2), n$k([
        n$r()
    ], r.prototype, "rel", 2), r;
}

function _array_like_to_array$E(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$v(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$E(arr);
}
function _assert_this_initialized$26(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2o(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2k(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2k(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2k(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2k(Constructor, staticProps);
    return Constructor;
}
function _get$11(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$11 = Reflect.get;
    } else {
        _get$11 = function get(target, property, receiver) {
            var base = _super_prop_base$11(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$11(target, property, receiver || target);
}
function _get_prototype_of$26(o) {
    _get_prototype_of$26 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$26(o);
}
function _inherits$26(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$26(subClass, superClass);
}
function _iterable_to_array$v(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$v() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$26(self, call) {
    if (call && (_type_of$26(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$26(self);
}
function _set_prototype_of$26(o, p) {
    _set_prototype_of$26 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$26(o, p);
}
function _super_prop_base$11(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$26(object);
        if (object === null) break;
    }
    return object;
}
function _to_consumable_array$v(arr) {
    return _array_without_holes$v(arr) || _iterable_to_array$v(arr) || _unsupported_iterable_to_array$E(arr) || _non_iterable_spread$v();
}
function _type_of$26(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$E(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$E(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$E(o, minLen);
}
function _is_native_reflect_construct$26() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$26(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$26();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$26(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$26(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$26(this, result);
    };
}
var h$k = Object.defineProperty;
var x$2 = Object.getOwnPropertyDescriptor;
var u$F = function(c, e, s, o) {
    for(var t = o > 1 ? void 0 : o ? x$2(e, s) : e, a = c.length - 1, i; a >= 0; a--)(i = c[a]) && (t = (o ? i(e, s, t) : i(t)) || t);
    return o && t && h$k(e, s, t), t;
};
var p$A = Symbol("assignedNodes");
function ObserveSlotText(c, e) {
    var s = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : [];
    var a, i;
    var o = function(f) {
        return function(m) {
            return f.matches(m);
        };
    };
    var t = /*#__PURE__*/ function(_superClass) {
        _inherits$26(t, _superClass);
        var _super = _create_super$26(t);
        function t() {
            for(var _len = arguments.length, n = new Array(_len), _key = 0; _key < _len; _key++){
                n[_key] = arguments[_key];
            }
            _class_call_check$2o(this, t);
            var _this;
            _this = _super.call(this, n);
            _this.slotHasContent = !1;
            new s$b(_assert_this_initialized$26(_this), {
                config: {
                    characterData: !0,
                    subtree: !0
                },
                callback: function(d) {
                    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                    try {
                        for(var _iterator = d[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                            var r = _step.value;
                            if (r.type === "characterData") {
                                _this.manageTextObservedSlot();
                                return;
                            }
                        }
                    } catch (err) {
                        _didIteratorError = true;
                        _iteratorError = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion && _iterator.return != null) {
                                _iterator.return();
                            }
                        } finally{
                            if (_didIteratorError) {
                                throw _iteratorError;
                            }
                        }
                    }
                }
            });
            return _this;
        }
        _create_class$2k(t, [
            {
                key: "manageTextObservedSlot",
                value: function manageTextObservedSlot() {
                    if (!this[p$A]) return;
                    var n = _to_consumable_array$v(this[p$A]).filter(function(d) {
                        var r = d;
                        return r.tagName ? !s.some(o(r)) : r.textContent ? r.textContent.trim() : !1;
                    });
                    this.slotHasContent = n.length > 0;
                }
            },
            {
                key: "update",
                value: function update(n) {
                    if (!this.hasUpdated) {
                        var _this = this, d = _this.childNodes, r = _to_consumable_array$v(d).filter(function(g) {
                            var l = g;
                            return l.tagName ? s.some(o(l)) ? !1 : e ? l.getAttribute("slot") === e : !l.hasAttribute("slot") : l.textContent ? l.textContent.trim() : !1;
                        });
                        this.slotHasContent = r.length > 0;
                    }
                    _get$11(_get_prototype_of$26(t.prototype), "update", this).call(this, n);
                }
            },
            {
                key: "firstUpdated",
                value: function firstUpdated(n) {
                    var _this = this;
                    _get$11(_get_prototype_of$26(t.prototype), "firstUpdated", this).call(this, n), this.updateComplete.then(function() {
                        _this.manageTextObservedSlot();
                    });
                }
            }
        ]);
        return t;
    }((i = c, a = p$A, i));
    return u$F([
        n$r({
            type: Boolean,
            attribute: !1
        })
    ], t.prototype, "slotHasContent", 2), u$F([
        n$q({
            slot: e,
            flatten: !0
        })
    ], t.prototype, a, 2), t;
}

function _tagged_template_literal$3n(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3n() {
    var data = _tagged_template_literal$3n([
        "\n    :host{vertical-align:top;--spectrum-progress-circle-size:var(--spectrum-workflow-icon-size-100);--spectrum-icon-size:var(--spectrum-workflow-icon-size-100);display:inline-flex}:host([dir]){-webkit-appearance:none}:host([disabled]){pointer-events:none;cursor:auto}#button{position:absolute;inset:0}::slotted(sp-overlay),::slotted(sp-tooltip){position:absolute}:host:after,::slotted(*){pointer-events:none}slot[name=icon]::slotted(svg),slot[name=icon]::slotted(img){fill:currentColor;stroke:currentColor;block-size:var(--spectrum-icon-size,var(--spectrum-workflow-icon-size-100));inline-size:var(--spectrum-icon-size,var(--spectrum-workflow-icon-size-100))}[icon-only]+#label{display:contents}:host([size=xs]){--spectrum-progress-circle-size:var(--spectrum-workflow-icon-size-50);--spectrum-icon-size:var(--spectrum-workflow-icon-size-50)}:host([size=s]){--spectrum-progress-circle-size:var(--spectrum-workflow-icon-size-75);--spectrum-icon-size:var(--spectrum-workflow-icon-size-75)}:host([size=l]){--spectrum-progress-circle-size:var(--spectrum-workflow-icon-size-200);--spectrum-icon-size:var(--spectrum-workflow-icon-size-200)}:host([size=xl]){--spectrum-progress-circle-size:var(--spectrum-workflow-icon-size-300);--spectrum-icon-size:var(--spectrum-workflow-icon-size-300)}:host([size=xxl]){--spectrum-progress-circle-size:var(--spectrum-workflow-icon-size-400);--spectrum-icon-size:var(--spectrum-workflow-icon-size-400)}\n"
    ]);
    _templateObject$3n = function _templateObject() {
        return data;
    };
    return data;
}
var e$B = i$p(_templateObject$3n());
var m$o = e$B;

function _assert_this_initialized$25(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2n(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2j(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2j(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2j(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2j(Constructor, staticProps);
    return Constructor;
}
function _get$10(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$10 = Reflect.get;
    } else {
        _get$10 = function get(target, property, receiver) {
            var base = _super_prop_base$10(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$10(target, property, receiver || target);
}
function _get_prototype_of$25(o) {
    _get_prototype_of$25 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$25(o);
}
function _inherits$25(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$25(subClass, superClass);
}
function _possible_constructor_return$25(self, call) {
    if (call && (_type_of$25(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$25(self);
}
function _set_prototype_of$25(o, p) {
    _set_prototype_of$25 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$25(o, p);
}
function _super_prop_base$10(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$25(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$3m(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$25(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$25() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$25(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$25();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$25(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$25(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$25(this, result);
    };
}
function _templateObject$3m() {
    var data = _tagged_template_literal$3m([
        '\n                <slot name="icon" ?icon-only=',
        "></slot>\n            "
    ]);
    _templateObject$3m = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$F() {
    var data = _tagged_template_literal$3m([
        '\n                <span id="label">\n                    <slot @slotchange=',
        "></slot>\n                </span>\n            "
    ]);
    _templateObject1$F = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$s() {
    var data = _tagged_template_literal$3m([
        "\n            ",
        "\n            ",
        "\n        "
    ]);
    _templateObject2$s = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$n() {
    var data = _tagged_template_literal$3m([
        "\n            ",
        "\n        "
    ]);
    _templateObject3$n = function _templateObject() {
        return data;
    };
    return data;
}
var d$t = Object.defineProperty;
var c$u = Object.getOwnPropertyDescriptor;
var s$a = function(n, i, e, t) {
    for(var r = t > 1 ? void 0 : t ? c$u(i, e) : i, a = n.length - 1, l; a >= 0; a--)(l = n[a]) && (r = (t ? l(i, e, r) : l(r)) || r);
    return t && r && d$t(i, e, r), r;
};
var ButtonBase = /*#__PURE__*/ function(_f) {
    _inherits$25(ButtonBase, _f);
    var _super = _create_super$25(ButtonBase);
    function ButtonBase() {
        _class_call_check$2n(this, ButtonBase);
        var _this;
        _this = _super.call(this);
        _this.active = !1;
        _this.type = "button";
        _this.proxyFocus = _this.proxyFocus.bind(_assert_this_initialized$25(_this)), _this.addEventListener("click", _this.handleClickCapture, {
            capture: !0
        });
        return _this;
    }
    _create_class$2j(ButtonBase, [
        {
            key: "focusElement",
            get: function get() {
                return this;
            }
        },
        {
            key: "hasLabel",
            get: function get() {
                return this.slotHasContent;
            }
        },
        {
            key: "buttonContent",
            get: function get() {
                return [
                    x$3(_templateObject$3m(), !this.hasLabel),
                    x$3(_templateObject1$F(), this.manageTextObservedSlot)
                ];
            }
        },
        {
            key: "click",
            value: function click() {
                this.disabled || this.shouldProxyClick() || _get$10(_get_prototype_of$25(ButtonBase.prototype), "click", this).call(this);
            }
        },
        {
            key: "handleClickCapture",
            value: function handleClickCapture(e) {
                if (this.disabled) return e.preventDefault(), e.stopImmediatePropagation(), e.stopPropagation(), !1;
            }
        },
        {
            key: "proxyFocus",
            value: function proxyFocus() {
                this.focus();
            }
        },
        {
            key: "shouldProxyClick",
            value: function shouldProxyClick() {
                var e = !1;
                if (this.anchorElement) this.anchorElement.click(), e = !0;
                else if (this.type !== "button") {
                    var t = document.createElement("button");
                    t.type = this.type, this.insertAdjacentElement("afterend", t), t.click(), t.remove(), e = !0;
                }
                return e;
            }
        },
        {
            key: "renderAnchor",
            value: function renderAnchor() {
                return x$3(_templateObject2$s(), this.buttonContent, _get$10(_get_prototype_of$25(ButtonBase.prototype), "renderAnchor", this).call(this, {
                    id: "button",
                    ariaHidden: !0,
                    className: "button anchor hidden"
                }));
            }
        },
        {
            key: "renderButton",
            value: function renderButton() {
                return x$3(_templateObject3$n(), this.buttonContent);
            }
        },
        {
            key: "render",
            value: function render() {
                return this.href && this.href.length > 0 ? this.renderAnchor() : this.renderButton();
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                var t = e.code;
                switch(t){
                    case "Space":
                        e.preventDefault(), typeof this.href == "undefined" && (this.addEventListener("keyup", this.handleKeyup), this.active = !0);
                        break;
                }
            }
        },
        {
            key: "handleKeypress",
            value: function handleKeypress(e) {
                var t = e.code;
                switch(t){
                    case "Enter":
                    case "NumpadEnter":
                        this.click();
                        break;
                }
            }
        },
        {
            key: "handleKeyup",
            value: function handleKeyup(e) {
                var t = e.code;
                switch(t){
                    case "Space":
                        this.removeEventListener("keyup", this.handleKeyup), this.active = !1, this.click();
                        break;
                }
            }
        },
        {
            key: "manageAnchor",
            value: function manageAnchor() {
                this.href && this.href.length > 0 ? ((!this.hasAttribute("role") || this.getAttribute("role") === "button") && this.setAttribute("role", "link"), this.removeEventListener("click", this.shouldProxyClick)) : ((!this.hasAttribute("role") || this.getAttribute("role") === "link") && this.setAttribute("role", "button"), this.addEventListener("click", this.shouldProxyClick));
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$10(_get_prototype_of$25(ButtonBase.prototype), "firstUpdated", this).call(this, e), this.hasAttribute("tabindex") || this.setAttribute("tabindex", "0"), this.manageAnchor(), this.addEventListener("keydown", this.handleKeydown), this.addEventListener("keypress", this.handleKeypress);
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$10(_get_prototype_of$25(ButtonBase.prototype), "updated", this).call(this, e), e.has("href") && this.manageAnchor(), e.has("label") && this.setAttribute("aria-label", this.label || ""), this.anchorElement && (this.anchorElement.addEventListener("focus", this.proxyFocus), this.anchorElement.tabIndex = -1);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    m$o
                ];
            }
        }
    ]);
    return ButtonBase;
}(ObserveSlotText(LikeAnchor(Focusable), "", [
    "sp-overlay,sp-tooltip"
]));
s$a([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ButtonBase.prototype, "active", 2), s$a([
    n$r({
        type: String
    })
], ButtonBase.prototype, "type", 2), s$a([
    e$F(".anchor")
], ButtonBase.prototype, "anchorElement", 2);

function _assert_this_initialized$24(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2m(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _get_prototype_of$24(o) {
    _get_prototype_of$24 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$24(o);
}
function _inherits$24(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$24(subClass, superClass);
}
function _possible_constructor_return$24(self, call) {
    if (call && (_type_of$24(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$24(self);
}
function _set_prototype_of$24(o, p) {
    _set_prototype_of$24 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$24(o, p);
}
function _type_of$24(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$24() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$24(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$24();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$24(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$24(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$24(this, result);
    };
}
var StyledButton = /*#__PURE__*/ function(t) {
    _inherits$24(StyledButton, t);
    var _super = _create_super$24(StyledButton);
    function StyledButton() {
        _class_call_check$2m(this, StyledButton);
        return _super.apply(this, arguments);
    }
    return StyledButton;
} 
(ButtonBase);

function _tagged_template_literal$3l(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3l() {
    var data = _tagged_template_literal$3l([
        '\n    :host{cursor:pointer;-webkit-user-select:none;user-select:none;box-sizing:border-box;font-family:var(--mod-button-font-family,var(--mod-sans-font-family-stack,var(--spectrum-sans-font-family-stack)));line-height:var(--mod-button-line-height,var(--mod-line-height-100,var(--spectrum-line-height-100)));text-transform:none;vertical-align:top;-webkit-appearance:button;transition:background var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,border-color var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,color var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,box-shadow var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;border-style:solid;margin:0;-webkit-text-decoration:none;text-decoration:none;overflow:visible}:host(:focus){outline:none}:host([disabled]),:host([disabled]){cursor:default}:host a{-webkit-user-select:none;user-select:none;-webkit-appearance:none}:host{--spectrum-closebutton-size-300:24px;--spectrum-closebutton-size-400:32px;--spectrum-closebutton-size-500:40px;--spectrum-closebutton-size-600:48px;--spectrum-closebutton-icon-color-default:var(--spectrum-neutral-content-color-default);--spectrum-closebutton-icon-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-closebutton-icon-color-down:var(--spectrum-neutral-content-color-down);--spectrum-closebutton-icon-color-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-closebutton-icon-color-disabled:var(--spectrum-disabled-content-color);--spectrum-closebutton-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-closebutton-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-closebutton-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-closebutton-height:var(--spectrum-component-height-100);--spectrum-closebutton-width:var(--spectrum-closebutton-height);--spectrum-closebutton-size:var(--spectrum-closebutton-size-400);--spectrum-closebutton-border-radius:var(--spectrum-closebutton-size-400);--spectrum-closebutton-animation-duration:var(--spectrum-animation-duration-100)}:host([size=s]){--spectrum-closebutton-height:var(--spectrum-component-height-75);--spectrum-closebutton-width:var(--spectrum-closebutton-height);--spectrum-closebutton-size:var(--spectrum-closebutton-size-300);--spectrum-closebutton-border-radius:var(--spectrum-closebutton-size-300)}:host{--spectrum-closebutton-height:var(--spectrum-component-height-100);--spectrum-closebutton-width:var(--spectrum-closebutton-height);--spectrum-closebutton-size:var(--spectrum-closebutton-size-400);--spectrum-closebutton-border-radius:var(--spectrum-closebutton-size-400)}:host([size=l]){--spectrum-closebutton-height:var(--spectrum-component-height-200);--spectrum-closebutton-width:var(--spectrum-closebutton-height);--spectrum-closebutton-size:var(--spectrum-closebutton-size-500);--spectrum-closebutton-border-radius:var(--spectrum-closebutton-size-500)}:host([size=xl]){--spectrum-closebutton-height:var(--spectrum-component-height-300);--spectrum-closebutton-width:var(--spectrum-closebutton-height);--spectrum-closebutton-size:var(--spectrum-closebutton-size-600);--spectrum-closebutton-border-radius:var(--spectrum-closebutton-size-600)}:host([static=white]){--spectrum-closebutton-static-background-color-default:transparent;--spectrum-closebutton-static-background-color-hover:var(--spectrum-transparent-white-300);--spectrum-closebutton-static-background-color-down:var(--spectrum-transparent-white-400);--spectrum-closebutton-static-background-color-focus:var(--spectrum-transparent-white-300);--spectrum-closebutton-icon-color-default:var(--spectrum-white);--spectrum-closebutton-icon-color-disabled:var(--spectrum-disabled-static-white-content-color);--spectrum-closebutton-focus-indicator-color:var(--spectrum-static-white-focus-indicator-color)}:host([static=black]){--spectrum-closebutton-static-background-color-default:transparent;--spectrum-closebutton-static-background-color-hover:var(--spectrum-transparent-black-300);--spectrum-closebutton-static-background-color-down:var(--spectrum-transparent-black-400);--spectrum-closebutton-static-background-color-focus:var(--spectrum-transparent-black-300);--spectrum-closebutton-icon-color-default:var(--spectrum-black);--spectrum-closebutton-icon-color-disabled:var(--spectrum-disabled-static-black-content-color);--spectrum-closebutton-focus-indicator-color:var(--spectrum-static-black-focus-indicator-color)}@media (forced-colors:active){:host{--highcontrast-closebutton-icon-color-disabled:GrayText;--highcontrast-closebutton-icon-color-down:Highlight;--highcontrast-closebutton-icon-color-hover:Highlight;--highcontrast-closebutton-icon-color-focus:Highlight;--highcontrast-closebutton-background-color-default:ButtonFace;--highcontrast-closebutton-focus-indicator-color:ButtonText}:host(:focus-visible):after{forced-color-adjust:none;margin:var(--mod-closebutton-focus-indicator-gap,var(--spectrum-closebutton-focus-indicator-gap));transition:opacity var(--mod-closebutton-animation-duration,var(--spectrum-closebutton-animation-duration))ease-out,margin var(--mod-closebutton-animation-duraction,var(--spectrum-closebutton-animation-duration))ease-out}:host([static=black]){--highcontrast-closebutton-static-background-color-default:ButtonFace;--highcontrast-closebutton-icon-color-default:Highlight;--highcontrast-closebutton-icon-color-disabled:GrayText}:host([static=white]){--highcontrast-closebutton-static-background-color-default:ButtonFace;--highcontrast-closebutton-icon-color-default:Highlight;--highcontrast-closebutton-icon-color-disabled:Highlight}}:host{block-size:var(--mod-closebutton-height,var(--spectrum-closebutton-height));inline-size:var(--mod-closebutton-width,var(--spectrum-closebutton-width));color:inherit;border-radius:var(--mod-closebutton-border-radius,var(--spectrum-closebutton-border-radius));transition:border-color var(--mod-closebutton-animation-duration,var(--spectrum-closebutton-animation-duration))ease-in-out;margin-inline:var(--mod-closebutton-margin-inline);justify-content:center;align-items:center;align-self:var(--mod-closebutton-align-self);border-width:0;border-color:#0000;flex-direction:row;margin-block-start:var(--mod-closebutton-margin-top);padding:0;display:inline-flex;position:relative}:host:after{pointer-events:none;content:"";margin:calc(var(--mod-closebutton-focus-indicator-gap,var(--spectrum-closebutton-focus-indicator-gap))*-1);border-radius:calc(var(--mod-closebutton-size,var(--spectrum-closebutton-size)) + var(--mod-closebutton-focus-indicator-gap,var(--spectrum-closebutton-focus-indicator-gap)));transition:box-shadow var(--mod-closebutton-animation-duration,var(--spectrum-closebutton-animation-duration))ease-in-out;position:absolute;inset-block:0;inset-inline:0}:host(:focus-visible){box-shadow:none;outline:none}:host(:focus-visible):after{box-shadow:0 0 0 var(--mod-closebutton-focus-indicator-thickness,var(--spectrum-closebutton-focus-indicator-thickness))var(--highcontrast-closebutton-focus-indicator-color,var(--mod-closebutton-focus-indicator-color,var(--spectrum-closebutton-focus-indicator-color)))}:host(:not([disabled])){background-color:var(--highcontrast-closebutton-background-color-default,var(--mod-closebutton-background-color-default,var(--spectrum-closebutton-background-color-default)))}:host(:not([disabled]):is(:active,[active])){background-color:var(--mod-closebutton-background-color-down,var(--spectrum-closebutton-background-color-down))}:host(:not([disabled]):is(:active,[active])) .icon{color:var(--highcontrast-closebutton-icon-color-down,var(--mod-closebutton-icon-color-down,var(--spectrum-closebutton-icon-color-down)))}:host([focused]:not([disabled])),:host(:not([disabled]):focus-visible){background-color:var(--mod-closebutton-background-color-focus,var(--spectrum-closebutton-background-color-focus))}:host([focused]:not([disabled])) .icon,:host(:not([disabled]):focus-visible) .icon{color:var(--highcontrast-closebutton-icon-color-focus,var(--mod-closebutton-icon-color-focus,var(--spectrum-closebutton-icon-color-focus)))}:host(:not([disabled])) .icon{color:var(--mod-closebutton-icon-color-default,var(--spectrum-closebutton-icon-color-default))}:host([focused]:not([disabled])) .icon,:host(:not([disabled]):focus) .icon{color:var(--highcontrast-closebutton-icon-color-focus,var(--mod-closebutton-icon-color-focus,var(--spectrum-closebutton-icon-color-focus)))}:host([disabled]){background-color:var(--mod-closebutton-background-color-default,var(--spectrum-closebutton-background-color-default))}:host([disabled]) .icon{color:var(--highcontrast-closebutton-icon-color-disabled,var(--mod-closebutton-icon-color-disabled,var(--spectrum-closebutton-icon-color-disabled)))}:host([static=black]:not([disabled])),:host([static=white]:not([disabled])){background-color:var(--highcontrast-closebutton-static-background-color-default,var(--mod-closebutton-static-background-color-default,var(--spectrum-closebutton-static-background-color-default)))}@media (hover:hover){:host(:not([disabled]):hover){background-color:var(--mod-closebutton-background-color-hover,var(--spectrum-closebutton-background-color-hover))}:host(:not([disabled]):hover) .icon{color:var(--highcontrast-closebutton-icon-color-hover,var(--mod-closebutton-icon-color-hover,var(--spectrum-closebutton-icon-color-hover)))}:host([static=black]:not([disabled]):hover),:host([static=white]:not([disabled]):hover){background-color:var(--highcontrast-closebutton-static-background-color-hover,var(--mod-closebutton-static-background-color-hover,var(--spectrum-closebutton-static-background-color-hover)))}:host([static=black]:not([disabled]):hover) .icon,:host([static=white]:not([disabled]):hover) .icon{color:var(--highcontrast-closebutton-icon-color-default,var(--mod-closebutton-icon-color-default,var(--spectrum-closebutton-icon-color-default)))}}:host([static=black]:not([disabled]):is(:active,[active])),:host([static=white]:not([disabled]):is(:active,[active])){background-color:var(--highcontrast-closebutton-static-background-color-down,var(--mod-closebutton-static-background-color-down,var(--spectrum-closebutton-static-background-color-down)))}:host([static=black]:not([disabled]):is(:active,[active])) .icon,:host([static=white]:not([disabled]):is(:active,[active])) .icon{color:var(--highcontrast-closebutton-icon-color-default,var(--mod-closebutton-icon-color-default,var(--spectrum-closebutton-icon-color-default)))}:host([static=black][focused]:not([disabled])),:host([static=black]:not([disabled]):focus-visible),:host([static=white][focused]:not([disabled])),:host([static=white]:not([disabled]):focus-visible){background-color:var(--highcontrast-closebutton-static-background-color-focus,var(--mod-closebutton-static-background-color-focus,var(--spectrum-closebutton-static-background-color-focus)))}:host([static=black][focused]:not([disabled])) .icon,:host([static=black][focused]:not([disabled])) .icon,:host([static=black]:not([disabled]):focus) .icon,:host([static=black]:not([disabled]):focus-visible) .icon,:host([static=white][focused]:not([disabled])) .icon,:host([static=white][focused]:not([disabled])) .icon,:host([static=white]:not([disabled]):focus) .icon,:host([static=white]:not([disabled]):focus-visible) .icon{color:var(--highcontrast-closebutton-icon-color-default,var(--mod-closebutton-icon-color-default,var(--spectrum-closebutton-icon-color-default)))}:host([static=black]:not([disabled])) .icon,:host([static=white]:not([disabled])) .icon{color:var(--mod-closebutton-icon-color-default,var(--spectrum-closebutton-icon-color-default))}:host([static=black][disabled]) .icon,:host([static=white][disabled]) .icon{color:var(--highcontrast-closebutton-icon-disabled,var(--mod-closebutton-icon-color-disabled,var(--spectrum-closebutton-icon-color-disabled)))}.icon{margin:0}:host{--spectrum-closebutton-background-color-default:var(--system-spectrum-closebutton-background-color-default);--spectrum-closebutton-background-color-hover:var(--system-spectrum-closebutton-background-color-hover);--spectrum-closebutton-background-color-down:var(--system-spectrum-closebutton-background-color-down);--spectrum-closebutton-background-color-focus:var(--system-spectrum-closebutton-background-color-focus)}\n'
    ]);
    _templateObject$3l = function _templateObject() {
        return data;
    };
    return data;
}
var t$t = i$p(_templateObject$3l());
var d$s = t$t;

function _tagged_template_literal$3k(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3k() {
    var data = _tagged_template_literal$3k([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 10 10"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="m6.29 5 2.922-2.922a.911.911 0 0 0-1.29-1.29L5 3.712 2.078.789a.911.911 0 0 0-1.29 1.289L3.712 5 .79 7.922a.911.911 0 1 0 1.289 1.29L5 6.288 7.923 9.21a.911.911 0 0 0 1.289-1.289z"\n    />\n  </svg>'
    ]);
    _templateObject$3k = function _templateObject() {
        return data;
    };
    return data;
}
var Cross200Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Cross200" : tmp2;
    return tag$1(_templateObject$3k(), r, t, e);
};

function _assert_this_initialized$23(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2l(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2i(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2i(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2i(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2i(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$23(o) {
    _get_prototype_of$23 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$23(o);
}
function _inherits$23(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$23(subClass, superClass);
}
function _possible_constructor_return$23(self, call) {
    if (call && (_type_of$23(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$23(self);
}
function _set_prototype_of$23(o, p) {
    _set_prototype_of$23 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$23(o, p);
}
function _type_of$23(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$23() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$23(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$23();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$23(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$23(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$23(this, result);
    };
}
var IconCross200 = /*#__PURE__*/ function(t) {
    _inherits$23(IconCross200, t);
    var _super = _create_super$23(IconCross200);
    function IconCross200() {
        _class_call_check$2l(this, IconCross200);
        return _super.apply(this, arguments);
    }
    _create_class$2i(IconCross200, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Cross200Icon();
            }
        }
    ]);
    return IconCross200;
} 
(IconBase);

defineElement("sp-icon-cross200", IconCross200);

function _tagged_template_literal$3j(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3j() {
    var data = _tagged_template_literal$3j([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 12 12"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="m7.344 6 3.395-3.396a.95.95 0 0 0-1.344-1.342L6 4.657 2.604 1.262a.95.95 0 0 0-1.342 1.342L4.657 6 1.262 9.396a.95.95 0 0 0 1.343 1.343L6 7.344l3.395 3.395a.95.95 0 0 0 1.344-1.344z"\n    />\n  </svg>'
    ]);
    _templateObject$3j = function _templateObject() {
        return data;
    };
    return data;
}
var Cross300Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Cross300" : tmp2;
    return tag$1(_templateObject$3j(), r, t, e);
};

function _assert_this_initialized$22(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2k(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2h(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2h(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2h(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2h(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$22(o) {
    _get_prototype_of$22 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$22(o);
}
function _inherits$22(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$22(subClass, superClass);
}
function _possible_constructor_return$22(self, call) {
    if (call && (_type_of$22(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$22(self);
}
function _set_prototype_of$22(o, p) {
    _set_prototype_of$22 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$22(o, p);
}
function _type_of$22(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$22() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$22(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$22();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$22(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$22(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$22(this, result);
    };
}
var IconCross300 = /*#__PURE__*/ function(t) {
    _inherits$22(IconCross300, t);
    var _super = _create_super$22(IconCross300);
    function IconCross300() {
        _class_call_check$2k(this, IconCross300);
        return _super.apply(this, arguments);
    }
    _create_class$2h(IconCross300, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Cross300Icon();
            }
        }
    ]);
    return IconCross300;
} 
(IconBase);

defineElement("sp-icon-cross300", IconCross300);

function _tagged_template_literal$3i(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3i() {
    var data = _tagged_template_literal$3i([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 12 12"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="m7.398 6 3.932-3.932A.989.989 0 0 0 9.932.67L6 4.602 2.068.67A.989.989 0 0 0 .67 2.068L4.602 6 .67 9.932a.989.989 0 1 0 1.398 1.398L6 7.398l3.932 3.932a.989.989 0 0 0 1.398-1.398z"\n    />\n  </svg>'
    ]);
    _templateObject$3i = function _templateObject() {
        return data;
    };
    return data;
}
var Cross400Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Cross400" : tmp2;
    return tag$1(_templateObject$3i(), r, t, e);
};

function _assert_this_initialized$21(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2j(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2g(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2g(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2g(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2g(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$21(o) {
    _get_prototype_of$21 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$21(o);
}
function _inherits$21(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$21(subClass, superClass);
}
function _possible_constructor_return$21(self, call) {
    if (call && (_type_of$21(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$21(self);
}
function _set_prototype_of$21(o, p) {
    _set_prototype_of$21 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$21(o, p);
}
function _type_of$21(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$21() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$21(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$21();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$21(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$21(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$21(this, result);
    };
}
var IconCross400 = /*#__PURE__*/ function(t) {
    _inherits$21(IconCross400, t);
    var _super = _create_super$21(IconCross400);
    function IconCross400() {
        _class_call_check$2j(this, IconCross400);
        return _super.apply(this, arguments);
    }
    _create_class$2g(IconCross400, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Cross400Icon();
            }
        }
    ]);
    return IconCross400;
} 
(IconBase);

defineElement("sp-icon-cross400", IconCross400);

function _tagged_template_literal$3h(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3h() {
    var data = _tagged_template_literal$3h([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 14 14"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="m8.457 7 4.54-4.54a1.03 1.03 0 0 0-1.458-1.456L7 5.543l-4.54-4.54a1.03 1.03 0 0 0-1.457 1.458L5.543 7l-4.54 4.54a1.03 1.03 0 1 0 1.457 1.456L7 8.457l4.54 4.54a1.03 1.03 0 0 0 1.456-1.458z"\n    />\n  </svg>'
    ]);
    _templateObject$3h = function _templateObject() {
        return data;
    };
    return data;
}
var Cross500Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Cross500" : tmp2;
    return tag$1(_templateObject$3h(), r, t, e);
};

function _assert_this_initialized$20(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2i(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2f(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2f(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2f(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2f(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$20(o) {
    _get_prototype_of$20 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$20(o);
}
function _inherits$20(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$20(subClass, superClass);
}
function _possible_constructor_return$20(self, call) {
    if (call && (_type_of$20(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$20(self);
}
function _set_prototype_of$20(o, p) {
    _set_prototype_of$20 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$20(o, p);
}
function _type_of$20(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$20() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$20(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$20();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$20(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$20(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$20(this, result);
    };
}
var IconCross500 = /*#__PURE__*/ function(t) {
    _inherits$20(IconCross500, t);
    var _super = _create_super$20(IconCross500);
    function IconCross500() {
        _class_call_check$2i(this, IconCross500);
        return _super.apply(this, arguments);
    }
    _create_class$2f(IconCross500, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Cross500Icon();
            }
        }
    ]);
    return IconCross500;
} 
(IconBase);

defineElement("sp-icon-cross500", IconCross500);

function _tagged_template_literal$3g(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3g() {
    var data = _tagged_template_literal$3g([
        "\n    .spectrum-UIIcon-Cross75{--spectrum-icon-size:var(--spectrum-cross-icon-size-75)}.spectrum-UIIcon-Cross100{--spectrum-icon-size:var(--spectrum-cross-icon-size-100)}.spectrum-UIIcon-Cross200{--spectrum-icon-size:var(--spectrum-cross-icon-size-200)}.spectrum-UIIcon-Cross300{--spectrum-icon-size:var(--spectrum-cross-icon-size-300)}.spectrum-UIIcon-Cross400{--spectrum-icon-size:var(--spectrum-cross-icon-size-400)}.spectrum-UIIcon-Cross500{--spectrum-icon-size:var(--spectrum-cross-icon-size-500)}.spectrum-UIIcon-Cross600{--spectrum-icon-size:var(--spectrum-cross-icon-size-600)}\n"
    ]);
    _templateObject$3g = function _templateObject() {
        return data;
    };
    return data;
}
var c$t = i$p(_templateObject$3g());
var S$4 = c$t;

function _array_like_to_array$D(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$u(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$D(arr);
}
function _assert_this_initialized$1$(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2h(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2e(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2e(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2e(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2e(Constructor, staticProps);
    return Constructor;
}
function _get$$(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$$ = Reflect.get;
    } else {
        _get$$ = function get(target, property, receiver) {
            var base = _super_prop_base$$(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$$(target, property, receiver || target);
}
function _get_prototype_of$1$(o) {
    _get_prototype_of$1$ = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1$(o);
}
function _inherits$1$(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1$(subClass, superClass);
}
function _iterable_to_array$u(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$u() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$1$(self, call) {
    if (call && (_type_of$1$(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1$(self);
}
function _set_prototype_of$1$(o, p) {
    _set_prototype_of$1$ = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1$(o, p);
}
function _super_prop_base$$(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1$(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$3f(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$u(arr) {
    return _array_without_holes$u(arr) || _iterable_to_array$u(arr) || _unsupported_iterable_to_array$D(arr) || _non_iterable_spread$u();
}
function _type_of$1$(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$D(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$D(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$D(o, minLen);
}
function _is_native_reflect_construct$1$() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1$(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1$();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1$(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1$(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1$(this, result);
    };
}
function _templateObject$3f() {
    var data = _tagged_template_literal$3f([
        '\n        <sp-icon-cross200\n            slot="icon"\n            class="icon spectrum-UIIcon-Cross200"\n        ></sp-icon-cross200>\n    '
    ]);
    _templateObject$3f = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$E() {
    var data = _tagged_template_literal$3f([
        '\n        <sp-icon-cross300\n            slot="icon"\n            class="icon spectrum-UIIcon-Cross300"\n        ></sp-icon-cross300>\n    '
    ]);
    _templateObject1$E = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$r() {
    var data = _tagged_template_literal$3f([
        '\n        <sp-icon-cross400\n            slot="icon"\n            class="icon spectrum-UIIcon-Cross400"\n        ></sp-icon-cross400>\n    '
    ]);
    _templateObject2$r = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$m() {
    var data = _tagged_template_literal$3f([
        '\n        <sp-icon-cross500\n            slot="icon"\n            class="icon spectrum-UIIcon-Cross500"\n        ></sp-icon-cross500>\n    '
    ]);
    _templateObject3$m = function _templateObject() {
        return data;
    };
    return data;
}
var m$n = Object.defineProperty;
var u$E = Object.getOwnPropertyDescriptor;
var p$z = function(c, t, e, o) {
    for(var s = o > 1 ? void 0 : o ? u$E(t, e) : t, i = c.length - 1, n; i >= 0; i--)(n = c[i]) && (s = (o ? n(t, e, s) : n(s)) || s);
    return o && s && m$n(t, e, s), s;
};
var y$f = {
    s: function() {
        return x$3(_templateObject$3f());
    },
    m: function() {
        return x$3(_templateObject1$E());
    },
    l: function() {
        return x$3(_templateObject2$r());
    },
    xl: function() {
        return x$3(_templateObject3$m());
    }
};
var CloseButton = /*#__PURE__*/ function(_a) {
    _inherits$1$(CloseButton, _a);
    var _super = _create_super$1$(CloseButton);
    function CloseButton() {
        _class_call_check$2h(this, CloseButton);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.variant = "";
        return _this;
    }
    _create_class$2e(CloseButton, [
        {
            key: "buttonContent",
            get: function get() {
                return [
                    y$f[this.size]()
                ];
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$u(_get$$(_get_prototype_of$1$(CloseButton), "styles", this)).concat([
                    d$s,
                    S$4
                ]);
            }
        }
    ]);
    return CloseButton;
}(SizedMixin(StyledButton, {
    noDefaultSize: !0
}));
p$z([
    n$r({
        reflect: !0
    })
], CloseButton.prototype, "variant", 2), p$z([
    n$r({
        type: String,
        reflect: !0
    })
], CloseButton.prototype, "static", 2);

defineElement("sp-close-button", CloseButton);

function randomID() {
    return Array.from(crypto.getRandomValues(new Uint8Array(4)), function(r) {
        return "0".concat((r & 255).toString(16)).slice(-2);
    }).join("");
}

function _tagged_template_literal$3e(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3e() {
    var data = _tagged_template_literal$3e([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 8 8"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="M6.575 6.555c.055.056.092.13 0 .2l-1.149.741c-.092.056-.129.019-.166-.074L3.834 4.94 1.963 7c-.019.036-.074.073-.129 0l-.889-.927c-.093-.055-.074-.111 0-.166l2.111-1.76L.648 3.24c-.037 0-.092-.074-.056-.167l.63-1.259a.097.097 0 0 1 .167-.036L3.5 3.148l.13-2.7a.1.1 0 0 1 .081-.111h.03l1.537.2c.093 0 .111.037.093.13l-.723 2.647 2.445-.741c.055-.037.111-.037.148.074l.241 1.37c.018.093 0 .13-.074.13l-2.556.2z"\n    />\n  </svg>'
    ]);
    _templateObject$3e = function _templateObject() {
        return data;
    };
    return data;
}
var Asterisk100Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, l = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, e = tmp2 === void 0 ? "Asterisk100" : tmp2;
    return tag$1(_templateObject$3e(), e, t, l);
};

function _assert_this_initialized$1_(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2g(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2d(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2d(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2d(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2d(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1_(o) {
    _get_prototype_of$1_ = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1_(o);
}
function _inherits$1_(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1_(subClass, superClass);
}
function _possible_constructor_return$1_(self, call) {
    if (call && (_type_of$1_(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1_(self);
}
function _set_prototype_of$1_(o, p) {
    _set_prototype_of$1_ = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1_(o, p);
}
function _type_of$1_(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1_() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1_(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1_();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1_(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1_(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1_(this, result);
    };
}
var IconAsterisk100 = /*#__PURE__*/ function(t) {
    _inherits$1_(IconAsterisk100, t);
    var _super = _create_super$1_(IconAsterisk100);
    function IconAsterisk100() {
        _class_call_check$2g(this, IconAsterisk100);
        return _super.apply(this, arguments);
    }
    _create_class$2d(IconAsterisk100, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Asterisk100Icon();
            }
        }
    ]);
    return IconAsterisk100;
} 
(IconBase);

defineElement("sp-icon-asterisk100", IconAsterisk100);

function _tagged_template_literal$3d(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3d() {
    var data = _tagged_template_literal$3d([
        "\n    .spectrum-UIIcon-Asterisk75{--spectrum-icon-size:var(--spectrum-asterisk-icon-size-75)}.spectrum-UIIcon-Asterisk100{--spectrum-icon-size:var(--spectrum-asterisk-icon-size-100)}.spectrum-UIIcon-Asterisk200{--spectrum-icon-size:var(--spectrum-asterisk-icon-size-200)}.spectrum-UIIcon-Asterisk300{--spectrum-icon-size:var(--spectrum-asterisk-icon-size-300)}\n"
    ]);
    _templateObject$3d = function _templateObject() {
        return data;
    };
    return data;
}
var e$A = i$p(_templateObject$3d());
var g$a = e$A;

function _array_like_to_array$C(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$t(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$C(arr);
}
function _iterable_to_array$t(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$t() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _to_consumable_array$t(arr) {
    return _array_without_holes$t(arr) || _iterable_to_array$t(arr) || _unsupported_iterable_to_array$C(arr) || _non_iterable_spread$t();
}
function _unsupported_iterable_to_array$C(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$C(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$C(o, minLen);
}
function conditionAttributeWithoutId(t, i, n) {
    var e = t.getAttribute(i);
    var r = e ? e.split(/\s+/) : [];
    r = r.filter(function(s) {
        return !n.find(function(o) {
            return s === o;
        });
    }), r.length ? t.setAttribute(i, r.join(" ")) : t.removeAttribute(i);
}
function conditionAttributeWithId(t, i, n) {
    var _s;
    var e = Array.isArray(n) ? n : [
        n
    ], r = t.getAttribute(i), s = r ? r.split(/\s+/) : [];
    return e.every(function(d) {
        return s.indexOf(d) > -1;
    }) ? function() {} : ((_s = s).push.apply(_s, _to_consumable_array$t(e)), t.setAttribute(i, s.join(" ")), function() {
        return conditionAttributeWithoutId(t, i, e);
    });
}

function _array_like_to_array$B(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$s(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$B(arr);
}
function _class_call_check$2f(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2c(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2c(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2c(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2c(Constructor, staticProps);
    return Constructor;
}
function _iterable_to_array$s(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$s() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _to_consumable_array$s(arr) {
    return _array_without_holes$s(arr) || _iterable_to_array$s(arr) || _unsupported_iterable_to_array$B(arr) || _non_iterable_spread$s();
}
function _unsupported_iterable_to_array$B(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$B(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$B(o, minLen);
}
var elementResolverUpdatedSymbol = Symbol("element resolver updated");
var ElementResolutionController = /*#__PURE__*/ function() {
    function ElementResolutionController(e) {
        var _this = this;
        var _ref = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {
            selector: ""
        }, t = _ref.selector;
        _class_call_check$2f(this, ElementResolutionController);
        this._element = null;
        this._selector = "";
        this.mutationCallback = function(e) {
            var t = !1;
            e.forEach(function(s) {
                if (!t) {
                    if (s.type === "childList") {
                        var r = _this.element && _to_consumable_array$s(s.removedNodes).includes(_this.element), l = !!_this.selector && _to_consumable_array$s(s.addedNodes).some(_this.elementIsSelected);
                        t = t || r || l;
                    }
                    if (s.type === "attributes") {
                        var r1 = s.target === _this.element, l1 = !!_this.selector && _this.elementIsSelected(s.target);
                        t = t || r1 || l1;
                    }
                }
            }), t && _this.resolveElement();
        };
        this.elementIsSelected = function(e) {
            var t;
            return _this.selectorIsId ? (e == null ? void 0 : e.id) === _this.selectorAsId : (t = e == null ? void 0 : e.matches) == null ? void 0 : t.call(e, _this.selector);
        };
        this.host = e, this.selector = t, this.observer = new MutationObserver(this.mutationCallback), this.host.addController(this);
    }
    _create_class$2c(ElementResolutionController, [
        {
            key: "element",
            get: function get() {
                return this._element;
            },
            set: function set(e) {
                if (e === this.element) return;
                var t = this.element;
                this._element = e, this.host.requestUpdate(elementResolverUpdatedSymbol, t);
            }
        },
        {
            key: "selector",
            get: function get() {
                return this._selector;
            },
            set: function set(e) {
                e !== this.selector && (this.releaseElement(), this._selector = e, this.resolveElement());
            }
        },
        {
            key: "selectorAsId",
            get: function get() {
                return this.selector.slice(1);
            }
        },
        {
            key: "selectorIsId",
            get: function get() {
                return !!this.selector && this.selector.startsWith("#");
            }
        },
        {
            key: "hostConnected",
            value: function hostConnected() {
                this.resolveElement(), this.observer.observe(this.host.getRootNode(), {
                    subtree: !0,
                    childList: !0,
                    attributes: !0
                });
            }
        },
        {
            key: "hostDisconnected",
            value: function hostDisconnected() {
                this.releaseElement(), this.observer.disconnect();
            }
        },
        {
            key: "resolveElement",
            value: function resolveElement() {
                if (!this.selector) {
                    this.releaseElement();
                    return;
                }
                var e = this.host.getRootNode();
                this.element = this.selectorIsId ? e.getElementById(this.selectorAsId) : e.querySelector(this.selector);
            }
        },
        {
            key: "releaseElement",
            value: function releaseElement() {
                this.element = null;
            }
        }
    ]);
    return ElementResolutionController;
} 
();

function _tagged_template_literal$3c(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3c() {
    var data = _tagged_template_literal$3c([
        "\n    :host{--spectrum-fieldlabel-min-height:var(--spectrum-component-height-75);--spectrum-fieldlabel-color:var(--spectrum-neutral-subdued-content-color-default);--spectrum-field-label-text-to-asterisk:var(--spectrum-field-label-text-to-asterisk-medium);--spectrum-fieldlabel-font-weight:var(--spectrum-regular-font-weight);--spectrum-fieldlabel-line-height:var(--spectrum-line-height-100);--spectrum-fieldlabel-line-height-cjk:var(--spectrum-cjk-line-height-100)}:host([size=s]){--spectrum-fieldlabel-min-height:var(--spectrum-component-height-75);--spectrum-fieldlabel-top-to-text:var(--spectrum-component-top-to-text-75);--spectrum-fieldlabel-bottom-to-text:var(--spectrum-component-bottom-to-text-75);--spectrum-fieldlabel-font-size:var(--spectrum-font-size-75);--spectrum-fieldlabel-side-margin-block-start:var(--spectrum-field-label-top-margin-small);--spectrum-fieldlabel-side-padding-right:var(--spectrum-spacing-100);--spectrum-field-label-text-to-asterisk:var(--spectrum-field-label-text-to-asterisk-small)}:host{--spectrum-fieldlabel-min-height:var(--spectrum-component-height-75);--spectrum-fieldlabel-top-to-text:var(--spectrum-component-top-to-text-75);--spectrum-fieldlabel-bottom-to-text:var(--spectrum-component-bottom-to-text-75);--spectrum-fieldlabel-font-size:var(--spectrum-font-size-75);--spectrum-fieldlabel-side-margin-block-start:var(--spectrum-field-label-top-margin-medium);--spectrum-fieldlabel-side-padding-right:var(--spectrum-spacing-200);--spectrum-field-label-text-to-asterisk:var(--spectrum-field-label-text-to-asterisk-medium)}:host([size=l]){--spectrum-fieldlabel-min-height:var(--spectrum-component-height-100);--spectrum-fieldlabel-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-fieldlabel-bottom-to-text:var(--spectrum-component-bottom-to-text-100);--spectrum-fieldlabel-font-size:var(--spectrum-font-size-100);--spectrum-fieldlabel-side-margin-block-start:var(--spectrum-field-label-top-margin-large);--spectrum-fieldlabel-side-padding-right:var(--spectrum-spacing-200);--spectrum-field-label-text-to-asterisk:var(--spectrum-field-label-text-to-asterisk-large)}:host([size=xl]){--spectrum-fieldlabel-min-height:var(--spectrum-component-height-200);--spectrum-fieldlabel-top-to-text:var(--spectrum-component-top-to-text-200);--spectrum-fieldlabel-bottom-to-text:var(--spectrum-component-bottom-to-text-200);--spectrum-fieldlabel-font-size:var(--spectrum-font-size-200);--spectrum-fieldlabel-side-margin-block-start:var(--spectrum-field-label-top-margin-extra-large);--spectrum-fieldlabel-side-padding-right:var(--spectrum-spacing-200);--spectrum-field-label-text-to-asterisk:var(--spectrum-field-label-text-to-asterisk-extra-large)}:host{box-sizing:border-box;min-block-size:var(--mod-fieldlabel-min-height,var(--spectrum-fieldlabel-min-height));padding-block:var(--mod-field-label-top-to-text,var(--spectrum-fieldlabel-top-to-text))var(--mod-field-label-bottom-to-text,var(--spectrum-fieldlabel-bottom-to-text));font-size:var(--mod-fieldlabel-font-size,var(--spectrum-fieldlabel-font-size));font-weight:var(--mod-fieldlabel-font-weight,var(--spectrum-fieldlabel-font-weight));line-height:var(--mod-fieldlabel-line-height,var(--spectrum-fieldlabel-line-height));-webkit-font-smoothing:subpixel-antialiased;-moz-osx-font-smoothing:auto;color:var(--spectrum-fieldlabel-color);padding-inline:0;display:block}:host(:lang(ja)),:host(:lang(ko)),:host(:lang(zh)){line-height:var(--mod-fieldlabel-line-height-cjk,var(--spectrum-fieldlabel-line-height-cjk))}.required-icon{margin-block:0;margin-inline:var(--mod-field-label-text-to-asterisk,var(--spectrum-field-label-text-to-asterisk))0;vertical-align:var(--mod-field-label-asterisk-vertical-align,baseline)}:host([side-aligned=start]),:host([side-aligned=end]){vertical-align:top;margin-block-start:var(--mod-fieldlabel-side-margin-block-start,var(--spectrum-fieldlabel-side-margin-block-start));margin-block-end:0;margin-inline-end:var(--mod-fieldlabel-side-padding-right,var(--spectrum-fieldlabel-side-padding-right));display:inline-block}:host([side-aligned=end]){text-align:end}:host([disabled]),:host([disabled]) .required-icon{color:var(--highcontrast-disabled-content-color,var(--mod-disabled-content-color,var(--spectrum-disabled-content-color)))}@media (forced-colors:active){:host{--highcontrast-disabled-content-color:GrayText}}label{display:inline-block}\n"
    ]);
    _templateObject$3c = function _templateObject() {
        return data;
    };
    return data;
}
var t$s = i$p(_templateObject$3c());
var A = t$s;

function _assert_this_initialized$1Z(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$z(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$z(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$z(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$z(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$2e(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2b(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2b(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2b(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2b(Constructor, staticProps);
    return Constructor;
}
function _get$_(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$_ = Reflect.get;
    } else {
        _get$_ = function get(target, property, receiver) {
            var base = _super_prop_base$_(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$_(target, property, receiver || target);
}
function _get_prototype_of$1Z(o) {
    _get_prototype_of$1Z = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1Z(o);
}
function _inherits$1Z(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1Z(subClass, superClass);
}
function _possible_constructor_return$1Z(self, call) {
    if (call && (_type_of$1Z(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1Z(self);
}
function _set_prototype_of$1Z(o, p) {
    _set_prototype_of$1Z = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1Z(o, p);
}
function _super_prop_base$_(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1Z(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$3b(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1Z(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1Z() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1Z(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1Z();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1Z(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1Z(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1Z(this, result);
    };
}
function _ts_generator$z(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$3b() {
    var data = _tagged_template_literal$3b([
        '\n                          <sp-icon-asterisk100\n                              class="required-icon spectrum-UIIcon-Asterisk100"\n                          ></sp-icon-asterisk100>\n                      '
    ]);
    _templateObject$3b = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$D() {
    var data = _tagged_template_literal$3b([
        "\n            <label>\n                <slot></slot>\n                ",
        "\n            </label>\n        "
    ]);
    _templateObject1$D = function _templateObject() {
        return data;
    };
    return data;
}
var c$s = Object.defineProperty;
var d$r = Object.getOwnPropertyDescriptor;
var o$H = function(n, l, e, i) {
    for(var t = i > 1 ? void 0 : i ? d$r(l, e) : l, s = n.length - 1, r; s >= 0; s--)(r = n[s]) && (t = (i ? r(l, e, t) : r(t)) || t);
    return i && t && c$s(l, e, t), t;
};
var FieldLabel = /*#__PURE__*/ function(_m) {
    _inherits$1Z(FieldLabel, _m);
    var _super = _create_super$1Z(FieldLabel);
    function FieldLabel() {
        _class_call_check$2e(this, FieldLabel);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.disabled = !1;
        _this.id = "";
        _this.for = "";
        _this.required = !1;
        _this.resolvedElement = new ElementResolutionController(_assert_this_initialized$1Z(_this));
        return _this;
    }
    _create_class$2b(FieldLabel, [
        {
            key: "handleClick",
            value: function handleClick(e) {
                if (!this.target || this.disabled || e.defaultPrevented) return;
                this.target.focus();
                var i = this.getRootNode(), t = this.target, s = t.getRootNode(), r = s.host;
                s === i && t.forceFocusVisible ? t.forceFocusVisible() : r && r.forceFocusVisible && r.forceFocusVisible();
            }
        },
        {
            key: "applyTargetLabel",
            value: function applyTargetLabel(e) {
                if (this.target = e || this.target, this.target) {
                    var i = this.target.applyFocusElementLabel, t = this.target.focusElement || this.target, s = t.getRootNode();
                    typeof i != "undefined" ? i(this.labelText, this) : s === this.getRootNode() ? (e ? conditionAttributeWithId : conditionAttributeWithoutId)(t, "aria-labelledby", [
                        this.id
                    ]) : e ? t.setAttribute("aria-label", this.labelText) : t.removeAttribute("aria-label");
                }
            }
        },
        {
            key: "manageTarget",
            value: function manageTarget() {
                var _this = this;
                return _async_to_generator$z(function() {
                    var e, _tmp, _tmp1;
                    return _ts_generator$z(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _this.applyTargetLabel();
                                e = _this.resolvedElement.element;
                                if (!e) {
                                    _this.target = e;
                                    return [
                                        2
                                    ];
                                }
                                _tmp = e.localName.search("-") > 0;
                                if (!_tmp) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    customElements.whenDefined(e.localName)
                                ];
                            case 1:
                                _tmp = _state.sent();
                                _state.label = 2;
                            case 2:
                                _tmp1 = typeof e.updateComplete != "undefined";
                                if (!_tmp1) return [
                                    3,
                                    4
                                ];
                                return [
                                    4,
                                    e.updateComplete
                                ];
                            case 3:
                                _tmp1 = _state.sent();
                                _state.label = 4;
                            case 4:
                                _this.applyTargetLabel(e);
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "labelText",
            get: function get() {
                var e = this.slotEl.assignedNodes({
                    flatten: !0
                });
                return e.length ? e.map(function(t) {
                    return (t.textContent || "").trim();
                }).join(" ") : "";
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject1$D(), this.required ? x$3(_templateObject$3b()) : E$2);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$_(_get_prototype_of$1Z(FieldLabel.prototype), "firstUpdated", this).call(this, e), this.addEventListener("click", this.handleClick);
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(e) {
                this.hasAttribute("id") || this.setAttribute("id", "".concat(this.tagName.toLowerCase(), "-").concat(randomID())), e.has("for") && (this.resolvedElement.selector = this.for ? "#".concat(this.for) : ""), (e.has("id") || e.has(elementResolverUpdatedSymbol)) && this.manageTarget();
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    A,
                    g$a
                ];
            }
        }
    ]);
    return FieldLabel;
}(SizedMixin(SpectrumElement, {
    noDefaultSize: !0
}));
o$H([
    n$r({
        type: Boolean,
        reflect: !0
    })
], FieldLabel.prototype, "disabled", 2), o$H([
    n$r({
        type: String
    })
], FieldLabel.prototype, "id", 2), o$H([
    n$r({
        type: String
    })
], FieldLabel.prototype, "for", 2), o$H([
    n$r({
        type: Boolean,
        reflect: !0
    })
], FieldLabel.prototype, "required", 2), o$H([
    e$F("slot")
], FieldLabel.prototype, "slotEl", 2), o$H([
    n$r({
        type: String,
        reflect: !0,
        attribute: "side-aligned"
    })
], FieldLabel.prototype, "sideAligned", 2);

defineElement("sp-field-label", FieldLabel);

function _tagged_template_literal$3a(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3a() {
    var data = _tagged_template_literal$3a([
        "\n    :host{--spectrum-actionbar-height:var(--spectrum-action-bar-height);--spectrum-actionbar-corner-radius:var(--spectrum-corner-radius-100);--spectrum-actionbar-item-counter-font-size:var(--spectrum-font-size-100);--spectrum-actionbar-item-counter-line-height:var(--spectrum-line-height-100);--spectrum-actionbar-item-counter-color:var(--spectrum-neutral-content-color-default);--spectrum-actionbar-popover-background-color:var(--spectrum-gray-50);--spectrum-actionbar-popover-border-color:var(--spectrum-gray-400);--spectrum-actionbar-emphasized-background-color:var(--spectrum-informative-background-color-default);--spectrum-actionbar-emphasized-item-counter-color:var(--spectrum-white);--spectrum-actionbar-spacing-outer-edge:var(--spectrum-spacing-300);--spectrum-actionbar-spacing-close-button-top:var(--spectrum-spacing-100);--spectrum-actionbar-spacing-close-button-start:var(--spectrum-spacing-100);--spectrum-actionbar-spacing-close-button-end:var(--spectrum-spacing-75);--spectrum-actionbar-spacing-item-counter-top:var(--spectrum-action-bar-top-to-item-counter);--spectrum-actionbar-spacing-item-counter-end:var(--spectrum-spacing-400);--spectrum-actionbar-spacing-action-group-top:var(--spectrum-spacing-100);--spectrum-actionbar-spacing-action-group-end:var(--spectrum-spacing-100);--spectrum-actionbar-shadow-horizontal:var(--spectrum-drop-shadow-x);--spectrum-actionbar-shadow-vertical:var(--spectrum-drop-shadow-y);--spectrum-actionbar-shadow-blur:var(--spectrum-drop-shadow-blur);--spectrum-actionbar-shadow-color:var(--spectrum-drop-shadow-color)}:host:lang(ja),:host:lang(ko),:host:lang(zh){--spectrum-actionbar-item-counter-line-height-cjk:var(--spectrum-cjk-line-height-100)}@media (forced-colors:active){:host,:host([emphasized]) #popover{--highcontrast-actionbar-popover-border-color:CanvasText}}:host{padding:0 var(--mod-actionbar-spacing-outer-edge,var(--spectrum-actionbar-spacing-outer-edge));z-index:1;box-sizing:border-box;pointer-events:none;opacity:0;block-size:0;inset-block-end:0}:host([open]){block-size:calc(var(--mod-actionbar-spacing-outer-edge,var(--spectrum-actionbar-spacing-outer-edge)) + var(--mod-actionbar-height,var(--spectrum-actionbar-height)));opacity:1}#popover{block-size:var(--mod-actionbar-height,var(--spectrum-actionbar-height));box-sizing:border-box;border-radius:var(--mod-actionbar-corner-radius,var(--spectrum-actionbar-corner-radius));border-color:var(--highcontrast-actionbar-popover-border-color,var(--mod-actionbar-popover-border-color,var(--spectrum-actionbar-popover-border-color)));background-color:var(--mod-actionbar-popover-background-color,var(--spectrum-actionbar-popover-background-color));filter:drop-shadow(var(--mod-actionbar-shadow-horizontal,var(--spectrum-actionbar-shadow-horizontal))var(--mod-actionbar-shadow-vertical,var(--spectrum-actionbar-shadow-vertical))var(--mod-actionbar-shadow-blur,var(--spectrum-actionbar-shadow-blur))var(--mod-actionbar-shadow-color,var(--spectrum-actionbar-shadow-color)));pointer-events:auto;flex-direction:row;inline-size:100%;margin:auto;padding-block:0;display:flex;position:relative}.close-button{flex-shrink:0;margin-block-start:var(--mod-actionbar-spacing-close-button-top,var(--spectrum-actionbar-spacing-close-button-top));margin-inline-start:var(--mod-actionbar-spacing-close-button-start,var(--spectrum-actionbar-spacing-close-button-start));margin-inline-end:var(--mod-actionbar-spacing-close-button-end,var(--spectrum-actionbar-spacing-close-button-end))}.field-label{font-size:var(--mod-actionbar-item-counter-font-size,var(--spectrum-actionbar-item-counter-font-size));color:var(--mod-actionbar-item-counter-color,var(--spectrum-actionbar-item-counter-color));line-height:var(--mod-actionbar-item-counter-line-height,var(--spectrum-actionbar-item-counter-line-height));margin-block-start:var(--mod-actionbar-spacing-item-counter-top,var(--spectrum-actionbar-spacing-item-counter-top));margin-inline-end:var(--mod-actionbar-spacing-item-counter-end,var(--spectrum-actionbar-spacing-item-counter-end));padding:0}.field-label:lang(ja),.field-label:lang(ko),.field-label:lang(zh){line-height:var(--mod-actionbar-item-counter-line-height-cjk,var(--spectrum-actionbar-item-counter-line-height-cjk))}.action-group{margin-block-start:var(--mod-actionbar-spacing-action-group-top,var(--spectrum-actionbar-spacing-action-group-top));margin-inline-start:auto;margin-inline-end:var(--mod-actionbar-spacing-action-group-end,var(--spectrum-actionbar-spacing-action-group-end))}:host([emphasized]) #popover{filter:none;background-color:var(--mod-actionbar-emphasized-background-color,var(--spectrum-actionbar-emphasized-background-color));border-color:#0000}:host([emphasized]) .field-label{color:var(--mod-actionbar-emphasized-item-counter-color,var(--spectrum-actionbar-emphasized-item-counter-color))}:host([variant=sticky]){position:sticky;inset-inline:0}:host([variant=fixed]){position:fixed}:host([flexible]) #popover{inline-size:auto}:host{display:block}:host([flexible]){display:inline-block}\n"
    ]);
    _templateObject$3a = function _templateObject() {
        return data;
    };
    return data;
}
var o$G = i$p(_templateObject$3a());
var d$q = o$G;

function _assert_this_initialized$1Y(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2d(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2a(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2a(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2a(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2a(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1Y(o) {
    _get_prototype_of$1Y = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1Y(o);
}
function _inherits$1Y(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1Y(subClass, superClass);
}
function _possible_constructor_return$1Y(self, call) {
    if (call && (_type_of$1Y(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1Y(self);
}
function _set_prototype_of$1Y(o, p) {
    _set_prototype_of$1Y = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1Y(o, p);
}
function _tagged_template_literal$39(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1Y(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1Y() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1Y(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1Y();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1Y(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1Y(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1Y(this, result);
    };
}
function _templateObject$39() {
    var data = _tagged_template_literal$39([
        "\n            <sp-popover ?open=",
        ' id="popover">\n                <slot name="override">\n                    <sp-close-button\n                        static=',
        '\n                        class="close-button"\n                        label="Clear selection"\n                        @click=',
        '\n                    ></sp-close-button>\n                    <sp-field-label class="field-label">\n                        <slot></slot>\n                    </sp-field-label>\n                    <sp-action-group\n                        class="action-group"\n                        quiet\n                        static=',
        '\n                    >\n                        <slot name="buttons"></slot>\n                    </sp-action-group>\n                </slot>\n            </sp-popover>\n        '
    ]);
    _templateObject$39 = function _templateObject() {
        return data;
    };
    return data;
}
var u$D = Object.defineProperty;
var c$r = Object.getOwnPropertyDescriptor;
var l$c = function(o, i, e, s) {
    for(var t = s > 1 ? void 0 : s ? c$r(i, e) : i, p = o.length - 1, a; p >= 0; p--)(a = o[p]) && (t = (s ? a(i, e, t) : a(t)) || t);
    return s && t && u$D(i, e, t), t;
};
var actionBarVariants = [
    "sticky",
    "fixed"
];
var ActionBar = /*#__PURE__*/ function(_b) {
    _inherits$1Y(ActionBar, _b);
    var _super = _create_super$1Y(ActionBar);
    function ActionBar() {
        _class_call_check$2d(this, ActionBar);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.emphasized = !1;
        _this.flexible = !1;
        _this.open = !1;
        _this._variant = "";
        return _this;
    }
    _create_class$2a(ActionBar, [
        {
            key: "variant",
            get: function get() {
                return this._variant;
            },
            set: function set(e) {
                if (e !== this.variant) {
                    if (actionBarVariants.includes(e)) {
                        this.setAttribute("variant", e), this._variant = e;
                        return;
                    }
                    this.removeAttribute("variant"), this._variant = "";
                }
            }
        },
        {
            key: "handleClick",
            value: function handleClick() {
                this.open = !1, this.dispatchEvent(new Event("close", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                })) || (this.open = !0);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$39(), this.open, o$O(this.emphasized ? "white" : void 0), this.handleClick, o$O(this.emphasized ? "white" : void 0));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    d$q
                ];
            }
        }
    ]);
    return ActionBar;
}(FocusVisiblePolyfillMixin(SpectrumElement));
l$c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionBar.prototype, "emphasized", 2), l$c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionBar.prototype, "flexible", 2), l$c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionBar.prototype, "open", 2), l$c([
    n$r({
        type: String
    })
], ActionBar.prototype, "variant", 1);

defineElement("sp-action-bar", ActionBar);

function _tagged_template_literal$38(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$38() {
    var data = _tagged_template_literal$38([
        '\n    :host{cursor:pointer;-webkit-user-select:none;user-select:none;box-sizing:border-box;font-family:var(--mod-button-font-family,var(--mod-sans-font-family-stack,var(--spectrum-sans-font-family-stack)));line-height:var(--mod-button-line-height,var(--mod-line-height-100,var(--spectrum-line-height-100)));text-transform:none;vertical-align:top;-webkit-appearance:button;transition:background var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,border-color var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,color var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,box-shadow var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;justify-content:center;align-items:center;margin:0;-webkit-text-decoration:none;text-decoration:none;display:inline-flex;overflow:visible}:host(:focus){outline:none}:host .is-disabled,:host([disabled]){cursor:default}:host:after{margin:calc(var(--mod-button-focus-indicator-gap,var(--mod-focus-indicator-gap,var(--spectrum-focus-indicator-gap)))*-1);transition:opacity var(--mod-button-animation-duration,var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))))ease-out,margin var(--mod-button-animation-duration,var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))))ease-out;display:block;inset-block:0;inset-inline:0}:host(:focus-visible):after{margin:calc(var(--mod-focus-indicator-gap,var(--spectrum-focus-indicator-gap))*-2)}#label{text-align:center;place-self:center}#label[hidden]{display:none}:host{--spectrum-button-animation-duration:var(--spectrum-animation-duration-100);--spectrum-button-border-radius:var(--spectrum-corner-radius-100);--spectrum-button-border-width:var(--spectrum-border-width-200);--spectrum-button-line-height:1.2;--spectrum-button-focus-ring-gap:var(--spectrum-focus-indicator-gap);--spectrum-button-focus-ring-border-radius:calc(var(--spectrum-button-border-radius) + var(--spectrum-button-focus-ring-gap));--spectrum-button-focus-ring-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-button-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-button-intended-icon-size:var(--spectrum-workflow-icon-size-50);--mod-progress-circle-position:absolute}:host([size=s]){--spectrum-button-min-width:calc(var(--spectrum-component-height-75)*var(--spectrum-button-minimum-width-multiplier));--spectrum-button-border-radius:var(--spectrum-component-pill-edge-to-text-75);--spectrum-button-height:var(--spectrum-component-height-75);--spectrum-button-font-size:var(--spectrum-font-size-75);--spectrum-button-edge-to-visual:calc(var(--spectrum-component-pill-edge-to-visual-75) - var(--spectrum-button-border-width));--spectrum-button-edge-to-visual-only:var(--spectrum-component-pill-edge-to-visual-only-75);--spectrum-button-edge-to-text:calc(var(--spectrum-component-pill-edge-to-text-75) - var(--spectrum-button-border-width));--spectrum-button-padding-label-to-icon:var(--spectrum-text-to-visual-75);--spectrum-button-top-to-text:var(--spectrum-button-top-to-text-small);--spectrum-button-bottom-to-text:var(--spectrum-button-bottom-to-text-small);--spectrum-button-top-to-icon:var(--spectrum-component-top-to-workflow-icon-75);--spectrum-button-intended-icon-size:var(--spectrum-workflow-icon-size-75)}:host{--spectrum-button-min-width:calc(var(--spectrum-component-height-100)*var(--spectrum-button-minimum-width-multiplier));--spectrum-button-border-radius:var(--spectrum-component-pill-edge-to-text-100);--spectrum-button-height:var(--spectrum-component-height-100);--spectrum-button-font-size:var(--spectrum-font-size-100);--spectrum-button-edge-to-visual:calc(var(--spectrum-component-pill-edge-to-visual-100) - var(--spectrum-button-border-width));--spectrum-button-edge-to-visual-only:var(--spectrum-component-pill-edge-to-visual-only-100);--spectrum-button-edge-to-text:calc(var(--spectrum-component-pill-edge-to-text-100) - var(--spectrum-button-border-width));--spectrum-button-padding-label-to-icon:var(--spectrum-text-to-visual-100);--spectrum-button-top-to-text:var(--spectrum-button-top-to-text-medium);--spectrum-button-bottom-to-text:var(--spectrum-button-bottom-to-text-medium);--spectrum-button-top-to-icon:var(--spectrum-component-top-to-workflow-icon-100);--spectrum-button-intended-icon-size:var(--spectrum-workflow-icon-size-100)}:host([size=l]){--spectrum-button-min-width:calc(var(--spectrum-component-height-200)*var(--spectrum-button-minimum-width-multiplier));--spectrum-button-border-radius:var(--spectrum-component-pill-edge-to-text-200);--spectrum-button-height:var(--spectrum-component-height-200);--spectrum-button-font-size:var(--spectrum-font-size-200);--spectrum-button-edge-to-visual:calc(var(--spectrum-component-pill-edge-to-visual-200) - var(--spectrum-button-border-width));--spectrum-button-edge-to-visual-only:var(--spectrum-component-pill-edge-to-visual-only-200);--spectrum-button-edge-to-text:calc(var(--spectrum-component-pill-edge-to-text-200) - var(--spectrum-button-border-width));--spectrum-button-padding-label-to-icon:var(--spectrum-text-to-visual-200);--spectrum-button-top-to-text:var(--spectrum-button-top-to-text-large);--spectrum-button-bottom-to-text:var(--spectrum-button-bottom-to-text-large);--spectrum-button-top-to-icon:var(--spectrum-component-top-to-workflow-icon-200);--spectrum-button-intended-icon-size:var(--spectrum-workflow-icon-size-200)}:host([size=xl]){--spectrum-button-min-width:calc(var(--spectrum-component-height-300)*var(--spectrum-button-minimum-width-multiplier));--spectrum-button-border-radius:var(--spectrum-component-pill-edge-to-text-300);--spectrum-button-height:var(--spectrum-component-height-300);--spectrum-button-font-size:var(--spectrum-font-size-300);--spectrum-button-edge-to-visual:calc(var(--spectrum-component-pill-edge-to-visual-300) - var(--spectrum-button-border-width));--spectrum-button-edge-to-visual-only:var(--spectrum-component-pill-edge-to-visual-only-300);--spectrum-button-edge-to-text:calc(var(--spectrum-component-pill-edge-to-text-300) - var(--spectrum-button-border-width));--spectrum-button-padding-label-to-icon:var(--spectrum-text-to-visual-300);--spectrum-button-top-to-text:var(--spectrum-button-top-to-text-extra-large);--spectrum-button-bottom-to-text:var(--spectrum-button-bottom-to-text-extra-large);--spectrum-button-top-to-icon:var(--spectrum-component-top-to-workflow-icon-300);--spectrum-button-intended-icon-size:var(--spectrum-workflow-icon-size-300)}:host{border-radius:var(--mod-button-border-radius,var(--spectrum-button-border-radius));border-width:var(--mod-button-border-width,var(--spectrum-button-border-width));font-size:var(--mod-button-font-size,var(--spectrum-button-font-size));font-weight:var(--mod-bold-font-weight,var(--spectrum-bold-font-weight));gap:var(--mod-button-padding-label-to-icon,var(--spectrum-button-padding-label-to-icon));min-inline-size:var(--mod-button-min-width,var(--spectrum-button-min-width));min-block-size:var(--mod-button-height,var(--spectrum-button-height));padding-block:0;padding-inline:var(--mod-button-edge-to-text,var(--spectrum-button-edge-to-text));color:inherit;margin-block:var(--mod-button-margin-block);border-style:solid;margin-inline-start:var(--mod-button-margin-left);margin-inline-end:var(--mod-button-margin-right);position:relative}:host(:is(:active,[active])){box-shadow:none}::slotted([slot=icon]){--_icon-size-difference:max(0px,var(--spectrum-button-intended-icon-size) - var(--spectrum-icon-block-size,var(--spectrum-button-intended-icon-size)));color:inherit;flex-shrink:0;align-self:flex-start;margin-block-start:var(--mod-button-icon-margin-block-start,max(0px,var(--mod-button-top-to-icon,var(--spectrum-button-top-to-icon)) - var(--mod-button-border-width,var(--spectrum-button-border-width)) + (var(--_icon-size-difference,0px)/2)));margin-inline-start:calc(var(--mod-button-edge-to-visual,var(--spectrum-button-edge-to-visual)) - var(--mod-button-edge-to-text,var(--spectrum-button-edge-to-text)))}:host:after{border-radius:calc(var(--mod-button-border-radius,var(--spectrum-button-border-radius)) + var(--mod-focus-indicator-gap,var(--spectrum-focus-indicator-gap)))}:host([icon-only]){min-inline-size:unset;padding:calc(var(--mod-button-edge-to-visual-only,var(--spectrum-button-edge-to-visual-only)) - var(--mod-button-border-width,var(--spectrum-button-border-width)));border-radius:50%}:host([icon-only]) ::slotted([slot=icon]){align-self:center;margin-block-start:0;margin-inline-start:0}:host([icon-only]):after{border-radius:50%}#label{line-height:var(--mod-button-line-height,var(--spectrum-button-line-height));text-align:var(--mod-button-text-align,center);align-self:start;padding-block-start:calc(var(--mod-button-top-to-text,var(--spectrum-button-top-to-text)) - var(--mod-button-border-width,var(--spectrum-button-border-width)));padding-block-end:calc(var(--mod-button-bottom-to-text,var(--spectrum-button-bottom-to-text)) - var(--mod-button-border-width,var(--spectrum-button-border-width)))}[name=icon]+#label{text-align:var(--mod-button-text-align-with-icon,start)}:host([focused]):after,:host(:focus-visible):after{box-shadow:0 0 0 var(--mod-button-focus-ring-thickness,var(--spectrum-button-focus-ring-thickness))var(--mod-button-focus-ring-color,var(--spectrum-button-focus-indicator-color))}:host{transition:border-color var(--mod-button-animation-duration,var(--spectrum-button-animation-duration))ease-in-out}:host:after{margin:calc(( var(--mod-button-focus-ring-gap,var(--spectrum-button-focus-ring-gap)) + var(--mod-button-border-width,var(--spectrum-button-border-width)))*-1);border-radius:var(--mod-button-focus-ring-border-radius,var(--spectrum-button-focus-ring-border-radius));transition:box-shadow var(--mod-button-animation-duration,var(--spectrum-button-animation-duration))ease-in-out;pointer-events:none;content:"";position:absolute;inset:0}:host(:focus-visible){box-shadow:none;outline:none}:host(:focus-visible):after{box-shadow:0 0 0 var(--mod-button-focus-ring-thickness,var(--spectrum-button-focus-ring-thickness))var(--highcontrast-button-focus-ring-color,var(--mod-button-focus-ring-color,var(--mod-button-focus-ring-color,var(--spectrum-button-focus-indicator-color))))}:host{background-color:var(--highcontrast-button-background-color-default,var(--mod-button-background-color-default,var(--spectrum-button-background-color-default)));border-color:var(--highcontrast-button-border-color-default,var(--mod-button-border-color-default,var(--spectrum-button-border-color-default)));color:var(--highcontrast-button-content-color-default,var(--mod-button-content-color-default,var(--spectrum-button-content-color-default)));transition:border var(--mod-button-animation-duration,var(--spectrum-button-animation-duration,.13s))linear,color var(--mod-button-animation-duration,var(--spectrum-button-animation-duration,.13s))linear,background-color var(--mod-button-animation-duration,var(--spectrum-button-animation-duration,.13s))linear}@media (hover:hover){:host(:hover){box-shadow:none;background-color:var(--highcontrast-button-background-color-hover,var(--mod-button-background-color-hover,var(--spectrum-button-background-color-hover)));border-color:var(--highcontrast-button-border-color-hover,var(--mod-button-border-color-hover,var(--spectrum-button-border-color-hover)));color:var(--highcontrast-button-content-color-hover,var(--mod-button-content-color-hover,var(--spectrum-button-content-color-hover)))}}:host(:focus-visible){background-color:var(--highcontrast-button-background-color-focus,var(--mod-button-background-color-focus,var(--spectrum-button-background-color-focus)));border-color:var(--highcontrast-button-border-color-focus,var(--mod-button-border-color-focus,var(--spectrum-button-border-color-focus)));color:var(--highcontrast-button-content-color-focus,var(--mod-button-content-color-focus,var(--spectrum-button-content-color-focus)))}:host(:is(:active,[active])){background-color:var(--highcontrast-button-background-color-down,var(--mod-button-background-color-down,var(--spectrum-button-background-color-down)));border-color:var(--highcontrast-button-border-color-down,var(--mod-button-border-color-down,var(--spectrum-button-border-color-down)));color:var(--highcontrast-button-content-color-down,var(--mod-button-content-color-down,var(--spectrum-button-content-color-down)))}:host .is-disabled,:host([pending]),:host([disabled]),:host([pending]){background-color:var(--highcontrast-button-background-color-disabled,var(--mod-button-background-color-disabled,var(--spectrum-button-background-color-disabled)));border-color:var(--highcontrast-button-border-color-disabled,var(--mod-button-border-color-disabled,var(--spectrum-button-border-color-disabled)));color:var(--highcontrast-button-content-color-disabled,var(--mod-button-content-color-disabled,var(--spectrum-button-content-color-disabled)))}#label,::slotted([slot=icon]){visibility:visible;opacity:1;transition:opacity var(--mod-button-animation-duration,var(--spectrum-button-animation-duration,.13s))ease-in-out}.spectrum-ProgressCircle{visibility:hidden;opacity:0;transition:opacity var(--mod-button-animation-duration,var(--spectrum-button-animation-duration,.13s))ease-in-out,visibility 0s linear var(--mod-button-animation-duration,var(--spectrum-button-animation-duration,.13s))}:host([pending]),:host([pending]){cursor:default}:host([pending]) .spectrum-ProgressCircle,:host([pending]) .spectrum-ProgressCircle{visibility:visible;opacity:1;transition:opacity var(--mod-button-animation-duration,var(--spectrum-button-animation-duration,.13s))ease-in-out}:host([static=black]),:host([static=white]){--spectrum-button-focus-indicator-color:var(--mod-static-black-focus-indicator-color,var(--spectrum-static-black-focus-indicator-color))}@media (forced-colors:active){:host{--highcontrast-button-content-color-disabled:GrayText;--highcontrast-button-border-color-disabled:GrayText;--mod-progress-circle-track-border-color:ButtonText;--mod-progress-circle-track-border-color-over-background:ButtonText;--mod-progress-circle-thickness:var(--spectrum-progress-circle-thickness-medium)}:host(:focus-visible):after{forced-color-adjust:none;box-shadow:0 0 0 var(--mod-button-focus-ring-thickness,var(--spectrum-button-focus-ring-thickness))ButtonText}:host([variant=accent][treatment=fill]){--highcontrast-button-background-color-default:ButtonText;--highcontrast-button-content-color-default:ButtonFace;--highcontrast-button-background-color-disabled:ButtonFace;--highcontrast-button-background-color-hover:Highlight;--highcontrast-button-background-color-down:Highlight;--highcontrast-button-background-color-focus:Highlight;--highcontrast-button-content-color-hover:ButtonFace;--highcontrast-button-content-color-down:ButtonFace;--highcontrast-button-content-color-focus:ButtonFace}:host([variant=accent][treatment=fill]) #label{forced-color-adjust:none}}:host{--spectrum-button-background-color-default:var(--system-spectrum-button-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-content-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-content-color-disabled)}:host([variant=accent]){--spectrum-button-background-color-default:var(--system-spectrum-button-accent-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-accent-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-accent-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-accent-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-accent-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-accent-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-accent-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-accent-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-accent-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-accent-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-accent-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-accent-content-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-accent-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-accent-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-accent-content-color-disabled)}:host([variant=accent][treatment=outline]){--spectrum-button-background-color-default:var(--system-spectrum-button-accent-outline-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-accent-outline-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-accent-outline-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-accent-outline-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-accent-outline-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-accent-outline-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-accent-outline-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-accent-outline-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-accent-outline-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-accent-outline-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-accent-outline-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-accent-outline-content-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-accent-outline-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-accent-outline-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-accent-outline-content-color-disabled)}:host([variant=negative]){--spectrum-button-background-color-default:var(--system-spectrum-button-negative-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-negative-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-negative-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-negative-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-negative-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-negative-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-negative-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-negative-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-negative-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-negative-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-negative-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-negative-content-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-negative-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-negative-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-negative-content-color-disabled)}:host([variant=negative][treatment=outline]){--spectrum-button-background-color-default:var(--system-spectrum-button-negative-outline-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-negative-outline-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-negative-outline-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-negative-outline-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-negative-outline-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-negative-outline-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-negative-outline-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-negative-outline-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-negative-outline-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-negative-outline-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-negative-outline-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-negative-outline-content-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-negative-outline-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-negative-outline-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-negative-outline-content-color-disabled)}:host([variant=primary]){--spectrum-button-background-color-default:var(--system-spectrum-button-primary-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-primary-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-primary-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-primary-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-primary-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-primary-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-primary-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-primary-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-primary-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-primary-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-primary-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-primary-content-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-primary-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-primary-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-primary-content-color-disabled)}:host([variant=primary][treatment=outline]){--spectrum-button-background-color-default:var(--system-spectrum-button-primary-outline-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-primary-outline-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-primary-outline-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-primary-outline-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-primary-outline-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-primary-outline-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-primary-outline-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-primary-outline-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-primary-outline-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-primary-outline-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-primary-outline-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-primary-outline-content-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-primary-outline-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-primary-outline-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-primary-outline-content-color-disabled)}:host([variant=secondary]){--spectrum-button-background-color-default:var(--system-spectrum-button-secondary-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-secondary-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-secondary-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-secondary-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-secondary-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-secondary-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-secondary-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-secondary-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-secondary-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-secondary-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-secondary-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-secondary-content-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-secondary-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-secondary-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-secondary-content-color-disabled)}:host([variant=secondary][treatment=outline]){--spectrum-button-background-color-default:var(--system-spectrum-button-secondary-outline-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-secondary-outline-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-secondary-outline-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-secondary-outline-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-secondary-outline-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-secondary-outline-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-secondary-outline-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-secondary-outline-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-secondary-outline-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-secondary-outline-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-secondary-outline-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-secondary-outline-content-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-secondary-outline-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-secondary-outline-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-secondary-outline-content-color-disabled)}:host([quiet]){--spectrum-button-background-color-default:var(--system-spectrum-button-quiet-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-quiet-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-quiet-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-quiet-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-quiet-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-quiet-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-quiet-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-quiet-border-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-quiet-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-quiet-border-color-disabled)}:host([selected]){--spectrum-button-background-color-default:var(--system-spectrum-button-selected-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-selected-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-selected-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-selected-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-selected-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-selected-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-selected-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-selected-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-selected-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-selected-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-selected-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-selected-content-color-focus);--spectrum-button-background-color-disabled:var(--system-spectrum-button-selected-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-selected-border-color-disabled)}:host([selected][emphasized]){--spectrum-button-background-color-default:var(--system-spectrum-button-selected-emphasized-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-selected-emphasized-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-selected-emphasized-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-selected-emphasized-background-color-focus)}:host([static=black][quiet]){--spectrum-button-border-color-default:var(--system-spectrum-button-staticblack-quiet-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-staticblack-quiet-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-staticblack-quiet-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-staticblack-quiet-border-color-focus);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticblack-quiet-border-color-disabled)}:host([static=white][quiet]){--spectrum-button-border-color-default:var(--system-spectrum-button-staticwhite-quiet-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-staticwhite-quiet-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-staticwhite-quiet-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-staticwhite-quiet-border-color-focus);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticwhite-quiet-border-color-disabled)}:host([static=white]){--spectrum-button-background-color-default:var(--system-spectrum-button-staticwhite-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-staticwhite-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-staticwhite-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-staticwhite-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-staticwhite-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-staticwhite-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-staticwhite-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-staticwhite-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-staticwhite-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-staticwhite-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-staticwhite-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-staticwhite-content-color-focus);--spectrum-button-focus-indicator-color:var(--system-spectrum-button-staticwhite-focus-indicator-color);--spectrum-button-background-color-disabled:var(--system-spectrum-button-staticwhite-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticwhite-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-staticwhite-content-color-disabled)}:host([static=white][treatment=outline]){--spectrum-button-background-color-default:var(--system-spectrum-button-staticwhite-outline-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-staticwhite-outline-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-staticwhite-outline-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-staticwhite-outline-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-staticwhite-outline-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-staticwhite-outline-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-staticwhite-outline-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-staticwhite-outline-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-staticwhite-outline-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-staticwhite-outline-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-staticwhite-outline-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-staticwhite-outline-content-color-focus);--spectrum-button-focus-indicator-color:var(--system-spectrum-button-staticwhite-outline-focus-indicator-color);--spectrum-button-background-color-disabled:var(--system-spectrum-button-staticwhite-outline-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticwhite-outline-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-staticwhite-outline-content-color-disabled)}:host([static=white][selected]){--spectrum-button-background-color-default:var(--system-spectrum-button-staticwhite-selected-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-staticwhite-selected-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-staticwhite-selected-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-staticwhite-selected-background-color-focus);--spectrum-button-content-color-default:var(--mod-button-static-content-color,var(--system-spectrum-button-staticwhite-selected-content-color-default));--spectrum-button-content-color-hover:var(--mod-button-static-content-color,var(--system-spectrum-button-staticwhite-selected-content-color-hover));--spectrum-button-content-color-down:var(--mod-button-static-content-color,var(--system-spectrum-button-staticwhite-selected-content-color-down));--spectrum-button-content-color-focus:var(--mod-button-static-content-color,var(--system-spectrum-button-staticwhite-selected-content-color-focus));--spectrum-button-background-color-disabled:var(--system-spectrum-button-staticwhite-selected-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticwhite-selected-border-color-disabled)}:host([static=white][variant=secondary]){--spectrum-button-background-color-default:var(--system-spectrum-button-staticwhite-secondary-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-staticwhite-secondary-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-staticwhite-secondary-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-staticwhite-secondary-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-staticwhite-secondary-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-staticwhite-secondary-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-staticwhite-secondary-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-staticwhite-secondary-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-staticwhite-secondary-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-staticwhite-secondary-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-staticwhite-secondary-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-staticwhite-secondary-content-color-focus);--spectrum-button-focus-indicator-color:var(--system-spectrum-button-staticwhite-secondary-focus-indicator-color);--spectrum-button-background-color-disabled:var(--system-spectrum-button-staticwhite-secondary-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticwhite-secondary-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-staticwhite-secondary-content-color-disabled)}:host([static=white][variant=secondary][treatment=outline]){--spectrum-button-background-color-default:var(--system-spectrum-button-staticwhite-secondary-outline-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-staticwhite-secondary-outline-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-staticwhite-secondary-outline-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-staticwhite-secondary-outline-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-staticwhite-secondary-outline-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-staticwhite-secondary-outline-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-staticwhite-secondary-outline-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-staticwhite-secondary-outline-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-staticwhite-secondary-outline-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-staticwhite-secondary-outline-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-staticwhite-secondary-outline-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-staticwhite-secondary-outline-content-color-focus);--spectrum-button-focus-indicator-color:var(--system-spectrum-button-staticwhite-secondary-outline-focus-indicator-color);--spectrum-button-background-color-disabled:var(--system-spectrum-button-staticwhite-secondary-outline-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticwhite-secondary-outline-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-staticwhite-secondary-outline-content-color-disabled)}:host([static=black]){--spectrum-button-background-color-default:var(--system-spectrum-button-staticblack-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-staticblack-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-staticblack-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-staticblack-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-staticblack-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-staticblack-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-staticblack-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-staticblack-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-staticblack-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-staticblack-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-staticblack-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-staticblack-content-color-focus);--spectrum-button-focus-indicator-color:var(--system-spectrum-button-staticblack-focus-indicator-color);--spectrum-button-background-color-disabled:var(--system-spectrum-button-staticblack-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticblack-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-staticblack-content-color-disabled)}:host([static=black][treatment=outline]){--spectrum-button-background-color-default:var(--system-spectrum-button-staticblack-outline-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-staticblack-outline-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-staticblack-outline-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-staticblack-outline-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-staticblack-outline-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-staticblack-outline-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-staticblack-outline-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-staticblack-outline-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-staticblack-outline-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-staticblack-outline-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-staticblack-outline-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-staticblack-outline-content-color-focus);--spectrum-button-focus-indicator-color:var(--system-spectrum-button-staticblack-outline-focus-indicator-color);--spectrum-button-background-color-disabled:var(--system-spectrum-button-staticblack-outline-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticblack-outline-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-staticblack-outline-content-color-disabled)}:host([static=black][variant=secondary]){--spectrum-button-background-color-default:var(--system-spectrum-button-staticblack-secondary-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-staticblack-secondary-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-staticblack-secondary-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-staticblack-secondary-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-staticblack-secondary-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-staticblack-secondary-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-staticblack-secondary-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-staticblack-secondary-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-staticblack-secondary-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-staticblack-secondary-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-staticblack-secondary-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-staticblack-secondary-content-color-focus);--spectrum-button-focus-indicator-color:var(--system-spectrum-button-staticblack-secondary-focus-indicator-color);--spectrum-button-background-color-disabled:var(--system-spectrum-button-staticblack-secondary-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticblack-secondary-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-staticblack-secondary-content-color-disabled)}:host([static=black][variant=secondary][treatment=outline]){--spectrum-button-background-color-default:var(--system-spectrum-button-staticblack-secondary-outline-background-color-default);--spectrum-button-background-color-hover:var(--system-spectrum-button-staticblack-secondary-outline-background-color-hover);--spectrum-button-background-color-down:var(--system-spectrum-button-staticblack-secondary-outline-background-color-down);--spectrum-button-background-color-focus:var(--system-spectrum-button-staticblack-secondary-outline-background-color-focus);--spectrum-button-border-color-default:var(--system-spectrum-button-staticblack-secondary-outline-border-color-default);--spectrum-button-border-color-hover:var(--system-spectrum-button-staticblack-secondary-outline-border-color-hover);--spectrum-button-border-color-down:var(--system-spectrum-button-staticblack-secondary-outline-border-color-down);--spectrum-button-border-color-focus:var(--system-spectrum-button-staticblack-secondary-outline-border-color-focus);--spectrum-button-content-color-default:var(--system-spectrum-button-staticblack-secondary-outline-content-color-default);--spectrum-button-content-color-hover:var(--system-spectrum-button-staticblack-secondary-outline-content-color-hover);--spectrum-button-content-color-down:var(--system-spectrum-button-staticblack-secondary-outline-content-color-down);--spectrum-button-content-color-focus:var(--system-spectrum-button-staticblack-secondary-outline-content-color-focus);--spectrum-button-focus-indicator-color:var(--system-spectrum-button-staticblack-secondary-outline-focus-indicator-color);--spectrum-button-background-color-disabled:var(--system-spectrum-button-staticblack-secondary-outline-background-color-disabled);--spectrum-button-border-color-disabled:var(--system-spectrum-button-staticblack-secondary-outline-border-color-disabled);--spectrum-button-content-color-disabled:var(--system-spectrum-button-staticblack-secondary-outline-content-color-disabled)}@media (forced-colors:active){:host([treatment][disabled]){border-color:graytext}:host([treatment]:not([disabled]):hover){border-color:highlight}}@keyframes show-progress-circle{0%{visibility:hidden}to{visibility:visible}}@keyframes hide-icons-label{0%{visibility:visible}to{visibility:hidden}}@keyframes update-pending-button-styles{to{background-color:var(--highcontrast-button-background-color-disabled,var(--mod-button-background-color-disabled,var(--spectrum-button-background-color-disabled)));border-color:var(--highcontrast-button-border-color-disabled,var(--mod-button-border-color-disabled,var(--spectrum-button-border-color-disabled)));color:var(--highcontrast-button-content-color-disabled,var(--mod-button-content-color-disabled,var(--spectrum-button-content-color-disabled)))}}:host([pending]:not([disabled])){cursor:default;pointer-events:none;animation:update-pending-button-styles 0s var(--pending-delay,1s)forwards}::slotted([slot=icon]){visibility:revert-layer;--mod-progress-circle-position:relative}sp-progress-circle{visibility:hidden;display:block;position:absolute;left:50%;transform:translate(-50%)}:host([pending]:not([disabled])) sp-progress-circle{animation:show-progress-circle 0s var(--pending-delay,1s)forwards}:host([pending]:not([disabled])) slot[name=icon],:host([pending]:not([disabled])) #label{animation:hide-icons-label 0s var(--pending-delay,1s)forwards}\n'
    ]);
    _templateObject$38 = function _templateObject() {
        return data;
    };
    return data;
}
var o$F = i$p(_templateObject$38());
var b$f = o$F;

function _array_like_to_array$A(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$r(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$A(arr);
}
function _assert_this_initialized$1X(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2c(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$29(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$29(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$29(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$29(Constructor, staticProps);
    return Constructor;
}
function _get$Z(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$Z = Reflect.get;
    } else {
        _get$Z = function get(target, property, receiver) {
            var base = _super_prop_base$Z(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$Z(target, property, receiver || target);
}
function _get_prototype_of$1X(o) {
    _get_prototype_of$1X = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1X(o);
}
function _inherits$1X(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1X(subClass, superClass);
}
function _iterable_to_array$r(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$r() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$1X(self, call) {
    if (call && (_type_of$1X(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1X(self);
}
function _set_prototype_of$1X(o, p) {
    _set_prototype_of$1X = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1X(o, p);
}
function _super_prop_base$Z(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1X(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$37(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$r(arr) {
    return _array_without_holes$r(arr) || _iterable_to_array$r(arr) || _unsupported_iterable_to_array$A(arr) || _non_iterable_spread$r();
}
function _type_of$1X(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$A(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$A(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$A(o, minLen);
}
function _is_native_reflect_construct$1X() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1X(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1X();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1X(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1X(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1X(this, result);
    };
}
function _templateObject$37() {
    var data = _tagged_template_literal$37([
        '\n                    <sp-progress-circle\n                        indeterminate\n                        static="white"\n                        aria-hidden="true"\n                    ></sp-progress-circle>\n                '
    ]);
    _templateObject$37 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$C() {
    var data = _tagged_template_literal$37([
        "\n            ",
        "\n            ",
        "\n        "
    ]);
    _templateObject1$C = function _templateObject() {
        return data;
    };
    return data;
}
var u$C = Object.defineProperty;
var h$j = Object.getOwnPropertyDescriptor;
var i$i = function(n, r, t, s) {
    for(var e = s > 1 ? void 0 : s ? h$j(r, t) : r, l = n.length - 1, o; l >= 0; l--)(o = n[l]) && (e = (s ? o(r, t, e) : o(e)) || e);
    return s && e && u$C(r, t, e), e;
};
var VALID_VARIANTS = [
    "accent",
    "primary",
    "secondary",
    "negative",
    "white",
    "black"
];
var Button = /*#__PURE__*/ function(_d) {
    _inherits$1X(Button, _d);
    var _super = _create_super$1X(Button);
    function Button() {
        _class_call_check$2c(this, Button);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.pendingLabel = "Pending";
        _this.pending = !1;
        _this.cachedAriaLabel = null;
        _this._variant = "accent";
        _this.treatment = "fill";
        return _this;
    }
    _create_class$29(Button, [
        {
            key: "click",
            value: function click() {
                this.pending || _get$Z(_get_prototype_of$1X(Button.prototype), "click", this).call(this);
            }
        },
        {
            key: "variant",
            get: function get() {
                return this._variant;
            },
            set: function set(t) {
                if (t !== this.variant) {
                    switch(this.requestUpdate("variant", this.variant), t){
                        case "cta":
                            this._variant = "accent";
                            break;
                        case "overBackground":
                            this.removeAttribute("variant"), this.static = "white", this.treatment = "outline";
                            return;
                        case "white":
                        case "black":
                            this.static = t, this.removeAttribute("variant");
                            return;
                        case null:
                            return;
                        default:
                            VALID_VARIANTS.includes(t) ? this._variant = t : this._variant = "accent";
                            break;
                    }
                    this.setAttribute("variant", this.variant);
                }
            }
        },
        {
            key: "quiet",
            get: function get() {
                return this.treatment === "outline";
            },
            set: function set(t) {
                this.treatment = t ? "outline" : "fill";
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(t) {
                _get$Z(_get_prototype_of$1X(Button.prototype), "firstUpdated", this).call(this, t), this.hasAttribute("variant") || this.setAttribute("variant", this.variant);
            }
        },
        {
            key: "updated",
            value: function updated(t) {
                _get$Z(_get_prototype_of$1X(Button.prototype), "updated", this).call(this, t), t.has("pending") && (this.pending && this.pendingLabel !== this.getAttribute("aria-label") ? this.disabled || (this.cachedAriaLabel = this.getAttribute("aria-label") || "", this.setAttribute("aria-label", this.pendingLabel)) : !this.pending && this.cachedAriaLabel ? this.setAttribute("aria-label", this.cachedAriaLabel) : !this.pending && this.cachedAriaLabel === "" && this.removeAttribute("aria-label")), t.has("disabled") && (!this.disabled && this.pendingLabel !== this.getAttribute("aria-label") ? this.pending && (this.cachedAriaLabel = this.getAttribute("aria-label") || "", this.setAttribute("aria-label", this.pendingLabel)) : this.disabled && this.cachedAriaLabel ? this.setAttribute("aria-label", this.cachedAriaLabel) : this.disabled && this.cachedAriaLabel == "" && this.removeAttribute("aria-label"));
            }
        },
        {
            key: "renderButton",
            value: function renderButton() {
                return x$3(_templateObject1$C(), this.buttonContent, n$l(this.pending, function() {
                    return Promise.resolve().then(function () { return spProgressCircle; }), x$3(_templateObject$37());
                }));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$r(_get$Z(_get_prototype_of$1X(Button), "styles", this)).concat([
                    b$f
                ]);
            }
        }
    ]);
    return Button;
}(SizedMixin(ButtonBase, {
    noDefaultSize: !0
}));
i$i([
    n$r({
        type: String,
        attribute: "pending-label"
    })
], Button.prototype, "pendingLabel", 2), i$i([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: !0
    })
], Button.prototype, "pending", 2), i$i([
    n$r()
], Button.prototype, "variant", 1), i$i([
    n$r({
        type: String,
        reflect: !0
    })
], Button.prototype, "static", 2), i$i([
    n$r({
        reflect: !0
    })
], Button.prototype, "treatment", 2), i$i([
    n$r({
        type: Boolean
    })
], Button.prototype, "quiet", 1);

function _tagged_template_literal$36(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$36() {
    var data = _tagged_template_literal$36([
        "\n    :host{--spectrum-clear-button-height:var(--spectrum-component-height-100);--spectrum-clear-button-width:var(--spectrum-component-height-100);--spectrum-clear-button-padding:var(--spectrum-in-field-button-edge-to-fill);--spectrum-clear-button-icon-color:var(--spectrum-neutral-content-color-default);--spectrum-clear-button-icon-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-clear-button-icon-color-down:var(--spectrum-neutral-content-color-down);--spectrum-clear-button-icon-color-key-focus:var(--spectrum-neutral-content-color-key-focus)}:host([size=s]){--spectrum-clear-button-height:var(--spectrum-component-height-75);--spectrum-clear-button-width:var(--spectrum-component-height-75)}:host([size=l]){--spectrum-clear-button-height:var(--spectrum-component-height-200);--spectrum-clear-button-width:var(--spectrum-component-height-200)}:host([size=xl]){--spectrum-clear-button-height:var(--spectrum-component-height-300);--spectrum-clear-button-width:var(--spectrum-component-height-300)}:host .spectrum-ClearButton--quiet{--mod-clear-button-background-color:var(--spectrum-clear-button-background-color-quiet,transparent);--mod-clear-button-background-color-hover:var(--spectrum-clear-button-background-color-hover-quiet,transparent);--mod-clear-button-background-color-down:var(--spectrum-clear-button-background-color-down-quiet,transparent);--mod-clear-button-background-color-key-focus:var(--spectrum-clear-button-background-color-key-focus-quiet,transparent)}:host([variant=overBackground]){--mod-clear-button-icon-color:var(--spectrum-clear-button-icon-color-over-background,var(--spectrum-white));--mod-clear-button-icon-color-hover:var(--spectrum-clear-button-icon-color-hover-over-background,var(--spectrum-white));--mod-clear-button-icon-color-down:var(--spectrum-clear-button-icon-color-down-over-background,var(--spectrum-white));--mod-clear-button-icon-color-key-focus:var(--spectrum-clear-button-icon-color-key-focus-over-background,var(--spectrum-white));--mod-clear-button-background-color:var(--spectrum-clear-button-background-color-over-background,transparent);--mod-clear-button-background-color-hover:var(--spectrum-clear-button-background-color-hover-over-background,var(--spectrum-transparent-white-300));--mod-clear-button-background-color-down:var(--spectrum-clear-button-background-color-hover-over-background,var(--spectrum-transparent-white-400));--mod-clear-button-background-color-key-focus:var(--spectrum-clear-button-background-color-hover-over-background,var(--spectrum-transparent-white-300))}:host([disabled]),:host([disabled]){--mod-clear-button-icon-color:var(--mod-clear-button-icon-color-disabled,var(--spectrum-disabled-content-color));--mod-clear-button-icon-color-hover:var(--spectrum-clear-button-icon-color-hover-disabled,var(--spectrum-disabled-content-color));--mod-clear-button-icon-color-down:var(--spectrum-clear-button-icon-color-down-disabled,var(--spectrum-disabled-content-color));--mod-clear-button-background-color:var(--mod-clear-button-background-color-disabled,transparent)}:host{block-size:var(--mod-clear-button-height,var(--spectrum-clear-button-height));inline-size:var(--mod-clear-button-width,var(--spectrum-clear-button-width));cursor:pointer;background-color:var(--mod-clear-button-background-color,transparent);padding:var(--mod-clear-button-padding,var(--spectrum-clear-button-padding));color:var(--mod-clear-button-icon-color,var(--spectrum-clear-button-icon-color));border:none;border-radius:100%;margin:0}.icon{margin-block:0;margin-inline:auto}@media (hover:hover){:host(:hover){color:var(--highcontrast-clear-button-icon-color-hover,var(--mod-clear-button-icon-color-hover,var(--spectrum-clear-button-icon-color-hover)))}:host(:hover) .fill{background-color:var(--mod-clear-button-background-color-hover,var(--spectrum-clear-button-background-color-hover))}}:host(:is(:active,[active])){color:var(--mod-clear-button-icon-color-down,var(--spectrum-clear-button-icon-color-down))}:host(:is(:active,[active])) .fill{background-color:var(--mod-clear-button-background-color-down,var(--spectrum-clear-button-background-color-down))}:host([focus-within]) .js-focus-within,:host(:focus-visible),:host:focus-within,:host([focus-within]) .js-focus-within{color:var(--mod-clear-button-icon-color-key-focus,var(--spectrum-clear-button-icon-color-key-focus))}:host([focus-within]) .js-focus-within .fill,:host(:focus-visible) .fill,:host:focus-within .fill,:host([focus-within]) .js-focus-within .fill{background-color:var(--mod-clear-button-background-color-key-focus,var(--spectrum-clear-button-background-color-key-focus))}.fill{background-color:var(--mod-clear-button-background-color,var(--spectrum-clear-button-background-color));border-radius:100%;justify-content:center;align-items:center;block-size:100%;inline-size:100%;display:flex}:host([variant=overBackground]:focus-visible){outline:none}@media (forced-colors:active){:host:not(:disabled){--highcontrast-clear-button-icon-color-hover:Highlight}}:host{--spectrum-clear-button-background-color:var(--system-spectrum-clearbutton-spectrum-clear-button-background-color);--spectrum-clear-button-background-color-hover:var(--system-spectrum-clearbutton-spectrum-clear-button-background-color-hover);--spectrum-clear-button-background-color-down:var(--system-spectrum-clearbutton-spectrum-clear-button-background-color-down);--spectrum-clear-button-background-color-key-focus:var(--system-spectrum-clearbutton-spectrum-clear-button-background-color-key-focus)}\n"
    ]);
    _templateObject$36 = function _templateObject() {
        return data;
    };
    return data;
}
var r$t = i$p(_templateObject$36());
var I$3 = r$t;

function _tagged_template_literal$35(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$35() {
    var data = _tagged_template_literal$35([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 8 8"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="m5.188 4 2.14-2.14A.84.84 0 1 0 6.141.672L4 2.812 1.86.672A.84.84 0 0 0 .672 1.86L2.812 4 .672 6.14A.84.84 0 1 0 1.86 7.328L4 5.188l2.14 2.14A.84.84 0 1 0 7.328 6.14z"\n    />\n  </svg>'
    ]);
    _templateObject$35 = function _templateObject() {
        return data;
    };
    return data;
}
var Cross75Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Cross75" : tmp2;
    return tag$1(_templateObject$35(), r, t, e);
};

function _assert_this_initialized$1W(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2b(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$28(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$28(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$28(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$28(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1W(o) {
    _get_prototype_of$1W = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1W(o);
}
function _inherits$1W(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1W(subClass, superClass);
}
function _possible_constructor_return$1W(self, call) {
    if (call && (_type_of$1W(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1W(self);
}
function _set_prototype_of$1W(o, p) {
    _set_prototype_of$1W = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1W(o, p);
}
function _type_of$1W(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1W() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1W(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1W();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1W(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1W(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1W(this, result);
    };
}
var IconCross75 = /*#__PURE__*/ function(t) {
    _inherits$1W(IconCross75, t);
    var _super = _create_super$1W(IconCross75);
    function IconCross75() {
        _class_call_check$2b(this, IconCross75);
        return _super.apply(this, arguments);
    }
    _create_class$28(IconCross75, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Cross75Icon();
            }
        }
    ]);
    return IconCross75;
} 
(IconBase);

defineElement("sp-icon-cross75", IconCross75);

function _tagged_template_literal$34(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$34() {
    var data = _tagged_template_literal$34([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 8 8"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="m5.238 4 2.456-2.457A.875.875 0 1 0 6.456.306L4 2.763 1.543.306A.875.875 0 0 0 .306 1.544L2.763 4 .306 6.457a.875.875 0 1 0 1.238 1.237L4 5.237l2.456 2.457a.875.875 0 1 0 1.238-1.237z"\n    />\n  </svg>'
    ]);
    _templateObject$34 = function _templateObject() {
        return data;
    };
    return data;
}
var Cross100Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Cross100" : tmp2;
    return tag$1(_templateObject$34(), r, t, e);
};

function _assert_this_initialized$1V(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$2a(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$27(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$27(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$27(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$27(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1V(o) {
    _get_prototype_of$1V = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1V(o);
}
function _inherits$1V(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1V(subClass, superClass);
}
function _possible_constructor_return$1V(self, call) {
    if (call && (_type_of$1V(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1V(self);
}
function _set_prototype_of$1V(o, p) {
    _set_prototype_of$1V = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1V(o, p);
}
function _type_of$1V(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1V() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1V(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1V();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1V(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1V(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1V(this, result);
    };
}
var IconCross100 = /*#__PURE__*/ function(t) {
    _inherits$1V(IconCross100, t);
    var _super = _create_super$1V(IconCross100);
    function IconCross100() {
        _class_call_check$2a(this, IconCross100);
        return _super.apply(this, arguments);
    }
    _create_class$27(IconCross100, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Cross100Icon();
            }
        }
    ]);
    return IconCross100;
} 
(IconBase);

defineElement("sp-icon-cross100", IconCross100);

function _array_like_to_array$z(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$q(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$z(arr);
}
function _assert_this_initialized$1U(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$29(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$26(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$26(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$26(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$26(Constructor, staticProps);
    return Constructor;
}
function _get$Y(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$Y = Reflect.get;
    } else {
        _get$Y = function get(target, property, receiver) {
            var base = _super_prop_base$Y(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$Y(target, property, receiver || target);
}
function _get_prototype_of$1U(o) {
    _get_prototype_of$1U = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1U(o);
}
function _inherits$1U(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1U(subClass, superClass);
}
function _iterable_to_array$q(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$q() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$1U(self, call) {
    if (call && (_type_of$1U(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1U(self);
}
function _set_prototype_of$1U(o, p) {
    _set_prototype_of$1U = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1U(o, p);
}
function _super_prop_base$Y(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1U(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$33(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$q(arr) {
    return _array_without_holes$q(arr) || _iterable_to_array$q(arr) || _unsupported_iterable_to_array$z(arr) || _non_iterable_spread$q();
}
function _type_of$1U(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$z(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$z(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$z(o, minLen);
}
function _is_native_reflect_construct$1U() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1U(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1U();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1U(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1U(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1U(this, result);
    };
}
function _templateObject$33() {
    var data = _tagged_template_literal$33([
        '\n        <sp-icon-cross75\n            slot="icon"\n            class="icon spectrum-UIIcon-Cross75"\n        ></sp-icon-cross75>\n    '
    ]);
    _templateObject$33 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$B() {
    var data = _tagged_template_literal$33([
        '\n        <sp-icon-cross100\n            slot="icon"\n            class="icon spectrum-UIIcon-Cross100"\n        ></sp-icon-cross100>\n    '
    ]);
    _templateObject1$B = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$q() {
    var data = _tagged_template_literal$33([
        '\n        <sp-icon-cross200\n            slot="icon"\n            class="icon spectrum-UIIcon-Cross200"\n        ></sp-icon-cross200>\n    '
    ]);
    _templateObject2$q = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$l() {
    var data = _tagged_template_literal$33([
        '\n        <sp-icon-cross300\n            slot="icon"\n            class="icon spectrum-UIIcon-Cross300"\n        ></sp-icon-cross300>\n    '
    ]);
    _templateObject3$l = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$i() {
    var data = _tagged_template_literal$33([
        '\n            <div class="fill">',
        "</div>\n        "
    ]);
    _templateObject4$i = function _templateObject() {
        return data;
    };
    return data;
}
var p$y = Object.defineProperty;
var m$m = Object.getOwnPropertyDescriptor;
var l$b = function(e, o, c, t) {
    for(var s = t > 1 ? void 0 : t ? m$m(o, c) : o, i = e.length - 1, n; i >= 0; i--)(n = e[i]) && (s = (t ? n(o, c, s) : n(s)) || s);
    return t && s && p$y(o, c, s), s;
};
var f$j = {
    s: function() {
        return x$3(_templateObject$33());
    },
    m: function() {
        return x$3(_templateObject1$B());
    },
    l: function() {
        return x$3(_templateObject2$q());
    },
    xl: function() {
        return x$3(_templateObject3$l());
    }
};
var ClearButton = /*#__PURE__*/ function(_u) {
    _inherits$1U(ClearButton, _u);
    var _super = _create_super$1U(ClearButton);
    function ClearButton() {
        _class_call_check$29(this, ClearButton);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.variant = "";
        return _this;
    }
    _create_class$26(ClearButton, [
        {
            key: "buttonContent",
            get: function get() {
                return [
                    f$j[this.size]()
                ];
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject4$i(), _get$Y(_get_prototype_of$1U(ClearButton.prototype), "render", this).call(this));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$q(_get$Y(_get_prototype_of$1U(ClearButton), "styles", this)).concat([
                    I$3,
                    S$4
                ]);
            }
        }
    ]);
    return ClearButton;
}(SizedMixin(StyledButton, {
    noDefaultSize: !0
}));
l$b([
    n$r({
        reflect: !0
    })
], ClearButton.prototype, "variant", 2);

function _tagged_template_literal$32(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$32() {
    var data = _tagged_template_literal$32([
        '\n    :host{cursor:pointer;-webkit-user-select:none;user-select:none;box-sizing:border-box;font-family:var(--mod-button-font-family,var(--mod-sans-font-family-stack,var(--spectrum-sans-font-family-stack)));line-height:var(--mod-button-line-height,var(--mod-line-height-100,var(--spectrum-line-height-100)));text-transform:none;vertical-align:top;-webkit-appearance:button;transition:background var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,border-color var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,color var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,box-shadow var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;border-style:solid;justify-content:center;align-items:center;margin:0;-webkit-text-decoration:none;text-decoration:none;display:inline-flex;overflow:visible}:host(:focus){outline:none}:host([disabled]),:host([disabled]){cursor:default}::slotted([slot=icon]){flex-shrink:0;max-block-size:100%}#label{text-align:center;place-self:center}#label:empty{display:none}:host{--spectrum-actionbutton-animation-duration:var(--spectrum-animation-duration-100);--spectrum-actionbutton-border-radius:var(--spectrum-corner-radius-100);--spectrum-actionbutton-border-width:var(--spectrum-border-width-100);--spectrum-actionbutton-content-color-default:var(--spectrum-neutral-content-color-default);--spectrum-actionbutton-content-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-actionbutton-content-color-down:var(--spectrum-neutral-content-color-down);--spectrum-actionbutton-content-color-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-actionbutton-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-actionbutton-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-actionbutton-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-actionbutton-focus-indicator-border-radius:calc(var(--spectrum-actionbutton-border-radius) + var(--spectrum-actionbutton-focus-indicator-gap))}:host:dir(rtl),:host([dir=rtl]){--spectrum-logical-rotation:matrix(-1,0,0,1,0,0)}:host([selected]){--mod-actionbutton-background-color-default:var(--mod-actionbutton-background-color-default-selected,var(--spectrum-neutral-background-color-selected-default));--mod-actionbutton-background-color-hover:var(--mod-actionbutton-background-color-hover-selected,var(--spectrum-neutral-background-color-selected-hover));--mod-actionbutton-background-color-down:var(--mod-actionbutton-background-color-down-selected,var(--spectrum-neutral-background-color-selected-down));--mod-actionbutton-background-color-focus:var(--mod-actionbutton-background-color-focus-selected,var(--spectrum-neutral-background-color-selected-key-focus));--mod-actionbutton-content-color-default:var(--mod-actionbutton-content-color-default-selected,var(--spectrum-gray-50));--mod-actionbutton-content-color-hover:var(--mod-actionbutton-content-color-hover-selected,var(--spectrum-gray-50));--mod-actionbutton-content-color-down:var(--mod-actionbutton-content-color-down-selected,var(--spectrum-gray-50));--mod-actionbutton-content-color-focus:var(--mod-actionbutton-content-color-focus-selected,var(--spectrum-gray-50))}:host([selected][emphasized]){--mod-actionbutton-background-color-default:var(--mod-actionbutton-background-color-default-selected-emphasized,var(--spectrum-accent-background-color-default));--mod-actionbutton-background-color-hover:var(--mod-actionbutton-background-color-hover-selected-emphasized,var(--spectrum-accent-background-color-hover));--mod-actionbutton-background-color-down:var(--mod-actionbutton-background-color-down-selected-emphasized,var(--spectrum-accent-background-color-down));--mod-actionbutton-background-color-focus:var(--mod-actionbutton-background-color-focus-selected-emphasized,var(--spectrum-accent-background-color-key-focus));--mod-actionbutton-content-color-default:var(--mod-actionbutton-content-color-default-selected-emphasized,var(--spectrum-white));--mod-actionbutton-content-color-hover:var(--mod-actionbutton-content-color-hover-selected-emphasized,var(--spectrum-white));--mod-actionbutton-content-color-down:var(--mod-actionbutton-content-color-down-selected-emphasized,var(--spectrum-white));--mod-actionbutton-content-color-focus:var(--mod-actionbutton-content-color-focus-selected-emphasized,var(--spectrum-white))}:host([size=xs]){--spectrum-actionbutton-min-width:calc(var(--spectrum-component-edge-to-visual-only-50)*2 + var(--spectrum-workflow-icon-size-50));--spectrum-actionbutton-height:var(--spectrum-component-height-50);--spectrum-actionbutton-icon-size:var(--spectrum-workflow-icon-size-50);--spectrum-actionbutton-font-size:var(--spectrum-font-size-50);--spectrum-actionbutton-text-to-visual:var(--spectrum-text-to-visual-50);--spectrum-actionbutton-edge-to-hold-icon:var(--spectrum-action-button-edge-to-hold-icon-extra-small);--spectrum-actionbutton-edge-to-visual:calc(var(--spectrum-component-edge-to-visual-50) - var(--spectrum-actionbutton-border-width));--spectrum-actionbutton-edge-to-text:calc(var(--spectrum-component-edge-to-text-50) - var(--spectrum-actionbutton-border-width));--spectrum-actionbutton-edge-to-visual-only:calc(var(--spectrum-component-edge-to-visual-only-50) - var(--spectrum-actionbutton-border-width))}:host([size=s]){--spectrum-actionbutton-min-width:calc(var(--spectrum-component-edge-to-visual-only-75)*2 + var(--spectrum-workflow-icon-size-75));--spectrum-actionbutton-height:var(--spectrum-component-height-75);--spectrum-actionbutton-icon-size:var(--spectrum-workflow-icon-size-75);--spectrum-actionbutton-font-size:var(--spectrum-font-size-75);--spectrum-actionbutton-text-to-visual:var(--spectrum-text-to-visual-75);--spectrum-actionbutton-edge-to-hold-icon:var(--spectrum-action-button-edge-to-hold-icon-small);--spectrum-actionbutton-edge-to-visual:calc(var(--spectrum-component-edge-to-visual-75) - var(--spectrum-actionbutton-border-width));--spectrum-actionbutton-edge-to-text:calc(var(--spectrum-component-edge-to-text-75) - var(--spectrum-actionbutton-border-width));--spectrum-actionbutton-edge-to-visual-only:calc(var(--spectrum-component-edge-to-visual-only-75) - var(--spectrum-actionbutton-border-width))}:host{--spectrum-actionbutton-min-width:calc(var(--spectrum-component-edge-to-visual-only-100)*2 + var(--spectrum-workflow-icon-size-100));--spectrum-actionbutton-height:var(--spectrum-component-height-100);--spectrum-actionbutton-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-actionbutton-font-size:var(--spectrum-font-size-100);--spectrum-actionbutton-text-to-visual:var(--spectrum-text-to-visual-100);--spectrum-actionbutton-edge-to-hold-icon:var(--spectrum-action-button-edge-to-hold-icon-medium);--spectrum-actionbutton-edge-to-visual:calc(var(--spectrum-component-edge-to-visual-100) - var(--spectrum-actionbutton-border-width));--spectrum-actionbutton-edge-to-text:calc(var(--spectrum-component-edge-to-text-100) - var(--spectrum-actionbutton-border-width));--spectrum-actionbutton-edge-to-visual-only:calc(var(--spectrum-component-edge-to-visual-only-100) - var(--spectrum-actionbutton-border-width))}:host([size=l]){--spectrum-actionbutton-min-width:calc(var(--spectrum-component-edge-to-visual-only-200)*2 + var(--spectrum-workflow-icon-size-200));--spectrum-actionbutton-height:var(--spectrum-component-height-200);--spectrum-actionbutton-icon-size:var(--spectrum-workflow-icon-size-200);--spectrum-actionbutton-font-size:var(--spectrum-font-size-200);--spectrum-actionbutton-text-to-visual:var(--spectrum-text-to-visual-200);--spectrum-actionbutton-edge-to-hold-icon:var(--spectrum-action-button-edge-to-hold-icon-large);--spectrum-actionbutton-edge-to-visual:calc(var(--spectrum-component-edge-to-visual-200) - var(--spectrum-actionbutton-border-width));--spectrum-actionbutton-edge-to-text:calc(var(--spectrum-component-edge-to-text-200) - var(--spectrum-actionbutton-border-width));--spectrum-actionbutton-edge-to-visual-only:calc(var(--spectrum-component-edge-to-visual-only-200) - var(--spectrum-actionbutton-border-width))}:host([size=xl]){--spectrum-actionbutton-min-width:calc(var(--spectrum-component-edge-to-visual-only-300)*2 + var(--spectrum-workflow-icon-size-300));--spectrum-actionbutton-height:var(--spectrum-component-height-300);--spectrum-actionbutton-icon-size:var(--spectrum-workflow-icon-size-300);--spectrum-actionbutton-font-size:var(--spectrum-font-size-300);--spectrum-actionbutton-text-to-visual:var(--spectrum-text-to-visual-300);--spectrum-actionbutton-edge-to-hold-icon:var(--spectrum-action-button-edge-to-hold-icon-extra-large);--spectrum-actionbutton-edge-to-visual:calc(var(--spectrum-component-edge-to-visual-300) - var(--spectrum-actionbutton-border-width));--spectrum-actionbutton-edge-to-text:calc(var(--spectrum-component-edge-to-text-300) - var(--spectrum-actionbutton-border-width));--spectrum-actionbutton-edge-to-visual-only:calc(var(--spectrum-component-edge-to-visual-only-300) - var(--spectrum-actionbutton-border-width))}@media (forced-colors:active){:host{--highcontrast-actionbutton-focus-indicator-color:ButtonText}:host:after{forced-color-adjust:none}:host([selected]){--highcontrast-actionbutton-background-color-default:Highlight;--highcontrast-actionbutton-background-color-hover:Highlight;--highcontrast-actionbutton-background-color-focus:Highlight;--highcontrast-actionbutton-background-color-down:Highlight;--highcontrast-actionbutton-background-color-disabled:ButtonFace;--highcontrast-actionbutton-border-color-default:HighlightText;--highcontrast-actionbutton-border-color-hover:HighlightText;--highcontrast-actionbutton-border-color-focus:HighlightText;--highcontrast-actionbutton-border-color-down:HighlightText;--highcontrast-actionbutton-border-color-disabled:GrayText;--highcontrast-actionbutton-content-color-default:HighlightText;--highcontrast-actionbutton-content-color-hover:HighlightText;--highcontrast-actionbutton-content-color-focus:HighlightText;--highcontrast-actionbutton-content-color-down:HighlightText;--highcontrast-actionbutton-content-color-disabled:GrayText}:host([selected]) .hold-affordance,:host([selected]) ::slotted([slot=icon]),:host([selected]) #label{forced-color-adjust:none}}:host{min-inline-size:var(--mod-actionbutton-min-width,var(--spectrum-actionbutton-min-width));block-size:var(--mod-actionbutton-height,var(--spectrum-actionbutton-height));border-radius:var(--mod-actionbutton-border-radius,var(--spectrum-actionbutton-border-radius));border-width:var(--mod-actionbutton-border-width,var(--spectrum-actionbutton-border-width));gap:calc(var(--mod-actionbutton-text-to-visual,var(--spectrum-actionbutton-text-to-visual)) + var(--mod-actionbutton-edge-to-text,var(--spectrum-actionbutton-edge-to-text)) - var(--mod-actionbutton-edge-to-visual-only,var(--spectrum-actionbutton-edge-to-visual-only)));padding-inline:var(--mod-actionbutton-edge-to-text,var(--spectrum-actionbutton-edge-to-text));background-color:var(--highcontrast-actionbutton-background-color-default,var(--mod-actionbutton-background-color-default,var(--spectrum-actionbutton-background-color-default)));border-color:var(--highcontrast-actionbutton-border-color-default,var(--mod-actionbutton-border-color-default,var(--spectrum-actionbutton-border-color-default)));color:var(--highcontrast-actionbutton-content-color-default,var(--mod-actionbutton-content-color-default,var(--spectrum-actionbutton-content-color-default)));position:relative}@media (hover:hover){:host(:hover){background-color:var(--highcontrast-actionbutton-background-color-hover,var(--mod-actionbutton-background-color-hover,var(--spectrum-actionbutton-background-color-hover)));border-color:var(--highcontrast-actionbutton-border-color-hover,var(--mod-actionbutton-border-color-hover,var(--spectrum-actionbutton-border-color-hover)));color:var(--highcontrast-actionbutton-content-color-hover,var(--mod-actionbutton-content-color-hover,var(--spectrum-actionbutton-content-color-hover)))}}:host(:focus-visible){background-color:var(--highcontrast-actionbutton-background-color-focus,var(--mod-actionbutton-background-color-focus,var(--spectrum-actionbutton-background-color-focus)));border-color:var(--highcontrast-actionbutton-border-color-focus,var(--mod-actionbutton-border-color-focus,var(--spectrum-actionbutton-border-color-focus)));color:var(--highcontrast-actionbutton-content-color-focus,var(--mod-actionbutton-content-color-focus,var(--spectrum-actionbutton-content-color-focus)))}:host(:is(:active,[active])){background-color:var(--highcontrast-actionbutton-background-color-down,var(--mod-actionbutton-background-color-down,var(--spectrum-actionbutton-background-color-down)));border-color:var(--highcontrast-actionbutton-border-color-down,var(--mod-actionbutton-border-color-down,var(--spectrum-actionbutton-border-color-down)));color:var(--highcontrast-actionbutton-content-color-down,var(--mod-actionbutton-content-color-down,var(--spectrum-actionbutton-content-color-down)))}:host([disabled]),:host([disabled]){background-color:var(--highcontrast-actionbutton-background-color-disabled,var(--mod-actionbutton-background-color-disabled,var(--spectrum-actionbutton-background-color-disabled)));border-color:var(--highcontrast-actionbutton-border-color-disabled,var(--mod-actionbutton-border-color-disabled,var(--spectrum-actionbutton-border-color-disabled)));color:var(--highcontrast-actionbutton-content-color-disabled,var(--mod-actionbutton-content-color-disabled,var(--spectrum-actionbutton-content-color-disabled)))}::slotted([slot=icon]){inline-size:var(--mod-actionbutton-icon-size,var(--spectrum-actionbutton-icon-size));block-size:var(--mod-actionbutton-icon-size,var(--spectrum-actionbutton-icon-size));color:inherit;margin-inline-start:calc(var(--mod-actionbutton-edge-to-visual,var(--spectrum-actionbutton-edge-to-visual)) - var(--mod-actionbutton-edge-to-text,var(--spectrum-actionbutton-edge-to-text)));margin-inline-end:calc(var(--mod-actionbutton-edge-to-visual-only,var(--spectrum-actionbutton-edge-to-visual-only)) - var(--mod-actionbutton-edge-to-text,var(--spectrum-actionbutton-edge-to-text)))}.hold-affordance+::slotted([slot=icon]),[icon-only]::slotted([slot=icon]){margin-inline-start:calc(var(--mod-actionbutton-edge-to-visual-only,var(--spectrum-actionbutton-edge-to-visual-only)) - var(--mod-actionbutton-edge-to-text,var(--spectrum-actionbutton-edge-to-text)))}#label{pointer-events:none;font-size:var(--mod-actionbutton-font-size,var(--spectrum-actionbutton-font-size));white-space:nowrap;color:var(--mod-actionbutton-label-color,inherit);text-overflow:ellipsis;overflow:hidden}.hold-affordance{color:inherit;transform:var(--spectrum-logical-rotation);position:absolute;inset-block-end:calc(var(--mod-actionbutton-edge-to-hold-icon,var(--spectrum-actionbutton-edge-to-hold-icon)) - var(--mod-actionbutton-border-width,var(--spectrum-actionbutton-border-width)));inset-inline-end:calc(var(--mod-actionbutton-edge-to-hold-icon,var(--spectrum-actionbutton-edge-to-hold-icon)) - var(--mod-actionbutton-border-width,var(--spectrum-actionbutton-border-width)))}:host{transition:border-color var(--mod-actionbutton-animation-duration,var(--spectrum-actionbutton-animation-duration))ease-in-out}:host:after{margin:calc(( var(--mod-actionbutton-focus-indicator-gap,var(--spectrum-actionbutton-focus-indicator-gap)) + var(--mod-actionbutton-border-width,var(--spectrum-actionbutton-border-width)))*-1);border-radius:var(--mod-actionbutton-focus-indicator-border-radius,var(--spectrum-actionbutton-focus-indicator-border-radius));transition:box-shadow var(--mod-actionbutton-animation-duration,var(--spectrum-actionbutton-animation-duration))ease-in-out;pointer-events:none;content:"";position:absolute;inset:0}:host(:focus-visible){box-shadow:none;outline:none}:host(:focus-visible):after{box-shadow:0 0 0 var(--mod-actionbutton-focus-indicator-thickness,var(--spectrum-actionbutton-focus-indicator-thickness))var(--highcontrast-actionbutton-focus-indicator-color,var(--mod-actionbutton-focus-indicator-color,var(--spectrum-actionbutton-focus-indicator-color)))}:host{--spectrum-actionbutton-background-color-default:var(--system-spectrum-actionbutton-background-color-default);--spectrum-actionbutton-background-color-hover:var(--system-spectrum-actionbutton-background-color-hover);--spectrum-actionbutton-background-color-down:var(--system-spectrum-actionbutton-background-color-down);--spectrum-actionbutton-background-color-focus:var(--system-spectrum-actionbutton-background-color-focus);--spectrum-actionbutton-border-color-default:var(--system-spectrum-actionbutton-border-color-default);--spectrum-actionbutton-border-color-hover:var(--system-spectrum-actionbutton-border-color-hover);--spectrum-actionbutton-border-color-down:var(--system-spectrum-actionbutton-border-color-down);--spectrum-actionbutton-border-color-focus:var(--system-spectrum-actionbutton-border-color-focus);--spectrum-actionbutton-background-color-disabled:var(--system-spectrum-actionbutton-background-color-disabled);--spectrum-actionbutton-border-color-disabled:var(--system-spectrum-actionbutton-border-color-disabled);--spectrum-actionbutton-content-color-disabled:var(--system-spectrum-actionbutton-content-color-disabled)}:host([quiet]){--spectrum-actionbutton-background-color-default:var(--system-spectrum-actionbutton-quiet-background-color-default);--spectrum-actionbutton-background-color-hover:var(--system-spectrum-actionbutton-quiet-background-color-hover);--spectrum-actionbutton-background-color-down:var(--system-spectrum-actionbutton-quiet-background-color-down);--spectrum-actionbutton-background-color-focus:var(--system-spectrum-actionbutton-quiet-background-color-focus);--spectrum-actionbutton-border-color-default:var(--system-spectrum-actionbutton-quiet-border-color-default);--spectrum-actionbutton-border-color-hover:var(--system-spectrum-actionbutton-quiet-border-color-hover);--spectrum-actionbutton-border-color-down:var(--system-spectrum-actionbutton-quiet-border-color-down);--spectrum-actionbutton-border-color-focus:var(--system-spectrum-actionbutton-quiet-border-color-focus);--spectrum-actionbutton-background-color-disabled:var(--system-spectrum-actionbutton-quiet-background-color-disabled);--spectrum-actionbutton-border-color-disabled:var(--system-spectrum-actionbutton-quiet-border-color-disabled)}:host([selected]){--spectrum-actionbutton-border-color-default:var(--system-spectrum-actionbutton-selected-border-color-default);--spectrum-actionbutton-border-color-hover:var(--system-spectrum-actionbutton-selected-border-color-hover);--spectrum-actionbutton-border-color-down:var(--system-spectrum-actionbutton-selected-border-color-down);--spectrum-actionbutton-border-color-focus:var(--system-spectrum-actionbutton-selected-border-color-focus);--spectrum-actionbutton-background-color-disabled:var(--system-spectrum-actionbutton-selected-background-color-disabled);--spectrum-actionbutton-border-color-disabled:var(--system-spectrum-actionbutton-selected-border-color-disabled)}:host([static=black][quiet]){--spectrum-actionbutton-border-color-default:var(--system-spectrum-actionbutton-staticblack-quiet-border-color-default);--spectrum-actionbutton-border-color-hover:var(--system-spectrum-actionbutton-staticblack-quiet-border-color-hover);--spectrum-actionbutton-border-color-down:var(--system-spectrum-actionbutton-staticblack-quiet-border-color-down);--spectrum-actionbutton-border-color-focus:var(--system-spectrum-actionbutton-staticblack-quiet-border-color-focus);--spectrum-actionbutton-border-color-disabled:var(--system-spectrum-actionbutton-staticblack-quiet-border-color-disabled)}:host([static=white][quiet]){--spectrum-actionbutton-border-color-default:var(--system-spectrum-actionbutton-staticwhite-quiet-border-color-default);--spectrum-actionbutton-border-color-hover:var(--system-spectrum-actionbutton-staticwhite-quiet-border-color-hover);--spectrum-actionbutton-border-color-down:var(--system-spectrum-actionbutton-staticwhite-quiet-border-color-down);--spectrum-actionbutton-border-color-focus:var(--system-spectrum-actionbutton-staticwhite-quiet-border-color-focus);--spectrum-actionbutton-border-color-disabled:var(--system-spectrum-actionbutton-staticwhite-quiet-border-color-disabled)}:host([static=black]){--spectrum-actionbutton-background-color-default:var(--system-spectrum-actionbutton-staticblack-background-color-default);--spectrum-actionbutton-background-color-hover:var(--system-spectrum-actionbutton-staticblack-background-color-hover);--spectrum-actionbutton-background-color-down:var(--system-spectrum-actionbutton-staticblack-background-color-down);--spectrum-actionbutton-background-color-focus:var(--system-spectrum-actionbutton-staticblack-background-color-focus);--spectrum-actionbutton-border-color-default:var(--system-spectrum-actionbutton-staticblack-border-color-default);--spectrum-actionbutton-border-color-hover:var(--system-spectrum-actionbutton-staticblack-border-color-hover);--spectrum-actionbutton-border-color-down:var(--system-spectrum-actionbutton-staticblack-border-color-down);--spectrum-actionbutton-border-color-focus:var(--system-spectrum-actionbutton-staticblack-border-color-focus);--spectrum-actionbutton-content-color-default:var(--system-spectrum-actionbutton-staticblack-content-color-default);--spectrum-actionbutton-content-color-hover:var(--system-spectrum-actionbutton-staticblack-content-color-hover);--spectrum-actionbutton-content-color-down:var(--system-spectrum-actionbutton-staticblack-content-color-down);--spectrum-actionbutton-content-color-focus:var(--system-spectrum-actionbutton-staticblack-content-color-focus);--spectrum-actionbutton-focus-indicator-color:var(--system-spectrum-actionbutton-staticblack-focus-indicator-color);--spectrum-actionbutton-background-color-disabled:var(--system-spectrum-actionbutton-staticblack-background-color-disabled);--spectrum-actionbutton-border-color-disabled:var(--system-spectrum-actionbutton-staticblack-border-color-disabled);--spectrum-actionbutton-content-color-disabled:var(--system-spectrum-actionbutton-staticblack-content-color-disabled)}:host([static=black][selected]){--mod-actionbutton-background-color-default:var(--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-background-color-default);--mod-actionbutton-background-color-hover:var(--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-background-color-hover);--mod-actionbutton-background-color-down:var(--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-background-color-down);--mod-actionbutton-background-color-focus:var(--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-background-color-focus);--mod-actionbutton-content-color-default:var(--mod-actionbutton-static-content-color,var(--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-content-color-default));--mod-actionbutton-content-color-hover:var(--mod-actionbutton-static-content-color,var(--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-content-color-hover));--mod-actionbutton-content-color-down:var(--mod-actionbutton-static-content-color,var(--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-content-color-down));--mod-actionbutton-content-color-focus:var(--mod-actionbutton-static-content-color,var(--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-content-color-focus));--mod-actionbutton-background-color-disabled:var(--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-background-color-disabled);--mod-actionbutton-border-color-disabled:var(--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-border-color-disabled)}:host([static=white]){--spectrum-actionbutton-background-color-default:var(--system-spectrum-actionbutton-staticwhite-background-color-default);--spectrum-actionbutton-background-color-hover:var(--system-spectrum-actionbutton-staticwhite-background-color-hover);--spectrum-actionbutton-background-color-down:var(--system-spectrum-actionbutton-staticwhite-background-color-down);--spectrum-actionbutton-background-color-focus:var(--system-spectrum-actionbutton-staticwhite-background-color-focus);--spectrum-actionbutton-border-color-default:var(--system-spectrum-actionbutton-staticwhite-border-color-default);--spectrum-actionbutton-border-color-hover:var(--system-spectrum-actionbutton-staticwhite-border-color-hover);--spectrum-actionbutton-border-color-down:var(--system-spectrum-actionbutton-staticwhite-border-color-down);--spectrum-actionbutton-border-color-focus:var(--system-spectrum-actionbutton-staticwhite-border-color-focus);--spectrum-actionbutton-content-color-default:var(--system-spectrum-actionbutton-staticwhite-content-color-default);--spectrum-actionbutton-content-color-hover:var(--system-spectrum-actionbutton-staticwhite-content-color-hover);--spectrum-actionbutton-content-color-down:var(--system-spectrum-actionbutton-staticwhite-content-color-down);--spectrum-actionbutton-content-color-focus:var(--system-spectrum-actionbutton-staticwhite-content-color-focus);--spectrum-actionbutton-focus-indicator-color:var(--system-spectrum-actionbutton-staticwhite-focus-indicator-color);--spectrum-actionbutton-background-color-disabled:var(--system-spectrum-actionbutton-staticwhite-background-color-disabled);--spectrum-actionbutton-border-color-disabled:var(--system-spectrum-actionbutton-staticwhite-border-color-disabled);--spectrum-actionbutton-content-color-disabled:var(--system-spectrum-actionbutton-staticwhite-content-color-disabled)}:host([static=white][selected]){--mod-actionbutton-background-color-default:var(--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-background-color-default);--mod-actionbutton-background-color-hover:var(--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-background-color-hover);--mod-actionbutton-background-color-down:var(--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-background-color-down);--mod-actionbutton-background-color-focus:var(--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-background-color-focus);--mod-actionbutton-content-color-default:var(--mod-actionbutton-static-content-color,var(--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-content-color-default));--mod-actionbutton-content-color-hover:var(--mod-actionbutton-static-content-color,var(--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-content-color-hover));--mod-actionbutton-content-color-down:var(--mod-actionbutton-static-content-color,var(--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-content-color-down));--mod-actionbutton-content-color-focus:var(--mod-actionbutton-static-content-color,var(--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-content-color-focus));--mod-actionbutton-background-color-disabled:var(--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-background-color-disabled);--mod-actionbutton-border-color-disabled:var(--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-border-color-disabled)}::slotted([slot=icon]){flex-shrink:0}#label{flex-grow:var(--spectrum-actionbutton-label-flex-grow);text-align:var(--spectrum-actionbutton-label-text-align);pointer-events:none!important}:host([size=xs]){min-width:var(--spectrum-actionbutton-height,0)}@media (forced-colors:active){:host{--highcontrast-actionbutton-border-color-disabled:GrayText;--highcontrast-actionbutton-content-color-disabled:GrayText}}\n'
    ]);
    _templateObject$32 = function _templateObject() {
        return data;
    };
    return data;
}
var o$E = i$p(_templateObject$32());
var v$h = o$E;

function _tagged_template_literal$31(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$31() {
    var data = _tagged_template_literal$31([
        "\n    .spectrum-UIIcon-CornerTriangle75{--spectrum-icon-size:var(--spectrum-corner-triangle-icon-size-75)}.spectrum-UIIcon-CornerTriangle100{--spectrum-icon-size:var(--spectrum-corner-triangle-icon-size-100)}.spectrum-UIIcon-CornerTriangle200{--spectrum-icon-size:var(--spectrum-corner-triangle-icon-size-200)}.spectrum-UIIcon-CornerTriangle300{--spectrum-icon-size:var(--spectrum-corner-triangle-icon-size-300)}\n"
    ]);
    _templateObject$31 = function _templateObject() {
        return data;
    };
    return data;
}
var e$z = i$p(_templateObject$31());
var b$e = e$z;

function _tagged_template_literal$30(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$30() {
    var data = _tagged_template_literal$30([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 7 7"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="M6.683.67a.32.32 0 0 0-.223.093l-5.7 5.7a.316.316 0 0 0 .224.54h5.7A.316.316 0 0 0 7 6.687V.986A.316.316 0 0 0 6.684.67z"\n    />\n  </svg>'
    ]);
    _templateObject$30 = function _templateObject() {
        return data;
    };
    return data;
}
var CornerTriangle300Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, e = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, r = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, t = tmp2 === void 0 ? "Corner Triangle300" : tmp2;
    return tag$1(_templateObject$30(), t, e, r);
};

function _assert_this_initialized$1T(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$28(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$25(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$25(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$25(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$25(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1T(o) {
    _get_prototype_of$1T = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1T(o);
}
function _inherits$1T(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1T(subClass, superClass);
}
function _possible_constructor_return$1T(self, call) {
    if (call && (_type_of$1T(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1T(self);
}
function _set_prototype_of$1T(o, p) {
    _set_prototype_of$1T = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1T(o, p);
}
function _type_of$1T(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1T() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1T(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1T();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1T(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1T(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1T(this, result);
    };
}
var IconCornerTriangle300 = /*#__PURE__*/ function(r) {
    _inherits$1T(IconCornerTriangle300, r);
    var _super = _create_super$1T(IconCornerTriangle300);
    function IconCornerTriangle300() {
        _class_call_check$28(this, IconCornerTriangle300);
        return _super.apply(this, arguments);
    }
    _create_class$25(IconCornerTriangle300, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), CornerTriangle300Icon();
            }
        }
    ]);
    return IconCornerTriangle300;
} 
(IconBase);

defineElement("sp-icon-corner-triangle300", IconCornerTriangle300);

function _array_like_to_array$y(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$p(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$y(arr);
}
function _assert_this_initialized$1S(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$27(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$24(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$24(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$24(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$24(Constructor, staticProps);
    return Constructor;
}
function _get$X(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$X = Reflect.get;
    } else {
        _get$X = function get(target, property, receiver) {
            var base = _super_prop_base$X(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$X(target, property, receiver || target);
}
function _get_prototype_of$1S(o) {
    _get_prototype_of$1S = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1S(o);
}
function _inherits$1S(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1S(subClass, superClass);
}
function _iterable_to_array$p(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$p() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$1S(self, call) {
    if (call && (_type_of$1S(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1S(self);
}
function _set_prototype_of$1S(o, p) {
    _set_prototype_of$1S = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1S(o, p);
}
function _super_prop_base$X(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1S(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2$(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$p(arr) {
    return _array_without_holes$p(arr) || _iterable_to_array$p(arr) || _unsupported_iterable_to_array$y(arr) || _non_iterable_spread$p();
}
function _type_of$1S(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$y(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$y(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$y(o, minLen);
}
function _is_native_reflect_construct$1S() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1S(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1S();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1S(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1S(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1S(this, result);
    };
}
function _templateObject$2$() {
    var data = _tagged_template_literal$2$([
        '\n                <sp-icon-corner-triangle300\n                    class="hold-affordance ',
        '"\n                ></sp-icon-corner-triangle300>\n            '
    ]);
    _templateObject$2$ = function _templateObject() {
        return data;
    };
    return data;
}
var p$x = Object.defineProperty;
var u$B = Object.getOwnPropertyDescriptor;
var i$h = function(a, o, e, t) {
    for(var r = t > 1 ? void 0 : t ? u$B(o, e) : o, n = a.length - 1, l; n >= 0; n--)(l = a[n]) && (r = (t ? l(o, e, r) : l(r)) || r);
    return t && r && p$x(o, e, r), r;
};
var m$l = {
    xs: "spectrum-UIIcon-CornerTriangle75",
    s: "spectrum-UIIcon-CornerTriangle75",
    m: "spectrum-UIIcon-CornerTriangle100",
    l: "spectrum-UIIcon-CornerTriangle200",
    xl: "spectrum-UIIcon-CornerTriangle300"
};
var LONGPRESS_DURATION = 300;
var d$p;
var ActionButton = /*#__PURE__*/ function(_h) {
    _inherits$1S(ActionButton, _h);
    var _super = _create_super$1S(ActionButton);
    function ActionButton() {
        _class_call_check$27(this, ActionButton);
        var _this;
        _this = _super.call(this);
        _this.emphasized = !1;
        _this.holdAffordance = !1;
        _this.quiet = !1;
        _this.role = "button";
        _this.selected = !1;
        _this.toggles = !1;
        _this._value = "";
        _this.onClick = function() {
            if (!_this.toggles) return;
            _this.selected = !_this.selected, _this.dispatchEvent(new Event("change", {
                cancelable: !0,
                bubbles: !0,
                composed: !0
            })) || (_this.selected = !_this.selected);
        };
        _this.addEventListener("click", _this.onClick);
        return _this;
    }
    _create_class$24(ActionButton, [
        {
            key: "value",
            get: function get() {
                return this._value || this.itemText;
            },
            set: function set(e) {
                e !== this._value && (this._value = e || "", this._value ? this.setAttribute("value", this._value) : this.removeAttribute("value"));
            }
        },
        {
            key: "itemText",
            get: function get() {
                return (this.textContent || "").trim();
            }
        },
        {
            key: "handlePointerdownHoldAffordance",
            value: function handlePointerdownHoldAffordance(e) {
                var _this = this;
                e.button === 0 && (this.addEventListener("pointerup", this.handlePointerupHoldAffordance), this.addEventListener("pointercancel", this.handlePointerupHoldAffordance), d$p = setTimeout(function() {
                    _this.dispatchEvent(new CustomEvent("longpress", {
                        bubbles: !0,
                        composed: !0,
                        detail: {
                            source: "pointer"
                        }
                    }));
                }, LONGPRESS_DURATION));
            }
        },
        {
            key: "handlePointerupHoldAffordance",
            value: function handlePointerupHoldAffordance() {
                clearTimeout(d$p), this.removeEventListener("pointerup", this.handlePointerupHoldAffordance), this.removeEventListener("pointercancel", this.handlePointerupHoldAffordance);
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                if (!this.holdAffordance) return _get$X(_get_prototype_of$1S(ActionButton.prototype), "handleKeydown", this).call(this, e);
                var t = e.code, r = e.altKey;
                (t === "Space" || r && t === "ArrowDown") && (e.preventDefault(), t === "ArrowDown" && (e.stopPropagation(), e.stopImmediatePropagation()), this.addEventListener("keyup", this.handleKeyup), this.active = !0);
            }
        },
        {
            key: "handleKeyup",
            value: function handleKeyup(e) {
                if (!this.holdAffordance) return _get$X(_get_prototype_of$1S(ActionButton.prototype), "handleKeyup", this).call(this, e);
                var t = e.code, r = e.altKey;
                (t === "Space" || r && t === "ArrowDown") && (e.stopPropagation(), this.dispatchEvent(new CustomEvent("longpress", {
                    bubbles: !0,
                    composed: !0,
                    detail: {
                        source: "keyboard"
                    }
                })), this.active = !1);
            }
        },
        {
            key: "buttonContent",
            get: function get() {
                var e = _get$X(_get_prototype_of$1S(ActionButton.prototype), "buttonContent", this);
                return this.holdAffordance && e.unshift(x$3(_templateObject$2$(), m$l[this.size])), e;
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$X(_get_prototype_of$1S(ActionButton.prototype), "updated", this).call(this, e);
                var t = this.role === "button", r = t && (this.selected || this.toggles) && !(this.hasAttribute("aria-haspopup") && this.hasAttribute("aria-expanded"));
                (e.has("selected") || e.has("role")) && (r ? this.setAttribute("aria-pressed", this.selected ? "true" : "false") : (this.removeAttribute("aria-pressed"), t && this.toggles && this.hasAttribute("aria-expanded") && this.setAttribute("aria-expanded", this.selected ? "true" : "false"))), e.has("variant") && (this.variant || _type_of$1S(e.get("variant"))) && (this.static = this.variant), e.has("holdAffordance") && (this.holdAffordance ? this.addEventListener("pointerdown", this.handlePointerdownHoldAffordance) : (this.removeEventListener("pointerdown", this.handlePointerdownHoldAffordance), this.handlePointerupHoldAffordance()));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$p(_get$X(_get_prototype_of$1S(ActionButton), "styles", this)).concat([
                    v$h,
                    b$e
                ]);
            }
        }
    ]);
    return ActionButton;
}(SizedMixin(ButtonBase, {
    validSizes: [
        "xs",
        "s",
        "m",
        "l",
        "xl"
    ],
    noDefaultSize: !0
}));
i$h([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionButton.prototype, "emphasized", 2), i$h([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "hold-affordance"
    })
], ActionButton.prototype, "holdAffordance", 2), i$h([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionButton.prototype, "quiet", 2), i$h([
    n$r({
        reflect: !0
    })
], ActionButton.prototype, "role", 2), i$h([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionButton.prototype, "selected", 2), i$h([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ActionButton.prototype, "toggles", 2), i$h([
    n$r({
        reflect: !0
    })
], ActionButton.prototype, "static", 2), i$h([
    n$r({
        reflect: !0
    })
], ActionButton.prototype, "variant", 2), i$h([
    n$r({
        type: String
    })
], ActionButton.prototype, "value", 1);

defineElement("sp-action-button", ActionButton);

function _tagged_template_literal$2_(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2_() {
    var data = _tagged_template_literal$2_([
        '\n    #button{cursor:pointer;-webkit-user-select:none;user-select:none;font-family:var(--mod-button-font-family,var(--mod-sans-font-family-stack,var(--spectrum-sans-font-family-stack)));line-height:var(--mod-button-line-height,var(--mod-line-height-100,var(--spectrum-line-height-100)));text-transform:none;vertical-align:top;-webkit-appearance:button;transition:background var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,border-color var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,color var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out,box-shadow var(--mod-button-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)))ease-out;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;justify-content:center;align-items:center;margin:0;-webkit-text-decoration:none;text-decoration:none;display:inline-flex;position:relative;overflow:visible}#button::-moz-focus-inner{border:0;margin-block:-2px;padding:0}#button:focus{outline:none}:host{--spectrum-picker-font-size:var(--spectrum-font-size-100);--spectrum-picker-font-weight:var(--spectrum-regular-font-weight);--spectrum-picker-placeholder-font-style:var(--spectrum-default-font-style);--spectrum-picker-line-height:var(--spectrum-line-height-100);--spectrum-picker-block-size:var(--spectrum-component-height-100);--spectrum-picker-inline-size:var(--spectrum-field-width);--spectrum-picker-border-radius:var(--spectrum-corner-radius-100);--spectrum-picker-spacing-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-picker-spacing-bottom-to-text:var(--spectrum-component-bottom-to-text-100);--spectrum-picker-spacing-edge-to-text:var(--spectrum-component-edge-to-text-100);--spectrum-picker-spacing-edge-to-text-quiet:var(--spectrum-field-edge-to-text-quiet);--spectrum-picker-spacing-top-to-text-side-label-quiet:var(--spectrum-component-top-to-text-100);--spectrum-picker-spacing-label-to-picker:var(--spectrum-field-label-to-component);--spectrum-picker-spacing-text-to-icon:var(--spectrum-text-to-visual-100);--spectrum-picker-spacing-text-to-icon-inline-end:var(--spectrum-field-text-to-alert-icon-medium);--spectrum-picker-spacing-icon-to-disclosure-icon:var(--spectrum-picker-visual-to-disclosure-icon-medium);--spectrum-picker-spacing-label-to-picker-quiet:var(--spectrum-field-label-to-component-quiet-medium);--spectrum-picker-spacing-top-to-alert-icon:var(--spectrum-field-top-to-alert-icon-medium);--spectrum-picker-spacing-top-to-progress-circle:var(--spectrum-field-top-to-progress-circle-medium);--spectrum-picker-spacing-top-to-disclosure-icon:var(--spectrum-field-top-to-disclosure-icon-100);--spectrum-picker-spacing-edge-to-disclosure-icon:var(--spectrum-field-end-edge-to-disclosure-icon-100);--spectrum-picker-spacing-edge-to-disclosure-icon-quiet:var(--spectrum-picker-end-edge-to-disclousure-icon-quiet);--spectrum-picker-animation-duration:var(--spectrum-animation-duration-100);--spectrum-picker-font-color-default:var(--spectrum-neutral-content-color-default);--spectrum-picker-font-color-default-open:var(--spectrum-neutral-content-color-focus);--spectrum-picker-font-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-picker-font-color-hover-open:var(--spectrum-neutral-content-color-focus-hover);--spectrum-picker-font-color-active:var(--spectrum-neutral-content-color-down);--spectrum-picker-font-color-key-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-picker-icon-color-default:var(--spectrum-neutral-content-color-default);--spectrum-picker-icon-color-default-open:var(--spectrum-neutral-content-color-focus);--spectrum-picker-icon-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-picker-icon-color-hover-open:var(--spectrum-neutral-content-color-focus-hover);--spectrum-picker-icon-color-active:var(--spectrum-neutral-content-color-down);--spectrum-picker-icon-color-key-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-picker-border-color-error-default:var(--spectrum-negative-border-color-default);--spectrum-picker-border-color-error-default-open:var(--spectrum-negative-border-color-focus);--spectrum-picker-border-color-error-hover:var(--spectrum-negative-border-color-hover);--spectrum-picker-border-color-error-hover-open:var(--spectrum-negative-border-color-focus-hover);--spectrum-picker-border-color-error-active:var(--spectrum-negative-border-color-down);--spectrum-picker-border-color-error-key-focus:var(--spectrum-negative-border-color-key-focus);--spectrum-picker-icon-color-error:var(--spectrum-negative-visual-color);--spectrum-picker-background-color-disabled:var(--spectrum-disabled-background-color);--spectrum-picker-font-color-disabled:var(--spectrum-disabled-content-color);--spectrum-picker-icon-color-disabled:var(--spectrum-disabled-content-color);--spectrum-picker-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-picker-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-picker-focus-indicator-color:var(--spectrum-focus-indicator-color)}:host([size=s]){--spectrum-picker-font-size:var(--spectrum-font-size-75);--spectrum-picker-block-size:var(--spectrum-component-height-75);--spectrum-picker-spacing-top-to-text-side-label-quiet:var(--spectrum-component-top-to-text-75);--spectrum-picker-spacing-top-to-text:var(--spectrum-component-top-to-text-75);--spectrum-picker-spacing-bottom-to-text:var(--spectrum-component-bottom-to-text-75);--spectrum-picker-spacing-edge-to-text:var(--spectrum-component-edge-to-text-75);--spectrum-picker-spacing-text-to-icon:var(--spectrum-text-to-visual-75);--spectrum-picker-spacing-text-to-icon-inline-end:var(--spectrum-field-text-to-alert-icon-small);--spectrum-picker-spacing-icon-to-disclosure-icon:var(--spectrum-picker-visual-to-disclosure-icon-small);--spectrum-picker-spacing-label-to-picker-quiet:var(--spectrum-field-label-to-component-quiet-small);--spectrum-picker-spacing-top-to-alert-icon:var(--spectrum-field-top-to-alert-icon-small);--spectrum-picker-spacing-top-to-progress-circle:var(--spectrum-field-top-to-progress-circle-small);--spectrum-picker-spacing-top-to-disclosure-icon:var(--spectrum-field-top-to-disclosure-icon-75);--spectrum-picker-spacing-edge-to-disclosure-icon:var(--spectrum-field-end-edge-to-disclosure-icon-75)}:host([size=l]){--spectrum-picker-font-size:var(--spectrum-font-size-200);--spectrum-picker-block-size:var(--spectrum-component-height-200);--spectrum-picker-spacing-top-to-text-side-label-quiet:var(--spectrum-component-top-to-text-200);--spectrum-picker-spacing-top-to-text:var(--spectrum-component-top-to-text-200);--spectrum-picker-spacing-bottom-to-text:var(--spectrum-component-bottom-to-text-200);--spectrum-picker-spacing-edge-to-text:var(--spectrum-component-edge-to-text-200);--spectrum-picker-spacing-text-to-icon:var(--spectrum-text-to-visual-200);--spectrum-picker-spacing-text-to-icon-inline-end:var(--spectrum-field-text-to-alert-icon-large);--spectrum-picker-spacing-icon-to-disclosure-icon:var(--spectrum-picker-visual-to-disclosure-icon-large);--spectrum-picker-spacing-label-to-picker-quiet:var(--spectrum-field-label-to-component-quiet-large);--spectrum-picker-spacing-top-to-alert-icon:var(--spectrum-field-top-to-alert-icon-large);--spectrum-picker-spacing-top-to-progress-circle:var(--spectrum-field-top-to-progress-circle-large);--spectrum-picker-spacing-top-to-disclosure-icon:var(--spectrum-field-top-to-disclosure-icon-200);--spectrum-picker-spacing-edge-to-disclosure-icon:var(--spectrum-field-end-edge-to-disclosure-icon-200)}:host([size=xl]){--spectrum-picker-font-size:var(--spectrum-font-size-300);--spectrum-picker-block-size:var(--spectrum-component-height-300);--spectrum-picker-spacing-top-to-text-side-label-quiet:var(--spectrum-component-top-to-text-300);--spectrum-picker-spacing-top-to-text:var(--spectrum-component-top-to-text-300);--spectrum-picker-spacing-bottom-to-text:var(--spectrum-component-bottom-to-text-300);--spectrum-picker-spacing-edge-to-text:var(--spectrum-component-edge-to-text-300);--spectrum-picker-spacing-text-to-icon:var(--spectrum-text-to-visual-300);--spectrum-picker-spacing-text-to-icon-inline-end:var(--spectrum-field-text-to-alert-icon-extra-large);--spectrum-picker-spacing-icon-to-disclosure-icon:var(--spectrum-picker-visual-to-disclosure-icon-extra-large);--spectrum-picker-spacing-label-to-picker-quiet:var(--spectrum-field-label-to-component-quiet-extra-large);--spectrum-picker-spacing-top-to-alert-icon:var(--spectrum-field-top-to-alert-icon-extra-large);--spectrum-picker-spacing-top-to-progress-circle:var(--spectrum-field-top-to-progress-circle-extra-large);--spectrum-picker-spacing-top-to-disclosure-icon:var(--spectrum-field-top-to-disclosure-icon-300);--spectrum-picker-spacing-edge-to-disclosure-icon:var(--spectrum-field-end-edge-to-disclosure-icon-300)}@media (forced-colors:active){:host{--highcontrast-picker-focus-indicator-color:Highlight;--highcontrast-picker-border-color-default:ButtonBorder;--highcontrast-picker-border-color-hover:Highlight;--highcontrast-picker-border-color-disabled:GrayText;--highcontrast-picker-content-color-default:ButtonText;--highcontrast-picker-content-color-disabled:GrayText;--highcontrast-picker-background-color:ButtonFace}#button.is-keyboardFocused,#button:focus-visible{--highcontrast-picker-border-color-hover:ButtonText}#button .label,#button:after{forced-color-adjust:none}}#button{box-sizing:border-box;min-inline-size:calc(var(--spectrum-picker-minimum-width-multiplier)*var(--mod-picker-block-size,var(--spectrum-picker-block-size)));inline-size:var(--mod-picker-inline-size,var(--spectrum-picker-inline-size));block-size:var(--mod-picker-block-size,var(--spectrum-picker-block-size));border-width:var(--mod-picker-border-width,var(--spectrum-picker-border-width));border-radius:var(--mod-picker-border-radius,var(--spectrum-picker-border-radius));transition:background-color var(--mod-picker-animation-duration,var(--spectrum-picker-animation-duration)),box-shadow var(--mod-picker-animation-duration,var(--spectrum-picker-animation-duration)),border-color var(--mod-picker-animation-duration,var(--spectrum-picker-animation-duration))ease-in-out;color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-default,var(--spectrum-picker-font-color-default)));background-color:var(--highcontrast-picker-background-color,var(--mod-picker-background-color-default,var(--spectrum-picker-background-color-default)));border-style:solid;border-color:var(--highcontrast-picker-border-color-default,var(--mod-picker-border-color-default,var(--spectrum-picker-border-color-default)));max-inline-size:100%;margin-block-start:var(--mod-picker-spacing-label-to-picker,var(--spectrum-picker-spacing-label-to-picker));padding-block:0;padding-inline-start:var(--mod-picker-spacing-edge-to-text,var(--spectrum-picker-spacing-edge-to-text));padding-inline-end:var(--mod-picker-spacing-edge-to-disclosure-icon,var(--spectrum-picker-spacing-edge-to-disclosure-icon));display:flex}#button:after{pointer-events:none;content:"";block-size:calc(100% + var(--mod-picker-focus-indicator-gap,var(--spectrum-picker-focus-indicator-gap))*2 + var(--mod-picker-border-width,var(--spectrum-picker-border-width))*2);inline-size:calc(100% + var(--mod-picker-focus-indicator-gap,var(--spectrum-picker-focus-indicator-gap))*2 + var(--mod-picker-border-width,var(--spectrum-picker-border-width))*2);border-style:solid;border-width:var(--mod-picker-focus-indicator-thickness,var(--spectrum-picker-focus-indicator-thickness));border-radius:calc(var(--mod-picker-border-radius,var(--spectrum-picker-border-radius)) + var(--mod-picker-focus-indicator-gap,var(--spectrum-picker-focus-indicator-gap)) + var(--mod-picker-border-width,var(--spectrum-picker-border-width)));border-color:#0000;margin-block-start:calc(( var(--mod-picker-focus-indicator-gap,var(--spectrum-picker-focus-indicator-gap)) + var(--mod-picker-focus-indicator-thickness,var(--spectrum-picker-focus-indicator-thickness)) + var(--mod-picker-border-width,var(--spectrum-picker-border-width)))*-1);margin-inline-start:calc(( var(--mod-picker-focus-indicator-gap,var(--spectrum-picker-focus-indicator-gap)) + var(--mod-picker-focus-indicator-thickness,var(--spectrum-picker-focus-indicator-thickness)) + var(--mod-picker-border-width,var(--spectrum-picker-border-width)))*-1);position:absolute;inset-block:0;inset-inline:0}#button:active{background-color:var(--highcontrast-picker-background-color,var(--mod-picker-background-color-active,var(--spectrum-picker-background-color-active)));border-color:var(--highcontrast-picker-border-color-default,var(--mod-picker-border-active,var(--spectrum-picker-border-color-active)))}#button:active:after{border-color:#0000}#button.placeholder:active .label{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-active,var(--spectrum-picker-font-color-active)))}#button.is-keyboardFocused,#button:focus-visible{background-color:var(--highcontrast-picker-background-color,var(--mod-picker-background-color-key-focus,var(--spectrum-picker-background-color-key-focus)));border-color:var(--highcontrast-picker-border-color-default,var(--mod-picker-border-color-key-focus,var(--spectrum-picker-border-color-key-focus)));color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-key-focus,var(--spectrum-picker-font-color-key-focus)));outline:none}#button.is-keyboardFocused:after,#button:focus-visible:after{border-color:var(--highcontrast-picker-focus-indicator-color,var(--mod-picker-focus-indicator-color,var(--spectrum-picker-focus-indicator-color)))}#button.is-keyboardFocused.placeholder,#button.placeholder:focus-visible{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-key-focus,var(--spectrum-picker-font-color-key-focus)))}#button.is-keyboardFocused .picker,#button:focus-visible .picker{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-icon-color-key-focus,var(--spectrum-picker-icon-color-key-focus)))}:host([invalid]) #button:not(:disabled):not(.is-disabled){border-color:var(--highcontrast-picker-border-color-default,var(--mod-picker-border-color-error-default,var(--spectrum-picker-border-color-error-default)))}:host([invalid]) #button:not(:disabled):not(.is-disabled) .validation-icon{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-icon-color-error,var(--spectrum-picker-icon-color-error)))}:host([invalid]) #button:not(:disabled):not(.is-disabled):active{border-color:var(--highcontrast-picker-border-color-default,var(--mod-picker-border-color-error-active,var(--spectrum-picker-border-color-error-active)))}:host([invalid][open]) #button:not(:disabled):not(.is-disabled){border-color:var(--highcontrast-picker-border-color-default,var(--mod-picker-border-color-error-default-open,var(--spectrum-picker-border-color-error-default-open)))}:host([invalid]) #button.is-keyboardFocused:not(:disabled):not(.is-disabled),:host([invalid]) #button:not(:disabled):not(.is-disabled):focus-visible{border-color:var(--highcontrast-picker-border-color-default,var(--mod-picker-border-color-error-key-focus,var(--spectrum-picker-border-color-error-key-focus)))}:host([pending]) #button .picker{color:var(--highcontrast-picker-content-color-disabled,var(--mod-picker-icon-color-disabled,var(--spectrum-picker-icon-color-disabled)))}:host([invalid]) #button .label,:host([pending]) #button .label{margin-inline-end:var(--mod-picker-spacing-text-to-icon-inline-end,var(--mod-picker-spacing-text-to-alert-icon-inline-start,var(--spectrum-picker-spacing-text-to-icon-inline-end)))}:host([disabled]) #button,#button:disabled{cursor:default;background-color:var(--highcontrast-picker-background-color,var(--mod-picker-background-color-disabled,var(--spectrum-picker-background-color-disabled)));border-color:var(--highcontrast-picker-border-color-disabled,transparent);color:var(--highcontrast-picker-content-color-disabled,var(--mod-picker-font-color-disabled,var(--spectrum-picker-font-color-disabled)))}:host([disabled]) #button .icon,:host([disabled]) #button .picker,:host([disabled]) #button .validation-icon,#button:disabled .icon,#button:disabled .picker,#button:disabled .validation-icon{color:var(--highcontrast-picker-content-color-disabled,var(--mod-picker-icon-color-disabled,var(--spectrum-picker-icon-color-disabled)))}:host([disabled]) #button .label.placeholder,#button:disabled .label.placeholder{color:var(--highcontrast-picker-content-color-disabled,var(--mod-picker-font-color-disabled,var(--spectrum-picker-font-color-disabled)))}.icon{flex-shrink:0;margin-inline-end:var(--mod-picker-spacing-text-to-icon,var(--spectrum-picker-spacing-text-to-icon))}:host([open]:not([quiet])) #button{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-default-open,var(--spectrum-picker-font-color-default-open)));background-color:var(--highcontrast-picker-background-color,var(--mod-picker-background-color-default-open,var(--spectrum-picker-background-color-default-open)));border-color:var(--highcontrast-picker-border-color-default,var(--mod-picker-border-default-open,var(--spectrum-picker-border-color-default-open)))}:host([open]:not([quiet])) #button .picker{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-icon-color-default-open,var(--spectrum-picker-icon-color-default-open)))}.label{white-space:nowrap;font-size:var(--mod-picker-font-size,var(--spectrum-picker-font-size));line-height:var(--mod-picker-line-height,var(--spectrum-picker-line-height));font-weight:var(--mod-picker-font-weight,var(--spectrum-picker-font-weight));text-overflow:ellipsis;text-align:start;flex:auto;margin-block-start:var(--mod-picker-spacing-top-to-text,var(--spectrum-picker-spacing-top-to-text));margin-block-end:calc(var(--mod-picker-spacing-bottom-to-text,var(--spectrum-picker-spacing-bottom-to-text)) - var(--mod-picker-border-width,var(--spectrum-picker-border-width)));overflow:hidden}.label.placeholder{font-weight:var(--mod-picker-placeholder-font-weight,var(--spectrum-picker-font-weight));font-style:var(--mod-picker-placeholder-font-style,var(--spectrum-picker-placeholder-font-style));transition:color var(--mod-picker-animation-duration,var(--spectrum-picker-animation-duration))ease-in-out;color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-default,var(--spectrum-picker-font-color-default)))}.label.placeholder:active{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-active,var(--spectrum-picker-font-color-active)))}.picker{vertical-align:top;transition:color var(--mod-picker-animation-duration,var(--spectrum-picker-animation-duration))ease-out;margin-inline-start:var(--mod-picker-spacing-icon-to-disclosure-icon,var(--spectrum-picker-spacing-icon-to-disclosure-icon));margin-block:var(--mod-picker-spacing-top-to-disclosure-icon,var(--spectrum-picker-spacing-top-to-disclosure-icon));color:var(--highcontrast-picker-content-color-default,var(--mod-picker-icon-color-default,var(--spectrum-picker-icon-color-default)));flex-shrink:0;display:inline-block;position:relative}.picker:active{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-icon-color-active,var(--spectrum-picker-icon-color-active)))}.validation-icon{margin-block-start:calc(var(--mod-picker-spacing-top-to-alert-icon,var(--spectrum-picker-spacing-top-to-alert-icon)) - var(--mod-picker-border-width,var(--spectrum-picker-border-width)));margin-block-end:calc(var(--mod-picker-spacing-top-to-alert-icon,var(--spectrum-picker-spacing-top-to-alert-icon)) - var(--mod-picker-border-width,var(--spectrum-picker-border-width)))}#button .progress-circle{margin-block-start:calc(var(--mod-picker-spacing-top-to-progress-circle,var(--spectrum-picker-spacing-top-to-progress-circle)) - var(--mod-picker-border-width,var(--spectrum-picker-border-width)));margin-block-end:calc(var(--mod-picker-spacing-top-to-progress-circle,var(--spectrum-picker-spacing-top-to-progress-circle)) - var(--mod-picker-border-width,var(--spectrum-picker-border-width)))}.label~.picker{margin-inline-start:var(--mod-picker-spacing-text-to-icon,var(--spectrum-picker-spacing-text-to-icon))}:host([quiet]) #button{padding-inline:var(--mod-picker-spacing-edge-to-text-quiet,var(--spectrum-picker-spacing-edge-to-text-quiet));color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-default,var(--spectrum-picker-font-color-default)));background-color:var(--highcontrast-picker-background-color,transparent);border:none;border-radius:0;inline-size:auto;min-inline-size:0;margin-block-start:calc(var(--mod-picker-spacing-label-to-picker-quiet,var(--spectrum-picker-spacing-label-to-picker-quiet)) + 1px)}:host([quiet]) #button.label-inline{margin-block-start:0}:host([quiet]) #button .picker{margin-inline-end:var(--mod-picker-spacing-edge-to-disclosure-icon-quiet,var(--spectrum-picker-spacing-edge-to-disclosure-icon-quiet))}:host([quiet]) #button:after{border:none;block-size:auto;inline-size:auto}@media (hover:hover){#button:hover{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-hover,var(--spectrum-picker-font-color-hover)));background-color:var(--highcontrast-picker-background-color,var(--mod-picker-background-color-hover,var(--spectrum-picker-background-color-hover)));border-color:var(--highcontrast-picker-border-color-hover,var(--mod-picker-border-color-hover,var(--spectrum-picker-border-color-hover)))}#button:hover .picker{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-icon-color-hover,var(--spectrum-picker-icon-color-hover)))}:host([invalid]) #button:not(:disabled):not(.is-disabled):hover{border-color:var(--highcontrast-picker-border-color-hover,var(--mod-picker-border-color-error-hover,var(--spectrum-picker-border-color-error-hover)))}:host([invalid][open]) #button:not(:disabled):not(.is-disabled):hover{border-color:var(--highcontrast-picker-border-color-hover,var(--mod-picker-border-color-error-hover-open,var(--spectrum-picker-border-color-error-hover-open)))}:host([open]:not([quiet])) #button:hover{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-hover-open,var(--spectrum-picker-font-color-hover-open)));background-color:var(--highcontrast-picker-background-color,var(--mod-picker-background-color-hover-open,var(--spectrum-picker-background-color-hover-open)));border-color:var(--highcontrast-picker-border-color-hover,var(--mod-picker-border-color-hover-open,var(--spectrum-picker-border-color-hover-open)))}:host([open]:not([quiet])) #button:hover .picker{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-icon-color-hover-open,var(--spectrum-picker-icon-color-hover-open)))}.label.placeholder:hover{color:var(--highcontrast-picker-content-color-default,var(--mod-picker-font-color-hover,var(--spectrum-picker-font-color-hover)))}:host([quiet]) #button:hover{background-color:var(--highcontrast-picker-background-color,transparent)}}:host([quiet]) #button.is-keyboardFocused,:host([quiet]) #button:focus-visible{background-color:var(--highcontrast-picker-background-color,transparent)}:host([quiet]) #button.is-keyboardFocused:after,:host([quiet]) #button:focus-visible:after{box-shadow:0 var(--mod-picker-focus-indicator-thickness,var(--spectrum-picker-focus-indicator-thickness))0 0 var(--highcontrast-picker-focus-indicator-color,var(--mod-picker-focus-indicator-color,var(--spectrum-picker-focus-indicator-color)));margin:calc(( var(--mod-picker-focus-indicator-gap,var(--spectrum-picker-focus-indicator-gap)) + var(--mod-picker-border-width,var(--spectrum-picker-border-width)))*-1)0;border:none;border-radius:0}:host([quiet][disabled]) #button,:host([quiet][open]) #button,:host([quiet]) #button:active,:host([quiet]) #button:disabled{background-color:var(--highcontrast-picker-background-color,transparent)}.label-inline{vertical-align:top;display:inline-flex}:host{--spectrum-picker-background-color-default:var(--system-spectrum-picker-background-color-default);--spectrum-picker-background-color-default-open:var(--system-spectrum-picker-background-color-default-open);--spectrum-picker-background-color-active:var(--system-spectrum-picker-background-color-active);--spectrum-picker-background-color-hover:var(--system-spectrum-picker-background-color-hover);--spectrum-picker-background-color-hover-open:var(--system-spectrum-picker-background-color-hover-open);--spectrum-picker-background-color-key-focus:var(--system-spectrum-picker-background-color-key-focus);--spectrum-picker-border-color-default:var(--system-spectrum-picker-border-color-default);--spectrum-picker-border-color-default-open:var(--system-spectrum-picker-border-color-default-open);--spectrum-picker-border-color-hover:var(--system-spectrum-picker-border-color-hover);--spectrum-picker-border-color-hover-open:var(--system-spectrum-picker-border-color-hover-open);--spectrum-picker-border-color-active:var(--system-spectrum-picker-border-color-active);--spectrum-picker-border-color-key-focus:var(--system-spectrum-picker-border-color-key-focus);--spectrum-picker-border-width:var(--system-spectrum-picker-border-width)}:host{vertical-align:top;inline-size:var(--mod-picker-inline-size,var(--spectrum-picker-inline-size));min-inline-size:calc(var(--spectrum-picker-minimum-width-multiplier)*var(--mod-picker-block-size,var(--spectrum-picker-block-size)));max-inline-size:100%;display:inline-flex}:host([quiet]){width:auto;min-width:0}:host([disabled]){pointer-events:none}#button{width:100%;min-width:100%;max-width:100%}#icon:not([hidden]){display:inline-flex}:host([readonly]) #button{user-select:inherit}.picker,.validation-icon{flex-shrink:0}sp-overlay{pointer-events:none}sp-menu{pointer-events:initial}:host>sp-menu{display:none}:host([focused]:not([quiet])) #button #label.placeholder{color:var(--spectrum-picker-placeholder-text-color-key-focus,var(--spectrum-alias-placeholder-text-color-hover))}#label.visually-hidden~.picker{margin-inline-start:auto}:host([focused]:not([quiet],[pending])) #button .picker{color:var(--spectrum-picker-icon-color-key-focus,var(--spectrum-alias-icon-color-focus))}.visually-hidden{clip:rect(0,0,0,0);clip-path:inset(50%);white-space:nowrap;border:0;width:1px;height:1px;margin:0 -1px -1px 0;padding:0;position:absolute;overflow:hidden}sp-overlay:not(:defined){display:none}\n'
    ]);
    _templateObject$2_ = function _templateObject() {
        return data;
    };
    return data;
}
var o$D = i$p(_templateObject$2_());
var I$2 = o$D;

function _array_like_to_array$x(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$o(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$x(arr);
}
function _iterable_to_array$o(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$o() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _to_consumable_array$o(arr) {
    return _array_without_holes$o(arr) || _iterable_to_array$o(arr) || _unsupported_iterable_to_array$x(arr) || _non_iterable_spread$o();
}
function _unsupported_iterable_to_array$x(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$x(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$x(o, minLen);
}
var t$r;
var tag = function tag(e) {
    for(var _len = arguments.length, a = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++){
        a[_key - 1] = arguments[_key];
    }
    return t$r ? t$r.apply(void 0, [
        e
    ].concat(_to_consumable_array$o(a))) : a.reduce(function(r, p, l) {
        return r + p + e[l + 1];
    }, e[0]);
}, setCustomTemplateLiteralTag = function(e) {
    t$r = e;
};

function _tagged_template_literal$2Z(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2Z() {
    var data = _tagged_template_literal$2Z([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    height=',
        '\n    viewBox="0 0 36 36"\n    width=',
        "\n    aria-hidden=",
        '\n    role="img"\n    fill="currentColor"\n    aria-label=',
        '\n  >\n    <path\n      d="M17.127 2.579.4 32.512A1 1 0 0 0 1.272 34h33.456a1 1 0 0 0 .872-1.488L18.873 2.579a1 1 0 0 0-1.746 0ZM20 29.5a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5v-3a.5.5 0 0 1 .5-.5h3a.5.5 0 0 1 .5.5Zm0-6a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5v-12a.5.5 0 0 1 .5-.5h3a.5.5 0 0 1 .5.5Z"\n    />\n  </svg>'
    ]);
    _templateObject$2Z = function _templateObject() {
        return data;
    };
    return data;
}
var AlertIcon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, a = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, t = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.hidden, e = tmp2 === void 0 ? !1 : tmp2, tmp3 = _ref.title, r = tmp3 === void 0 ? "Alert" : tmp3;
    return tag(_templateObject$2Z(), t, a, e ? "true" : "false", r);
};

function _assert_this_initialized$1R(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$26(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$23(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$23(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$23(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$23(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1R(o) {
    _get_prototype_of$1R = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1R(o);
}
function _inherits$1R(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1R(subClass, superClass);
}
function _possible_constructor_return$1R(self, call) {
    if (call && (_type_of$1R(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1R(self);
}
function _set_prototype_of$1R(o, p) {
    _set_prototype_of$1R = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1R(o, p);
}
function _type_of$1R(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1R() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1R(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1R();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1R(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1R(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1R(this, result);
    };
}
var IconAlert = /*#__PURE__*/ function(t) {
    _inherits$1R(IconAlert, t);
    var _super = _create_super$1R(IconAlert);
    function IconAlert() {
        _class_call_check$26(this, IconAlert);
        return _super.apply(this, arguments);
    }
    _create_class$23(IconAlert, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag(x$3), AlertIcon({
                    hidden: !this.label,
                    title: this.label
                });
            }
        }
    ]);
    return IconAlert;
} 
(IconBase);

defineElement("sp-icon-alert", IconAlert);

function _tagged_template_literal$2Y(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2Y() {
    var data = _tagged_template_literal$2Y([
        "\n    :host{--spectrum-menu-item-min-height:var(--spectrum-component-height-100);--spectrum-menu-item-icon-height:var(--spectrum-workflow-icon-size-100);--spectrum-menu-item-icon-width:var(--spectrum-workflow-icon-size-100);--spectrum-menu-item-label-font-size:var(--spectrum-font-size-100);--spectrum-menu-item-label-text-to-visual:var(--spectrum-text-to-visual-100);--spectrum-menu-item-label-inline-edge-to-content:var(--spectrum-component-edge-to-text-100);--spectrum-menu-item-top-edge-to-text:var(--spectrum-component-top-to-text-100);--spectrum-menu-item-bottom-edge-to-text:var(--spectrum-component-bottom-to-text-100);--spectrum-menu-item-text-to-control:var(--spectrum-text-to-control-100);--spectrum-menu-item-description-font-size:var(--spectrum-font-size-75);--spectrum-menu-section-header-font-size:var(--spectrum-font-size-100);--spectrum-menu-section-header-min-width:var(--spectrum-component-height-100);--spectrum-menu-item-selectable-edge-to-text-not-selected:var(--spectrum-menu-item-selectable-edge-to-text-not-selected-medium);--spectrum-menu-item-checkmark-height:var(--spectrum-menu-item-checkmark-height-medium);--spectrum-menu-item-checkmark-width:var(--spectrum-menu-item-checkmark-width-medium);--spectrum-menu-item-top-to-checkmark:var(--spectrum-menu-item-top-to-selected-icon-medium);--spectrum-menu-item-top-to-action:var(--spectrum-spacing-50);--spectrum-menu-item-top-to-checkbox:var(--spectrum-spacing-50);--spectrum-menu-item-label-line-height:var(--spectrum-line-height-100);--spectrum-menu-item-label-line-height-cjk:var(--spectrum-cjk-line-height-100);--spectrum-menu-item-label-to-description-spacing:var(--spectrum-menu-item-label-to-description);--spectrum-menu-item-focus-indicator-width:var(--spectrum-border-width-200);--spectrum-menu-item-focus-indicator-color:var(--spectrum-blue-800);--spectrum-menu-item-label-to-value-area-min-spacing:var(--spectrum-spacing-100);--spectrum-menu-item-label-content-color-default:var(--spectrum-neutral-content-color-default);--spectrum-menu-item-label-content-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-menu-item-label-content-color-down:var(--spectrum-neutral-content-color-down);--spectrum-menu-item-label-content-color-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-menu-item-label-icon-color-default:var(--spectrum-neutral-content-color-default);--spectrum-menu-item-label-icon-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-menu-item-label-icon-color-down:var(--spectrum-neutral-content-color-down);--spectrum-menu-item-label-icon-color-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-menu-item-label-content-color-disabled:var(--spectrum-disabled-content-color);--spectrum-menu-item-label-icon-color-disabled:var(--spectrum-disabled-content-color);--spectrum-menu-item-description-line-height:var(--spectrum-line-height-100);--spectrum-menu-item-description-line-height-cjk:var(--spectrum-cjk-line-height-100);--spectrum-menu-item-description-color-default:var(--spectrum-neutral-subdued-content-color-default);--spectrum-menu-item-description-color-hover:var(--spectrum-neutral-subdued-content-color-hover);--spectrum-menu-item-description-color-down:var(--spectrum-neutral-subdued-content-color-down);--spectrum-menu-item-description-color-focus:var(--spectrum-neutral-subdued-content-color-key-focus);--spectrum-menu-item-description-color-disabled:var(--spectrum-disabled-content-color);--spectrum-menu-section-header-line-height:var(--spectrum-line-height-100);--spectrum-menu-section-header-line-height-cjk:var(--spectrum-cjk-line-height-100);--spectrum-menu-section-header-font-weight:var(--spectrum-bold-font-weight);--spectrum-menu-section-header-color:var(--spectrum-gray-900);--spectrum-menu-collapsible-icon-color:var(--spectrum-gray-900);--spectrum-menu-checkmark-icon-color-default:var(--spectrum-accent-color-900);--spectrum-menu-checkmark-icon-color-hover:var(--spectrum-accent-color-1000);--spectrum-menu-checkmark-icon-color-down:var(--spectrum-accent-color-1100);--spectrum-menu-checkmark-icon-color-focus:var(--spectrum-accent-color-1000);--spectrum-menu-drillin-icon-color-default:var(--spectrum-neutral-subdued-content-color-default);--spectrum-menu-drillin-icon-color-hover:var(--spectrum-neutral-subdued-content-color-hover);--spectrum-menu-drillin-icon-color-down:var(--spectrum-neutral-subdued-content-color-down);--spectrum-menu-drillin-icon-color-focus:var(--spectrum-neutral-subdued-content-color-key-focus);--spectrum-menu-item-value-color-default:var(--spectrum-neutral-subdued-content-color-default);--spectrum-menu-item-value-color-hover:var(--spectrum-neutral-subdued-content-color-hover);--spectrum-menu-item-value-color-down:var(--spectrum-neutral-subdued-content-color-down);--spectrum-menu-item-value-color-focus:var(--spectrum-neutral-subdued-content-color-key-focus);--spectrum-menu-checkmark-display-hidden:none;--spectrum-menu-checkmark-display-shown:block;--spectrum-menu-checkmark-display:var(--spectrum-menu-checkmark-display-shown);--spectrum-menu-back-icon-margin:var(--spectrum-navigational-indicator-top-to-back-icon-medium);--spectrum-menu-item-collapsible-has-icon-submenu-item-padding-x-start:calc(var(--spectrum-menu-item-label-inline-edge-to-content) + var(--spectrum-menu-item-checkmark-width) + var(--spectrum-menu-item-text-to-control) + var(--spectrum-menu-item-icon-width) + var(--spectrum-menu-item-label-text-to-visual) + var(--spectrum-menu-item-focus-indicator-width));--spectrum-menu-item-collapsible-no-icon-submenu-item-padding-x-start:calc(var(--spectrum-menu-item-label-inline-edge-to-content) + var(--spectrum-menu-item-checkmark-width) + var(--spectrum-menu-item-label-text-to-visual) + var(--spectrum-menu-item-focus-indicator-width))}:host([size=s]){--spectrum-menu-item-min-height:var(--spectrum-component-height-75);--spectrum-menu-item-icon-height:var(--spectrum-workflow-icon-size-75);--spectrum-menu-item-icon-width:var(--spectrum-workflow-icon-size-75);--spectrum-menu-item-label-font-size:var(--spectrum-font-size-75);--spectrum-menu-item-label-text-to-visual:var(--spectrum-text-to-visual-75);--spectrum-menu-item-label-inline-edge-to-content:var(--spectrum-component-edge-to-text-75);--spectrum-menu-item-top-edge-to-text:var(--spectrum-component-top-to-text-75);--spectrum-menu-item-bottom-edge-to-text:var(--spectrum-component-bottom-to-text-75);--spectrum-menu-item-text-to-control:var(--spectrum-text-to-control-75);--spectrum-menu-item-description-font-size:var(--spectrum-font-size-50);--spectrum-menu-section-header-font-size:var(--spectrum-font-size-75);--spectrum-menu-section-header-min-width:var(--spectrum-component-height-75);--spectrum-menu-item-selectable-edge-to-text-not-selected:var(--spectrum-menu-item-selectable-edge-to-text-not-selected-small);--spectrum-menu-item-checkmark-height:var(--spectrum-menu-item-checkmark-height-small);--spectrum-menu-item-checkmark-width:var(--spectrum-menu-item-checkmark-width-small);--spectrum-menu-item-top-to-checkmark:var(--spectrum-menu-item-top-to-selected-icon-small);--spectrum-menu-back-icon-margin:var(--spectrum-navigational-indicator-top-to-back-icon-small)}:host([size=l]){--spectrum-menu-item-min-height:var(--spectrum-component-height-200);--spectrum-menu-item-icon-height:var(--spectrum-workflow-icon-size-200);--spectrum-menu-item-icon-width:var(--spectrum-workflow-icon-size-200);--spectrum-menu-item-label-font-size:var(--spectrum-font-size-200);--spectrum-menu-item-label-text-to-visual:var(--spectrum-text-to-visual-200);--spectrum-menu-item-label-inline-edge-to-content:var(--spectrum-component-edge-to-text-200);--spectrum-menu-item-top-edge-to-text:var(--spectrum-component-top-to-text-200);--spectrum-menu-item-bottom-edge-to-text:var(--spectrum-component-bottom-to-text-200);--spectrum-menu-item-text-to-control:var(--spectrum-text-to-control-200);--spectrum-menu-item-description-font-size:var(--spectrum-font-size-100);--spectrum-menu-section-header-font-size:var(--spectrum-font-size-200);--spectrum-menu-section-header-min-width:var(--spectrum-component-height-200);--spectrum-menu-item-selectable-edge-to-text-not-selected:var(--spectrum-menu-item-selectable-edge-to-text-not-selected-large);--spectrum-menu-item-checkmark-height:var(--spectrum-menu-item-checkmark-height-large);--spectrum-menu-item-checkmark-width:var(--spectrum-menu-item-checkmark-width-large);--spectrum-menu-item-top-to-checkmark:var(--spectrum-menu-item-top-to-selected-icon-large);--spectrum-menu-back-icon-margin:var(--spectrum-navigational-indicator-top-to-back-icon-large)}:host([size=xl]){--spectrum-menu-item-min-height:var(--spectrum-component-height-300);--spectrum-menu-item-icon-height:var(--spectrum-workflow-icon-size-300);--spectrum-menu-item-icon-width:var(--spectrum-workflow-icon-size-300);--spectrum-menu-item-label-font-size:var(--spectrum-font-size-300);--spectrum-menu-item-label-text-to-visual:var(--spectrum-text-to-visual-300);--spectrum-menu-item-label-inline-edge-to-content:var(--spectrum-component-edge-to-text-300);--spectrum-menu-item-top-edge-to-text:var(--spectrum-component-top-to-text-300);--spectrum-menu-item-bottom-edge-to-text:var(--spectrum-component-bottom-to-text-300);--spectrum-menu-item-text-to-control:var(--spectrum-text-to-control-300);--spectrum-menu-item-description-font-size:var(--spectrum-font-size-200);--spectrum-menu-section-header-font-size:var(--spectrum-font-size-300);--spectrum-menu-section-header-min-width:var(--spectrum-component-height-300);--spectrum-menu-item-selectable-edge-to-text-not-selected:var(--spectrum-menu-item-selectable-edge-to-text-not-selected-extra-large);--spectrum-menu-item-checkmark-height:var(--spectrum-menu-item-checkmark-height-extra-large);--spectrum-menu-item-checkmark-width:var(--spectrum-menu-item-checkmark-width-extra-large);--spectrum-menu-item-top-to-checkmark:var(--spectrum-menu-item-top-to-selected-icon-extra-large);--spectrum-menu-back-icon-margin:var(--spectrum-navigational-indicator-top-to-back-icon-extra-large)}@media (forced-colors:active){:host{--highcontrast-menu-item-background-color-default:ButtonFace;--highcontrast-menu-item-color-default:ButtonText;--highcontrast-menu-item-background-color-focus:Highlight;--highcontrast-menu-item-color-focus:HighlightText;--highcontrast-menu-checkmark-icon-color-default:Highlight;--highcontrast-menu-item-color-disabled:GrayText;--highcontrast-menu-item-focus-indicator-color:Highlight;--highcontrast-menu-item-selected-background-color:Highlight;--highcontrast-menu-item-selected-color:HighlightText}@supports (color:SelectedItem){:host{--highcontrast-menu-item-selected-background-color:SelectedItem;--highcontrast-menu-item-selected-color:SelectedItemText}}}:host{inline-size:var(--mod-menu-inline-size,auto);box-sizing:border-box;margin:0;padding:0;list-style-type:none;display:inline-block;overflow:auto}:host:lang(ja),:host:lang(ko),:host:lang(zh){--spectrum-menu-item-label-line-height:var(--mod-menu-item-label-line-height-cjk,var(--spectrum-menu-item-label-line-height-cjk));--spectrum-menu-item-description-line-height:var(--mod-menu-item-description-line-height-cjk,var(--spectrum-menu-item-description-line-height-cjk));--spectrum-menu-section-header-line-height:var(--mod-menu-section-header-line-height-cjk,var(--spectrum-menu-section-header-line-height-cjk))}:host([selects]) ::slotted(sp-menu-item){--spectrum-menu-checkmark-display:var(--spectrum-menu-checkmark-display-hidden);padding-inline-start:var(--mod-menu-item-selectable-edge-to-text-not-selected,var(--spectrum-menu-item-selectable-edge-to-text-not-selected))}:host([selects]) ::slotted(sp-menu-item[selected]){--spectrum-menu-checkmark-display:var(--spectrum-menu-checkmark-display-shown);padding-inline-start:var(--mod-menu-item-label-inline-edge-to-content,var(--spectrum-menu-item-label-inline-edge-to-content))}.spectrum-Menu-back:focus-visible{box-shadow:inset calc(var(--mod-menu-item-focus-indicator-width,var(--spectrum-menu-item-focus-indicator-width))*var(--spectrum-menu-item-focus-indicator-direction-scalar,1))0 0 0 var(--highcontrast-menu-item-focus-indicator-color,var(--mod-menu-item-focus-indicator-color,var(--spectrum-menu-item-focus-indicator-color)))}.spectrum-Menu-sectionHeading{color:var(--highcontrast-menu-item-color-default,var(--mod-menu-section-header-color,var(--spectrum-menu-section-header-color)));font-size:var(--mod-menu-section-header-font-size,var(--spectrum-menu-section-header-font-size));font-weight:var(--mod-menu-section-header-font-weight,var(--spectrum-menu-section-header-font-weight));line-height:var(--mod-menu-section-header-line-height,var(--spectrum-menu-section-header-line-height));min-inline-size:var(--mod-menu-section-header-min-width,var(--spectrum-menu-section-header-min-width));padding-block-start:var(--mod-menu-section-header-top-edge-to-text,var(--mod-menu-item-top-edge-to-text,var(--spectrum-menu-item-top-edge-to-text)));padding-block-end:var(--mod-menu-section-header-bottom-edge-to-text,var(--mod-menu-item-bottom-edge-to-text,var(--spectrum-menu-item-bottom-edge-to-text)));padding-inline:var(--mod-menu-item-label-inline-edge-to-content,var(--spectrum-menu-item-label-inline-edge-to-content));grid-area:c/1/c/-1;display:block}.spectrum-Menu-back{padding-inline:var(--mod-menu-back-padding-inline-start,0)var(--mod-menu-back-padding-inline-end,var(--spectrum-menu-item-label-inline-edge-to-content));padding-block:var(--mod-menu-back-padding-block-start,0)var(--mod-menu-back-padding-block-end,0);flex-flow:wrap;align-items:center;display:flex}.spectrum-Menu-back .spectrum-Menu-sectionHeading{padding:0}.spectrum-Menu-backButton{cursor:pointer;background:0 0;border:0;margin:0;padding:0;display:inline-flex}.spectrum-Menu-backButton:focus-visible{outline:var(--spectrum-focus-indicator-thickness)solid var(--spectrum-focus-indicator-color);outline-offset:calc((var(--spectrum-focus-indicator-thickness) + 1px)*-1)}.spectrum-Menu-backHeading{color:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-heading-color,var(--spectrum-menu-section-header-color)));font-size:var(--mod-menu-section-header-font-size,var(--spectrum-menu-section-header-font-size));font-weight:var(--mod-menu-section-header-font-weight,var(--spectrum-menu-section-header-font-weight));line-height:var(--mod-menu-section-header-line-height,var(--spectrum-menu-section-header-line-height));display:block}.spectrum-Menu-backIcon{margin-block:var(--mod-menu-back-icon-margin-block,var(--spectrum-menu-back-icon-margin));margin-inline:var(--mod-menu-back-icon-margin-inline,var(--spectrum-menu-back-icon-margin));fill:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-icon-color-default));color:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-icon-color-default))}:host{width:var(--swc-menu-width);flex-direction:column;display:inline-flex}:host(:focus){outline:none}::slotted(*){flex-shrink:0}\n"
    ]);
    _templateObject$2Y = function _templateObject() {
        return data;
    };
    return data;
}
var t$q = i$p(_templateObject$2Y());
var g$9 = t$q;

function _array_like_to_array$w(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$d(arr) {
    if (Array.isArray(arr)) return arr;
}
function _array_without_holes$n(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$w(arr);
}
function _assert_this_initialized$1Q(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$y(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$y(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$y(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$y(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$25(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$22(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$22(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$22(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$22(Constructor, staticProps);
    return Constructor;
}
function _get$W(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$W = Reflect.get;
    } else {
        _get$W = function get(target, property, receiver) {
            var base = _super_prop_base$W(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$W(target, property, receiver || target);
}
function _get_prototype_of$1Q(o) {
    _get_prototype_of$1Q = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1Q(o);
}
function _inherits$1Q(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1Q(subClass, superClass);
}
function _instanceof$g(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _iterable_to_array$n(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _iterable_to_array_limit$d(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$d() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _non_iterable_spread$n() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$1Q(self, call) {
    if (call && (_type_of$1Q(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1Q(self);
}
function _set_prototype_of$1Q(o, p) {
    _set_prototype_of$1Q = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1Q(o, p);
}
function _sliced_to_array$d(arr, i) {
    return _array_with_holes$d(arr) || _iterable_to_array_limit$d(arr, i) || _unsupported_iterable_to_array$w(arr, i) || _non_iterable_rest$d();
}
function _super_prop_base$W(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1Q(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2X(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$n(arr) {
    return _array_without_holes$n(arr) || _iterable_to_array$n(arr) || _unsupported_iterable_to_array$w(arr) || _non_iterable_spread$n();
}
function _type_of$1Q(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$w(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$w(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$w(o, minLen);
}
function _is_native_reflect_construct$1Q() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1Q(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1Q();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1Q(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1Q(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1Q(this, result);
    };
}
function _ts_generator$y(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$2X() {
    var data = _tagged_template_literal$2X([
        "\n            <slot\n                @sp-menu-submenu-opened=",
        "\n                @sp-menu-submenu-closed=",
        "\n                @slotchange=",
        "\n            ></slot>\n        "
    ]);
    _templateObject$2X = function _templateObject() {
        return data;
    };
    return data;
}
var p$w = Object.defineProperty;
var f$i = Object.getOwnPropertyDescriptor;
var o$C = function(c, l, e, s) {
    for(var t = s > 1 ? void 0 : s ? f$i(l, e) : l, i = c.length - 1, n; i >= 0; i--)(n = c[i]) && (t = (s ? n(l, e, t) : n(t)) || t);
    return s && t && p$w(l, e, t), t;
};
function S$3(c, l) {
    return !!l && (c === l || c.contains(l));
}
var Menu = /*#__PURE__*/ function(_v) {
    _inherits$1Q(Menu, _v);
    var _super = _create_super$1Q(Menu);
    function Menu() {
        _class_call_check$25(this, Menu);
        var _this;
        _this = _super.call(this);
        _this.label = "";
        _this.ignore = !1;
        _this.value = "";
        _this.valueSeparator = ",";
        _this._selected = [];
        _this.selectedItems = [];
        _this.childItemSet = new Set;
        _this.focusedItemIndex = 0;
        _this.focusInItemIndex = 0;
        _this.selectedItemsMap = new Map;
        _this.willSynthesizeClick = 0;
        _this.descendentOverlays = new Map;
        _this.handleSubmenuClosed = function(e) {
            e.stopPropagation(), e.composedPath()[0].dispatchEvent(new Event("sp-menu-submenu-closed", {
                bubbles: !0,
                composed: !0
            }));
        };
        _this.handleSubmenuOpened = function(e) {
            e.stopPropagation(), e.composedPath()[0].dispatchEvent(new Event("sp-menu-submenu-opened", {
                bubbles: !0,
                composed: !0
            }));
            var t = _this.childItems[_this.focusedItemIndex];
            t && (t.focused = !1);
            var i = e.composedPath().find(function(d) {
                return _this.childItemSet.has(d);
            });
            if (!i) return;
            var n = _this.childItems.indexOf(i);
            _this.focusedItemIndex = n, _this.focusInItemIndex = n;
        };
        _this._hasUpdatedSelectedItemIndex = !1;
        _this._willUpdateItems = !1;
        _this.cacheUpdated = Promise.resolve();
        _this.resolveCacheUpdated = function() {};
        _this.addEventListener("sp-menu-item-added-or-updated", _this.onSelectableItemAddedOrUpdated), _this.addEventListener("sp-menu-item-added-or-updated", _this.onFocusableItemAddedOrUpdated, {
            capture: !0
        }), _this.addEventListener("click", _this.handleClick), _this.addEventListener("pointerup", _this.handlePointerup), _this.addEventListener("focusin", _this.handleFocusin), _this.addEventListener("blur", _this.handleBlur), _this.addEventListener("sp-opened", _this.handleSubmenuOpened), _this.addEventListener("sp-closed", _this.handleSubmenuClosed);
        return _this;
    }
    _create_class$22(Menu, [
        {
            key: "isSubmenu",
            get: function get() {
                return this.slot === "submenu";
            }
        },
        {
            key: "selected",
            get: function get() {
                return this._selected;
            },
            set: function set(e) {
                var _this = this;
                if (e === this.selected) return;
                var s = this.selected;
                this._selected = e, this.selectedItems = [], this.selectedItemsMap.clear(), this.childItems.forEach(function(t) {
                    _this === t.menuData.selectionRoot && (t.selected = _this.selected.includes(t.value), t.selected && (_this.selectedItems.push(t), _this.selectedItemsMap.set(t, !0)));
                }), this.requestUpdate("selected", s);
            }
        },
        {
            key: "childItems",
            get: function get() {
                return this.cachedChildItems || (this.cachedChildItems = this.updateCachedMenuItems()), this.cachedChildItems;
            }
        },
        {
            key: "updateCachedMenuItems",
            value: function updateCachedMenuItems() {
                if (this.cachedChildItems = [], !this.menuSlot) return [];
                var e = this.menuSlot.assignedElements({
                    flatten: !0
                });
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = e.entries()[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var _step_value = _sliced_to_array$d(_step.value, 2), s = _step_value[0], t = _step_value[1];
                        var _e;
                        if (this.childItemSet.has(t)) {
                            this.cachedChildItems.push(t);
                            continue;
                        }
                        var n = t.localName === "slot" ? t.assignedElements({
                            flatten: !0
                        }) : _to_consumable_array$n(t.querySelectorAll(":scope > *"));
                        (_e = e).splice.apply(_e, [
                            s,
                            1,
                            t
                        ].concat(_to_consumable_array$n(n)));
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
                return this.cachedChildItems;
            }
        },
        {
            key: "childRole",
            get: function get() {
                if (this.resolvedRole === "listbox") return "option";
                switch(this.resolvedSelects){
                    case "single":
                        return "menuitemradio";
                    case "multiple":
                        return "menuitemcheckbox";
                    default:
                        return "menuitem";
                }
            }
        },
        {
            key: "ownRole",
            get: function get() {
                return "menu";
            }
        },
        {
            key: "onFocusableItemAddedOrUpdated",
            value: function onFocusableItemAddedOrUpdated(e) {
                e.menuCascade.set(this, {
                    hadFocusRoot: !!e.item.menuData.focusRoot,
                    ancestorWithSelects: e.currentAncestorWithSelects
                }), this.selects && (e.currentAncestorWithSelects = this), e.item.menuData.focusRoot = e.item.menuData.focusRoot || this;
            }
        },
        {
            key: "onSelectableItemAddedOrUpdated",
            value: function onSelectableItemAddedOrUpdated(e) {
                var _this = this;
                var i, n;
                var s = e.menuCascade.get(this);
                if (!s) return;
                if (e.item.menuData.parentMenu = e.item.menuData.parentMenu || this, s.hadFocusRoot && !this.ignore && (this.tabIndex = -1), this.addChildItem(e.item), this.selects === "inherit") {
                    this.resolvedSelects = "inherit";
                    var d = (i = e.currentAncestorWithSelects) == null ? void 0 : i.ignore;
                    this.resolvedRole = d ? "none" : ((n = e.currentAncestorWithSelects) == null ? void 0 : n.getAttribute("role")) || this.getAttribute("role") || void 0;
                } else this.selects ? (this.resolvedRole = this.ignore ? "none" : this.getAttribute("role") || void 0, this.resolvedSelects = this.selects) : (this.resolvedRole = this.ignore ? "none" : this.getAttribute("role") || void 0, this.resolvedSelects = this.resolvedRole === "none" ? "ignore" : "none");
                var t = this.resolvedSelects === "single" || this.resolvedSelects === "multiple";
                e.item.menuData.cleanupSteps.push(function(d) {
                    return _this.removeChildItem(d);
                }), (t || !this.selects && this.resolvedSelects !== "ignore") && !e.item.menuData.selectionRoot && (e.item.setRole(this.childRole), e.item.menuData.selectionRoot = e.item.menuData.selectionRoot || this, e.item.selected && (this.selectedItemsMap.set(e.item, !0), this.selectedItems = _to_consumable_array$n(this.selectedItems).concat([
                    e.item
                ]), this._selected = _to_consumable_array$n(this.selected).concat([
                    e.item.value
                ]), this.value = this.selected.join(this.valueSeparator)));
            }
        },
        {
            key: "addChildItem",
            value: function addChildItem(e) {
                this.childItemSet.add(e), this.handleItemsChanged();
            }
        },
        {
            key: "removeChildItem",
            value: function removeChildItem(e) {
                var _this = this;
                return _async_to_generator$y(function() {
                    var _tmp;
                    return _ts_generator$y(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _this.childItemSet.delete(e), _this.cachedChildItems = void 0;
                                _tmp = e.focused;
                                if (!_tmp) return [
                                    3,
                                    2
                                ];
                                _this.handleItemsChanged();
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 1:
                                _tmp = (_state.sent(), _this.focus());
                                _state.label = 2;
                            case 2:
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "focus",
            value: function focus() {
                var _this = this;
                var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, e = _ref.preventScroll;
                if (!this.childItems.length || this.childItems.every(function(t) {
                    return t.disabled;
                })) return;
                if (this.childItems.some(function(t) {
                    return t.menuData.focusRoot !== _this;
                })) {
                    _get$W(_get_prototype_of$1Q(Menu.prototype), "focus", this).call(this, {
                        preventScroll: e
                    });
                    return;
                }
                this.focusMenuItemByOffset(0), _get$W(_get_prototype_of$1Q(Menu.prototype), "focus", this).call(this, {
                    preventScroll: e
                });
                var s = this.selectedItems[0];
                s && !e && s.scrollIntoView({
                    block: "nearest"
                });
            }
        },
        {
            key: "handleClick",
            value: function handleClick(e) {
                if (this.willSynthesizeClick) {
                    cancelAnimationFrame(this.willSynthesizeClick), this.willSynthesizeClick = 0;
                    return;
                }
                this.handlePointerBasedSelection(e);
            }
        },
        {
            key: "handlePointerup",
            value: function handlePointerup(e) {
                var _this = this;
                this.willSynthesizeClick = requestAnimationFrame(function() {
                    var s;
                    (s = e.target) == null || s.dispatchEvent(new Event("click")), _this.willSynthesizeClick = 0;
                }), this.handlePointerBasedSelection(e);
            }
        },
        {
            key: "handlePointerBasedSelection",
            value: function handlePointerBasedSelection(e) {
                var _this = this;
                var t = e.composedPath().find(function(i) {
                    return _instanceof$g(i, Element) ? i.getAttribute("role") === _this.childRole : !1;
                });
                if (e.defaultPrevented) {
                    var i = this.childItems.indexOf(t);
                    (t == null ? void 0 : t.menuData.focusRoot) === this && i > -1 && (this.focusedItemIndex = i);
                    return;
                }
                if (t != null && t.href && t.href.length) {
                    this.dispatchEvent(new Event("change", {
                        bubbles: !0,
                        composed: !0
                    }));
                    return;
                } else if ((t == null ? void 0 : t.menuData.selectionRoot) === this && this.childItems.length) {
                    if (e.preventDefault(), t.hasSubmenu || t.open) return;
                    this.selectOrToggleItem(t);
                } else return;
                this.prepareToCleanUp();
            }
        },
        {
            key: "handleFocusin",
            value: function handleFocusin(e) {
                var _this = this;
                var i;
                if (this.childItems.some(function(n) {
                    return n.menuData.focusRoot !== _this;
                })) return;
                var s = this.getRootNode().activeElement, t = ((i = this.childItems[this.focusedItemIndex]) == null ? void 0 : i.menuData.selectionRoot) || this;
                if ((s !== t || e.target !== this) && (t.focus({
                    preventScroll: !0
                }), s && this.focusedItemIndex === 0)) {
                    var n = this.childItems.findIndex(function(d) {
                        return d === s;
                    });
                    this.focusMenuItemByOffset(Math.max(n, 0));
                }
                this.startListeningToKeyboard();
            }
        },
        {
            key: "startListeningToKeyboard",
            value: function startListeningToKeyboard() {
                this.addEventListener("keydown", this.handleKeydown);
            }
        },
        {
            key: "handleBlur",
            value: function handleBlur(e) {
                S$3(this, e.relatedTarget) || (this.stopListeningToKeyboard(), this.childItems.forEach(function(s) {
                    return s.focused = !1;
                }), this.removeAttribute("aria-activedescendant"));
            }
        },
        {
            key: "stopListeningToKeyboard",
            value: function stopListeningToKeyboard() {
                this.removeEventListener("keydown", this.handleKeydown);
            }
        },
        {
            key: "handleDescendentOverlayOpened",
            value: function handleDescendentOverlayOpened(e) {
                var s = e.composedPath()[0];
                s.overlayElement && this.descendentOverlays.set(s.overlayElement, s.overlayElement);
            }
        },
        {
            key: "handleDescendentOverlayClosed",
            value: function handleDescendentOverlayClosed(e) {
                var s = e.composedPath()[0];
                s.overlayElement && this.descendentOverlays.delete(s.overlayElement);
            }
        },
        {
            key: "selectOrToggleItem",
            value: function selectOrToggleItem(e) {
                var _this = this;
                return _async_to_generator$y(function() {
                    var s, t, i, n, d, r, h, m, _iteratorNormalCompletion, _didIteratorError, _iteratorError, _iterator, _step, h1;
                    return _ts_generator$y(this, function(_state) {
                        s = _this.resolvedSelects, t = new Map(_this.selectedItemsMap), i = _this.selected.slice(), n = _this.selectedItems.slice(), d = _this.value, r = _this.childItems[_this.focusedItemIndex];
                        if (r && (r.focused = !1, r.active = !1), _this.focusedItemIndex = _this.childItems.indexOf(e), _this.forwardFocusVisibleToItem(e), s === "multiple") {
                            _this.selectedItemsMap.has(e) ? _this.selectedItemsMap.delete(e) : _this.selectedItemsMap.set(e, !0);
                            h = [], m = [];
                            _this.childItemSet.forEach(function(u) {
                                u.menuData.selectionRoot === _this && _this.selectedItemsMap.has(u) && (h.push(u.value), m.push(u));
                            }), _this._selected = h, _this.selectedItems = m, _this.value = _this.selected.join(_this.valueSeparator);
                        } else _this.selectedItemsMap.clear(), _this.selectedItemsMap.set(e, !0), _this.value = e.value, _this._selected = [
                            e.value
                        ], _this.selectedItems = [
                            e
                        ];
                        if (!_this.dispatchEvent(new Event("change", {
                            cancelable: !0,
                            bubbles: !0,
                            composed: !0
                        }))) {
                            _this._selected = i, _this.selectedItems = n, _this.selectedItemsMap = t, _this.value = d;
                            return [
                                2
                            ];
                        }
                        if (s === "single") {
                            _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                            try {
                                for(_iterator = t.keys()[Symbol.iterator](); !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                                    h1 = _step.value;
                                    h1 !== e && (h1.selected = !1);
                                }
                            } catch (err) {
                                _didIteratorError = true;
                                _iteratorError = err;
                            } finally{
                                try {
                                    if (!_iteratorNormalCompletion && _iterator.return != null) {
                                        _iterator.return();
                                    }
                                } finally{
                                    if (_didIteratorError) {
                                        throw _iteratorError;
                                    }
                                }
                            }
                            e.selected = !0;
                        } else s === "multiple" && (e.selected = !e.selected);
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "navigateWithinMenu",
            value: function navigateWithinMenu(e) {
                var s = e.key, t = this.childItems[this.focusedItemIndex], i = s === "ArrowDown" ? 1 : -1, n = this.focusMenuItemByOffset(i);
                n !== t && (e.preventDefault(), e.stopPropagation(), n.scrollIntoView({
                    block: "nearest"
                }));
            }
        },
        {
            key: "navigateBetweenRelatedMenus",
            value: function navigateBetweenRelatedMenus(e) {
                var s = e.key, t = this.isLTR && s === "ArrowRight" || !this.isLTR && s === "ArrowLeft", i = this.isLTR && s === "ArrowLeft" || !this.isLTR && s === "ArrowRight";
                if (t) {
                    e.stopPropagation();
                    var n = this.childItems[this.focusedItemIndex];
                    n != null && n.hasSubmenu && n.openOverlay();
                } else i && this.isSubmenu && (e.stopPropagation(), this.dispatchEvent(new Event("close", {
                    bubbles: !0
                })), this.updateSelectedItemIndex());
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                var _this = this;
                if (e.defaultPrevented) return;
                var s = this.childItems[this.focusedItemIndex];
                s && (s.focused = !0);
                var t = e.key;
                if (e.shiftKey && e.target !== this && this.hasAttribute("tabindex")) {
                    this.removeAttribute("tabindex");
                    var i = function(n) {
                        !n.shiftKey && !_this.hasAttribute("tabindex") && (_this.tabIndex = 0, document.removeEventListener("keyup", i), _this.removeEventListener("focusout", i));
                    };
                    document.addEventListener("keyup", i), this.addEventListener("focusout", i);
                }
                if (t === "Tab") {
                    this.prepareToCleanUp();
                    return;
                }
                if (t === " " && s != null && s.hasSubmenu) {
                    s.openOverlay();
                    return;
                }
                if (t === " " || t === "Enter") {
                    var i1 = this.childItems[this.focusedItemIndex];
                    i1 && i1.menuData.selectionRoot === e.target && (e.preventDefault(), i1.click());
                    return;
                }
                if (t === "ArrowDown" || t === "ArrowUp") {
                    var i2 = this.childItems[this.focusedItemIndex];
                    i2 && i2.menuData.selectionRoot === e.target && this.navigateWithinMenu(e);
                    return;
                }
                this.navigateBetweenRelatedMenus(e);
            }
        },
        {
            key: "focusMenuItemByOffset",
            value: function focusMenuItemByOffset(e) {
                var s = e || 1, t = this.childItems[this.focusedItemIndex];
                t && (t.focused = !1, t.active = t.open), this.focusedItemIndex = (this.childItems.length + this.focusedItemIndex + e) % this.childItems.length;
                var i = this.childItems[this.focusedItemIndex], n = this.childItems.length;
                for(; i != null && i.disabled && n;)n -= 1, this.focusedItemIndex = (this.childItems.length + this.focusedItemIndex + s) % this.childItems.length, i = this.childItems[this.focusedItemIndex];
                return i != null && i.disabled || this.forwardFocusVisibleToItem(i), i;
            }
        },
        {
            key: "prepareToCleanUp",
            value: function prepareToCleanUp() {
                var _this = this;
                document.addEventListener("focusout", function() {
                    requestAnimationFrame(function() {
                        var e = _this.childItems[_this.focusedItemIndex];
                        e && (e.focused = !1, _this.updateSelectedItemIndex());
                    });
                }, {
                    once: !0
                });
            }
        },
        {
            key: "updateSelectedItemIndex",
            value: function updateSelectedItemIndex() {
                var e = 0;
                var s = new Map, t = [], i = [];
                var n = this.childItems.length;
                for(; n;){
                    n -= 1;
                    var d = this.childItems[n];
                    d.menuData.selectionRoot === this && ((d.selected || !this._hasUpdatedSelectedItemIndex && this.selected.includes(d.value)) && (e = n, s.set(d, !0), t.unshift(d.value), i.unshift(d)), n !== e && (d.focused = !1));
                }
                i.map(function(d, r) {
                    r > 0 && (d.focused = !1);
                }), this.selectedItemsMap = s, this._selected = t, this.selectedItems = i, this.value = this.selected.join(this.valueSeparator), this.focusedItemIndex = e, this.focusInItemIndex = e;
            }
        },
        {
            key: "handleItemsChanged",
            value: function handleItemsChanged() {
                this.cachedChildItems = void 0, this._willUpdateItems || (this._willUpdateItems = !0, this.cacheUpdated = this.updateCache());
            }
        },
        {
            key: "updateCache",
            value: function updateCache() {
                var _this = this;
                return _async_to_generator$y(function() {
                    return _ts_generator$y(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                if (!_this.hasUpdated) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    new Promise(function(e) {
                                        return requestAnimationFrame(function() {
                                            return e(!0);
                                        });
                                    })
                                ];
                            case 1:
                                _state.sent();
                                return [
                                    3,
                                    4
                                ];
                            case 2:
                                return [
                                    4,
                                    Promise.all([
                                        new Promise(function(e) {
                                            return requestAnimationFrame(function() {
                                                return e(!0);
                                            });
                                        }),
                                        _this.updateComplete
                                    ])
                                ];
                            case 3:
                                _state.sent();
                                _state.label = 4;
                            case 4:
                                _this.cachedChildItems === void 0 && (_this.updateSelectedItemIndex(), _this.updateItemFocus()), _this._willUpdateItems = !1;
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "updateItemFocus",
            value: function updateItemFocus() {
                if (this.childItems.length == 0) return;
                var e = this.childItems[this.focusInItemIndex];
                this.getRootNode().activeElement === e.menuData.focusRoot && this.forwardFocusVisibleToItem(e);
            }
        },
        {
            key: "closeDescendentOverlays",
            value: function closeDescendentOverlays() {
                this.descendentOverlays.forEach(function(e) {
                    e.open = !1;
                }), this.descendentOverlays = new Map;
            }
        },
        {
            key: "forwardFocusVisibleToItem",
            value: function forwardFocusVisibleToItem(e) {
                if (!e || e.menuData.focusRoot !== this) return;
                this.closeDescendentOverlays();
                var s = this.hasVisibleFocusInTree() || !!this.childItems.find(function(t) {
                    return t.hasVisibleFocusInTree();
                });
                e.focused = s, this.setAttribute("aria-activedescendant", e.id), e.menuData.selectionRoot && e.menuData.selectionRoot !== this && e.menuData.selectionRoot.focus();
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange(param) {
                var e = param.target;
                var s = e.assignedElements({
                    flatten: !0
                });
                this.childItems.length !== s.length && s.forEach(function(t) {
                    typeof t.triggerUpdate != "undefined" ? t.triggerUpdate() : typeof t.childItems != "undefined" && t.childItems.forEach(function(i) {
                        i.triggerUpdate();
                    });
                });
            }
        },
        {
            key: "renderMenuItemSlot",
            value: function renderMenuItemSlot() {
                return x$3(_templateObject$2X(), this.handleDescendentOverlayOpened, this.handleDescendentOverlayClosed, this.handleSlotchange);
            }
        },
        {
            key: "render",
            value: function render() {
                return this.renderMenuItemSlot();
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$W(_get_prototype_of$1Q(Menu.prototype), "firstUpdated", this).call(this, e), !this.hasAttribute("tabindex") && !this.ignore && (this.getAttribute("role") === "group" ? this.tabIndex = -1 : this.tabIndex = 0);
                var s = [
                    new Promise(function(t) {
                        return requestAnimationFrame(function() {
                            return t(!0);
                        });
                    })
                ];
                _to_consumable_array$n(this.children).forEach(function(t) {
                    t.localName === "sp-menu-item" && s.push(t.updateComplete);
                }), this.childItemsUpdated = Promise.all(s);
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$W(_get_prototype_of$1Q(Menu.prototype), "updated", this).call(this, e), e.has("selects") && this.hasUpdated && this.selectsChanged(), e.has("label") && (this.label || typeof e.get("label") != "undefined") && (this.label ? this.setAttribute("aria-label", this.label) : this.removeAttribute("aria-label"));
            }
        },
        {
            key: "selectsChanged",
            value: function selectsChanged() {
                var e = [
                    new Promise(function(s) {
                        return requestAnimationFrame(function() {
                            return s(!0);
                        });
                    })
                ];
                this.childItemSet.forEach(function(s) {
                    e.push(s.triggerUpdate());
                }), this.childItemsUpdated = Promise.all(e);
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                var _this = this;
                _get$W(_get_prototype_of$1Q(Menu.prototype), "connectedCallback", this).call(this), !this.hasAttribute("role") && !this.ignore && this.setAttribute("role", this.ownRole), this.updateComplete.then(function() {
                    return _this.updateItemFocus();
                });
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                this.cachedChildItems = void 0, this.selectedItems = [], this.selectedItemsMap.clear(), this.childItemSet.clear(), this.descendentOverlays = new Map, _get$W(_get_prototype_of$1Q(Menu.prototype), "disconnectedCallback", this).call(this);
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                var _this = this;
                var _this1 = this, _superprop_get_getUpdateComplete = function() {
                    return _get$W(_get_prototype_of$1Q(Menu.prototype), "getUpdateComplete", _this);
                };
                return _async_to_generator$y(function() {
                    var e;
                    return _ts_generator$y(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _superprop_get_getUpdateComplete().call(_this1)
                                ];
                            case 1:
                                e = _state.sent();
                                return [
                                    4,
                                    _this1.childItemsUpdated
                                ];
                            case 2:
                                _state.sent();
                                return [
                                    4,
                                    _this1.cacheUpdated
                                ];
                            case 3:
                                return [
                                    2,
                                    (_state.sent(), e)
                                ];
                        }
                    });
                })();
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    g$9
                ];
            }
        }
    ]);
    return Menu;
}(SizedMixin(SpectrumElement, {
    noDefaultSize: !0
}));
o$C([
    n$r({
        type: String,
        reflect: !0
    })
], Menu.prototype, "label", 2), o$C([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Menu.prototype, "ignore", 2), o$C([
    n$r({
        type: String,
        reflect: !0
    })
], Menu.prototype, "selects", 2), o$C([
    n$r({
        type: String
    })
], Menu.prototype, "value", 2), o$C([
    n$r({
        type: String,
        attribute: "value-separator"
    })
], Menu.prototype, "valueSeparator", 2), o$C([
    n$r({
        attribute: !1
    })
], Menu.prototype, "selected", 1), o$C([
    n$r({
        attribute: !1
    })
], Menu.prototype, "selectedItems", 2), o$C([
    e$F("slot:not([name])")
], Menu.prototype, "menuSlot", 2);

defineElement("sp-menu", Menu);

function _class_call_check$24(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$21(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$21(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$21(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$21(Constructor, staticProps);
    return Constructor;
}
var IS_MOBILE = "(max-width: 700px) and (hover: none) and (pointer: coarse), (max-height: 700px) and (hover: none) and (pointer: coarse)";
var MatchMediaController = /*#__PURE__*/ function() {
    function MatchMediaController(e, t) {
        _class_call_check$24(this, MatchMediaController);
        this.key = Symbol("match-media-key");
        this.matches = !1;
        this.host = e, this.host.addController(this), this.media = window.matchMedia(t), this.matches = this.media.matches, this.onChange = this.onChange.bind(this), e.addController(this);
    }
    _create_class$21(MatchMediaController, [
        {
            key: "hostConnected",
            value: function hostConnected() {
                var e;
                (e = this.media) == null || e.addEventListener("change", this.onChange);
            }
        },
        {
            key: "hostDisconnected",
            value: function hostDisconnected() {
                var e;
                (e = this.media) == null || e.removeEventListener("change", this.onChange);
            }
        },
        {
            key: "onChange",
            value: function onChange(e) {
                this.matches !== e.matches && (this.matches = e.matches, this.host.requestUpdate(this.key, !this.matches));
            }
        }
    ]);
    return MatchMediaController;
} 
();

function _class_call_check$23(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$20(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$20(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$20(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$20(Constructor, staticProps);
    return Constructor;
}
function _define_property$f(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread$d(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$f(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$a(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$a(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$a(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
var dependencyManagerLoadedSymbol = Symbol("dependency manager loaded");
var DependencyManagerController = /*#__PURE__*/ function() {
    function DependencyManagerController(e) {
        _class_call_check$23(this, DependencyManagerController);
        this.dependencies = {};
        this._loaded = !1;
        this.host = e;
    }
    _create_class$20(DependencyManagerController, [
        {
            key: "loaded",
            get: function get() {
                return this._loaded;
            },
            set: function set(e) {
                e !== this.loaded && (this._loaded = e, this.host.requestUpdate(dependencyManagerLoadedSymbol, !this.loaded));
            }
        },
        {
            key: "add",
            value: function add(e, o) {
                var _this = this;
                var t = !!o || !!customElements.get(e) || this.dependencies[e];
                t || customElements.whenDefined(e).then(function() {
                    _this.add(e, !0);
                }), this.dependencies = _object_spread_props$a(_object_spread$d({}, this.dependencies), _define_property$f({}, e, t)), this.loaded = Object.values(this.dependencies).every(function(d) {
                    return d;
                });
            }
        }
    ]);
    return DependencyManagerController;
} 
();

function _array_like_to_array$v(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$c(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$1P(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$x(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$x(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$x(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$x(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$22(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1$(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1$(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1$(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1$(Constructor, staticProps);
    return Constructor;
}
function _get$V(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$V = Reflect.get;
    } else {
        _get$V = function get(target, property, receiver) {
            var base = _super_prop_base$V(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$V(target, property, receiver || target);
}
function _get_prototype_of$1P(o) {
    _get_prototype_of$1P = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1P(o);
}
function _inherits$1P(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1P(subClass, superClass);
}
function _iterable_to_array_limit$c(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$c() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$1P(self, call) {
    if (call && (_type_of$1P(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1P(self);
}
function _set_prototype_of$1P(o, p) {
    _set_prototype_of$1P = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1P(o, p);
}
function _sliced_to_array$c(arr, i) {
    return _array_with_holes$c(arr) || _iterable_to_array_limit$c(arr, i) || _unsupported_iterable_to_array$v(arr, i) || _non_iterable_rest$c();
}
function _super_prop_base$V(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1P(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2W(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1P(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$v(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$v(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$v(o, minLen);
}
function _is_native_reflect_construct$1P() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1P(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1P();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1P(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1P(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1P(this, result);
    };
}
function _ts_generator$x(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$2W() {
    var data = _tagged_template_literal$2W([
        '\n            <slot name="label" id="label">\n                <span\n                    aria-hidden=',
        "\n                >\n                    ",
        "\n                </span>\n            </slot>\n        "
    ]);
    _templateObject$2W = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$A() {
    var data = _tagged_template_literal$2W([
        '\n                          <span\n                              aria-hidden="true"\n                              class="visually-hidden"\n                              id="applied-label"\n                          >\n                              ',
        '\n                              <slot name="label"></slot>\n                          </span>\n                      '
    ]);
    _templateObject1$A = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$p() {
    var data = _tagged_template_literal$2W([
        '\n                          <span hidden id="applied-label">',
        "</span>\n                      "
    ]);
    _templateObject2$p = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$k() {
    var data = _tagged_template_literal$2W([
        '\n                          <sp-icon-alert\n                              class="validation-icon"\n                          ></sp-icon-alert>\n                      '
    ]);
    _templateObject3$k = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$h() {
    var data = _tagged_template_literal$2W([
        '\n                        <sp-progress-circle\n                            id="loader"\n                            size="s"\n                            indeterminate\n                            aria-valuetext=',
        '\n                            class="progress-circle"\n                        ></sp-progress-circle>\n                    '
    ]);
    _templateObject4$h = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$e() {
    var data = _tagged_template_literal$2W([
        '\n                <span id="icon" ?hidden=',
        ">\n                    ",
        "\n                </span>\n                <span\n                    id=",
        "\n                    class=",
        "\n                >\n                    ",
        "\n                </span>\n                ",
        "\n                ",
        "\n                ",
        '\n                <sp-icon-chevron100\n                    class="picker ',
        '"\n                ></sp-icon-chevron100>\n                <slot\n                    aria-hidden="true"\n                    name="tooltip"\n                    id="tooltip"\n                    @slotchange=',
        "\n                ></slot>\n            "
    ]);
    _templateObject5$e = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6$9() {
    var data = _tagged_template_literal$2W([
        "\n            <sp-overlay\n                @slottable-request=",
        "\n                @beforetoggle=",
        "\n                .triggerElement=",
        "\n                .offset=",
        "\n                ?open=",
        "\n                .placement=",
        "\n                .type=",
        "\n                .receivesFocus=",
        "\n                .willPreventClose=",
        "\n            >\n                ",
        "\n            </sp-overlay>\n        "
    ]);
    _templateObject6$9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7$6() {
    var data = _tagged_template_literal$2W([
        "\n            <div id=",
        '>\n                <slot name="description"></slot>\n            </div>\n        '
    ]);
    _templateObject7$6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8$5() {
    var data = _tagged_template_literal$2W([
        '\n            <span\n                id="focus-helper"\n                tabindex="',
        '"\n                @focus=',
        "\n                aria-describedby=",
        "\n            ></span>\n            <button\n                aria-controls=",
        '\n                aria-describedby="tooltip"\n                aria-expanded=',
        '\n                aria-haspopup="true"\n                aria-labelledby="loader icon label applied-label"\n                id="button"\n                class=',
        "\n                @blur=",
        "\n                @click=",
        "\n                @pointerdown=",
        "\n                @focus=",
        "\n                @keydown=",
        "\n                ?disabled=",
        '\n                tabindex="-1"\n            >\n                ',
        "\n            </button>\n            ",
        " ",
        "\n        "
    ]);
    _templateObject8$5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9$4() {
    var data = _tagged_template_literal$2W([
        '\n            <div class="visually-hidden">\n                <button\n                    tabindex="-1"\n                    aria-label="Dismiss"\n                    @click=',
        "\n                ></button>\n            </div>\n        "
    ]);
    _templateObject9$4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10$4() {
    var data = _tagged_template_literal$2W([
        "\n            ",
        " ",
        " ",
        "\n        "
    ]);
    _templateObject10$4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject11$3() {
    var data = _tagged_template_literal$2W([
        '\n                <sp-tray\n                    id="popover"\n                    role="presentation"\n                    style=',
        "\n                >\n                    ",
        "\n                </sp-tray>\n            "
    ]);
    _templateObject11$3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject12$2() {
    var data = _tagged_template_literal$2W([
        '\n            <sp-popover\n                id="popover"\n                role="presentation"\n                style=',
        "\n                placement=",
        "\n            >\n                ",
        "\n            </sp-popover>\n        "
    ]);
    _templateObject12$2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject13$2() {
    var data = _tagged_template_literal$2W([
        '\n            <sp-menu\n                aria-labelledby="applied-label"\n                @change=',
        '\n                id="menu"\n                @keydown=',
        "\n                role=",
        "\n                .selects=",
        "\n                .selected=",
        "\n                size=",
        "\n                @sp-menu-item-added-or-updated=",
        "\n            >\n                <slot @slotchange=",
        "></slot>\n            </sp-menu>\n        "
    ]);
    _templateObject13$2 = function _templateObject() {
        return data;
    };
    return data;
}
var b$d = Object.defineProperty;
var f$h = Object.getOwnPropertyDescriptor;
var n$j = function(d, a, e, t) {
    for(var i = t > 1 ? void 0 : t ? f$h(a, e) : a, o = d.length - 1, r; o >= 0; o--)(r = d[o]) && (i = (t ? r(a, e, i) : r(i)) || i);
    return t && i && b$d(a, e, i), i;
};
var x$1 = {
    s: "spectrum-UIIcon-ChevronDown75",
    m: "spectrum-UIIcon-ChevronDown100",
    l: "spectrum-UIIcon-ChevronDown200",
    xl: "spectrum-UIIcon-ChevronDown300"
};
var DESCRIPTION_ID = "option-picker";
var PickerBase = /*#__PURE__*/ function(_y) {
    _inherits$1P(PickerBase, _y);
    var _super = _create_super$1P(PickerBase);
    function PickerBase() {
        _class_call_check$22(this, PickerBase);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.isMobile = new MatchMediaController(_assert_this_initialized$1P(_this), IS_MOBILE);
        _this.dependencyManager = new DependencyManagerController(_assert_this_initialized$1P(_this));
        _this.deprecatedMenu = null;
        _this.disabled = !1;
        _this.focused = !1;
        _this.invalid = !1;
        _this.pending = !1;
        _this.pendingLabel = "Pending";
        _this.open = !1;
        _this.readonly = !1;
        _this.selects = "single";
        _this.placement = "bottom-start";
        _this.quiet = !1;
        _this.value = "";
        _this.listRole = "listbox";
        _this.itemRole = "option";
        _this.preventNextToggle = "no";
        _this.pointerdownState = !1;
        _this.handleKeydown = function(e) {
            _this.focused = !0, !(e.code !== "ArrowDown" && e.code !== "ArrowUp") && (e.stopPropagation(), e.preventDefault(), _this.toggle(!0));
        };
        _this.handleSlottableRequest = function(e) {};
        _this.applyFocusElementLabel = function(e, t) {
            _this.appliedLabel = e, _this.labelAlignment = t.sideAligned ? "inline" : void 0;
        };
        _this.hasRenderedOverlay = !1;
        _this.willManageSelection = !1;
        _this.selectionPromise = Promise.resolve();
        _this.recentlyConnected = !1;
        _this.enterKeydownOn = null;
        _this.handleEnterKeydown = function(e) {
            if (e.code === "Enter") {
                if (_this.enterKeydownOn) {
                    e.preventDefault();
                    return;
                }
                var _this1 = _assert_this_initialized$1P(_this);
                _this.enterKeydownOn = e.target, _this.addEventListener("keyup", function() {
                    var _ref = _async_to_generator$x(function(t) {
                        return _ts_generator$x(this, function(_state) {
                            t.code === "Enter" && (_this1.enterKeydownOn = null);
                            return [
                                2
                            ];
                        });
                    });
                    return function(t) {
                        return _ref.apply(this, arguments);
                    };
                }(), {
                    once: !0
                });
            }
        };
        return _this;
    }
    _create_class$1$(PickerBase, [
        {
            key: "menuItems",
            get: function get() {
                return this.optionsMenu.childItems;
            }
        },
        {
            key: "selectedItem",
            get: function get() {
                return this._selectedItem;
            },
            set: function set(e) {
                if (this.selectedItemContent = e ? e.itemChildren : void 0, e === this.selectedItem) return;
                var t = this.selectedItem;
                this._selectedItem = e, this.requestUpdate("selectedItem", t);
            }
        },
        {
            key: "focusElement",
            get: function get() {
                return this.open ? this.optionsMenu : this.button;
            }
        },
        {
            key: "forceFocusVisible",
            value: function forceFocusVisible() {
                this.disabled || (this.focused = !0);
            }
        },
        {
            key: "click",
            value: function click() {
                this.disabled || this.toggle();
            }
        },
        {
            key: "handleButtonBlur",
            value: function handleButtonBlur() {
                this.focused = !1;
            }
        },
        {
            key: "handleButtonPointerdown",
            value: function handleButtonPointerdown(e) {
                var _this = this;
                if (e.button !== 0) return;
                this.pointerdownState = this.open, this.preventNextToggle = "maybe";
                var t = 0;
                var i = function() {
                    var _this1 = _this;
                    cancelAnimationFrame(t), t = requestAnimationFrame(/*#__PURE__*/ _async_to_generator$x(function() {
                        return _ts_generator$x(this, function(_state) {
                            document.removeEventListener("pointerup", i), document.removeEventListener("pointercancel", i), _this1.button.removeEventListener("click", i), requestAnimationFrame(function() {
                                _this1.preventNextToggle = "no";
                            });
                            return [
                                2
                            ];
                        });
                    }));
                };
                document.addEventListener("pointerup", i), document.addEventListener("pointercancel", i), this.button.addEventListener("click", i), this.handleActivate();
            }
        },
        {
            key: "handleButtonFocus",
            value: function handleButtonFocus(e) {
                this.preventNextToggle === "maybe" && e.relatedTarget === this.optionsMenu && (this.preventNextToggle = "yes");
            }
        },
        {
            key: "handleActivate",
            value: function handleActivate(e) {
                this.enterKeydownOn && this.enterKeydownOn !== this.button || this.preventNextToggle !== "yes" && ((e == null ? void 0 : e.type) === "click" && this.open !== this.pointerdownState || this.toggle());
            }
        },
        {
            key: "focus",
            value: function focus(e) {
                _get$V(_get_prototype_of$1P(PickerBase.prototype), "focus", this).call(this, e), !this.disabled && this.focusElement && (this.focused = this.hasVisibleFocusInTree());
            }
        },
        {
            key: "handleHelperFocus",
            value: function handleHelperFocus() {
                this.focused = !0, this.button.focus();
            }
        },
        {
            key: "handleChange",
            value: function handleChange(e) {
                this.preventNextToggle = "no";
                var t = e.target, _t_selectedItems = _sliced_to_array$c(t.selectedItems, 1), i = _t_selectedItems[0];
                e.stopPropagation(), e.cancelable ? this.setValueFromItem(i, e) : this.open = !1;
            }
        },
        {
            key: "setValueFromItem",
            value: function setValueFromItem(e, t) {
                var _this = this;
                return _async_to_generator$x(function() {
                    var h, i, o;
                    return _ts_generator$x(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _this.open = !1;
                                i = _this.selectedItem, o = _this.value;
                                _this.selectedItem = e, _this.value = (h = e == null ? void 0 : e.value) != null ? h : "";
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 1:
                                if (_state.sent(), !_this.dispatchEvent(new Event("change", {
                                    bubbles: !0,
                                    cancelable: !0,
                                    composed: !0
                                })) && _this.selects) {
                                    t && t.preventDefault(), _this.setMenuItemSelected(_this.selectedItem, !1), i && _this.setMenuItemSelected(i, !0), _this.selectedItem = i, _this.value = o, _this.open = !0;
                                    return [
                                        2
                                    ];
                                } else if (!_this.selects) {
                                    _this.selectedItem = i, _this.value = o;
                                    return [
                                        2
                                    ];
                                }
                                i && _this.setMenuItemSelected(i, !1), _this.setMenuItemSelected(e, !!_this.selects);
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "setMenuItemSelected",
            value: function setMenuItemSelected(e, t) {
                this.selects != null && (e.selected = t);
            }
        },
        {
            key: "toggle",
            value: function toggle(e) {
                this.readonly || this.pending || (this.open = typeof e != "undefined" ? e : !this.open);
            }
        },
        {
            key: "close",
            value: function close() {
                this.readonly || (this.open = !1);
            }
        },
        {
            key: "containerStyles",
            get: function get() {
                return this.isMobile.matches ? {
                    "--swc-menu-width": "100%"
                } : {};
            }
        },
        {
            key: "selectedItemContent",
            get: function get() {
                return this._selectedItemContent || {
                    icon: [],
                    content: []
                };
            },
            set: function set(e) {
                if (e === this.selectedItemContent) return;
                var t = this.selectedItemContent;
                this._selectedItemContent = e, this.requestUpdate("selectedItemContent", t);
            }
        },
        {
            key: "handleTooltipSlotchange",
            value: function handleTooltipSlotchange(e) {
                this.tooltipEl = e.target.assignedElements()[0];
            }
        },
        {
            key: "handleBeforetoggle",
            value: function handleBeforetoggle(e) {
                e.composedPath()[0] === e.target && (e.newState === "closed" && (this.preventNextToggle === "no" ? this.open = !1 : this.pointerdownState || this.overlayElement.manuallyKeepOpen()), this.open || (this.optionsMenu.updateSelectedItemIndex(), this.optionsMenu.closeDescendentOverlays()));
            }
        },
        {
            key: "renderLabelContent",
            value: function renderLabelContent(e) {
                return this.value && this.selectedItem ? e : x$3(_templateObject$2W(), o$O(this.appliedLabel ? void 0 : "true"), this.label);
            }
        },
        {
            key: "buttonContent",
            get: function get() {
                var _this = this;
                var e = {
                    "visually-hidden": this.icons === "only" && !!this.value,
                    placeholder: !this.value,
                    label: !0
                }, t = this.appliedLabel || this.label;
                return [
                    x$3(_templateObject5$e(), this.icons === "none", this.selectedItemContent.icon, o$O(this.value && this.selectedItem ? "label" : void 0), e$C(e), this.renderLabelContent(this.selectedItemContent.content), this.value && this.selectedItem ? x$3(_templateObject1$A(), t) : x$3(_templateObject2$p(), t), this.invalid && !this.pending ? x$3(_templateObject3$k()) : E$2, n$l(this.pending, function() {
                        return Promise.resolve().then(function () { return spProgressCircle; }), x$3(_templateObject4$h(), _this.pendingLabel);
                    }), x$1[this.size], this.handleTooltipSlotchange)
                ];
            }
        },
        {
            key: "renderOverlay",
            value: function renderOverlay(e) {
                var t = this.renderContainer(e);
                return this.dependencyManager.add("sp-overlay"), Promise.resolve().then(function () { return spOverlay; }), x$3(_templateObject6$9(), this.handleSlottableRequest, this.handleBeforetoggle, this, 0, this.open && this.dependencyManager.loaded, this.isMobile.matches ? void 0 : this.placement, this.isMobile.matches ? "modal" : "auto", "true", this.preventNextToggle !== "no" && this.open && this.dependencyManager.loaded, t);
            }
        },
        {
            key: "renderDescriptionSlot",
            get: function get() {
                return x$3(_templateObject7$6(), DESCRIPTION_ID);
            }
        },
        {
            key: "render",
            value: function render() {
                return this.tooltipEl && (this.tooltipEl.disabled = this.open), x$3(_templateObject8$5(), this.focused || this.open ? "-1" : "0", this.handleHelperFocus, DESCRIPTION_ID, o$O(this.open ? "menu" : void 0), this.open ? "true" : "false", o$O(this.labelAlignment ? "label-".concat(this.labelAlignment) : void 0), this.handleButtonBlur, this.handleActivate, this.handleButtonPointerdown, this.handleButtonFocus, {
                    handleEvent: this.handleEnterKeydown,
                    capture: !0
                }, this.disabled, this.buttonContent, this.renderMenu, this.renderDescriptionSlot);
            }
        },
        {
            key: "update",
            value: function update(e) {
                var t, i;
                this.selects && (this.selects = "single"), e.has("disabled") && this.disabled && (this.open = !1), e.has("pending") && this.pending && (this.open = !1), e.has("value") && this.shouldScheduleManageSelection(), this.hasUpdated || (this.deprecatedMenu = this.querySelector(":scope > sp-menu"), (t = this.deprecatedMenu) == null || t.toggleAttribute("ignore", !0), (i = this.deprecatedMenu) == null || i.setAttribute("selects", "inherit")), _get$V(_get_prototype_of$1P(PickerBase.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "bindButtonKeydownListener",
            value: function bindButtonKeydownListener() {
                this.button.addEventListener("keydown", this.handleKeydown);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$V(_get_prototype_of$1P(PickerBase.prototype), "firstUpdated", this).call(this, e), this.bindButtonKeydownListener();
            }
        },
        {
            key: "dismissHelper",
            get: function get() {
                return x$3(_templateObject9$4(), this.close);
            }
        },
        {
            key: "renderContainer",
            value: function renderContainer(e) {
                var t = x$3(_templateObject10$4(), this.dismissHelper, e, this.dismissHelper);
                return this.isMobile.matches ? (this.dependencyManager.add("sp-tray"), Promise.resolve().then(function () { return spTray; }), x$3(_templateObject11$3(), o$N(this.containerStyles), t)) : (this.dependencyManager.add("sp-popover"), Promise.resolve().then(function () { return spPopover; }), x$3(_templateObject12$2(), o$N(this.containerStyles), this.placement, t));
            }
        },
        {
            key: "renderMenu",
            get: function get() {
                var e = x$3(_templateObject13$2(), this.handleChange, {
                    handleEvent: this.handleEnterKeydown,
                    capture: !0
                }, this.listRole, this.selects, this.value ? [
                    this.value
                ] : [], this.size, this.shouldManageSelection, this.shouldScheduleManageSelection);
                return this.hasRenderedOverlay = this.hasRenderedOverlay || this.focused || this.open || !!this.deprecatedMenu, this.hasRenderedOverlay ? this.renderOverlay(e) : e;
            }
        },
        {
            key: "shouldScheduleManageSelection",
            value: function shouldScheduleManageSelection(e) {
                var _this = this;
                !this.willManageSelection && (!e || e.target.getRootNode().host === this) && (this.willManageSelection = !0, requestAnimationFrame(function() {
                    requestAnimationFrame(function() {
                        _this.manageSelection();
                    });
                }));
            }
        },
        {
            key: "shouldManageSelection",
            value: function shouldManageSelection() {
                this.willManageSelection || (this.willManageSelection = !0, this.manageSelection());
            }
        },
        {
            key: "manageSelection",
            value: function manageSelection() {
                var _this = this;
                return _async_to_generator$x(function() {
                    var e, _tmp, _tmp1;
                    return _ts_generator$x(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                if (_this.selects == null) return [
                                    2
                                ];
                                _this.selectionPromise = new Promise(function(t) {
                                    return _this.selectionResolver = t;
                                });
                                return [
                                    4,
                                    _this.optionsMenu.updateComplete
                                ];
                            case 1:
                                _state.sent();
                                _tmp = _this.recentlyConnected;
                                if (!_tmp) return [
                                    3,
                                    3
                                ];
                                return [
                                    4,
                                    new Promise(function(t) {
                                        return requestAnimationFrame(function() {
                                            return t(!0);
                                        });
                                    })
                                ];
                            case 2:
                                _tmp = (_state.sent(), _this.recentlyConnected = !1);
                                _state.label = 3;
                            case 3:
                                _this.menuItems.forEach(function(t) {
                                    _this.value === t.value && !t.disabled ? e = t : t.selected = !1;
                                }), e ? (e.selected = !!_this.selects, _this.selectedItem = e) : (_this.value = "", _this.selectedItem = void 0);
                                _tmp1 = _this.open;
                                if (!_tmp1) return [
                                    3,
                                    5
                                ];
                                return [
                                    4,
                                    _this.optionsMenu.updateComplete
                                ];
                            case 4:
                                _tmp1 = (_state.sent(), _this.optionsMenu.updateSelectedItemIndex());
                                _state.label = 5;
                            case 5:
                                _this.selectionResolver(), _this.willManageSelection = !1;
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                var _this = this;
                var _this1 = this, _superprop_get_getUpdateComplete = function() {
                    return _get$V(_get_prototype_of$1P(PickerBase.prototype), "getUpdateComplete", _this);
                };
                return _async_to_generator$x(function() {
                    var e, _tmp;
                    return _ts_generator$x(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _superprop_get_getUpdateComplete().call(_this1)
                                ];
                            case 1:
                                e = _state.sent();
                                return [
                                    4,
                                    _this1.selectionPromise
                                ];
                            case 2:
                                _state.sent();
                                _tmp = _this1.overlayElement;
                                if (!_tmp) return [
                                    3,
                                    4
                                ];
                                return [
                                    4,
                                    _this1.overlayElement.updateComplete
                                ];
                            case 3:
                                _tmp = _state.sent();
                                _state.label = 4;
                            case 4:
                                return [
                                    2,
                                    (e)
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                _get$V(_get_prototype_of$1P(PickerBase.prototype), "connectedCallback", this).call(this), this.recentlyConnected = this.hasUpdated;
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                this.close(), _get$V(_get_prototype_of$1P(PickerBase.prototype), "disconnectedCallback", this).call(this);
            }
        }
    ]);
    return PickerBase;
}(SizedMixin(Focusable, {
    noDefaultSize: !0
}));
n$j([
    r$A()
], PickerBase.prototype, "appliedLabel", 2), n$j([
    e$F("#button")
], PickerBase.prototype, "button", 2), n$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], PickerBase.prototype, "disabled", 2), n$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], PickerBase.prototype, "focused", 2), n$j([
    n$r({
        type: String,
        reflect: !0
    })
], PickerBase.prototype, "icons", 2), n$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], PickerBase.prototype, "invalid", 2), n$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], PickerBase.prototype, "pending", 2), n$j([
    n$r({
        type: String,
        attribute: "pending-label"
    })
], PickerBase.prototype, "pendingLabel", 2), n$j([
    n$r()
], PickerBase.prototype, "label", 2), n$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], PickerBase.prototype, "open", 2), n$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], PickerBase.prototype, "readonly", 2), n$j([
    r$A()
], PickerBase.prototype, "labelAlignment", 2), n$j([
    e$F("sp-menu")
], PickerBase.prototype, "optionsMenu", 2), n$j([
    e$F("sp-overlay")
], PickerBase.prototype, "overlayElement", 2), n$j([
    n$r()
], PickerBase.prototype, "placement", 2), n$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], PickerBase.prototype, "quiet", 2), n$j([
    n$r({
        type: String
    })
], PickerBase.prototype, "value", 2), n$j([
    n$r({
        attribute: !1
    })
], PickerBase.prototype, "selectedItem", 1), n$j([
    r$A()
], PickerBase.prototype, "selectedItemContent", 1);
var Picker = /*#__PURE__*/ function(PickerBase) {
    _inherits$1P(Picker, PickerBase);
    var _super = _create_super$1P(Picker);
    function Picker() {
        _class_call_check$22(this, Picker);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.handleKeydown = function(e) {
            var t = e.code;
            if (_this.focused = !0, !t.startsWith("Arrow") || _this.readonly || _this.pending) return;
            if (t === "ArrowUp" || t === "ArrowDown") {
                _this.toggle(!0), e.preventDefault();
                return;
            }
            e.preventDefault();
            var i = _this.selectedItem ? _this.menuItems.indexOf(_this.selectedItem) : -1, o = i < 0 || t === "ArrowRight" ? 1 : -1;
            var r = i + o;
            for(; _this.menuItems[r] && _this.menuItems[r].disabled;)r += o;
            !_this.menuItems[r] || _this.menuItems[r].disabled || (!_this.value || r !== i) && _this.setValueFromItem(_this.menuItems[r]);
        };
        return _this;
    }
    _create_class$1$(Picker, [
        {
            key: "containerStyles",
            get: function get() {
                var e = _get$V(_get_prototype_of$1P(Picker.prototype), "containerStyles", this);
                return this.quiet || (e["min-width"] = "".concat(this.offsetWidth, "px")), e;
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    I$2,
                    C$6
                ];
            }
        }
    ]);
    return Picker;
} 
(PickerBase);

function _assert_this_initialized$1O(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$21(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1_(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1_(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1_(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1_(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1O(o) {
    _get_prototype_of$1O = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1O(o);
}
function _inherits$1O(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1O(subClass, superClass);
}
function _possible_constructor_return$1O(self, call) {
    if (call && (_type_of$1O(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1O(self);
}
function _set_prototype_of$1O(o, p) {
    _set_prototype_of$1O = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1O(o, p);
}
function _type_of$1O(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1O() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1O(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1O();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1O(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1O(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1O(this, result);
    };
}
var t$p = Symbol("slotContentIsPresent");
function ObserveSlotPresence(l, s) {
    var o, i;
    var r = Array.isArray(s) ? s : [
        s
    ];
    var a = /*#__PURE__*/ function(_superClass) {
        _inherits$1O(a, _superClass);
        var _super = _create_super$1O(a);
        function a() {
            for(var _len = arguments.length, e = new Array(_len), _key = 0; _key < _len; _key++){
                e[_key] = arguments[_key];
            }
            _class_call_check$21(this, a);
            var _this;
            _this = _super.call(this, e);
            _this[o] = new Map;
            _this.managePresenceObservedSlot = function() {
                var e = !1;
                r.forEach(function(n) {
                    var c = !!_this.querySelector(":scope > ".concat(n)), g = _this[t$p].get(n) || !1;
                    e = e || g !== c, _this[t$p].set(n, !!_this.querySelector(":scope > ".concat(n)));
                }), e && _this.updateComplete.then(function() {
                    _this.requestUpdate();
                });
            };
            new s$b(_assert_this_initialized$1O(_this), {
                config: {
                    childList: !0,
                    subtree: !0
                },
                callback: function() {
                    _this.managePresenceObservedSlot();
                }
            }), _this.managePresenceObservedSlot();
            return _this;
        }
        _create_class$1_(a, [
            {
                key: "slotContentIsPresent",
                get: function get() {
                    if (r.length === 1) return this[t$p].get(r[0]) || !1;
                    throw new Error("Multiple selectors provided to `ObserveSlotPresence` use `getSlotContentPresence(selector: string)` instead.");
                }
            },
            {
                key: "getSlotContentPresence",
                value: function getSlotContentPresence(e) {
                    if (this[t$p].has(e)) return this[t$p].get(e) || !1;
                    throw new Error("The provided selector `".concat(e, "` is not being observed."));
                }
            }
        ]);
        return a;
    }((i = l, o = t$p, i));
    return a;
}

function _tagged_template_literal$2V(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2V() {
    var data = _tagged_template_literal$2V([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    width=',
        "\n    height=",
        '\n    viewBox="0 0 36 36"\n    aria-hidden=',
        '\n    role="img"\n    fill="currentColor"\n    aria-label=',
        '\n  >\n    <circle cx="17.8" cy="18.2" r="3.4" />\n    <circle cx="29.5" cy="18.2" r="3.4" />\n    <circle cx="6.1" cy="18.2" r="3.4" />\n  </svg>'
    ]);
    _templateObject$2V = function _templateObject() {
        return data;
    };
    return data;
}
var MoreIcon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, e = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, r = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.hidden, t = tmp2 === void 0 ? !1 : tmp2, tmp3 = _ref.title, l = tmp3 === void 0 ? "More" : tmp3;
    return tag(_templateObject$2V(), e, r, t ? "true" : "false", l);
};

function _assert_this_initialized$1N(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$20(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1Z(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1Z(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1Z(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1Z(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1N(o) {
    _get_prototype_of$1N = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1N(o);
}
function _inherits$1N(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1N(subClass, superClass);
}
function _possible_constructor_return$1N(self, call) {
    if (call && (_type_of$1N(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1N(self);
}
function _set_prototype_of$1N(o, p) {
    _set_prototype_of$1N = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1N(o, p);
}
function _type_of$1N(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1N() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1N(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1N();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1N(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1N(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1N(this, result);
    };
}
var IconMore = /*#__PURE__*/ function(t) {
    _inherits$1N(IconMore, t);
    var _super = _create_super$1N(IconMore);
    function IconMore() {
        _class_call_check$20(this, IconMore);
        return _super.apply(this, arguments);
    }
    _create_class$1Z(IconMore, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag(x$3), MoreIcon({
                    hidden: !this.label,
                    title: this.label
                });
            }
        }
    ]);
    return IconMore;
} 
(IconBase);

defineElement("sp-icon-more", IconMore);

function _tagged_template_literal$2U(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2U() {
    var data = _tagged_template_literal$2U([
        "\n    :host{display:inline-flex}:host([quiet]){min-width:0}:host>sp-menu{display:none}::slotted([slot=icon]),.icon{flex-shrink:0}#popover{max-width:none}:host([dir=ltr]) ::slotted([slot=icon]),:host([dir=ltr]) .icon{margin-left:calc(-1*(var(--spectrum-actionbutton-textonly-padding-left-adjusted) - var(--spectrum-actionbutton-padding-left-adjusted)))}:host([dir=rtl]) ::slotted([slot=icon]),:host([dir=rtl]) .icon{margin-right:calc(-1*(var(--spectrum-actionbutton-textonly-padding-left-adjusted) - var(--spectrum-actionbutton-padding-left-adjusted)))}:host([dir]) slot[icon-only]::slotted([slot=icon]),:host([dir]) slot[icon-only] .icon{margin-inline:calc(( var(--custom-actionbutton-edge-to-text,var(--spectrum-actionbutton-edge-to-text)) - var(--custom-actionbutton-edge-to-visual-only,var(--spectrum-actionbutton-edge-to-visual-only)))*-1)}sp-overlay:not(:defined){display:none}\n"
    ]);
    _templateObject$2U = function _templateObject() {
        return data;
    };
    return data;
}
var o$B = i$p(_templateObject$2U());
var v$g = o$B;

function _assert_this_initialized$1M(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1$(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _construct$5(Parent, args, Class) {
    if (_is_native_reflect_construct$1M()) {
        _construct$5 = Reflect.construct;
    } else {
        _construct$5 = function construct(Parent, args, Class) {
            var a = [
                null
            ];
            a.push.apply(a, args);
            var Constructor = Function.bind.apply(Parent, a);
            var instance = new Constructor();
            if (Class) _set_prototype_of$1M(instance, Class.prototype);
            return instance;
        };
    }
    return _construct$5.apply(null, arguments);
}
function _get_prototype_of$1M(o) {
    _get_prototype_of$1M = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1M(o);
}
function _inherits$1M(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1M(subClass, superClass);
}
function _is_native_function$5(fn) {
    return Function.toString.call(fn).indexOf("[native code]") !== -1;
}
function _possible_constructor_return$1M(self, call) {
    if (call && (_type_of$1M(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1M(self);
}
function _set_prototype_of$1M(o, p) {
    _set_prototype_of$1M = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1M(o, p);
}
function _type_of$1M(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _wrap_native_super$5(Class) {
    var _cache = typeof Map === "function" ? new Map() : undefined;
    _wrap_native_super$5 = function wrapNativeSuper(Class) {
        if (Class === null || !_is_native_function$5(Class)) return Class;
        if (typeof Class !== "function") {
            throw new TypeError("Super expression must either be null or a function");
        }
        if (typeof _cache !== "undefined") {
            if (_cache.has(Class)) return _cache.get(Class);
            _cache.set(Class, Wrapper);
        }
        function Wrapper() {
            return _construct$5(Class, arguments, _get_prototype_of$1M(this).constructor);
        }
        Wrapper.prototype = Object.create(Class.prototype, {
            constructor: {
                value: Wrapper,
                enumerable: false,
                writable: true,
                configurable: true
            }
        });
        return _set_prototype_of$1M(Wrapper, Class);
    };
    return _wrap_native_super$5(Class);
}
function _is_native_reflect_construct$1M() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1M(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1M();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1M(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1M(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1M(this, result);
    };
}
var SlottableRequestEvent = /*#__PURE__*/ function(Event1) {
    _inherits$1M(SlottableRequestEvent, Event1);
    var _super = _create_super$1M(SlottableRequestEvent);
    function SlottableRequestEvent(e, n, t) {
        _class_call_check$1$(this, SlottableRequestEvent);
        var _this;
        _this = _super.call(this, "slottable-request", {
            bubbles: !1,
            cancelable: !0,
            composed: !1
        }), _this.name = e, _this.data = n, _this.slotName = t !== void 0 ? "".concat(e, ".").concat(t) : e;
        return _possible_constructor_return$1M(_this);
    }
    return SlottableRequestEvent;
}(_wrap_native_super$5(Event));
var removeSlottableRequest = Symbol("remove-slottable-request");

function _assert_this_initialized$1L(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1_(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1Y(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1Y(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1Y(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1Y(Constructor, staticProps);
    return Constructor;
}
function _get$U(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$U = Reflect.get;
    } else {
        _get$U = function get(target, property, receiver) {
            var base = _super_prop_base$U(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$U(target, property, receiver || target);
}
function _get_prototype_of$1L(o) {
    _get_prototype_of$1L = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1L(o);
}
function _inherits$1L(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1L(subClass, superClass);
}
function _possible_constructor_return$1L(self, call) {
    if (call && (_type_of$1L(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1L(self);
}
function _set_prototype_of$1L(o, p) {
    _set_prototype_of$1L = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1L(o, p);
}
function _super_prop_base$U(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1L(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2T(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1L(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1L() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1L(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1L();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1L(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1L(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1L(this, result);
    };
}
function _templateObject$2T() {
    var data = _tagged_template_literal$2T([
        ""
    ]);
    _templateObject$2T = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$z() {
    var data = _tagged_template_literal$2T([
        '\n                          <slot\n                              name="icon"\n                              slot="icon"\n                              ?icon-only=',
        "\n                              ?hidden=",
        '\n                          >\n                              <sp-icon-more class="icon"></sp-icon-more>\n                          </slot>\n                      '
    ]);
    _templateObject1$z = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$o() {
    var data = _tagged_template_literal$2T([
        "\n                ",
        '\n                <slot name="label" ?hidden=',
        '></slot>\n                <slot name="label-only"></slot>\n                <slot\n                    name="tooltip"\n                    @slotchange=',
        "\n                ></slot>\n            "
    ]);
    _templateObject2$o = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$j() {
    var data = _tagged_template_literal$2T([
        "\n            <sp-action-button\n                aria-describedby=",
        "\n                ?quiet=",
        "\n                ?selected=",
        "\n                static=",
        '\n                aria-haspopup="true"\n                aria-controls=',
        "\n                aria-expanded=",
        "\n                aria-label=",
        '\n                id="button"\n                class="button"\n                size=',
        "\n                @blur=",
        "\n                @click=",
        "\n                @pointerdown=",
        "\n                @focus=",
        "\n                @keydown=",
        "\n                ?disabled=",
        "\n            >\n                ",
        "\n            </sp-action-button>\n            ",
        " ",
        "\n        "
    ]);
    _templateObject3$j = function _templateObject() {
        return data;
    };
    return data;
}
var u$A = Object.defineProperty;
var h$i = Object.getOwnPropertyDescriptor;
var l$a = function(n, i, e, o) {
    for(var t = o > 1 ? void 0 : o ? h$i(i, e) : i, r = n.length - 1, a; r >= 0; r--)(a = n[r]) && (t = (o ? a(i, e, t) : a(t)) || t);
    return o && t && u$A(i, e, t), t;
};
var ActionMenu = /*#__PURE__*/ function(_f) {
    _inherits$1L(ActionMenu, _f);
    var _super = _create_super$1L(ActionMenu);
    function ActionMenu() {
        _class_call_check$1_(this, ActionMenu);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.selects = void 0;
        _this.static = void 0;
        _this.listRole = "menu";
        _this.itemRole = "menuitem";
        _this.handleSlottableRequest = function(e) {
            _this.dispatchEvent(new SlottableRequestEvent(e.name, e.data));
        };
        return _this;
    }
    _create_class$1Y(ActionMenu, [
        {
            key: "hasLabel",
            get: function get() {
                return this.slotHasContent;
            }
        },
        {
            key: "labelOnly",
            get: function get() {
                return this.slotContentIsPresent;
            }
        },
        {
            key: "buttonContent",
            get: function get() {
                return [
                    x$3(_templateObject2$o(), this.labelOnly ? x$3(_templateObject$2T()) : x$3(_templateObject1$z(), !this.hasLabel, this.labelOnly), !this.hasLabel, this.handleTooltipSlotchange)
                ];
            }
        },
        {
            key: "render",
            value: function render() {
                return this.tooltipEl && (this.tooltipEl.disabled = this.open), x$3(_templateObject3$j(), DESCRIPTION_ID, this.quiet, this.open, o$O(this.static), o$O(this.open ? "menu" : void 0), this.open ? "true" : "false", o$O(this.label || void 0), this.size, this.handleButtonBlur, this.handleActivate, this.handleButtonPointerdown, this.handleButtonFocus, {
                    handleEvent: this.handleEnterKeydown,
                    capture: !0
                }, this.disabled, this.buttonContent, this.renderMenu, this.renderDescriptionSlot);
            }
        },
        {
            key: "update",
            value: function update(e) {
                e.has("invalid") && (this.invalid = !1), _get$U(_get_prototype_of$1L(ActionMenu.prototype), "update", this).call(this, e);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    v$g
                ];
            }
        }
    ]);
    return ActionMenu;
}(ObserveSlotPresence(ObserveSlotText(PickerBase, "label"), '[slot="label-only"]'));
l$a([
    n$r({
        type: String
    })
], ActionMenu.prototype, "selects", 2), l$a([
    n$r({
        type: String,
        reflect: !0
    })
], ActionMenu.prototype, "static", 2), l$a([
    r$A()
], ActionMenu.prototype, "labelOnly", 1);

defineElement("sp-action-menu", ActionMenu);

defineElement("sp-button", Button);

function asyncGeneratorStep$w(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$w(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$w(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$w(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$1Z(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1X(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1X(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1X(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1X(Constructor, staticProps);
    return Constructor;
}
function _ts_generator$w(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var t$o = /*#__PURE__*/ function() {
    function t(t1, param) {
        var _this = this;
        var i = param.target, h = param.config, e = param.callback, o = param.skipInitial;
        _class_call_check$1Z(this, t);
        this.t = new Set, this.o = !1, this.i = !1, this.h = t1, null !== i && this.t.add(i !== null && i !== void 0 ? i : t1), this.l = h, this.o = o !== null && o !== void 0 ? o : this.o, this.callback = e, (window.ResizeObserver ? (this.u = new ResizeObserver(function(s) {
            _this.handleChanges(s), _this.h.requestUpdate();
        }), t1.addController(this)) : console.warn("ResizeController error: browser does not support ResizeObserver."));
    }
    _create_class$1X(t, [
        {
            key: "handleChanges",
            value: function handleChanges(s) {
                var _this_callback, _this;
                this.value = (_this_callback = (_this = this).callback) === null || _this_callback === void 0 ? void 0 : _this_callback.call(_this, s, this.u);
            }
        },
        {
            key: "hostConnected",
            value: function hostConnected() {
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = this.t[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var s = _step.value;
                        this.observe(s);
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
            }
        },
        {
            key: "hostDisconnected",
            value: function hostDisconnected() {
                this.disconnect();
            }
        },
        {
            key: "hostUpdated",
            value: function hostUpdated() {
                var _this = this;
                return _async_to_generator$w(function() {
                    return _ts_generator$w(this, function(_state) {
                        !_this.o && _this.i && _this.handleChanges([]), _this.i = !1;
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "observe",
            value: function observe(s) {
                this.t.add(s), this.u.observe(s, this.l), this.i = !0, this.h.requestUpdate();
            }
        },
        {
            key: "unobserve",
            value: function unobserve(s) {
                this.t.delete(s), this.u.unobserve(s);
            }
        },
        {
            key: "disconnect",
            value: function disconnect() {
                this.u.disconnect();
            }
        }
    ]);
    return t;
}();

function _tagged_template_literal$2S(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2S() {
    var data = _tagged_template_literal$2S([
        "\n    :host{--spectrum-alert-dialog-min-width:var(--spectrum-alert-dialog-minimum-width);--spectrum-alert-dialog-max-width:var(--spectrum-alert-dialog-maximum-width);--spectrum-alert-dialog-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-alert-dialog-warning-icon-color:var(--spectrum-notice-visual-color);--spectrum-alert-dialog-error-icon-color:var(--spectrum-negative-visual-color);--spectrum-alert-dialog-title-font-family:var(--spectrum-sans-font-family-stack);--spectrum-alert-dialog-title-font-weight:var(--spectrum-heading-sans-serif-font-weight);--spectrum-alert-dialog-title-font-style:var(--spectrum-heading-sans-serif-font-style);--spectrum-alert-dialog-title-font-size:var(--spectrum-alert-dialog-title-size);--spectrum-alert-dialog-title-line-height:var(--spectrum-heading-line-height);--spectrum-alert-dialog-title-color:var(--spectrum-heading-color);--spectrum-alert-dialog-body-font-family:var(--spectrum-sans-font-family-stack);--spectrum-alert-dialog-body-font-weight:var(--spectrum-body-sans-serif-font-weight);--spectrum-alert-dialog-body-font-style:var(--spectrum-body-sans-serif-font-style);--spectrum-alert-dialog-body-font-size:var(--spectrum-alert-dialog-description-size);--spectrum-alert-dialog-body-line-height:var(--spectrum-line-height-100);--spectrum-alert-dialog-body-color:var(--spectrum-body-color);--spectrum-alert-dialog-title-to-divider:var(--spectrum-spacing-200);--spectrum-alert-dialog-divider-to-description:var(--spectrum-spacing-300);--spectrum-alert-dialog-title-to-icon:var(--spectrum-spacing-300);--mod-buttongroup-justify-content:flex-end;box-sizing:border-box;min-inline-size:var(--mod-alert-dialog-min-width,var(--spectrum-alert-dialog-min-width));max-inline-size:var(--mod-alert-dialog-max-width,var(--spectrum-alert-dialog-max-width));max-block-size:inherit;padding:var(--mod-alert-dialog-padding,var(--spectrum-alert-dialog-padding));outline:none;inline-size:fit-content;display:flex}.icon{inline-size:var(--mod-alert-dialog-icon-size,var(--spectrum-alert-dialog-icon-size));block-size:var(--mod-alert-dialog-icon-size,var(--spectrum-alert-dialog-icon-size));flex-shrink:0;margin-inline-start:var(--mod-alert-dialog-title-to-icon,var(--spectrum-alert-dialog-title-to-icon))}:host([variant=warning]){--mod-icon-color:var(--mod-alert-dialog-warning-icon-color,var(--spectrum-alert-dialog-warning-icon-color))}:host([variant=error]){--mod-icon-color:var(--mod-alert-dialog-error-icon-color,var(--spectrum-alert-dialog-error-icon-color))}.grid{display:grid}.header{justify-content:space-between;align-items:baseline;display:flex}::slotted([slot=heading]){font-family:var(--mod-alert-dialog-title-font-family,var(--spectrum-alert-dialog-title-font-family));font-weight:var(--mod-alert-dialog-title-font-weight,var(--spectrum-alert-dialog-title-font-weight));font-style:var(--mod-alert-dialog-title-font-style,var(--spectrum-alert-dialog-title-font-style));font-size:var(--mod-alert-dialog-title-font-size,var(--spectrum-alert-dialog-title-font-size));line-height:var(--mod-alert-dialog-title-line-height,var(--spectrum-alert-dialog-title-line-height));color:var(--mod-alert-dialog-title-color,var(--spectrum-alert-dialog-title-color));margin:0;margin-block-end:var(--mod-alert-dialog-title-to-divider,var(--spectrum-alert-dialog-title-to-divider))}.content{font-family:var(--mod-alert-dialog-body-font-family,var(--spectrum-alert-dialog-body-font-family));font-weight:var(--mod-alert-dialog-body-font-weight,var(--spectrum-alert-dialog-body-font-weight));font-style:var(--mod-alert-dialog-body-font-style,var(--spectrum-alert-dialog-body-font-style));font-size:var(--mod-alert-dialog-body-font-size,var(--spectrum-alert-dialog-body-font-size));line-height:var(--mod-alert-dialog-body-line-height,var(--spectrum-alert-dialog-body-line-height));color:var(--mod-alert-dialog-body-color,var(--spectrum-alert-dialog-body-color));-webkit-overflow-scrolling:touch;margin:0;margin-block-start:var(--mod-alert-dialog-divider-to-description,var(--spectrum-alert-dialog-divider-to-description));margin-block-end:var(--mod-alert-dialog-description-to-buttons,var(--spectrum-alert-dialog-description-to-buttons));overflow-y:auto}@media (forced-colors:active){:host{border:solid}}\n"
    ]);
    _templateObject$2S = function _templateObject() {
        return data;
    };
    return data;
}
var e$y = i$p(_templateObject$2S());
var E$1 = e$y;

function _assert_this_initialized$1K(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1Y(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1W(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1W(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1W(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1W(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1K(o) {
    _get_prototype_of$1K = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1K(o);
}
function _inherits$1K(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1K(subClass, superClass);
}
function _possible_constructor_return$1K(self, call) {
    if (call && (_type_of$1K(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1K(self);
}
function _set_prototype_of$1K(o, p) {
    _set_prototype_of$1K = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1K(o, p);
}
function _tagged_template_literal$2R(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1K(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1K() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1K(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1K();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1K(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1K(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1K(this, result);
    };
}
function _templateObject$2R() {
    var data = _tagged_template_literal$2R([
        '\n                    <sp-icon-alert class="icon"></sp-icon-alert>\n                '
    ]);
    _templateObject$2R = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$y() {
    var data = _tagged_template_literal$2R([
        ""
    ]);
    _templateObject1$y = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$n() {
    var data = _tagged_template_literal$2R([
        '\n            <slot name="heading" @slotchange=',
        "></slot>\n        "
    ]);
    _templateObject2$n = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$i() {
    var data = _tagged_template_literal$2R([
        '\n            <div class="content">\n                <slot @slotchange=',
        "></slot>\n            </div>\n        "
    ]);
    _templateObject3$i = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$g() {
    var data = _tagged_template_literal$2R([
        '\n            <sp-button-group class="button-group">\n                <slot name="button"></slot>\n            </sp-button-group>\n        '
    ]);
    _templateObject4$g = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$d() {
    var data = _tagged_template_literal$2R([
        '\n            <div class="grid">\n                <div class="header">\n                    ',
        " ",
        '\n                </div>\n                <sp-divider size="m" class="divider"></sp-divider>\n                ',
        " ",
        "\n            </div>\n        "
    ]);
    _templateObject5$d = function _templateObject() {
        return data;
    };
    return data;
}
var b$c = Object.defineProperty;
var u$z = Object.getOwnPropertyDescriptor;
var l$9 = function(a, r, e, t) {
    for(var i = t > 1 ? void 0 : t ? u$z(r, e) : r, n = a.length - 1, d; n >= 0; n--)(d = a[n]) && (i = (t ? d(r, e, i) : d(i)) || i);
    return t && i && b$c(r, e, i), i;
};
var alertDialogVariants = [
    "confirmation",
    "information",
    "warning",
    "error",
    "destructive",
    "secondary"
];
function h$h(a, r) {
    var e = a.assignedElements(), t = [];
    return e.forEach(function(i) {
        if (i.id) t.push(i.id);
        else {
            var n = r + "-".concat(randomID());
            i.id = n, t.push(n);
        }
    }), t;
}
var o$A = /*#__PURE__*/ function(_v) {
    _inherits$1K(o, _v);
    var _super = _create_super$1K(o);
    function o() {
        _class_call_check$1Y(this, o);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.resizeController = new t$o(_assert_this_initialized$1K(_this), {
            callback: function() {
                _this.shouldManageTabOrderForScrolling();
            }
        });
        _this._variant = "";
        _this.labelledbyId = "sp-dialog-label-".concat(o.instanceCount++);
        _this.shouldManageTabOrderForScrolling = function() {
            if (!_this.contentElement) return;
            var _this_contentElement = _this.contentElement, e = _this_contentElement.offsetHeight, t = _this_contentElement.scrollHeight;
            e < t ? _this.contentElement.tabIndex = 0 : _this.contentElement.removeAttribute("tabindex");
        };
        _this.describedbyId = "sp-dialog-description-".concat(o.instanceCount++);
        return _this;
    }
    _create_class$1W(o, [
        {
            key: "variant",
            get: function get() {
                return this._variant;
            },
            set: function set(e) {
                if (e === this.variant) return;
                var t = this.variant;
                alertDialogVariants.includes(e) ? (this.setAttribute("variant", e), this._variant = e) : (this.removeAttribute("variant"), this._variant = ""), this.requestUpdate("variant", t);
            }
        },
        {
            key: "renderIcon",
            value: function renderIcon() {
                switch(this.variant){
                    case "warning":
                    case "error":
                        return x$3(_templateObject$2R());
                    default:
                        return x$3(_templateObject1$y());
                }
            }
        },
        {
            key: "renderHeading",
            value: function renderHeading() {
                return x$3(_templateObject2$n(), this.onHeadingSlotchange);
            }
        },
        {
            key: "renderContent",
            value: function renderContent() {
                return x$3(_templateObject3$i(), this.onContentSlotChange);
            }
        },
        {
            key: "onHeadingSlotchange",
            value: function onHeadingSlotchange(param) {
                var e = param.target;
                this.conditionLabelledby && (this.conditionLabelledby(), delete this.conditionLabelledby);
                var t = h$h(e, this.labelledbyId);
                t.length && (this.conditionLabelledby = conditionAttributeWithId(this, "aria-labelledby", t));
            }
        },
        {
            key: "onContentSlotChange",
            value: function onContentSlotChange(param) {
                var _this = this;
                var e = param.target;
                requestAnimationFrame(function() {
                    _this.resizeController.unobserve(_this.contentElement), _this.resizeController.observe(_this.contentElement);
                }), this.conditionDescribedby && (this.conditionDescribedby(), delete this.conditionDescribedby);
                var t = h$h(e, this.describedbyId);
                if (t.length && t.length < 4) this.conditionDescribedby = conditionAttributeWithId(this, "aria-describedby", t);
                else if (!t.length) {
                    var i = !!this.id;
                    i || (this.id = this.describedbyId);
                    var n = conditionAttributeWithId(this, "aria-describedby", this.id);
                    this.conditionDescribedby = function() {
                        n(), i || _this.removeAttribute("id");
                    };
                }
            }
        },
        {
            key: "renderButtons",
            value: function renderButtons() {
                return x$3(_templateObject4$g());
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject5$d(), this.renderHeading(), this.renderIcon(), this.renderContent(), this.renderButtons());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    E$1
                ];
            }
        }
    ]);
    return o;
}(FocusVisiblePolyfillMixin(SpectrumElement));
o$A.instanceCount = 0, l$9([
    e$F(".content")
], o$A.prototype, "contentElement", 2), l$9([
    n$r({
        type: String,
        reflect: !0
    })
], o$A.prototype, "variant", 1);
var AlertDialog = o$A;

defineElement("sp-alert-dialog", AlertDialog);

function _tagged_template_literal$2Q(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2Q() {
    var data = _tagged_template_literal$2Q([
        "\n    :host{justify-content:center;align-items:center;block-size:100%;inline-size:100%;display:flex}::slotted(*){object-fit:contain;transition:opacity var(--spectrum-animation-duration-100);max-block-size:100%;max-inline-size:100%}.file,.folder{inline-size:max(var(--mod-asset-icon-min-width,48px),min(100%,var(--mod-asset-icon-max-width,80px)));margin:var(--mod-asset-icon-margin,20px);block-size:100%}.folderBackground{fill:var(--highcontrast-asset-folder-background-color,var(--mod-asset-folder-background-color,var(--spectrum-gray-300)))}.fileBackground{fill:var(--highcontrast-asset-file-background-color,var(--mod-asset-file-background-color,var(--spectrum-gray-50)))}.fileOutline,.folderOutline{fill:var(--mod-asset-icon-outline-color,var(--spectrum-gray-500))}@media (forced-colors:active){:host{--highcontrast-asset-folder-background-color:currentColor;--highcontrast-asset-file-background-color:currentColor}}\n"
    ]);
    _templateObject$2Q = function _templateObject() {
        return data;
    };
    return data;
}
var r$s = i$p(_templateObject$2Q());
var u$y = r$s;

function _assert_this_initialized$1J(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1X(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1V(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1V(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1V(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1V(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1J(o) {
    _get_prototype_of$1J = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1J(o);
}
function _inherits$1J(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1J(subClass, superClass);
}
function _possible_constructor_return$1J(self, call) {
    if (call && (_type_of$1J(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1J(self);
}
function _set_prototype_of$1J(o, p) {
    _set_prototype_of$1J = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1J(o, p);
}
function _tagged_template_literal$2P(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1J(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1J() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1J(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1J();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1J(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1J(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1J(this, result);
    };
}
function _templateObject$2P() {
    var data = _tagged_template_literal$2P([
        '\n    <svg\n        class="file"\n        role="img"\n        viewBox="0 0 128 128"\n        aria-label=',
        '\n    >\n        <path\n            class="fileBackground"\n            d="M24,126c-5.5,0-10-4.5-10-10V12c0-5.5,4.5-10,10-10h61.5c2.1,0,4.1,0.8,5.6,2.3l20.5,20.4c1.5,1.5,2.4,3.5,2.4,5.7V116c0,5.5-4.5,10-10,10H24z"\n        ></path>\n        <path\n            class="fileOutline"\n            d="M113.1,23.3L92.6,2.9C90.7,1,88.2,0,85.5,0H24c-6.6,0-12,5.4-12,12v104c0,6.6,5.4,12,12,12h80c6.6,0,12-5.4,12-12V30.4C116,27.8,114.9,25.2,113.1,23.3z M90,6l20.1,20H92c-1.1,0-2-0.9-2-2V6z M112,116c0,4.4-3.6,8-8,8H24c-4.4,0-8-3.6-8-8V12c0-4.4,3.6-8,8-8h61.5c0.2,0,0.3,0,0.5,0v20c0,3.3,2.7,6,6,6h20c0,0.1,0,0.3,0,0.4V116z"\n        ></path>\n    </svg>\n'
    ]);
    _templateObject$2P = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$x() {
    var data = _tagged_template_literal$2P([
        '\n    <svg\n        class="folder"\n        role="img"\n        viewBox="0 0 32 32"\n        aria-label=',
        '\n    >\n        <path\n            class="folderBackground"\n            d="M3,29.5c-1.4,0-2.5-1.1-2.5-2.5V5c0-1.4,1.1-2.5,2.5-2.5h10.1c0.5,0,1,0.2,1.4,0.6l3.1,3.1c0.2,0.2,0.4,0.3,0.7,0.3H29c1.4,0,2.5,1.1,2.5,2.5v18c0,1.4-1.1,2.5-2.5,2.5H3z"\n        ></path>\n        <path\n            class="folderOutline"\n            d="M29,6H18.3c-0.1,0-0.2,0-0.4-0.2l-3.1-3.1C14.4,2.3,13.8,2,13.1,2H3C1.3,2,0,3.3,0,5v22c0,1.6,1.3,3,3,3h26c1.7,0,3-1.4,3-3V9C32,7.3,30.7,6,29,6z M31,27c0,1.1-0.9,2-2,2H3c-1.1,0-2-0.9-2-2V7h28c1.1,0,2,0.9,2,2V27z"\n        ></path>\n    </svg>\n'
    ]);
    _templateObject1$x = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$m() {
    var data = _tagged_template_literal$2P([
        "\n            <slot></slot>\n        "
    ]);
    _templateObject2$m = function _templateObject() {
        return data;
    };
    return data;
}
var n$i = Object.defineProperty;
var d$o = Object.getOwnPropertyDescriptor;
var i$g = function(e, t, c, r) {
    for(var l = r > 1 ? void 0 : r ? d$o(t, c) : t, a = e.length - 1, s; a >= 0; a--)(s = e[a]) && (l = (r ? s(t, c, l) : s(l)) || l);
    return r && l && n$i(t, c, l), l;
};
var f$g = function(e) {
    return x$3(_templateObject$2P(), e || "File");
}, m$k = function(e) {
    return x$3(_templateObject1$x(), e || "Folder");
};
var Asset = /*#__PURE__*/ function(h) {
    _inherits$1J(Asset, h);
    var _super = _create_super$1J(Asset);
    function Asset() {
        _class_call_check$1X(this, Asset);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.label = "";
        return _this;
    }
    _create_class$1V(Asset, [
        {
            key: "render",
            value: function render() {
                return this.variant === "file" ? f$g(this.label) : this.variant === "folder" ? m$k(this.label) : x$3(_templateObject2$m());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    u$y
                ];
            }
        }
    ]);
    return Asset;
}(SpectrumElement);
i$g([
    n$r({
        type: String,
        reflect: !0
    })
], Asset.prototype, "variant", 2), i$g([
    n$r()
], Asset.prototype, "label", 2);

defineElement("sp-asset", Asset);

function _tagged_template_literal$2O(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2O() {
    var data = _tagged_template_literal$2O([
        '\n    :host{--spectrum-avatar-color-opacity:1;--spectrum-avatar-inline-size:var(--spectrum-avatar-size-100);--spectrum-avatar-block-size:var(--spectrum-avatar-size-100);--spectrum-avatar-border-radius:var(--spectrum-avatar-block-size);--spectrum-avatar-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-avatar-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-avatar-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-avatar-color-opacity-disabled:var(--spectrum-avatar-opacity-disabled)}:host([size="50"]){--spectrum-avatar-inline-size:var(--spectrum-avatar-size-50);--spectrum-avatar-block-size:var(--spectrum-avatar-size-50)}:host([size="75"]){--spectrum-avatar-inline-size:var(--spectrum-avatar-size-75);--spectrum-avatar-block-size:var(--spectrum-avatar-size-75)}:host([size="100"]){--spectrum-avatar-inline-size:var(--spectrum-avatar-size-100);--spectrum-avatar-block-size:var(--spectrum-avatar-size-100)}:host([size="200"]){--spectrum-avatar-inline-size:var(--spectrum-avatar-size-200);--spectrum-avatar-block-size:var(--spectrum-avatar-size-200)}:host([size="300"]){--spectrum-avatar-inline-size:var(--spectrum-avatar-size-300);--spectrum-avatar-block-size:var(--spectrum-avatar-size-300)}:host([size="400"]){--spectrum-avatar-inline-size:var(--spectrum-avatar-size-400);--spectrum-avatar-block-size:var(--spectrum-avatar-size-400)}:host([size="500"]){--spectrum-avatar-inline-size:var(--spectrum-avatar-size-500);--spectrum-avatar-block-size:var(--spectrum-avatar-size-500)}:host([size="600"]){--spectrum-avatar-inline-size:var(--spectrum-avatar-size-600);--spectrum-avatar-block-size:var(--spectrum-avatar-size-600)}:host([size="700"]){--spectrum-avatar-inline-size:var(--spectrum-avatar-size-700);--spectrum-avatar-block-size:var(--spectrum-avatar-size-700)}@media (forced-colors:active){:host{--highcontrast-avatar-focus-indicator-color:CanvasText}}:host{inline-size:var(--mod-avatar-inline-size,var(--spectrum-avatar-inline-size));block-size:var(--mod-avatar-block-size,var(--spectrum-avatar-block-size));border-radius:var(--mod-avatar-border-radius,var(--spectrum-avatar-border-radius));-webkit-user-drag:none;-webkit-user-select:none;user-select:none;opacity:var(--mod-avatar-color-opacity,var(--spectrum-avatar-color-opacity));border-width:0;outline:none;display:inline-block;position:relative;overflow:visible}:host([disabled]){opacity:var(--highcontrast-avatar-color-opacity-disabled,var(--mod-avatar-color-opacity-disabled,var(--spectrum-avatar-color-opacity-disabled)))}:host(:not([disabled])) .link:focus-visible:after{pointer-events:none;content:"";inline-size:calc(var(--mod-avatar-inline-size,var(--spectrum-avatar-inline-size)) + var(--mod-avatar-focus-indicator-gap,var(--spectrum-avatar-focus-indicator-gap))*2);block-size:calc(var(--mod-avatar-inline-size,var(--spectrum-avatar-inline-size)) + var(--mod-avatar-focus-indicator-gap,var(--spectrum-avatar-focus-indicator-gap))*2);border-style:solid;border-width:var(--mod-avatar-focus-indicator-thickness,var(--spectrum-avatar-focus-indicator-thickness));border-color:var(--highcontrast-avatar-focus-indicator-color,var(--mod-avatar-focus-indicator-color,var(--spectrum-avatar-focus-indicator-color)));border-radius:var(--mod-avatar-border-radius,var(--spectrum-avatar-border-radius));position:absolute;inset-block-start:calc(( var(--mod-avatar-focus-indicator-gap,var(--spectrum-avatar-focus-indicator-gap)) + var(--mod-avatar-focus-indicator-thickness,var(--spectrum-avatar-focus-indicator-thickness)))*-1);inset-inline-start:calc(( var(--mod-avatar-focus-indicator-gap,var(--spectrum-avatar-focus-indicator-gap)) + var(--mod-avatar-focus-indicator-thickness,var(--spectrum-avatar-focus-indicator-thickness)))*-1)}.link{outline:solid #0000}.image{inline-size:var(--mod-avatar-inline-size,var(--spectrum-avatar-inline-size));block-size:var(--mod-avatar-block-size,var(--spectrum-avatar-block-size));border-radius:var(--mod-avatar-border-radius,var(--spectrum-avatar-border-radius))}img{vertical-align:top}\n'
    ]);
    _templateObject$2O = function _templateObject() {
        return data;
    };
    return data;
}
var r$r = i$p(_templateObject$2O());
var v$f = r$r;

function _assert_this_initialized$1I(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1W(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1U(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1U(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1U(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1U(Constructor, staticProps);
    return Constructor;
}
function _get$T(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$T = Reflect.get;
    } else {
        _get$T = function get(target, property, receiver) {
            var base = _super_prop_base$T(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$T(target, property, receiver || target);
}
function _get_prototype_of$1I(o) {
    _get_prototype_of$1I = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1I(o);
}
function _inherits$1I(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1I(subClass, superClass);
}
function _possible_constructor_return$1I(self, call) {
    if (call && (_type_of$1I(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1I(self);
}
function _set_prototype_of$1I(o, p) {
    _set_prototype_of$1I = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1I(o, p);
}
function _super_prop_base$T(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1I(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2N(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1I(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1I() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1I(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1I();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1I(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1I(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1I(this, result);
    };
}
function _templateObject$2N() {
    var data = _tagged_template_literal$2N([
        '\n            <img\n                class="image"\n                alt=',
        "\n                src=",
        "\n            />\n        "
    ]);
    _templateObject$2N = function _templateObject() {
        return data;
    };
    return data;
}
var p$v = Object.defineProperty;
var d$n = Object.getOwnPropertyDescriptor;
var o$z = function(a, r, t, i) {
    for(var e = i > 1 ? void 0 : i ? d$n(r, t) : r, s = a.length - 1, l; s >= 0; s--)(l = a[s]) && (e = (i ? l(r, t, e) : l(e)) || e);
    return i && e && p$v(r, t, e), e;
};
var c$q = [
    50,
    75,
    100,
    200,
    300,
    400,
    500,
    600,
    700
], u$x = c$q[2];
var Avatar = /*#__PURE__*/ function(_f) {
    _inherits$1I(Avatar, _f);
    var _super = _create_super$1I(Avatar);
    function Avatar() {
        _class_call_check$1W(this, Avatar);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.src = "";
        _this._size = u$x;
        return _this;
    }
    _create_class$1U(Avatar, [
        {
            key: "focusElement",
            get: function get() {
                return this.anchorElement || this;
            }
        },
        {
            key: "size",
            get: function get() {
                return this._size;
            },
            set: function set(t) {
                var i = t, e = c$q.includes(i) ? i : u$x;
                if (e && this.setAttribute("size", "".concat(e)), this._size === e) return;
                var s = this._size;
                this._size = e, this.requestUpdate("size", s);
            }
        },
        {
            key: "render",
            value: function render() {
                var t = x$3(_templateObject$2N(), o$O(this.label || void 0), this.src);
                return this.href ? this.renderAnchor({
                    id: "link",
                    className: "link",
                    anchorContent: t
                }) : t;
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(t) {
                _get$T(_get_prototype_of$1I(Avatar.prototype), "firstUpdated", this).call(this, t), this.hasAttribute("size") || this.setAttribute("size", "".concat(this.size));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    v$f
                ];
            }
        }
    ]);
    return Avatar;
}(LikeAnchor(Focusable));
o$z([
    e$F("#link")
], Avatar.prototype, "anchorElement", 2), o$z([
    n$r()
], Avatar.prototype, "src", 2), o$z([
    n$r({
        type: Number,
        reflect: !0
    })
], Avatar.prototype, "size", 1);

defineElement("sp-avatar", Avatar);

function _tagged_template_literal$2M(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2M() {
    var data = _tagged_template_literal$2M([
        "\n    :host{--spectrum-badge-corner-radius:var(--spectrum-corner-radius-100);--spectrum-badge-line-height:var(--spectrum-line-height-100);--spectrum-badge-line-height-cjk:var(--spectrum-cjk-line-height-100);--spectrum-badge-label-icon-color:var(--spectrum-white);--spectrum-badge-background-color-default:var(--spectrum-neutral-subdued-background-color-default);--spectrum-badge-background-color-accent:var(--spectrum-accent-background-color-default);--spectrum-badge-background-color-informative:var(--spectrum-informative-background-color-default);--spectrum-badge-background-color-negative:var(--spectrum-negative-background-color-default);--spectrum-badge-background-color-positive:var(--spectrum-positive-background-color-default);--spectrum-badge-background-color-notice:var(--spectrum-notice-background-color-default);--spectrum-badge-background-color-gray:var(--spectrum-gray-background-color-default);--spectrum-badge-background-color-red:var(--spectrum-red-background-color-default);--spectrum-badge-background-color-orange:var(--spectrum-orange-background-color-default);--spectrum-badge-background-color-yellow:var(--spectrum-yellow-background-color-default);--spectrum-badge-background-color-chartreuse:var(--spectrum-chartreuse-background-color-default);--spectrum-badge-background-color-celery:var(--spectrum-celery-background-color-default);--spectrum-badge-background-color-green:var(--spectrum-green-background-color-default);--spectrum-badge-background-color-seafoam:var(--spectrum-seafoam-background-color-default);--spectrum-badge-background-color-cyan:var(--spectrum-cyan-background-color-default);--spectrum-badge-background-color-blue:var(--spectrum-blue-background-color-default);--spectrum-badge-background-color-indigo:var(--spectrum-indigo-background-color-default);--spectrum-badge-background-color-purple:var(--spectrum-purple-background-color-default);--spectrum-badge-background-color-fuchsia:var(--spectrum-fuchsia-background-color-default);--spectrum-badge-background-color-magenta:var(--spectrum-magenta-background-color-default);--spectrum-badge-height:var(--spectrum-component-height-100);--spectrum-badge-font-size:var(--spectrum-font-size-100);--spectrum-badge-label-spacing-vertical-top:var(--spectrum-component-top-to-text-100);--spectrum-badge-label-spacing-vertical-bottom:var(--spectrum-component-bottom-to-text-100);--spectrum-badge-label-spacing-horizontal:var(--spectrum-component-edge-to-text-100);--spectrum-badge-workflow-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-badge-icon-text-spacing:var(--spectrum-text-to-visual-100);--spectrum-badge-icon-spacing-horizontal:var(--spectrum-component-edge-to-visual-100);--spectrum-badge-icon-spacing-vertical-top:var(--spectrum-component-top-to-workflow-icon-100);--spectrum-badge-icon-only-spacing-horizontal:var(--spectrum-component-edge-to-visual-only-100)}:host([variant=celery]),:host([variant=chartreuse]),:host([variant=orange]),:host([variant=yellow]){--spectrum-badge-label-icon-color:var(--spectrum-black)}:host([variant=blue]),:host([variant=cyan]),:host([variant=fuchsia]),:host([variant=gray]),:host([variant=green]),:host([variant=indigo]),:host([variant=magenta]),:host([variant=purple]),:host([variant=red]),:host([variant=seafoam]){--spectrum-badge-label-icon-color:var(--spectrum-badge-label-icon-color-primary)}:host([size=s]){--spectrum-badge-height:var(--spectrum-component-height-75);--spectrum-badge-font-size:var(--spectrum-font-size-75);--spectrum-badge-label-spacing-vertical-top:var(--spectrum-component-top-to-text-75);--spectrum-badge-label-spacing-vertical-bottom:var(--spectrum-component-bottom-to-text-75);--spectrum-badge-label-spacing-horizontal:var(--spectrum-component-edge-to-text-75);--spectrum-badge-workflow-icon-size:var(--spectrum-workflow-icon-size-75);--spectrum-badge-icon-text-spacing:var(--spectrum-text-to-visual-75);--spectrum-badge-icon-spacing-horizontal:var(--spectrum-component-edge-to-visual-75);--spectrum-badge-icon-spacing-vertical-top:var(--spectrum-component-top-to-workflow-icon-75);--spectrum-badge-icon-only-spacing-horizontal:var(--spectrum-component-edge-to-visual-only-75)}:host([size=l]){--spectrum-badge-height:var(--spectrum-component-height-100);--spectrum-badge-font-size:var(--spectrum-font-size-200);--spectrum-badge-label-spacing-vertical-top:var(--spectrum-component-top-to-text-200);--spectrum-badge-label-spacing-vertical-bottom:var(--spectrum-component-bottom-to-text-200);--spectrum-badge-label-spacing-horizontal:var(--spectrum-component-edge-to-text-200);--spectrum-badge-workflow-icon-size:var(--spectrum-workflow-icon-size-200);--spectrum-badge-icon-text-spacing:var(--spectrum-text-to-visual-200);--spectrum-badge-icon-spacing-horizontal:var(--spectrum-component-edge-to-visual-200);--spectrum-badge-icon-spacing-vertical-top:var(--spectrum-component-top-to-workflow-icon-200);--spectrum-badge-icon-only-spacing-horizontal:var(--spectrum-component-edge-to-visual-only-200)}:host([size=xl]){--spectrum-badge-height:var(--spectrum-component-height-100);--spectrum-badge-font-size:var(--spectrum-font-size-300);--spectrum-badge-label-spacing-vertical-top:var(--spectrum-component-top-to-text-300);--spectrum-badge-label-spacing-vertical-bottom:var(--spectrum-component-bottom-to-text-300);--spectrum-badge-label-spacing-horizontal:var(--spectrum-component-edge-to-text-300);--spectrum-badge-workflow-icon-size:var(--spectrum-workflow-icon-size-300);--spectrum-badge-icon-text-spacing:var(--spectrum-text-to-visual-300);--spectrum-badge-icon-spacing-horizontal:var(--spectrum-component-edge-to-visual-300);--spectrum-badge-icon-spacing-vertical-top:var(--spectrum-component-top-to-workflow-icon-300);--spectrum-badge-icon-only-spacing-horizontal:var(--spectrum-component-edge-to-visual-only-300)}@media (forced-colors:active){:host{border-color:canvastext}}:host{min-block-size:var(--mod-badge-height,var(--spectrum-badge-height));vertical-align:middle;cursor:default;-webkit-font-smoothing:subpixel-antialiased;-moz-osx-font-smoothing:auto;border-radius:var(--mod-badge-corner-radius,var(--spectrum-badge-corner-radius));color:var(--mod-badge-label-icon-color,var(--spectrum-badge-label-icon-color));border:1px solid #0000;inline-size:auto;display:inline-flex;position:relative}:host,:host([variant=neutral]){background:var(--mod-badge-background-color-default,var(--spectrum-badge-background-color-default))}:host([variant=accent]){background:var(--mod-badge-background-color-accent,var(--spectrum-badge-background-color-accent))}:host([variant=informative]){background:var(--mod-badge-background-color-informative,var(--spectrum-badge-background-color-informative))}:host([variant=negative]){background:var(--mod-badge-background-color-negative,var(--spectrum-badge-background-color-negative))}:host([variant=positive]){background:var(--mod-badge-background-color-positive,var(--spectrum-badge-background-color-positive))}:host([variant=notice]){background:var(--mod-badge-background-color-notice,var(--spectrum-badge-background-color-notice))}:host([variant=gray]){background:var(--mod-badge-background-color-gray,var(--spectrum-badge-background-color-gray))}:host([variant=red]){background:var(--mod-badge-background-color-red,var(--spectrum-badge-background-color-red))}:host([variant=orange]){background:var(--mod-badge-background-color-orange,var(--spectrum-badge-background-color-orange))}:host([variant=yellow]){background:var(--mod-badge-background-color-yellow,var(--spectrum-badge-background-color-yellow))}:host([variant=chartreuse]){background:var(--mod-badge-background-color-chartreuse,var(--spectrum-badge-background-color-chartreuse))}:host([variant=celery]){background:var(--mod-badge-background-color-celery,var(--spectrum-badge-background-color-celery))}:host([variant=green]){background:var(--mod-badge-background-color-green,var(--spectrum-badge-background-color-green))}:host([variant=seafoam]){background:var(--mod-badge-background-color-seafoam,var(--spectrum-badge-background-color-seafoam))}:host([variant=cyan]){background:var(--mod-badge-background-color-cyan,var(--spectrum-badge-background-color-cyan))}:host([variant=blue]){background:var(--mod-badge-background-color-blue,var(--spectrum-badge-background-color-blue))}:host([variant=indigo]){background:var(--mod-badge-background-color-indigo,var(--spectrum-badge-background-color-indigo))}:host([variant=purple]){background:var(--mod-badge-background-color-purple,var(--spectrum-badge-background-color-purple))}:host([variant=fuchsia]){background:var(--mod-badge-background-color-fuchsia,var(--spectrum-badge-background-color-fuchsia))}:host([variant=magenta]){background:var(--mod-badge-background-color-magenta,var(--spectrum-badge-background-color-magenta))}:host([fixed=inline-start]){border-start-start-radius:0;border-end-start-radius:0}:host([fixed=inline-end]){border-start-end-radius:0;border-end-end-radius:0}:host([fixed=block-start]){border-start-start-radius:0;border-start-end-radius:0}:host([fixed=block-end]){border-end-end-radius:0;border-end-start-radius:0}.label{font-size:var(--mod-badge-font-size,var(--spectrum-badge-font-size));line-height:var(--mod-badge-line-height,var(--spectrum-badge-line-height));color:var(--mod-badge-label-icon-color,var(--spectrum-badge-label-icon-color));padding-block-start:var(--mod-badge-label-spacing-vertical-top,var(--spectrum-badge-label-spacing-vertical-top));padding-block-end:var(--mod-badge-label-spacing-vertical-bottom,var(--spectrum-badge-label-spacing-vertical-bottom));padding-inline-start:var(--mod-badge-label-spacing-horizontal,var(--spectrum-badge-label-spacing-horizontal));padding-inline-end:var(--mod-badge-label-spacing-horizontal,var(--spectrum-badge-label-spacing-horizontal))}.label:lang(ja),.label:lang(ko),.label:lang(zh){line-height:var(--mod-badge-line-height-cjk,var(--spectrum-badge-line-height-cjk))}[name=icon]+.label{padding-inline-start:0}::slotted([slot=icon]){block-size:var(--mod-badge-workflow-icon-size,var(--spectrum-badge-workflow-icon-size));inline-size:var(--mod-badge-workflow-icon-size,var(--spectrum-badge-workflow-icon-size));flex:0 0 var(--mod-badge-workflow-icon-size,var(--spectrum-badge-workflow-icon-size));color:var(--mod-badge-label-icon-color,var(--spectrum-badge-label-icon-color));padding-block-start:var(--mod-badge-icon-spacing-vertical-top,var(--spectrum-badge-icon-spacing-vertical-top));padding-block-end:var(--mod-badge-icon-spacing-vertical-top,var(--spectrum-badge-icon-spacing-vertical-top));padding-inline-start:var(--mod-badge-icon-spacing-horizontal,var(--spectrum-badge-icon-spacing-horizontal));padding-inline-end:var(--mod-badge-icon-text-spacing,var(--spectrum-badge-icon-text-spacing))}[icon-only]::slotted(*){padding-inline-start:var(--mod-badge-icon-only-spacing-horizontal,var(--spectrum-badge-icon-only-spacing-horizontal));padding-inline-end:var(--mod-badge-icon-only-spacing-horizontal,var(--spectrum-badge-icon-only-spacing-horizontal))}:host{align-items:center}:host([fixed=left]){border-start-start-radius:0;border-end-start-radius:0}:host([fixed=right]){border-start-end-radius:0;border-end-end-radius:0}:host([fixed=top]){border-start-start-radius:0;border-start-end-radius:0}:host([fixed=bottom]){border-end-end-radius:0;border-end-start-radius:0}:host([size=xs]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-50)}:host([size=s]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-75)}:host([size=m]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-100)}:host([size=l]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-200)}:host([size=xl]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-300)}:host([size=xxl]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-400)}::slotted([slot=icon]){flex-shrink:0}.label slot{max-height:calc(var(--spectrum-badge-line-height)*var(--spectrum-badge-font-size)*2);display:block;overflow:hidden}[icon-only]+.label{display:none}\n"
    ]);
    _templateObject$2M = function _templateObject() {
        return data;
    };
    return data;
}
var r$q = i$p(_templateObject$2M());
var b$b = r$q;

function _assert_this_initialized$1H(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1V(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1T(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1T(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1T(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1T(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1H(o) {
    _get_prototype_of$1H = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1H(o);
}
function _inherits$1H(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1H(subClass, superClass);
}
function _possible_constructor_return$1H(self, call) {
    if (call && (_type_of$1H(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1H(self);
}
function _set_prototype_of$1H(o, p) {
    _set_prototype_of$1H = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1H(o, p);
}
function _tagged_template_literal$2L(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1H(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1H() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1H(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1H();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1H(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1H(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1H(this, result);
    };
}
function _templateObject$2L() {
    var data = _tagged_template_literal$2L([
        '\n                      <slot\n                          name="icon"\n                          ?icon-only=',
        "\n                      ></slot>\n                  "
    ]);
    _templateObject$2L = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$w() {
    var data = _tagged_template_literal$2L([
        "\n            ",
        '\n            <div class="label">\n                <slot></slot>\n            </div>\n        '
    ]);
    _templateObject1$w = function _templateObject() {
        return data;
    };
    return data;
}
var d$m = Object.defineProperty;
var u$w = Object.getOwnPropertyDescriptor;
var a$m = function(r, o, e, i) {
    for(var t = i > 1 ? void 0 : i ? u$w(o, e) : o, s = r.length - 1, n; s >= 0; s--)(n = r[s]) && (t = (i ? n(o, e, t) : n(t)) || t);
    return i && t && d$m(o, e, t), t;
};
var Badge = /*#__PURE__*/ function(_f) {
    _inherits$1H(Badge, _f);
    var _super = _create_super$1H(Badge);
    function Badge() {
        _class_call_check$1V(this, Badge);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.variant = "informative";
        return _this;
    }
    _create_class$1T(Badge, [
        {
            key: "fixed",
            get: function get() {
                return this._fixed;
            },
            set: function set(e) {
                if (e === this.fixed) return;
                var i = this.fixed;
                this._fixed = e, e ? this.setAttribute("fixed", e) : this.removeAttribute("fixed"), this.requestUpdate("fixed", i);
            }
        },
        {
            key: "hasIcon",
            get: function get() {
                return this.slotContentIsPresent;
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject1$w(), this.hasIcon ? x$3(_templateObject$2L(), !this.slotHasContent) : E$2);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    b$b
                ];
            }
        }
    ]);
    return Badge;
}(SizedMixin(ObserveSlotText(ObserveSlotPresence(SpectrumElement, '[slot="icon"]'), ""), {
    noDefaultSize: !0
}));
a$m([
    n$r({
        reflect: !0
    })
], Badge.prototype, "fixed", 1), a$m([
    n$r({
        type: String,
        reflect: !0
    })
], Badge.prototype, "variant", 2);

defineElement("sp-badge", Badge);

function _tagged_template_literal$2K(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2K() {
    var data = _tagged_template_literal$2K([
        "\n    :host{border-radius:var(--spectrum-banner-border-radius,var(--spectrum-global-dimension-static-size-100));padding-top:var(--spectrum-banner-padding-y,var(--spectrum-global-dimension-static-size-50));padding-bottom:var(--spectrum-banner-padding-y,var(--spectrum-global-dimension-static-size-50));padding-left:var(--spectrum-banner-padding-x,var(--spectrum-global-dimension-static-size-100));padding-right:var(--spectrum-banner-padding-x,var(--spectrum-global-dimension-static-size-100));font-size:var(--spectrum-banner-text-size,var(--spectrum-global-dimension-font-size-75));line-height:var(--spectrum-banner-text-line-height,var(--spectrum-alias-heading-text-line-height));display:inline-block}#header{font-weight:700}:host([dir=ltr][corner]){right:-10px}:host([dir=rtl][corner]){left:-10px}:host([corner]){position:absolute;top:-10px}:host{color:var(--spectrum-banner-text-color,var(--spectrum-global-color-static-white))}:host([type=info]){background-color:var(--spectrum-banner-info-background-color,var(--spectrum-semantic-informative-color-default))}:host([type=warning]){background-color:var(--spectrum-banner-warning-background-color,var(--spectrum-semantic-notice-color-default))}:host([type=error]){background-color:var(--spectrum-banner-error-background-color,var(--spectrum-semantic-negative-color-default))}\n"
    ]);
    _templateObject$2K = function _templateObject() {
        return data;
    };
    return data;
}
var e$x = i$p(_templateObject$2K());
var m$j = e$x;

function _assert_this_initialized$1G(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1U(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1S(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1S(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1S(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1S(Constructor, staticProps);
    return Constructor;
}
function _get$S(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$S = Reflect.get;
    } else {
        _get$S = function get(target, property, receiver) {
            var base = _super_prop_base$S(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$S(target, property, receiver || target);
}
function _get_prototype_of$1G(o) {
    _get_prototype_of$1G = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1G(o);
}
function _inherits$1G(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1G(subClass, superClass);
}
function _possible_constructor_return$1G(self, call) {
    if (call && (_type_of$1G(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1G(self);
}
function _set_prototype_of$1G(o, p) {
    _set_prototype_of$1G = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1G(o, p);
}
function _super_prop_base$S(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1G(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2J(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1G(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1G() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1G(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1G();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1G(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1G(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1G(this, result);
    };
}
function _templateObject$2J() {
    var data = _tagged_template_literal$2J([
        '\n            <div id="header"><slot name="header"></slot></div>\n            <div id="content"><slot name="content"></slot></div>\n        '
    ]);
    _templateObject$2J = function _templateObject() {
        return data;
    };
    return data;
}
var a$l = Object.defineProperty;
var d$l = Object.getOwnPropertyDescriptor;
var s$9 = function(i, t, r, o) {
    for(var e = o > 1 ? void 0 : o ? d$l(t, r) : t, n = i.length - 1, l; n >= 0; n--)(l = i[n]) && (e = (o ? l(t, r, e) : l(e)) || e);
    return o && e && a$l(t, r, e), e;
};
var Banner = /*#__PURE__*/ function(u) {
    _inherits$1G(Banner, u);
    var _super = _create_super$1G(Banner);
    function Banner() {
        _class_call_check$1U(this, Banner);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.type = "info";
        _this.corner = !1;
        return _this;
    }
    _create_class$1S(Banner, [
        {
            key: "update",
            value: function update(r) {
                _get$S(_get_prototype_of$1G(Banner.prototype), "update", this).call(this, r);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$2J());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    m$j
                ];
            }
        }
    ]);
    return Banner;
}(SpectrumElement);
s$9([
    n$r({
        reflect: !0,
        type: String
    })
], Banner.prototype, "type", 2), s$9([
    n$r({
        reflect: !0,
        type: Boolean
    })
], Banner.prototype, "corner", 2);

defineElement("sp-banner", Banner);

defineElement("sp-clear-button", ClearButton);

function _tagged_template_literal$2I(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2I() {
    var data = _tagged_template_literal$2I([
        "\n    :host{--spectrum-buttongroup-spacing-horizontal:var(--spectrum-spacing-300);--spectrum-buttongroup-spacing-vertical:var(--spectrum-spacing-300)}:host([size=s]){--spectrum-buttongroup-spacing-horizontal:var(--spectrum-spacing-200);--spectrum-buttongroup-spacing-vertical:var(--spectrum-spacing-200)}:host([size=l]),:host,:host([size=xl]){--spectrum-buttongroup-spacing-horizontal:var(--spectrum-spacing-300);--spectrum-buttongroup-spacing-vertical:var(--spectrum-spacing-300)}:host{gap:var(--mod-buttongroup-spacing-horizontal,var(--spectrum-buttongroup-spacing-horizontal));justify-content:var(--mod-buttongroup-justify-content,normal);flex-wrap:wrap;display:flex}::slotted(*){flex-shrink:0}:host([vertical]){gap:var(--mod-buttongroup-spacing-vertical,var(--spectrum-buttongroup-spacing-vertical));flex-direction:column;display:inline-flex}:host([vertical]) ::slotted(sp-action-button){--spectrum-actionbutton-label-flex-grow:1}:host([dir=ltr][vertical]) ::slotted(sp-action-button){--spectrum-actionbutton-label-text-align:left}:host([dir=rtl][vertical]) ::slotted(sp-action-button){--spectrum-actionbutton-label-text-align:right}\n"
    ]);
    _templateObject$2I = function _templateObject() {
        return data;
    };
    return data;
}
var o$y = i$p(_templateObject$2I());
var S$2 = o$y;

function _assert_this_initialized$1F(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1T(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1R(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1R(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1R(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1R(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1F(o) {
    _get_prototype_of$1F = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1F(o);
}
function _inherits$1F(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1F(subClass, superClass);
}
function _possible_constructor_return$1F(self, call) {
    if (call && (_type_of$1F(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1F(self);
}
function _set_prototype_of$1F(o, p) {
    _set_prototype_of$1F = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1F(o, p);
}
function _tagged_template_literal$2H(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1F(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1F() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1F(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1F();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1F(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1F(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1F(this, result);
    };
}
function _templateObject$2H() {
    var data = _tagged_template_literal$2H([
        "\n            <slot @slotchange=",
        "></slot>\n        "
    ]);
    _templateObject$2H = function _templateObject() {
        return data;
    };
    return data;
}
var i$f = Object.defineProperty;
var m$i = Object.getOwnPropertyDescriptor;
var a$k = function(o, t, r, s) {
    for(var e = s > 1 ? void 0 : s ? m$i(t, r) : t, l = o.length - 1, n; l >= 0; l--)(n = o[l]) && (e = (s ? n(t, r, e) : n(e)) || e);
    return s && e && i$f(t, r, e), e;
};
var ButtonGroup = /*#__PURE__*/ function(_c) {
    _inherits$1F(ButtonGroup, _c);
    var _super = _create_super$1F(ButtonGroup);
    function ButtonGroup() {
        _class_call_check$1T(this, ButtonGroup);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.vertical = !1;
        return _this;
    }
    _create_class$1R(ButtonGroup, [
        {
            key: "handleSlotchange",
            value: function handleSlotchange(param) {
                var _this = this;
                var r = param.target;
                r.assignedElements().forEach(function(e) {
                    e.size = _this.size;
                });
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$2H(), this.handleSlotchange);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    S$2
                ];
            }
        }
    ]);
    return ButtonGroup;
}(SizedMixin(SpectrumElement, {
    noDefaultSize: !0
}));
a$k([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ButtonGroup.prototype, "vertical", 2);

defineElement("sp-button-group", ButtonGroup);

function _assert_this_initialized$1E(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1S(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1Q(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1Q(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1Q(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1Q(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1E(o) {
    _get_prototype_of$1E = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1E(o);
}
function _inherits$1E(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1E(subClass, superClass);
}
function _possible_constructor_return$1E(self, call) {
    if (call && (_type_of$1E(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1E(self);
}
function _set_prototype_of$1E(o, p) {
    _set_prototype_of$1E = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1E(o, p);
}
function _tagged_template_literal$2G(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1E(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1E() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1E(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1E();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1E(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1E(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1E(this, result);
    };
}
function _templateObject$2G() {
    var data = _tagged_template_literal$2G([
        '\n                <input\n                    id="input"\n                    name=',
        '\n                    type="checkbox"\n                    .checked=',
        "\n                    ?disabled=",
        "\n                    @change=",
        "\n                />\n            "
    ]);
    _templateObject$2G = function _templateObject() {
        return data;
    };
    return data;
}
var a$j = Object.defineProperty;
var p$u = Object.getOwnPropertyDescriptor;
var c$p = function(i, e, r, n) {
    for(var t = n > 1 ? void 0 : n ? p$u(e, r) : e, o = i.length - 1, l; o >= 0; o--)(l = i[o]) && (t = (n ? l(e, r, t) : l(t)) || t);
    return n && t && a$j(e, r, t), t;
};
function CheckboxMixin(i) {
    var e = /*#__PURE__*/ function(i) {
        _inherits$1E(e, i);
        var _super = _create_super$1E(e);
        function e() {
            _class_call_check$1S(this, e);
            var _this;
            _this = _super.call.apply(_super, [
                this
            ].concat(Array.prototype.slice.call(arguments)));
            _this.checked = !1;
            _this.readonly = !1;
            return _this;
        }
        _create_class$1Q(e, [
            {
                key: "handleChange",
                value: function handleChange() {
                    if (this.readonly) {
                        this.inputElement.checked = this.checked;
                        return;
                    }
                    this.checked = this.inputElement.checked;
                    var t = new CustomEvent("change", {
                        bubbles: !0,
                        cancelable: !0,
                        composed: !0
                    });
                    this.dispatchEvent(t) || (this.checked = !this.inputElement.checked, this.inputElement.checked = this.checked);
                }
            },
            {
                key: "render",
                value: function render() {
                    return x$3(_templateObject$2G(), o$O(this.name || void 0), this.checked, this.readonly, this.handleChange);
                }
            }
        ]);
        return e;
    }(i);
    return c$p([
        n$r({
            type: Boolean,
            reflect: !0
        })
    ], e.prototype, "checked", 2), c$p([
        n$r({
            type: String,
            reflect: !0
        })
    ], e.prototype, "name", 2), c$p([
        n$r({
            type: Boolean,
            reflect: !0
        })
    ], e.prototype, "readonly", 2), c$p([
        e$F("#input")
    ], e.prototype, "inputElement", 2), e;
}

function _tagged_template_literal$2F(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2F() {
    var data = _tagged_template_literal$2F([
        '\n    :host{--spectrum-checkbox-content-color-default:var(--spectrum-neutral-content-color-default);--spectrum-checkbox-content-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-checkbox-content-color-down:var(--spectrum-neutral-content-color-down);--spectrum-checkbox-content-color-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-checkbox-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-checkbox-content-color-disabled:var(--spectrum-disabled-content-color);--spectrum-checkbox-control-color-disabled:var(--spectrum-disabled-content-color);--spectrum-checkbox-checkmark-color:var(--spectrum-gray-75);--spectrum-checkbox-invalid-color-default:var(--spectrum-negative-color-900);--spectrum-checkbox-invalid-color-hover:var(--spectrum-negative-color-1000);--spectrum-checkbox-invalid-color-down:var(--spectrum-negative-color-1100);--spectrum-checkbox-invalid-color-focus:var(--spectrum-negative-color-1000);--spectrum-checkbox-emphasized-color-default:var(--spectrum-accent-color-900);--spectrum-checkbox-emphasized-color-hover:var(--spectrum-accent-color-1000);--spectrum-checkbox-emphasized-color-down:var(--spectrum-accent-color-1100);--spectrum-checkbox-emphasized-color-focus:var(--spectrum-accent-color-1000);--spectrum-checkbox-control-selected-color-default:var(--spectrum-neutral-background-color-selected-default);--spectrum-checkbox-control-selected-color-hover:var(--spectrum-neutral-background-color-selected-hover);--spectrum-checkbox-control-selected-color-down:var(--spectrum-neutral-background-color-selected-down);--spectrum-checkbox-control-selected-color-focus:var(--spectrum-neutral-background-color-selected-key-focus);--spectrum-checkbox-font-size:var(--spectrum-font-size-100);--spectrum-checkbox-line-height:var(--spectrum-line-height-100);--spectrum-checkbox-line-height-cjk:var(--spectrum-cjk-line-height-100);--spectrum-checkbox-height:var(--spectrum-component-height-100);--spectrum-checkbox-control-size:var(--spectrum-checkbox-control-size-medium);--spectrum-checkbox-control-corner-radius:var(--spectrum-corner-radius-75);--spectrum-checkbox-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-checkbox-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-checkbox-border-width:var(--spectrum-border-width-200);--spectrum-checkbox-selected-border-width:calc(var(--spectrum-checkbox-control-size)/2);--spectrum-checkbox-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-checkbox-text-to-control:var(--spectrum-text-to-control-100);--spectrum-checkbox-animation-duration:var(--spectrum-animation-duration-100)}:host([size=s]){--spectrum-checkbox-font-size:var(--spectrum-font-size-75);--spectrum-checkbox-height:var(--spectrum-component-height-75);--spectrum-checkbox-control-size:var(--spectrum-checkbox-control-size-small);--spectrum-checkbox-top-to-text:var(--spectrum-component-top-to-text-75);--spectrum-checkbox-text-to-control:var(--spectrum-text-to-control-75)}:host{--spectrum-checkbox-font-size:var(--spectrum-font-size-100);--spectrum-checkbox-height:var(--spectrum-component-height-100);--spectrum-checkbox-control-size:var(--spectrum-checkbox-control-size-medium);--spectrum-checkbox-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-checkbox-text-to-control:var(--spectrum-text-to-control-100)}:host([size=l]){--spectrum-checkbox-font-size:var(--spectrum-font-size-200);--spectrum-checkbox-height:var(--spectrum-component-height-200);--spectrum-checkbox-control-size:var(--spectrum-checkbox-control-size-large);--spectrum-checkbox-top-to-text:var(--spectrum-component-top-to-text-200);--spectrum-checkbox-text-to-control:var(--spectrum-text-to-control-200)}:host([size=xl]){--spectrum-checkbox-font-size:var(--spectrum-font-size-300);--spectrum-checkbox-height:var(--spectrum-component-height-300);--spectrum-checkbox-control-size:var(--spectrum-checkbox-control-size-extra-large);--spectrum-checkbox-top-to-text:var(--spectrum-component-top-to-text-300);--spectrum-checkbox-text-to-control:var(--spectrum-text-to-control-300)}:host{color:var(--highcontrast-checkbox-content-color-default,var(--mod-checkbox-content-color-default,var(--spectrum-checkbox-content-color-default)));min-block-size:var(--mod-checkbox-height,var(--spectrum-checkbox-height));vertical-align:top;align-items:flex-start;max-inline-size:100%;display:inline-flex;position:relative}:host(:is(:active,[active])) #box:before{border-color:var(--highcontrast-checkbox-highlight-color-down,var(--mod-checkbox-control-color-down,var(--spectrum-checkbox-control-color-down)))}:host(:is(:active,[active])) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-down,var(--mod-checkbox-control-selected-color-down,var(--spectrum-checkbox-control-selected-color-down)))}:host(:is(:active,[active])) #label{color:var(--highcontrast-checkbox-content-color-down,var(--mod-checkbox-content-color-down,var(--spectrum-checkbox-content-color-down)))}:host([invalid][invalid]) #box:before,:host([invalid][invalid]) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-color-default,var(--mod-checkbox-invalid-color-default,var(--spectrum-checkbox-invalid-color-default)))}:host([invalid][invalid]) #input:focus-visible+#box:before,:host([invalid][invalid][indeterminate]) #input:focus-visible+#box:before{border-color:var(--highcontrast-checkbox-color-hover,var(--mod-checkbox-invalid-color-hover,var(--spectrum-checkbox-invalid-color-hover)))}:host([readonly]){border-color:var(--highcontrast-checkbox-color-default,var(--mod-checkbox-control-selected-color-default,var(--spectrum-checkbox-control-selected-color-default)))}:host([readonly]:is(:active,[active])) #box:before{border-color:var(--highcontrast-checkbox-selected-color-default,var(--mod-checkbox-control-selected-color-default,var(--spectrum-checkbox-control-selected-color-default)))}:host([readonly]) #input:checked:disabled+#box:before,:host([readonly]) #input:disabled+#box:before{border-color:var(--highcontrast-checkbox-color-default,var(--mod-checkbox-control-selected-color-default,var(--spectrum-checkbox-control-selected-color-default)));background-color:var(--highcontrast-checkbox-background-color-default,var(--mod-checkbox-checkmark-color,var(--spectrum-checkbox-checkmark-color)))}:host([readonly]) #input:checked:disabled~#label,:host([readonly]) #input:disabled~#label{forced-color-adjust:none;color:var(--highcontrast-checkbox-color-default,var(--mod-checkbox-content-color-default,var(--spectrum-checkbox-content-color-default)))}:host([indeterminate]) #box:before,:host([indeterminate]) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-default,var(--mod-checkbox-control-selected-color-default,var(--spectrum-checkbox-control-selected-color-default)));border-width:var(--mod-checkbox-selected-border-width,var(--spectrum-checkbox-selected-border-width))}:host([indeterminate]) #box #checkmark,:host([indeterminate]) #input:checked+#box #checkmark{display:none}:host([indeterminate]) #box #partialCheckmark,:host([indeterminate]) #input:checked+#box #partialCheckmark{opacity:1;display:block;transform:scale(1)}:host([indeterminate]) #input:focus-visible+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-focus,var(--mod-checkbox-control-selected-color-focus,var(--spectrum-checkbox-control-selected-color-focus)))}:host([invalid][invalid][indeterminate]) #box:before,:host([invalid][invalid][indeterminate]) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-color-default,var(--mod-checkbox-invalid-color-default,var(--spectrum-checkbox-invalid-color-default)));border-width:var(--mod-checkbox-selected-border-width,var(--spectrum-checkbox-selected-border-width))}:host([emphasized]) #input:checked+#box:before,:host([emphasized][indeterminate]) #box:before,:host([emphasized][indeterminate]) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-default,var(--mod-checkbox-emphasized-color-default,var(--spectrum-checkbox-emphasized-color-default)))}:host([emphasized]) #input:focus-visible:checked+#box:before,:host([emphasized][indeterminate]) #input:focus-visible+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-focus,var(--mod-checkbox-emphasized-color-focus,var(--spectrum-checkbox-emphasized-color-focus)))}:host([emphasized][invalid][invalid]) #input:focus-visible:checked+#box:before{border-color:var(--highcontrast-checkbox-color-default,var(--mod-checkbox-invalid-color-focus,var(--spectrum-checkbox-invalid-color-focus)))}@media (hover:hover){:host(:hover) #box:before{border-color:var(--highcontrast-checkbox-highlight-color-hover,var(--mod-checkbox-control-color-hover,var(--spectrum-checkbox-control-color-hover)))}:host(:hover) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-hover,var(--mod-checkbox-control-selected-color-hover,var(--spectrum-checkbox-control-selected-color-hover)))}:host(:hover) #label{color:var(--highcontrast-checkbox-content-color-hover,var(--mod-checkbox-content-color-hover,var(--spectrum-checkbox-content-color-hover)))}:host([invalid][invalid]:hover) #box:before,:host([invalid][invalid]:hover) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-color-hover,var(--mod-checkbox-invalid-color-hover,var(--spectrum-checkbox-invalid-color-hover)))}:host([readonly]:hover) #box:before{border-color:var(--highcontrast-checkbox-color-default,var(--mod-checkbox-control-selected-color-default,var(--spectrum-checkbox-control-selected-color-default)))}:host([indeterminate]:hover) #box:before,:host([indeterminate]:hover) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-hover,var(--mod-checkbox-control-selected-color-hover,var(--spectrum-checkbox-control-selected-color-hover)))}:host([invalid][invalid][indeterminate]:hover) #box:before,:host([invalid][invalid][indeterminate]:hover) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-color-default,var(--mod-checkbox-invalid-color-hover,var(--spectrum-checkbox-invalid-color-hover)))}:host([invalid][invalid][indeterminate]:hover) #label{color:var(--highcontrast-checkbox-content-color-hover,var(--mod-checkbox-content-color-hover,var(--spectrum-checkbox-content-color-hover)))}:host([emphasized][invalid][invalid][indeterminate]:hover) #box:before,:host([emphasized][invalid][invalid][indeterminate]:hover) #input:checked+#box:before,:host([emphasized][invalid][invalid]:hover) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-color-hover,var(--mod-checkbox-invalid-color-hover,var(--spectrum-checkbox-invalid-color-hover)))}:host([emphasized][indeterminate]:hover) #box:before,:host([emphasized][indeterminate]:hover) #input:checked+#box:before,:host([emphasized]:hover) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-hover,var(--mod-checkbox-emphasized-color-hover,var(--spectrum-checkbox-emphasized-color-hover)))}}:host([emphasized][indeterminate]:is(:active,[active])) #box:before,:host([emphasized][indeterminate]:is(:active,[active])) #input:checked+#box:before,:host([emphasized]:is(:active,[active])) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-default,var(--mod-checkbox-emphasized-color-down,var(--spectrum-checkbox-emphasized-color-down)))}:host([emphasized][invalid][invalid]:is(:active,[active])) #box:before,:host([emphasized][invalid][invalid]:is(:active,[active])) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-default,var(--mod-checkbox-control-invalid-color-down,var(--spectrum-checkbox-invalid-color-down)))}:host([emphasized]:focus-visible) #box:before,:host([emphasized]:focus-visible) #input:checked+#box:before{border-color:var(--highcontrast-checkbox-color-focus,var(--mod-checkbox-control-color-focus,var(--spectrum-checkbox-control-color-focus)))}#label{text-align:start;font-size:var(--mod-checkbox-font-size,var(--spectrum-checkbox-font-size));transition:color var(--mod-checkbox-animation-duration,var(--spectrum-checkbox-animation-duration))ease-in-out;line-height:var(--mod-checkbox-line-height,var(--spectrum-checkbox-line-height));margin-block-start:var(--mod-checkbox-top-to-text,var(--spectrum-checkbox-top-to-text));margin-inline-start:var(--mod-checkbox-text-to-control,var(--spectrum-checkbox-text-to-control))}#label:lang(ja),#label:lang(ko),#label:lang(zh){line-height:var(--mod-checkbox-line-height-cjk,var(--spectrum-checkbox-line-height-cjk))}#input{color:var(--mod-checkbox-control-color-default,var(--spectrum-checkbox-control-color-default));box-sizing:border-box;opacity:.0001;z-index:1;cursor:pointer;block-size:100%;inline-size:100%;margin:0;padding:0;font-family:inherit;font-size:100%;line-height:1.15;position:absolute;overflow:visible}#input:disabled{cursor:default}#input:checked+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-default,var(--mod-checkbox-control-selected-color-default,var(--spectrum-checkbox-control-selected-color-default)));background-color:var(--mod-checkbox-checkmark-color,var(--spectrum-checkbox-checkmark-color));border-width:var(--mod-checkbox-selected-border-width,var(--spectrum-checkbox-selected-border-width))}#input:checked+#box #checkmark{opacity:1;transform:scale(1)}#input:focus-visible+#box:before{border-color:var(--highcontrast-checkbox-color-focus,var(--mod-checkbox-control-color-focus,var(--spectrum-checkbox-control-color-focus)))}#input:focus-visible+#box:after{forced-color-adjust:none;box-shadow:0 0 0 var(--mod-checkbox-focus-indicator-thinkness,var(--spectrum-checkbox-focus-indicator-thickness))var(--highcontrast-checkbox-focus-indicator-color,var(--mod-checkbox-focus-indicator-color,var(--spectrum-checkbox-focus-indicator-color)));margin:calc(var(--mod-checkbox-focus-indicator-gap,var(--spectrum-checkbox-focus-indicator-gap))*-1)}#input:focus-visible+#label{color:var(--highcontrast-checkbox-content-color-focus,var(--mod-checkbox-content-color-focus,var(--spectrum-checkbox-content-color-focus)))}#input:focus-visible:checked+#box:before{border-color:var(--highcontrast-checkbox-highlight-color-focus,var(--mod-checkbox-control-selected-color-focus,var(--spectrum-checkbox-control-selected-color-focus)))}#box{--spectrum-checkbox-spacing:calc(var(--mod-checkbox-height,var(--spectrum-checkbox-height)) - var(--mod-checkbox-control-size,var(--spectrum-checkbox-control-size)));margin:calc(var(--mod-checkbox-spacing,var(--spectrum-checkbox-spacing))/2)0;flex-grow:0;flex-shrink:0;justify-content:center;align-items:center;display:flex;position:relative}#box,#box:before{box-sizing:border-box;inline-size:var(--mod-checkbox-control-size,var(--spectrum-checkbox-control-size));block-size:var(--mod-checkbox-control-size,var(--spectrum-checkbox-control-size))}#box:before{forced-color-adjust:none;border-color:var(--highcontrast-checkbox-color-default,var(--mod-checkbox-control-color-default,var(--spectrum-checkbox-control-color-default)));z-index:0;content:"";border-radius:var(--mod-checkbox-control-corner-radius,var(--spectrum-checkbox-control-corner-radius));border-width:var(--mod-checkbox-border-width,var(--spectrum-checkbox-border-width));transition:border var(--mod-checkbox-animation-duration,var(--spectrum-checkbox-animation-duration))ease-in-out,box-shadow var(--mod-checkbox-animation-duration,var(--spectrum-checkbox-animation-duration))ease-in-out;border-style:solid;display:block;position:absolute}#box:after{border-radius:calc(var(--mod-checkbox-control-corner-radius,var(--spectrum-checkbox-control-corner-radius)) + var(--mod-checkbox-focus-indicator-gap,var(--spectrum-checkbox-focus-indicator-gap)));content:"";margin:var(--mod-checkbox-focus-indicator-gap,var(--spectrum-checkbox-focus-indicator-gap));transition:box-shadow var(--mod-checkbox-animation-duration,var(--spectrum-checkbox-animation-duration))ease-out,margin var(--mod-checkbox-animation-duration,var(--spectrum-checkbox-animation-duration))ease-out;display:block;position:absolute;inset-block:0;inset-inline:0;transform:translate(0)}#checkmark,#partialCheckmark{color:var(--highcontrast-checkbox-background-color-default,var(--mod-checkbox-checkmark-color,var(--spectrum-checkbox-checkmark-color)));opacity:0;transition:opacity var(--mod-checkbox-animation-duration,var(--spectrum-checkbox-animation-duration))ease-in-out,transform var(--mod-checkbox-animation-duration,var(--spectrum-checkbox-animation-duration))ease-in-out;transform:scale(0)}#partialCheckmark{display:none}#input:checked:disabled+#box:before,#input:disabled+#box:before{border-color:var(--highcontrast-checkbox-disabled-color-default,var(--mod-checkbox-control-color-disabled,var(--spectrum-checkbox-control-color-disabled)));background-color:var(--highcontrast-checkbox-background-color-default,var(--mod-checkbox-checkmark-color,var(--spectrum-checkbox-checkmark-color)))}#input:checked:disabled~#label,#input:disabled~#label{forced-color-adjust:none;color:var(--highcontrast-checkbox-disabled-color-default,var(--mod-checkbox-content-color-disabled,var(--spectrum-checkbox-content-color-disabled)))}@media (forced-colors:active){#input:focus-visible+#box{forced-color-adjust:none;outline-color:var(--highcontrast-checkbox-focus-indicator-color,var(--mod-checkbox-focus-indicator-color,var(--spectrum-checkbox-focus-indicator-color)));outline-offset:var(--highcontrast-checkbox-focus-indicator-gap,var(--mod-checkbox-focus-indicator-gap,var(--spectrum-checkbox-focus-indicator-gap)));outline-style:auto;outline-width:var(--mod-focus-indicator-thickness,var(--spectrum-focus-indicator-thickness))}#input:focus-visible+#box:after{box-shadow:0 0 0 0 var(--highcontrast-checkbox-focus-indicator-color,var(--mod-checkbox-focus-indicator-color,var(--spectrum-checkbox-focus-indicator-color)))}:host{--highcontrast-checkbox-content-color-default:CanvasText;--highcontrast-checkbox-content-color-hover:CanvasText;--highcontrast-checkbox-content-color-down:CanvasText;--highcontrast-checkbox-content-color-focus:CanvasText;--highcontrast-checkbox-background-color-default:Canvas;--highcontrast-checkbox-color-default:ButtonText;--highcontrast-checkbox-color-hover:ButtonText;--highcontrast-checkbox-color-focus:Highlight;--highcontrast-checkbox-highlight-color-default:Highlight;--highcontrast-checkbox-highlight-color-hover:Highlight;--highcontrast-checkbox-highlight-color-down:Highlight;--highcontrast-checkbox-highlight-color-focus:Highlight;--highcontrast-checkbox-disabled-color-default:GrayText;--highcontrast-checkbox-focus-indicator-color:CanvasText}}:host{--spectrum-checkbox-control-color-default:var(--system-spectrum-checkbox-control-color-default);--spectrum-checkbox-control-color-hover:var(--system-spectrum-checkbox-control-color-hover);--spectrum-checkbox-control-color-down:var(--system-spectrum-checkbox-control-color-down);--spectrum-checkbox-control-color-focus:var(--system-spectrum-checkbox-control-color-focus)}:host{vertical-align:top;display:inline-flex}:host(:focus){outline:none}:host([disabled]){pointer-events:none}:host(:empty) label{display:none}\n'
    ]);
    _templateObject$2F = function _templateObject() {
        return data;
    };
    return data;
}
var c$o = i$p(_templateObject$2F());
var k$2 = c$o;

function _tagged_template_literal$2E(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2E() {
    var data = _tagged_template_literal$2E([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 10 10"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="M3.667 9.07a.96.96 0 0 1-.737-.344L.753 6.114a.96.96 0 1 1 1.474-1.23l1.418 1.701 4.112-5.233a.96.96 0 0 1 1.51 1.186L4.422 8.704a.96.96 0 0 1-.741.367z"\n    />\n  </svg>'
    ]);
    _templateObject$2E = function _templateObject() {
        return data;
    };
    return data;
}
var Checkmark75Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, a = tmp2 === void 0 ? "Checkmark75" : tmp2;
    return tag$1(_templateObject$2E(), a, t, e);
};

function _assert_this_initialized$1D(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1R(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1P(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1P(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1P(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1P(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1D(o) {
    _get_prototype_of$1D = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1D(o);
}
function _inherits$1D(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1D(subClass, superClass);
}
function _possible_constructor_return$1D(self, call) {
    if (call && (_type_of$1D(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1D(self);
}
function _set_prototype_of$1D(o, p) {
    _set_prototype_of$1D = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1D(o, p);
}
function _type_of$1D(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1D() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1D(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1D();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1D(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1D(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1D(this, result);
    };
}
var IconCheckmark75 = /*#__PURE__*/ function(t) {
    _inherits$1D(IconCheckmark75, t);
    var _super = _create_super$1D(IconCheckmark75);
    function IconCheckmark75() {
        _class_call_check$1R(this, IconCheckmark75);
        return _super.apply(this, arguments);
    }
    _create_class$1P(IconCheckmark75, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Checkmark75Icon();
            }
        }
    ]);
    return IconCheckmark75;
} 
(IconBase);

defineElement("sp-icon-checkmark75", IconCheckmark75);

function _tagged_template_literal$2D(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2D() {
    var data = _tagged_template_literal$2D([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 10 10"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="M3.5 9.5a1 1 0 0 1-.774-.368l-2.45-3a1 1 0 1 1 1.548-1.264l1.657 2.028 4.68-6.01A1 1 0 0 1 9.74 2.114l-5.45 7a1 1 0 0 1-.777.386z"\n    />\n  </svg>'
    ]);
    _templateObject$2D = function _templateObject() {
        return data;
    };
    return data;
}
var Checkmark100Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Checkmark100" : tmp2;
    return tag$1(_templateObject$2D(), r, t, e);
};

function _assert_this_initialized$1C(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1Q(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1O(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1O(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1O(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1O(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1C(o) {
    _get_prototype_of$1C = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1C(o);
}
function _inherits$1C(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1C(subClass, superClass);
}
function _possible_constructor_return$1C(self, call) {
    if (call && (_type_of$1C(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1C(self);
}
function _set_prototype_of$1C(o, p) {
    _set_prototype_of$1C = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1C(o, p);
}
function _type_of$1C(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1C() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1C(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1C();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1C(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1C(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1C(this, result);
    };
}
var IconCheckmark100 = /*#__PURE__*/ function(t) {
    _inherits$1C(IconCheckmark100, t);
    var _super = _create_super$1C(IconCheckmark100);
    function IconCheckmark100() {
        _class_call_check$1Q(this, IconCheckmark100);
        return _super.apply(this, arguments);
    }
    _create_class$1O(IconCheckmark100, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Checkmark100Icon();
            }
        }
    ]);
    return IconCheckmark100;
} 
(IconBase);

defineElement("sp-icon-checkmark100", IconCheckmark100);

function _tagged_template_literal$2C(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2C() {
    var data = _tagged_template_literal$2C([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 12 12"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="M4.313 10.98a1.04 1.04 0 0 1-.8-.375L.647 7.165a1.042 1.042 0 0 1 1.6-1.333l2.042 2.45 5.443-6.928a1.042 1.042 0 0 1 1.64 1.287l-6.24 7.94a1.04 1.04 0 0 1-.804.399z"\n    />\n  </svg>'
    ]);
    _templateObject$2C = function _templateObject() {
        return data;
    };
    return data;
}
var Checkmark200Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, a = tmp2 === void 0 ? "Checkmark200" : tmp2;
    return tag$1(_templateObject$2C(), a, t, e);
};

function _assert_this_initialized$1B(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1P(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1N(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1N(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1N(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1N(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1B(o) {
    _get_prototype_of$1B = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1B(o);
}
function _inherits$1B(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1B(subClass, superClass);
}
function _possible_constructor_return$1B(self, call) {
    if (call && (_type_of$1B(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1B(self);
}
function _set_prototype_of$1B(o, p) {
    _set_prototype_of$1B = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1B(o, p);
}
function _type_of$1B(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1B() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1B(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1B();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1B(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1B(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1B(this, result);
    };
}
var IconCheckmark200 = /*#__PURE__*/ function(t) {
    _inherits$1B(IconCheckmark200, t);
    var _super = _create_super$1B(IconCheckmark200);
    function IconCheckmark200() {
        _class_call_check$1P(this, IconCheckmark200);
        return _super.apply(this, arguments);
    }
    _create_class$1N(IconCheckmark200, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Checkmark200Icon();
            }
        }
    ]);
    return IconCheckmark200;
} 
(IconBase);

defineElement("sp-icon-checkmark200", IconCheckmark200);

function _tagged_template_literal$2B(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2B() {
    var data = _tagged_template_literal$2B([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 14 14"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="M5.102 12.514a1.09 1.09 0 0 1-.834-.39L.988 8.19A1.085 1.085 0 0 1 2.656 6.8l2.421 2.906 6.243-7.947a1.085 1.085 0 0 1 1.707 1.34L5.955 12.1a1.09 1.09 0 0 1-.838.415z"\n    />\n  </svg>'
    ]);
    _templateObject$2B = function _templateObject() {
        return data;
    };
    return data;
}
var Checkmark300Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Checkmark300" : tmp2;
    return tag$1(_templateObject$2B(), r, t, e);
};

function _assert_this_initialized$1A(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1O(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1M(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1M(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1M(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1M(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1A(o) {
    _get_prototype_of$1A = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1A(o);
}
function _inherits$1A(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1A(subClass, superClass);
}
function _possible_constructor_return$1A(self, call) {
    if (call && (_type_of$1A(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1A(self);
}
function _set_prototype_of$1A(o, p) {
    _set_prototype_of$1A = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1A(o, p);
}
function _type_of$1A(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1A() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1A(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1A();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1A(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1A(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1A(this, result);
    };
}
var IconCheckmark300 = /*#__PURE__*/ function(t) {
    _inherits$1A(IconCheckmark300, t);
    var _super = _create_super$1A(IconCheckmark300);
    function IconCheckmark300() {
        _class_call_check$1O(this, IconCheckmark300);
        return _super.apply(this, arguments);
    }
    _create_class$1M(IconCheckmark300, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Checkmark300Icon();
            }
        }
    ]);
    return IconCheckmark300;
} 
(IconBase);

defineElement("sp-icon-checkmark300", IconCheckmark300);

function _tagged_template_literal$2A(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2A() {
    var data = _tagged_template_literal$2A([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 8 8"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path d="M6.99 4.96H1.01a.96.96 0 0 1 0-1.92h5.98a.96.96 0 0 1 0 1.92" />\n  </svg>'
    ]);
    _templateObject$2A = function _templateObject() {
        return data;
    };
    return data;
}
var Dash75Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, a = tmp2 === void 0 ? "Dash75" : tmp2;
    return tag$1(_templateObject$2A(), a, t, e);
};

function _assert_this_initialized$1z(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1N(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1L(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1L(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1L(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1L(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1z(o) {
    _get_prototype_of$1z = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1z(o);
}
function _inherits$1z(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1z(subClass, superClass);
}
function _possible_constructor_return$1z(self, call) {
    if (call && (_type_of$1z(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1z(self);
}
function _set_prototype_of$1z(o, p) {
    _set_prototype_of$1z = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1z(o, p);
}
function _type_of$1z(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1z() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1z(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1z();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1z(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1z(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1z(this, result);
    };
}
var IconDash75 = /*#__PURE__*/ function(t) {
    _inherits$1z(IconDash75, t);
    var _super = _create_super$1z(IconDash75);
    function IconDash75() {
        _class_call_check$1N(this, IconDash75);
        return _super.apply(this, arguments);
    }
    _create_class$1L(IconDash75, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Dash75Icon();
            }
        }
    ]);
    return IconDash75;
} 
(IconBase);

defineElement("sp-icon-dash75", IconDash75);

function _tagged_template_literal$2z(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2z() {
    var data = _tagged_template_literal$2z([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 10 10"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path d="M8.5 6h-7a1 1 0 0 1 0-2h7a1 1 0 0 1 0 2" />\n  </svg>'
    ]);
    _templateObject$2z = function _templateObject() {
        return data;
    };
    return data;
}
var Dash100Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, a = tmp2 === void 0 ? "Dash100" : tmp2;
    return tag$1(_templateObject$2z(), a, t, e);
};

function _assert_this_initialized$1y(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1M(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1K(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1K(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1K(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1K(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1y(o) {
    _get_prototype_of$1y = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1y(o);
}
function _inherits$1y(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1y(subClass, superClass);
}
function _possible_constructor_return$1y(self, call) {
    if (call && (_type_of$1y(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1y(self);
}
function _set_prototype_of$1y(o, p) {
    _set_prototype_of$1y = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1y(o, p);
}
function _type_of$1y(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1y() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1y(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1y();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1y(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1y(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1y(this, result);
    };
}
var IconDash100 = /*#__PURE__*/ function(t) {
    _inherits$1y(IconDash100, t);
    var _super = _create_super$1y(IconDash100);
    function IconDash100() {
        _class_call_check$1M(this, IconDash100);
        return _super.apply(this, arguments);
    }
    _create_class$1K(IconDash100, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Dash100Icon();
            }
        }
    ]);
    return IconDash100;
} 
(IconBase);

defineElement("sp-icon-dash100", IconDash100);

function _tagged_template_literal$2y(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2y() {
    var data = _tagged_template_literal$2y([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 12 12"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path d="M10.021 7.042H1.98a1.042 1.042 0 1 1 0-2.083h8.043a1.042 1.042 0 0 1 0 2.083z" />\n  </svg>'
    ]);
    _templateObject$2y = function _templateObject() {
        return data;
    };
    return data;
}
var Dash200Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, a = tmp2 === void 0 ? "Dash200" : tmp2;
    return tag$1(_templateObject$2y(), a, t, e);
};

function _assert_this_initialized$1x(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1L(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1J(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1J(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1J(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1J(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1x(o) {
    _get_prototype_of$1x = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1x(o);
}
function _inherits$1x(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1x(subClass, superClass);
}
function _possible_constructor_return$1x(self, call) {
    if (call && (_type_of$1x(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1x(self);
}
function _set_prototype_of$1x(o, p) {
    _set_prototype_of$1x = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1x(o, p);
}
function _type_of$1x(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1x() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1x(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1x();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1x(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1x(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1x(this, result);
    };
}
var IconDash200 = /*#__PURE__*/ function(t) {
    _inherits$1x(IconDash200, t);
    var _super = _create_super$1x(IconDash200);
    function IconDash200() {
        _class_call_check$1L(this, IconDash200);
        return _super.apply(this, arguments);
    }
    _create_class$1J(IconDash200, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Dash200Icon();
            }
        }
    ]);
    return IconDash200;
} 
(IconBase);

defineElement("sp-icon-dash200", IconDash200);

function _tagged_template_literal$2x(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2x() {
    var data = _tagged_template_literal$2x([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 12 12"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path d="M10.61 7.085H1.39a1.085 1.085 0 0 1 0-2.17h9.22a1.085 1.085 0 0 1 0 2.17" />\n  </svg>'
    ]);
    _templateObject$2x = function _templateObject() {
        return data;
    };
    return data;
}
var Dash300Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, a = tmp2 === void 0 ? "Dash300" : tmp2;
    return tag$1(_templateObject$2x(), a, t, e);
};

function _assert_this_initialized$1w(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1K(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1I(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1I(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1I(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1I(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1w(o) {
    _get_prototype_of$1w = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1w(o);
}
function _inherits$1w(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1w(subClass, superClass);
}
function _possible_constructor_return$1w(self, call) {
    if (call && (_type_of$1w(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1w(self);
}
function _set_prototype_of$1w(o, p) {
    _set_prototype_of$1w = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1w(o, p);
}
function _type_of$1w(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1w() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1w(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1w();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1w(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1w(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1w(this, result);
    };
}
var IconDash300 = /*#__PURE__*/ function(t) {
    _inherits$1w(IconDash300, t);
    var _super = _create_super$1w(IconDash300);
    function IconDash300() {
        _class_call_check$1K(this, IconDash300);
        return _super.apply(this, arguments);
    }
    _create_class$1I(IconDash300, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Dash300Icon();
            }
        }
    ]);
    return IconDash300;
} 
(IconBase);

defineElement("sp-icon-dash300", IconDash300);

function _tagged_template_literal$2w(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2w() {
    var data = _tagged_template_literal$2w([
        "\n    .spectrum-UIIcon-Checkmark50{--spectrum-icon-size:var(--spectrum-checkmark-icon-size-50)}.spectrum-UIIcon-Checkmark75{--spectrum-icon-size:var(--spectrum-checkmark-icon-size-75)}.spectrum-UIIcon-Checkmark100{--spectrum-icon-size:var(--spectrum-checkmark-icon-size-100)}.spectrum-UIIcon-Checkmark200{--spectrum-icon-size:var(--spectrum-checkmark-icon-size-200)}.spectrum-UIIcon-Checkmark300{--spectrum-icon-size:var(--spectrum-checkmark-icon-size-300)}.spectrum-UIIcon-Checkmark400{--spectrum-icon-size:var(--spectrum-checkmark-icon-size-400)}.spectrum-UIIcon-Checkmark500{--spectrum-icon-size:var(--spectrum-checkmark-icon-size-500)}.spectrum-UIIcon-Checkmark600{--spectrum-icon-size:var(--spectrum-checkmark-icon-size-600)}\n"
    ]);
    _templateObject$2w = function _templateObject() {
        return data;
    };
    return data;
}
var e$w = i$p(_templateObject$2w());
var C$5 = e$w;

function _tagged_template_literal$2v(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2v() {
    var data = _tagged_template_literal$2v([
        "\n    .spectrum-UIIcon-Dash50{--spectrum-icon-size:var(--spectrum-dash-icon-size-50)}.spectrum-UIIcon-Dash75{--spectrum-icon-size:var(--spectrum-dash-icon-size-75)}.spectrum-UIIcon-Dash100{--spectrum-icon-size:var(--spectrum-dash-icon-size-100)}.spectrum-UIIcon-Dash200{--spectrum-icon-size:var(--spectrum-dash-icon-size-200)}.spectrum-UIIcon-Dash300{--spectrum-icon-size:var(--spectrum-dash-icon-size-300)}.spectrum-UIIcon-Dash400{--spectrum-icon-size:var(--spectrum-dash-icon-size-400)}.spectrum-UIIcon-Dash500{--spectrum-icon-size:var(--spectrum-dash-icon-size-500)}.spectrum-UIIcon-Dash600{--spectrum-icon-size:var(--spectrum-dash-icon-size-600)}\n"
    ]);
    _templateObject$2v = function _templateObject() {
        return data;
    };
    return data;
}
var c$n = i$p(_templateObject$2v());
var y$e = c$n;

function _assert_this_initialized$1v(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1J(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1H(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1H(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1H(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1H(Constructor, staticProps);
    return Constructor;
}
function _define_property$e(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _get$R(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$R = Reflect.get;
    } else {
        _get$R = function get(target, property, receiver) {
            var base = _super_prop_base$R(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$R(target, property, receiver || target);
}
function _get_prototype_of$1v(o) {
    _get_prototype_of$1v = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1v(o);
}
function _inherits$1v(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1v(subClass, superClass);
}
function _object_spread$c(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$e(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$9(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$9(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$9(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _possible_constructor_return$1v(self, call) {
    if (call && (_type_of$1v(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1v(self);
}
function _set_prototype_of$1v(o, p) {
    _set_prototype_of$1v = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1v(o, p);
}
function _super_prop_base$R(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1v(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2u(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1v(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1v() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1v(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1v();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1v(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1v(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1v(this, result);
    };
}
function _templateObject$2u() {
    var data = _tagged_template_literal$2u([
        '\n            <sp-icon-checkmark75\n                id="checkmark"\n                class="spectrum-Icon spectrum-UIIcon-Checkmark75"\n            ></sp-icon-checkmark75>\n        '
    ]);
    _templateObject$2u = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$v() {
    var data = _tagged_template_literal$2u([
        '\n            <sp-icon-checkmark100\n                id="checkmark"\n                class="spectrum-Icon spectrum-UIIcon-Checkmark100"\n            ></sp-icon-checkmark100>\n        '
    ]);
    _templateObject1$v = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$l() {
    var data = _tagged_template_literal$2u([
        '\n            <sp-icon-checkmark200\n                id="checkmark"\n                class="spectrum-Icon spectrum-UIIcon-Checkmark200"\n            ></sp-icon-checkmark200>\n        '
    ]);
    _templateObject2$l = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$h() {
    var data = _tagged_template_literal$2u([
        '\n            <sp-icon-checkmark300\n                id="checkmark"\n                class="spectrum-Icon spectrum-UIIcon-Checkmark300"\n            ></sp-icon-checkmark300>\n        '
    ]);
    _templateObject3$h = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$f() {
    var data = _tagged_template_literal$2u([
        '\n            <sp-icon-dash75\n                id="partialCheckmark"\n                class="spectrum-Icon spectrum-UIIcon-Dash75"\n            ></sp-icon-dash75>\n        '
    ]);
    _templateObject4$f = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$c() {
    var data = _tagged_template_literal$2u([
        '\n            <sp-icon-dash100\n                id="partialCheckmark"\n                class="spectrum-Icon spectrum-UIIcon-Dash100"\n            ></sp-icon-dash100>\n        '
    ]);
    _templateObject5$c = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6$8() {
    var data = _tagged_template_literal$2u([
        '\n            <sp-icon-dash200\n                id="partialCheckmark"\n                class="spectrum-Icon spectrum-UIIcon-Dash200"\n            ></sp-icon-dash200>\n        '
    ]);
    _templateObject6$8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7$5() {
    var data = _tagged_template_literal$2u([
        '\n            <sp-icon-dash300\n                id="partialCheckmark"\n                class="spectrum-Icon spectrum-UIIcon-Dash300"\n            ></sp-icon-dash300>\n        '
    ]);
    _templateObject7$5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8$4() {
    var data = _tagged_template_literal$2u([
        ""
    ]);
    _templateObject8$4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9$3() {
    var data = _tagged_template_literal$2u([
        ""
    ]);
    _templateObject9$3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10$3() {
    var data = _tagged_template_literal$2u([
        "\n            ",
        '\n            <span id="box">\n                ',
        "\n                ",
        '\n            </span>\n            <label id="label" for="input"><slot></slot></label>\n        '
    ]);
    _templateObject10$3 = function _templateObject() {
        return data;
    };
    return data;
}
var d$k = Object.defineProperty;
var m$h = Object.getOwnPropertyDescriptor;
var r$p = function(n, s, e, c) {
    for(var i = c > 1 ? void 0 : c ? m$h(s, e) : s, l = n.length - 1, o; l >= 0; l--)(o = n[l]) && (i = (c ? o(s, e, i) : o(i)) || i);
    return c && i && d$k(s, e, i), i;
};
var I$1 = {
    s: function() {
        return x$3(_templateObject$2u());
    },
    m: function() {
        return x$3(_templateObject1$v());
    },
    l: function() {
        return x$3(_templateObject2$l());
    },
    xl: function() {
        return x$3(_templateObject3$h());
    }
}, v$e = {
    s: function() {
        return x$3(_templateObject4$f());
    },
    m: function() {
        return x$3(_templateObject5$c());
    },
    l: function() {
        return x$3(_templateObject6$8());
    },
    xl: function() {
        return x$3(_templateObject7$5());
    }
};
var Checkbox = /*#__PURE__*/ function(_u) {
    _inherits$1v(Checkbox, _u);
    var _super = _create_super$1v(Checkbox);
    function Checkbox() {
        _class_call_check$1J(this, Checkbox);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.disabled = !1;
        _this.indeterminate = !1;
        _this.invalid = !1;
        _this.emphasized = !1;
        _this.tabIndex = 0;
        return _this;
    }
    _create_class$1H(Checkbox, [
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                var _this = this;
                _get$R(_get_prototype_of$1v(Checkbox.prototype), "connectedCallback", this).call(this), this.hasAttribute("autofocus") && this.updateComplete.then(function() {
                    _this.focus();
                });
            }
        },
        {
            key: "click",
            value: function click() {
                var e;
                this.disabled || (e = this.inputElement) == null || e.click();
            }
        },
        {
            key: "handleChange",
            value: function handleChange() {
                this.indeterminate = !1, _get$R(_get_prototype_of$1v(Checkbox.prototype), "handleChange", this).call(this);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject10$3(), _get$R(_get_prototype_of$1v(Checkbox.prototype), "render", this).call(this), this.checked ? I$1[this.size]() : x$3(_templateObject8$4()), this.indeterminate ? v$e[this.size]() : x$3(_templateObject9$3()));
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$R(_get_prototype_of$1v(Checkbox.prototype), "updated", this).call(this, e), e.has("disabled") && (typeof e.get("disabled") != "undefined" || this.disabled) && (this.disabled ? (this.inputElement.tabIndex = this.tabIndex, this.tabIndex = -1) : (this.tabIndex = this.inputElement.tabIndex, this.inputElement.removeAttribute("tabindex")), this.inputElement.disabled = this.disabled), e.has("indeterminate") && (this.inputElement.indeterminate = this.indeterminate), e.has("invalid") && (this.invalid ? this.inputElement.setAttribute("aria-invalid", "true") : this.inputElement.removeAttribute("aria-invalid"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    k$2,
                    C$5,
                    y$e
                ];
            }
        }
    ]);
    return Checkbox;
}(SizedMixin(CheckboxMixin(SpectrumElement), {
    noDefaultSize: !0
}));
Checkbox.shadowRootOptions = _object_spread_props$9(_object_spread$c({}, SpectrumElement.shadowRootOptions), {
    delegatesFocus: !0
}), r$p([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Checkbox.prototype, "disabled", 2), r$p([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Checkbox.prototype, "indeterminate", 2), r$p([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Checkbox.prototype, "invalid", 2), r$p([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Checkbox.prototype, "emphasized", 2), r$p([
    n$r({
        reflect: !0,
        type: Number,
        attribute: "tabindex"
    })
], Checkbox.prototype, "tabIndex", 2);

defineElement("sp-checkbox", Checkbox);

function _tagged_template_literal$2t(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2t() {
    var data = _tagged_template_literal$2t([
        "\n    :host{pointer-events:none;visibility:hidden;opacity:0;transition:transform var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))ease-in-out,opacity var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))ease-in-out,visibility 0s linear var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))}:host([opened]){pointer-events:auto;visibility:visible;opacity:1;transition-delay:var(--mod-overlay-animation-duration-opened,var(--spectrum-animation-duration-0,0s))}:host([enter-from=left][opened]){transform:translateX(var(--mod-overlay-animation-distance,var(--spectrum-overlay-animation-distance,6px)))}:host([enter-from=right][opened]){transform:translateX(calc(var(--mod-overlay-animation-distance,var(--spectrum-overlay-animation-distance,6px))*-1))}:host{box-sizing:border-box;padding-block:var(--spectrum-quickactions-padding-y,var(--spectrum-global-dimension-size-50));padding-inline:var(--spectrum-quickactions-padding-x,var(--spectrum-global-dimension-size-50));block-size:var(--spectrum-quickactions-height,var(--spectrum-global-dimension-size-500));border-radius:var(--spectrum-quickactions-border-radius,var(--spectrum-alias-border-radius-regular));background-color:var(--spectrum-quickactions-background-color,var(--spectrum-alias-background-color-quickactions));justify-content:center;align-items:center;display:inline-flex}[name=action]+::slotted([slot=action]){margin-inline-start:var(--spectrum-quickactions-button-gap-x,var(--spectrum-global-dimension-size-100))}#overlay{background-color:var(--spectrum-quickactions-overlay-color,var(--spectrum-alias-background-color-quickactions-overlay))}:host([text-only]) [name=action]+::slotted([slot=action]){margin-inline-start:var(--spectrum-quickactions-text-button-gap-x,var(--spectrum-global-dimension-size-50))}\n"
    ]);
    _templateObject$2t = function _templateObject() {
        return data;
    };
    return data;
}
var i$e = i$p(_templateObject$2t());
var d$j = i$e;

function _assert_this_initialized$1u(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1I(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1G(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1G(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1G(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1G(Constructor, staticProps);
    return Constructor;
}
function _get$Q(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$Q = Reflect.get;
    } else {
        _get$Q = function get(target, property, receiver) {
            var base = _super_prop_base$Q(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$Q(target, property, receiver || target);
}
function _get_prototype_of$1u(o) {
    _get_prototype_of$1u = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1u(o);
}
function _inherits$1u(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1u(subClass, superClass);
}
function _possible_constructor_return$1u(self, call) {
    if (call && (_type_of$1u(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1u(self);
}
function _set_prototype_of$1u(o, p) {
    _set_prototype_of$1u = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1u(o, p);
}
function _super_prop_base$Q(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1u(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2s(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1u(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1u() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1u(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1u();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1u(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1u(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1u(this, result);
    };
}
function _templateObject$2s() {
    var data = _tagged_template_literal$2s([
        "\n            <slot></slot>\n        "
    ]);
    _templateObject$2s = function _templateObject() {
        return data;
    };
    return data;
}
var n$h = Object.defineProperty;
var c$m = Object.getOwnPropertyDescriptor;
var p$t = function(s, t, r, o) {
    for(var e = o > 1 ? void 0 : o ? c$m(t, r) : t, l = s.length - 1, a; l >= 0; l--)(a = s[l]) && (e = (o ? a(t, r, e) : a(e)) || e);
    return o && e && n$h(t, r, e), e;
};
var QuickActions = /*#__PURE__*/ function(m) {
    _inherits$1u(QuickActions, m);
    var _super = _create_super$1u(QuickActions);
    function QuickActions() {
        _class_call_check$1I(this, QuickActions);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.opened = !1;
        _this.textOnly = !1;
        return _this;
    }
    _create_class$1G(QuickActions, [
        {
            key: "update",
            value: function update(r) {
                _get$Q(_get_prototype_of$1u(QuickActions.prototype), "update", this).call(this, r);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$2s());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    d$j
                ];
            }
        }
    ]);
    return QuickActions;
}(SpectrumElement);
p$t([
    n$r({
        type: Boolean,
        reflect: !0
    })
], QuickActions.prototype, "opened", 2), p$t([
    n$r({
        type: Boolean,
        attribute: "text-only",
        hasChanged: function hasChanged() {
            return !1;
        }
    })
], QuickActions.prototype, "textOnly", 2);

defineElement("sp-quick-actions", QuickActions);

function _tagged_template_literal$2r(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2r() {
    var data = _tagged_template_literal$2r([
        "\n    :host{--spectrum-divider-thickness:var(--spectrum-divider-thickness-medium);--spectrum-divider-background-color:var(--spectrum-divider-background-color-medium);--spectrum-divider-background-color-small:var(--spectrum-gray-300);--spectrum-divider-background-color-medium:var(--spectrum-gray-300);--spectrum-divider-background-color-large:var(--spectrum-gray-800);--spectrum-divider-background-color-small-static-white:var(--spectrum-transparent-white-300);--spectrum-divider-background-color-medium-static-white:var(--spectrum-transparent-white-300);--spectrum-divider-background-color-large-static-white:var(--spectrum-transparent-white-800);--spectrum-divider-background-color-small-static-black:var(--spectrum-transparent-black-300);--spectrum-divider-background-color-medium-static-black:var(--spectrum-transparent-black-300);--spectrum-divider-background-color-large-static-black:var(--spectrum-transparent-black-800)}:host([size=s]){--spectrum-divider-thickness:var(--spectrum-divider-thickness-small);--spectrum-divider-background-color:var(--spectrum-divider-background-color-small)}:host{--spectrum-divider-thickness:var(--spectrum-divider-thickness-medium);--spectrum-divider-background-color:var(--spectrum-divider-background-color-medium)}:host([size=l]){--spectrum-divider-thickness:var(--spectrum-divider-thickness-large);--spectrum-divider-background-color:var(--spectrum-divider-background-color-large)}@media (forced-colors:active){:host,:host([size=l]),:host,:host([size=s]){--spectrum-divider-background-color:CanvasText;--spectrum-divider-background-color-small-static-white:CanvasText;--spectrum-divider-background-color-medium-static-white:CanvasText;--spectrum-divider-background-color-large-static-white:CanvasText;--spectrum-divider-background-color-small-static-black:CanvasText;--spectrum-divider-background-color-medium-static-black:CanvasText;--spectrum-divider-background-color-large-static-black:CanvasText}}:host{block-size:var(--mod-divider-thickness,var(--spectrum-divider-thickness));border:none;border-width:var(--mod-divider-thickness,var(--spectrum-divider-thickness));border-radius:var(--mod-divider-thickness,var(--spectrum-divider-thickness));background-color:var(--mod-divider-background-color,var(--spectrum-divider-background-color));inline-size:100%;overflow:visible}:host([static=white][size=s]){--spectrum-divider-background-color:var(--mod-divider-background-color-small-static-white,var(--spectrum-divider-background-color-small-static-white))}:host([static=white]){--spectrum-divider-background-color:var(--mod-divider-background-color-medium-static-white,var(--spectrum-divider-background-color-medium-static-white))}:host([static=white][size=l]){--spectrum-divider-background-color:var(--mod-divider-background-color-large-static-white,var(--spectrum-divider-background-color-large-static-white))}:host([static=black][size=s]){--spectrum-divider-background-color:var(--mod-divider-background-color-small-static-black,var(--spectrum-divider-background-color-small-static-black))}:host([static=black]){--spectrum-divider-background-color:var(--mod-divider-background-color-medium-static-black,var(--spectrum-divider-background-color-medium-static-black))}:host([static=black][size=l]){--spectrum-divider-background-color:var(--mod-divider-background-color-large-static-black,var(--spectrum-divider-background-color-large-static-black))}:host([vertical]){inline-size:var(--mod-divider-thickness,var(--spectrum-divider-thickness));margin-block:var(--mod-divider-vertical-margin);block-size:var(--mod-divider-vertical-height,100%);align-self:var(--mod-divider-vertical-align)}:host{display:block}hr{border:none;margin:0}\n"
    ]);
    _templateObject$2r = function _templateObject() {
        return data;
    };
    return data;
}
var i$d = i$p(_templateObject$2r());
var s$8 = i$d;

function _assert_this_initialized$1t(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1H(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1F(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1F(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1F(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1F(Constructor, staticProps);
    return Constructor;
}
function _get$P(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$P = Reflect.get;
    } else {
        _get$P = function get(target, property, receiver) {
            var base = _super_prop_base$P(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$P(target, property, receiver || target);
}
function _get_prototype_of$1t(o) {
    _get_prototype_of$1t = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1t(o);
}
function _inherits$1t(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1t(subClass, superClass);
}
function _possible_constructor_return$1t(self, call) {
    if (call && (_type_of$1t(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1t(self);
}
function _set_prototype_of$1t(o, p) {
    _set_prototype_of$1t = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1t(o, p);
}
function _super_prop_base$P(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1t(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2q(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1t(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1t() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1t(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1t();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1t(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1t(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1t(this, result);
    };
}
function _templateObject$2q() {
    var data = _tagged_template_literal$2q([
        ""
    ]);
    _templateObject$2q = function _templateObject() {
        return data;
    };
    return data;
}
var p$s = Object.defineProperty;
var u$v = Object.getOwnPropertyDescriptor;
var l$8 = function(s, r, e, i) {
    for(var t = i > 1 ? void 0 : i ? u$v(r, e) : r, o = s.length - 1, a; o >= 0; o--)(a = s[o]) && (t = (i ? a(r, e, t) : a(t)) || t);
    return i && t && p$s(r, e, t), t;
};
var Divider = /*#__PURE__*/ function(_m) {
    _inherits$1t(Divider, _m);
    var _super = _create_super$1t(Divider);
    function Divider() {
        _class_call_check$1H(this, Divider);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.vertical = !1;
        return _this;
    }
    _create_class$1F(Divider, [
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$2q());
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$P(_get_prototype_of$1t(Divider.prototype), "firstUpdated", this).call(this, e), this.setAttribute("role", "separator");
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$P(_get_prototype_of$1t(Divider.prototype), "updated", this).call(this, e), e.has("vertical") && (this.vertical ? this.setAttribute("aria-orientation", "vertical") : this.removeAttribute("aria-orientation"));
            }
        }
    ]);
    return Divider;
}(SizedMixin(SpectrumElement, {
    validSizes: [
        "s",
        "m",
        "l"
    ],
    noDefaultSize: !0
}));
Divider.styles = [
    s$8
], l$8([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Divider.prototype, "vertical", 2);

defineElement("sp-divider", Divider);

function _tagged_template_literal$2p(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2p() {
    var data = _tagged_template_literal$2p([
        '\n    :host{--spectrum-card-background-color:var(--spectrum-background-layer-2-color);--spectrum-card-body-spacing:var(--spectrum-spacing-400);--spectrum-card-title-padding-top:var(--spectrum-spacing-300);--spectrum-card-title-padding-right:var(--spectrum-spacing-400);--spectrum-card-content-margin-top:var(--spectrum-spacing-100);--spectrum-card-content-margin-bottom:var(--spectrum-spacing-300);--spectrum-card-footer-padding-top:var(--spectrum-spacing-100);--spectrum-card-subtitle-padding-right:var(--spectrum-spacing-100);--spectrum-card-border-width:var(--spectrum-border-width-100);--spectrum-card-corner-radius:var(--spectrum-corner-radius-100);--spectrum-card-border-color:var(--spectrum-gray-200);--spectrum-card-border-color-hover:var(--spectrum-gray-300);--spectrum-card-border-color-selected:var(--spectrum-blue-700);--spectrum-card-divider-color:var(--spectrum-gray-300);--spectrum-card-title-font-family:var(--spectrum-sans-font-family-stack);--spectrum-card-title-font-size:var(--spectrum-heading-size-xxs);--spectrum-card-title-font-weight:var(--spectrum-heading-sans-serif-font-weight);--spectrum-card-title-font-style:var(--spectrum-heading-sans-serif-font-style);--spectrum-card-title-line-height:var(--spectrum-heading-line-height);--spectrum-card-title-font-color:var(--spectrum-heading-color);--spectrum-card-body-font-family:var(--spectrum-sans-font-family-stack);--spectrum-card-body-font-size:var(--spectrum-body-size-s);--spectrum-card-body-font-weight:var(--spectrum-body-sans-serif-font-weight);--spectrum-card-body-font-style:var(--spectrum-body-sans-serif-font-style);--spectrum-card-body-line-height:var(--spectrum-body-line-height);--spectrum-card-body-font-color:var(--spectrum-body-color);--spectrum-card-actions-spacing:var(--spectrum-spacing-300);--spectrum-card-actions-size:var(--spectrum-card-selection-background-size);--spectrum-card-actions-border-radius:var(--spectrum-corner-radius-100);--spectrum-card-actions-background-color-rgb:var(--spectrum-gray-100-rgb);--spectrum-card-actions-background-color-opacity:var(--spectrum-card-selection-background-color-opacity);--spectrum-card-actions-drop-shadow-color:var(--spectrum-drop-shadow-color);--spectrum-card-actions-drop-shadow-x:var(--spectrum-drop-shadow-x);--spectrum-card-actions-drop-shadow-y:var(--spectrum-drop-shadow-y);--spectrum-card-actions-drop-shadow-blur:var(--spectrum-drop-shadow-blur);--spectrum-card-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-card-focus-indicator-width:var(--spectrum-focus-indicator-thickness);--spectrum-card-selected-background-opacity:.1;--spectrum-card-preview-border-width-selected:var(--spectrum-border-width-100);--spectrum-card-preview-background-color:var(--spectrum-background-base-color);--spectrum-card-preview-background-color-hover:var(--spectrum-gray-300);--spectrum-card-horizontal-body-padding:var(--spectrum-spacing-300);--spectrum-card-horizontal-preview-padding:var(--spectrum-spacing-200)}:host([variant=gallery]),:host([variant=quiet]){--mod-card-content-margin-top:var(--mod-card-content-margin-top-quiet,var(--spectrum-spacing-100));--mod-card-minimum-width:var(--mod-card-minimum-width-quiet,var(--spectrum-card-minimum-width))}:host{box-sizing:border-box;min-inline-size:var(--mod-card-minimum-width,var(--spectrum-card-minimum-width));border:var(--mod-card-border-width,var(--spectrum-card-border-width))solid transparent;border-radius:var(--mod-card-corner-radius,var(--spectrum-card-corner-radius));border-color:var(--highcontrast-card-border-color,var(--mod-card-border-color,var(--spectrum-card-border-color)));background-color:var(--highcontrast-card-background-color,var(--mod-card-background-color,var(--mod-spectrum-card-background-color,var(--spectrum-card-background-color))));flex-direction:column;-webkit-text-decoration:none;text-decoration:none;display:inline-flex;position:relative}:host:after,:host:before{content:"";block-size:100%;inline-size:100%;position:absolute;inset-block-start:0;inset-inline-start:0}:host:after{border-radius:var(--mod-card-corner-radius,var(--spectrum-card-corner-radius));border:0 solid #0000;margin-block-start:calc(var(--mod-card-focus-indicator-width,var(--spectrum-card-focus-indicator-width))*-1);margin-inline-start:calc(var(--mod-card-focus-indicator-width,var(--spectrum-card-focus-indicator-width))*-1);inset-inline-end:0}:host(:focus-visible){outline:none}:host(:focus-visible):after{border-width:var(--mod-card-focus-indicator-width,var(--spectrum-card-focus-indicator-width));border-color:var(--mod-card-focus-indicator-color,var(--spectrum-card-focus-indicator-color))}:host(:focus-visible) #cover-photo,:host(:focus-visible) #preview{border-start-start-radius:calc(var(--mod-card-corner-radius,var(--spectrum-card-corner-radius)) - var(--mod-card-focus-indicator-width,var(--spectrum-card-focus-indicator-width)));border-start-end-radius:calc(var(--mod-card-corner-radius,var(--spectrum-card-corner-radius)) - var(--mod-card-focus-indicator-width,var(--spectrum-card-focus-indicator-width)))}:host([selected]){border-color:var(--highcontrast-card-border-color-selected,var(--mod-card-border-color-selected,var(--spectrum-card-border-color-selected)))}:host([selected]):before{background-color:rgba(var(--mod-card-selected-background-color-rgb,var(--spectrum-card-selected-background-color-rgb)),var(--mod-card-selected-background-opacity,var(--spectrum-card-selected-background-opacity)))}:host([drop-target]){--mod-card-background-color:var(--spectrum-card-background-color-quiet,var(--spectrum-background-base-color));border-color:var(--highcontrast-card-border-color-selected,var(--mod-card-border-color-selected,var(--spectrum-card-border-color-selected)));box-shadow:0 0 0 1px var(--highcontrast-card-border-color-selected,var(--mod-card-border-color-selected,var(--spectrum-card-border-color-selected)));background-color:var(--mod-card-background-color,var(--spectrum-card-background-color))}:host([focused]) .actions,:host([focused]) .quick-actions,:host([selected]) .actions,:host([selected]) .quick-actions,:host(:focus) .actions,:host(:focus) .quick-actions{visibility:visible;opacity:1;pointer-events:all}.quick-actions{visibility:hidden;box-shadow:var(--mod-card-actions-drop-shadow-x,var(--spectrum-card-actions-drop-shadow-x))var(--mod-card-actions-drop-shadow-y,var(--spectrum-card-actions-drop-shadow-y))var(--mod-card-actions-drop-shadow-blur,var(--spectrum-card-actions-drop-shadow-blur))var(--mod-card-actions-drop-shadow-color,var(--spectrum-card-actions-drop-shadow-color));inline-size:var(--mod-card-actions-size,var(--spectrum-card-actions-size));block-size:var(--mod-card-actions-size,var(--spectrum-card-actions-size));border-radius:var(--mod-card-actions-border-radius,var(--spectrum-card-actions-border-radius));background-color:rgba(var(--mod-card-actions-background-color-rgb,var(--spectrum-card-actions-background-color-rgb)),var(--mod-card-actions-background-color-opacity,var(--spectrum-card-actions-background-color-opacity)));position:absolute;inset-block-start:calc(var(--mod-card-actions-spacing,var(--spectrum-card-actions-spacing)) - var(--mod-card-border-width,var(--spectrum-card-border-width)));inset-inline-start:calc(var(--mod-card-actions-spacing,var(--spectrum-card-actions-spacing)) - var(--mod-card-border-width,var(--spectrum-card-border-width)))}.actions{inset-block-start:var(--mod-card-actions-spacing,var(--spectrum-card-actions-spacing));inset-inline-end:var(--mod-card-actions-spacing,var(--spectrum-card-actions-spacing))}#cover-photo{block-size:var(--mod-card-preview-minimum-height,var(--spectrum-card-preview-minimum-height));box-sizing:border-box;background-position:50%;background-size:cover;background-color:var(--mod-card-background-color,var(--spectrum-card-background-color));border-block-end-color:var(--mod-card-border-color,var(--spectrum-card-border-color));border-start-start-radius:calc(var(--mod-card-corner-radius,var(--spectrum-card-corner-radius)) - var(--mod-card-border-width,var(--spectrum-card-border-width)));border-start-end-radius:calc(var(--mod-card-corner-radius,var(--spectrum-card-corner-radius)) - var(--mod-card-border-width,var(--spectrum-card-border-width)));border-end-end-radius:0;border-end-start-radius:0;justify-content:center;align-items:center;display:flex;position:relative;overflow:hidden}.spectrum-Divider{margin:0}.content{align-items:center;margin-block-start:var(--mod-card-content-margin-top,var(--spectrum-card-content-margin-top));display:flex}.body{padding-block-start:var(--mod-card-body-padding-block-start,var(--mod-card-title-padding-top,var(--spectrum-card-title-padding-top)));padding-block-end:var(--mod-card-body-padding-block-end,calc(var(--mod-card-body-spacing,var(--spectrum-card-body-spacing)) - var(--mod-card-border-width,var(--spectrum-card-border-width))));padding-inline-start:var(--mod-card-body-padding-inline-start,calc(var(--mod-card-body-spacing,var(--spectrum-card-body-spacing)) - var(--mod-card-border-width,var(--spectrum-card-border-width))));padding-inline-end:var(--mod-card-body-padding-inline-end,calc(var(--mod-card-body-spacing,var(--spectrum-card-body-spacing)) - var(--mod-card-border-width,var(--spectrum-card-border-width))))}#preview{color:var(--highcontrast-card-body-font-color,var(--mod-card-body-font-color,var(--spectrum-card-body-font-color)));border-start-start-radius:var(--mod-card-corner-radius,var(--spectrum-card-corner-radius));border-start-end-radius:var(--mod-card-corner-radius,var(--spectrum-card-corner-radius));border-end-end-radius:0;border-end-start-radius:0;align-items:center;display:flex;overflow:hidden}.title{font-family:var(--mod-card-title-font-family,var(--spectrum-card-title-font-family));font-size:var(--mod-card-title-font-size,var(--spectrum-card-title-font-size));font-weight:var(--mod-card-title-font-weight,var(--spectrum-card-title-font-weight));font-style:var(--mod-card-title-font-style,var(--spectrum-card-title-font-style));line-height:var(--mod-card-title-line-height,var(--spectrum-card-title-line-height));padding-inline-end:var(--mod-card-title-padding-right,var(--spectrum-card-title-padding-right))}.subtitle,.title{color:var(--highcontrast-card-title-font-color,var(--mod-card-title-font-color,var(--spectrum-card-title-font-color)))}.subtitle,.subtitle+::slotted([slot=description]):before{padding-inline-end:var(--mod-card-subtitle-padding-right,var(--spectrum-card-subtitle-padding-right))}.subtitle+::slotted([slot=description]):before{content:"•"}::slotted([slot=description]){font-family:var(--mod-card-body-font-family,var(--spectrum-card-body-font-family));font-size:var(--mod-card-body-font-size,var(--spectrum-card-body-font-size));font-weight:var(--mod-card-body-font-weight,var(--spectrum-card-body-font-weight));font-style:var(--mod-card-body-font-style,var(--spectrum-card-body-font-style))}::slotted([slot=description]),::slotted([slot=footer]){line-height:var(--mod-card-body-line-height,var(--spectrum-card-body-line-height));color:var(--highcontrast-card-body-font-color,var(--mod-card-body-font-color,var(--spectrum-card-body-font-color)))}::slotted([slot=footer]){border-block-start:var(--mod-card-border-width,var(--spectrum-card-border-width))solid var(--mod-card-divider-color,var(--spectrum-card-divider-color));margin-block-start:var(--mod-card-footer-margin-block-start,calc(( var(--mod-card-body-spacing,var(--spectrum-card-body-spacing)) - var(--mod-card-content-margin-bottom,var(--spectrum-card-content-margin-bottom)))*-1));margin-inline-start:var(--mod-card-footer-margin-inline-start,var(--mod-card-body-spacing,var(--spectrum-card-body-spacing)));margin-inline-end:var(--mod-card-footer-margin-inline-end,var(--mod-card-body-spacing,var(--spectrum-card-body-spacing)));padding-block-start:var(--mod-card-footer-padding-block-start,var(--mod-card-footer-margin-top,var(--spectrum-card-footer-padding-top)));padding-block-end:var(--mod-card-footer-padding-block-end,calc(var(--mod-card-body-spacing,var(--spectrum-card-body-spacing)) - var(--mod-card-border-width,var(--spectrum-card-border-width))))}.header{align-items:center;display:flex}.action-button{z-index:1;flex:1;justify-content:flex-end;align-self:center;display:flex}:host([variant=quiet]) #preview{border:var(--mod-card-focus-indicator-width,var(--spectrum-card-focus-indicator-width))solid transparent}:host([variant=quiet][focused]):after,:host([variant=quiet]:focus):after{border-width:0}:host([variant=quiet][focused]) #preview:after,:host([variant=quiet]:focus) #preview:after{border-color:var(--mod-card-focus-indicator-color,var(--spectrum-card-focus-indicator-color))}:host([variant=quiet][selected]) #preview{border:var(--mod-card-preview-border-width-selected,var(--mod-card-preview-border-width,var(--spectrum-card-preview-border-width-selected)))solid;border-color:var(--highcontrast-card-border-color-selected,var(--mod-card-border-color-selected,var(--spectrum-card-border-color-selected)))}:host([variant=gallery]),:host([variant=quiet]){min-inline-size:var(--mod-card-minimum-width,var(--spectrum-card-minimum-width));background-color:initial;border-width:0;border-color:#0000;border-radius:0;block-size:100%;overflow:visible}:host([variant=gallery]):before,:host([variant=quiet]):before{display:none}:host([variant=gallery]) #preview,:host([variant=quiet]) #preview{border-radius:var(--mod-card-corner-radius,var(--spectrum-card-corner-radius));background-color:var(--mod-card-preview-background-color,var(--mod-card-background-color,var(--spectrum-card-preview-background-color)));min-block-size:var(--mod-card-preview-minimum-height,var(--spectrum-card-preview-minimum-height));box-sizing:border-box;transition:background-color var(--mod-card-animation-duration,var(--mod-animation-duration-100,var(--spectrum-animation-duration-100)));flex:1;inline-size:100%;margin:0 auto;position:relative;overflow:visible}:host([variant=gallery]) #preview:before,:host([variant=quiet]) #preview:before{content:"";block-size:100%;inline-size:100%;position:absolute;inset-block-start:0;inset-inline-start:0}:host([variant=gallery]) #preview:after,:host([variant=quiet]) #preview:after{content:"";border-radius:calc(var(--mod-card-corner-radius,var(--spectrum-card-corner-radius)) + var(--mod-card-focus-indicator-width,var(--spectrum-card-focus-indicator-width)));border:0 solid #0000;block-size:100%;inline-size:100%;margin-block-start:calc(var(--mod-card-focus-indicator-width,var(--spectrum-card-focus-indicator-width))*-1);margin-inline-start:calc(var(--mod-card-focus-indicator-width,var(--spectrum-card-focus-indicator-width))*-1);position:absolute;inset-block-start:0;inset-inline:0}:host([variant=gallery][drop-target]),:host([variant=quiet][drop-target]){background-color:initial;box-shadow:none;border-color:#0000}:host([variant=gallery][drop-target]) #preview,:host([variant=quiet][drop-target]) #preview{background-color:var(--mod-card-preview-background-color,var(--mod-card-background-color,var(--spectrum-card-preview-background-color)));transition:none}:host([variant=gallery][drop-target]) #preview:before,:host([variant=quiet][drop-target]) #preview:before{border-color:var(--mod-card-focus-indicator-color,var(--spectrum-card-focus-indicator-color));box-shadow:0 0 0 1px var(--mod-card-focus-indicator-color,var(--spectrum-card-focus-indicator-color))}:host([variant=gallery][selected]) #preview:before,:host([variant=quiet][selected]) #preview:before{background-color:rgba(var(--mod-card-selected-background-color-rgb,var(--spectrum-card-selected-background-color-rgb)),var(--mod-card-selected-background-opacity,var(--spectrum-card-selected-background-opacity)))}:host([variant=gallery]) .body,:host([variant=quiet]) .body{margin-block-start:var(--mod-card-content-margin-top,var(--spectrum-card-content-margin-top));padding:0}:host([variant=gallery]) ::slotted([slot=footer]),:host([variant=quiet]) ::slotted([slot=footer]){margin-inline:0}:host([horizontal]){flex-direction:row}@media (hover:hover){:host(:hover){border-color:var(--highcontrast-card-border-color-hover,var(--mod-card-border-color-hover,var(--spectrum-card-border-color-hover)))}:host(:hover) .actions,:host(:hover) .quick-actions{visibility:visible;opacity:1;pointer-events:all}:host([variant=gallery]:hover),:host([variant=quiet]:hover){border-color:#0000}:host([variant=gallery]:hover) #preview,:host([variant=quiet]:hover) #preview{background-color:var(--mod-card-preview-background-color-hover,var(--mod-card-background-color-hover,var(--spectrum-card-preview-background-color-hover)))}:host([horizontal]:hover) #preview{border-color:var(--mod-card-border-color-hover,var(--spectrum-card-border-color-hover))}}:host([horizontal]) #preview{padding:var(--mod-card-horizontal-preview-padding,var(--spectrum-card-horizontal-preview-padding));background-color:var(--mod-card-preview-background-color,var(--spectrum-card-preview-background-color));border-color:var(--mod-card-border-color,var(--spectrum-card-border-color));border-start-start-radius:calc(var(--mod-card-corner-radius,var(--spectrum-card-corner-radius)) - var(--mod-card-border-width,var(--spectrum-card-border-width)));border-start-end-radius:0;border-end-end-radius:0;border-end-start-radius:calc(var(--mod-card-corner-radius,var(--spectrum-card-corner-radius)) - var(--mod-card-border-width,var(--spectrum-card-border-width)));flex-shrink:0;justify-content:center;align-items:center;min-block-size:0;display:flex}:host([horizontal]) .content,:host([horizontal]) .header{block-size:auto;margin-block-start:0}:host([horizontal]) .content{margin-block-end:0}:host([horizontal]) .title{padding-inline-end:0}:host([horizontal]) .body{padding-block:0;padding-inline:var(--mod-card-horizontal-body-padding,var(--spectrum-card-horizontal-body-padding));flex-direction:column;flex-shrink:0;justify-content:center;display:flex}:host([variant=gallery]){min-inline-size:0}:host([variant=gallery]) #preview{border-radius:0;padding:0}:host([href]:not([href=""])){cursor:pointer}#like-anchor{pointer-events:none;position:absolute;inset:0}.action-button{flex-grow:0}:host([dir=ltr]) .action-button{margin-left:auto}:host([dir=rtl]) .action-button{margin-right:auto}slot[name=description]{font-size:var(--spectrum-card-subtitle-text-size,var(--spectrum-global-dimension-font-size-50))}#preview+#cover-photo{display:none}#cover-photo ::slotted(*),:host(:not([variant=quiet])) #preview ::slotted(*){object-fit:cover;width:100%;display:block}:host(:not([variant=gallery])) #preview ::slotted(*){height:100%}:host([horizontal]) #preview{width:auto}:host([horizontal]) sp-asset{height:inherit}sp-quick-actions{z-index:1}.title{width:var(--spectrum-card-title-width)}.subtitle{text-transform:none}:host:before,:host:after{pointer-events:none}\n'
    ]);
    _templateObject$2p = function _templateObject() {
        return data;
    };
    return data;
}
var o$x = i$p(_templateObject$2p());
var k$1 = o$x;

function _tagged_template_literal$2o(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2o() {
    var data = _tagged_template_literal$2o([
        "\n    .spectrum{color:var(--spectrum-body-m-text-color,var(--spectrum-alias-text-color));font-family:var(--spectrum-alias-body-text-font-family,var(--spectrum-global-font-family-base));font-size:var(--spectrum-alias-font-size-default,var(--spectrum-global-dimension-font-size-100))}\n"
    ]);
    _templateObject$2o = function _templateObject() {
        return data;
    };
    return data;
}
var o$v = i$p(_templateObject$2o());
var o$w = o$v;

function _tagged_template_literal$2n(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2n() {
    var data = _tagged_template_literal$2n([
        "\n    .spectrum:lang(ar){font-family:var(--spectrum-font-family-ar)}.spectrum:lang(he){font-family:var(--spectrum-font-family-he)}.spectrum-Heading:lang(ja),.spectrum-Heading:lang(ko),.spectrum-Heading:lang(zh){font-family:var(--mod-heading-cjk-font-family,var(--spectrum-heading-cjk-font-family));font-style:var(--mod-heading-cjk-font-style,var(--spectrum-heading-cjk-font-style));font-weight:var(--mod-heading-cjk-font-weight,var(--spectrum-heading-cjk-font-weight));font-size:var(--mod-heading-cjk-font-size,var(--spectrum-heading-cjk-font-size));line-height:var(--mod-heading-cjk-line-height,var(--spectrum-heading-cjk-line-height));letter-spacing:var(--mod-heading-cjk-letter-spacing,var(--spectrum-heading-cjk-letter-spacing))}.spectrum-Heading:lang(ja) .spectrum-Heading-emphasized,.spectrum-Heading:lang(ja) em,.spectrum-Heading:lang(ko) .spectrum-Heading-emphasized,.spectrum-Heading:lang(ko) em,.spectrum-Heading:lang(zh) .spectrum-Heading-emphasized,.spectrum-Heading:lang(zh) em{font-style:var(--mod-heading-cjk-emphasized-font-style,var(--spectrum-heading-cjk-emphasized-font-style));font-weight:var(--mod-heading-cjk-emphasized-font-weight,var(--spectrum-heading-cjk-emphasized-font-weight))}.spectrum-Heading:lang(ja) .spectrum-Heading-strong,.spectrum-Heading:lang(ja) strong,.spectrum-Heading:lang(ko) .spectrum-Heading-strong,.spectrum-Heading:lang(ko) strong,.spectrum-Heading:lang(zh) .spectrum-Heading-strong,.spectrum-Heading:lang(zh) strong{font-style:var(--mod-heading-cjk-strong-font-style,var(--spectrum-heading-cjk-strong-font-style));font-weight:var(--mod-heading-cjk-strong-font-weight,var(--spectrum-heading-cjk-strong-font-weight))}.spectrum-Heading:lang(ja) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading:lang(ja) em strong,.spectrum-Heading:lang(ja) strong em,.spectrum-Heading:lang(ko) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading:lang(ko) em strong,.spectrum-Heading:lang(ko) strong em,.spectrum-Heading:lang(zh) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading:lang(zh) em strong,.spectrum-Heading:lang(zh) strong em{font-style:var(--mod-heading-cjk-strong-emphasized-font-style,var(--spectrum-heading-cjk-strong-emphasized-font-style));font-weight:var(--mod-heading-cjk-strong-emphasized-font-weight,var(--spectrum-heading-cjk-strong-emphasized-font-weight))}.spectrum-Heading--heavy:lang(ja),.spectrum-Heading--heavy:lang(ko),.spectrum-Heading--heavy:lang(zh){font-style:var(--mod-heading-cjk-heavy-font-style,var(--spectrum-heading-cjk-heavy-font-style));font-weight:var(--mod-heading-cjk-heavy-font-weight,var(--spectrum-heading-cjk-heavy-font-weight))}.spectrum-Heading--heavy:lang(ja) .spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ja) em,.spectrum-Heading--heavy:lang(ko) .spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ko) em,.spectrum-Heading--heavy:lang(zh) .spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(zh) em{font-style:var(--mod-heading-cjk-heavy-emphasized-font-style,var(--spectrum-heading-cjk-heavy-emphasized-font-style));font-weight:var(--mod-heading-cjk-heavy-emphasized-font-weight,var(--spectrum-heading-cjk-heavy-emphasized-font-weight))}.spectrum-Heading--heavy:lang(ja) .spectrum-Heading-strong,.spectrum-Heading--heavy:lang(ja) strong,.spectrum-Heading--heavy:lang(ko) .spectrum-Heading-strong,.spectrum-Heading--heavy:lang(ko) strong,.spectrum-Heading--heavy:lang(zh) .spectrum-Heading-strong,.spectrum-Heading--heavy:lang(zh) strong{font-style:var(--mod-heading-cjk-heavy-strong-font-style,var(--spectrum-heading-cjk-heavy-strong-font-style));font-weight:var(--mod-heading-cjk-heavy-strong-font-weight,var(--spectrum-heading-cjk-heavy-strong-font-weight))}.spectrum-Heading--heavy:lang(ja) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ja) em strong,.spectrum-Heading--heavy:lang(ja) strong em,.spectrum-Heading--heavy:lang(ko) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ko) em strong,.spectrum-Heading--heavy:lang(ko) strong em,.spectrum-Heading--heavy:lang(zh) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(zh) em strong,.spectrum-Heading--heavy:lang(zh) strong em{font-style:var(--mod-heading-cjk-heavy-strong-emphasized-font-style,var(--spectrum-heading-cjk-heavy-strong-emphasized-font-style));font-weight:var(--mod-heading-cjk-heavy-strong-emphasized-font-weight,var(--spectrum-heading-cjk-heavy-strong-emphasized-font-weight))}.spectrum-Heading--light:lang(ja),.spectrum-Heading--light:lang(ko),.spectrum-Heading--light:lang(zh){font-style:var(--mod-heading-cjk-light-font-style,var(--spectrum-heading-cjk-light-font-style));font-weight:var(--mod-heading-cjk-light-font-weight,var(--spectrum-heading-cjk-light-font-weight))}.spectrum-Heading--light:lang(ja) .spectrum-Heading-strong,.spectrum-Heading--light:lang(ja) strong,.spectrum-Heading--light:lang(ko) .spectrum-Heading-strong,.spectrum-Heading--light:lang(ko) strong,.spectrum-Heading--light:lang(zh) .spectrum-Heading-strong,.spectrum-Heading--light:lang(zh) strong{font-style:var(--mod-heading-cjk-light-strong-font-style,var(--spectrum-heading-cjk-light-strong-font-style));font-weight:var(--mod-heading-cjk-light-strong-font-weight,var(--spectrum-heading-cjk-light-strong-font-weight))}.spectrum-Heading--light:lang(ja) .spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ja) em,.spectrum-Heading--light:lang(ko) .spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ko) em,.spectrum-Heading--light:lang(zh) .spectrum-Heading-emphasized,.spectrum-Heading--light:lang(zh) em{font-style:var(--mod-heading-cjk-light-emphasized-font-style,var(--spectrum-heading-cjk-light-emphasized-font-style));font-weight:var(--mod-heading-cjk-light-emphasized-font-weight,var(--spectrum-heading-cjk-light-emphasized-font-weight))}.spectrum-Heading--light:lang(ja) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ja) em strong,.spectrum-Heading--light:lang(ja) strong em,.spectrum-Heading--light:lang(ko) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ko) em strong,.spectrum-Heading--light:lang(ko) strong em,.spectrum-Heading--light:lang(zh) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light:lang(zh) em strong,.spectrum-Heading--light:lang(zh) strong em{font-style:var(--mod-heading-cjk-light-strong-emphasized-font-style,var(--spectrum-heading-cjk-light-strong-emphasized-font-style));font-weight:var(--mod-heading-cjk-light-strong-emphasized-font-weight,var(--spectrum-heading-cjk-light-strong-emphasized-font-weight))}.spectrum-Body:lang(ja),.spectrum-Body:lang(ko),.spectrum-Body:lang(zh){font-family:var(--mod-body-cjk-font-family,var(--spectrum-body-cjk-font-family));font-style:var(--mod-body-cjk-font-style,var(--spectrum-body-cjk-font-style));font-weight:var(--mod-body-cjk-font-weight,var(--spectrum-body-cjk-font-weight));line-height:var(--mod-body-cjk-line-height,var(--spectrum-body-cjk-line-height));letter-spacing:var(--mod-body-cjk-letter-spacing,var(--spectrum-body-cjk-letter-spacing))}.spectrum-Body:lang(ja) .spectrum-Body-strong,.spectrum-Body:lang(ja) strong,.spectrum-Body:lang(ko) .spectrum-Body-strong,.spectrum-Body:lang(ko) strong,.spectrum-Body:lang(zh) .spectrum-Body-strong,.spectrum-Body:lang(zh) strong{font-style:var(--mod-body-cjk-strong-font-style,var(--spectrum-body-cjk-strong-font-style));font-weight:var(--mod-body-cjk-strong-font-weight,var(--spectrum-body-cjk-strong-font-weight))}.spectrum-Body:lang(ja) .spectrum-Body-emphasized,.spectrum-Body:lang(ja) em,.spectrum-Body:lang(ko) .spectrum-Body-emphasized,.spectrum-Body:lang(ko) em,.spectrum-Body:lang(zh) .spectrum-Body-emphasized,.spectrum-Body:lang(zh) em{font-style:var(--mod-body-cjk-emphasized-font-style,var(--spectrum-body-cjk-emphasized-font-style));font-weight:var(--mod-body-cjk-emphasized-font-weight,var(--spectrum-body-cjk-emphasized-font-weight))}.spectrum-Body:lang(ja) .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body:lang(ja) em strong,.spectrum-Body:lang(ja) strong em,.spectrum-Body:lang(ko) .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body:lang(ko) em strong,.spectrum-Body:lang(ko) strong em,.spectrum-Body:lang(zh) .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body:lang(zh) em strong,.spectrum-Body:lang(zh) strong em{font-style:var(--mod-body-cjk-strong-emphasized-font-style,var(--spectrum-body-cjk-strong-emphasized-font-style));font-weight:var(--mod-body-cjk-strong-emphasized-font-weight,var(--spectrum-body-cjk-strong-emphasized-font-weight))}.spectrum-Detail:lang(ja),.spectrum-Detail:lang(ko),.spectrum-Detail:lang(zh){font-family:var(--mod-detail-cjk-font-family,var(--spectrum-detail-cjk-font-family));font-style:var(--mod-detail-cjk-font-style,var(--spectrum-detail-cjk-font-style));font-weight:var(--mod-detail-cjk-font-weight,var(--spectrum-detail-cjk-font-weight));line-height:var(--mod-detail-cjk-line-height,var(--spectrum-detail-cjk-line-height))}.spectrum-Detail:lang(ja) .spectrum-Detail-strong,.spectrum-Detail:lang(ja) strong,.spectrum-Detail:lang(ko) .spectrum-Detail-strong,.spectrum-Detail:lang(ko) strong,.spectrum-Detail:lang(zh) .spectrum-Detail-strong,.spectrum-Detail:lang(zh) strong{font-style:var(--mod-detail-cjk-strong-font-style,var(--spectrum-detail-cjk-strong-font-style));font-weight:var(--mod-detail-cjk-strong-font-weight,var(--spectrum-detail-cjk-strong-font-weight))}.spectrum-Detail:lang(ja) .spectrum-Detail-emphasized,.spectrum-Detail:lang(ja) em,.spectrum-Detail:lang(ko) .spectrum-Detail-emphasized,.spectrum-Detail:lang(ko) em,.spectrum-Detail:lang(zh) .spectrum-Detail-emphasized,.spectrum-Detail:lang(zh) em{font-style:var(--mod-detail-cjk-emphasized-font-style,var(--spectrum-detail-cjk-emphasized-font-style));font-weight:var(--mod-detail-cjk-emphasized-font-weight,var(--spectrum-detail-cjk-emphasized-font-weight))}.spectrum-Detail:lang(ja) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail:lang(ja) em strong,.spectrum-Detail:lang(ja) strong em,.spectrum-Detail:lang(ko) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail:lang(ko) em strong,.spectrum-Detail:lang(ko) strong em,.spectrum-Detail:lang(zh) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail:lang(zh) em strong,.spectrum-Detail:lang(zh) strong em{font-style:var(--mod-detail-cjk-strong-emphasized-font-style,var(--spectrum-detail-cjk-strong-emphasized-font-style));font-weight:var(--mod-detail-cjk-strong-emphasized-font-weight,var(--spectrum-detail-cjk-strong-emphasized-font-weight))}.spectrum-Detail--light:lang(ja),.spectrum-Detail--light:lang(ko),.spectrum-Detail--light:lang(zh){font-style:var(--mod-detail-cjk-light-font-style,var(--spectrum-detail-cjk-light-font-style));font-weight:var(--mod-detail-cjk-light-font-weight,var(--spectrum-detail-cjk-light-font-weight))}.spectrum-Detail--light:lang(ja) .spectrum-Detail-strong,.spectrum-Detail--light:lang(ja) strong,.spectrum-Detail--light:lang(ko) .spectrum-Detail-strong,.spectrum-Detail--light:lang(ko) strong,.spectrum-Detail--light:lang(zh) .spectrum-Detail-strong,.spectrum-Detail--light:lang(zh) strong{font-style:var(--mod-detail-cjk-light-strong-font-style,var(--spectrum-detail-cjk-light-strong-font-style));font-weight:var(--mod-detail-cjk-light-strong-font-weight,var(--spectrum-detail-cjk-light-strong-font-weight))}.spectrum-Detail--light:lang(ja) .spectrum-Detail-emphasized,.spectrum-Detail--light:lang(ja) em,.spectrum-Detail--light:lang(ko) .spectrum-Detail-emphasized,.spectrum-Detail--light:lang(ko) em,.spectrum-Detail--light:lang(zh) .spectrum-Detail-emphasized,.spectrum-Detail--light:lang(zh) em{font-style:var(--mod-detail-cjk-light-emphasized-font-style,var(--spectrum-detail-cjk-light-emphasized-font-style));font-weight:var(--mod-detail-cjk-light-emphasized-font-weight,var(--spectrum-detail-cjk-light-emphasized-font-weight))}.spectrum-Detail--light:lang(ja) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail--light:lang(ko) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail--light:lang(zh) .spectrum-Detail-strong.spectrum-Detail-emphasized{font-style:var(--mod-detail-cjk-light-strong-emphasized-font-style,var(--spectrum-detail-cjk-light-strong-emphasized-font-style));font-weight:var(--mod-detail-cjk-light-strong-emphasized-font-weight,var(--spectrum-detail-cjk-light-strong-emphasized-font-weight))}.spectrum-Code:lang(ja),.spectrum-Code:lang(ko),.spectrum-Code:lang(zh){font-family:var(--mod-code-cjk-font-family,var(--spectrum-code-cjk-font-family));font-style:var(--mod-code-cjk-font-style,var(--spectrum-code-cjk-font-style));font-weight:var(--mod-code-cjk-font-weight,var(--spectrum-code-cjk-font-weight));line-height:var(--mod-code-cjk-line-height,var(--spectrum-code-cjk-line-height));letter-spacing:var(--mod-code-cjk-letter-spacing,var(--spectrum-code-cjk-letter-spacing))}.spectrum-Code:lang(ja) .spectrum-Code-strong,.spectrum-Code:lang(ja) strong,.spectrum-Code:lang(ko) .spectrum-Code-strong,.spectrum-Code:lang(ko) strong,.spectrum-Code:lang(zh) .spectrum-Code-strong,.spectrum-Code:lang(zh) strong{font-style:var(--mod-code-cjk-strong-font-style,var(--spectrum-code-cjk-strong-font-style));font-weight:var(--mod-code-cjk-strong-font-weight,var(--spectrum-code-cjk-strong-font-weight))}.spectrum-Code:lang(ja) .spectrum-Code-emphasized,.spectrum-Code:lang(ja) em,.spectrum-Code:lang(ko) .spectrum-Code-emphasized,.spectrum-Code:lang(ko) em,.spectrum-Code:lang(zh) .spectrum-Code-emphasized,.spectrum-Code:lang(zh) em{font-style:var(--mod-code-cjk-emphasized-font-style,var(--spectrum-code-cjk-emphasized-font-style));font-weight:var(--mod-code-cjk-emphasized-font-weight,var(--spectrum-code-cjk-emphasized-font-weight))}.spectrum-Code:lang(ja) .spectrum-Code-strong.spectrum-Code-emphasized,.spectrum-Code:lang(ja) em strong,.spectrum-Code:lang(ja) strong em,.spectrum-Code:lang(ko) .spectrum-Code-strong.spectrum-Code-emphasized,.spectrum-Code:lang(ko) em strong,.spectrum-Code:lang(ko) strong em,.spectrum-Code:lang(zh) .spectrum-Code-strong.spectrum-Code-emphasized,.spectrum-Code:lang(zh) em strong,.spectrum-Code:lang(zh) strong em{font-style:var(--mod-code-cjk-strong-emphasized-font-style,var(--spectrum-code-cjk-strong-emphasized-font-style));font-weight:var(--mod-code-cjk-strong-emphasized-font-weight,var(--spectrum-code-cjk-strong-emphasized-font-weight))}\n"
    ]);
    _templateObject$2n = function _templateObject() {
        return data;
    };
    return data;
}
var t$m = i$p(_templateObject$2n());
var t$n = t$m;

function _tagged_template_literal$2m(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2m() {
    var data = _tagged_template_literal$2m([
        "\n    .spectrum-Heading{--spectrum-heading-sans-serif-font-family:var(--spectrum-sans-font-family-stack);--spectrum-heading-serif-font-family:var(--spectrum-serif-font-family-stack);--spectrum-heading-cjk-font-family:var(--spectrum-cjk-font-family-stack);--spectrum-heading-cjk-letter-spacing:var(--spectrum-cjk-letter-spacing);--spectrum-heading-font-color:var(--spectrum-heading-color);--spectrum-heading-margin-start:calc(var(--mod-heading-font-size,var(--spectrum-heading-font-size))*var(--spectrum-heading-margin-top-multiplier));--spectrum-heading-margin-end:calc(var(--mod-heading-font-size,var(--spectrum-heading-font-size))*var(--spectrum-heading-margin-bottom-multiplier))}.spectrum-Heading--sizeXXS{--spectrum-heading-font-size:var(--spectrum-heading-size-xxs);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-xxs)}.spectrum-Heading--sizeXS{--spectrum-heading-font-size:var(--spectrum-heading-size-xs);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-xs)}.spectrum-Heading--sizeS{--spectrum-heading-font-size:var(--spectrum-heading-size-s);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-s)}.spectrum-Heading--sizeM{--spectrum-heading-font-size:var(--spectrum-heading-size-m);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-m)}.spectrum-Heading--sizeL{--spectrum-heading-font-size:var(--spectrum-heading-size-l);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-l)}.spectrum-Heading--sizeXL{--spectrum-heading-font-size:var(--spectrum-heading-size-xl);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-xl)}.spectrum-Heading--sizeXXL{--spectrum-heading-font-size:var(--spectrum-heading-size-xxl);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-xxl)}.spectrum-Heading--sizeXXXL{--spectrum-heading-font-size:var(--spectrum-heading-size-xxxl);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-xxxl)}.spectrum-Heading{font-family:var(--mod-heading-sans-serif-font-family,var(--spectrum-heading-sans-serif-font-family));font-style:var(--mod-heading-sans-serif-font-style,var(--spectrum-heading-sans-serif-font-style));font-weight:var(--mod-heading-sans-serif-font-weight,var(--spectrum-heading-sans-serif-font-weight));font-size:var(--mod-heading-font-size,var(--spectrum-heading-font-size));color:var(--highcontrast-heading-font-color,var(--mod-heading-font-color,var(--spectrum-heading-font-color)));line-height:var(--mod-heading-line-height,var(--spectrum-heading-line-height));margin-block:0}.spectrum-Heading .spectrum-Heading-strong,.spectrum-Heading strong{font-style:var(--mod-heading-sans-serif-strong-font-style,var(--spectrum-heading-sans-serif-strong-font-style));font-weight:var(--mod-heading-sans-serif-strong-font-weight,var(--spectrum-heading-sans-serif-strong-font-weight))}.spectrum-Heading .spectrum-Heading-emphasized,.spectrum-Heading em{font-style:var(--mod-heading-sans-serif-emphasized-font-style,var(--spectrum-heading-sans-serif-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-emphasized-font-weight,var(--spectrum-heading-sans-serif-emphasized-font-weight))}.spectrum-Heading .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading em strong,.spectrum-Heading strong em{font-style:var(--mod-heading-sans-serif-strong-emphasized-font-style,var(--spectrum-heading-sans-serif-strong-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-strong-emphasized-font-weight,var(--spectrum-heading-sans-serif-strong-emphasized-font-weight))}.spectrum-Heading:lang(ja),.spectrum-Heading:lang(ko),.spectrum-Heading:lang(zh){font-family:var(--mod-heading-cjk-font-family,var(--spectrum-heading-cjk-font-family));font-style:var(--mod-heading-cjk-font-style,var(--spectrum-heading-cjk-font-style));font-weight:var(--mod-heading-cjk-font-weight,var(--spectrum-heading-cjk-font-weight));font-size:var(--mod-heading-cjk-font-size,var(--spectrum-heading-cjk-font-size));line-height:var(--mod-heading-cjk-line-height,var(--spectrum-heading-cjk-line-height));letter-spacing:var(--mod-heading-cjk-letter-spacing,var(--spectrum-heading-cjk-letter-spacing))}.spectrum-Heading:lang(ja) .spectrum-Heading-emphasized,.spectrum-Heading:lang(ja) em,.spectrum-Heading:lang(ko) .spectrum-Heading-emphasized,.spectrum-Heading:lang(ko) em,.spectrum-Heading:lang(zh) .spectrum-Heading-emphasized,.spectrum-Heading:lang(zh) em{font-style:var(--mod-heading-cjk-emphasized-font-style,var(--spectrum-heading-cjk-emphasized-font-style));font-weight:var(--mod-heading-cjk-emphasized-font-weight,var(--spectrum-heading-cjk-emphasized-font-weight))}.spectrum-Heading:lang(ja) .spectrum-Heading-strong,.spectrum-Heading:lang(ja) strong,.spectrum-Heading:lang(ko) .spectrum-Heading-strong,.spectrum-Heading:lang(ko) strong,.spectrum-Heading:lang(zh) .spectrum-Heading-strong,.spectrum-Heading:lang(zh) strong{font-style:var(--mod-heading-cjk-strong-font-style,var(--spectrum-heading-cjk-strong-font-style));font-weight:var(--mod-heading-cjk-strong-font-weight,var(--spectrum-heading-cjk-strong-font-weight))}.spectrum-Heading:lang(ja) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading:lang(ja) em strong,.spectrum-Heading:lang(ja) strong em,.spectrum-Heading:lang(ko) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading:lang(ko) em strong,.spectrum-Heading:lang(ko) strong em,.spectrum-Heading:lang(zh) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading:lang(zh) em strong,.spectrum-Heading:lang(zh) strong em{font-style:var(--mod-heading-cjk-strong-emphasized-font-style,var(--spectrum-heading-cjk-strong-emphasized-font-style));font-weight:var(--mod-heading-cjk-strong-emphasized-font-weight,var(--spectrum-heading-cjk-strong-emphasized-font-weight))}.spectrum-Heading--heavy{font-style:var(--mod-heading-sans-serif-heavy-font-style,var(--spectrum-heading-sans-serif-heavy-font-style));font-weight:var(--mod-heading-sans-serif-heavy-font-weight,var(--spectrum-heading-sans-serif-heavy-font-weight))}.spectrum-Heading--heavy .spectrum-Heading-strong,.spectrum-Heading--heavy strong{font-style:var(--mod-heading-sans-serif-heavy-strong-font-style,var(--spectrum-heading-sans-serif-heavy-strong-font-style));font-weight:var(--mod-heading-sans-serif-heavy-strong-font-weight,var(--spectrum-heading-sans-serif-heavy-strong-font-weight))}.spectrum-Heading--heavy .spectrum-Heading-emphasized,.spectrum-Heading--heavy em{font-style:var(--mod-heading-sans-serif-heavy-emphasized-font-style,var(--spectrum-heading-sans-serif-heavy-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-heavy-emphasized-font-weight,var(--spectrum-heading-sans-serif-heavy-emphasized-font-weight))}.spectrum-Heading--heavy .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy em strong,.spectrum-Heading--heavy strong em{font-style:var(--mod-heading-sans-serif-heavy-strong-emphasized-font-style,var(--spectrum-heading-sans-serif-heavy-strong-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-heavy-strong-emphasized-font-weight,var(--spectrum-heading-sans-serif-heavy-strong-emphasized-font-weight))}.spectrum-Heading--heavy:lang(ja),.spectrum-Heading--heavy:lang(ko),.spectrum-Heading--heavy:lang(zh){font-style:var(--mod-heading-cjk-heavy-font-style,var(--spectrum-heading-cjk-heavy-font-style));font-weight:var(--mod-heading-cjk-heavy-font-weight,var(--spectrum-heading-cjk-heavy-font-weight))}.spectrum-Heading--heavy:lang(ja) .spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ja) em,.spectrum-Heading--heavy:lang(ko) .spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ko) em,.spectrum-Heading--heavy:lang(zh) .spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(zh) em{font-style:var(--mod-heading-cjk-heavy-emphasized-font-style,var(--spectrum-heading-cjk-heavy-emphasized-font-style));font-weight:var(--mod-heading-cjk-heavy-emphasized-font-weight,var(--spectrum-heading-cjk-heavy-emphasized-font-weight))}.spectrum-Heading--heavy:lang(ja) .spectrum-Heading-strong,.spectrum-Heading--heavy:lang(ja) strong,.spectrum-Heading--heavy:lang(ko) .spectrum-Heading-strong,.spectrum-Heading--heavy:lang(ko) strong,.spectrum-Heading--heavy:lang(zh) .spectrum-Heading-strong,.spectrum-Heading--heavy:lang(zh) strong{font-style:var(--mod-heading-cjk-heavy-strong-font-style,var(--spectrum-heading-cjk-heavy-strong-font-style));font-weight:var(--mod-heading-cjk-heavy-strong-font-weight,var(--spectrum-heading-cjk-heavy-strong-font-weight))}.spectrum-Heading--heavy:lang(ja) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ja) em strong,.spectrum-Heading--heavy:lang(ja) strong em,.spectrum-Heading--heavy:lang(ko) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ko) em strong,.spectrum-Heading--heavy:lang(ko) strong em,.spectrum-Heading--heavy:lang(zh) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(zh) em strong,.spectrum-Heading--heavy:lang(zh) strong em{font-style:var(--mod-heading-cjk-heavy-strong-emphasized-font-style,var(--spectrum-heading-cjk-heavy-strong-emphasized-font-style));font-weight:var(--mod-heading-cjk-heavy-strong-emphasized-font-weight,var(--spectrum-heading-cjk-heavy-strong-emphasized-font-weight))}.spectrum-Heading--light{font-style:var(--mod-heading-sans-serif-light-font-style,var(--spectrum-heading-sans-serif-light-font-style));font-weight:var(--mod-heading-sans-serif-light-font-weight,var(--spectrum-heading-sans-serif-light-font-weight))}.spectrum-Heading--light .spectrum-Heading-emphasized,.spectrum-Heading--light em{font-style:var(--mod-heading-sans-serif-light-emphasized-font-style,var(--spectrum-heading-sans-serif-light-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-light-emphasized-font-weight,var(--spectrum-heading-sans-serif-light-emphasized-font-weight))}.spectrum-Heading--light .spectrum-Heading-strong,.spectrum-Heading--light strong{font-style:var(--mod-heading-sans-serif-light-strong-font-style,var(--spectrum-heading-sans-serif-light-strong-font-style));font-weight:var(--mod-heading-sans-serif-light-strong-font-weight,var(--spectrum-heading-sans-serif-light-strong-font-weight))}.spectrum-Heading--light .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light em strong,.spectrum-Heading--light strong em{font-style:var(--mod-heading-sans-serif-light-strong-emphasized-font-style,var(--spectrum-heading-sans-serif-light-strong-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-light-strong-emphasized-font-weight,var(--spectrum-heading-sans-serif-light-strong-emphasized-font-weight))}.spectrum-Heading--light:lang(ja),.spectrum-Heading--light:lang(ko),.spectrum-Heading--light:lang(zh){font-style:var(--mod-heading-cjk-light-font-style,var(--spectrum-heading-cjk-light-font-style));font-weight:var(--mod-heading-cjk-light-font-weight,var(--spectrum-heading-cjk-light-font-weight))}.spectrum-Heading--light:lang(ja) .spectrum-Heading-strong,.spectrum-Heading--light:lang(ja) strong,.spectrum-Heading--light:lang(ko) .spectrum-Heading-strong,.spectrum-Heading--light:lang(ko) strong,.spectrum-Heading--light:lang(zh) .spectrum-Heading-strong,.spectrum-Heading--light:lang(zh) strong{font-style:var(--mod-heading-cjk-light-strong-font-style,var(--spectrum-heading-cjk-light-strong-font-style));font-weight:var(--mod-heading-cjk-light-strong-font-weight,var(--spectrum-heading-cjk-light-strong-font-weight))}.spectrum-Heading--light:lang(ja) .spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ja) em,.spectrum-Heading--light:lang(ko) .spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ko) em,.spectrum-Heading--light:lang(zh) .spectrum-Heading-emphasized,.spectrum-Heading--light:lang(zh) em{font-style:var(--mod-heading-cjk-light-emphasized-font-style,var(--spectrum-heading-cjk-light-emphasized-font-style));font-weight:var(--mod-heading-cjk-light-emphasized-font-weight,var(--spectrum-heading-cjk-light-emphasized-font-weight))}.spectrum-Heading--light:lang(ja) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ja) em strong,.spectrum-Heading--light:lang(ja) strong em,.spectrum-Heading--light:lang(ko) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ko) em strong,.spectrum-Heading--light:lang(ko) strong em,.spectrum-Heading--light:lang(zh) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light:lang(zh) em strong,.spectrum-Heading--light:lang(zh) strong em{font-style:var(--mod-heading-cjk-light-strong-emphasized-font-style,var(--spectrum-heading-cjk-light-strong-emphasized-font-style));font-weight:var(--mod-heading-cjk-light-strong-emphasized-font-weight,var(--spectrum-heading-cjk-light-strong-emphasized-font-weight))}.spectrum-Heading--serif{font-family:var(--mod-heading-serif-font-family,var(--spectrum-heading-serif-font-family));font-style:var(--mod-heading-serif-font-style,var(--spectrum-heading-serif-font-style));font-weight:var(--mod-heading-serif-font-weight,var(--spectrum-heading-serif-font-weight))}.spectrum-Heading--serif .spectrum-Heading-emphasized,.spectrum-Heading--serif em{font-style:var(--mod-heading-serif-emphasized-font-style,var(--spectrum-heading-serif-emphasized-font-style));font-weight:var(--mod-heading-serif-emphasized-font-weight,var(--spectrum-heading-serif-emphasized-font-weight))}.spectrum-Heading--serif .spectrum-Heading-strong,.spectrum-Heading--serif strong{font-style:var(--mod-heading-serif-strong-font-style,var(--spectrum-heading-serif-strong-font-style));font-weight:var(--mod-heading-serif-strong-font-weight,var(--spectrum-heading-serif-strong-font-weight))}.spectrum-Heading--serif .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--serif em strong,.spectrum-Heading--serif strong em{font-style:var(--mod-heading-serif-strong-emphasized-font-style,var(--spectrum-heading-serif-strong-emphasized-font-style));font-weight:var(--mod-heading-serif-strong-emphasized-font-weight,var(--spectrum-heading-serif-strong-emphasized-font-weight))}.spectrum-Heading--serif.spectrum-Heading--heavy{font-style:var(--mod-heading-serif-heavy-font-style,var(--spectrum-heading-serif-heavy-font-style));font-weight:var(--mod-heading-serif-heavy-font-weight,var(--spectrum-heading-serif-heavy-font-weight))}.spectrum-Heading--serif.spectrum-Heading--heavy .spectrum-Heading-strong,.spectrum-Heading--serif.spectrum-Heading--heavy strong{font-style:var(--mod-heading-serif-heavy-strong-font-style,var(--spectrum-heading-serif-heavy-strong-font-style));font-weight:var(--mod-heading-serif-heavy-strong-font-weight,var(--spectrum-heading-serif-heavy-strong-font-weight))}.spectrum-Heading--serif.spectrum-Heading--heavy .spectrum-Heading-emphasized,.spectrum-Heading--serif.spectrum-Heading--heavy em{font-style:var(--mod-heading-serif-heavy-emphasized-font-style,var(--spectrum-heading-serif-heavy-emphasized-font-style));font-weight:var(--mod-heading-serif-heavy-emphasized-font-weight,var(--spectrum-heading-serif-heavy-emphasized-font-weight))}.spectrum-Heading--serif.spectrum-Heading--heavy .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--serif.spectrum-Heading--heavy em strong,.spectrum-Heading--serif.spectrum-Heading--heavy strong em{font-style:var(--mod-heading-serif-heavy-strong-emphasized-font-style,var(--spectrum-heading-serif-heavy-strong-emphasized-font-style));font-weight:var(--mod-heading-serif-heavy-strong-emphasized-font-weight,var(--spectrum-heading-serif-heavy-strong-emphasized-font-weight))}.spectrum-Heading--serif.spectrum-Heading--light{font-style:var(--mod-heading-serif-light-font-style,var(--spectrum-heading-serif-light-font-style));font-weight:var(--mod-heading-serif-light-font-weight,var(--spectrum-heading-serif-light-font-weight))}.spectrum-Heading--serif.spectrum-Heading--light .spectrum-Heading-emphasized,.spectrum-Heading--serif.spectrum-Heading--light em{font-style:var(--mod-heading-serif-light-emphasized-font-style,var(--spectrum-heading-serif-light-emphasized-font-style));font-weight:var(--mod-heading-serif-light-emphasized-font-weight,var(--spectrum-heading-serif-light-emphasized-font-weight))}.spectrum-Heading--serif.spectrum-Heading--light .spectrum-Heading-strong,.spectrum-Heading--serif.spectrum-Heading--light strong{font-style:var(--mod-heading-serif-light-strong-font-style,var(--spectrum-heading-serif-light-strong-font-style));font-weight:var(--mod-heading-serif-light-strong-font-weight,var(--spectrum-heading-serif-light-strong-font-weight))}.spectrum-Heading--serif.spectrum-Heading--light .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--serif.spectrum-Heading--light em strong,.spectrum-Heading--serif.spectrum-Heading--light strong em{font-style:var(--mod-heading-serif-light-strong-emphasized-font-style,var(--spectrum-heading-serif-light-strong-emphasized-font-style));font-weight:var(--mod-heading-serif-light-strong-emphasized-font-weight,var(--spectrum-heading-serif-light-strong-emphasized-font-weight))}.spectrum-Typography .spectrum-Heading{margin-block-start:var(--mod-heading-margin-start,var(--spectrum-heading-margin-start));margin-block-end:var(--mod-heading-margin-end,var(--spectrum-heading-margin-end))}@media (forced-colors:active){.spectrum-Heading{--highcontrast-heading-font-color:Text}}\n"
    ]);
    _templateObject$2m = function _templateObject() {
        return data;
    };
    return data;
}
var t$l = i$p(_templateObject$2m());
var o$u = t$l;

var h$g = [
    o$w,
    t$n,
    o$u
];

function _tagged_template_literal$2l(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2l() {
    var data = _tagged_template_literal$2l([
        "\n    .spectrum-Detail{--spectrum-detail-sans-serif-font-family:var(--spectrum-sans-font-family-stack);--spectrum-detail-serif-font-family:var(--spectrum-serif-font-family-stack);--spectrum-detail-cjk-font-family:var(--spectrum-cjk-font-family-stack);--spectrum-detail-margin-start:calc(var(--mod-detail-font-size,var(--spectrum-detail-font-size))*var(--spectrum-detail-margin-top-multiplier));--spectrum-detail-margin-end:calc(var(--mod-detail-font-size,var(--spectrum-detail-font-size))*var(--spectrum-detail-margin-bottom-multiplier));--spectrum-detail-font-color:var(--spectrum-detail-color)}.spectrum-Detail--sizeS{--spectrum-detail-font-size:var(--spectrum-detail-size-s)}.spectrum-Detail--sizeM{--spectrum-detail-font-size:var(--spectrum-detail-size-m)}.spectrum-Detail--sizeL{--spectrum-detail-font-size:var(--spectrum-detail-size-l)}.spectrum-Detail--sizeXL{--spectrum-detail-font-size:var(--spectrum-detail-size-xl)}.spectrum-Detail{font-family:var(--mod-detail-sans-serif-font-family,var(--spectrum-detail-sans-serif-font-family));font-style:var(--mod-detail-sans-serif-font-style,var(--spectrum-detail-sans-serif-font-style));font-weight:var(--mod-detail-sans-serif-font-weight,var(--spectrum-detail-sans-serif-font-weight));font-size:var(--mod-detail-font-size,var(--spectrum-detail-font-size));color:var(--highcontrast-detail-font-color,var(--mod-detail-font-color,var(--spectrum-detail-font-color)));line-height:var(--mod-detail-line-height,var(--spectrum-detail-line-height));letter-spacing:var(--mod-detail-letter-spacing,var(--spectrum-detail-letter-spacing));text-transform:uppercase;margin-block:0}.spectrum-Detail .spectrum-Detail-strong,.spectrum-Detail strong{font-style:var(--mod-detail-sans-serif-strong-font-style,var(--spectrum-detail-sans-serif-strong-font-style));font-weight:var(--mod-detail-sans-serif-strong-font-weight,var(--spectrum-detail-sans-serif-strong-font-weight))}.spectrum-Detail .spectrum-Detail-emphasized,.spectrum-Detail em{font-style:var(--mod-detail-sans-serif-emphasized-font-style,var(--spectrum-detail-sans-serif-emphasized-font-style));font-weight:var(--mod-detail-sans-serif-emphasized-font-weight,var(--spectrum-detail-sans-serif-emphasized-font-weight))}.spectrum-Detail .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail em strong,.spectrum-Detail strong em{font-style:var(--mod-detail-sans-serif-strong-emphasized-font-style,var(--spectrum-detail-sans-serif-strong-emphasized-font-style));font-weight:var(--mod-detail-sans-serif-strong-emphasized-font-weight,var(--spectrum-detail-sans-serif-strong-emphasized-font-weight))}.spectrum-Detail:lang(ja),.spectrum-Detail:lang(ko),.spectrum-Detail:lang(zh){font-family:var(--mod-detail-cjk-font-family,var(--spectrum-detail-cjk-font-family));font-style:var(--mod-detail-cjk-font-style,var(--spectrum-detail-cjk-font-style));font-weight:var(--mod-detail-cjk-font-weight,var(--spectrum-detail-cjk-font-weight));line-height:var(--mod-detail-cjk-line-height,var(--spectrum-detail-cjk-line-height))}.spectrum-Detail:lang(ja) .spectrum-Detail-strong,.spectrum-Detail:lang(ja) strong,.spectrum-Detail:lang(ko) .spectrum-Detail-strong,.spectrum-Detail:lang(ko) strong,.spectrum-Detail:lang(zh) .spectrum-Detail-strong,.spectrum-Detail:lang(zh) strong{font-style:var(--mod-detail-cjk-strong-font-style,var(--spectrum-detail-cjk-strong-font-style));font-weight:var(--mod-detail-cjk-strong-font-weight,var(--spectrum-detail-cjk-strong-font-weight))}.spectrum-Detail:lang(ja) .spectrum-Detail-emphasized,.spectrum-Detail:lang(ja) em,.spectrum-Detail:lang(ko) .spectrum-Detail-emphasized,.spectrum-Detail:lang(ko) em,.spectrum-Detail:lang(zh) .spectrum-Detail-emphasized,.spectrum-Detail:lang(zh) em{font-style:var(--mod-detail-cjk-emphasized-font-style,var(--spectrum-detail-cjk-emphasized-font-style));font-weight:var(--mod-detail-cjk-emphasized-font-weight,var(--spectrum-detail-cjk-emphasized-font-weight))}.spectrum-Detail:lang(ja) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail:lang(ja) em strong,.spectrum-Detail:lang(ja) strong em,.spectrum-Detail:lang(ko) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail:lang(ko) em strong,.spectrum-Detail:lang(ko) strong em,.spectrum-Detail:lang(zh) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail:lang(zh) em strong,.spectrum-Detail:lang(zh) strong em{font-style:var(--mod-detail-cjk-strong-emphasized-font-style,var(--spectrum-detail-cjk-strong-emphasized-font-style));font-weight:var(--mod-detail-cjk-strong-emphasized-font-weight,var(--spectrum-detail-cjk-strong-emphasized-font-weight))}.spectrum-Detail--serif{font-family:var(--mod-detail-serif-font-family,var(--spectrum-detail-serif-font-family));font-style:var(--mod-detail-serif-font-style,var(--spectrum-detail-serif-font-style));font-weight:var(--mod-detail-serif-font-weight,var(--spectrum-detail-serif-font-weight))}.spectrum-Detail--serif .spectrum-Detail-strong,.spectrum-Detail--serif strong{font-style:var(--mod-detail-serif-strong-font-style,var(--spectrum-detail-serif-strong-font-style));font-weight:var(--mod-detail-serif-strong-font-weight,var(--spectrum-detail-serif-strong-font-weight))}.spectrum-Detail--serif .spectrum-Detail-emphasized,.spectrum-Detail--serif em{font-style:var(--mod-detail-serif-emphasized-font-style,var(--spectrum-detail-serif-emphasized-font-style));font-weight:var(--mod-detail-serif-emphasized-font-weight,var(--spectrum-detail-serif-emphasized-font-weight))}.spectrum-Detail--serif .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail--serif em strong,.spectrum-Detail--serif strong em{font-style:var(--mod-detail-serif-strong-emphasized-font-style,var(--spectrum-detail-serif-strong-emphasized-font-style));font-weight:var(--mod-detail-serif-strong-emphasized-font-weight,var(--spectrum-detail-serif-strong-emphasized-font-weight))}.spectrum-Detail--light{font-style:var(--mod-detail-sans-serif-light-font-style,var(--spectrum-detail-sans-serif-light-font-style));font-weight:var(--spectrum-detail-sans-serif-light-font-weight,var(--spectrum-detail-sans-serif-light-font-weight))}.spectrum-Detail--light .spectrum-Detail-strong,.spectrum-Detail--light strong{font-style:var(--mod-detail-sans-serif-light-strong-font-style,var(--spectrum-detail-sans-serif-light-strong-font-style));font-weight:var(--mod-detail-sans-serif-light-strong-font-weight,var(--spectrum-detail-sans-serif-light-strong-font-weight))}.spectrum-Detail--light .spectrum-Detail-emphasized,.spectrum-Detail--light em{font-style:var(--mod-detail-sans-serif-light-emphasized-font-style,var(--spectrum-detail-sans-serif-light-emphasized-font-style));font-weight:var(--mod-detail-sans-serif-light-emphasized-font-weight,var(--spectrum-detail-sans-serif-light-emphasized-font-weight))}.spectrum-Detail--light .spectrum-Detail-strong.spectrum-Body-emphasized,.spectrum-Detail--light em strong,.spectrum-Detail--light strong em{font-style:var(--mod-detail-sans-serif-light-strong-emphasized-font-style,var(--spectrum-detail-sans-serif-light-strong-emphasized-font-style));font-weight:var(--mod-detail-sans-serif-light-strong-emphasized-font-weight,var(--spectrum-detail-sans-serif-light-strong-emphasized-font-weight))}.spectrum-Detail--light:lang(ja),.spectrum-Detail--light:lang(ko),.spectrum-Detail--light:lang(zh){font-style:var(--mod-detail-cjk-light-font-style,var(--spectrum-detail-cjk-light-font-style));font-weight:var(--mod-detail-cjk-light-font-weight,var(--spectrum-detail-cjk-light-font-weight))}.spectrum-Detail--light:lang(ja) .spectrum-Detail-strong,.spectrum-Detail--light:lang(ja) strong,.spectrum-Detail--light:lang(ko) .spectrum-Detail-strong,.spectrum-Detail--light:lang(ko) strong,.spectrum-Detail--light:lang(zh) .spectrum-Detail-strong,.spectrum-Detail--light:lang(zh) strong{font-style:var(--mod-detail-cjk-light-strong-font-style,var(--spectrum-detail-cjk-light-strong-font-style));font-weight:var(--mod-detail-cjk-light-strong-font-weight,var(--spectrum-detail-cjk-light-strong-font-weight))}.spectrum-Detail--light:lang(ja) .spectrum-Detail-emphasized,.spectrum-Detail--light:lang(ja) em,.spectrum-Detail--light:lang(ko) .spectrum-Detail-emphasized,.spectrum-Detail--light:lang(ko) em,.spectrum-Detail--light:lang(zh) .spectrum-Detail-emphasized,.spectrum-Detail--light:lang(zh) em{font-style:var(--mod-detail-cjk-light-emphasized-font-style,var(--spectrum-detail-cjk-light-emphasized-font-style));font-weight:var(--mod-detail-cjk-light-emphasized-font-weight,var(--spectrum-detail-cjk-light-emphasized-font-weight))}.spectrum-Detail--light:lang(ja) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail--light:lang(ko) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail--light:lang(zh) .spectrum-Detail-strong.spectrum-Detail-emphasized{font-style:var(--mod-detail-cjk-light-strong-emphasized-font-style,var(--spectrum-detail-cjk-light-strong-emphasized-font-style));font-weight:var(--mod-detail-cjk-light-strong-emphasized-font-weight,var(--spectrum-detail-cjk-light-strong-emphasized-font-weight))}.spectrum-Detail--serif.spectrum-Detail--light{font-style:var(--mod-detail-serif-light-font-style,var(--spectrum-detail-serif-light-font-style));font-weight:var(--mod-detail-serif-light-font-weight,var(--spectrum-detail-serif-light-font-weight))}.spectrum-Detail--serif.spectrum-Detail--light .spectrum-Detail-strong,.spectrum-Detail--serif.spectrum-Detail--light strong{font-style:var(--mod-detail-serif-light-strong-font-style,var(--spectrum-detail-serif-light-strong-font-style));font-weight:var(--mod-detail-serif-light-strong-font-weight,var(--spectrum-detail-serif-light-strong-font-weight))}.spectrum-Detail--serif.spectrum-Detail--light .spectrum-Detail-emphasized,.spectrum-Detail--serif.spectrum-Detail--light em{font-style:var(--mod-detail-serif-light-emphasized-font-style,var(--spectrum-detail-serif-light-emphasized-font-style));font-weight:var(--mod-detail-serif-light-emphasized-font-weight,var(--spectrum-detail-serif-light-emphasized-font-weight))}.spectrum-Detail--serif.spectrum-Detail--light .spectrum-Detail-strong.spectrum-Body-emphasized,.spectrum-Detail--serif.spectrum-Detail--light em strong,.spectrum-Detail--serif.spectrum-Detail--light strong em{font-style:var(--mod-detail-serif-light-strong-emphasized-font-style,var(--spectrum-detail-serif-light-strong-emphasized-font-style));font-weight:var(--mod-detail-serif-light-strong-emphasized-font-weight,var(--spectrum-detail-serif-light-strong-emphasized-font-weight))}.spectrum-Typography .spectrum-Detail{margin-block-start:var(--mod-detail-margin-start,var(--spectrum-detail-margin-start));margin-block-end:var(--mod-detail-margin-end,var(--spectrum-detail-margin-end))}@media (forced-colors:active){.spectrum-Detail{--highcontrast-detail-font-color:Text}}\n"
    ]);
    _templateObject$2l = function _templateObject() {
        return data;
    };
    return data;
}
var e$v = i$p(_templateObject$2l());
var o$t = e$v;

var P$1 = [
    o$w,
    t$n,
    o$t
];

function _assert_this_initialized$1s(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1G(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1E(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1E(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1E(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1E(Constructor, staticProps);
    return Constructor;
}
function _get$O(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$O = Reflect.get;
    } else {
        _get$O = function get(target, property, receiver) {
            var base = _super_prop_base$O(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$O(target, property, receiver || target);
}
function _get_prototype_of$1s(o) {
    _get_prototype_of$1s = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1s(o);
}
function _inherits$1s(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1s(subClass, superClass);
}
function _possible_constructor_return$1s(self, call) {
    if (call && (_type_of$1s(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1s(self);
}
function _set_prototype_of$1s(o, p) {
    _set_prototype_of$1s = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1s(o, p);
}
function _super_prop_base$O(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1s(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2k(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1s(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1s() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1s(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1s();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1s(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1s(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1s(this, result);
    };
}
function _templateObject$2k() {
    var data = _tagged_template_literal$2k([
        '\n            <div\n                class="title spectrum-Heading spectrum-Heading--sizeXS"\n                id="heading"\n            >\n                <slot name="heading">',
        "</slot>\n            </div>\n        "
    ]);
    _templateObject$2k = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$u() {
    var data = _tagged_template_literal$2k([
        '\n                      <sp-divider size="s"></sp-divider>\n                  '
    ]);
    _templateObject1$u = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$k() {
    var data = _tagged_template_literal$2k([
        '\n            <sp-asset id="preview" variant=',
        '>\n                <slot name="preview"></slot>\n            </sp-asset>\n            ',
        "\n        "
    ]);
    _templateObject2$k = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$g() {
    var data = _tagged_template_literal$2k([
        '\n                      <sp-divider size="s"></sp-divider>\n                  '
    ]);
    _templateObject3$g = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$e() {
    var data = _tagged_template_literal$2k([
        '\n            <sp-asset id="cover-photo" variant=',
        '>\n                <slot name="cover-photo"></slot>\n            </sp-asset>\n            ',
        "\n        "
    ]);
    _templateObject4$e = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$b() {
    var data = _tagged_template_literal$2k([
        '\n            <div class="subtitle spectrum-Detail spectrum-Detail--sizeS">\n                <slot name="subheading">',
        '</slot>\n            </div>\n            <slot name="description"></slot>\n        '
    ]);
    _templateObject5$b = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6$7() {
    var data = _tagged_template_literal$2k([
        '\n                              <div\n                                  class="action-button"\n                                  @pointerdown=',
        '\n                              >\n                                  <slot name="actions"></slot>\n                              </div>\n                          '
    ]);
    _templateObject6$7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7$4() {
    var data = _tagged_template_literal$2k([
        '\n                          <div class="content">\n                              ',
        "\n                          </div>\n                      "
    ]);
    _templateObject7$4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8$3() {
    var data = _tagged_template_literal$2k([
        '\n                      <slot name="footer"></slot>\n                  '
    ]);
    _templateObject8$3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9$2() {
    var data = _tagged_template_literal$2k([
        '\n                      <sp-quick-actions\n                          class="quick-actions"\n                          @pointerdown=',
        '\n                      >\n                          <sp-checkbox\n                              class="checkbox"\n                              @change=',
        "\n                              ?checked=",
        '\n                              tabindex="-1"\n                          ></sp-checkbox>\n                      </sp-quick-actions>\n                  '
    ]);
    _templateObject9$2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10$2() {
    var data = _tagged_template_literal$2k([
        '\n                      <sp-quick-actions\n                          class="spectrum-QuickActions actions"\n                          @pointerdown=',
        '\n                      >\n                          <slot name="actions"></slot>\n                      </sp-quick-actions>\n                  '
    ]);
    _templateObject10$2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject11$2() {
    var data = _tagged_template_literal$2k([
        "\n            ",
        '\n            <div class="body">\n                <div class="header">\n                    ',
        "\n                    ",
        "\n                    ",
        "\n                </div>\n                ",
        "\n            </div>\n            ",
        "\n            ",
        "\n            ",
        "\n            ",
        "\n        "
    ]);
    _templateObject11$2 = function _templateObject() {
        return data;
    };
    return data;
}
var u$u = Object.defineProperty;
var v$d = Object.getOwnPropertyDescriptor;
var i$c = function(c, l, e, s) {
    for(var n = s > 1 ? void 0 : s ? v$d(l, e) : l, d = c.length - 1, a; d >= 0; d--)(a = c[d]) && (n = (s ? a(l, e, n) : a(n)) || n);
    return s && n && u$u(l, e, n), n;
};
var Card = /*#__PURE__*/ function(_w) {
    _inherits$1s(Card, _w);
    var _super = _create_super$1s(Card);
    function Card() {
        _class_call_check$1G(this, Card);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.variant = "standard";
        _this._selected = !1;
        _this.heading = "";
        _this.horizontal = !1;
        _this.focused = !1;
        _this.toggles = !1;
        _this.value = "";
        _this.subheading = "";
        _this.handleFocusin = function(e) {
            if (_this.focused = !0, e.composedPath()[0] !== _assert_this_initialized$1s(_this)) {
                _this.removeEventListener("keydown", _this.handleKeydown);
                return;
            }
            _this.addEventListener("keydown", _this.handleKeydown);
        };
        return _this;
    }
    _create_class$1E(Card, [
        {
            key: "selected",
            get: function get() {
                return this._selected;
            },
            set: function set(e) {
                e !== this.selected && (this._selected = e, this.requestUpdate("selected", !this._selected));
            }
        },
        {
            key: "hasCoverPhoto",
            get: function get() {
                return this.getSlotContentPresence('[slot="cover-photo"]');
            }
        },
        {
            key: "hasPreview",
            get: function get() {
                return this.getSlotContentPresence('[slot="preview"]');
            }
        },
        {
            key: "click",
            value: function click() {
                var e;
                (e = this.likeAnchor) == null || e.click();
            }
        },
        {
            key: "handleFocusout",
            value: function handleFocusout(e) {
                this.focused = !1, e.composedPath()[0] === this && this.removeEventListener("keydown", this.handleKeydown);
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                var s = e.code;
                switch(s){
                    case "Space":
                        if (this.toggleSelected(), this.toggles) {
                            e.preventDefault();
                            break;
                        }
                    case "Enter":
                    case "NumpadEnter":
                        this.click();
                }
            }
        },
        {
            key: "handleSelectedChange",
            value: function handleSelectedChange(e) {
                e.stopPropagation(), this.selected = e.target.checked, this.announceChange();
            }
        },
        {
            key: "toggleSelected",
            value: function toggleSelected() {
                if (!this.toggles) {
                    this.dispatchEvent(new Event("click", {
                        bubbles: !0,
                        composed: !0
                    }));
                    return;
                }
                this.selected = !this.selected, this.announceChange();
            }
        },
        {
            key: "announceChange",
            value: function announceChange() {
                this.dispatchEvent(new Event("change", {
                    cancelable: !0,
                    bubbles: !0,
                    composed: !0
                })) || (this.selected = !this.selected);
            }
        },
        {
            key: "stopPropagationOnHref",
            value: function stopPropagationOnHref(e) {
                this.href && e.stopPropagation();
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown(e) {
                var _this = this;
                if (e.composedPath().some(function(h) {
                    return h.localName === "a";
                })) return;
                var d = +new Date, a = function() {
                    +new Date - d < 200 && _this.click(), _this.removeEventListener("pointerup", a), _this.removeEventListener("pointercancel", a);
                };
                this.addEventListener("pointerup", a), this.addEventListener("pointercancel", a);
            }
        },
        {
            key: "renderHeading",
            get: function get() {
                return x$3(_templateObject$2k(), this.heading);
            }
        },
        {
            key: "renderPreviewImage",
            get: function get() {
                return x$3(_templateObject2$k(), o$O(this.asset), this.variant !== "quiet" && !this.horizontal ? x$3(_templateObject1$u()) : E$2);
            }
        },
        {
            key: "renderCoverImage",
            get: function get() {
                return x$3(_templateObject4$e(), o$O(this.asset), this.variant !== "quiet" && !this.horizontal ? x$3(_templateObject3$g()) : E$2);
            }
        },
        {
            key: "images",
            get: function get() {
                var e = [];
                return this.hasPreview && e.push(this.renderPreviewImage), this.hasCoverPhoto && e.push(this.renderCoverImage), e;
            }
        },
        {
            key: "renderImage",
            value: function renderImage() {
                return this.horizontal ? this.images : this.variant !== "standard" ? [
                    this.renderPreviewImage
                ] : this.images;
            }
        },
        {
            key: "renderSubtitleAndDescription",
            get: function get() {
                return x$3(_templateObject5$b(), this.subheading);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject11$2(), this.renderImage(), this.renderHeading, this.variant === "gallery" ? this.renderSubtitleAndDescription : E$2, this.variant !== "quiet" || this.size !== "s" ? x$3(_templateObject6$7(), this.stopPropagationOnHref) : E$2, this.variant !== "gallery" ? x$3(_templateObject7$4(), this.renderSubtitleAndDescription) : E$2, this.href ? this.renderAnchor({
                    id: "like-anchor",
                    labelledby: "heading"
                }) : E$2, this.variant === "standard" ? x$3(_templateObject8$3()) : E$2, this.toggles ? x$3(_templateObject9$2(), this.stopPropagationOnHref, this.handleSelectedChange, this.selected) : E$2, this.variant === "quiet" && this.size === "s" ? x$3(_templateObject10$2(), this.stopPropagationOnHref) : E$2);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$O(_get_prototype_of$1s(Card.prototype), "firstUpdated", this).call(this, e), this.addEventListener("pointerdown", this.handlePointerdown), this.addEventListener("focusin", this.handleFocusin), this.shadowRoot.addEventListener("focusin", this.handleFocusin), this.addEventListener("focusout", this.handleFocusout);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    h$g,
                    P$1,
                    k$1
                ];
            }
        }
    ]);
    return Card;
}(LikeAnchor(SizedMixin(ObserveSlotPresence(FocusVisiblePolyfillMixin(SpectrumElement), [
    '[slot="cover-photo"]',
    '[slot="preview"]'
]), {
    validSizes: [
        "s",
        "m"
    ],
    noDefaultSize: !0
})));
i$c([
    n$r()
], Card.prototype, "asset", 2), i$c([
    n$r({
        reflect: !0
    })
], Card.prototype, "variant", 2), i$c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Card.prototype, "selected", 1), i$c([
    n$r()
], Card.prototype, "heading", 2), i$c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Card.prototype, "horizontal", 2), i$c([
    e$F("#like-anchor")
], Card.prototype, "likeAnchor", 2), i$c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Card.prototype, "focused", 2), i$c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Card.prototype, "toggles", 2), i$c([
    n$r()
], Card.prototype, "value", 2), i$c([
    n$r()
], Card.prototype, "subheading", 2);

defineElement("sp-card", Card);

function _tagged_template_literal$2j(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2j() {
    var data = _tagged_template_literal$2j([
        "\n    :host{--spectrum-coachmark-min-width:var(--spectrum-coach-mark-minimum-width);--spectrum-coachmark-width:var(--spectrum-coach-mark-width);--spectrum-coachmark-max-width:var(--spectrum-coach-mark-maximum-width);--spectrum-coachmark-media-height:var(--spectrum-coach-mark-media-height);--spectrum-coachmark-media-min-height:var(--spectrum-coach-mark-media-minimum-height);--spectrum-coachmark-border-size:var(--mod-popover-border-width);--spectrum-coachmark-border-radius:var(--mod-popover-corner-radius);--spectrum-coachmark-padding:var(--spectrum-coach-mark-edge-to-content);--spectrum-coachmark-heading-to-action-button:var(--spectrum-spacing-300);--spectrum-coachmark-header-to-body:var(--spectrum-spacing-200);--spectrum-coachmark-body-to-footer:var(--spectrum-spacing-300);--spectrum-coachmark-title-color:var(--spectrum-heading-color);--spectrum-coachmark-title-font-family:var(--spectrum-sans-serif-font);--spectrum-coachmark-title-font-style:var(--spectrum-heading-serif-font-style);--spectrum-coachmark-title-text-font-weight:var(--spectrum-heading-sans-serif-font-weight);--spectrum-coachmark-title-font-size:var(--spectrum-coach-mark-title-size);--spectrum-coachmark-title-text-line-height:var(--spectrum-heading-line-height);--spectrum-coachmark-content-font-color:var(--spectrum-body-color);--spectrum-coachmark-content-font-weight:var(--spectrum-body-sans-serif-font-weight);--spectrum-coachmark-content-font-family:var(--spectrum-sans-serif-font);--spectrum-coachmark-content-font-style:var(--spectrum-body-sans-serif-font-style);--spectrum-coachmark-content-line-height:var(--spectrum-body-line-height);--spectrum-coachmark-content-font-size:var(--spectrum-coach-mark-body-size);--spectrum-coachmark-step-color:var(--spectrum-coach-mark-pagination-color);--spectrum-coachmark-step-font-weight:var(--spectrum-body-medium-font-weight);--spectrum-coachmark-step-font-family:var(--spectrum-sans-serif-font);--spectrum-coachmark-step-font-style:var(--spectrum-body-sans-serif-font-style);--spectrum-coachmark-step-line-height:var(--spectrum-body-line-height);--spectrum-coachmark-step-font-size:var(--spectrum-coach-mark-pagination-body-size);--spectrum-coachmark-step-to-bottom:var(--spectrum-coach-mark-pagination-text-to-bottom-edge);--mod-buttongroup-justify-content:flex-end;--mod-popover-border-width:var(--spectrum-border-width-100);--mod-popover-corner-radius:var(--spectrum-corner-radius-100);--mod-popover-content-area-spacing-vertical:0;--mod-button-edge-to-visual-only:9px;min-inline-size:var(--mod-coachmark-min-width,var(--spectrum-coachmark-min-width));max-inline-size:var(--mod-coachmark-max-width,var(--spectrum-coachmark-max-width));inline-size:var(--mod-coachmark-width,var(--spectrum-coachmark-width));position:relative}.buttongroup{display:var(--spectrum-coachmark-buttongroup-display)}.buttongroup-mobile{--mod-buttongroup-spacing-horizontal:var(--spectrum-spacing-100);display:var(--spectrum-coachmark-buttongroup-mobile-display)}.menu{display:var(--spectrum-coachmark-menu-display)}.spectrum-CoachMark-menu--mobile{display:var(--spectrum-coachmark-menu-mobile-display)}.image-wrapper{block-size:var(--mod-coachmark-media-height,var(--spectrum-coachmark-media-height));min-block-size:var(--mod-coachmark-media-min-height,var(--spectrum-coachmark-media-min-height));inline-size:calc(var(--mod-coachmark-width,var(--spectrum-coachmark-width)) - var(--mod-coachmark-border-size,var(--spectrum-coachmark-border-size))*2);object-fit:cover;object-position:center;border-start-start-radius:inherit;border-start-end-radius:inherit}.image{object-fit:cover;border-start-start-radius:calc(var(--mod-coachmark-border-radius,var(--spectrum-coachmark-border-radius)) - var(--mod-coachmark-border-size,var(--spectrum-coachmark-border-size)));border-start-end-radius:calc(var(--mod-coachmark-border-radius,var(--spectrum-coachmark-border-radius)) - var(--mod-coachmark-border-size,var(--spectrum-coachmark-border-size)));block-size:100%;inline-size:100%;display:block}.content,.footer,.header{padding-block:0;padding-inline:var(--mod-coachmark-padding,var(--spectrum-coachmark-padding))}.header{justify-content:space-between;align-items:center;margin-block-end:var(--mod-coachmark-header-to-body,var(--spectrum-coachmark-header-to-body));padding-block-start:var(--mod-coachmark-padding,var(--spectrum-coachmark-padding));display:flex}.action-menu{white-space:nowrap;z-index:1;margin-inline-start:var(--mod-coachmark-heading-to-action-button,var(--spectrum-coachmark-heading-to-action-button))}.content{color:var(--mod-coachmark-content-font-color,var(--spectrum-coachmark-content-font-color));font-size:var(--mod-coachmark-content-font-size,var(--spectrum-coachmark-content-font-size));font-weight:var(--mod-coachmark-content-font-weight,var(--spectrum-coachmark-content-font-weight));font-family:var(--mod-coachmark-content-font-family,var(--spectrum-coachmark-content-font-family));font-style:var(--mod-coachmark-content-font-style,var(--spectrum-coachmark-content-font-style));line-height:var(--mod-coachmark-content-line-height,var(--spectrum-coachmark-content-line-height));margin-block-end:var(--mod-coachmark-body-to-footer,var(--spectrum-coachmark-body-to-footer))}.footer{align-items:end;margin-block-start:0;padding-block-end:var(--mod-coachmark-padding,var(--spectrum-coachmark-padding));display:grid}.footer .spectrum-ButtonGroup{grid-column-start:2}.title{color:var(--mod-coachmark-title-color,var(--spectrum-coachmark-title-color));font-size:var(--mod-coachmark-title-font-size,var(--spectrum-coachmark-title-font-size));font-weight:var(--mod-coachmark-title-text-font-weight,var(--spectrum-coachmark-title-text-font-weight));font-family:var(--mod-coachmark-title-font-family,var(--spectrum-coachmark-title-font-family));font-style:var(--mod-coachmark-title-font-style,var(--spectrum-coachmark-title-font-style));line-height:var(--mod-coachmark-title-text-line-height,var(--spectrum-coachmark-title-text-line-height));margin-block-end:0}.step{color:var(--mod-coachmark-step-color,var(--spectrum-coachmark-step-color));font-size:var(--mod-coachmark-step-font-size,var(--spectrum-coachmark-step-font-size));font-weight:var(--mod-coachmark-step-text-font-weight,var(--spectrum-coachmark-step-text-font-weight));font-style:var(--mod-coachmark-step-font-style,var(--spectrum-coachmark-step-font-style));line-height:var(--mod-coachmark-step-text-line-height,var(--spectrum-coachmark-step-text-line-height));white-space:nowrap;justify-self:start;margin-block-end:calc(var(--mod-coachmark-step-to-bottom,var(--spectrum-coachmark-step-to-bottom)) - var(--mod-coachmark-padding,var(--spectrum-coachmark-padding)))}:host{--spectrum-coachmark-dimension-size-175:14px;--spectrum-coachmark-dimension-size-200:16px;--spectrum-coachmark-dimension-size-100:8px;--spectrum-coachmark-dimension-size-50:4px;--spectrum-coachmark-content-font-family:var(--spectrum-font-family)}.keyboard-shortcut{background-color:var(--spectrum-gray-200);border:var(--spectrum-text-underline-gap)solid var(--spectrum-gray-200);border-radius:var(--spectrum-spacing-75);color:var(--spectrum-gray-800);min-width:var(--spectrum-badge-min-width);padding-block:var(--spectrum-coachmark-dimension-size-50);padding-inline:var(--spectrum-coachmark-dimension-size-100);flex-flow:row;justify-content:center;align-items:center;display:inline-flex}.keys{align-items:center;gap:var(--spectrum-coachmark-dimension-size-175)var(--spectrum-coachmark-dimension-size-50);font-family:var(--mod-body-sans-serif-font-family,var(--spectrum-body-sans-serif-font-family));flex-flow:wrap;display:flex}.flex-container{align-items:center;gap:var(--spectrum-coachmark-dimension-size-175)var(--spectrum-coachmark-dimension-size-200);flex-wrap:wrap;display:flex}.static-item{flex:0;align-self:flex-start}\n"
    ]);
    _templateObject$2j = function _templateObject() {
        return data;
    };
    return data;
}
var r$o = i$p(_templateObject$2j());
var T$2 = r$o;

function _tagged_template_literal$2i(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2i() {
    var data = _tagged_template_literal$2i([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 12 12"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="M9.034 5.356 4.343.663a.911.911 0 0 0-1.29 1.289L7.102 6l-4.047 4.047a.911.911 0 1 0 1.289 1.29l4.691-4.692a.91.91 0 0 0 0-1.29z"\n    />\n  </svg>'
    ]);
    _templateObject$2i = function _templateObject() {
        return data;
    };
    return data;
}
var Chevron200Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Chevron200" : tmp2;
    return tag$1(_templateObject$2i(), r, t, e);
};

function _assert_this_initialized$1r(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1F(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1D(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1D(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1D(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1D(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1r(o) {
    _get_prototype_of$1r = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1r(o);
}
function _inherits$1r(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1r(subClass, superClass);
}
function _possible_constructor_return$1r(self, call) {
    if (call && (_type_of$1r(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1r(self);
}
function _set_prototype_of$1r(o, p) {
    _set_prototype_of$1r = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1r(o, p);
}
function _type_of$1r(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1r() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1r(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1r();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1r(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1r(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1r(this, result);
    };
}
var IconChevron200 = /*#__PURE__*/ function(t) {
    _inherits$1r(IconChevron200, t);
    var _super = _create_super$1r(IconChevron200);
    function IconChevron200() {
        _class_call_check$1F(this, IconChevron200);
        return _super.apply(this, arguments);
    }
    _create_class$1D(IconChevron200, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Chevron200Icon();
            }
        }
    ]);
    return IconChevron200;
} 
(IconBase);

defineElement("sp-icon-chevron200", IconChevron200);

var MediaType = function(t) {
    return t.IMAGE = "image", t.VIDEO = "video", t;
}(MediaType || {});

function _array_like_to_array$u(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$m(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$u(arr);
}
function _assert_this_initialized$1q(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1E(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1C(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1C(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1C(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1C(Constructor, staticProps);
    return Constructor;
}
function _get$N(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$N = Reflect.get;
    } else {
        _get$N = function get(target, property, receiver) {
            var base = _super_prop_base$N(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$N(target, property, receiver || target);
}
function _get_prototype_of$1q(o) {
    _get_prototype_of$1q = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1q(o);
}
function _inherits$1q(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1q(subClass, superClass);
}
function _iterable_to_array$m(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$m() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$1q(self, call) {
    if (call && (_type_of$1q(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1q(self);
}
function _set_prototype_of$1q(o, p) {
    _set_prototype_of$1q = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1q(o, p);
}
function _super_prop_base$N(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1q(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2h(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$m(arr) {
    return _array_without_holes$m(arr) || _iterable_to_array$m(arr) || _unsupported_iterable_to_array$u(arr) || _non_iterable_spread$m();
}
function _type_of$1q(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$u(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$u(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$u(o, minLen);
}
function _is_native_reflect_construct$1q() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1q(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1q();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1q(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1q(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1q(this, result);
    };
}
function _templateObject$2h() {
    var data = _tagged_template_literal$2h([
        '\n            <sp-asset id="cover-photo">\n                <div class="image-wrapper">\n                    <img\n                        class="image"\n                        loading="lazy"\n                        slot="cover-photo"\n                        src="',
        '"\n                        alt="',
        '"\n                    />\n                </div>\n            </sp-asset>\n        '
    ]);
    _templateObject$2h = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$t() {
    var data = _tagged_template_literal$2h([
        '\n                <slot name="asset"></slot>\n            '
    ]);
    _templateObject1$t = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$j() {
    var data = _tagged_template_literal$2h([
        '\n            <span type="',
        '" class="keyboard-shortcut">',
        "</span>\n        "
    ]);
    _templateObject2$j = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$f() {
    var data = _tagged_template_literal$2h([
        '\n            <span class="plus">&plus;</span>\n        '
    ]);
    _templateObject3$f = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$d() {
    var data = _tagged_template_literal$2h([
        '\n                <div class="title"><slot name="title"></slot></div>\n            '
    ]);
    _templateObject4$d = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$a() {
    var data = _tagged_template_literal$2h([
        '\n                      <div class="title">',
        "</div>\n                  "
    ]);
    _templateObject5$a = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6$6() {
    var data = _tagged_template_literal$2h([
        '\n                      <kbd class="keys spectrum-Body spectrum-Body--sizeS">\n                          ',
        "\n                          ",
        "\n                          ",
        "\n                      </kbd>\n                  "
    ]);
    _templateObject6$6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7$3() {
    var data = _tagged_template_literal$2h([
        "\n            ",
        "\n            ",
        "\n        "
    ]);
    _templateObject7$3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8$2() {
    var data = _tagged_template_literal$2h([
        '\n                <slot name="content"></slot>\n            '
    ]);
    _templateObject8$2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9$1() {
    var data = _tagged_template_literal$2h([
        "\n            <div>",
        "</div>\n        "
    ]);
    _templateObject9$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10$1() {
    var data = _tagged_template_literal$2h([
        '\n            <sp-button-group class="spectrum-ButtonGroup buttongroup">\n                ',
        "\n                ",
        '\n            </sp-button-group>\n            <sp-button-group\n                class="spectrum-ButtonGroup buttongroup-mobile"\n                size="s"\n            >\n                ',
        "\n                ",
        "\n            </sp-button-group>\n        "
    ]);
    _templateObject10$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject11$1() {
    var data = _tagged_template_literal$2h([
        "\n            ",
        '\n            <div class="header">\n                <div class="flex-container">',
        '</div>\n                <div class="static-item">\n                    ',
        '\n                </div>\n            </div>\n\n            <div class="content">',
        '</div>\n            <div class="footer">\n                ',
        "\n                ",
        "\n            </div>\n        "
    ]);
    _templateObject11$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject12$1() {
    var data = _tagged_template_literal$2h([
        '\n            <sp-button\n                treatment="outline"\n                variant="secondary"\n                @click=',
        "\n            >\n                ",
        "\n            </sp-button>\n        "
    ]);
    _templateObject12$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject13$1() {
    var data = _tagged_template_literal$2h([
        '\n            <sp-button\n                size="s"\n                treatment="outline"\n                variant="primary"\n                @click=',
        "\n            >\n                ",
        "\n            </sp-button>\n        "
    ]);
    _templateObject13$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject14$1() {
    var data = _tagged_template_literal$2h([
        '\n            <sp-button\n                variant="secondary"\n                treatment="outline"\n                icon-only\n                aria-label="previous"\n                @click=',
        '\n            >\n                <sp-icon-chevron200\n                    size="s"\n                    class="spectrum-UIIcon-ChevronLeft75"\n                    slot="icon"\n                ></sp-icon-chevron200>\n            </sp-button>\n        '
    ]);
    _templateObject14$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject15$1() {
    var data = _tagged_template_literal$2h([
        '\n            <sp-button\n                size="s"\n                treatment="outline"\n                variant="primary"\n                @click=',
        "\n            >\n                ",
        "\n            </sp-button>\n        "
    ]);
    _templateObject15$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject16$1() {
    var data = _tagged_template_literal$2h([
        '\n            <div class="step" role="status">\n                <span aria-live="polite">\n                    <slot name="step-count">\n                        ',
        " of ",
        "\n                    </slot>\n                </span>\n            </div>\n        "
    ]);
    _templateObject16$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject17$1() {
    var data = _tagged_template_literal$2h([
        '\n            <div class="action-menu">\n                <slot name="actions"></slot>\n            </div>\n        '
    ]);
    _templateObject17$1 = function _templateObject() {
        return data;
    };
    return data;
}
var v$c = Object.defineProperty;
var b$a = Object.getOwnPropertyDescriptor;
var r$n = function(c, l, n, e) {
    for(var i = e > 1 ? void 0 : e ? b$a(l, n) : l, o = c.length - 1, a; o >= 0; o--)(a = c[o]) && (i = (e ? a(l, n, i) : a(i)) || i);
    return e && i && v$c(l, n, i), i;
};
var Coachmark = /*#__PURE__*/ function(g) {
    _inherits$1q(Coachmark, g);
    var _super = _create_super$1q(Coachmark);
    function Coachmark() {
        _class_call_check$1E(this, Coachmark);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.placement = "right";
        _this.modifierKeys = [];
        _this.hasAsset = !1;
        _this.renderSecondaryButton = function() {
            return x$3(_templateObject12$1(), _this.handleSecondaryCTA, _this.secondaryCTA);
        };
        _this.renderPrimaryButton = function() {
            return x$3(_templateObject13$1(), _this.handlePrimaryCTA, _this.primaryCTA);
        };
        _this.renderSecondaryButtonMobile = function() {
            return x$3(_templateObject14$1(), _this.handleSecondaryCTA);
        };
        _this.renderPrimaryButtonMobile = function() {
            return x$3(_templateObject15$1(), _this.handlePrimaryCTA, _this.primaryCTA);
        };
        _this.renderSteps = function() {
            return x$3(_templateObject16$1(), _this.currentStep, _this.totalSteps);
        };
        _this.renderActionMenu = function() {
            return x$3(_templateObject17$1());
        };
        return _this;
    }
    _create_class$1C(Coachmark, [
        {
            key: "renderMedia",
            value: function renderMedia() {
                var e;
                return this.mediaType === MediaType.IMAGE ? x$3(_templateObject$2h(), o$O(this.source), o$O((e = this == null ? void 0 : this.content) == null ? void 0 : e.imageAlt)) : x$3(_templateObject1$t());
            }
        },
        {
            key: "renderModifier",
            value: function renderModifier(n) {
                var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "modifier";
                return x$3(_templateObject2$j(), e, n);
            }
        },
        {
            key: "renderJoiner",
            value: function renderJoiner() {
                return x$3(_templateObject3$f());
            }
        },
        {
            key: "renderHeader",
            value: function renderHeader() {
                var _this = this;
                var o, a, d, m;
                var n = this.modifierKeys && ((o = this.modifierKeys) == null ? void 0 : o.length) > 0, e = !!this.shortcutKey, i = !!((a = this.content) != null && a.title);
                return !i && !n && !e ? x$3(_templateObject4$d()) : x$3(_templateObject7$3(), i ? x$3(_templateObject5$a(), (d = this.content) == null ? void 0 : d.title) : E$2, n || e ? x$3(_templateObject6$6(), n ? o$L((m = this.modifierKeys) == null ? void 0 : m.map(function(h) {
                    return _this.renderModifier(h);
                }), this.renderJoiner()) : E$2, e && n ? this.renderJoiner() : E$2, e ? this.renderModifier(this.shortcutKey, "shortcut") : E$2) : E$2);
            }
        },
        {
            key: "renderContent",
            value: function renderContent() {
                var e, i;
                return !((e = this.content) != null && e.description) ? x$3(_templateObject8$2()) : x$3(_templateObject9$1(), (i = this.content) == null ? void 0 : i.description);
            }
        },
        {
            key: "handlePrimaryCTA",
            value: function handlePrimaryCTA() {
                this.dispatchEvent(new Event("primary", {
                    bubbles: !0,
                    composed: !0
                }));
            }
        },
        {
            key: "handleSecondaryCTA",
            value: function handleSecondaryCTA() {
                this.dispatchEvent(new Event("secondary", {
                    bubbles: !0,
                    composed: !0
                }));
            }
        },
        {
            key: "renderButtons",
            value: function renderButtons() {
                return x$3(_templateObject10$1(), n$l(this.secondaryCTA, this.renderSecondaryButton), n$l(this.primaryCTA, this.renderPrimaryButton), n$l(this.secondaryCTA, this.renderSecondaryButtonMobile), n$l(this.primaryCTA, this.renderPrimaryButtonMobile));
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject11$1(), this.renderMedia(), this.renderHeader(), n$l(this.secondaryCTA && this.primaryCTA, this.renderActionMenu), this.renderContent(), n$l(this.totalSteps && this.totalSteps > 1, this.renderSteps), this.renderButtons());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$m(_get$N(_get_prototype_of$1q(Coachmark), "styles", this)).concat([
                    T$2,
                    C$6
                ]);
            }
        }
    ]);
    return Coachmark;
}(Popover);
r$n([
    n$r({
        type: Object
    })
], Coachmark.prototype, "item", 2), r$n([
    n$r({
        type: String
    })
], Coachmark.prototype, "placement", 2), r$n([
    n$r({
        type: Object,
        attribute: !1
    })
], Coachmark.prototype, "content", 2), r$n([
    n$r({
        attribute: "shortcut-key"
    })
], Coachmark.prototype, "shortcutKey", 2), r$n([
    n$r({
        type: Array
    })
], Coachmark.prototype, "modifierKeys", 2), r$n([
    n$r({
        attribute: "src"
    })
], Coachmark.prototype, "source", 2), r$n([
    n$r({
        attribute: "media-type"
    })
], Coachmark.prototype, "mediaType", 2), r$n([
    n$r({
        type: Boolean,
        attribute: "has-asset",
        reflect: !0
    })
], Coachmark.prototype, "hasAsset", 2), r$n([
    n$r()
], Coachmark.prototype, "asset", 2), r$n([
    n$r({
        type: Number,
        attribute: "current-step"
    })
], Coachmark.prototype, "currentStep", 2), r$n([
    n$r({
        type: Number,
        attribute: "total-steps"
    })
], Coachmark.prototype, "totalSteps", 2), r$n([
    n$r({
        type: String,
        attribute: "primary-cta"
    })
], Coachmark.prototype, "primaryCTA", 2), r$n([
    n$r({
        type: String,
        attribute: "secondary-cta"
    })
], Coachmark.prototype, "secondaryCTA", 2);

defineElement("sp-coachmark", Coachmark);

function _tagged_template_literal$2g(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2g() {
    var data = _tagged_template_literal$2g([
        "\n    :host{--spectrum-coach-indicator-animation-keyframe-0-scale:1;--spectrum-coach-indicator-animation-keyframe-0-opacity:0;--spectrum-coach-indicator-animation-keyframe-50-scale:1.5;--spectrum-coach-indicator-animation-keyframe-50-opacity:1;--spectrum-coach-indicator-animation-keyframe-100-scale:2;--spectrum-coach-indicator-animation-keyframe-100-opacity:0;--spectrum-coach-indicator-quiet-animation-keyframe-0-scale:.8}@keyframes a{0%{transform:scale(var(--spectrum-coach-indicator-animation-keyframe-0-scale));opacity:var(--spectrum-coach-indicator-animation-keyframe-0-opacity)}50%{transform:scale(var(--spectrum-coach-indicator-animation-keyframe-50-scale));opacity:var(--spectrum-coach-indicator-animation-keyframe-50-opacity)}to{transform:scale(var(--spectrum-coach-indicator-animation-keyframe-100-scale));opacity:var(--spectrum-coach-indicator-animation-keyframe-100-opacity)}}@keyframes b{0%{transform:scale(var(--spectrum-coach-indicator-quiet-animation-keyframe-0-scale));opacity:var(--spectrum-coach-indicator-animation-keyframe-0-opacity)}50%{transform:scale(var(--spectrum-coach-indicator-animation-keyframe-50-scale));opacity:var(--spectrum-coach-indicator-animation-keyframe-50-opacity)}to{transform:scale(var(--spectrum-coach-indicator-animation-keyframe-100-scale));opacity:var(--spectrum-coach-indicator-animation-keyframe-100-opacity)}}:host{--spectrum-coach-indicator-ring-border-size:var(--spectrum-border-width-200);--spectrum-coach-indicator-min-inline-size:calc(var(--spectrum-coach-indicator-ring-diameter)*3);--spectrum-coach-indicator-min-block-size:calc(var(--spectrum-coach-indicator-ring-diameter)*3);--spectrum-coach-indicator-inline-size:var(--spectrum-coach-indicator-min-inline-size);--spectrum-coach-indicator-block-size:var(--spectrum-coach-indicator-min-block-size);--spectrum-coach-indicator-ring-inline-size:var(--spectrum-coach-indicator-ring-diameter);--spectrum-coach-indicator-ring-block-size:var(--spectrum-coach-indicator-ring-diameter);--spectrum-coach-indicator-top:calc(var(--spectrum-coach-indicator-block-size)/3 - var(--spectrum-coach-indicator-ring-border-size));--spectrum-coach-indicator-left:calc(var(--spectrum-coach-indicator-inline-size)/3 - var(--spectrum-coach-indicator-ring-border-size));--spectrum-coach-animation-indicator-ring-duration:var(--spectrum-animation-duration-6000);--spectrum-coach-animation-indicator-ring-inner-delay-multiple:-.5;--spectrum-coach-animation-indicator-ring-center-delay-multiple:-.66;--spectrum-coach-animation-indicator-ring-outer-delay-multiple:-1;--spectrum-coach-indicator-quiet-animation-ring-inner-delay-multiple:-.33;--spectrum-coach-indicator-animation-name:a;--spectrum-coach-indicator-inner-animation-delay-multiple:var(--spectrum-coach-animation-indicator-ring-inner-delay-multiple)}:host([quiet]){--mod-coach-indicator-min-inline-size:calc(var(--mod-coach-indicator-quiet-ring-diameter,var(--spectrum-coach-indicator-quiet-ring-diameter))*2.75);--mod-coach-indicator-min-block-size:calc(var(--mod-coach-indicator-quiet-ring-diameter,var(--spectrum-coach-indicator-quiet-ring-diameter))*2.75);--mod-coach-indicator-inline-size:calc(var(--mod-coach-indicator-quiet-ring-diameter,var(--spectrum-coach-indicator-quiet-ring-diameter))*2.75);--mod-coach-indicator-block-size:calc(var(--mod-coach-indicator-quiet-ring-diameter,var(--spectrum-coach-indicator-quiet-ring-diameter))*2.75);--mod-coach-indicator-ring-inline-size:var(--mod-coach-indicator-quiet-ring-diameter,var(--spectrum-coach-indicator-quiet-ring-diameter));--mod-coach-indicator-ring-block-size:var(--mod-coach-indicator-quiet-ring-diameter,var(--spectrum-coach-indicator-quiet-ring-diameter));--mod-coach-indicator-top:calc(var(--mod-coach-indicator-min-inline-size)/3 - var(--spectrum-coach-indicator-ring-border-size));--mod-coach-indicator-left:calc(var(--mod-coach-indicator-min-inline-size)/3 - var(--spectrum-coach-indicator-ring-border-size));--mod-coach-indicator-animation-name:b;--mod-coach-indicator-inner-animation-delay-multiple:var(--mod-coach-indicator-quiet-animation-ring-inner-delay-multiple,var(--spectrum-coach-indicator-quiet-animation-ring-inner-delay-multiple))}:host{margin:var(--mod-coach-indicator-gap,var(--spectrum-coach-indicator-gap));min-inline-size:var(--mod-coach-indicator-min-inline-size,var(--spectrum-coach-indicator-min-inline-size));min-block-size:var(--mod-coach-indicator-min-block-size,var(--spectrum-coach-indicator-min-block-size));inline-size:var(--mod-coach-indicator-inline-size,var(--spectrum-coach-indicator-inline-size));block-size:var(--mod-coach-indicator-block-size,var(--spectrum-coach-indicator-block-size));position:relative}.ring{border-style:solid;border-width:var(--mod-coach-indicator-ring-border-size,var(--spectrum-coach-indicator-ring-border-size));border-color:var(--mod-coach-indicator-ring-default-color,var(--spectrum-coach-indicator-ring-default-color));inline-size:var(--mod-coach-indicator-ring-inline-size,var(--spectrum-coach-indicator-ring-inline-size));block-size:var(--mod-coach-indicator-ring-block-size,var(--spectrum-coach-indicator-ring-block-size));animation:var(--mod-coach-indicator-animation-name,var(--spectrum-coach-indicator-animation-name))var(--mod-coach-animation-indicator-ring-duration,var(--spectrum-coach-animation-indicator-ring-duration))linear infinite;border-radius:50%;display:block;position:absolute;inset-block-start:var(--mod-coach-indicator-top,var(--spectrum-coach-indicator-top));inset-inline-start:var(--mod-coach-indicator-left,var(--spectrum-coach-indicator-left))}.ring:first-child{animation-delay:calc(var(--mod-coach-animation-indicator-ring-duration,var(--spectrum-coach-animation-indicator-ring-duration))*var(--mod-coach-indicator-inner-animation-delay-multiple,var(--spectrum-coach-indicator-inner-animation-delay-multiple)))}.ring:nth-child(2){animation-delay:calc(var(--mod-coach-animation-indicator-ring-duration,var(--spectrum-coach-animation-indicator-ring-duration))*var(--mod-coach-animation-indicator-ring-center-delay-multiple,var(--spectrum-coach-animation-indicator-ring-center-delay-multiple)))}.ring:nth-child(3){animation-delay:calc(var(--mod-coach-animation-indicator-ring-duration,var(--spectrum-coach-animation-indicator-ring-duration))*var(--mod-coach-animation-indicator-ring-outer-delay-multiple,var(--spectrum-coach-animation-indicator-ring-outer-delay-multiple)))}:host([static=white]) .ring{border-color:var(--mod-coach-indicator-ring-light-color,var(--spectrum-coach-indicator-ring-light-color))}:host([static=black]) .ring{border-color:var(--mod-coach-indicator-ring-dark-color,var(--spectrum-coach-indicator-ring-dark-color))}@media (prefers-reduced-motion:reduce){.ring{animation:none}}:host{display:inline-block}\n"
    ]);
    _templateObject$2g = function _templateObject() {
        return data;
    };
    return data;
}
var a$i = i$p(_templateObject$2g());
var v$b = a$i;

function _assert_this_initialized$1p(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1D(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1B(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1B(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1B(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1B(Constructor, staticProps);
    return Constructor;
}
function _get$M(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$M = Reflect.get;
    } else {
        _get$M = function get(target, property, receiver) {
            var base = _super_prop_base$M(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$M(target, property, receiver || target);
}
function _get_prototype_of$1p(o) {
    _get_prototype_of$1p = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1p(o);
}
function _inherits$1p(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1p(subClass, superClass);
}
function _possible_constructor_return$1p(self, call) {
    if (call && (_type_of$1p(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1p(self);
}
function _set_prototype_of$1p(o, p) {
    _set_prototype_of$1p = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1p(o, p);
}
function _super_prop_base$M(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1p(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2f(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1p(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1p() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1p(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1p();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1p(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1p(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1p(this, result);
    };
}
function _templateObject$2f() {
    var data = _tagged_template_literal$2f([
        '\n            <div class="ring"></div>\n            <div class="ring"></div>\n            <div class="ring"></div>\n        '
    ]);
    _templateObject$2f = function _templateObject() {
        return data;
    };
    return data;
}
var d$i = Object.defineProperty;
var u$t = Object.getOwnPropertyDescriptor;
var a$h = function(s, r, e, i) {
    for(var t = i > 1 ? void 0 : i ? u$t(r, e) : r, l = s.length - 1, o; l >= 0; l--)(o = s[l]) && (t = (i ? o(r, e, t) : o(t)) || t);
    return i && t && d$i(r, e, t), t;
};
var CoachIndicator = /*#__PURE__*/ function(c) {
    _inherits$1p(CoachIndicator, c);
    var _super = _create_super$1p(CoachIndicator);
    function CoachIndicator() {
        _class_call_check$1D(this, CoachIndicator);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.quiet = !1;
        return _this;
    }
    _create_class$1B(CoachIndicator, [
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$2f());
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$M(_get_prototype_of$1p(CoachIndicator.prototype), "updated", this).call(this, e), e.has("variant") && (this.variant || _type_of$1p(e.get("variant"))) && (this.static = this.variant);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    v$b
                ];
            }
        }
    ]);
    return CoachIndicator;
}(SpectrumElement);
a$h([
    n$r({
        type: Boolean,
        reflect: !0
    })
], CoachIndicator.prototype, "quiet", 2), a$h([
    n$r({
        reflect: !0
    })
], CoachIndicator.prototype, "static", 2), a$h([
    n$r({
        reflect: !0
    })
], CoachIndicator.prototype, "variant", 2);

defineElement("sp-coach-indicator", CoachIndicator);

function _array_like_to_array$t(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$b(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$1o(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1C(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1A(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1A(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1A(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1A(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1o(o) {
    _get_prototype_of$1o = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1o(o);
}
function _inherits$1o(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1o(subClass, superClass);
}
function _iterable_to_array_limit$b(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$b() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$1o(self, call) {
    if (call && (_type_of$1o(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1o(self);
}
function _set_prototype_of$1o(o, p) {
    _set_prototype_of$1o = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1o(o, p);
}
function _sliced_to_array$b(arr, i) {
    return _array_with_holes$b(arr) || _iterable_to_array_limit$b(arr, i) || _unsupported_iterable_to_array$t(arr, i) || _non_iterable_rest$b();
}
function _type_of$1o(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$t(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$t(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$t(o, minLen);
}
function _is_native_reflect_construct$1o() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1o(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1o();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1o(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1o(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1o(this, result);
    };
}
var i$b = [
    "",
    function() {}
];
var m$g = /*#__PURE__*/ function(o) {
    _inherits$1o(m, o);
    var _super = _create_super$1o(m);
    function m() {
        _class_call_check$1C(this, m);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.start = i$b;
        _this.streamInside = i$b;
        _this.end = i$b;
        _this.streamOutside = i$b;
        _this.state = "off";
        _this.handleStart = function(e) {
            _this.clearStream(), _this.callHandler(_this.start[1], e), !e.defaultPrevented && (_this.removeListeners(), _this.addListeners("on"));
        };
        _this.handleInside = function(e) {
            _this.handleStream(_this.streamInside[1], e);
        };
        _this.handleEnd = function(e) {
            _this.clearStream(), _this.callHandler(_this.end[1], e), _this.removeListeners(), _this.addListeners("off");
        };
        _this.handleOutside = function(e) {
            _this.handleStream(_this.streamOutside[1], e);
        };
        return _this;
    }
    _create_class$1A(m, [
        {
            key: "render",
            value: function render(e) {
                return E$2;
            }
        },
        {
            key: "update",
            value: function update(e, param) {
                var _param = _sliced_to_array$b(param, 1), _param_ = _param[0], t = _param_.start, s = _param_.end, tmp = _param_.streamInside, r = tmp === void 0 ? i$b : tmp, tmp1 = _param_.streamOutside, d = tmp1 === void 0 ? i$b : tmp1;
                var n;
                this.element !== e.element && (this.element = e.element, this.removeListeners()), this.host = ((n = e.options) == null ? void 0 : n.host) || this.element, this.start = t, this.end = s, this.streamInside = r, this.streamOutside = d, this.addListeners();
            }
        },
        {
            key: "addListeners",
            value: function addListeners(e) {
                this.state = e || this.state, this.state === "off" ? (this.addListener(this.streamOutside[0], this.handleOutside), this.addListener(this.start[0], this.handleStart)) : this.state === "on" && (this.addListener(this.streamInside[0], this.handleInside), this.addListener(this.end[0], this.handleEnd));
            }
        },
        {
            key: "callHandler",
            value: function callHandler(e, t) {
                typeof e == "function" ? e.call(this.host, t) : e.handleEvent(t);
            }
        },
        {
            key: "handleStream",
            value: function handleStream(e, t) {
                var _this = this;
                this.stream || (this.callHandler(e, t), this.stream = requestAnimationFrame(function() {
                    _this.stream = void 0;
                }));
            }
        },
        {
            key: "clearStream",
            value: function clearStream() {
                this.stream != null && (cancelAnimationFrame(this.stream), this.stream = void 0);
            }
        },
        {
            key: "addListener",
            value: function addListener(e, t) {
                var _this = this;
                Array.isArray(e) ? e.map(function(s) {
                    _this.element.addEventListener(s, t);
                }) : this.element.addEventListener(e, t);
            }
        },
        {
            key: "removeListener",
            value: function removeListener(e, t) {
                var _this = this;
                Array.isArray(e) ? e.map(function(s) {
                    _this.element.removeEventListener(s, t);
                }) : this.element.removeEventListener(e, t);
            }
        },
        {
            key: "removeListeners",
            value: function removeListeners() {
                this.removeListener(this.start[0], this.handleStart), this.removeListener(this.streamInside[0], this.handleInside), this.removeListener(this.end[0], this.handleEnd), this.removeListener(this.streamOutside[0], this.handleOutside);
            }
        },
        {
            key: "disconnected",
            value: function disconnected() {
                this.removeListeners();
            }
        },
        {
            key: "reconnected",
            value: function reconnected() {
                this.addListeners();
            }
        }
    ]);
    return m;
}(f$m);
var streamingListener = e$D(m$g);

function _tagged_template_literal$2e(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2e() {
    var data = _tagged_template_literal$2e([
        '\n    :host{--spectrum-colorloupe-width:var(--spectrum-color-loupe-width);--spectrum-colorloupe-height:var(--spectrum-color-loupe-height);--spectrum-colorloupe-offset:var(--spectrum-color-loupe-bottom-to-color-handle);--spectrum-colorloupe-animation-distance:8px;--spectrum-colorloupe-drop-shadow-x:var(--spectrum-drop-shadow-x);--spectrum-colorloupe-drop-shadow-y:var(--spectrum-color-loupe-drop-shadow-y);--spectrum-colorloupe-drop-shadow-blur:var(--spectrum-color-loupe-drop-shadow-blur);--spectrum-colorloupe-drop-shadow-color:var(--spectrum-color-loupe-drop-shadow-color);--spectrum-colorloupe-outer-border-width:var(--spectrum-color-loupe-outer-border-width);--spectrum-colorloupe-inner-border-width:var(--spectrum-color-loupe-inner-border-width);--spectrum-colorloupe-outer-border-color:var(--spectrum-color-loupe-outer-border);--spectrum-colorloupe-inner-border-color:var(--spectrum-color-loupe-inner-border);--spectrum-colorloupe-checkerboard-dark-color:var(--spectrum-opacity-checkerboard-square-dark);--spectrum-colorloupe-checkerboard-light-color:var(--spectrum-opacity-checkerboard-square-light);inline-size:var(--spectrum-colorloupe-width);block-size:var(--spectrum-colorloupe-height);transform:translateY(var(--mod-colorloupe-animation-distance,var(--spectrum-colorloupe-animation-distance)));opacity:0;transform-origin:bottom;pointer-events:none;filter:drop-shadow(var(--mod-colorloupe-drop-shadow-x,var(--spectrum-colorloupe-drop-shadow-x))var(--mod-colorloupe-drop-shadow-y,var(--spectrum-colorloupe-drop-shadow-y))var(--mod-colorloupe-drop-shadow-blur,var(--spectrum-colorloupe-drop-shadow-blur))var(--mod-colorloupe-drop-shadow-color,var(--spectrum-colorloupe-drop-shadow-color)));transition:transform .1s ease-in-out,opacity .125s ease-in-out;position:absolute;inset-block-end:calc(var(--spectrum-color-handle-size) - var(--spectrum-color-handle-outer-border-width) + var(--mod-colorloupe-offset,var(--spectrum-colorloupe-offset)));inset-inline-end:calc(50% - var(--spectrum-colorloupe-width)/2)}:host:dir(rtl),:host([dir=rtl]){inset-inline-end:calc(50% - var(--spectrum-colorloupe-width)/2 - 1px)}:host([open]){opacity:1;transform:translate(0)}.spectrum-ColorLoupe-inner-border{fill:var(--spectrum-picked-color);stroke:var(--mod-colorloupe-inner-border-color,var(--spectrum-colorloupe-inner-border-color));stroke-width:var(--mod-colorloupe-inner-border-width,var(--spectrum-colorloupe-inner-border-width))}.spectrum-ColorLoupe-outer-border{fill:none;stroke:var(--highcontrast-colorloupe-outer-border-color,var(--mod-colorloupe-outer-border-color,var(--spectrum-colorloupe-outer-border-color)));stroke-width:calc(var(--mod-colorloupe-outer-border-width,var(--spectrum-colorloupe-outer-border-width)) + 2px)}.spectrum-ColorLoupe-checkerboard-pattern{fill:var(--spectrum-colorloupe-checkerboard-dark-color)}.spectrum-ColorLoupe-checkerboard-background{fill:var(--spectrum-colorloupe-checkerboard-light-color)}.spectrum-ColorLoupe-checkerboard-fill{fill:var(--spectrum-colorloupe-checkerboard-fill)}@media (forced-colors:active){:host{--highcontrast-colorloupe-outer-border-color:CanvasText}}svg{width:inherit;height:inherit}.loupe-clipped{clip-path:path("M23 61.575C19.0044 57.435 15.2591 53.0606 11.784 48.475C8.68949 44.4532 5.96348 40.1608 3.639 35.65C1.224 30.8 0 26.549 0 23C0.00319993 17.6937 1.84059 12.5516 5.20091 8.44488C8.56122 4.33815 13.2378 1.51928 18.4385 0.465803C23.6392 -0.587678 29.0442 0.189006 33.7378 2.66428C38.4314 5.13955 42.125 9.16122 44.193 14.048C45.3915 16.88 46.0061 19.9248 46 23C46 26.551 44.774 30.811 42.355 35.661C40.0274 40.1747 37.298 44.4698 34.2 48.494C30.7297 53.0728 26.9898 57.4409 23 61.575ZZ")}.opacity-checkerboard{block-size:100%;inline-size:100%;position:absolute;top:2px;left:2px}\n'
    ]);
    _templateObject$2e = function _templateObject() {
        return data;
    };
    return data;
}
var r$m = i$p(_templateObject$2e());
var n$g = r$m;

function _tagged_template_literal$2d(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2d() {
    var data = _tagged_template_literal$2d([
        "\n    .opacity-checkerboard{--spectrum-opacity-checkerboard-dark:var(--spectrum-opacity-checkerboard-square-dark);--spectrum-opacity-checkerboard-light:var(--spectrum-opacity-checkerboard-square-light);--spectrum-opacity-checkerboard-size:var(--spectrum-opacity-checkerboard-square-size);--spectrum-opacity-checkerboard-position:left top;background:repeating-conic-gradient(var(--mod-opacity-checkerboard-light,var(--spectrum-opacity-checkerboard-light))0 25%,var(--mod-opacity-checkerboard-dark,var(--spectrum-opacity-checkerboard-dark))0 50%)var(--mod-opacity-checkerboard-position,var(--spectrum-opacity-checkerboard-position))/calc(var(--mod-opacity-checkerboard-size,var(--spectrum-opacity-checkerboard-size))*2)calc(var(--mod-opacity-checkerboard-size,var(--spectrum-opacity-checkerboard-size))*2)}@media (forced-colors:active){.opacity-checkerboard{forced-color-adjust:none}}\n"
    ]);
    _templateObject$2d = function _templateObject() {
        return data;
    };
    return data;
}
var r$l = i$p(_templateObject$2d());
var b$9 = r$l;

function _assert_this_initialized$1n(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1B(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1z(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1z(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1z(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1z(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1n(o) {
    _get_prototype_of$1n = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1n(o);
}
function _inherits$1n(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1n(subClass, superClass);
}
function _possible_constructor_return$1n(self, call) {
    if (call && (_type_of$1n(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1n(self);
}
function _set_prototype_of$1n(o, p) {
    _set_prototype_of$1n = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1n(o, p);
}
function _tagged_template_literal$2c(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1n(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1n() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1n(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1n();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1n(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1n(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1n(this, result);
    };
}
function _templateObject$2c() {
    var data = _tagged_template_literal$2c([
        '\n            <div class="opacity-checkerboard loupe-clipped"></div>\n            <div class="spectrum-ColorLoupe-inner-border loupe-clipped"></div>\n            <div class="spectrum-ColorLoupe-outer-border loupe-clipped"></div>\n            <svg\n                aria-hidden="true"\n                class="spectrum-ColorLoupe is-open"\n                overflow="visible"\n                style="--spectrum-picked-color: ',
        '; position: absolute;"\n            >\n                <defs>\n                    <path\n                        id="loupe-path"\n                        d="M23 61.575C19.0044 57.435 15.2591 53.0606 11.784 48.475C8.68949 44.4532 5.96348 40.1608 3.639 35.65C1.224 30.8 0 26.549 0 23C0.00319993 17.6937 1.84059 12.5516 5.20091 8.44488C8.56122 4.33815 13.2378 1.51928 18.4385 0.465803C23.6392 -0.587678 29.0442 0.189006 33.7378 2.66428C38.4314 5.13955 42.125 9.16122 44.193 14.048C45.3915 16.88 46.0061 19.9248 46 23C46 26.551 44.774 30.811 42.355 35.661C40.0274 40.1747 37.298 44.4698 34.2 48.494C30.7297 53.0728 26.9898 57.4409 23 61.575ZZ"\n                        transform="translate(2, 2)"\n                    />\n                    <mask id="loupe-mask">\n                        <rect\n                            x="0"\n                            y="0"\n                            height="100"\n                            width="100"\n                            fill="white"\n                        />\n                        <use xlink:href="#path" fill="black" />\n                    </mask>\n                </defs>\n\n                <g class="spectrum-ColorLoupe-loupe">\n                    <g>\n                        <use\n                            xlink:href="#loupe-path"\n                            mask="url(#loupe-mask)"\n                            transform="translate(2, 2)"\n                            class="spectrum-ColorLoupe-inner-border"\n                        />\n                        <use\n                            xlink:href="#loupe-path"\n                            mask="url(#loupe-mask)"\n                            class="spectrum-ColorLoupe-outer-border"\n                        />\n                    </g>\n                </g>\n            </svg>\n        '
    ]);
    _templateObject$2c = function _templateObject() {
        return data;
    };
    return data;
}
var u$s = Object.defineProperty;
var c$l = Object.getOwnPropertyDescriptor;
var i$a = function(l, r, t, o) {
    for(var e = o > 1 ? void 0 : o ? c$l(r, t) : r, s = l.length - 1, p; s >= 0; s--)(p = l[s]) && (e = (o ? p(r, t, e) : p(e)) || e);
    return o && e && u$s(r, t, e), e;
};
var ColorLoupe = /*#__PURE__*/ function(m) {
    _inherits$1n(ColorLoupe, m);
    var _super = _create_super$1n(ColorLoupe);
    function ColorLoupe() {
        _class_call_check$1B(this, ColorLoupe);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.open = !1;
        _this.color = "rgba(255, 0, 0, 0.5)";
        return _this;
    }
    _create_class$1z(ColorLoupe, [
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$2c(), this.color);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    b$9,
                    n$g
                ];
            }
        }
    ]);
    return ColorLoupe;
}(SpectrumElement);
i$a([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorLoupe.prototype, "open", 2), i$a([
    n$r({
        type: String
    })
], ColorLoupe.prototype, "color", 2);

defineElement("sp-color-loupe", ColorLoupe);

function _tagged_template_literal$2b(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2b() {
    var data = _tagged_template_literal$2b([
        "\n    :host{--spectrum-opacity-checkerboard-dark:var(--spectrum-opacity-checkerboard-square-dark);--spectrum-opacity-checkerboard-light:var(--spectrum-opacity-checkerboard-square-light);--spectrum-opacity-checkerboard-size:var(--spectrum-opacity-checkerboard-square-size);--spectrum-opacity-checkerboard-position:left top;background:repeating-conic-gradient(var(--mod-opacity-checkerboard-light,var(--spectrum-opacity-checkerboard-light))0 25%,var(--mod-opacity-checkerboard-dark,var(--spectrum-opacity-checkerboard-dark))0 50%)var(--mod-opacity-checkerboard-position,var(--spectrum-opacity-checkerboard-position))/calc(var(--mod-opacity-checkerboard-size,var(--spectrum-opacity-checkerboard-size))*2)calc(var(--mod-opacity-checkerboard-size,var(--spectrum-opacity-checkerboard-size))*2)}@media (forced-colors:active){:host{forced-color-adjust:none}}\n"
    ]);
    _templateObject$2b = function _templateObject() {
        return data;
    };
    return data;
}
var r$k = i$p(_templateObject$2b());
var h$f = r$k;

function _tagged_template_literal$2a(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$2a() {
    var data = _tagged_template_literal$2a([
        '\n    :host{--spectrum-colorhandle-size:var(--spectrum-color-handle-size);--spectrum-colorhandle-focused-size:var(--spectrum-color-handle-size-key-focus);--spectrum-colorhandle-hitarea-size:var(--spectrum-color-control-track-width);--spectrum-colorhandle-animation-duration:var(--spectrum-animation-duration-100);--spectrum-colorhandle-animation-easing:ease-in-out;--spectrum-colorhandle-outer-border-color:rgba(var(--spectrum-black-rgb),var(--spectrum-color-handle-outer-border-opacity));--spectrum-colorhandle-outer-border-width:var(--spectrum-color-handle-outer-border-width);--spectrum-colorhandle-inner-border-color:rgba(var(--spectrum-black-rgb),var(--spectrum-color-handle-inner-border-opacity));--spectrum-colorhandle-inner-border-width:var(--spectrum-color-handle-inner-border-width);--spectrum-colorhandle-border-width:var(--spectrum-color-handle-border-width);--spectrum-colorhandle-border-color:var(--spectrum-white);--spectrum-colorhandle-border-color-disabled:var(--spectrum-disabled-content-color);--spectrum-colorhandle-fill-color-disabled:var(--spectrum-disabled-background-color);--mod-opacity-checkerboard-position:50%;z-index:1;box-sizing:border-box;inline-size:var(--mod-colorhandle-size,var(--spectrum-colorhandle-size));block-size:var(--mod-colorhandle-size,var(--spectrum-colorhandle-size));margin-inline:calc(var(--mod-colorhandle-size,var(--spectrum-colorhandle-size))/2*-1);margin-block:calc(var(--mod-colorhandle-size,var(--spectrum-colorhandle-size))/2*-1);border-width:var(--mod-colorhandle-border-width,var(--spectrum-colorhandle-border-width));border-color:var(--highcontrast-colorhandle-border-color,var(--mod-colorhandle-border-color,var(--spectrum-colorhandle-border-color)));box-shadow:0 0 0 var(--mod-colorhandle-outer-border-width,var(--spectrum-colorhandle-outer-border-width))var(--mod-colorhandle-outer-border-color,var(--spectrum-colorhandle-outer-border-color));transition:all var(--mod-colorhandle-animation-duration,var(--spectrum-colorhandle-animation-duration))var(--mod-colorhandle-animation-easing,var(--spectrum-colorhandle-animation-easing));border-style:solid;border-radius:100%;display:block;position:absolute}:host:after{content:"";inset-inline:calc(50% - var(--mod-colorhandle-hitarea-size,var(--spectrum-colorhandle-hitarea-size))/2);inset-block:calc(50% - var(--mod-colorhandle-hitarea-size,var(--spectrum-colorhandle-hitarea-size))/2);inline-size:var(--mod-colorhandle-hitarea-size,var(--spectrum-colorhandle-hitarea-size));block-size:var(--mod-colorhandle-hitarea-size,var(--spectrum-colorhandle-hitarea-size));border-radius:var(--mod-colorhandle-hitarea-border-radius,100%);display:block;position:absolute}:host([focused]),:host(:focus-visible){inline-size:var(--mod-colorhandle-focused-size,var(--spectrum-colorhandle-focused-size));block-size:var(--mod-colorhandle-focused-size,var(--spectrum-colorhandle-focused-size));margin-inline:calc(var(--mod-colorhandle-size,var(--spectrum-colorhandle-size))*-1);margin-block:calc(var(--mod-colorhandle-size,var(--spectrum-colorhandle-size))*-1);outline:none}:host([disabled]){pointer-events:none;border-color:var(--highcontrast-colorhandle-border-color-disabled,var(--mod-colorhandle-border-color-disabled,var(--spectrum-colorhandle-border-color-disabled)));background:var(--highcontrast-colorhandle-fill-color-disabled,var(--mod-colorhandle-fill-color-disabled,var(--spectrum-colorhandle-fill-color-disabled)));box-shadow:none}:host([disabled]) .inner{display:none}.inner{box-shadow:inset 0 0 0 var(--mod-colorhandle-inner-border-width,var(--spectrum-colorhandle-inner-border-width))var(--mod-colorhandle-inner-border-color,var(--spectrum-colorhandle-inner-border-color));background-color:var(--spectrum-picked-color);border-radius:100%;block-size:100%;inline-size:100%}@media (forced-colors:active){:host{forced-color-adjust:none}:host([disabled]){--highcontrast-colorhandle-border-color-disabled:GrayText;--highcontrast-colorhandle-fill-color-disabled:Canvas}}:host{touch-action:none;transition:inline-size var(--mod-colorhandle-animation-duration,var(--spectrum-colorhandle-animation-duration))var(--mod-colorhandle-animation-easing,var(--spectrum-colorhandle-animation-easing)),block-size var(--mod-colorhandle-animation-duration,var(--spectrum-colorhandle-animation-duration))var(--mod-colorhandle-animation-easing,var(--spectrum-colorhandle-animation-easing)),border-width var(--mod-colorhandle-animation-duration,var(--spectrum-colorhandle-animation-duration))var(--mod-colorhandle-animation-easing,var(--spectrum-colorhandle-animation-easing)),margin-inline var(--mod-colorhandle-animation-duration,var(--spectrum-colorhandle-animation-duration))var(--mod-colorhandle-animation-easing,var(--spectrum-colorhandle-animation-easing)),margin-block var(--mod-colorhandle-animation-duration,var(--spectrum-colorhandle-animation-duration))var(--mod-colorhandle-animation-easing,var(--spectrum-colorhandle-animation-easing))}:host(:focus){outline:none}\n'
    ]);
    _templateObject$2a = function _templateObject() {
        return data;
    };
    return data;
}
var r$j = i$p(_templateObject$2a());
var f$f = r$j;

function _assert_this_initialized$1m(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1A(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1y(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1y(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1y(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1y(Constructor, staticProps);
    return Constructor;
}
function _get$L(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$L = Reflect.get;
    } else {
        _get$L = function get(target, property, receiver) {
            var base = _super_prop_base$L(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$L(target, property, receiver || target);
}
function _get_prototype_of$1m(o) {
    _get_prototype_of$1m = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1m(o);
}
function _inherits$1m(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1m(subClass, superClass);
}
function _possible_constructor_return$1m(self, call) {
    if (call && (_type_of$1m(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1m(self);
}
function _set_prototype_of$1m(o, p) {
    _set_prototype_of$1m = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1m(o, p);
}
function _super_prop_base$L(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1m(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$29(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1m(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1m() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1m(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1m();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1m(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1m(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1m(this, result);
    };
}
function _templateObject$29() {
    var data = _tagged_template_literal$29([
        '\n            <div class="inner" style="background-color: ',
        '"></div>\n            <sp-color-loupe\n                color=',
        "\n                ?open=",
        "\n            ></sp-color-loupe>\n        "
    ]);
    _templateObject$29 = function _templateObject() {
        return data;
    };
    return data;
}
var d$h = Object.defineProperty;
var a$g = Object.getOwnPropertyDescriptor;
var o$s = function(s, r, e, i) {
    for(var t = i > 1 ? void 0 : i ? a$g(r, e) : r, n = s.length - 1, l; n >= 0; n--)(l = s[n]) && (t = (i ? l(r, e, t) : l(t)) || t);
    return i && t && d$h(r, e, t), t;
};
var ColorHandle = /*#__PURE__*/ function(c) {
    _inherits$1m(ColorHandle, c);
    var _super = _create_super$1m(ColorHandle);
    function ColorHandle() {
        _class_call_check$1A(this, ColorHandle);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.disabled = !1;
        _this.focused = !1;
        _this.open = !1;
        _this.color = "rgba(255, 0, 0, 0.5)";
        return _this;
    }
    _create_class$1y(ColorHandle, [
        {
            key: "handlePointerdown",
            value: function handlePointerdown(e) {
                e.pointerType === "touch" && (this.open = !0), this.setPointerCapture(e.pointerId);
            }
        },
        {
            key: "handlePointerup",
            value: function handlePointerup(e) {
                this.open = !1, this.releasePointerCapture(e.pointerId);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$29(), this.color, this.color, this.open && !this.disabled);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$L(_get_prototype_of$1m(ColorHandle.prototype), "firstUpdated", this).call(this, e), this.addEventListener("pointerdown", this.handlePointerdown), this.addEventListener("pointerup", this.handlePointerup), this.addEventListener("pointercancel", this.handlePointerup);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    h$f,
                    f$f
                ];
            }
        }
    ]);
    return ColorHandle;
}(SpectrumElement);
o$s([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorHandle.prototype, "disabled", 2), o$s([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorHandle.prototype, "focused", 2), o$s([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorHandle.prototype, "open", 2), o$s([
    n$r({
        type: String
    })
], ColorHandle.prototype, "color", 2);

defineElement("sp-color-handle", ColorHandle);

var spColorHandle = /*#__PURE__*/Object.freeze({
    __proto__: null
});

/**
 * Take input from [0, n] and return it as [0, 1]
 * @hidden
 */ function bound01(n, max) {
    if (isOnePointZero(n)) {
        n = "100%";
    }
    var isPercent = isPercentage(n);
    n = max === 360 ? n : Math.min(max, Math.max(0, parseFloat(n)));
    // Automatically convert percentage into number
    if (isPercent) {
        n = parseInt(String(n * max), 10) / 100;
    }
    // Handle floating point rounding errors
    if (Math.abs(n - max) < 0.000001) {
        return 1;
    }
    // Convert into [0, 1] range if it isn't already
    if (max === 360) {
        // If n is a hue given in degrees,
        // wrap around out-of-range values into [0, 360] range
        // then convert into [0, 1].
        n = (n < 0 ? n % max + max : n % max) / parseFloat(String(max));
    } else {
        // If n not a hue given in degrees
        // Convert into [0, 1] range if it isn't already.
        n = n % max / parseFloat(String(max));
    }
    return n;
}
/**
 * Force a number between 0 and 1
 * @hidden
 */ function clamp01(val) {
    return Math.min(1, Math.max(0, val));
}
/**
 * Need to handle 1.0 as 100%, since once it is a number, there is no difference between it and 1
 * <http://stackoverflow.com/questions/7422072/javascript-how-to-detect-number-as-a-decimal-including-1-0>
 * @hidden
 */ function isOnePointZero(n) {
    return typeof n === "string" && n.indexOf(".") !== -1 && parseFloat(n) === 1;
}
/**
 * Check to see if string passed in is a percentage
 * @hidden
 */ function isPercentage(n) {
    return typeof n === "string" && n.indexOf("%") !== -1;
}
/**
 * Return a valid alpha value [0,1] with all invalid values being set to 1
 * @hidden
 */ function boundAlpha(a) {
    a = parseFloat(a);
    if (isNaN(a) || a < 0 || a > 1) {
        a = 1;
    }
    return a;
}
/**
 * Replace a decimal with it's percentage value
 * @hidden
 */ function convertToPercentage(n) {
    if (Number(n) <= 1) {
        return "".concat(Number(n) * 100, "%");
    }
    return n;
}
/**
 * Force a hex value to have 2 characters
 * @hidden
 */ function pad2(c) {
    return c.length === 1 ? "0" + c : String(c);
}

// `rgbToHsl`, `rgbToHsv`, `hslToRgb`, `hsvToRgb` modified from:
// <http://mjijackson.com/2008/02/rgb-to-hsl-and-rgb-to-hsv-color-model-conversion-algorithms-in-javascript>
/**
 * Handle bounds / percentage checking to conform to CSS color spec
 * <http://www.w3.org/TR/css3-color/>
 * *Assumes:* r, g, b in [0, 255] or [0, 1]
 * *Returns:* { r, g, b } in [0, 255]
 */ function rgbToRgb(r, g, b) {
    return {
        r: bound01(r, 255) * 255,
        g: bound01(g, 255) * 255,
        b: bound01(b, 255) * 255
    };
}
/**
 * Converts an RGB color value to HSL.
 * *Assumes:* r, g, and b are contained in [0, 255] or [0, 1]
 * *Returns:* { h, s, l } in [0,1]
 */ function rgbToHsl(r, g, b) {
    r = bound01(r, 255);
    g = bound01(g, 255);
    b = bound01(b, 255);
    var max = Math.max(r, g, b);
    var min = Math.min(r, g, b);
    var h = 0;
    var s = 0;
    var l = (max + min) / 2;
    if (max === min) {
        s = 0;
        h = 0; // achromatic
    } else {
        var d = max - min;
        s = l > 0.5 ? d / (2 - max - min) : d / (max + min);
        switch(max){
            case r:
                h = (g - b) / d + (g < b ? 6 : 0);
                break;
            case g:
                h = (b - r) / d + 2;
                break;
            case b:
                h = (r - g) / d + 4;
                break;
        }
        h /= 6;
    }
    return {
        h: h,
        s: s,
        l: l
    };
}
function hue2rgb(p, q, t) {
    if (t < 0) {
        t += 1;
    }
    if (t > 1) {
        t -= 1;
    }
    if (t < 1 / 6) {
        return p + (q - p) * (6 * t);
    }
    if (t < 1 / 2) {
        return q;
    }
    if (t < 2 / 3) {
        return p + (q - p) * (2 / 3 - t) * 6;
    }
    return p;
}
/**
 * Converts an HSL color value to RGB.
 *
 * *Assumes:* h is contained in [0, 1] or [0, 360] and s and l are contained [0, 1] or [0, 100]
 * *Returns:* { r, g, b } in the set [0, 255]
 */ function hslToRgb(h, s, l) {
    var r;
    var g;
    var b;
    h = bound01(h, 360);
    s = bound01(s, 100);
    l = bound01(l, 100);
    if (s === 0) {
        // achromatic
        g = l;
        b = l;
        r = l;
    } else {
        var q = l < 0.5 ? l * (1 + s) : l + s - l * s;
        var p = 2 * l - q;
        r = hue2rgb(p, q, h + 1 / 3);
        g = hue2rgb(p, q, h);
        b = hue2rgb(p, q, h - 1 / 3);
    }
    return {
        r: r * 255,
        g: g * 255,
        b: b * 255
    };
}
/**
 * Converts an RGB color value to HSV
 *
 * *Assumes:* r, g, and b are contained in the set [0, 255] or [0, 1]
 * *Returns:* { h, s, v } in [0,1]
 */ function rgbToHsv(r, g, b) {
    r = bound01(r, 255);
    g = bound01(g, 255);
    b = bound01(b, 255);
    var max = Math.max(r, g, b);
    var min = Math.min(r, g, b);
    var h = 0;
    var v = max;
    var d = max - min;
    var s = max === 0 ? 0 : d / max;
    if (max === min) {
        h = 0; // achromatic
    } else {
        switch(max){
            case r:
                h = (g - b) / d + (g < b ? 6 : 0);
                break;
            case g:
                h = (b - r) / d + 2;
                break;
            case b:
                h = (r - g) / d + 4;
                break;
        }
        h /= 6;
    }
    return {
        h: h,
        s: s,
        v: v
    };
}
/**
 * Converts an HSV color value to RGB.
 *
 * *Assumes:* h is contained in [0, 1] or [0, 360] and s and v are contained in [0, 1] or [0, 100]
 * *Returns:* { r, g, b } in the set [0, 255]
 */ function hsvToRgb(h, s, v) {
    h = bound01(h, 360) * 6;
    s = bound01(s, 100);
    v = bound01(v, 100);
    var i = Math.floor(h);
    var f = h - i;
    var p = v * (1 - s);
    var q = v * (1 - f * s);
    var t = v * (1 - (1 - f) * s);
    var mod = i % 6;
    var r = [
        v,
        q,
        p,
        p,
        t,
        v
    ][mod];
    var g = [
        t,
        v,
        v,
        q,
        p,
        p
    ][mod];
    var b = [
        p,
        p,
        t,
        v,
        v,
        q
    ][mod];
    return {
        r: r * 255,
        g: g * 255,
        b: b * 255
    };
}
/**
 * Converts an RGB color to hex
 *
 * *Assumes:* r, g, and b are contained in the set [0, 255]
 * *Returns:* a 3 or 6 character hex
 */ function rgbToHex(r, g, b, allow3Char) {
    var hex = [
        pad2(Math.round(r).toString(16)),
        pad2(Math.round(g).toString(16)),
        pad2(Math.round(b).toString(16))
    ];
    // Return a 3 character hex if possible
    if (allow3Char && hex[0].startsWith(hex[0].charAt(1)) && hex[1].startsWith(hex[1].charAt(1)) && hex[2].startsWith(hex[2].charAt(1))) {
        return hex[0].charAt(0) + hex[1].charAt(0) + hex[2].charAt(0);
    }
    return hex.join("");
}
/**
 * Converts an RGBA color plus alpha transparency to hex
 *
 * *Assumes:* r, g, b are contained in the set [0, 255] and a in [0, 1]
 * *Returns:* a 4 or 8 character rgba hex
 */ // eslint-disable-next-line max-params
function rgbaToHex(r, g, b, a, allow4Char) {
    var hex = [
        pad2(Math.round(r).toString(16)),
        pad2(Math.round(g).toString(16)),
        pad2(Math.round(b).toString(16)),
        pad2(convertDecimalToHex(a))
    ];
    // Return a 4 character hex if possible
    if (allow4Char && hex[0].startsWith(hex[0].charAt(1)) && hex[1].startsWith(hex[1].charAt(1)) && hex[2].startsWith(hex[2].charAt(1)) && hex[3].startsWith(hex[3].charAt(1))) {
        return hex[0].charAt(0) + hex[1].charAt(0) + hex[2].charAt(0) + hex[3].charAt(0);
    }
    return hex.join("");
}
/**
 * Converts CMYK to RBG
 * Assumes c, m, y, k are in the set [0, 100]
 */ function cmykToRgb(c, m, y, k) {
    var cConv = c / 100;
    var mConv = m / 100;
    var yConv = y / 100;
    var kConv = k / 100;
    var r = 255 * (1 - cConv) * (1 - kConv);
    var g = 255 * (1 - mConv) * (1 - kConv);
    var b = 255 * (1 - yConv) * (1 - kConv);
    return {
        r: r,
        g: g,
        b: b
    };
}
function rgbToCmyk(r, g, b) {
    var c = 1 - r / 255;
    var m = 1 - g / 255;
    var y = 1 - b / 255;
    var k = Math.min(c, m, y);
    if (k === 1) {
        c = 0;
        m = 0;
        y = 0;
    } else {
        c = (c - k) / (1 - k) * 100;
        m = (m - k) / (1 - k) * 100;
        y = (y - k) / (1 - k) * 100;
    }
    k *= 100;
    return {
        c: Math.round(c),
        m: Math.round(m),
        y: Math.round(y),
        k: Math.round(k)
    };
}
/** Converts a decimal to a hex value */ function convertDecimalToHex(d) {
    return Math.round(parseFloat(d) * 255).toString(16);
}
/** Converts a hex value to a decimal */ function convertHexToDecimal(h) {
    return parseIntFromHex(h) / 255;
}
/** Parse a base-16 hex value into a base-10 integer */ function parseIntFromHex(val) {
    return parseInt(val, 16);
}
function numberInputToObject(color) {
    return {
        r: color >> 16,
        g: (color & 0xff00) >> 8,
        b: color & 0xff
    };
}

// https://github.com/bahamas10/css-color-names/blob/master/css-color-names.json
/**
 * @hidden
 */ var names = {
    aliceblue: "#f0f8ff",
    antiquewhite: "#faebd7",
    aqua: "#00ffff",
    aquamarine: "#7fffd4",
    azure: "#f0ffff",
    beige: "#f5f5dc",
    bisque: "#ffe4c4",
    black: "#000000",
    blanchedalmond: "#ffebcd",
    blue: "#0000ff",
    blueviolet: "#8a2be2",
    brown: "#a52a2a",
    burlywood: "#deb887",
    cadetblue: "#5f9ea0",
    chartreuse: "#7fff00",
    chocolate: "#d2691e",
    coral: "#ff7f50",
    cornflowerblue: "#6495ed",
    cornsilk: "#fff8dc",
    crimson: "#dc143c",
    cyan: "#00ffff",
    darkblue: "#00008b",
    darkcyan: "#008b8b",
    darkgoldenrod: "#b8860b",
    darkgray: "#a9a9a9",
    darkgreen: "#006400",
    darkgrey: "#a9a9a9",
    darkkhaki: "#bdb76b",
    darkmagenta: "#8b008b",
    darkolivegreen: "#556b2f",
    darkorange: "#ff8c00",
    darkorchid: "#9932cc",
    darkred: "#8b0000",
    darksalmon: "#e9967a",
    darkseagreen: "#8fbc8f",
    darkslateblue: "#483d8b",
    darkslategray: "#2f4f4f",
    darkslategrey: "#2f4f4f",
    darkturquoise: "#00ced1",
    darkviolet: "#9400d3",
    deeppink: "#ff1493",
    deepskyblue: "#00bfff",
    dimgray: "#696969",
    dimgrey: "#696969",
    dodgerblue: "#1e90ff",
    firebrick: "#b22222",
    floralwhite: "#fffaf0",
    forestgreen: "#228b22",
    fuchsia: "#ff00ff",
    gainsboro: "#dcdcdc",
    ghostwhite: "#f8f8ff",
    goldenrod: "#daa520",
    gold: "#ffd700",
    gray: "#808080",
    green: "#008000",
    greenyellow: "#adff2f",
    grey: "#808080",
    honeydew: "#f0fff0",
    hotpink: "#ff69b4",
    indianred: "#cd5c5c",
    indigo: "#4b0082",
    ivory: "#fffff0",
    khaki: "#f0e68c",
    lavenderblush: "#fff0f5",
    lavender: "#e6e6fa",
    lawngreen: "#7cfc00",
    lemonchiffon: "#fffacd",
    lightblue: "#add8e6",
    lightcoral: "#f08080",
    lightcyan: "#e0ffff",
    lightgoldenrodyellow: "#fafad2",
    lightgray: "#d3d3d3",
    lightgreen: "#90ee90",
    lightgrey: "#d3d3d3",
    lightpink: "#ffb6c1",
    lightsalmon: "#ffa07a",
    lightseagreen: "#20b2aa",
    lightskyblue: "#87cefa",
    lightslategray: "#778899",
    lightslategrey: "#778899",
    lightsteelblue: "#b0c4de",
    lightyellow: "#ffffe0",
    lime: "#00ff00",
    limegreen: "#32cd32",
    linen: "#faf0e6",
    magenta: "#ff00ff",
    maroon: "#800000",
    mediumaquamarine: "#66cdaa",
    mediumblue: "#0000cd",
    mediumorchid: "#ba55d3",
    mediumpurple: "#9370db",
    mediumseagreen: "#3cb371",
    mediumslateblue: "#7b68ee",
    mediumspringgreen: "#00fa9a",
    mediumturquoise: "#48d1cc",
    mediumvioletred: "#c71585",
    midnightblue: "#191970",
    mintcream: "#f5fffa",
    mistyrose: "#ffe4e1",
    moccasin: "#ffe4b5",
    navajowhite: "#ffdead",
    navy: "#000080",
    oldlace: "#fdf5e6",
    olive: "#808000",
    olivedrab: "#6b8e23",
    orange: "#ffa500",
    orangered: "#ff4500",
    orchid: "#da70d6",
    palegoldenrod: "#eee8aa",
    palegreen: "#98fb98",
    paleturquoise: "#afeeee",
    palevioletred: "#db7093",
    papayawhip: "#ffefd5",
    peachpuff: "#ffdab9",
    peru: "#cd853f",
    pink: "#ffc0cb",
    plum: "#dda0dd",
    powderblue: "#b0e0e6",
    purple: "#800080",
    rebeccapurple: "#663399",
    red: "#ff0000",
    rosybrown: "#bc8f8f",
    royalblue: "#4169e1",
    saddlebrown: "#8b4513",
    salmon: "#fa8072",
    sandybrown: "#f4a460",
    seagreen: "#2e8b57",
    seashell: "#fff5ee",
    sienna: "#a0522d",
    silver: "#c0c0c0",
    skyblue: "#87ceeb",
    slateblue: "#6a5acd",
    slategray: "#708090",
    slategrey: "#708090",
    snow: "#fffafa",
    springgreen: "#00ff7f",
    steelblue: "#4682b4",
    tan: "#d2b48c",
    teal: "#008080",
    thistle: "#d8bfd8",
    tomato: "#ff6347",
    turquoise: "#40e0d0",
    violet: "#ee82ee",
    wheat: "#f5deb3",
    white: "#ffffff",
    whitesmoke: "#f5f5f5",
    yellow: "#ffff00",
    yellowgreen: "#9acd32"
};

/**
 * Given a string or object, convert that input to RGB
 *
 * Possible string inputs:
 * ```
 * "red"
 * "#f00" or "f00"
 * "#ff0000" or "ff0000"
 * "#ff000000" or "ff000000"
 * "rgb 255 0 0" or "rgb (255, 0, 0)"
 * "rgb 1.0 0 0" or "rgb (1, 0, 0)"
 * "rgba (255, 0, 0, 1)" or "rgba 255, 0, 0, 1"
 * "rgba (1.0, 0, 0, 1)" or "rgba 1.0, 0, 0, 1"
 * "hsl(0, 100%, 50%)" or "hsl 0 100% 50%"
 * "hsla(0, 100%, 50%, 1)" or "hsla 0 100% 50%, 1"
 * "hsv(0, 100%, 100%)" or "hsv 0 100% 100%"
 * "cmyk(0, 20, 0, 0)" or "cmyk 0 20 0 0"
 * ```
 */ function inputToRGB(color) {
    var rgb = {
        r: 0,
        g: 0,
        b: 0
    };
    var a = 1;
    var s = null;
    var v = null;
    var l = null;
    var ok = false;
    var format = false;
    if (typeof color === "string") {
        color = stringInputToObject(color);
    }
    if (typeof color === "object") {
        if (isValidCSSUnit(color.r) && isValidCSSUnit(color.g) && isValidCSSUnit(color.b)) {
            rgb = rgbToRgb(color.r, color.g, color.b);
            ok = true;
            format = String(color.r).substr(-1) === "%" ? "prgb" : "rgb";
        } else if (isValidCSSUnit(color.h) && isValidCSSUnit(color.s) && isValidCSSUnit(color.v)) {
            s = convertToPercentage(color.s);
            v = convertToPercentage(color.v);
            rgb = hsvToRgb(color.h, s, v);
            ok = true;
            format = "hsv";
        } else if (isValidCSSUnit(color.h) && isValidCSSUnit(color.s) && isValidCSSUnit(color.l)) {
            s = convertToPercentage(color.s);
            l = convertToPercentage(color.l);
            rgb = hslToRgb(color.h, s, l);
            ok = true;
            format = "hsl";
        } else if (isValidCSSUnit(color.c) && isValidCSSUnit(color.m) && isValidCSSUnit(color.y) && isValidCSSUnit(color.k)) {
            rgb = cmykToRgb(color.c, color.m, color.y, color.k);
            ok = true;
            format = "cmyk";
        }
        if (Object.prototype.hasOwnProperty.call(color, "a")) {
            a = color.a;
        }
    }
    a = boundAlpha(a);
    return {
        ok: ok,
        format: color.format || format,
        r: Math.min(255, Math.max(rgb.r, 0)),
        g: Math.min(255, Math.max(rgb.g, 0)),
        b: Math.min(255, Math.max(rgb.b, 0)),
        a: a
    };
}
// <http://www.w3.org/TR/css3-values/#integers>
var CSS_INTEGER = "[-\\+]?\\d+%?";
// <http://www.w3.org/TR/css3-values/#number-value>
var CSS_NUMBER = "[-\\+]?\\d*\\.\\d+%?";
// Allow positive/negative integer/number.  Don't capture the either/or, just the entire outcome.
var CSS_UNIT = "(?:" + CSS_NUMBER + ")|(?:" + CSS_INTEGER + ")";
// Actual matching.
// Parentheses and commas are optional, but not required.
// Whitespace can take the place of commas or opening paren
// eslint-disable-next-line prettier/prettier
var PERMISSIVE_MATCH3 = "[\\s|\\(]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")\\s*\\)?";
var PERMISSIVE_MATCH4 = // eslint-disable-next-line prettier/prettier
"[\\s|\\(]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")\\s*\\)?";
var matchers = {
    CSS_UNIT: new RegExp(CSS_UNIT),
    rgb: new RegExp("rgb" + PERMISSIVE_MATCH3),
    rgba: new RegExp("rgba" + PERMISSIVE_MATCH4),
    hsl: new RegExp("hsl" + PERMISSIVE_MATCH3),
    hsla: new RegExp("hsla" + PERMISSIVE_MATCH4),
    hsv: new RegExp("hsv" + PERMISSIVE_MATCH3),
    hsva: new RegExp("hsva" + PERMISSIVE_MATCH4),
    cmyk: new RegExp("cmyk" + PERMISSIVE_MATCH4),
    hex3: /^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,
    hex6: /^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/,
    hex4: /^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,
    hex8: /^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/
};
/**
 * Permissive string parsing.  Take in a number of formats, and output an object
 * based on detected format.  Returns `{ r, g, b }` or `{ h, s, l }` or `{ h, s, v}` or `{c, m, y, k}` or `{c, m, y, k, a}`
 */ function stringInputToObject(color) {
    color = color.trim().toLowerCase();
    if (color.length === 0) {
        return false;
    }
    var named = false;
    if (names[color]) {
        color = names[color];
        named = true;
    } else if (color === "transparent") {
        return {
            r: 0,
            g: 0,
            b: 0,
            a: 0,
            format: "name"
        };
    }
    // Try to match string input using regular expressions.
    // Keep most of the number bounding out of this function - don't worry about [0,1] or [0,100] or [0,360]
    // Just return an object and let the conversion functions handle that.
    // This way the result will be the same whether the tinycolor is initialized with string or object.
    var match = matchers.rgb.exec(color);
    if (match) {
        return {
            r: match[1],
            g: match[2],
            b: match[3]
        };
    }
    match = matchers.rgba.exec(color);
    if (match) {
        return {
            r: match[1],
            g: match[2],
            b: match[3],
            a: match[4]
        };
    }
    match = matchers.hsl.exec(color);
    if (match) {
        return {
            h: match[1],
            s: match[2],
            l: match[3]
        };
    }
    match = matchers.hsla.exec(color);
    if (match) {
        return {
            h: match[1],
            s: match[2],
            l: match[3],
            a: match[4]
        };
    }
    match = matchers.hsv.exec(color);
    if (match) {
        return {
            h: match[1],
            s: match[2],
            v: match[3]
        };
    }
    match = matchers.hsva.exec(color);
    if (match) {
        return {
            h: match[1],
            s: match[2],
            v: match[3],
            a: match[4]
        };
    }
    match = matchers.cmyk.exec(color);
    if (match) {
        return {
            c: match[1],
            m: match[2],
            y: match[3],
            k: match[4]
        };
    }
    match = matchers.hex8.exec(color);
    if (match) {
        return {
            r: parseIntFromHex(match[1]),
            g: parseIntFromHex(match[2]),
            b: parseIntFromHex(match[3]),
            a: convertHexToDecimal(match[4]),
            format: named ? "name" : "hex8"
        };
    }
    match = matchers.hex6.exec(color);
    if (match) {
        return {
            r: parseIntFromHex(match[1]),
            g: parseIntFromHex(match[2]),
            b: parseIntFromHex(match[3]),
            format: named ? "name" : "hex"
        };
    }
    match = matchers.hex4.exec(color);
    if (match) {
        return {
            r: parseIntFromHex(match[1] + match[1]),
            g: parseIntFromHex(match[2] + match[2]),
            b: parseIntFromHex(match[3] + match[3]),
            a: convertHexToDecimal(match[4] + match[4]),
            format: named ? "name" : "hex8"
        };
    }
    match = matchers.hex3.exec(color);
    if (match) {
        return {
            r: parseIntFromHex(match[1] + match[1]),
            g: parseIntFromHex(match[2] + match[2]),
            b: parseIntFromHex(match[3] + match[3]),
            format: named ? "name" : "hex"
        };
    }
    return false;
}
/**
 * Check to see if it looks like a CSS unit
 * (see `matchers` above for definition).
 */ function isValidCSSUnit(color) {
    if (typeof color === "number") {
        return !Number.isNaN(color);
    }
    return matchers.CSS_UNIT.test(color);
}

function _array_like_to_array$s(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$a(arr) {
    if (Array.isArray(arr)) return arr;
}
function _class_call_check$1z(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1x(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1x(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1x(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1x(Constructor, staticProps);
    return Constructor;
}
function _define_property$d(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _instanceof$f(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _iterable_to_array_limit$a(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$a() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _object_spread$b(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$d(target, key, source[key]);
        });
    }
    return target;
}
function _sliced_to_array$a(arr, i) {
    return _array_with_holes$a(arr) || _iterable_to_array_limit$a(arr, i) || _unsupported_iterable_to_array$s(arr, i) || _non_iterable_rest$a();
}
function _unsupported_iterable_to_array$s(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$s(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$s(o, minLen);
}
var TinyColor = /*#__PURE__*/ function() {
    function TinyColor() {
        var color = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : "", opts = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
        _class_call_check$1z(this, TinyColor);
        // If input is already a tinycolor, return itself
        if (_instanceof$f(color, TinyColor)) {
            // eslint-disable-next-line no-constructor-return
            return color;
        }
        if (typeof color === "number") {
            color = numberInputToObject(color);
        }
        this.originalInput = color;
        var rgb = inputToRGB(color);
        this.originalInput = color;
        this.r = rgb.r;
        this.g = rgb.g;
        this.b = rgb.b;
        this.a = rgb.a;
        this.roundA = Math.round(100 * this.a) / 100;
        var _opts_format;
        this.format = (_opts_format = opts.format) !== null && _opts_format !== void 0 ? _opts_format : rgb.format;
        this.gradientType = opts.gradientType;
        // Don't let the range of [0,255] come back in [0,1].
        // Potentially lose a little bit of precision here, but will fix issues where
        // .5 gets interpreted as half of the total, instead of half of 1
        // If it was supposed to be 128, this was already taken care of by `inputToRgb`
        if (this.r < 1) {
            this.r = Math.round(this.r);
        }
        if (this.g < 1) {
            this.g = Math.round(this.g);
        }
        if (this.b < 1) {
            this.b = Math.round(this.b);
        }
        this.isValid = rgb.ok;
    }
    _create_class$1x(TinyColor, [
        {
            key: "isDark",
            value: function isDark() {
                return this.getBrightness() < 128;
            }
        },
        {
            key: "isLight",
            value: function isLight() {
                return !this.isDark();
            }
        },
        {
            /**
     * Returns the perceived brightness of the color, from 0-255.
     */ key: "getBrightness",
            value: function getBrightness() {
                // http://www.w3.org/TR/AERT#color-contrast
                var rgb = this.toRgb();
                return (rgb.r * 299 + rgb.g * 587 + rgb.b * 114) / 1000;
            }
        },
        {
            /**
     * Returns the perceived luminance of a color, from 0-1.
     */ key: "getLuminance",
            value: function getLuminance() {
                // http://www.w3.org/TR/2008/REC-WCAG20-20081211/#relativeluminancedef
                var rgb = this.toRgb();
                var R;
                var G;
                var B;
                var RsRGB = rgb.r / 255;
                var GsRGB = rgb.g / 255;
                var BsRGB = rgb.b / 255;
                if (RsRGB <= 0.03928) {
                    R = RsRGB / 12.92;
                } else {
                    // eslint-disable-next-line prefer-exponentiation-operator
                    R = Math.pow((RsRGB + 0.055) / 1.055, 2.4);
                }
                if (GsRGB <= 0.03928) {
                    G = GsRGB / 12.92;
                } else {
                    // eslint-disable-next-line prefer-exponentiation-operator
                    G = Math.pow((GsRGB + 0.055) / 1.055, 2.4);
                }
                if (BsRGB <= 0.03928) {
                    B = BsRGB / 12.92;
                } else {
                    // eslint-disable-next-line prefer-exponentiation-operator
                    B = Math.pow((BsRGB + 0.055) / 1.055, 2.4);
                }
                return 0.2126 * R + 0.7152 * G + 0.0722 * B;
            }
        },
        {
            /**
     * Returns the alpha value of a color, from 0-1.
     */ key: "getAlpha",
            value: function getAlpha() {
                return this.a;
            }
        },
        {
            /**
     * Sets the alpha value on the current color.
     *
     * @param alpha - The new alpha value. The accepted range is 0-1.
     */ key: "setAlpha",
            value: function setAlpha(alpha) {
                this.a = boundAlpha(alpha);
                this.roundA = Math.round(100 * this.a) / 100;
                return this;
            }
        },
        {
            /**
     * Returns whether the color is monochrome.
     */ key: "isMonochrome",
            value: function isMonochrome() {
                var s = this.toHsl().s;
                return s === 0;
            }
        },
        {
            /**
     * Returns the object as a HSVA object.
     */ key: "toHsv",
            value: function toHsv() {
                var hsv = rgbToHsv(this.r, this.g, this.b);
                return {
                    h: hsv.h * 360,
                    s: hsv.s,
                    v: hsv.v,
                    a: this.a
                };
            }
        },
        {
            /**
     * Returns the hsva values interpolated into a string with the following format:
     * "hsva(xxx, xxx, xxx, xx)".
     */ key: "toHsvString",
            value: function toHsvString() {
                var hsv = rgbToHsv(this.r, this.g, this.b);
                var h = Math.round(hsv.h * 360);
                var s = Math.round(hsv.s * 100);
                var v = Math.round(hsv.v * 100);
                return this.a === 1 ? "hsv(".concat(h, ", ").concat(s, "%, ").concat(v, "%)") : "hsva(".concat(h, ", ").concat(s, "%, ").concat(v, "%, ").concat(this.roundA, ")");
            }
        },
        {
            /**
     * Returns the object as a HSLA object.
     */ key: "toHsl",
            value: function toHsl() {
                var hsl = rgbToHsl(this.r, this.g, this.b);
                return {
                    h: hsl.h * 360,
                    s: hsl.s,
                    l: hsl.l,
                    a: this.a
                };
            }
        },
        {
            /**
     * Returns the hsla values interpolated into a string with the following format:
     * "hsla(xxx, xxx, xxx, xx)".
     */ key: "toHslString",
            value: function toHslString() {
                var hsl = rgbToHsl(this.r, this.g, this.b);
                var h = Math.round(hsl.h * 360);
                var s = Math.round(hsl.s * 100);
                var l = Math.round(hsl.l * 100);
                return this.a === 1 ? "hsl(".concat(h, ", ").concat(s, "%, ").concat(l, "%)") : "hsla(".concat(h, ", ").concat(s, "%, ").concat(l, "%, ").concat(this.roundA, ")");
            }
        },
        {
            /**
     * Returns the hex value of the color.
     * @param allow3Char will shorten hex value to 3 char if possible
     */ key: "toHex",
            value: function toHex() {
                var allow3Char = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : false;
                return rgbToHex(this.r, this.g, this.b, allow3Char);
            }
        },
        {
            /**
     * Returns the hex value of the color -with a # prefixed.
     * @param allow3Char will shorten hex value to 3 char if possible
     */ key: "toHexString",
            value: function toHexString() {
                var allow3Char = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : false;
                return "#" + this.toHex(allow3Char);
            }
        },
        {
            /**
     * Returns the hex 8 value of the color.
     * @param allow4Char will shorten hex value to 4 char if possible
     */ key: "toHex8",
            value: function toHex8() {
                var allow4Char = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : false;
                return rgbaToHex(this.r, this.g, this.b, this.a, allow4Char);
            }
        },
        {
            /**
     * Returns the hex 8 value of the color -with a # prefixed.
     * @param allow4Char will shorten hex value to 4 char if possible
     */ key: "toHex8String",
            value: function toHex8String() {
                var allow4Char = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : false;
                return "#" + this.toHex8(allow4Char);
            }
        },
        {
            /**
     * Returns the shorter hex value of the color depends on its alpha -with a # prefixed.
     * @param allowShortChar will shorten hex value to 3 or 4 char if possible
     */ key: "toHexShortString",
            value: function toHexShortString() {
                var allowShortChar = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : false;
                return this.a === 1 ? this.toHexString(allowShortChar) : this.toHex8String(allowShortChar);
            }
        },
        {
            /**
     * Returns the object as a RGBA object.
     */ key: "toRgb",
            value: function toRgb() {
                return {
                    r: Math.round(this.r),
                    g: Math.round(this.g),
                    b: Math.round(this.b),
                    a: this.a
                };
            }
        },
        {
            /**
     * Returns the RGBA values interpolated into a string with the following format:
     * "RGBA(xxx, xxx, xxx, xx)".
     */ key: "toRgbString",
            value: function toRgbString() {
                var r = Math.round(this.r);
                var g = Math.round(this.g);
                var b = Math.round(this.b);
                return this.a === 1 ? "rgb(".concat(r, ", ").concat(g, ", ").concat(b, ")") : "rgba(".concat(r, ", ").concat(g, ", ").concat(b, ", ").concat(this.roundA, ")");
            }
        },
        {
            /**
     * Returns the object as a RGBA object.
     */ key: "toPercentageRgb",
            value: function toPercentageRgb() {
                var fmt = function(x) {
                    return "".concat(Math.round(bound01(x, 255) * 100), "%");
                };
                return {
                    r: fmt(this.r),
                    g: fmt(this.g),
                    b: fmt(this.b),
                    a: this.a
                };
            }
        },
        {
            /**
     * Returns the RGBA relative values interpolated into a string
     */ key: "toPercentageRgbString",
            value: function toPercentageRgbString() {
                var rnd = function(x) {
                    return Math.round(bound01(x, 255) * 100);
                };
                return this.a === 1 ? "rgb(".concat(rnd(this.r), "%, ").concat(rnd(this.g), "%, ").concat(rnd(this.b), "%)") : "rgba(".concat(rnd(this.r), "%, ").concat(rnd(this.g), "%, ").concat(rnd(this.b), "%, ").concat(this.roundA, ")");
            }
        },
        {
            key: "toCmyk",
            value: function toCmyk() {
                return _object_spread$b({}, rgbToCmyk(this.r, this.g, this.b));
            }
        },
        {
            key: "toCmykString",
            value: function toCmykString() {
                var _rgbToCmyk = rgbToCmyk(this.r, this.g, this.b), c = _rgbToCmyk.c, m = _rgbToCmyk.m, y = _rgbToCmyk.y, k = _rgbToCmyk.k;
                return "cmyk(".concat(c, ", ").concat(m, ", ").concat(y, ", ").concat(k, ")");
            }
        },
        {
            /**
     * The 'real' name of the color -if there is one.
     */ key: "toName",
            value: function toName() {
                if (this.a === 0) {
                    return "transparent";
                }
                if (this.a < 1) {
                    return false;
                }
                var hex = "#" + rgbToHex(this.r, this.g, this.b, false);
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = Object.entries(names)[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var _step_value = _sliced_to_array$a(_step.value, 2), key = _step_value[0], value = _step_value[1];
                        if (hex === value) {
                            return key;
                        }
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
                return false;
            }
        },
        {
            key: "toString",
            value: function toString(format) {
                var formatSet = Boolean(format);
                format = format !== null && format !== void 0 ? format : this.format;
                var formattedString = false;
                var hasAlpha = this.a < 1 && this.a >= 0;
                var needsAlphaFormat = !formatSet && hasAlpha && (format.startsWith("hex") || format === "name");
                if (needsAlphaFormat) {
                    // Special case for "transparent", all other non-alpha formats
                    // will return rgba when there is transparency.
                    if (format === "name" && this.a === 0) {
                        return this.toName();
                    }
                    return this.toRgbString();
                }
                if (format === "rgb") {
                    formattedString = this.toRgbString();
                }
                if (format === "prgb") {
                    formattedString = this.toPercentageRgbString();
                }
                if (format === "hex" || format === "hex6") {
                    formattedString = this.toHexString();
                }
                if (format === "hex3") {
                    formattedString = this.toHexString(true);
                }
                if (format === "hex4") {
                    formattedString = this.toHex8String(true);
                }
                if (format === "hex8") {
                    formattedString = this.toHex8String();
                }
                if (format === "name") {
                    formattedString = this.toName();
                }
                if (format === "hsl") {
                    formattedString = this.toHslString();
                }
                if (format === "hsv") {
                    formattedString = this.toHsvString();
                }
                if (format === "cmyk") {
                    formattedString = this.toCmykString();
                }
                return formattedString || this.toHexString();
            }
        },
        {
            key: "toNumber",
            value: function toNumber() {
                return (Math.round(this.r) << 16) + (Math.round(this.g) << 8) + Math.round(this.b);
            }
        },
        {
            key: "clone",
            value: function clone() {
                return new TinyColor(this.toString());
            }
        },
        {
            /**
     * Lighten the color a given amount. Providing 100 will always return white.
     * @param amount - valid between 1-100
     */ key: "lighten",
            value: function lighten() {
                var amount = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 10;
                var hsl = this.toHsl();
                hsl.l += amount / 100;
                hsl.l = clamp01(hsl.l);
                return new TinyColor(hsl);
            }
        },
        {
            /**
     * Brighten the color a given amount, from 0 to 100.
     * @param amount - valid between 1-100
     */ key: "brighten",
            value: function brighten() {
                var amount = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 10;
                var rgb = this.toRgb();
                rgb.r = Math.max(0, Math.min(255, rgb.r - Math.round(255 * -(amount / 100))));
                rgb.g = Math.max(0, Math.min(255, rgb.g - Math.round(255 * -(amount / 100))));
                rgb.b = Math.max(0, Math.min(255, rgb.b - Math.round(255 * -(amount / 100))));
                return new TinyColor(rgb);
            }
        },
        {
            /**
     * Darken the color a given amount, from 0 to 100.
     * Providing 100 will always return black.
     * @param amount - valid between 1-100
     */ key: "darken",
            value: function darken() {
                var amount = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 10;
                var hsl = this.toHsl();
                hsl.l -= amount / 100;
                hsl.l = clamp01(hsl.l);
                return new TinyColor(hsl);
            }
        },
        {
            /**
     * Mix the color with pure white, from 0 to 100.
     * Providing 0 will do nothing, providing 100 will always return white.
     * @param amount - valid between 1-100
     */ key: "tint",
            value: function tint() {
                var amount = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 10;
                return this.mix("white", amount);
            }
        },
        {
            /**
     * Mix the color with pure black, from 0 to 100.
     * Providing 0 will do nothing, providing 100 will always return black.
     * @param amount - valid between 1-100
     */ key: "shade",
            value: function shade() {
                var amount = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 10;
                return this.mix("black", amount);
            }
        },
        {
            /**
     * Desaturate the color a given amount, from 0 to 100.
     * Providing 100 will is the same as calling greyscale
     * @param amount - valid between 1-100
     */ key: "desaturate",
            value: function desaturate() {
                var amount = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 10;
                var hsl = this.toHsl();
                hsl.s -= amount / 100;
                hsl.s = clamp01(hsl.s);
                return new TinyColor(hsl);
            }
        },
        {
            /**
     * Saturate the color a given amount, from 0 to 100.
     * @param amount - valid between 1-100
     */ key: "saturate",
            value: function saturate() {
                var amount = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 10;
                var hsl = this.toHsl();
                hsl.s += amount / 100;
                hsl.s = clamp01(hsl.s);
                return new TinyColor(hsl);
            }
        },
        {
            /**
     * Completely desaturates a color into greyscale.
     * Same as calling `desaturate(100)`
     */ key: "greyscale",
            value: function greyscale() {
                return this.desaturate(100);
            }
        },
        {
            /**
     * Spin takes a positive or negative amount within [-360, 360] indicating the change of hue.
     * Values outside of this range will be wrapped into this range.
     */ key: "spin",
            value: function spin(amount) {
                var hsl = this.toHsl();
                var hue = (hsl.h + amount) % 360;
                hsl.h = hue < 0 ? 360 + hue : hue;
                return new TinyColor(hsl);
            }
        },
        {
            /**
     * Mix the current color a given amount with another color, from 0 to 100.
     * 0 means no mixing (return current color).
     */ key: "mix",
            value: function mix(color) {
                var amount = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : 50;
                var rgb1 = this.toRgb();
                var rgb2 = new TinyColor(color).toRgb();
                var p = amount / 100;
                var rgba = {
                    r: (rgb2.r - rgb1.r) * p + rgb1.r,
                    g: (rgb2.g - rgb1.g) * p + rgb1.g,
                    b: (rgb2.b - rgb1.b) * p + rgb1.b,
                    a: (rgb2.a - rgb1.a) * p + rgb1.a
                };
                return new TinyColor(rgba);
            }
        },
        {
            key: "analogous",
            value: function analogous() {
                var results = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 6, slices = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : 30;
                var hsl = this.toHsl();
                var part = 360 / slices;
                var ret = [
                    this
                ];
                for(hsl.h = (hsl.h - (part * results >> 1) + 720) % 360; --results;){
                    hsl.h = (hsl.h + part) % 360;
                    ret.push(new TinyColor(hsl));
                }
                return ret;
            }
        },
        {
            /**
     * taken from https://github.com/infusion/jQuery-xcolor/blob/master/jquery.xcolor.js
     */ key: "complement",
            value: function complement() {
                var hsl = this.toHsl();
                hsl.h = (hsl.h + 180) % 360;
                return new TinyColor(hsl);
            }
        },
        {
            key: "monochromatic",
            value: function monochromatic() {
                var results = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 6;
                var hsv = this.toHsv();
                var h = hsv.h;
                var s = hsv.s;
                var v = hsv.v;
                var res = [];
                var modification = 1 / results;
                while(results--){
                    res.push(new TinyColor({
                        h: h,
                        s: s,
                        v: v
                    }));
                    v = (v + modification) % 1;
                }
                return res;
            }
        },
        {
            key: "splitcomplement",
            value: function splitcomplement() {
                var hsl = this.toHsl();
                var h = hsl.h;
                return [
                    this,
                    new TinyColor({
                        h: (h + 72) % 360,
                        s: hsl.s,
                        l: hsl.l
                    }),
                    new TinyColor({
                        h: (h + 216) % 360,
                        s: hsl.s,
                        l: hsl.l
                    })
                ];
            }
        },
        {
            /**
     * Compute how the color would appear on a background
     */ key: "onBackground",
            value: function onBackground(background) {
                var fg = this.toRgb();
                var bg = new TinyColor(background).toRgb();
                var alpha = fg.a + bg.a * (1 - fg.a);
                return new TinyColor({
                    r: (fg.r * fg.a + bg.r * bg.a * (1 - fg.a)) / alpha,
                    g: (fg.g * fg.a + bg.g * bg.a * (1 - fg.a)) / alpha,
                    b: (fg.b * fg.a + bg.b * bg.a * (1 - fg.a)) / alpha,
                    a: alpha
                });
            }
        },
        {
            /**
     * Alias for `polyad(3)`
     */ key: "triad",
            value: function triad() {
                return this.polyad(3);
            }
        },
        {
            /**
     * Alias for `polyad(4)`
     */ key: "tetrad",
            value: function tetrad() {
                return this.polyad(4);
            }
        },
        {
            /**
     * Get polyad colors, like (for 1, 2, 3, 4, 5, 6, 7, 8, etc...)
     * monad, dyad, triad, tetrad, pentad, hexad, heptad, octad, etc...
     */ key: "polyad",
            value: function polyad(n) {
                var hsl = this.toHsl();
                var h = hsl.h;
                var result = [
                    this
                ];
                var increment = 360 / n;
                for(var i = 1; i < n; i++){
                    result.push(new TinyColor({
                        h: (h + i * increment) % 360,
                        s: hsl.s,
                        l: hsl.l
                    }));
                }
                return result;
            }
        },
        {
            /**
     * compare color vs current color
     */ key: "equals",
            value: function equals(color) {
                var comparedColor = new TinyColor(color);
                /**
         * RGB and CMYK do not have the same color gamut, so a CMYK conversion will never be 100%.
         * This means we need to compare CMYK to CMYK to ensure accuracy of the equals function.
         */ if (this.format === "cmyk" || comparedColor.format === "cmyk") {
                    return this.toCmykString() === comparedColor.toCmykString();
                }
                return this.toRgbString() === comparedColor.toRgbString();
            }
        }
    ]);
    return TinyColor;
}();

function _array_like_to_array$r(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$9(arr) {
    if (Array.isArray(arr)) return arr;
}
function _class_call_check$1y(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1w(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1w(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1w(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1w(Constructor, staticProps);
    return Constructor;
}
function _instanceof$e(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _iterable_to_array_limit$9(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$9() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _sliced_to_array$9(arr, i) {
    return _array_with_holes$9(arr) || _iterable_to_array_limit$9(arr, i) || _unsupported_iterable_to_array$r(arr, i) || _non_iterable_rest$9();
}
function _unsupported_iterable_to_array$r(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$r(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$r(o, minLen);
}
var extractHueAndSaturationRegExp = /^hs[v|l]a?\s?\((\d{1,3}\.?\d*?),?\s?(\d{1,3})/, replaceHueAndSaturationRegExp = /(^hs[v|l]a?\s?\()\d{1,3}\.?\d*?(,?\s?)\d{1,3}/, replaceHueRegExp = /(^hs[v|l]a?\()\d{1,3}/;
var a$f = function(h, t) {
    return t ? h.toHexString() : h.toHex();
};
var ColorController = /*#__PURE__*/ function() {
    function ColorController(t, param) {
        var _this = this;
        var o = param.applyColorToState, e = param.extractColorFromState, r = param.maintains;
        _class_call_check$1y(this, ColorController);
        this.maintains = "hue";
        this._hue = 0;
        this.getColorProcesses = {
            rgb: function(t, o) {
                return o ? t.toRgbString() : t.toRgb();
            },
            prgb: function(t, o) {
                return o ? t.toPercentageRgbString() : t.toPercentageRgb();
            },
            hex8: function(t, o) {
                return o ? t.toHex8String() : t.toHex8();
            },
            name: function(t) {
                return t.toName() || t.toRgbString();
            },
            hsl: function(t, o) {
                if (_this.maintains === "hue") {
                    if (o) return t.toHslString().replace(replaceHueRegExp, "$1".concat(_this.hue));
                    {
                        var _t_toHsl = t.toHsl(), e = _t_toHsl.s, r = _t_toHsl.l, s = _t_toHsl.a;
                        return {
                            h: _this.hue,
                            s: e,
                            l: r,
                            a: s
                        };
                    }
                } else {
                    if (o) return t.toHslString().replace(replaceHueAndSaturationRegExp, "$1".concat(_this.hue, "$2").concat(_this.saturation));
                    {
                        var _t_toHsl1 = t.toHsl(), e1 = _t_toHsl1.s, r1 = _t_toHsl1.l, s1 = _t_toHsl1.a;
                        return {
                            h: _this.hue,
                            s: e1,
                            l: r1,
                            a: s1
                        };
                    }
                }
            },
            hsv: function(t, o) {
                if (_this.maintains === "hue") {
                    if (o) return t.toHsvString().replace(replaceHueRegExp, "$1".concat(_this.hue));
                    {
                        var _t_toHsv = t.toHsv(), e = _t_toHsv.s, r = _t_toHsv.v, s = _t_toHsv.a;
                        return {
                            h: _this.hue,
                            s: e,
                            v: r,
                            a: s
                        };
                    }
                } else {
                    if (o) return t.toHsvString().replace(replaceHueAndSaturationRegExp, "$1".concat(_this.hue, "$2").concat(_this.saturation));
                    {
                        var _t_toHsv1 = t.toHsv(), e1 = _t_toHsv1.s, r1 = _t_toHsv1.v, s1 = _t_toHsv1.a;
                        return {
                            h: _this.hue,
                            s: e1,
                            v: r1,
                            a: s1
                        };
                    }
                }
            },
            hex: a$f,
            hex3: a$f,
            hex4: a$f,
            hex6: a$f
        };
        this._color = new TinyColor({
            h: 0,
            s: 1,
            v: 1
        });
        this._previousColor = new TinyColor({
            h: 0,
            s: 1,
            v: 1
        });
        this._format = {
            format: "",
            isString: !1
        };
        this.host = t, this.applyColorToState = o, this.extractColorFromState = e, this.maintains = r || this.maintains;
    }
    _create_class$1w(ColorController, [
        {
            key: "setColorProcess",
            value: function setColorProcess(t, o, e, r) {
                this.maintains === "hue" ? this.setColorMaintainHue(t, o, e, r) : this.maintains === "saturation" && this.setColorMaintainSaturation(t, o, e, r);
            }
        },
        {
            key: "setColorMaintainHue",
            value: function setColorMaintainHue(t, o, e, r) {
                var _this__color_toHsv = this._color.toHsv(), s = _this__color_toHsv.h, i = _this__color_toHsv.s, u = _this__color_toHsv.v;
                var c;
                if (r && e.startsWith("hs")) {
                    var n = extractHueAndSaturationRegExp.exec(o);
                    if (n !== null) {
                        var _n = _sliced_to_array$9(n, 2), g = _n[1];
                        c = Number(g);
                    }
                } else if (!r && e.startsWith("hs")) {
                    var n1 = t.originalInput;
                    c = Object.values(n1)[0];
                }
                this.hue = c || s, this.applyColorToState({
                    h: s,
                    s: i,
                    v: u
                });
            }
        },
        {
            key: "setColorMaintainSaturation",
            value: function setColorMaintainSaturation(t, o, e, r) {
                if (r && e.startsWith("hs")) {
                    var s = extractHueAndSaturationRegExp.exec(o);
                    if (s !== null) {
                        var _s = _sliced_to_array$9(s, 3), i = _s[1], u = _s[2];
                        this.hue = Number(i), this.saturation = Number(u);
                    }
                } else if (!r && e.startsWith("hs")) {
                    var s1 = t.originalInput, i1 = Object.values(s1);
                    this.hue = i1[0], this.saturation = i1[1];
                } else {
                    var _t_toHsv = t.toHsv(), s2 = _t_toHsv.h;
                    this.hue = s2;
                }
                this.applyColorToState(t.toHsv());
            }
        },
        {
            key: "applyColorFromState",
            value: function applyColorFromState() {
                this._color = new TinyColor(this.extractColorFromState(this));
            }
        },
        {
            key: "hue",
            get: function get() {
                return this._hue;
            },
            set: function set(t) {
                var o = Math.min(360, Math.max(0, t));
                if (o === this.hue) return;
                var e = this.hue, _this__color_toHsv = this._color.toHsv(), r = _this__color_toHsv.s, s = _this__color_toHsv.v;
                this._color = new TinyColor({
                    h: o,
                    s: r,
                    v: s
                }), this._hue = o, this.host.requestUpdate("hue", e);
            }
        },
        {
            key: "value",
            get: function get() {
                return this.color;
            }
        },
        {
            key: "color",
            get: function get() {
                return this.getColorProcesses[this._format.format || "hex"](this._color, this._format.isString);
            },
            set: function set(t) {
                if (t === this.color) return;
                var o = this._color;
                this._color = new TinyColor(t);
                var e = this._color.format;
                var r = typeof t == "string" || _instanceof$e(t, String);
                e.startsWith("hex") && (r = t.startsWith("#")), this._format = {
                    format: e,
                    isString: r
                }, this.setColorProcess(this._color, t, e, r), this.host.requestUpdate("color", o);
            }
        },
        {
            key: "getColor",
            value: function getColor(t) {
                var o = {
                    hsl: "toHsl"
                };
                return this._color[o[t]]();
            }
        },
        {
            key: "setColor",
            value: function setColor(t) {
                this._color = t;
                var o = typeof this._color.originalInput == "string" || _instanceof$e(this._color.originalInput, String);
                this.setColorProcess(this._color, t, this._color.format, o);
            }
        },
        {
            key: "getHslString",
            value: function getHslString() {
                return this._color.toHslString();
            }
        },
        {
            key: "savePreviousColor",
            value: function savePreviousColor() {
                this._previousColor = this._color.clone();
            }
        },
        {
            key: "restorePreviousColor",
            value: function restorePreviousColor() {
                this.setColor(this._previousColor);
            }
        }
    ]);
    return ColorController;
} 
();

function _class_call_check$1x(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1v(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1v(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1v(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1v(Constructor, staticProps);
    return Constructor;
}
var languageResolverUpdatedSymbol = Symbol("language resolver updated");
var LanguageResolutionController = /*#__PURE__*/ function() {
    function LanguageResolutionController(e) {
        _class_call_check$1x(this, LanguageResolutionController);
        this.language = document.documentElement.lang || navigator.language;
        this.host = e, this.host.addController(this);
    }
    _create_class$1v(LanguageResolutionController, [
        {
            key: "hostConnected",
            value: function hostConnected() {
                this.resolveLanguage();
            }
        },
        {
            key: "hostDisconnected",
            value: function hostDisconnected() {
                var e;
                (e = this.unsubscribe) == null || e.call(this);
            }
        },
        {
            key: "resolveLanguage",
            value: function resolveLanguage() {
                var _this = this;
                var e = new CustomEvent("sp-language-context", {
                    bubbles: !0,
                    composed: !0,
                    detail: {
                        callback: function(t, o) {
                            var a = _this.language;
                            _this.language = t, _this.unsubscribe = o, _this.host.requestUpdate(languageResolverUpdatedSymbol, a);
                        }
                    },
                    cancelable: !0
                });
                this.host.dispatchEvent(e);
            }
        }
    ]);
    return LanguageResolutionController;
} 
();

function n$f(o) {
    return typeof window != "undefined" && window.navigator != null ? o.test(window.navigator.userAgent) : !1;
}
function e$u(o) {
    return typeof window != "undefined" && window.navigator != null ? o.test(window.navigator.platform) : !1;
}
function isMac() {
    return e$u(/^Mac/);
}
function isIPhone() {
    return e$u(/^iPhone/);
}
function isIPad() {
    return e$u(/^iPad/) || isMac() && navigator.maxTouchPoints > 1;
}
function isIOS() {
    return isIPhone() || isIPad();
}
function isAndroid() {
    return n$f(/Android/);
}

function _tagged_template_literal$28(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$28() {
    var data = _tagged_template_literal$28([
        "\n    :host{--spectrum-colorarea-border-radius:var(--spectrum-color-area-border-rounding);--spectrum-colorarea-border-color:#0000001a;--spectrum-colorarea-disabled-background-color:var(--spectrum-disabled-background-color);--spectrum-colorarea-border-width:var(--spectrum-color-area-border-width);--spectrum-colorarea-height:var(--spectrum-color-area-height);--spectrum-colorarea-width:var(--spectrum-color-area-width);--spectrum-colorarea-min-width:var(--spectrum-color-area-minimum-width);--spectrum-colorarea-min-height:var(--spectrum-color-area-minimum-height)}@media (forced-colors:active){:host{--highcontrast-colorarea-border-color-disabled:GrayText;--highcontrast-colorarea-border-color:Canvas;--highcontrast-colorarea-fill-color-disabled:Canvas}.gradient,:host([disabled]){forced-color-adjust:none}}:host{cursor:default;-webkit-user-select:none;user-select:none;min-inline-size:var(--mod-colorarea-min-width,var(--spectrum-colorarea-min-width));min-block-size:var(--mod-colorarea-min-height,var(--spectrum-colorarea-min-height));inline-size:var(--mod-colorarea-width,var(--spectrum-colorarea-width));block-size:var(--mod-colorarea-height,var(--spectrum-colorarea-height));box-sizing:border-box;border-radius:var(--mod-colorarea-border-radius,var(--spectrum-colorarea-border-radius));border:var(--mod-colorarea-border-width,var(--spectrum-colorarea-border-width))solid var(--highcontrast-colorarea-border-color,var(--mod-colorarea-border-color,var(--spectrum-colorarea-border-color)));display:inline-block;position:relative}:host([focused]){z-index:1}:host([disabled]){pointer-events:none;background:var(--highcontrast-colorarea-fill-color-disabled,var(--mod-colorarea-disabled-background-color,var(--spectrum-colorarea-disabled-background-color)));border:var(--mod-colorarea-border-width,var(--spectrum-colorarea-border-width))solid var(--highcontrast-colorarea-border-color-disabled)}:host([disabled]) .gradient{display:none}.handle{transform:translate(calc(var(--mod-colorarea-width,var(--spectrum-colorarea-width)) - var(--spectrum-colorarea-border-width)));inset-block-start:0}.handle:dir(rtl),:host([dir=rtl]) .handle{inset-inline-end:0}.gradient{border-radius:var(--mod-colorarea-border-radius,var(--spectrum-colorarea-border-radius));block-size:100%;inline-size:100%}.slider{opacity:0;z-index:0;pointer-events:none;block-size:100%;inline-size:100%;margin:0;position:absolute;inset-block-start:0;inset-inline-start:0}:host{touch-action:none}:host:before{pointer-events:none}.gradient{overflow:hidden}.handle{transform:translate(var(--spectrum-colorarea-default-width),0)}::slotted(*){width:100%;height:100%}:host([dir=rtl]) .gradient{transform:scaleX(-1)}.slider[orient=vertical]{appearance:slider-vertical}.slider:focus{z-index:1}.fieldset{border:0;margin:0;padding:0}\n"
    ]);
    _templateObject$28 = function _templateObject() {
        return data;
    };
    return data;
}
var o$r = i$p(_templateObject$28());
var P = o$r;

function _array_like_to_array$q(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$8(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$1l(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1w(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1u(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1u(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1u(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1u(Constructor, staticProps);
    return Constructor;
}
function _get$K(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$K = Reflect.get;
    } else {
        _get$K = function get(target, property, receiver) {
            var base = _super_prop_base$K(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$K(target, property, receiver || target);
}
function _get_prototype_of$1l(o) {
    _get_prototype_of$1l = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1l(o);
}
function _inherits$1l(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1l(subClass, superClass);
}
function _iterable_to_array_limit$8(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$8() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$1l(self, call) {
    if (call && (_type_of$1l(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1l(self);
}
function _set_prototype_of$1l(o, p) {
    _set_prototype_of$1l = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1l(o, p);
}
function _sliced_to_array$8(arr, i) {
    return _array_with_holes$8(arr) || _iterable_to_array_limit$8(arr, i) || _unsupported_iterable_to_array$q(arr, i) || _non_iterable_rest$8();
}
function _super_prop_base$K(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1l(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$27(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1l(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$q(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$q(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$q(o, minLen);
}
function _is_native_reflect_construct$1l() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1l(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1l();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1l(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1l(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1l(this, result);
    };
}
function _templateObject$27() {
    var data = _tagged_template_literal$27([
        "\n            <div\n                @pointerdown=",
        '\n                class="gradient"\n                style=',
        '\n            >\n                <slot name="gradient"></slot>\n            </div>\n\n            <sp-color-handle\n                tabindex=',
        "\n                @focus=",
        "\n                ?focused=",
        '\n                class="handle"\n                color=',
        "\n                ?disabled=",
        "\n                style=",
        "\n                ",
        '\n            ></sp-color-handle>\n\n            <fieldset\n                class="fieldset"\n                aria-label=',
        '\n            >\n                <div role="presentation">\n                    <input\n                        type="range"\n                        class="slider"\n                        name="x"\n                        aria-label=',
        "\n                        aria-roledescription=",
        '\n                        aria-orientation="horizontal"\n                        aria-valuetext=',
        '\n                        min="0"\n                        max="1"\n                        step=',
        '\n                        tabindex="-1"\n                        .value=',
        "\n                        @input=",
        "\n                        @change=",
        '\n                    />\n                </div>\n                <div role="presentation">\n                    <input\n                        type="range"\n                        class="slider"\n                        name="y"\n                        aria-label=',
        "\n                        aria-roledescription=",
        '\n                        aria-orientation="vertical"\n                        aria-valuetext=',
        '\n                        orient="vertical"\n                        min="0"\n                        max="1"\n                        step=',
        '\n                        tabindex="-1"\n                        .value=',
        "\n                        @input=",
        "\n                        @change=",
        "\n                    />\n                </div>\n            </fieldset>\n        "
    ]);
    _templateObject$27 = function _templateObject() {
        return data;
    };
    return data;
}
var f$e = Object.defineProperty;
var y$d = Object.getOwnPropertyDescriptor;
var s$7 = function(c, l, e, t) {
    for(var i = t > 1 ? void 0 : t ? y$d(l, e) : l, r = c.length - 1, n; r >= 0; r--)(n = c[r]) && (i = (t ? n(l, e, i) : n(i)) || i);
    return t && i && f$e(l, e, i), i;
};
var ColorArea = /*#__PURE__*/ function(w) {
    _inherits$1l(ColorArea, w);
    var _super = _create_super$1l(ColorArea);
    function ColorArea() {
        _class_call_check$1w(this, ColorArea);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.disabled = !1;
        _this.focused = !1;
        _this.labelX = "saturation";
        _this.labelY = "luminosity";
        _this.languageResolver = new LanguageResolutionController(_assert_this_initialized$1l(_this));
        _this.colorController = new ColorController(_assert_this_initialized$1l(_this), {
            extractColorFromState: function() {
                return {
                    h: _this.hue,
                    s: _this.x,
                    v: _this.y
                };
            },
            applyColorToState: function(param) {
                var e = param.s, t = param.v;
                _this._x = e, _this._y = t, _this.requestUpdate();
            }
        });
        _this.activeAxis = "x";
        _this._x = 1;
        _this._y = 1;
        _this.step = .01;
        _this.altered = 0;
        _this.activeKeys = new Set;
        _this._valueChanged = !1;
        _this._pointerDown = !1;
        return _this;
    }
    _create_class$1u(ColorArea, [
        {
            key: "hue",
            get: function get() {
                return this.colorController.hue;
            },
            set: function set(e) {
                this.colorController.hue = e;
            }
        },
        {
            key: "value",
            get: function get() {
                return this.colorController.color;
            }
        },
        {
            key: "color",
            get: function get() {
                return this.colorController.color;
            },
            set: function set(e) {
                this.colorController.color = e;
            }
        },
        {
            key: "x",
            get: function get() {
                return this._x;
            },
            set: function set(e) {
                if (e === this.x) return;
                var t = this.x;
                this.inputX ? (this.inputX.value = e.toString(), this._x = this.inputX.valueAsNumber) : this._x = e, this.requestUpdate("x", t), this.colorController.applyColorFromState();
            }
        },
        {
            key: "y",
            get: function get() {
                return this._y;
            },
            set: function set(e) {
                if (e === this.y) return;
                var t = this.y;
                this.inputY ? (this.inputY.value = e.toString(), this._y = this.inputY.valueAsNumber) : this._y = e, this.requestUpdate("y", t), this.colorController.applyColorFromState();
            }
        },
        {
            key: "focus",
            value: function focus() {
                var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
                _get$K(_get_prototype_of$1l(ColorArea.prototype), "focus", this).call(this, e), this.forwardFocus();
            }
        },
        {
            key: "forwardFocus",
            value: function forwardFocus() {
                this.focused = this.hasVisibleFocusInTree(), this.activeAxis === "x" ? this.inputX.focus() : this.inputY.focus();
            }
        },
        {
            key: "handleFocus",
            value: function handleFocus() {
                this.focused = !0, this._valueChanged = !1;
            }
        },
        {
            key: "handleBlur",
            value: function handleBlur() {
                this._pointerDown || (this.altered = 0, this.focused = !1, this._valueChanged = !1);
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                var t = e.code;
                this.focused = !0, this.altered = [
                    e.shiftKey,
                    e.ctrlKey,
                    e.altKey
                ].filter(function(r) {
                    return !!r;
                }).length, (t.search("Arrow") === 0 || t.search("Page") === 0 || t.search("Home") === 0 || t.search("End") === 0) && (e.preventDefault(), this.activeKeys.add(t), this.handleKeypress());
            }
        },
        {
            key: "handleKeypress",
            value: function handleKeypress() {
                var _this = this;
                var e = 0, t = 0;
                var i = Math.max(this.step, this.altered * 5 * this.step);
                this.activeKeys.forEach(function(r) {
                    switch(r){
                        case "ArrowUp":
                            t = i;
                            break;
                        case "ArrowDown":
                            t = i * -1;
                            break;
                        case "ArrowLeft":
                            e = _this.step * (_this.isLTR ? -1 : 1);
                            break;
                        case "ArrowRight":
                            e = _this.step * (_this.isLTR ? 1 : -1);
                            break;
                        case "PageUp":
                            t = i * 10;
                            break;
                        case "PageDown":
                            t = i * -10;
                            break;
                        case "Home":
                            e = i * (_this.isLTR ? -10 : 10);
                            break;
                        case "End":
                            e = i * (_this.isLTR ? 10 : -10);
                            break;
                    }
                }), e != 0 ? (this.activeAxis = "x", this.inputX.focus()) : t != 0 && (this.activeAxis = "y", this.inputY.focus()), this.x = Math.min(1, Math.max(this.x + e, 0)), this.y = Math.min(1, Math.max(this.y + t, 0)), this.colorController.savePreviousColor(), this.colorController.applyColorFromState(), (e != 0 || t != 0) && (this._valueChanged = !0, this.dispatchEvent(new Event("input", {
                    bubbles: !0,
                    composed: !0
                })), this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                })) || this.colorController.restorePreviousColor());
            }
        },
        {
            key: "handleKeyup",
            value: function handleKeyup(e) {
                e.preventDefault();
                var t = e.code;
                this.activeKeys.delete(t);
            }
        },
        {
            key: "handleInput",
            value: function handleInput(e) {
                var _e_target = e.target, t = _e_target.valueAsNumber, i = _e_target.name;
                this[i] = t, this.colorController.applyColorFromState();
            }
        },
        {
            key: "handleChange",
            value: function handleChange(e) {
                this.handleInput(e), this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                }));
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown(e) {
                if (e.button !== 0) {
                    e.preventDefault();
                    return;
                }
                this._pointerDown = !0, this.colorController.savePreviousColor(), this.boundingClientRect = this.getBoundingClientRect(), e.target.setPointerCapture(e.pointerId), e.pointerType === "mouse" && (this.focused = !0);
            }
        },
        {
            key: "handlePointermove",
            value: function handlePointermove(e) {
                var _this_calculateHandlePosition = _sliced_to_array$8(this.calculateHandlePosition(e), 2), t = _this_calculateHandlePosition[0], i = _this_calculateHandlePosition[1];
                this._valueChanged = !1, this.x = t, this.y = 1 - i, this.colorController.applyColorFromState(), this.dispatchEvent(new Event("input", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                }));
            }
        },
        {
            key: "handlePointerup",
            value: function handlePointerup(e) {
                e.preventDefault(), this._pointerDown = !1, e.target.releasePointerCapture(e.pointerId);
                var t = this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                }));
                this.inputX.focus(), e.pointerType === "mouse" && (this.focused = !1), t || this.colorController.restorePreviousColor();
            }
        },
        {
            key: "calculateHandlePosition",
            value: function calculateHandlePosition(e) {
                if (!this.boundingClientRect) return [
                    this.x,
                    this.y
                ];
                var t = this.boundingClientRect, i = t.left, r = t.top, n = e.clientX, d = e.clientY, h = t.width, u = t.height, a = Math.max(0, Math.min(1, (n - i) / h)), p = Math.max(0, Math.min(1, (d - r) / u));
                return [
                    this.isLTR ? a : 1 - a,
                    p
                ];
            }
        },
        {
            key: "handleAreaPointerdown",
            value: function handleAreaPointerdown(e) {
                e.button === 0 && (e.stopPropagation(), e.preventDefault(), this.handle.dispatchEvent(new PointerEvent("pointerdown", e)), this.handlePointermove(e));
            }
        },
        {
            key: "render",
            value: function render() {
                var _ref = this.boundingClientRect || {}, tmp = _ref.width, e = tmp === void 0 ? 0 : tmp, tmp1 = _ref.height, t = tmp1 === void 0 ? 0 : tmp1, i = isAndroid() || isIOS(), r = "Color Picker", n = this.label ? "".concat(this.label, " ").concat(r) : r, d = o$O(i ? void 0 : "2d slider"), h = this.labelX, u = this.labelY, a = new Intl.NumberFormat(this.languageResolver.language, {
                    style: "percent",
                    unitDisplay: "narrow"
                }).format(this.x), p = new Intl.NumberFormat(this.languageResolver.language, {
                    style: "percent",
                    unitDisplay: "narrow"
                }).format(this.y), m = {
                    background: "linear-gradient(to top, black 0%, hsla(".concat(this.hue, ", 100%, 0.01%, 0) 100%),linear-gradient(to right, white 0%, hsla(").concat(this.hue, ", 100%, 0.01%, 0) 100%), hsl(").concat(this.hue, ", 100%, 50%);")
                };
                return x$3(_templateObject$27(), this.handleAreaPointerdown, o$N(m), o$O(this.focused ? void 0 : "0"), this.forwardFocus, this.focused, this.colorController.getHslString(), this.disabled, "transform: translate(".concat((this.isLTR ? this.x : 1 - this.x) * e, "px, ").concat(t - this.y * t, "px);"), streamingListener({
                    start: [
                        "pointerdown",
                        this.handlePointerdown
                    ],
                    streamInside: [
                        "pointermove",
                        this.handlePointermove
                    ],
                    end: [
                        [
                            "pointerup",
                            "pointercancel",
                            "pointerleave"
                        ],
                        this.handlePointerup
                    ]
                }), o$O(i ? n : void 0), i ? h : n, d, i ? a : "".concat(a, ", ").concat(h).concat(this._valueChanged ? "" : ", ".concat(p, ", ").concat(u)), this.step, String(this.x), this.handleInput, this.handleChange, i ? u : n, d, i ? p : "".concat(p, ", ").concat(u).concat(this._valueChanged ? "" : ", ".concat(a, ", ").concat(h)), this.step, String(this.y), this.handleInput, this.handleChange);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$K(_get_prototype_of$1l(ColorArea.prototype), "firstUpdated", this).call(this, e), this.boundingClientRect = this.getBoundingClientRect(), this.addEventListener("focus", this.handleFocus), this.addEventListener("blur", this.handleBlur), this.addEventListener("keyup", this.handleKeyup), this.addEventListener("keydown", this.handleKeydown);
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                if (_get$K(_get_prototype_of$1l(ColorArea.prototype), "updated", this).call(this, e), this.x !== this.inputX.valueAsNumber && (this._x = this.inputX.valueAsNumber), this.y !== this.inputY.valueAsNumber && (this._y = this.inputY.valueAsNumber), e.has("focused") && this.focused) {
                    var t = this.inputX.parentElement, i = this.inputY.parentElement;
                    if (!t.shadowRoot && !i.shadowRoot) {
                        t.attachShadow({
                            mode: "open"
                        }), i.attachShadow({
                            mode: "open"
                        });
                        var r = '<div tabindex="-1"><slot></slot></div>';
                        t.shadowRoot.innerHTML = r, i.shadowRoot.innerHTML = r;
                    }
                }
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                var _this = this;
                var e;
                _get$K(_get_prototype_of$1l(ColorArea.prototype), "connectedCallback", this).call(this), !this.observer && window.ResizeObserver && (this.observer = new window.ResizeObserver(function(t) {
                    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                    try {
                        for(var _iterator = t[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                            var i = _step.value;
                            _this.boundingClientRect = i.contentRect;
                        }
                    } catch (err) {
                        _didIteratorError = true;
                        _iteratorError = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion && _iterator.return != null) {
                                _iterator.return();
                            }
                        } finally{
                            if (_didIteratorError) {
                                throw _iteratorError;
                            }
                        }
                    }
                    _this.requestUpdate();
                })), (e = this.observer) == null || e.observe(this);
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                var e;
                (e = this.observer) == null || e.unobserve(this), _get$K(_get_prototype_of$1l(ColorArea.prototype), "disconnectedCallback", this).call(this);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    P
                ];
            }
        }
    ]);
    return ColorArea;
}(SpectrumElement);
s$7([
    n$r({
        type: String,
        reflect: !0
    })
], ColorArea.prototype, "dir", 2), s$7([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorArea.prototype, "disabled", 2), s$7([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorArea.prototype, "focused", 2), s$7([
    n$r({
        type: String
    })
], ColorArea.prototype, "label", 2), s$7([
    n$r({
        type: String,
        attribute: "label-x"
    })
], ColorArea.prototype, "labelX", 2), s$7([
    n$r({
        type: String,
        attribute: "label-y"
    })
], ColorArea.prototype, "labelY", 2), s$7([
    e$F(".handle")
], ColorArea.prototype, "handle", 2), s$7([
    n$r({
        type: Number
    })
], ColorArea.prototype, "hue", 1), s$7([
    n$r({
        type: String
    })
], ColorArea.prototype, "value", 1), s$7([
    n$r({
        type: String
    })
], ColorArea.prototype, "color", 1), s$7([
    n$r({
        attribute: !1
    })
], ColorArea.prototype, "activeAxis", 2), s$7([
    n$r({
        type: Number
    })
], ColorArea.prototype, "x", 1), s$7([
    n$r({
        type: Number
    })
], ColorArea.prototype, "y", 1), s$7([
    n$r({
        type: Number
    })
], ColorArea.prototype, "step", 2), s$7([
    e$F('[name="x"]')
], ColorArea.prototype, "inputX", 2), s$7([
    e$F('[name="y"]')
], ColorArea.prototype, "inputY", 2);

defineElement("sp-color-area", ColorArea);

function _tagged_template_literal$26(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$26() {
    var data = _tagged_template_literal$26([
        '\n    :host{--spectrum-color-slider-handle-margin-block:var(--spectrum-component-top-to-text-75);--spectrum-color-slider-border-color-rgba:rgba(var(--spectrum-gray-900-rgb),var(--spectrum-color-slider-border-opacity));--spectrum-color-slider-checkerboard-size:var(--spectrum-opacity-checkerboard-square-size);--spectrum-color-slider-checkerboard-dark-color:var(--spectrum-opacity-checkerboard-square-dark);--spectrum-color-slider-checkerboard-light-color:var(--spectrum-opacity-checkerboard-square-light);--mod-colorhandle-hitarea-border-radius:var(--mod-color-slider-handle-hitarea-border-radius,0px)}@media (forced-colors:active){:host{--highcontrast-color-slider-border-color:CanvasText;--highcontrast-color-slider-border-color-disabled:GrayText;--highcontrast-color-slider-background-color-disabled:Canvas;forced-color-adjust:none}}:host{min-inline-size:var(--mod-color-slider-minimum-length,var(--spectrum-color-slider-minimum-length));inline-size:var(--mod-color-slider-length,var(--spectrum-color-slider-length));block-size:var(--mod-color-slider-control-track-width,var(--spectrum-color-control-track-width));-webkit-user-select:none;user-select:none;cursor:default;display:block;position:relative}:host([focused]){z-index:2}:host([disabled]){pointer-events:none}:host([disabled]) .gradient{display:none}:host([vertical]){min-block-size:var(--mod-color-slider-vertical-minimum-height,var(--mod-color-slider-minimum-length,var(--spectrum-color-slider-minimum-length)));block-size:var(--mod-color-slider-vertical-height,var(--mod-color-slider-length,var(--spectrum-color-slider-length)));inline-size:var(--mod-color-slider-vertical-control-track-width,var(--mod-color-slider-control-track-height,var(--spectrum-color-control-track-width)));min-inline-size:0;display:inline-block}:host([vertical]) .handle{inset-block-start:0;inset-inline-start:50%}.handle{inset-block-start:50%;inset-inline-start:0}.checkerboard{--spectrum-color-slider-border-color-local:var(--highcontrast-color-slider-border-color,var(--mod-color-slider-border-color,var(--spectrum-color-slider-border-color-rgba)))}.checkerboard:before{content:"";z-index:1;box-shadow:inset 0 0 0 var(--mod-color-slider-border-width,var(--spectrum-color-slider-border-width))var(--spectrum-color-slider-border-color-local);border-radius:var(--mod-color-slider-border-rounding,var(--spectrum-color-slider-border-rounding));position:absolute;inset:0}:host([disabled]) .checkerboard{--spectrum-color-slider-border-color-local:var(--highcontrast-color-slider-border-color-disabled,var(--mod-color-slider-border-color-disabled,var(--spectrum-disabled-background-color)));background:var(--highcontrast-color-slider-background-color-disabled,var(--mod-color-slider-background-color-disabled,var(--spectrum-disabled-background-color)))}.checkerboard,.gradient{border-radius:var(--mod-color-slider-border-rounding,var(--spectrum-color-slider-border-rounding));block-size:100%;inline-size:100%}.gradient:dir(rtl),:host([dir=rtl]) .gradient{transform:scaleX(-1)}.slider{opacity:0;z-index:0;pointer-events:none;block-size:100%;inline-size:100%;margin:0;position:absolute;inset-block-start:0;inset-inline-start:0}:host{--sp-color-slider-gradient-fallback:red 0%,#ff0 17%,#0f0 33%,#0ff 50%,#00f 67%,#f0f 83%,red 100%;touch-action:none}:host([vertical]) .handle{inset-block-start:unset;inset-block-end:0}:host([vertical]) .slider{appearance:slider-vertical}:host(:focus){outline:none}.gradient{overflow:hidden}::slotted(*){width:100%;height:100%}\n'
    ]);
    _templateObject$26 = function _templateObject() {
        return data;
    };
    return data;
}
var o$q = i$p(_templateObject$26());
var w = o$q;

function _assert_this_initialized$1k(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1v(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1t(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1t(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1t(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1t(Constructor, staticProps);
    return Constructor;
}
function _define_property$c(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _get$J(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$J = Reflect.get;
    } else {
        _get$J = function get(target, property, receiver) {
            var base = _super_prop_base$J(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$J(target, property, receiver || target);
}
function _get_prototype_of$1k(o) {
    _get_prototype_of$1k = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1k(o);
}
function _inherits$1k(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1k(subClass, superClass);
}
function _object_spread$a(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$c(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$8(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$8(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$8(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _possible_constructor_return$1k(self, call) {
    if (call && (_type_of$1k(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1k(self);
}
function _set_prototype_of$1k(o, p) {
    _set_prototype_of$1k = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1k(o, p);
}
function _super_prop_base$J(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1k(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$25(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1k(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1k() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1k(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1k();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1k(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1k(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1k(this, result);
    };
}
function _templateObject$25() {
    var data = _tagged_template_literal$25([
        '\n            <div\n                class="opacity-checkerboard checkerboard"\n                role="presentation"\n                @pointerdown=',
        '\n            >\n                <div\n                    class="gradient"\n                    role="presentation"\n                    style=',
        '\n                >\n                    <slot name="gradient"></slot>\n                </div>\n            </div>\n            <sp-color-handle\n                tabindex=',
        "\n                @focus=",
        "\n                ?focused=",
        '\n                class="handle"\n                color="hsl(',
        ', 100%, 50%)"\n                ?disabled=',
        "\n                style=",
        "\n                ",
        '\n            ></sp-color-handle>\n            <input\n                type="range"\n                class="slider"\n                min="0"\n                max="360"\n                aria-orientation=',
        "\n                orient=",
        "\n                step=",
        "\n                aria-label=",
        "\n                .value=",
        "\n                aria-valuetext=",
        "\n                @input=",
        "\n                @change=",
        "\n                @keydown=",
        "\n            />\n        "
    ]);
    _templateObject$25 = function _templateObject() {
        return data;
    };
    return data;
}
var p$r = Object.defineProperty;
var c$k = Object.getOwnPropertyDescriptor;
var r$i = function(u, l, e, i) {
    for(var t = i > 1 ? void 0 : i ? c$k(l, e) : l, s = u.length - 1, n; s >= 0; s--)(n = u[s]) && (t = (i ? n(l, e, t) : n(t)) || t);
    return i && t && p$r(l, e, t), t;
};
var ColorSlider = /*#__PURE__*/ function(b) {
    _inherits$1k(ColorSlider, b);
    var _super = _create_super$1k(ColorSlider);
    function ColorSlider() {
        _class_call_check$1v(this, ColorSlider);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.disabled = !1;
        _this.focused = !1;
        _this.label = "hue";
        _this.vertical = !1;
        _this.languageResolver = new LanguageResolutionController(_assert_this_initialized$1k(_this));
        _this.colorController = new ColorController(_assert_this_initialized$1k(_this), {
            applyColorToState: function() {
                _this.sliderHandlePosition = 100 * (_this.colorController.hue / 360);
            },
            extractColorFromState: function(e) {
                return _object_spread_props$8(_object_spread$a({}, e.getColor("hsl")), {
                    h: _this.value
                });
            },
            maintains: "saturation"
        });
        _this.sliderHandlePosition = 0;
        _this.step = 1;
        _this._altered = 0;
        _this._pointerDown = !1;
        return _this;
    }
    _create_class$1t(ColorSlider, [
        {
            key: "value",
            get: function get() {
                return this.colorController.hue;
            },
            set: function set(e) {
                this.colorController.hue = e;
            }
        },
        {
            key: "color",
            get: function get() {
                return this.colorController.color;
            },
            set: function set(e) {
                this.colorController.color = e;
            }
        },
        {
            key: "altered",
            get: function get() {
                return this._altered;
            },
            set: function set(e) {
                this._altered = e, this.step = Math.max(1, this.altered * 10);
            }
        },
        {
            key: "focusElement",
            get: function get() {
                return this.input;
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                var i = e.key;
                this.focused = !0, this.altered = [
                    e.shiftKey,
                    e.ctrlKey,
                    e.altKey
                ].filter(function(a) {
                    return !!a;
                }).length;
                var t = 0;
                switch(i){
                    case "ArrowUp":
                        t = this.step;
                        break;
                    case "ArrowDown":
                        t = -this.step;
                        break;
                    case "ArrowLeft":
                        t = this.step * (this.isLTR ? -1 : 1);
                        break;
                    case "ArrowRight":
                        t = this.step * (this.isLTR ? 1 : -1);
                        break;
                    default:
                        return;
                }
                e.preventDefault();
                var n = 100 / 360;
                this.sliderHandlePosition = Math.min(100, Math.max(0, this.sliderHandlePosition + t * n)), this.value = Math.min(100, Math.max(0, this.value + t)), this.colorController.applyColorFromState(), t != 0 && (this.dispatchEvent(new Event("input", {
                    bubbles: !0,
                    composed: !0
                })), this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0
                })));
            }
        },
        {
            key: "handleInput",
            value: function handleInput(e) {
                var _e_target = e.target, i = _e_target.valueAsNumber;
                this.value = i, this.sliderHandlePosition = 100 * (this.value / 360), this.colorController.applyColorFromState();
            }
        },
        {
            key: "handleChange",
            value: function handleChange(e) {
                this.handleInput(e), this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0
                }));
            }
        },
        {
            key: "focus",
            value: function focus() {
                var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
                _get$J(_get_prototype_of$1k(ColorSlider.prototype), "focus", this).call(this, e), this.forwardFocus();
            }
        },
        {
            key: "forwardFocus",
            value: function forwardFocus() {
                this.focused = this.hasVisibleFocusInTree(), this.input.focus();
            }
        },
        {
            key: "handleFocus",
            value: function handleFocus() {
                this.focused = !0;
            }
        },
        {
            key: "handleBlur",
            value: function handleBlur() {
                this._pointerDown || (this.altered = 0, this.focused = !1);
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown(e) {
                if (e.button !== 0) {
                    e.preventDefault();
                    return;
                }
                this._pointerDown = !0, this.colorController.savePreviousColor(), this.boundingClientRect = this.getBoundingClientRect(), e.target.setPointerCapture(e.pointerId), e.pointerType === "mouse" && (this.focused = !0);
            }
        },
        {
            key: "handlePointermove",
            value: function handlePointermove(e) {
                this.sliderHandlePosition = this.calculateHandlePosition(e), this.value = 360 * (this.sliderHandlePosition / 100), this.colorController.applyColorFromState(), this.dispatchEvent(new Event("input", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                }));
            }
        },
        {
            key: "handlePointerup",
            value: function handlePointerup(e) {
                this._pointerDown = !1, e.target.releasePointerCapture(e.pointerId), this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                })) || this.colorController.restorePreviousColor(), this.focus(), e.pointerType === "mouse" && (this.focused = !1);
            }
        },
        {
            key: "calculateHandlePosition",
            value: function calculateHandlePosition(e) {
                if (!this.boundingClientRect) return this.sliderHandlePosition;
                var i = this.boundingClientRect, t = this.vertical ? i.top : i.left, s = this.vertical ? e.clientY : e.clientX, n = this.vertical ? i.height : i.width, a = Math.max(0, Math.min(1, (s - t) / n));
                return this.vertical || !this.isLTR ? 100 - 100 * a : 100 * a;
            }
        },
        {
            key: "handleGradientPointerdown",
            value: function handleGradientPointerdown(e) {
                e.button === 0 && (e.stopPropagation(), e.preventDefault(), this.handle.dispatchEvent(new PointerEvent("pointerdown", e)), this.handlePointermove(e));
            }
        },
        {
            key: "handlePositionStyles",
            get: function get() {
                return "".concat(this.vertical ? "inset-block-end" : "inset-inline-start", ": ").concat(this.sliderHandlePosition, "%");
            }
        },
        {
            key: "getColorSliderStyle",
            get: function get() {
                return {
                    background: "linear-gradient(to ".concat(this.vertical ? "top" : "right", ", var(--sp-color-slider-gradient, var(--sp-color-slider-gradient-fallback)))")
                };
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$25(), this.handleGradientPointerdown, o$N(this.getColorSliderStyle), o$O(this.focused ? void 0 : "0"), this.forwardFocus, this.focused, this.value, this.disabled, this.handlePositionStyles, streamingListener({
                    start: [
                        "pointerdown",
                        this.handlePointerdown
                    ],
                    streamInside: [
                        "pointermove",
                        this.handlePointermove
                    ],
                    end: [
                        [
                            "pointerup",
                            "pointercancel",
                            "pointerleave"
                        ],
                        this.handlePointerup
                    ]
                }), o$O(this.vertical ? "vertical" : void 0), o$O(this.vertical ? "vertical" : void 0), this.step, this.label, String(this.value), "".concat(new Intl.NumberFormat(this.languageResolver.language, {
                    maximumFractionDigits: 0,
                    minimumIntegerDigits: 1,
                    style: "unit",
                    unit: "degree",
                    unitDisplay: "narrow"
                }).format(this.value)), this.handleInput, this.handleChange, this.handleKeydown);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$J(_get_prototype_of$1k(ColorSlider.prototype), "firstUpdated", this).call(this, e), this.boundingClientRect = this.getBoundingClientRect(), this.addEventListener("focus", this.handleFocus), this.addEventListener("blur", this.handleBlur);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    b$9,
                    w
                ];
            }
        }
    ]);
    return ColorSlider;
}(Focusable);
r$i([
    n$r({
        type: String,
        reflect: !0
    })
], ColorSlider.prototype, "dir", 2), r$i([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorSlider.prototype, "disabled", 2), r$i([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorSlider.prototype, "focused", 2), r$i([
    e$F(".handle")
], ColorSlider.prototype, "handle", 2), r$i([
    n$r({
        type: String
    })
], ColorSlider.prototype, "label", 2), r$i([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorSlider.prototype, "vertical", 2), r$i([
    n$r({
        type: Number
    })
], ColorSlider.prototype, "value", 1), r$i([
    n$r({
        type: Number,
        reflect: !0
    })
], ColorSlider.prototype, "sliderHandlePosition", 2), r$i([
    n$r({
        type: String
    })
], ColorSlider.prototype, "color", 1), r$i([
    n$r({
        type: Number
    })
], ColorSlider.prototype, "step", 2), r$i([
    e$F("input")
], ColorSlider.prototype, "input", 2);

defineElement("sp-color-slider", ColorSlider);

function _class_call_check$1u(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1s(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1s(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1s(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1s(Constructor, staticProps);
    return Constructor;
}
function _tagged_template_literal$24(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$24() {
    var data = _tagged_template_literal$24([
        "\n            <div id=",
        ">\n                <slot\n                    name=",
        "\n                    @slotchange=",
        '\n                >\n                    <slot name="help-text"></slot>\n                </slot>\n            </div>\n        '
    ]);
    _templateObject$24 = function _templateObject() {
        return data;
    };
    return data;
}
var HelpTextManager = /*#__PURE__*/ function() {
    function HelpTextManager(e) {
        var _this = this;
        var _ref = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {
            mode: "internal"
        }, i = _ref.mode;
        _class_call_check$1u(this, HelpTextManager);
        this.mode = "internal";
        this.handleSlotchange = function(param) {
            var _$e = param.target;
            _this.handleHelpText(_$e), _this.handleNegativeHelpText(_$e);
        };
        this.host = e, this.id = "sp-help-text-".concat(randomID()), this.mode = i;
    }
    _create_class$1s(HelpTextManager, [
        {
            key: "isInternal",
            get: function get() {
                return this.mode === "internal";
            }
        },
        {
            key: "render",
            value: function render(e) {
                return x$3(_templateObject$24(), o$O(this.isInternal ? this.id : void 0), e ? "negative-help-text" : "pass-through-help-text-".concat(randomID()), this.handleSlotchange);
            }
        },
        {
            key: "addId",
            value: function addId() {
                var e = this.helpTextElement ? this.helpTextElement.id : this.id;
                this.conditionId = conditionAttributeWithId(this.host, "aria-describedby", e), this.host.hasAttribute("tabindex") && (this.previousTabindex = parseFloat(this.host.getAttribute("tabindex"))), this.host.tabIndex = 0;
            }
        },
        {
            key: "removeId",
            value: function removeId() {
                this.conditionId && (this.conditionId(), delete this.conditionId), !this.helpTextElement && (this.previousTabindex ? this.host.tabIndex = this.previousTabindex : this.host.removeAttribute("tabindex"));
            }
        },
        {
            key: "handleHelpText",
            value: function handleHelpText(e) {
                if (this.isInternal) return;
                this.helpTextElement && this.helpTextElement.id === this.id && this.helpTextElement.removeAttribute("id"), this.removeId();
                var t = e.assignedElements()[0];
                this.helpTextElement = t, t && (t.id || (t.id = this.id), this.addId());
            }
        },
        {
            key: "handleNegativeHelpText",
            value: function handleNegativeHelpText(e) {
                if (e.name !== "negative-help-text") return;
                e.assignedElements().forEach(function(t) {
                    return t.variant = "negative";
                });
            }
        }
    ]);
    return HelpTextManager;
} 
();

function _assert_this_initialized$1j(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1t(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1r(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1r(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1r(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1r(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1j(o) {
    _get_prototype_of$1j = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1j(o);
}
function _inherits$1j(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1j(subClass, superClass);
}
function _possible_constructor_return$1j(self, call) {
    if (call && (_type_of$1j(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1j(self);
}
function _set_prototype_of$1j(o, p) {
    _set_prototype_of$1j = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1j(o, p);
}
function _type_of$1j(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1j() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1j(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1j();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1j(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1j(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1j(this, result);
    };
}
function ManageHelpText(e) {
    var _ref = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {
        mode: "internal"
    }, t = _ref.mode;
    var n = /*#__PURE__*/ function(e) {
        _inherits$1j(n, e);
        var _super = _create_super$1j(n);
        function n() {
            _class_call_check$1t(this, n);
            var _this;
            _this = _super.call.apply(_super, [
                this
            ].concat(Array.prototype.slice.call(arguments)));
            _this.helpTextManager = new HelpTextManager(_assert_this_initialized$1j(_this), {
                mode: t
            });
            return _this;
        }
        _create_class$1r(n, [
            {
                key: "helpTextId",
                get: function get() {
                    return this.helpTextManager.id;
                }
            },
            {
                key: "renderHelpText",
                value: function renderHelpText(r) {
                    return this.helpTextManager.render(r);
                }
            }
        ]);
        return n;
    }(e);
    return n;
}

function _tagged_template_literal$23(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$23() {
    var data = _tagged_template_literal$23([
        '\n    :host{--spectrum-textfield-input-line-height:var(--spectrum-textfield-height);--spectrum-texfield-animation-duration:var(--spectrum-animation-duration-100);--spectrum-textfield-width:240px;--spectrum-textfield-min-width:var(--spectrum-text-field-minimum-width-multiplier);--spectrum-textfield-corner-radius:var(--spectrum-corner-radius-100);--spectrum-textfield-height:var(--spectrum-component-height-100);--spectrum-textfield-spacing-inline:var(--spectrum-component-edge-to-text-100);--spectrum-textfield-spacing-inline-quiet:var(--spectrum-field-edge-to-text-quiet);--spectrum-textfield-spacing-block-start:var(--spectrum-component-top-to-text-100);--spectrum-textfield-spacing-block-end:var(--spectrum-component-bottom-to-text-100);--spectrum-textfield-spacing-block-quiet:var(--spectrum-field-edge-to-border-quiet);--spectrum-textfield-label-spacing-block:var(--spectrum-field-label-to-component);--spectrum-textfield-label-spacing-block-quiet:var(--spectrum-field-label-to-component-quiet-medium);--spectrum-textfield-label-spacing-inline-side-label:var(--spectrum-spacing-100);--spectrum-textfield-helptext-spacing-block:var(--spectrum-help-text-to-component);--spectrum-textfield-icon-size-invalid:var(--spectrum-workflow-icon-size-100);--spectrum-textfield-icon-size-valid:var(--spectrum-checkmark-icon-size-100);--spectrum-textfield-icon-spacing-inline-start-invalid:var(--spectrum-field-text-to-alert-icon-medium);--spectrum-textfield-icon-spacing-inline-end-invalid:var(--spectrum-field-edge-to-alert-icon-medium);--spectrum-textfield-icon-spacing-inline-end-quiet-invalid:var(--spectrum-field-edge-to-alert-icon-quiet);--spectrum-textfield-icon-spacing-block-invalid:var(--spectrum-field-top-to-alert-icon-medium);--spectrum-textfield-icon-spacing-inline-start-valid:var(--spectrum-field-text-to-validation-icon-medium);--spectrum-textfield-icon-spacing-inline-end-valid:var(--spectrum-field-edge-to-validation-icon-medium);--spectrum-textfield-icon-spacing-inline-end-quiet-valid:var(--spectrum-field-edge-to-validation-icon-quiet);--spectrum-textfield-icon-spacing-block-valid:var(--spectrum-field-top-to-validation-icon-medium);--spectrum-textfield-font-family:var(--spectrum-sans-font-family-stack);--spectrum-textfield-font-weight:var(--spectrum-regular-font-weight);--spectrum-textfield-placeholder-font-size:var(--spectrum-font-size-100);--spectrum-textfield-character-count-font-family:var(--spectrum-sans-font-family-stack);--spectrum-textfield-character-count-font-weight:var(--spectrum-regular-font-weight);--spectrum-textfield-character-count-font-size:var(--spectrum-font-size-75);--spectrum-textfield-character-count-spacing-inline:var(--spectrum-spacing-200);--spectrum-textfield-character-count-spacing-block:var(--spectrum-component-bottom-to-text-75);--spectrum-textfield-character-count-spacing-inline-side:var(--spectrum-side-label-character-count-to-field);--spectrum-textfield-character-count-spacing-block-side:var(--spectrum-side-label-character-count-top-margin-medium);--spectrum-textfield-focus-indicator-width:var(--spectrum-focus-indicator-thickness);--spectrum-textfield-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-textfield-background-color:var(--spectrum-gray-50);--spectrum-textfield-text-color-default:var(--spectrum-neutral-content-color-default);--spectrum-textfield-text-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-textfield-text-color-focus:var(--spectrum-neutral-content-color-focus);--spectrum-textfield-text-color-focus-hover:var(--spectrum-neutral-content-color-focus-hover);--spectrum-textfield-text-color-keyboard-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-textfield-text-color-readonly:var(--spectrum-neutral-content-color-default);--spectrum-textfield-background-color-disabled:var(--spectrum-disabled-background-color);--spectrum-textfield-border-color-disabled:var(--spectrum-disabled-border-color);--spectrum-textfield-text-color-disabled:var(--spectrum-disabled-content-color);--spectrum-textfield-border-color-invalid-default:var(--spectrum-negative-border-color-default);--spectrum-textfield-border-color-invalid-hover:var(--spectrum-negative-border-color-hover);--spectrum-textfield-border-color-invalid-focus:var(--spectrum-negative-border-color-focus);--spectrum-textfield-border-color-invalid-focus-hover:var(--spectrum-negative-border-color-focus-hover);--spectrum-textfield-border-color-invalid-keyboard-focus:var(--spectrum-negative-border-color-key-focus);--spectrum-textfield-icon-color-invalid:var(--spectrum-negative-visual-color);--spectrum-textfield-text-color-invalid:var(--spectrum-neutral-content-color-default);--spectrum-textfield-text-color-valid:var(--spectrum-neutral-content-color-default);--spectrum-textfield-icon-color-valid:var(--spectrum-positive-visual-color);--spectrum-textfield-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-text-area-min-inline-size:var(--spectrum-text-area-minimum-width);--spectrum-text-area-min-block-size:var(--spectrum-text-area-minimum-height);--spectrum-text-area-min-block-size-quiet:var(--spectrum-component-height-100)}:host([size=s]){--spectrum-textfield-height:var(--spectrum-component-height-75);--spectrum-textfield-label-spacing-block-quiet:var(--spectrum-field-label-to-component-quiet-small);--spectrum-textfield-label-spacing-inline-side-label:var(--spectrum-spacing-100);--spectrum-textfield-placeholder-font-size:var(--spectrum-font-size-75);--spectrum-textfield-spacing-inline:var(--spectrum-component-edge-to-text-75);--spectrum-textfield-icon-size-invalid:var(--spectrum-workflow-icon-size-75);--spectrum-textfield-icon-size-valid:var(--spectrum-checkmark-icon-size-75);--spectrum-textfield-icon-spacing-inline-end-invalid:var(--spectrum-field-edge-to-alert-icon-small);--spectrum-textfield-icon-spacing-inline-end-valid:var(--spectrum-field-edge-to-validation-icon-small);--spectrum-textfield-icon-spacing-block-invalid:var(--spectrum-field-top-to-alert-icon-small);--spectrum-textfield-icon-spacing-block-valid:var(--spectrum-field-top-to-validation-icon-small);--spectrum-textfield-icon-spacing-inline-start-invalid:var(--spectrum-field-text-to-alert-icon-small);--spectrum-textfield-icon-spacing-inline-start-valid:var(--spectrum-field-text-to-validation-icon-small);--spectrum-textfield-character-count-font-size:var(--spectrum-font-size-75);--spectrum-textfield-character-count-spacing-block:var(--spectrum-component-bottom-to-text-75);--spectrum-textfield-character-count-spacing-block-quiet:var(--spectrum-character-count-to-field-quiet-small);--spectrum-textfield-character-count-spacing-block-side:var(--spectrum-side-label-character-count-top-margin-small);--spectrum-text-area-min-block-size-quiet:var(--spectrum-component-height-75)}:host{--spectrum-textfield-height:var(--spectrum-component-height-100);--spectrum-textfield-label-spacing-block-quiet:var(--spectrum-field-label-to-component-quiet-medium);--spectrum-textfield-label-spacing-inline-side-label:var(--spectrum-spacing-200);--spectrum-textfield-placeholder-font-size:var(--spectrum-font-size-100);--spectrum-textfield-spacing-inline:var(--spectrum-component-edge-to-text-100);--spectrum-textfield-icon-size-invalid:var(--spectrum-workflow-icon-size-100);--spectrum-textfield-icon-size-valid:var(--spectrum-checkmark-icon-size-100);--spectrum-textfield-icon-spacing-inline-end-invalid:var(--spectrum-field-edge-to-alert-icon-medium);--spectrum-textfield-icon-spacing-inline-end-valid:var(--spectrum-field-edge-to-validation-icon-medium);--spectrum-textfield-icon-spacing-block-invalid:var(--spectrum-field-top-to-alert-icon-medium);--spectrum-textfield-icon-spacing-block-valid:var(--spectrum-field-top-to-validation-icon-medium);--spectrum-textfield-icon-spacing-inline-start-invalid:var(--spectrum-field-text-to-alert-icon-medium);--spectrum-textfield-icon-spacing-inline-start-valid:var(--spectrum-field-text-to-validation-icon-medium);--spectrum-textfield-character-count-font-size:var(--spectrum-font-size-75);--spectrum-textfield-character-count-spacing-block:var(--spectrum-component-bottom-to-text-75);--spectrum-textfield-character-count-spacing-block-quiet:var(--spectrum-character-count-to-field-quiet-medium);--spectrum-textfield-character-count-spacing-block-side:var(--spectrum-side-label-character-count-top-margin-medium);--spectrum-text-area-min-block-size-quiet:var(--spectrum-component-height-100)}:host([size=l]){--spectrum-textfield-height:var(--spectrum-component-height-200);--spectrum-textfield-label-spacing-block-quiet:var(--spectrum-field-label-to-component-quiet-large);--spectrum-textfield-label-spacing-inline-side-label:var(--spectrum-spacing-200);--spectrum-textfield-placeholder-font-size:var(--spectrum-font-size-200);--spectrum-textfield-spacing-inline:var(--spectrum-component-edge-to-text-200);--spectrum-textfield-icon-size-invalid:var(--spectrum-workflow-icon-size-200);--spectrum-textfield-icon-size-valid:var(--spectrum-checkmark-icon-size-200);--spectrum-textfield-icon-spacing-inline-end-invalid:var(--spectrum-field-edge-to-alert-icon-large);--spectrum-textfield-icon-spacing-inline-end-valid:var(--spectrum-field-edge-to-validation-icon-large);--spectrum-textfield-icon-spacing-block-invalid:var(--spectrum-field-top-to-alert-icon-large);--spectrum-textfield-icon-spacing-block-valid:var(--spectrum-field-top-to-validation-icon-large);--spectrum-textfield-icon-spacing-inline-start-invalid:var(--spectrum-field-text-to-alert-icon-large);--spectrum-textfield-icon-spacing-inline-start-valid:var(--spectrum-field-text-to-validation-icon-large);--spectrum-textfield-character-count-font-size:var(--spectrum-font-size-100);--spectrum-textfield-character-count-spacing-block:var(--spectrum-component-bottom-to-text-100);--spectrum-textfield-character-count-spacing-block-quiet:var(--spectrum-character-count-to-field-quiet-large);--spectrum-textfield-character-count-spacing-block-side:var(--spectrum-side-label-character-count-top-margin-large);--spectrum-text-area-min-block-size-quiet:var(--spectrum-component-height-200)}:host([size=xl]){--spectrum-textfield-height:var(--spectrum-component-height-300);--spectrum-textfield-label-spacing-block-quiet:var(--spectrum-field-label-to-component-quiet-extra-large);--spectrum-textfield-label-spacing-inline-side-label:var(--spectrum-spacing-200);--spectrum-textfield-placeholder-font-size:var(--spectrum-font-size-300);--spectrum-textfield-spacing-inline:var(--spectrum-component-edge-to-text-200);--spectrum-textfield-icon-size-invalid:var(--spectrum-workflow-icon-size-300);--spectrum-textfield-icon-size-valid:var(--spectrum-checkmark-icon-size-300);--spectrum-textfield-icon-spacing-inline-end-invalid:var(--spectrum-field-edge-to-alert-icon-extra-large);--spectrum-textfield-icon-spacing-inline-end-valid:var(--spectrum-field-edge-to-validation-icon-extra-large);--spectrum-textfield-icon-spacing-block-invalid:var(--spectrum-field-top-to-alert-icon-extra-large);--spectrum-textfield-icon-spacing-block-valid:var(--spectrum-field-top-to-validation-icon-extra-large);--spectrum-textfield-icon-spacing-inline-start-invalid:var(--spectrum-field-text-to-alert-icon-extra-large);--spectrum-textfield-icon-spacing-inline-start-valid:var(--spectrum-field-text-to-validation-icon-extra-large);--spectrum-textfield-character-count-font-size:var(--spectrum-font-size-200);--spectrum-textfield-character-count-spacing-block:var(--spectrum-component-bottom-to-text-200);--spectrum-textfield-character-count-spacing-block-quiet:var(--spectrum-character-count-to-field-quiet-extra-large);--spectrum-textfield-character-count-spacing-block-side:var(--spectrum-side-label-character-count-top-margin-extra-large);--spectrum-text-area-min-block-size-quiet:var(--spectrum-component-height-300)}#textfield{inline-size:var(--mod-textfield-width,var(--spectrum-textfield-width));text-indent:0;appearance:textfield;text-overflow:ellipsis;grid-template-rows:auto auto auto;grid-template-columns:auto auto;margin:0;display:inline-grid;position:relative;overflow:visible}:host([quiet]) #textfield:after{content:"";block-size:var(--mod-textfield-focus-indicator-width,var(--spectrum-textfield-focus-indicator-width));inline-size:100%;position:absolute;inset-block-end:calc(( var(--mod-textfield-focus-indicator-gap,var(--spectrum-textfield-focus-indicator-gap)) + var(--mod-textfield-focus-indicator-width,var(--spectrum-textfield-focus-indicator-width)))*-1);inset-inline-start:0}:host([quiet][focused]) #textfield:after{background-color:var(--highcontrast-textfield-focus-indicator-color,var(--mod-textfield-focus-indicator-color,var(--spectrum-textfield-focus-indicator-color)))}:host([quiet][invalid]) #textfield .input{padding-inline-end:calc(var(--mod-textfield-icon-spacing-inline-start-invalid,var(--spectrum-textfield-icon-spacing-inline-start-invalid)) + var(--mod-textfield-icon-size-invalid,var(--spectrum-textfield-icon-size-invalid)))}:host([quiet][valid]) #textfield .input{padding-inline-end:calc(var(--mod-textfield-icon-spacing-inline-start-valid,var(--spectrum-textfield-icon-spacing-inline-start-valid)) + var(--mod-textfield-icon-size-valid,var(--spectrum-textfield-icon-size-valid)))}:host([invalid]) #textfield .icon,:host([valid]) #textfield .icon{pointer-events:all;grid-area:2/2;margin-inline-start:auto;position:absolute;inset-block-start:0}#textfield.spectrum-Textfield--sideLabel .icon{grid-area:1/2/span 1/span 1}:host([valid]) #textfield .icon{color:var(--highcontrast-textfield-icon-color-valid,var(--mod-textfield-icon-color-valid,var(--spectrum-textfield-icon-color-valid)));inset-block-start:var(--mod-textfield-icon-spacing-block-valid,var(--spectrum-textfield-icon-spacing-block-valid));inset-block-end:var(--mod-textfield-icon-spacing-block-valid,var(--spectrum-textfield-icon-spacing-block-valid));inset-inline-end:var(--mod-textfield-icon-spacing-inline-end-valid,var(--spectrum-textfield-icon-spacing-inline-end-valid))}:host([invalid]) #textfield .icon{block-size:var(--mod-textfield-icon-size-invalid,var(--spectrum-textfield-icon-size-invalid));inline-size:var(--mod-textfield-icon-size-invalid,var(--spectrum-textfield-icon-size-invalid));color:var(--highcontrast-textfield-icon-color-invalid,var(--mod-textfield-icon-color-invalid,var(--spectrum-textfield-icon-color-invalid)));inset-block-start:var(--mod-textfield-icon-spacing-block-invalid,var(--spectrum-textfield-icon-spacing-block-invalid));inset-block-end:var(--mod-textfield-icon-spacing-block-invalid,var(--spectrum-textfield-icon-spacing-block-invalid));inset-inline-end:var(--mod-textfield-icon-spacing-inline-end-invalid,var(--spectrum-textfield-icon-spacing-inline-end-invalid))}:host([disabled]) #textfield .icon,:host([readonly]) #textfield .icon{color:#0000}:host([quiet]) .icon{padding-inline-end:0}:host([quiet][valid]) .icon{inset-inline-end:var(--mod-textfield-icon-spacing-inline-end-quiet-valid,var(--spectrum-textfield-icon-spacing-inline-end-quiet-valid))}:host([quiet][invalid]) .icon{inset-inline-end:var(--mod-textfield-icon-spacing-inline-end-quiet-invalid,var(--spectrum-textfield-icon-spacing-inline-end-quiet-invalid))}#textfield .spectrum-FieldLabel{grid-area:1/1/auto/span 1;margin-block-end:var(--mod-textfield-label-spacing-block,var(--spectrum-textfield-label-spacing-block))}:host([quiet]) .spectrum-FieldLabel{margin-block-end:var(--mod-textfield-label-spacing-block-quiet,var(--spectrum-textfield-label-spacing-block-quiet))}:host([disabled]) .spectrum-FieldLabel{color:var(--spectrum-textfield-text-color-disabled)}#textfield .spectrum-HelpText{grid-area:3/1/auto/span 2;margin-block-start:var(--mod-textfield-helptext-spacing-block,var(--spectrum-textfield-helptext-spacing-block))}.spectrum-Textfield-characterCount{font-size:var(--mod-textfield-character-count-font-size,var(--spectrum-textfield-character-count-font-size));font-family:var(--mod-textfield-character-count-font-family,var(--spectrum-textfield-character-count-font-family));font-weight:var(--mod-textfield-character-count-font-weight,var(--spectrum-textfield-character-count-font-weight));grid-area:1/2/auto/span 1;justify-content:flex-end;align-items:flex-end;inline-size:auto;margin-block-end:var(--mod-textfield-character-count-spacing-block,var(--spectrum-textfield-character-count-spacing-block));margin-inline-start:var(--mod-textfield-character-count-spacing-inline,var(--spectrum-textfield-character-count-spacing-inline));margin-inline-end:0;padding-inline-end:calc(var(--mod-textfield-corner-radius,var(--spectrum-textfield-corner-radius))/2);display:inline-flex}:host([quiet]) .spectrum-Textfield-characterCount{margin-block-end:var(--mod-textfield-character-count-spacing-block-quiet,var(--spectrum-textfield-character-count-spacing-block-quiet))}.input{line-height:var(--spectrum-textfield-input-line-height);box-sizing:border-box;min-inline-size:var(--mod-textfield-min-width,var(--spectrum-textfield-min-width));block-size:var(--mod-textfield-height,var(--spectrum-textfield-height));padding-block-start:calc(var(--mod-textfield-spacing-block-start,var(--spectrum-textfield-spacing-block-start)) - var(--mod-textfield-border-width,var(--spectrum-textfield-border-width)));padding-block-end:calc(var(--mod-textfield-spacing-block-end,var(--spectrum-textfield-spacing-block-end)) - var(--mod-textfield-border-width,var(--spectrum-textfield-border-width)));padding-inline:calc(var(--mod-textfield-spacing-inline,var(--spectrum-textfield-spacing-inline)) - var(--mod-textfield-border-width,var(--spectrum-textfield-border-width)));text-indent:0;vertical-align:top;background-color:var(--mod-textfield-background-color,var(--spectrum-textfield-background-color));border:var(--mod-textfield-border-width,var(--spectrum-textfield-border-width))solid var(--highcontrast-textfield-border-color,var(--mod-textfield-border-color,var(--spectrum-textfield-border-color)));border-radius:var(--mod-textfield-corner-radius,var(--spectrum-textfield-corner-radius));transition:border-color var(--mod-texfield-animation-duration,var(--spectrum-texfield-animation-duration))ease-in-out;font-size:var(--mod-textfield-placeholder-font-size,var(--spectrum-textfield-placeholder-font-size));font-family:var(--mod-textfield-font-family,var(--spectrum-textfield-font-family));font-weight:var(--mod-textfield-font-weight,var(--spectrum-textfield-font-weight));color:var(--highcontrast-textfield-text-color-default,var(--mod-textfield-text-color-default,var(--spectrum-textfield-text-color-default)));text-overflow:ellipsis;appearance:textfield;outline:none;grid-area:2/1/auto/span 2;inline-size:100%;margin:0}.input::-ms-clear{block-size:0;inline-size:0}.input::-webkit-inner-spin-button,.input::-webkit-outer-spin-button{appearance:none;margin:0}.input:-moz-ui-invalid{box-shadow:none}.input::placeholder{opacity:1;font-size:var(--mod-textfield-placeholder-font-size,var(--spectrum-textfield-placeholder-font-size));font-family:var(--mod-textfield-font-family,var(--spectrum-textfield-font-family));font-weight:var(--mod-textfield-font-weight,var(--spectrum-textfield-font-weight));color:var(--highcontrast-textfield-text-color-default,var(--mod-textfield-text-color-default,var(--spectrum-textfield-text-color-default)));transition:color var(--mod-texfield-animation-duration,var(--spectrum-texfield-animation-duration))ease-in-out}.input:lang(ja)::placeholder,.input:lang(ko)::placeholder,.input:lang(zh)::placeholder{font-style:normal}.input:lang(ja)::-moz-placeholder,.input:lang(ko)::-moz-placeholder,.input:lang(zh)::-moz-placeholder{font-style:normal}:host([focused]) .input,.input:focus{border-color:var(--highcontrast-textfield-border-color-focus,var(--mod-textfield-border-color-focus,var(--spectrum-textfield-border-color-focus)));color:var(--highcontrast-textfield-text-color-focus,var(--mod-textfield-text-color-focus,var(--spectrum-textfield-text-color-focus)))}:host([focused]) .input::placeholder,.input:focus::placeholder{color:var(--highcontrast-textfield-text-color-focus,var(--mod-textfield-text-color-focus,var(--spectrum-textfield-text-color-focus)))}:host([focused]) .input{border-color:var(--highcontrast-textfield-border-color-keyboard-focus,var(--mod-textfield-border-color-keyboard-focus,var(--spectrum-textfield-border-color-keyboard-focus)));color:var(--highcontrast-textfield-text-color-keyboard-focus,var(--mod-textfield-text-color-keyboard-focus,var(--spectrum-textfield-text-color-keyboard-focus)));outline:var(--mod-textfield-focus-indicator-width,var(--spectrum-textfield-focus-indicator-width))solid;outline-color:var(--highcontrast-textfield-focus-indicator-color,var(--mod-textfield-focus-indicator-color,var(--spectrum-textfield-focus-indicator-color)));outline-offset:var(--mod-textfield-focus-indicator-gap,var(--spectrum-textfield-focus-indicator-gap))}:host([focused]) .input::placeholder{color:var(--highcontrast-textfield-text-color-keyboard-focus,var(--mod-textfield-text-color-keyboard-focus,var(--spectrum-textfield-text-color-keyboard-focus)))}:host([valid]) .input{color:var(--highcontrast-textfield-text-color-valid,var(--mod-textfield-text-color-valid,var(--spectrum-textfield-text-color-valid)));padding-inline-end:calc(var(--mod-textfield-icon-spacing-inline-start-valid,var(--spectrum-textfield-icon-spacing-inline-start-valid)) + var(--mod-textfield-icon-size-valid,var(--spectrum-textfield-icon-size-valid)) + var(--mod-textfield-icon-spacing-inline-end-valid,var(--spectrum-textfield-icon-spacing-inline-end-valid)) - var(--mod-textfield-border-width,var(--spectrum-textfield-border-width)))}:host([invalid]) .input{color:var(--highcontrast-textfield-text-color-invalid,var(--mod-textfield-text-color-invalid,var(--spectrum-textfield-text-color-invalid)));border-color:var(--highcontrast-textfield-border-color-invalid-default,var(--mod-textfield-border-color-invalid-default,var(--spectrum-textfield-border-color-invalid-default)));padding-inline-end:calc(var(--mod-textfield-icon-spacing-inline-start-invalid,var(--spectrum-textfield-icon-spacing-inline-start-invalid)) + var(--mod-textfield-icon-size-invalid,var(--spectrum-textfield-icon-size-invalid)) + var(--mod-textfield-icon-spacing-inline-end-invalid,var(--spectrum-textfield-icon-spacing-inline-end-invalid)) - var(--mod-textfield-border-width,var(--spectrum-textfield-border-width)))}:host([invalid]) .input:focus,:host([invalid][focused]) .input,:host([invalid]:focus) .input{border-color:var(--highcontrast-textfield-border-color-invalid-focus,var(--mod-textfield-border-color-invalid-focus,var(--spectrum-textfield-border-color-invalid-focus)))}:host([invalid]) .input:focus-visible,:host([invalid][focused]) .input{border-color:var(--highcontrast-textfield-border-color-invalid-keyboard-focus,var(--mod-textfield-border-color-invalid-keyboard-focus,var(--spectrum-textfield-border-color-invalid-keyboard-focus)))}.input:disabled,:host([disabled]) #textfield .input{background-color:var(--mod-textfield-background-color-disabled,var(--spectrum-textfield-background-color-disabled));color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)));-webkit-text-fill-color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)));resize:none;opacity:1;border-color:#0000}.input:disabled::placeholder,:host([disabled]) #textfield .input::placeholder{color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)))}:host([quiet]) .input{padding-block-start:var(--mod-textfield-spacing-block-start,var(--spectrum-textfield-spacing-block-start));padding-inline:var(--mod-textfield-spacing-inline-quiet,var(--spectrum-textfield-spacing-inline-quiet));background-color:initial;resize:none;border-block-start-width:0;border-inline-width:0;border-radius:0;outline:none;margin-block-end:var(--mod-textfield-spacing-block-quiet,var(--spectrum-textfield-spacing-block-quiet));overflow-y:hidden}:host([quiet][disabled]) .input,.input:disabled{background-color:initial;border-color:var(--mod-textfield-border-color-disabled,var(--spectrum-textfield-border-color-disabled));color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)))}:host([quiet][disabled]) .input::placeholder,.input:disabled::placeholder{color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)))}.input:read-only,:host([readonly]) #textfield .input{background-color:initial;color:var(--highcontrast-textfield-text-color-readonly,var(--mod-textfield-text-color-readonly,var(--spectrum-textfield-text-color-readonly)));border-color:#0000;outline:none}.input:read-only::placeholder,:host([readonly]) #textfield .input::placeholder{color:var(--highcontrast-textfield-text-color-readonly,var(--mod-textfield-text-color-readonly,var(--spectrum-textfield-text-color-readonly)));background-color:initial}@media (hover:hover){.input:hover,#textfield:hover .input{border-color:var(--highcontrast-textfield-border-color-hover,var(--mod-textfield-border-color-hover,var(--spectrum-textfield-border-color-hover)));color:var(--highcontrast-textfield-text-color-hover,var(--mod-textfield-text-color-hover,var(--spectrum-textfield-text-color-hover)))}.input:hover::placeholder,#textfield:hover .input::placeholder{color:var(--highcontrast-textfield-text-color-hover,var(--mod-textfield-text-color-hover,var(--spectrum-textfield-text-color-hover)))}:host([focused]) .input:hover,.input:focus:hover{border-color:var(--highcontrast-textfield-border-color-focus-hover,var(--mod-textfield-border-color-focus-hover,var(--spectrum-textfield-border-color-focus-hover)))}:host([focused]) .input:hover,:host([focused]) .input:hover::placeholder,.input:focus:hover,.input:focus:hover::placeholder{color:var(--highcontrast-textfield-text-color-focus-hover,var(--mod-textfield-text-color-focus-hover,var(--spectrum-textfield-text-color-focus-hover)))}:host([invalid]) .input:hover,:host([invalid]:hover) .input{border-color:var(--highcontrast-textfield-border-color-invalid-hover,var(--mod-textfield-border-color-invalid-hover,var(--spectrum-textfield-border-color-invalid-hover)))}:host([invalid]) .input:focus:hover,:host([invalid][focused]) .input:hover,:host([invalid]:focus) .input:hover{border-color:var(--highcontrast-textfield-border-color-invalid-focus-hover,var(--mod-textfield-border-color-invalid-focus-hover,var(--spectrum-textfield-border-color-invalid-focus-hover)))}:host([disabled]) #textfield:hover .input{background-color:var(--mod-textfield-background-color-disabled,var(--spectrum-textfield-background-color-disabled));color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)));-webkit-text-fill-color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)));resize:none;opacity:1;border-color:#0000}:host([disabled]) #textfield:hover .input::placeholder{color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)))}:host([quiet][disabled]:hover) .input{background-color:initial;border-color:var(--mod-textfield-border-color-disabled,var(--spectrum-textfield-border-color-disabled));color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)))}:host([quiet][disabled]:hover) .input::placeholder{color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)))}:host([readonly]) #textfield:hover .input{background-color:initial;color:var(--highcontrast-textfield-text-color-readonly,var(--mod-textfield-text-color-readonly,var(--spectrum-textfield-text-color-readonly)));border-color:#0000;outline:none}:host([readonly]) #textfield:hover .input::placeholder{color:var(--highcontrast-textfield-text-color-readonly,var(--mod-textfield-text-color-readonly,var(--spectrum-textfield-text-color-readonly)));background-color:initial}}.spectrum-Textfield--sideLabel{grid-template-rows:auto auto;grid-template-columns:auto auto auto}.spectrum-Textfield--sideLabel:after{grid-area:1/2/span 1/span 1}.spectrum-Textfield--sideLabel .spectrum-FieldLabel{grid-area:1/1/span 2/span 1;margin-inline-end:var(--mod-textfield-label-spacing-inline-side-label,var(--spectrum-textfield-label-spacing-inline-side-label))}.spectrum-Textfield--sideLabel .spectrum-Textfield-characterCount{grid-area:1/3/auto/span 1;align-items:flex-start;margin-block-start:var(--mod-textfield-character-count-spacing-block-side,var(--spectrum-textfield-character-count-spacing-block-side));margin-inline-start:var(--mod-textfield-character-count-spacing-inline-side,var(--spectrum-textfield-character-count-spacing-inline-side))}.spectrum-Textfield--sideLabel .spectrum-HelpText{grid-area:2/2/auto/span 1}.spectrum-Textfield--sideLabel .input,.spectrum-Textfield--sideLabel .icon{grid-area:1/2/span 1/span 1}:host([multiline]){--spectrum-textfield-input-line-height:normal}:host([multiline]) .input{min-inline-size:var(--mod-text-area-min-inline-size,var(--spectrum-text-area-min-inline-size));min-block-size:var(--mod-text-area-min-block-size,var(--spectrum-text-area-min-block-size));resize:inherit}:host([multiline][grows]) .input{grid-row:2}:host([multiline][grows]) .spectrum-Textfield--sideLabel .input{grid-row:1}:host([multiline][quiet]) .input{min-block-size:var(--mod-text-area-min-block-size-quiet,var(--spectrum-text-area-min-block-size-quiet));resize:none;overflow-y:hidden}@media (forced-colors:active){:host{--highcontrast-textfield-border-color-hover:Highlight;--highcontrast-textfield-border-color-focus:Highlight;--highcontrast-textfield-border-color-keyboard-focus:CanvasText;--highcontrast-textfield-focus-indicator-color:Highlight;--highcontrast-textfield-border-color-invalid-default:Highlight;--highcontrast-textfield-border-color-invalid-hover:Highlight;--highcontrast-textfield-border-color-invalid-focus:Highlight;--highcontrast-textfield-border-color-invalid-keyboard-focus:Highlight;--highcontrast-textfield-text-color-valid:CanvasText;--highcontrast-textfield-text-color-invalid:CanvasText}#textfield .input{--highcontrast-textfield-text-color-default:CanvasText;--highcontrast-textfield-text-color-hover:CanvasText;--highcontrast-textfield-text-color-keyboard-focus:CanvasText;--highcontrast-textfield-text-color-disabled:GrayText;--highcontrast-textfield-text-color-readonly:CanvasText}#textfield .input::placeholder{--highcontrast-textfield-text-color-default:GrayText;--highcontrast-textfield-text-color-hover:GrayText;--highcontrast-textfield-text-color-keyboard-focus:GrayText;--highcontrast-textfield-text-color-disabled:GrayText;--highcontrast-textfield-text-color-readonly:CanvasText}}:host{--spectrum-textfield-border-color:var(--system-spectrum-textfield-border-color);--spectrum-textfield-border-color-hover:var(--system-spectrum-textfield-border-color-hover);--spectrum-textfield-border-color-focus:var(--system-spectrum-textfield-border-color-focus);--spectrum-textfield-border-color-focus-hover:var(--system-spectrum-textfield-border-color-focus-hover);--spectrum-textfield-border-color-keyboard-focus:var(--system-spectrum-textfield-border-color-keyboard-focus);--spectrum-textfield-border-width:var(--system-spectrum-textfield-border-width)}:host{inline-size:var(--mod-textfield-width,var(--spectrum-textfield-width));flex-direction:column;display:inline-flex}:host([multiline]){resize:both}:host([multiline][readonly]){resize:none}:host([disabled]:focus-visible){outline:none}#textfield{inline-size:100%}#textfield,textarea{resize:inherit}.input{min-inline-size:var(--spectrum-textfield-min-width)}:host([focused]) .input{caret-color:var(--swc-test-caret-color);forced-color-adjust:var(--swc-test-forced-color-adjust)}#sizer{word-break:break-word;opacity:0;white-space:pre-line;block-size:auto}.icon,.icon-workflow{pointer-events:none}:host([multiline]) #textfield{display:inline-grid}:host([multiline]) textarea{transition:box-shadow var(--spectrum-global-animation-duration-100,.13s)ease-in-out,border-color var(--spectrum-global-animation-duration-100,.13s)ease-in-out}:host([multiline]:not([quiet])) #textfield:after{box-shadow:none}:host([multiline][rows]) .input{resize:none;block-size:auto}:host([multiline][rows="1"]) .input{min-block-size:auto}:host([disabled][quiet]) #textfield .input,:host([disabled][quiet]) #textfield:hover .input,:host([quiet]) .input :disabled{border-color:var(--mod-textfield-border-color-disabled,var(--spectrum-textfield-border-color-disabled));color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)));background-color:#0000}:host([disabled]) #textfield .icon.icon-search,:host([readonly]) #textfield .icon.icon-search{color:var(--highcontrast-textfield-text-color-disabled,var(--mod-textfield-text-color-disabled,var(--spectrum-textfield-text-color-disabled)))}:host([multiline][grows]:not([quiet])) #textfield:after{grid-area:unset;min-block-size:calc(var(--mod-text-area-min-block-size,var(--spectrum-text-area-min-block-size)) + var(--mod-textfield-focus-indicator-gap,var(--spectrum-textfield-focus-indicator-gap))*2)}:host([multiline][grows]:not([rows])) .input:not(#sizer){resize:none;height:100%;position:absolute;top:0;left:0;overflow:hidden}\n'
    ]);
    _templateObject$23 = function _templateObject() {
        return data;
    };
    return data;
}
var t$k = i$p(_templateObject$23());
var $$1 = t$k;

function _assert_this_initialized$1i(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1s(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1q(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1q(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1q(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1q(Constructor, staticProps);
    return Constructor;
}
function _get$I(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$I = Reflect.get;
    } else {
        _get$I = function get(target, property, receiver) {
            var base = _super_prop_base$I(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$I(target, property, receiver || target);
}
function _get_prototype_of$1i(o) {
    _get_prototype_of$1i = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1i(o);
}
function _inherits$1i(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1i(subClass, superClass);
}
function _possible_constructor_return$1i(self, call) {
    if (call && (_type_of$1i(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1i(self);
}
function _set_prototype_of$1i(o, p) {
    _set_prototype_of$1i = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1i(o, p);
}
function _super_prop_base$I(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1i(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$22(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1i(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1i() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1i(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1i();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1i(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1i(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1i(this, result);
    };
}
function _templateObject$22() {
    var data = _tagged_template_literal$22([
        '\n                <sp-icon-alert id="invalid" class="icon"></sp-icon-alert>\n            '
    ]);
    _templateObject$22 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$s() {
    var data = _tagged_template_literal$22([
        '\n                <sp-icon-checkmark100\n                    id="valid"\n                    class="icon spectrum-UIIcon-Checkmark100"\n                ></sp-icon-checkmark100>\n            '
    ]);
    _templateObject1$s = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$i() {
    var data = _tagged_template_literal$22([
        '\n                      <div id="sizer" class="input" aria-hidden="true">',
        "&#8203;\n                      </div>\n                  "
    ]);
    _templateObject2$i = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$e() {
    var data = _tagged_template_literal$22([
        "\n            ",
        "\n            <!-- @ts-ignore -->\n            <textarea\n                name=",
        "\n                aria-describedby=",
        "\n                aria-label=",
        "\n                aria-invalid=",
        '\n                class="input"\n                maxlength=',
        "\n                minlength=",
        "\n                title=",
        "\n                pattern=",
        "\n                placeholder=",
        "\n                .value=",
        "\n                @change=",
        "\n                @input=",
        "\n                @focus=",
        "\n                @blur=",
        "\n                ?disabled=",
        "\n                ?required=",
        "\n                ?readonly=",
        "\n                rows=",
        "\n                autocomplete=",
        "\n            ></textarea>\n        "
    ]);
    _templateObject3$e = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$c() {
    var data = _tagged_template_literal$22([
        "\n            <!-- @ts-ignore -->\n            <input\n                name=",
        "\n                type=",
        "\n                aria-describedby=",
        "\n                aria-label=",
        "\n                aria-invalid=",
        '\n                class="input"\n                title=',
        "\n                maxlength=",
        "\n                minlength=",
        "\n                pattern=",
        "\n                placeholder=",
        "\n                .value=",
        "\n                @change=",
        "\n                @input=",
        "\n                @pointerdown=",
        "\n                @focus=",
        "\n                @blur=",
        "\n                ?disabled=",
        "\n                ?required=",
        "\n                ?readonly=",
        "\n                autocomplete=",
        "\n            />\n        "
    ]);
    _templateObject4$c = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$9() {
    var data = _tagged_template_literal$22([
        "\n            ",
        "\n            ",
        "\n        "
    ]);
    _templateObject5$9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6$5() {
    var data = _tagged_template_literal$22([
        '\n            <div id="textfield">',
        "</div>\n            ",
        "\n        "
    ]);
    _templateObject6$5 = function _templateObject() {
        return data;
    };
    return data;
}
var c$j = Object.defineProperty;
var m$f = Object.getOwnPropertyDescriptor;
var t$j = function(p, a, e, n) {
    for(var r = n > 1 ? void 0 : n ? m$f(a, e) : a, u = p.length - 1, h; u >= 0; u--)(h = p[u]) && (r = (n ? h(a, e, r) : h(r)) || r);
    return n && r && c$j(a, e, r), r;
};
var S$1 = [
    "text",
    "url",
    "tel",
    "email",
    "password"
];
var TextfieldBase = /*#__PURE__*/ function(_g) {
    _inherits$1i(TextfieldBase, _g);
    var _super = _create_super$1i(TextfieldBase);
    function TextfieldBase() {
        _class_call_check$1s(this, TextfieldBase);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.allowedKeys = "";
        _this.focused = !1;
        _this.invalid = !1;
        _this.label = "";
        _this.placeholder = "";
        _this._type = "text";
        _this.grows = !1;
        _this.maxlength = -1;
        _this.minlength = -1;
        _this.multiline = !1;
        _this.readonly = !1;
        _this.rows = -1;
        _this.valid = !1;
        _this._value = "";
        _this.quiet = !1;
        _this.required = !1;
        return _this;
    }
    _create_class$1q(TextfieldBase, [
        {
            key: "type",
            get: function get() {
                var _this = this;
                var e;
                return (e = S$1.find(function(n) {
                    return n === _this._type;
                })) != null ? e : "text";
            },
            set: function set(e) {
                var n = this._type;
                this._type = e, this.requestUpdate("type", n);
            }
        },
        {
            key: "value",
            get: function get() {
                return this._value;
            },
            set: function set(e) {
                if (e === this.value) return;
                var n = this._value;
                this._value = e, this.requestUpdate("value", n);
            }
        },
        {
            key: "focusElement",
            get: function get() {
                return this.inputElement;
            }
        },
        {
            key: "setSelectionRange",
            value: function setSelectionRange(e, n) {
                var r = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : "none";
                this.inputElement.setSelectionRange(e, n, r);
            }
        },
        {
            key: "select",
            value: function select() {
                this.inputElement.select();
            }
        },
        {
            key: "handleInput",
            value: function handleInput(e) {
                if (this.allowedKeys && this.inputElement.value && !new RegExp("^[".concat(this.allowedKeys, "]*$"), "u").test(this.inputElement.value)) {
                    var u = this.inputElement.selectionStart - 1;
                    this.inputElement.value = this.value.toString(), this.inputElement.setSelectionRange(u, u);
                    return;
                }
                this.value = this.inputElement.value;
            }
        },
        {
            key: "handleChange",
            value: function handleChange() {
                this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0
                }));
            }
        },
        {
            key: "onFocus",
            value: function onFocus() {
                this.focused = !this.readonly && !0;
            }
        },
        {
            key: "onBlur",
            value: function onBlur(e) {
                this.focused = !this.readonly && !1;
            }
        },
        {
            key: "handleInputElementPointerdown",
            value: function handleInputElementPointerdown() {}
        },
        {
            key: "renderStateIcons",
            value: function renderStateIcons() {
                return this.invalid ? x$3(_templateObject$22()) : this.valid ? x$3(_templateObject1$s()) : E$2;
            }
        },
        {
            key: "displayValue",
            get: function get() {
                return this.value.toString();
            }
        },
        {
            key: "renderMultiline",
            get: function get() {
                return x$3(_templateObject3$e(), this.multiline && this.grows && this.rows === -1 ? x$3(_templateObject2$i(), this.value) : E$2, o$O(this.name || void 0), this.helpTextId, this.label || this.appliedLabel || this.placeholder, o$O(this.invalid || void 0), o$O(this.maxlength > -1 ? this.maxlength : void 0), o$O(this.minlength > -1 ? this.minlength : void 0), this.invalid ? "" : E$2, o$O(this.pattern), this.placeholder, this.displayValue, this.handleChange, this.handleInput, this.onFocus, this.onBlur, this.disabled, this.required, this.readonly, o$O(this.rows > -1 ? this.rows : void 0), o$O(this.autocomplete));
            }
        },
        {
            key: "renderInput",
            get: function get() {
                return x$3(_templateObject4$c(), o$O(this.name || void 0), this.type, this.helpTextId, this.label || this.appliedLabel || this.placeholder, o$O(this.invalid || void 0), this.invalid ? "" : E$2, o$O(this.maxlength > -1 ? this.maxlength : void 0), o$O(this.minlength > -1 ? this.minlength : void 0), o$O(this.pattern), this.placeholder, l$e(this.displayValue), this.handleChange, this.handleInput, this.handleInputElementPointerdown, this.onFocus, this.onBlur, this.disabled, this.required, this.readonly, o$O(this.autocomplete));
            }
        },
        {
            key: "renderField",
            value: function renderField() {
                return x$3(_templateObject5$9(), this.renderStateIcons(), this.multiline ? this.renderMultiline : this.renderInput);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject6$5(), this.renderField(), this.renderHelpText(this.invalid));
            }
        },
        {
            key: "update",
            value: function update(e) {
                var _this = this;
                (e.has("value") || e.has("required") && this.required) && this.updateComplete.then(function() {
                    _this.checkValidity();
                }), _get$I(_get_prototype_of$1i(TextfieldBase.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "checkValidity",
            value: function checkValidity() {
                var e = this.inputElement.checkValidity();
                return (this.required || this.value && this.pattern) && ((this.disabled || this.multiline) && this.pattern && (e = new RegExp("^".concat(this.pattern, "$"), "u").test(this.value.toString())), typeof this.minlength != "undefined" && (e = e && this.value.toString().length >= this.minlength), this.valid = e, this.invalid = !e), e;
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    $$1,
                    C$5
                ];
            }
        }
    ]);
    return TextfieldBase;
}(ManageHelpText(SizedMixin(Focusable, {
    noDefaultSize: !0
})));
t$j([
    r$A()
], TextfieldBase.prototype, "appliedLabel", 2), t$j([
    n$r({
        attribute: "allowed-keys"
    })
], TextfieldBase.prototype, "allowedKeys", 2), t$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TextfieldBase.prototype, "focused", 2), t$j([
    e$F(".input:not(#sizer)")
], TextfieldBase.prototype, "inputElement", 2), t$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TextfieldBase.prototype, "invalid", 2), t$j([
    n$r()
], TextfieldBase.prototype, "label", 2), t$j([
    n$r({
        type: String,
        reflect: !0
    })
], TextfieldBase.prototype, "name", 2), t$j([
    n$r()
], TextfieldBase.prototype, "placeholder", 2), t$j([
    r$A()
], TextfieldBase.prototype, "type", 1), t$j([
    n$r({
        attribute: "type",
        reflect: !0
    })
], TextfieldBase.prototype, "_type", 2), t$j([
    n$r()
], TextfieldBase.prototype, "pattern", 2), t$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TextfieldBase.prototype, "grows", 2), t$j([
    n$r({
        type: Number
    })
], TextfieldBase.prototype, "maxlength", 2), t$j([
    n$r({
        type: Number
    })
], TextfieldBase.prototype, "minlength", 2), t$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TextfieldBase.prototype, "multiline", 2), t$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TextfieldBase.prototype, "readonly", 2), t$j([
    n$r({
        type: Number
    })
], TextfieldBase.prototype, "rows", 2), t$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TextfieldBase.prototype, "valid", 2), t$j([
    n$r({
        type: String
    })
], TextfieldBase.prototype, "value", 1), t$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TextfieldBase.prototype, "quiet", 2), t$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TextfieldBase.prototype, "required", 2), t$j([
    n$r({
        type: String,
        reflect: !0
    })
], TextfieldBase.prototype, "autocomplete", 2);
var Textfield = /*#__PURE__*/ function(TextfieldBase) {
    _inherits$1i(Textfield, TextfieldBase);
    var _super = _create_super$1i(Textfield);
    function Textfield() {
        _class_call_check$1s(this, Textfield);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this._value = "";
        return _this;
    }
    _create_class$1q(Textfield, [
        {
            key: "value",
            get: function get() {
                return this._value;
            },
            set: function set(e) {
                if (e === this.value) return;
                var n = this._value;
                this._value = e, this.requestUpdate("value", n);
            }
        }
    ]);
    return Textfield;
}(TextfieldBase);
t$j([
    n$r({
        type: String
    })
], Textfield.prototype, "value", 1);

function _array_like_to_array$p(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$l(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$p(arr);
}
function _assert_this_initialized$1h(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1r(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1p(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1p(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1p(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1p(Constructor, staticProps);
    return Constructor;
}
function _get$H(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$H = Reflect.get;
    } else {
        _get$H = function get(target, property, receiver) {
            var base = _super_prop_base$H(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$H(target, property, receiver || target);
}
function _get_prototype_of$1h(o) {
    _get_prototype_of$1h = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1h(o);
}
function _inherits$1h(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1h(subClass, superClass);
}
function _iterable_to_array$l(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$l() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$1h(self, call) {
    if (call && (_type_of$1h(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1h(self);
}
function _set_prototype_of$1h(o, p) {
    _set_prototype_of$1h = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1h(o, p);
}
function _super_prop_base$H(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1h(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$21(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$l(arr) {
    return _array_without_holes$l(arr) || _iterable_to_array$l(arr) || _unsupported_iterable_to_array$p(arr) || _non_iterable_spread$l();
}
function _type_of$1h(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$p(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$p(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$p(o, minLen);
}
function _is_native_reflect_construct$1h() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1h(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1h();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1h(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1h(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1h(this, result);
    };
}
function _templateObject$21() {
    var data = _tagged_template_literal$21([
        '\n                  <sp-color-handle\n                      size="m"\n                      color="',
        '"\n                  ></sp-color-handle>\n              '
    ]);
    _templateObject$21 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$r() {
    var data = _tagged_template_literal$21([
        ""
    ]);
    _templateObject1$r = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$h() {
    var data = _tagged_template_literal$21([
        "\n            ",
        " ",
        "\n        "
    ]);
    _templateObject2$h = function _templateObject() {
        return data;
    };
    return data;
}
var h$e = Object.defineProperty;
var c$i = Object.getOwnPropertyDescriptor;
var u$r = function(l, i, e, t) {
    for(var r = t > 1 ? void 0 : t ? c$i(i, e) : i, o = l.length - 1, s; o >= 0; o--)(s = l[o]) && (r = (t ? s(i, e, r) : s(r)) || r);
    return t && r && h$e(i, e, r), r;
};
var ColorField = /*#__PURE__*/ function(p) {
    _inherits$1h(ColorField, p);
    var _super = _create_super$1h(ColorField);
    function ColorField() {
        _class_call_check$1r(this, ColorField);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.viewColor = !1;
        _this._value = "";
        _this.cachedColor = null;
        _this.cachedTinyColor = null;
        return _this;
    }
    _create_class$1p(ColorField, [
        {
            key: "value",
            get: function get() {
                return this._value;
            },
            set: function set(e) {
                if (e === this.value) return;
                var t = this._value;
                this._value = e, this.requestUpdate("value", t);
            }
        },
        {
            key: "getColorValue",
            value: function getColorValue() {
                if (!this.value) return "";
                if (!this.cachedColor || this.cachedColor !== this.value) {
                    var e = new TinyColor(this.value);
                    this.cachedColor = e.isValid ? e.toRgbString() : "";
                }
                return this.cachedColor;
            }
        },
        {
            key: "renderColorHandle",
            value: function renderColorHandle() {
                return this.viewColor ? x$3(_templateObject$21(), this.getColorValue()) : x$3(_templateObject1$r());
            }
        },
        {
            key: "render",
            value: function render() {
                return this.viewColor && Promise.resolve().then(function () { return spColorHandle; }), x$3(_templateObject2$h(), _get$H(_get_prototype_of$1h(ColorField.prototype), "render", this).call(this), this.renderColorHandle());
            }
        },
        {
            key: "checkValidity",
            value: function checkValidity() {
                var e = _get$H(_get_prototype_of$1h(ColorField.prototype), "checkValidity", this).call(this);
                return this.value && ((!this.cachedTinyColor || this.cachedTinyColor.originalInput !== this.value) && (this.cachedTinyColor = new TinyColor(this.value)), this.valid = e = this.cachedTinyColor.isValid, this.invalid = !e), e;
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$l(_get$H(_get_prototype_of$1h(ColorField), "styles", this));
            }
        }
    ]);
    return ColorField;
}(TextfieldBase);
u$r([
    n$r({
        type: Boolean,
        attribute: "view-color"
    })
], ColorField.prototype, "viewColor", 2);

customElements.define("sp-color-field", ColorField);

function _tagged_template_literal$20(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$20() {
    var data = _tagged_template_literal$20([
        "\n    :host{--spectrum-colorwheel-width:var(--spectrum-color-wheel-width);--spectrum-colorwheel-min-width:var(--spectrum-color-wheel-minimum-width);--spectrum-colorwheel-height:var(--spectrum-color-wheel-width);--spectrum-colorwheel-border-color:var(--spectrum-transparent-black-200);--spectrum-colorwheel-border-width:var(--spectrum-border-width-100);--spectrum-colorwheel-fill-color-disabled:var(--spectrum-disabled-background-color);--spectrum-colorwheel-track-width:var(--spectrum-color-control-track-width);--spectrum-colorwheel-colorarea-margin:var(--spectrum-color-wheel-color-area-margin);--spectrum-colorwheel-colorhandle-position:calc(var(--spectrum-colorwheel-width)/2 - var(--spectrum-colorwheel-track-width)/2)}@media (forced-colors:active){:host{--highcontrast-colorwheel-border-color-disabled:GrayText;--highcontrast-colorwheel-fill-color-disabled:Canvas;forced-color-adjust:none}}:host{min-inline-size:var(--mod-colorwheel-min-width,var(--spectrum-colorwheel-min-width));inline-size:var(--mod-colorwheel-width,var(--spectrum-colorwheel-width));block-size:var(--mod-colorwheel-height,var(--spectrum-colorwheel-height));-webkit-user-select:none;user-select:none;cursor:default;--track-width:var(--mod-colorwheel-track-width,var(--spectrum-colorwheel-track-width));--border-width:var(--mod-colorwheel-border-width,var(--spectrum-colorwheel-border-width));display:block;position:relative}:host([focused]){z-index:1}:host([disabled]){pointer-events:none}:host([dragged]){z-index:1}.inner{inline-size:var(--mod-colorwheel-colorarea-container-size,var(--spectrum-colorwheel-colorarea-container-size));block-size:var(--mod-colorwheel-colorarea-container-size,var(--spectrum-colorwheel-colorarea-container-size));margin:auto;display:flex;position:absolute;inset-block:0;inset-inline:0}.colorarea-container{margin:var(--mod-colorwheel-colorarea-margin,var(--spectrum-colorwheel-colorarea-margin));justify-content:center;align-items:center;block-size:auto;inline-size:100%;display:flex}.slider{opacity:0;z-index:0;pointer-events:none;block-size:100%;inline-size:100%;margin:0;position:absolute;inset-block-start:0;inset-inline-start:0}.handle{transform:translate(var(--spectrum-colorwheel-colorhandle-position));inset-block-start:50%;inset-inline:50%}.border{background-color:var(--mod-colorwheel-border-color,var(--spectrum-colorwheel-border-color));inline-size:var(--mod-colorwheel-width,var(--spectrum-colorwheel-width));block-size:var(--mod-colorwheel-height,var(--spectrum-colorwheel-height));clip-path:path(evenodd,var(--mod-colorwheel-path-borders,var(--spectrum-colorwheel-path-borders)));position:relative}:host([disabled]) .border{background-color:var(--highcontrast-colorwheel-border-color-disabled,var(--mod-colorwheel-fill-color-disabled,var(--spectrum-colorwheel-fill-color-disabled)))}.wheel{inset-block:var(--spectrum-colorwheel-border-width);inset-inline:var(--spectrum-colorwheel-border-width);clip-path:path(evenodd,var(--mod-colorwheel-path,var(--spectrum-colorwheel-path)));background:conic-gradient(from 90deg,red,#ff8000,#ff0,#80ff00,#0f0,#00ff80,#0ff,#0080ff,#00f,#8000ff,#f0f,#ff0080,red);position:absolute}:host([disabled]) .wheel{pointer-events:none;background:var(--highcontrast-colorwheel-fill-color-disabled,var(--mod-colorwheel-fill-color-disabled,var(--spectrum-colorwheel-fill-color-disabled)))}:host{touch-action:none}:host(:focus){outline:none}::slotted([slot=gradient]){border-color:var(--mod-colorwheel-border-color,var(--spectrum-colorwheel-border-color));border-style:solid;border-width:var(--border-width);box-sizing:border-box;block-size:var(--mod-colorwheel-height,var(--spectrum-colorwheel-height));inline-size:var(--mod-colorwheel-width,var(--spectrum-colorwheel-width));z-index:0;border-radius:100%;position:relative}:host([dir=rtl]) .wheel,:host([dir=rtl]) ::slotted([slot=gradient]){transform:scaleX(-1)}\n"
    ]);
    _templateObject$20 = function _templateObject() {
        return data;
    };
    return data;
}
var o$p = i$p(_templateObject$20());
var M$1 = o$p;

function _assert_this_initialized$1g(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1q(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1o(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1o(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1o(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1o(Constructor, staticProps);
    return Constructor;
}
function _define_property$b(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _get$G(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$G = Reflect.get;
    } else {
        _get$G = function get(target, property, receiver) {
            var base = _super_prop_base$G(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$G(target, property, receiver || target);
}
function _get_prototype_of$1g(o) {
    _get_prototype_of$1g = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1g(o);
}
function _inherits$1g(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1g(subClass, superClass);
}
function _object_spread$9(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$b(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$7(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$7(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$7(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _possible_constructor_return$1g(self, call) {
    if (call && (_type_of$1g(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1g(self);
}
function _set_prototype_of$1g(o, p) {
    _set_prototype_of$1g = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1g(o, p);
}
function _super_prop_base$G(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1g(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1$(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1g(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1g() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1g(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1g();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1g(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1g(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1g(this, result);
    };
}
function _templateObject$1$() {
    var data = _tagged_template_literal$1$([
        '\n            <slot\n                name="gradient"\n                @pointerdown=',
        '\n                style="\n                    --spectrum-colorwheel-colorarea-container-size: ',
        "px;\n                    --spectrum-colorwheel-height: ",
        "px;\n                    --spectrum-colorwheel-width: ",
        "px;\n                    --spectrum-colorwheel-path-borders: ",
        ";\n                    --spectrum-colorwheel-path: ",
        ';\n                "\n            >\n                <div class="inner">\n                    <div class="colorarea-container"></div>\n                </div>\n                <div class="border">\n                    <div class="wheel"></div>\n                </div>\n            </slot>\n\n            <sp-color-handle\n                tabindex=',
        "\n                @focus=",
        "\n                ?focused=",
        '\n                class="handle"\n                color="hsl(',
        ', 100%, 50%)"\n                ?disabled=',
        "\n                style=",
        "\n                ",
        '\n            ></sp-color-handle>\n\n            <input\n                type="range"\n                class="slider"\n                aria-label=',
        '\n                min="0"\n                max="360"\n                step=',
        "\n                .value=",
        "\n                aria-valuetext=",
        "\n                @input=",
        "\n                @change=",
        "\n                @keydown=",
        "\n            />\n        "
    ]);
    _templateObject$1$ = function _templateObject() {
        return data;
    };
    return data;
}
var y$c = Object.defineProperty;
var C$4 = Object.getOwnPropertyDescriptor;
var n$e = function(v, c, e, i) {
    for(var t = i > 1 ? void 0 : i ? C$4(c, e) : c, o = v.length - 1, r; o >= 0; o--)(r = v[o]) && (t = (i ? r(c, e, t) : r(t)) || t);
    return i && t && y$c(c, e, t), t;
};
var ColorWheel = /*#__PURE__*/ function(S) {
    _inherits$1g(ColorWheel, S);
    var _super = _create_super$1g(ColorWheel);
    function ColorWheel() {
        _class_call_check$1q(this, ColorWheel);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.disabled = !1;
        _this.focused = !1;
        _this.label = "hue";
        _this.step = 1;
        _this.languageResolver = new LanguageResolutionController(_assert_this_initialized$1g(_this));
        _this.colorController = new ColorController(_assert_this_initialized$1g(_this), {
            applyColorToState: function() {},
            extractColorFromState: function(e) {
                return _object_spread_props$7(_object_spread$9({}, e.getColor("hsl")), {
                    h: _this.value
                });
            },
            maintains: "saturation"
        });
        _this._altered = 0;
        _this._pointerDown = !1;
        return _this;
    }
    _create_class$1o(ColorWheel, [
        {
            key: "value",
            get: function get() {
                return this.colorController.hue;
            },
            set: function set(e) {
                this.colorController.hue = e;
            }
        },
        {
            key: "color",
            get: function get() {
                return this.colorController.color;
            },
            set: function set(e) {
                this.colorController.color = e;
            }
        },
        {
            key: "altered",
            get: function get() {
                return this._altered;
            },
            set: function set(e) {
                this._altered = e, this.step = Math.max(1, this.altered * 10);
            }
        },
        {
            key: "focusElement",
            get: function get() {
                return this.input;
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                var i = e.key;
                this.focused = !0, this.altered = [
                    e.shiftKey,
                    e.ctrlKey,
                    e.altKey
                ].filter(function(r) {
                    return !!r;
                }).length;
                var t = 0;
                switch(i){
                    case "ArrowUp":
                        t = this.step;
                        break;
                    case "ArrowDown":
                        t = -this.step;
                        break;
                    case "ArrowLeft":
                        t = this.step * (this.isLTR ? -1 : 1);
                        break;
                    case "ArrowRight":
                        t = this.step * (this.isLTR ? 1 : -1);
                        break;
                    default:
                        return;
                }
                e.preventDefault(), this.value = (360 + this.value + t) % 360, this.colorController.savePreviousColor(), this.colorController.applyColorFromState(), this.dispatchEvent(new Event("input", {
                    bubbles: !0,
                    composed: !0
                })), this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                })) || this.colorController.restorePreviousColor();
            }
        },
        {
            key: "handleInput",
            value: function handleInput(e) {
                var _e_target = e.target, i = _e_target.valueAsNumber;
                this.value = i, this.colorController.applyColorFromState();
            }
        },
        {
            key: "handleChange",
            value: function handleChange(e) {
                this.handleInput(e), this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0
                }));
            }
        },
        {
            key: "focus",
            value: function focus() {
                var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
                _get$G(_get_prototype_of$1g(ColorWheel.prototype), "focus", this).call(this, e), this.forwardFocus();
            }
        },
        {
            key: "forwardFocus",
            value: function forwardFocus() {
                this.focused = this.hasVisibleFocusInTree(), this.input.focus();
            }
        },
        {
            key: "handleFocus",
            value: function handleFocus() {
                this.focused = !0;
            }
        },
        {
            key: "handleBlur",
            value: function handleBlur() {
                this._pointerDown || (this.altered = 0, this.focused = !1);
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown(e) {
                if (e.button !== 0) {
                    e.preventDefault();
                    return;
                }
                this._pointerDown = !0, this.colorController.savePreviousColor(), this.boundingClientRect = this.getBoundingClientRect(), e.target.setPointerCapture(e.pointerId), e.pointerType === "mouse" && (this.focused = !0);
            }
        },
        {
            key: "handlePointermove",
            value: function handlePointermove(e) {
                this.value = this.calculateHandlePosition(e), this.colorController.applyColorFromState(), this.dispatchEvent(new Event("input", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                }));
            }
        },
        {
            key: "handlePointerup",
            value: function handlePointerup(e) {
                this._pointerDown = !1, e.target.releasePointerCapture(e.pointerId), this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                })) || this.colorController.restorePreviousColor(), this.focus(), e.pointerType === "mouse" && (this.focused = !1);
            }
        },
        {
            key: "calculateHandlePosition",
            value: function calculateHandlePosition(e) {
                if (!this.boundingClientRect) return this.value;
                var i = this.boundingClientRect, t = i.width, o = i.height, r = i.left, h = i.top, s = r + t / 2, a = h + o / 2, d = e.clientX - s, l = e.clientY - a, p = Math.atan2(l, d) * 180 / Math.PI;
                return (360 + (360 + (this.isLTR ? p : 180 - p))) % 360;
            }
        },
        {
            key: "handleGradientPointerdown",
            value: function handleGradientPointerdown(e) {
                if (e.button !== 0 || e.target.classList.contains("innerCircle")) return;
                e.stopPropagation(), e.preventDefault();
                var i = e.button, t = e.pointerId, o = e.pointerType;
                this.handle.dispatchEvent(new PointerEvent("pointerdown", {
                    button: i,
                    pointerId: t,
                    pointerType: o
                })), this.handlePointermove(e);
            }
        },
        {
            key: "calculateStyleData",
            value: function calculateStyleData() {
                var _ref = this.boundingClientRect || {}, tmp = _ref.width, e = tmp === void 0 ? 160 : tmp, i = getComputedStyle(this), t = parseFloat(i.getPropertyValue("--border-width")), o = parseFloat(i.getPropertyValue("--track-width")), r = e / 2, h = e - t * 2, s = r - t, a = r - o, d = a * 2, l = a + t, p = d + t * 2, m = '"M '.concat(r, " ").concat(r, " m -").concat(r, " 0 a ").concat(r, " ").concat(r, " 0 1 0 ").concat(e, " 0 a ").concat(r, " ").concat(r, " 0 1 0 -").concat(e, " 0 M ").concat(r, " ").concat(r, " m -").concat(a, " 0 a ").concat(a, " ").concat(a, " 0 1 0 ").concat(d, " 0 a ").concat(a, " ").concat(a, " 0 1 0 -").concat(d, ' 0"'), f = '"M '.concat(s, " ").concat(s, " m -").concat(s, " 0 a ").concat(s, " ").concat(s, " 0 1 0 ").concat(h, " 0 a ").concat(s, " ").concat(s, " 0 1 0 -").concat(h, " 0 M ").concat(s, " ").concat(s, " m -").concat(l, " 0 a ").concat(l, " ").concat(l, " 0 1 0 ").concat(p, " 0 a ").concat(l, " ").concat(l, " 0 1 0 -").concat(p, ' 0"'), g = (this.isLTR ? 1 : -1) * (r - o / 2) * Math.cos(this.value * Math.PI / 180), $ = (r - o / 2) * Math.sin(this.value * Math.PI / 180), w = "transform: translate(".concat(g, "px, ").concat($, "px);");
                return {
                    clipPath: f,
                    clipPathBorders: m,
                    diameter: e,
                    handleLocationStyles: w
                };
            }
        },
        {
            key: "render",
            value: function render() {
                var _this_calculateStyleData = this.calculateStyleData(), e = _this_calculateStyleData.clipPath, i = _this_calculateStyleData.clipPathBorders, t = _this_calculateStyleData.diameter, o = _this_calculateStyleData.handleLocationStyles;
                return x$3(_templateObject$1$(), this.handleGradientPointerdown, t, t, t, i, e, o$O(this.focused ? void 0 : "0"), this.forwardFocus, this.focused, this.value, this.disabled, o, streamingListener({
                    start: [
                        "pointerdown",
                        this.handlePointerdown
                    ],
                    streamInside: [
                        "pointermove",
                        this.handlePointermove
                    ],
                    end: [
                        [
                            "pointerup",
                            "pointercancel",
                            "pointerleave"
                        ],
                        this.handlePointerup
                    ]
                }), this.label, this.step, String(this.value), "".concat(new Intl.NumberFormat(this.languageResolver.language, {
                    maximumFractionDigits: 0,
                    minimumIntegerDigits: 1,
                    style: "unit",
                    unit: "degree",
                    unitDisplay: "narrow"
                }).format(this.value)), this.handleInput, this.handleChange, this.handleKeydown);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$G(_get_prototype_of$1g(ColorWheel.prototype), "firstUpdated", this).call(this, e), this.boundingClientRect = this.getBoundingClientRect(), this.addEventListener("focus", this.handleFocus), this.addEventListener("blur", this.handleBlur);
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                var _this = this;
                var e;
                _get$G(_get_prototype_of$1g(ColorWheel.prototype), "connectedCallback", this).call(this), !this.observer && window.ResizeObserver && (this.observer = new window.ResizeObserver(function(i) {
                    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                    try {
                        for(var _iterator = i[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                            var t = _step.value;
                            _this.boundingClientRect = t.contentRect;
                        }
                    } catch (err) {
                        _didIteratorError = true;
                        _iteratorError = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion && _iterator.return != null) {
                                _iterator.return();
                            }
                        } finally{
                            if (_didIteratorError) {
                                throw _iteratorError;
                            }
                        }
                    }
                    _this.requestUpdate();
                })), (e = this.observer) == null || e.observe(this);
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                var e;
                (e = this.observer) == null || e.unobserve(this), _get$G(_get_prototype_of$1g(ColorWheel.prototype), "disconnectedCallback", this).call(this);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    M$1
                ];
            }
        }
    ]);
    return ColorWheel;
}(Focusable);
n$e([
    n$r({
        type: String,
        reflect: !0
    })
], ColorWheel.prototype, "dir", 2), n$e([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorWheel.prototype, "disabled", 2), n$e([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ColorWheel.prototype, "focused", 2), n$e([
    e$F(".handle")
], ColorWheel.prototype, "handle", 2), n$e([
    n$r({
        type: String
    })
], ColorWheel.prototype, "label", 2), n$e([
    n$r({
        type: Number
    })
], ColorWheel.prototype, "step", 2), n$e([
    n$r({
        type: Number
    })
], ColorWheel.prototype, "value", 1), n$e([
    n$r({
        type: String
    })
], ColorWheel.prototype, "color", 1), n$e([
    e$F("input")
], ColorWheel.prototype, "input", 2);

defineElement("sp-color-wheel", ColorWheel);

function T$1(o, i) {
    var l = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : [];
    for(var e = 0; e < i.length; ++e){
        var n = i[e], r = o[e], t = r.parentElement || r.getRootNode();
        l[e] && l[e](n), t && t !== r && t.replaceChild(n, r), delete o[e];
    }
    return i;
}
var reparentChildren = function(o, i) {
    var _ref = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {
        position: "beforeend"
    }, l = _ref.position, e = _ref.prepareCallback;
    var n = o.length;
    if (n === 0) return function() {
        return o;
    };
    var r = 1, t = 0;
    (l === "afterbegin" || l === "afterend") && (r = -1, t = n - 1);
    var a = new Array(n), c = new Array(n), p = document.createComment("placeholder for reparented element");
    do {
        var d = o[t];
        e && (c[t] = e(d)), a[t] = p.cloneNode();
        var m = d.parentElement || d.getRootNode();
        m && m !== d && m.replaceChild(a[t], d), i.insertAdjacentElement(l, d), t += r;
    }while (--n > 0);
    return function reparentChildren() {
        return T$1(a, o, c);
    };
};

function asyncGeneratorStep$v(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$v(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$v(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$v(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$1p(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1n(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1n(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1n(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1n(Constructor, staticProps);
    return Constructor;
}
function _ts_generator$v(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
var OverlayTimer = /*#__PURE__*/ function() {
    function OverlayTimer() {
        var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
        _class_call_check$1p(this, OverlayTimer);
        this.warmUpDelay = 1e3;
        this.coolDownDelay = 1e3;
        this.isWarm = !1;
        this.timeout = 0;
        Object.assign(this, e);
    }
    _create_class$1n(OverlayTimer, [
        {
            key: "openTimer",
            value: function openTimer(e) {
                var _this = this;
                return _async_to_generator$v(function() {
                    return _ts_generator$v(this, function(_state) {
                        if (_this.cancelCooldownTimer(), !_this.component || e !== _this.component) return [
                            2,
                            (_this.component && (_this.close(_this.component), _this.cancelCooldownTimer()), _this.component = e, _this.isWarm ? !1 : (_this.promise = new Promise(function(o) {
                                _this.resolve = o, _this.timeout = window.setTimeout(function() {
                                    _this.resolve && (_this.resolve(!1), _this.isWarm = !0);
                                }, _this.warmUpDelay);
                            }), _this.promise))
                        ];
                        if (_this.promise) return [
                            2,
                            _this.promise
                        ];
                        throw new Error("Inconsistent state");
                    });
                })();
            }
        },
        {
            key: "close",
            value: function close(e) {
                this.component && this.component === e && (this.resetCooldownTimer(), this.timeout > 0 && (clearTimeout(this.timeout), this.timeout = 0), this.resolve && (this.resolve(!0), delete this.resolve), delete this.promise, delete this.component);
            }
        },
        {
            key: "resetCooldownTimer",
            value: function resetCooldownTimer() {
                var _this = this;
                this.isWarm && (this.cooldownTimeout && window.clearTimeout(this.cooldownTimeout), this.cooldownTimeout = window.setTimeout(function() {
                    _this.isWarm = !1, delete _this.cooldownTimeout;
                }, this.coolDownDelay));
            }
        },
        {
            key: "cancelCooldownTimer",
            value: function cancelCooldownTimer() {
                this.cooldownTimeout && window.clearTimeout(this.cooldownTimeout), delete this.cooldownTimeout;
            }
        }
    ]);
    return OverlayTimer;
} 
();

function _assert_this_initialized$1f(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$u(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$u(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$u(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$u(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$1o(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1m(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1m(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1m(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1m(Constructor, staticProps);
    return Constructor;
}
function _define_property$a(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _get_prototype_of$1f(o) {
    _get_prototype_of$1f = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1f(o);
}
function _inherits$1f(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1f(subClass, superClass);
}
function _object_spread$8(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$a(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$6(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$6(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$6(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _possible_constructor_return$1f(self, call) {
    if (call && (_type_of$1f(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1f(self);
}
function _set_prototype_of$1f(o, p) {
    _set_prototype_of$1f = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1f(o, p);
}
function _type_of$1f(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1f() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1f(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1f();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1f(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1f(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1f(this, result);
    };
}
function _ts_generator$u(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
var overlayTimer = new OverlayTimer, noop = function() {}, guaranteedAllTransitionend = function(i, v, e) {
    var r = new AbortController, n = new Map, a = function() {
        r.abort(), e();
    };
    var m, l;
    var t = requestAnimationFrame(function() {
        m = requestAnimationFrame(function() {
            l = requestAnimationFrame(function() {
                a();
            });
        });
    }), p = function(o) {
        o.target === i && (n.set(o.propertyName, n.get(o.propertyName) - 1), n.get(o.propertyName) || n.delete(o.propertyName), n.size === 0 && a());
    }, d = function(o) {
        o.target === i && (n.has(o.propertyName) || n.set(o.propertyName, 0), n.set(o.propertyName, n.get(o.propertyName) + 1), cancelAnimationFrame(t), cancelAnimationFrame(m), cancelAnimationFrame(l));
    };
    i.addEventListener("transitionrun", d, {
        signal: r.signal
    }), i.addEventListener("transitionend", p, {
        signal: r.signal
    }), i.addEventListener("transitioncancel", p, {
        signal: r.signal
    }), v();
};
function nextFrame() {
    return new Promise(function(i) {
        return requestAnimationFrame(function() {
            return i();
        });
    });
}
var AbstractOverlay = /*#__PURE__*/ function(g) {
    _inherits$1f(AbstractOverlay, g);
    var _super = _create_super$1f(AbstractOverlay);
    function AbstractOverlay() {
        _class_call_check$1o(this, AbstractOverlay);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.dispose = noop;
        _this.offset = 0;
        _this.willPreventClose = !1;
        return _this;
    }
    _create_class$1m(AbstractOverlay, [
        {
            key: "applyFocus",
            value: function applyFocus(e, r) {
                return _async_to_generator$u(function() {
                    return _ts_generator$u(this, function(_state) {
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "delayed",
            get: function get() {
                return !1;
            },
            set: function set(e) {}
        },
        {
            key: "disabled",
            get: function get() {
                return !1;
            },
            set: function set(e) {}
        },
        {
            key: "elementResolver",
            get: function get() {
                return this._elementResolver;
            },
            set: function set(e) {
                this._elementResolver = e;
            }
        },
        {
            key: "ensureOnDOM",
            value: function ensureOnDOM(e) {
                return _async_to_generator$u(function() {
                    return _ts_generator$u(this, function(_state) {
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "makeTransition",
            value: function makeTransition(e) {
                return _async_to_generator$u(function() {
                    return _ts_generator$u(this, function(_state) {
                        return [
                            2,
                            null
                        ];
                    });
                })();
            }
        },
        {
            key: "manageDelay",
            value: function manageDelay(e) {
                return _async_to_generator$u(function() {
                    return _ts_generator$u(this, function(_state) {
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "manageDialogOpen",
            value: function manageDialogOpen() {
                return _async_to_generator$u(function() {
                    return _ts_generator$u(this, function(_state) {
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "managePopoverOpen",
            value: function managePopoverOpen() {
                return _async_to_generator$u(function() {
                    return _ts_generator$u(this, function(_state) {
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "managePosition",
            value: function managePosition() {}
        },
        {
            key: "open",
            get: function get() {
                return !1;
            },
            set: function set(e) {}
        },
        {
            key: "placementController",
            get: function get() {
                return this._placementController;
            },
            set: function set(e) {
                this._placementController = e;
            }
        },
        {
            key: "requestSlottable",
            value: function requestSlottable() {}
        },
        {
            key: "returnFocus",
            value: function returnFocus() {}
        },
        {
            key: "state",
            get: function get() {
                return "closed";
            },
            set: function set(e) {}
        },
        {
            key: "manuallyKeepOpen",
            value: function manuallyKeepOpen() {}
        }
    ], [
        {
            key: "update",
            value: function update() {
                var e = new CustomEvent("sp-update-overlays", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                });
                document.dispatchEvent(e);
            }
        },
        {
            key: "open",
            value: function open(e, r, n, a) {
                var _this = this, _arguments = arguments;
                return _async_to_generator$u(function() {
                    var m, l, t, p, d, s, c, u, y;
                    return _ts_generator$u(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    Promise.resolve().then(function () { return spOverlay; })
                                ];
                            case 1:
                                _state.sent();
                                m = _arguments.length === 2, l = n || e, t = new _this;
                                p = !1;
                                t.dispose = function() {
                                    t.addEventListener("sp-closed", function() {
                                        p || (d(), p = !0), requestAnimationFrame(function() {
                                            t.remove();
                                        });
                                    }), t.open = !1, t.dispose = noop;
                                };
                                d = reparentChildren([
                                    l
                                ], t, {
                                    position: "beforeend",
                                    prepareCallback: function(s) {
                                        var c = s.slot;
                                        return s.removeAttribute("slot"), function() {
                                            s.slot = c;
                                        };
                                    }
                                });
                                if (!(!m && l && a)) return [
                                    3,
                                    3
                                ];
                                s = e, c = r, u = a;
                                AbstractOverlay.applyOptions(t, _object_spread_props$6(_object_spread$8({}, u), {
                                    delayed: u.delayed || l.hasAttribute("delayed"),
                                    trigger: u.virtualTrigger || s,
                                    type: c === "modal" ? "modal" : c === "hover" ? "hint" : "auto"
                                })), s.insertAdjacentElement("afterend", t);
                                return [
                                    4,
                                    t.updateComplete
                                ];
                            case 2:
                                return [
                                    2,
                                    (_state.sent(), t.open = !0, t.dispose)
                                ];
                            case 3:
                                y = r;
                                return [
                                    2,
                                    (t.append(l), AbstractOverlay.applyOptions(t, _object_spread_props$6(_object_spread$8({}, y), {
                                        delayed: y.delayed || l.hasAttribute("delayed")
                                    })), t.updateComplete.then(function() {
                                        t.open = !0;
                                    }), t)
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "applyOptions",
            value: function applyOptions(e, r) {
                var n, a;
                e.delayed = !!r.delayed, e.receivesFocus = (n = r.receivesFocus) != null ? n : "auto", e.triggerElement = r.trigger || null, e.type = r.type || "modal", e.offset = (a = r.offset) != null ? a : 0, e.placement = r.placement, e.willPreventClose = !!r.notImmediatelyClosable;
            }
        }
    ]);
    return AbstractOverlay;
} 
(SpectrumElement);

var e$t = [
    "button",
    "[focusable]",
    "[href]",
    "input",
    "label",
    "select",
    "textarea",
    "[tabindex]"
], o$o = ':not([tabindex="-1"])';
var userFocusableSelector = e$t.join("".concat(o$o, ", ")) + o$o, focusableSelector = e$t.join(", ");

var firstFocusableIn = function(e) {
    return e.querySelector(userFocusableSelector);
}, firstFocusableSlottedIn = function(e) {
    return e.assignedElements().find(function(o) {
        return o.matches(userFocusableSelector);
    });
};

function _class_call_check$1n(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1l(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1l(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1l(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1l(Constructor, staticProps);
    return Constructor;
}
var VirtualTrigger = /*#__PURE__*/ function() {
    function VirtualTrigger(t, i) {
        _class_call_check$1n(this, VirtualTrigger);
        this.x = 0;
        this.y = 0;
        this.x = t, this.y = i;
    }
    _create_class$1l(VirtualTrigger, [
        {
            key: "updateBoundingClientRect",
            value: function updateBoundingClientRect(t, i) {
                this.x = t, this.y = i, AbstractOverlay.update();
            }
        },
        {
            key: "getBoundingClientRect",
            value: function getBoundingClientRect() {
                return {
                    width: 0,
                    height: 0,
                    top: this.y,
                    right: this.x,
                    y: this.y,
                    x: this.x,
                    bottom: this.y,
                    left: this.x,
                    toJSON: function toJSON() {}
                };
            }
        }
    ]);
    return VirtualTrigger;
} 
();

function _assert_this_initialized$1e(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1m(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _construct$4(Parent, args, Class) {
    if (_is_native_reflect_construct$1e()) {
        _construct$4 = Reflect.construct;
    } else {
        _construct$4 = function construct(Parent, args, Class) {
            var a = [
                null
            ];
            a.push.apply(a, args);
            var Constructor = Function.bind.apply(Parent, a);
            var instance = new Constructor();
            if (Class) _set_prototype_of$1e(instance, Class.prototype);
            return instance;
        };
    }
    return _construct$4.apply(null, arguments);
}
function _get_prototype_of$1e(o) {
    _get_prototype_of$1e = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1e(o);
}
function _inherits$1e(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1e(subClass, superClass);
}
function _is_native_function$4(fn) {
    return Function.toString.call(fn).indexOf("[native code]") !== -1;
}
function _possible_constructor_return$1e(self, call) {
    if (call && (_type_of$1e(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1e(self);
}
function _set_prototype_of$1e(o, p) {
    _set_prototype_of$1e = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1e(o, p);
}
function _type_of$1e(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _wrap_native_super$4(Class) {
    var _cache = typeof Map === "function" ? new Map() : undefined;
    _wrap_native_super$4 = function wrapNativeSuper(Class) {
        if (Class === null || !_is_native_function$4(Class)) return Class;
        if (typeof Class !== "function") {
            throw new TypeError("Super expression must either be null or a function");
        }
        if (typeof _cache !== "undefined") {
            if (_cache.has(Class)) return _cache.get(Class);
            _cache.set(Class, Wrapper);
        }
        function Wrapper() {
            return _construct$4(Class, arguments, _get_prototype_of$1e(this).constructor);
        }
        Wrapper.prototype = Object.create(Class.prototype, {
            constructor: {
                value: Wrapper,
                enumerable: false,
                writable: true,
                configurable: true
            }
        });
        return _set_prototype_of$1e(Wrapper, Class);
    };
    return _wrap_native_super$4(Class);
}
function _is_native_reflect_construct$1e() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1e(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1e();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1e(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1e(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1e(this, result);
    };
}
var BeforetoggleClosedEvent = /*#__PURE__*/ function(Event1) {
    _inherits$1e(BeforetoggleClosedEvent, Event1);
    var _super = _create_super$1e(BeforetoggleClosedEvent);
    function BeforetoggleClosedEvent() {
        _class_call_check$1m(this, BeforetoggleClosedEvent);
        var _this;
        _this = _super.call(this, "beforetoggle", {
            bubbles: !1,
            composed: !1
        });
        _this.currentState = "open";
        _this.newState = "closed";
        return _this;
    }
    return BeforetoggleClosedEvent;
}(_wrap_native_super$4(Event));
var BeforetoggleOpenEvent = /*#__PURE__*/ function(Event1) {
    _inherits$1e(BeforetoggleOpenEvent, Event1);
    var _super = _create_super$1e(BeforetoggleOpenEvent);
    function BeforetoggleOpenEvent() {
        _class_call_check$1m(this, BeforetoggleOpenEvent);
        var _this;
        _this = _super.call(this, "beforetoggle", {
            bubbles: !1,
            composed: !1
        });
        _this.currentState = "closed";
        _this.newState = "open";
        return _this;
    }
    return BeforetoggleOpenEvent;
}(_wrap_native_super$4(Event));
var OverlayStateEvent = /*#__PURE__*/ function(Event1) {
    _inherits$1e(OverlayStateEvent, Event1);
    var _super = _create_super$1e(OverlayStateEvent);
    function OverlayStateEvent(r, l, param) {
        var o = param.publish, s = param.interaction, n = param.reason;
        _class_call_check$1m(this, OverlayStateEvent);
        var _this;
        _this = _super.call(this, r, {
            bubbles: o,
            composed: o
        });
        _this.overlay = l;
        _this.detail = {
            interaction: s,
            reason: n
        };
        return _this;
    }
    return OverlayStateEvent;
} 
(_wrap_native_super$4(Event));

var getLabelFromSlot = function(r, l) {
    if (r) return null;
    var t = l.assignedNodes().reduce(function(e, n) {
        return n.textContent ? e + n.textContent : e;
    }, "");
    return t ? t.trim() : null;
};

function _assert_this_initialized$1d(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$t(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$t(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$t(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$t(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$1l(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1k(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1k(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1k(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1k(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1d(o) {
    _get_prototype_of$1d = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1d(o);
}
function _inherits$1d(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1d(subClass, superClass);
}
function _instanceof$d(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _possible_constructor_return$1d(self, call) {
    if (call && (_type_of$1d(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1d(self);
}
function _set_prototype_of$1d(o, p) {
    _set_prototype_of$1d = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1d(o, p);
}
function _type_of$1d(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1d() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1d(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1d();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1d(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1d(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1d(this, result);
    };
}
function _ts_generator$t(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function OverlayDialog(h) {
    var p = /*#__PURE__*/ function(h) {
        _inherits$1d(p, h);
        var _super = _create_super$1d(p);
        function p() {
            _class_call_check$1l(this, p);
            return _super.apply(this, arguments);
        }
        _create_class$1k(p, [
            {
                key: "manageDialogOpen",
                value: function manageDialogOpen() {
                    var _this = this;
                    return _async_to_generator$t(function() {
                        var e, i, _tmp;
                        return _ts_generator$t(this, function(_state) {
                            switch(_state.label){
                                case 0:
                                    e = _this.open;
                                    return [
                                        4,
                                        _this.managePosition()
                                    ];
                                case 1:
                                    if (_state.sent(), _this.open !== e) return [
                                        2
                                    ];
                                    return [
                                        4,
                                        _this.dialogMakeTransition(e)
                                    ];
                                case 2:
                                    i = _state.sent();
                                    _tmp = _this.open === e;
                                    if (!_tmp) return [
                                        3,
                                        4
                                    ];
                                    return [
                                        4,
                                        _this.dialogApplyFocus(e, i)
                                    ];
                                case 3:
                                    _tmp = _state.sent();
                                    _state.label = 4;
                                case 4:
                                    return [
                                        2
                                    ];
                            }
                        });
                    })();
                }
            },
            {
                key: "dialogMakeTransition",
                value: function dialogMakeTransition(e) {
                    var _this = this;
                    return _async_to_generator$t(function() {
                        var i, m, a;
                        return _ts_generator$t(this, function(_state) {
                            i = null;
                            m = function(t, s) {
                                return /*#__PURE__*/ _async_to_generator$t(function() {
                                    var n, o;
                                    return _ts_generator$t(this, function(_state) {
                                        if (t.open = e, !e) {
                                            n = function() {
                                                t.removeEventListener("close", n), a(t, s);
                                            };
                                            t.addEventListener("close", n);
                                        }
                                        if (s > 0) return [
                                            2
                                        ];
                                        o = e ? BeforetoggleOpenEvent : BeforetoggleClosedEvent;
                                        _this.dispatchEvent(new o), e && (t.matches(userFocusableSelector) && (i = t), i = i || firstFocusableIn(t), i || t.querySelectorAll("slot").forEach(function(r) {
                                            i || (i = firstFocusableSlottedIn(r));
                                        }), !(!_this.isConnected || _this.dialogEl.open) && _this.dialogEl.showModal());
                                        return [
                                            2
                                        ];
                                    });
                                });
                            }, a = function(t, s) {
                                return function() {
                                    if (_this.open !== e) return;
                                    var o = e ? "sp-opened" : "sp-closed";
                                    if (s > 0) {
                                        t.dispatchEvent(new OverlayStateEvent(o, _this, {
                                            interaction: _this.type,
                                            publish: !1
                                        }));
                                        return;
                                    }
                                    if (!_this.isConnected || e !== _this.open) return;
                                    var n = function() {
                                        var _ref = _async_to_generator$t(function() {
                                            var r;
                                            return _ts_generator$t(this, function(_state) {
                                                switch(_state.label){
                                                    case 0:
                                                        r = _instanceof$d(_this.triggerElement, VirtualTrigger);
                                                        _this.dispatchEvent(new OverlayStateEvent(o, _this, {
                                                            interaction: _this.type,
                                                            publish: r
                                                        })), t.dispatchEvent(new OverlayStateEvent(o, _this, {
                                                            interaction: _this.type,
                                                            publish: !1
                                                        })), _this.triggerElement && !r && _this.triggerElement.dispatchEvent(new OverlayStateEvent(o, _this, {
                                                            interaction: _this.type,
                                                            publish: !0
                                                        })), _this.state = e ? "opened" : "closed", _this.returnFocus();
                                                        return [
                                                            4,
                                                            nextFrame()
                                                        ];
                                                    case 1:
                                                        _state.sent();
                                                        return [
                                                            4,
                                                            nextFrame()
                                                        ];
                                                    case 2:
                                                        _state.sent(), e === _this.open && e === !1 && _this.requestSlottable();
                                                        return [
                                                            2
                                                        ];
                                                }
                                            });
                                        });
                                        return function n() {
                                            return _ref.apply(this, arguments);
                                        };
                                    }();
                                    !e && _this.dialogEl.open ? (_this.dialogEl.addEventListener("close", function() {
                                        n();
                                    }, {
                                        once: !0
                                    }), _this.dialogEl.close()) : n();
                                };
                            };
                            return [
                                2,
                                (_this.elements.forEach(function(t, s) {
                                    guaranteedAllTransitionend(t, m(t, s), a(t, s));
                                }), i)
                            ];
                        });
                    })();
                }
            },
            {
                key: "dialogApplyFocus",
                value: function dialogApplyFocus(e, i) {
                    var _this = this;
                    return _async_to_generator$t(function() {
                        return _ts_generator$t(this, function(_state) {
                            _this.applyFocus(e, i);
                            return [
                                2
                            ];
                        });
                    })();
                }
            }
        ]);
        return p;
    }(h);
    return p;
}

function _assert_this_initialized$1c(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$s(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$s(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$s(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$s(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$1k(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1j(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1j(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1j(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1j(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1c(o) {
    _get_prototype_of$1c = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1c(o);
}
function _inherits$1c(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1c(subClass, superClass);
}
function _instanceof$c(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _possible_constructor_return$1c(self, call) {
    if (call && (_type_of$1c(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1c(self);
}
function _set_prototype_of$1c(o, p) {
    _set_prototype_of$1c = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1c(o, p);
}
function _type_of$1c(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1c() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1c(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1c();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1c(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1c(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1c(this, result);
    };
}
function _ts_generator$s(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
var C$3 = CSS.supports("(overlay: auto)");
function f$d(a) {
    var c = !1;
    try {
        c = a.matches(":popover-open");
    } catch (e) {}
    var p = !1;
    try {
        p = a.matches(":open");
    } catch (e) {}
    return c || p;
}
function OverlayPopover(a) {
    var c = /*#__PURE__*/ function(a) {
        _inherits$1c(c, a);
        var _super = _create_super$1c(c);
        function c() {
            _class_call_check$1k(this, c);
            return _super.apply(this, arguments);
        }
        _create_class$1j(c, [
            {
                key: "manageDelay",
                value: function manageDelay(e) {
                    var _this = this;
                    return _async_to_generator$s(function() {
                        var _tmp;
                        return _ts_generator$s(this, function(_state) {
                            switch(_state.label){
                                case 0:
                                    if (e === !1 || e !== _this.open) {
                                        overlayTimer.close(_this);
                                        return [
                                            2
                                        ];
                                    }
                                    _tmp = _this.delayed;
                                    if (!_tmp) return [
                                        3,
                                        2
                                    ];
                                    return [
                                        4,
                                        overlayTimer.openTimer(_this)
                                    ];
                                case 1:
                                    _tmp = _state.sent();
                                    _state.label = 2;
                                case 2:
                                    _tmp && (_this.open = !e);
                                    return [
                                        2
                                    ];
                            }
                        });
                    })();
                }
            },
            {
                key: "shouldHidePopover",
                value: function shouldHidePopover(e) {
                    var _this = this;
                    return _async_to_generator$s(function() {
                        var o;
                        return _ts_generator$s(this, function(_state) {
                            if (e && _this.open !== e) return [
                                2
                            ];
                            o = function() {
                                var _ref = _async_to_generator$s(function() {
                                    var _ref, i, _tmp;
                                    var _arguments = arguments;
                                    return _ts_generator$s(this, function(_state) {
                                        switch(_state.label){
                                            case 0:
                                                _ref = _arguments.length > 0 && _arguments[0] !== void 0 ? _arguments[0] : {}, i = _ref.newState;
                                                _tmp = i !== "open";
                                                if (!_tmp) return [
                                                    3,
                                                    2
                                                ];
                                                return [
                                                    4,
                                                    _this.placementController.resetOverlayPosition()
                                                ];
                                            case 1:
                                                _tmp = _state.sent();
                                                _state.label = 2;
                                            case 2:
                                                return [
                                                    2
                                                ];
                                        }
                                    });
                                });
                                return function o() {
                                    return _ref.apply(this, arguments);
                                };
                            }();
                            if (!f$d(_this.dialogEl)) {
                                o();
                                return [
                                    2
                                ];
                            }
                            _this.dialogEl.addEventListener("toggle", o, {
                                once: !0
                            });
                            return [
                                2
                            ];
                        });
                    })();
                }
            },
            {
                key: "shouldShowPopover",
                value: function shouldShowPopover(e) {
                    var _this = this;
                    return _async_to_generator$s(function() {
                        var o, i, _tmp;
                        return _ts_generator$s(this, function(_state) {
                            switch(_state.label){
                                case 0:
                                    o = !1;
                                    try {
                                        o = _this.dialogEl.matches(":popover-open");
                                    } catch (u) {}
                                    i = !1;
                                    try {
                                        i = _this.dialogEl.matches(":open");
                                    } catch (u) {}
                                    _tmp = e && _this.open === e && !o && !i && _this.isConnected;
                                    if (!_tmp) return [
                                        3,
                                        2
                                    ];
                                    _this.dialogEl.showPopover();
                                    return [
                                        4,
                                        _this.managePosition()
                                    ];
                                case 1:
                                    _tmp = _state.sent();
                                    _state.label = 2;
                                case 2:
                                    return [
                                        2
                                    ];
                            }
                        });
                    })();
                }
            },
            {
                key: "ensureOnDOM",
                value: function ensureOnDOM(e) {
                    var _this = this;
                    return _async_to_generator$s(function() {
                        var _tmp;
                        return _ts_generator$s(this, function(_state) {
                            switch(_state.label){
                                case 0:
                                    return [
                                        4,
                                        nextFrame()
                                    ];
                                case 1:
                                    _state.sent();
                                    _tmp = C$3;
                                    if (_tmp) return [
                                        3,
                                        3
                                    ];
                                    return [
                                        4,
                                        _this.shouldHidePopover(e)
                                    ];
                                case 2:
                                    _tmp = _state.sent();
                                    _state.label = 3;
                                case 3:
                                    return [
                                        4,
                                        _this.shouldShowPopover(e)
                                    ];
                                case 4:
                                    _state.sent();
                                    return [
                                        4,
                                        nextFrame()
                                    ];
                                case 5:
                                    _state.sent();
                                    return [
                                        2
                                    ];
                            }
                        });
                    })();
                }
            },
            {
                key: "makeTransition",
                value: function makeTransition(e) {
                    var _this = this;
                    return _async_to_generator$s(function() {
                        var o, i, u;
                        return _ts_generator$s(this, function(_state) {
                            if (_this.open !== e) return [
                                2,
                                null
                            ];
                            o = null;
                            i = function(t, s) {
                                return function() {
                                    if (t.open = e, s === 0) {
                                        var r = e ? BeforetoggleOpenEvent : BeforetoggleClosedEvent;
                                        _this.dispatchEvent(new r);
                                    }
                                    if (!e || (t.matches(userFocusableSelector) && (o = t), o = o || firstFocusableIn(t), o)) return;
                                    t.querySelectorAll("slot").forEach(function(r) {
                                        o || (o = firstFocusableSlottedIn(r));
                                    });
                                };
                            }, u = function(t, s) {
                                return /*#__PURE__*/ _async_to_generator$s(function() {
                                    var n, r, v;
                                    return _ts_generator$s(this, function(_state) {
                                        if (_this.open !== e) return [
                                            2
                                        ];
                                        n = e ? "sp-opened" : "sp-closed";
                                        if (s > 0) {
                                            t.dispatchEvent(new OverlayStateEvent(n, _this, {
                                                interaction: _this.type,
                                                publish: !1
                                            }));
                                            return [
                                                2
                                            ];
                                        }
                                        r = function() {
                                            var _ref = _async_to_generator$s(function() {
                                                var d;
                                                return _ts_generator$s(this, function(_state) {
                                                    switch(_state.label){
                                                        case 0:
                                                            if (_this.open !== e) return [
                                                                2
                                                            ];
                                                            return [
                                                                4,
                                                                nextFrame()
                                                            ];
                                                        case 1:
                                                            _state.sent();
                                                            d = _instanceof$c(_this.triggerElement, VirtualTrigger);
                                                            _this.dispatchEvent(new OverlayStateEvent(n, _this, {
                                                                interaction: _this.type,
                                                                publish: d
                                                            })), t.dispatchEvent(new OverlayStateEvent(n, _this, {
                                                                interaction: _this.type,
                                                                publish: !1
                                                            })), _this.triggerElement && !d && _this.triggerElement.dispatchEvent(new OverlayStateEvent(n, _this, {
                                                                interaction: _this.type,
                                                                publish: !0
                                                            })), _this.state = e ? "opened" : "closed", _this.returnFocus();
                                                            return [
                                                                4,
                                                                nextFrame()
                                                            ];
                                                        case 2:
                                                            _state.sent();
                                                            return [
                                                                4,
                                                                nextFrame()
                                                            ];
                                                        case 3:
                                                            _state.sent(), e === _this.open && e === !1 && _this.requestSlottable();
                                                            return [
                                                                2
                                                            ];
                                                    }
                                                });
                                            });
                                            return function r() {
                                                return _ref.apply(this, arguments);
                                            };
                                        }();
                                        if (_this.open !== e) return [
                                            2
                                        ];
                                        v = f$d(_this.dialogEl);
                                        e !== !0 && v && _this.isConnected ? (_this.dialogEl.addEventListener("beforetoggle", function() {
                                            r();
                                        }, {
                                            once: !0
                                        }), _this.dialogEl.hidePopover()) : r();
                                        return [
                                            2
                                        ];
                                    });
                                });
                            };
                            return [
                                2,
                                (_this.elements.forEach(function(t, s) {
                                    guaranteedAllTransitionend(t, i(t, s), u(t, s));
                                }), o)
                            ];
                        });
                    })();
                }
            }
        ]);
        return c;
    }(a);
    return c;
}

function _assert_this_initialized$1b(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$r(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$r(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$r(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$r(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$1j(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1i(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1i(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1i(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1i(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1b(o) {
    _get_prototype_of$1b = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1b(o);
}
function _inherits$1b(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1b(subClass, superClass);
}
function _instanceof$b(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _possible_constructor_return$1b(self, call) {
    if (call && (_type_of$1b(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1b(self);
}
function _set_prototype_of$1b(o, p) {
    _set_prototype_of$1b = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1b(o, p);
}
function _type_of$1b(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1b() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1b(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1b();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1b(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1b(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1b(this, result);
    };
}
function _ts_generator$r(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function OverlayNoPopover(a) {
    var m = /*#__PURE__*/ function(a) {
        _inherits$1b(m, a);
        var _super = _create_super$1b(m);
        function m() {
            _class_call_check$1j(this, m);
            return _super.apply(this, arguments);
        }
        _create_class$1i(m, [
            {
                key: "managePopoverOpen",
                value: function managePopoverOpen() {
                    var _this = this;
                    return _async_to_generator$r(function() {
                        return _ts_generator$r(this, function(_state) {
                            switch(_state.label){
                                case 0:
                                    return [
                                        4,
                                        _this.managePosition()
                                    ];
                                case 1:
                                    _state.sent();
                                    return [
                                        2
                                    ];
                            }
                        });
                    })();
                }
            },
            {
                key: "manageDelay",
                value: function manageDelay(e) {
                    var _this = this;
                    return _async_to_generator$r(function() {
                        var _tmp;
                        return _ts_generator$r(this, function(_state) {
                            switch(_state.label){
                                case 0:
                                    if (e === !1 || e !== _this.open) {
                                        overlayTimer.close(_this);
                                        return [
                                            2
                                        ];
                                    }
                                    _tmp = _this.delayed;
                                    if (!_tmp) return [
                                        3,
                                        2
                                    ];
                                    return [
                                        4,
                                        overlayTimer.openTimer(_this)
                                    ];
                                case 1:
                                    _tmp = _state.sent();
                                    _state.label = 2;
                                case 2:
                                    _tmp && (_this.open = !e);
                                    return [
                                        2
                                    ];
                            }
                        });
                    })();
                }
            },
            {
                key: "ensureOnDOM",
                value: function ensureOnDOM(e) {
                    return _async_to_generator$r(function() {
                        return _ts_generator$r(this, function(_state) {
                            document.body.offsetHeight;
                            return [
                                2
                            ];
                        });
                    })();
                }
            },
            {
                key: "makeTransition",
                value: function makeTransition(e) {
                    var _this = this;
                    return _async_to_generator$r(function() {
                        var o, h, u;
                        return _ts_generator$r(this, function(_state) {
                            if (_this.open !== e) return [
                                2,
                                null
                            ];
                            o = null;
                            h = function(t, r) {
                                return function() {
                                    if (e !== _this.open) return;
                                    if (t.open = e, r === 0) {
                                        var i = e ? BeforetoggleOpenEvent : BeforetoggleClosedEvent;
                                        _this.dispatchEvent(new i);
                                    }
                                    if (e !== !0 || (t.matches(userFocusableSelector) && (o = t), o = o || firstFocusableIn(t), o)) return;
                                    t.querySelectorAll("slot").forEach(function(i) {
                                        o || (o = firstFocusableSlottedIn(i));
                                    });
                                };
                            }, u = function(t, r) {
                                return /*#__PURE__*/ _async_to_generator$r(function() {
                                    var n, i;
                                    return _ts_generator$r(this, function(_state) {
                                        switch(_state.label){
                                            case 0:
                                                if (_this.open !== e) return [
                                                    2
                                                ];
                                                n = e ? "sp-opened" : "sp-closed";
                                                if (t.dispatchEvent(new OverlayStateEvent(n, _this, {
                                                    interaction: _this.type
                                                })), r > 0) return [
                                                    2
                                                ];
                                                i = _instanceof$b(_this.triggerElement, VirtualTrigger);
                                                _this.dispatchEvent(new OverlayStateEvent(n, _this, {
                                                    interaction: _this.type,
                                                    publish: i
                                                })), _this.triggerElement && !i && _this.triggerElement.dispatchEvent(new OverlayStateEvent(n, _this, {
                                                    interaction: _this.type,
                                                    publish: !0
                                                })), _this.state = e ? "opened" : "closed", _this.returnFocus();
                                                return [
                                                    4,
                                                    nextFrame()
                                                ];
                                            case 1:
                                                _state.sent();
                                                return [
                                                    4,
                                                    nextFrame()
                                                ];
                                            case 2:
                                                _state.sent(), e === _this.open && e === !1 && _this.requestSlottable();
                                                return [
                                                    2
                                                ];
                                        }
                                    });
                                });
                            };
                            return [
                                2,
                                (_this.elements.forEach(function(t, r) {
                                    guaranteedAllTransitionend(t, h(t, r), u(t, r));
                                }), o)
                            ];
                        });
                    })();
                }
            }
        ]);
        return m;
    }(a);
    return m;
}

function _class_call_check$1i(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1h(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1h(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1h(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1h(Constructor, staticProps);
    return Constructor;
}
var c$h = "showPopover" in document.createElement("div");
var h$d = /*#__PURE__*/ function() {
    function h() {
        var _this = this;
        _class_call_check$1i(this, h);
        this.root = document.body;
        this.stack = [];
        this.handlePointerdown = function(t) {
            _this.pointerdownPath = t.composedPath(), _this.lastOverlay = _this.stack.at(-1);
        };
        this.handlePointerup = function() {
            var t = _this.pointerdownPath;
            if (_this.pointerdownPath = void 0, !_this.stack.length || !(t != null && t.length)) return;
            var e = _this.stack.length - 1, s = _this.stack.filter(function(n, i) {
                return !t.find(function(a) {
                    return a === n || a === (n == null ? void 0 : n.triggerElement) && (n == null ? void 0 : n.type) === "hint" || i === e && n !== _this.lastOverlay && n.triggerInteraction === "longpress";
                }) && !n.shouldPreventClose() && n.type !== "manual";
            });
            s.reverse(), s.forEach(function(n) {
                _this.closeOverlay(n);
                var i = n.parentOverlayToForceClose;
                for(; i;)_this.closeOverlay(i), i = i.parentOverlayToForceClose;
            });
        };
        this.handleBeforetoggle = function(t) {
            var e = t.target, s = t.newState;
            s !== "open" && _this.closeOverlay(e);
        };
        this.handleKeydown = function(t) {
            if (t.code !== "Escape" || !_this.stack.length) return;
            var e = _this.stack.at(-1);
            if ((e == null ? void 0 : e.type) === "page") {
                t.preventDefault();
                return;
            }
            c$h || (e == null ? void 0 : e.type) !== "manual" && e && _this.closeOverlay(e);
        };
        this.bindEvents();
    }
    _create_class$1h(h, [
        {
            key: "document",
            get: function get() {
                return this.root.ownerDocument || document;
            }
        },
        {
            key: "bindEvents",
            value: function bindEvents() {
                this.document.addEventListener("pointerdown", this.handlePointerdown), this.document.addEventListener("pointerup", this.handlePointerup), this.document.addEventListener("keydown", this.handleKeydown);
            }
        },
        {
            key: "closeOverlay",
            value: function closeOverlay(t) {
                var e = this.stack.indexOf(t);
                e > -1 && this.stack.splice(e, 1), t.open = !1;
            }
        },
        {
            key: "overlaysByTriggerElement",
            value: function overlaysByTriggerElement(t) {
                return this.stack.filter(function(e) {
                    return e.triggerElement === t;
                });
            }
        },
        {
            key: "add",
            value: function add(t) {
                var _this = this;
                if (this.stack.includes(t)) {
                    var e = this.stack.indexOf(t);
                    e > -1 && (this.stack.splice(e, 1), this.stack.push(t));
                    return;
                }
                if (t.type === "auto" || t.type === "modal" || t.type === "page") {
                    var e1 = "sp-overlay-query-path", s = new Event(e1, {
                        composed: !0,
                        bubbles: !0
                    });
                    t.addEventListener(e1, function(n) {
                        var i = n.composedPath();
                        _this.stack.forEach(function(r) {
                            !i.find(function(o) {
                                return o === r;
                            }) && r.type !== "manual" && _this.closeOverlay(r);
                        });
                    }, {
                        once: !0
                    }), t.dispatchEvent(s);
                } else if (t.type === "hint") {
                    if (this.stack.some(function(s) {
                        return s.type !== "manual" && s.triggerElement && s.triggerElement === t.triggerElement;
                    })) {
                        t.open = !1;
                        return;
                    }
                    this.stack.forEach(function(s) {
                        s.type === "hint" && _this.closeOverlay(s);
                    });
                }
                requestAnimationFrame(function() {
                    _this.stack.push(t), t.addEventListener("beforetoggle", _this.handleBeforetoggle, {
                        once: !0
                    });
                });
            }
        },
        {
            key: "remove",
            value: function remove(t) {
                this.closeOverlay(t);
            }
        }
    ]);
    return h;
}();
var overlayStack = new h$d;

/**
 * Custom positioning reference element.
 * @see https://floating-ui.com/docs/virtual-elements
 */ function _define_property$9(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread$7(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$9(target, key, source[key]);
        });
    }
    return target;
}
var min = Math.min;
var max = Math.max;
var round = Math.round;
var floor = Math.floor;
var createCoords = function(v) {
    return {
        x: v,
        y: v
    };
};
var oppositeSideMap = {
    left: "right",
    right: "left",
    bottom: "top",
    top: "bottom"
};
var oppositeAlignmentMap = {
    start: "end",
    end: "start"
};
function clamp(start, value, end) {
    return max(start, min(value, end));
}
function evaluate(value, param) {
    return typeof value === "function" ? value(param) : value;
}
function getSide(placement) {
    return placement.split("-")[0];
}
function getAlignment(placement) {
    return placement.split("-")[1];
}
function getOppositeAxis(axis) {
    return axis === "x" ? "y" : "x";
}
function getAxisLength(axis) {
    return axis === "y" ? "height" : "width";
}
function getSideAxis(placement) {
    return [
        "top",
        "bottom"
    ].includes(getSide(placement)) ? "y" : "x";
}
function getAlignmentAxis(placement) {
    return getOppositeAxis(getSideAxis(placement));
}
function getAlignmentSides(placement, rects, rtl) {
    if (rtl === void 0) {
        rtl = false;
    }
    var alignment = getAlignment(placement);
    var alignmentAxis = getAlignmentAxis(placement);
    var length = getAxisLength(alignmentAxis);
    var mainAlignmentSide = alignmentAxis === "x" ? alignment === (rtl ? "end" : "start") ? "right" : "left" : alignment === "start" ? "bottom" : "top";
    if (rects.reference[length] > rects.floating[length]) {
        mainAlignmentSide = getOppositePlacement(mainAlignmentSide);
    }
    return [
        mainAlignmentSide,
        getOppositePlacement(mainAlignmentSide)
    ];
}
function getExpandedPlacements(placement) {
    var oppositePlacement = getOppositePlacement(placement);
    return [
        getOppositeAlignmentPlacement(placement),
        oppositePlacement,
        getOppositeAlignmentPlacement(oppositePlacement)
    ];
}
function getOppositeAlignmentPlacement(placement) {
    return placement.replace(/start|end/g, function(alignment) {
        return oppositeAlignmentMap[alignment];
    });
}
function getSideList(side, isStart, rtl) {
    var lr = [
        "left",
        "right"
    ];
    var rl = [
        "right",
        "left"
    ];
    var tb = [
        "top",
        "bottom"
    ];
    var bt = [
        "bottom",
        "top"
    ];
    switch(side){
        case "top":
        case "bottom":
            if (rtl) return isStart ? rl : lr;
            return isStart ? lr : rl;
        case "left":
        case "right":
            return isStart ? tb : bt;
        default:
            return [];
    }
}
function getOppositeAxisPlacements(placement, flipAlignment, direction, rtl) {
    var alignment = getAlignment(placement);
    var list = getSideList(getSide(placement), direction === "start", rtl);
    if (alignment) {
        list = list.map(function(side) {
            return side + "-" + alignment;
        });
        if (flipAlignment) {
            list = list.concat(list.map(getOppositeAlignmentPlacement));
        }
    }
    return list;
}
function getOppositePlacement(placement) {
    return placement.replace(/left|right|bottom|top/g, function(side) {
        return oppositeSideMap[side];
    });
}
function expandPaddingObject(padding) {
    return _object_spread$7({
        top: 0,
        right: 0,
        bottom: 0,
        left: 0
    }, padding);
}
function getPaddingObject(padding) {
    return typeof padding !== "number" ? expandPaddingObject(padding) : {
        top: padding,
        right: padding,
        bottom: padding,
        left: padding
    };
}
function rectToClientRect(rect) {
    var x = rect.x, y = rect.y, width = rect.width, height = rect.height;
    return {
        width: width,
        height: height,
        top: y,
        left: x,
        right: x + width,
        bottom: y + height,
        x: x,
        y: y
    };
}

function _array_like_to_array$o(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$k(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$o(arr);
}
function asyncGeneratorStep$q(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$q(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$q(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$q(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _define_property$8(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _iterable_to_array$k(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$k() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _object_spread$6(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$8(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$5(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$5(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$5(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _object_without_properties$2(source, excluded) {
    if (source == null) return {};
    var target = _object_without_properties_loose$2(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceSymbolKeys.length; i++){
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose$2(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}
function _to_consumable_array$k(arr) {
    return _array_without_holes$k(arr) || _iterable_to_array$k(arr) || _unsupported_iterable_to_array$o(arr) || _non_iterable_spread$k();
}
function _unsupported_iterable_to_array$o(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$o(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$o(o, minLen);
}
function _ts_generator$q(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function computeCoordsFromPlacement(_ref, placement, rtl) {
    var reference = _ref.reference, floating = _ref.floating;
    var sideAxis = getSideAxis(placement);
    var alignmentAxis = getAlignmentAxis(placement);
    var alignLength = getAxisLength(alignmentAxis);
    var side = getSide(placement);
    var isVertical = sideAxis === "y";
    var commonX = reference.x + reference.width / 2 - floating.width / 2;
    var commonY = reference.y + reference.height / 2 - floating.height / 2;
    var commonAlign = reference[alignLength] / 2 - floating[alignLength] / 2;
    var coords;
    switch(side){
        case "top":
            coords = {
                x: commonX,
                y: reference.y - floating.height
            };
            break;
        case "bottom":
            coords = {
                x: commonX,
                y: reference.y + reference.height
            };
            break;
        case "right":
            coords = {
                x: reference.x + reference.width,
                y: commonY
            };
            break;
        case "left":
            coords = {
                x: reference.x - floating.width,
                y: commonY
            };
            break;
        default:
            coords = {
                x: reference.x,
                y: reference.y
            };
    }
    switch(getAlignment(placement)){
        case "start":
            coords[alignmentAxis] -= commonAlign * (rtl && isVertical ? -1 : 1);
            break;
        case "end":
            coords[alignmentAxis] += commonAlign * (rtl && isVertical ? -1 : 1);
            break;
    }
    return coords;
}
/**
 * Computes the `x` and `y` coordinates that will place the floating element
 * next to a given reference element.
 *
 * This export does not have any `platform` interface logic. You will need to
 * write one for the platform you are using Floating UI with.
 */ var computePosition$1 = function() {
    var _ref = _async_to_generator$q(function(reference, floating, config) {
        var _config_placement, placement, _config_strategy, strategy, _config_middleware, middleware, platform, validMiddleware, rtl, rects, _computeCoordsFromPlacement, x, y, statefulPlacement, middlewareData, resetCount, i, _validMiddleware_i, name, fn, _ref, nextX, nextY, data, reset, _tmp, ref;
        return _ts_generator$q(this, function(_state) {
            switch(_state.label){
                case 0:
                    _config_placement = config.placement, placement = _config_placement === void 0 ? "bottom" : _config_placement, _config_strategy = config.strategy, strategy = _config_strategy === void 0 ? "absolute" : _config_strategy, _config_middleware = config.middleware, middleware = _config_middleware === void 0 ? [] : _config_middleware, platform = config.platform;
                    validMiddleware = middleware.filter(Boolean);
                    return [
                        4,
                        platform.isRTL == null ? void 0 : platform.isRTL(floating)
                    ];
                case 1:
                    rtl = _state.sent();
                    return [
                        4,
                        platform.getElementRects({
                            reference: reference,
                            floating: floating,
                            strategy: strategy
                        })
                    ];
                case 2:
                    rects = _state.sent();
                    _computeCoordsFromPlacement = computeCoordsFromPlacement(rects, placement, rtl), x = _computeCoordsFromPlacement.x, y = _computeCoordsFromPlacement.y;
                    statefulPlacement = placement;
                    middlewareData = {};
                    resetCount = 0;
                    i = 0;
                    _state.label = 3;
                case 3:
                    if (!(i < validMiddleware.length)) return [
                        3,
                        11
                    ];
                    _validMiddleware_i = validMiddleware[i], name = _validMiddleware_i.name, fn = _validMiddleware_i.fn;
                    return [
                        4,
                        fn({
                            x: x,
                            y: y,
                            initialPlacement: placement,
                            placement: statefulPlacement,
                            strategy: strategy,
                            middlewareData: middlewareData,
                            rects: rects,
                            platform: platform,
                            elements: {
                                reference: reference,
                                floating: floating
                            }
                        })
                    ];
                case 4:
                    _ref = _state.sent(), nextX = _ref.x, nextY = _ref.y, data = _ref.data, reset = _ref.reset;
                    x = nextX != null ? nextX : x;
                    y = nextY != null ? nextY : y;
                    middlewareData = _object_spread_props$5(_object_spread$6({}, middlewareData), _define_property$8({}, name, _object_spread$6({}, middlewareData[name], data)));
                    if (!(reset && resetCount <= 50)) return [
                        3,
                        10
                    ];
                    resetCount++;
                    if (!(typeof reset === "object")) return [
                        3,
                        9
                    ];
                    if (reset.placement) {
                        statefulPlacement = reset.placement;
                    }
                    if (!reset.rects) return [
                        3,
                        8
                    ];
                    if (!(reset.rects === true)) return [
                        3,
                        6
                    ];
                    return [
                        4,
                        platform.getElementRects({
                            reference: reference,
                            floating: floating,
                            strategy: strategy
                        })
                    ];
                case 5:
                    _tmp = _state.sent();
                    return [
                        3,
                        7
                    ];
                case 6:
                    _tmp = reset.rects;
                    _state.label = 7;
                case 7:
                    rects = _tmp;
                    _state.label = 8;
                case 8:
                    ref = computeCoordsFromPlacement(rects, statefulPlacement, rtl), x = ref.x, y = ref.y;
                    _state.label = 9;
                case 9:
                    i = -1;
                    _state.label = 10;
                case 10:
                    i++;
                    return [
                        3,
                        3
                    ];
                case 11:
                    return [
                        2,
                        {
                            x: x,
                            y: y,
                            placement: statefulPlacement,
                            strategy: strategy,
                            middlewareData: middlewareData
                        }
                    ];
            }
        });
    });
    return function computePosition(reference, floating, config) {
        return _ref.apply(this, arguments);
    };
}();
function detectOverflow(state, options) {
    return _detectOverflow.apply(this, arguments);
}
function _detectOverflow() {
    _detectOverflow = /**
 * Resolves with an object of overflow side offsets that determine how much the
 * element is overflowing a given clipping boundary on each side.
 * - positive = overflowing the boundary by that number of pixels
 * - negative = how many pixels left before it will overflow
 * - 0 = lies flush with the boundary
 * @see https://floating-ui.com/docs/detectOverflow
 */ _async_to_generator$q(function(state, options) {
        var _await$platform$isEle, x, y, platform, rects, elements, strategy, _evaluate, _evaluate_boundary, boundary, _evaluate_rootBoundary, rootBoundary, _evaluate_elementContext, elementContext, _evaluate_altBoundary, altBoundary, _evaluate_padding, padding, paddingObject, altContext, element, clippingClientRect, _, _tmp, _tmp1, _tmp2, rect, offsetParent, offsetScale, _tmp3, elementClientRect, _tmp4;
        return _ts_generator$q(this, function(_state) {
            switch(_state.label){
                case 0:
                    if (options === void 0) {
                        options = {};
                    }
                    x = state.x, y = state.y, platform = state.platform, rects = state.rects, elements = state.elements, strategy = state.strategy;
                    _evaluate = evaluate(options, state), _evaluate_boundary = _evaluate.boundary, boundary = _evaluate_boundary === void 0 ? "clippingAncestors" : _evaluate_boundary, _evaluate_rootBoundary = _evaluate.rootBoundary, rootBoundary = _evaluate_rootBoundary === void 0 ? "viewport" : _evaluate_rootBoundary, _evaluate_elementContext = _evaluate.elementContext, elementContext = _evaluate_elementContext === void 0 ? "floating" : _evaluate_elementContext, _evaluate_altBoundary = _evaluate.altBoundary, altBoundary = _evaluate_altBoundary === void 0 ? false : _evaluate_altBoundary, _evaluate_padding = _evaluate.padding, padding = _evaluate_padding === void 0 ? 0 : _evaluate_padding;
                    paddingObject = getPaddingObject(padding);
                    altContext = elementContext === "floating" ? "reference" : "floating";
                    element = elements[altBoundary ? altContext : elementContext];
                    _ = platform.getClippingRect;
                    _tmp = {};
                    return [
                        4,
                        platform.isElement == null ? void 0 : platform.isElement(element)
                    ];
                case 1:
                    if (!((_await$platform$isEle = _state.sent()) != null ? _await$platform$isEle : true)) return [
                        3,
                        2
                    ];
                    _tmp1 = element;
                    return [
                        3,
                        5
                    ];
                case 2:
                    _tmp2 = element.contextElement;
                    if (_tmp2) return [
                        3,
                        4
                    ];
                    return [
                        4,
                        platform.getDocumentElement == null ? void 0 : platform.getDocumentElement(elements.floating)
                    ];
                case 3:
                    _tmp2 = _state.sent();
                    _state.label = 4;
                case 4:
                    _tmp1 = _tmp2;
                    _state.label = 5;
                case 5:
                    return [
                        4,
                        _.apply(platform, [
                            (_tmp.element = _tmp1, _tmp.boundary = boundary, _tmp.rootBoundary = rootBoundary, _tmp.strategy = strategy, _tmp)
                        ])
                    ];
                case 6:
                    clippingClientRect = rectToClientRect.apply(void 0, [
                        _state.sent()
                    ]);
                    rect = elementContext === "floating" ? {
                        x: x,
                        y: y,
                        width: rects.floating.width,
                        height: rects.floating.height
                    } : rects.reference;
                    return [
                        4,
                        platform.getOffsetParent == null ? void 0 : platform.getOffsetParent(elements.floating)
                    ];
                case 7:
                    offsetParent = _state.sent();
                    return [
                        4,
                        platform.isElement == null ? void 0 : platform.isElement(offsetParent)
                    ];
                case 8:
                    if (!_state.sent()) return [
                        3,
                        10
                    ];
                    return [
                        4,
                        platform.getScale == null ? void 0 : platform.getScale(offsetParent)
                    ];
                case 9:
                    _tmp3 = _state.sent() || {
                        x: 1,
                        y: 1
                    };
                    return [
                        3,
                        11
                    ];
                case 10:
                    _tmp3 = {
                        x: 1,
                        y: 1
                    };
                    _state.label = 11;
                case 11:
                    offsetScale = _tmp3;
                    if (!platform.convertOffsetParentRelativeRectToViewportRelativeRect) return [
                        3,
                        13
                    ];
                    return [
                        4,
                        platform.convertOffsetParentRelativeRectToViewportRelativeRect({
                            elements: elements,
                            rect: rect,
                            offsetParent: offsetParent,
                            strategy: strategy
                        })
                    ];
                case 12:
                    _tmp4 = _state.sent();
                    return [
                        3,
                        14
                    ];
                case 13:
                    _tmp4 = rect;
                    _state.label = 14;
                case 14:
                    elementClientRect = rectToClientRect.apply(void 0, [
                        _tmp4
                    ]);
                    return [
                        2,
                        {
                            top: (clippingClientRect.top - elementClientRect.top + paddingObject.top) / offsetScale.y,
                            bottom: (elementClientRect.bottom - clippingClientRect.bottom + paddingObject.bottom) / offsetScale.y,
                            left: (clippingClientRect.left - elementClientRect.left + paddingObject.left) / offsetScale.x,
                            right: (elementClientRect.right - clippingClientRect.right + paddingObject.right) / offsetScale.x
                        }
                    ];
            }
        });
    });
    return _detectOverflow.apply(this, arguments);
}
/**
 * Provides data to position an inner element of the floating element so that it
 * appears centered to the reference element.
 * @see https://floating-ui.com/docs/arrow
 */ var arrow$1 = function(options) {
    return {
        name: "arrow",
        options: options,
        fn: function fn(state) {
            return _async_to_generator$q(function() {
                var x, y, placement, rects, platform, elements, middlewareData, _ref, element, _ref_padding, padding, paddingObject, coords, axis, length, arrowDimensions, isYAxis, minProp, maxProp, clientProp, endDiff, startDiff, arrowOffsetParent, clientSize, _tmp, centerToReference, largestPossiblePadding, minPadding, maxPadding, min$1, max, center, offset, shouldAddOffset, alignmentOffset, _obj, _obj1;
                return _ts_generator$q(this, function(_state) {
                    switch(_state.label){
                        case 0:
                            x = state.x, y = state.y, placement = state.placement, rects = state.rects, platform = state.platform, elements = state.elements, middlewareData = state.middlewareData;
                            // Since `element` is required, we don't Partial<> the type.
                            _ref = evaluate(options, state) || {}, element = _ref.element, _ref_padding = _ref.padding, padding = _ref_padding === void 0 ? 0 : _ref_padding;
                            if (element == null) {
                                return [
                                    2,
                                    {}
                                ];
                            }
                            paddingObject = getPaddingObject(padding);
                            coords = {
                                x: x,
                                y: y
                            };
                            axis = getAlignmentAxis(placement);
                            length = getAxisLength(axis);
                            return [
                                4,
                                platform.getDimensions(element)
                            ];
                        case 1:
                            arrowDimensions = _state.sent();
                            isYAxis = axis === "y";
                            minProp = isYAxis ? "top" : "left";
                            maxProp = isYAxis ? "bottom" : "right";
                            clientProp = isYAxis ? "clientHeight" : "clientWidth";
                            endDiff = rects.reference[length] + rects.reference[axis] - coords[axis] - rects.floating[length];
                            startDiff = coords[axis] - rects.reference[axis];
                            return [
                                4,
                                platform.getOffsetParent == null ? void 0 : platform.getOffsetParent(element)
                            ];
                        case 2:
                            arrowOffsetParent = _state.sent();
                            clientSize = arrowOffsetParent ? arrowOffsetParent[clientProp] : 0;
                            _tmp = !clientSize;
                            if (_tmp) return [
                                3,
                                4
                            ];
                            return [
                                4,
                                platform.isElement == null ? void 0 : platform.isElement(arrowOffsetParent)
                            ];
                        case 3:
                            _tmp = !_state.sent();
                            _state.label = 4;
                        case 4:
                            // DOM platform can return `window` as the `offsetParent`.
                            if (_tmp) {
                                clientSize = elements.floating[clientProp] || rects.floating[length];
                            }
                            centerToReference = endDiff / 2 - startDiff / 2;
                            // If the padding is large enough that it causes the arrow to no longer be
                            // centered, modify the padding so that it is centered.
                            largestPossiblePadding = clientSize / 2 - arrowDimensions[length] / 2 - 1;
                            minPadding = min(paddingObject[minProp], largestPossiblePadding);
                            maxPadding = min(paddingObject[maxProp], largestPossiblePadding);
                            // Make sure the arrow doesn't overflow the floating element if the center
                            // point is outside the floating element's bounds.
                            min$1 = minPadding;
                            max = clientSize - arrowDimensions[length] - maxPadding;
                            center = clientSize / 2 - arrowDimensions[length] / 2 + centerToReference;
                            offset = clamp(min$1, center, max);
                            // If the reference is small enough that the arrow's padding causes it to
                            // to point to nothing for an aligned placement, adjust the offset of the
                            // floating element itself. To ensure `shift()` continues to take action,
                            // a single reset is performed when this is true.
                            shouldAddOffset = !middlewareData.arrow && getAlignment(placement) != null && center !== offset && rects.reference[length] / 2 - (center < min$1 ? minPadding : maxPadding) - arrowDimensions[length] / 2 < 0;
                            alignmentOffset = shouldAddOffset ? center < min$1 ? center - min$1 : center - max : 0;
                            return [
                                2,
                                (_obj1 = {}, _define_property$8(_obj1, axis, coords[axis] + alignmentOffset), _define_property$8(_obj1, "data", _object_spread$6((_obj = {}, _define_property$8(_obj, axis, offset), _define_property$8(_obj, "centerOffset", center - offset - alignmentOffset), _obj), shouldAddOffset && {
                                    alignmentOffset: alignmentOffset
                                })), _define_property$8(_obj1, "reset", shouldAddOffset), _obj1)
                            ];
                    }
                });
            })();
        }
    };
};
/**
 * Optimizes the visibility of the floating element by flipping the `placement`
 * in order to keep it in view when the preferred placement(s) will overflow the
 * clipping boundary. Alternative to `autoPlacement`.
 * @see https://floating-ui.com/docs/flip
 */ var flip$1 = function flip(options) {
    if (options === void 0) {
        options = {};
    }
    return {
        name: "flip",
        options: options,
        fn: function fn(state) {
            return _async_to_generator$q(function() {
                var _middlewareData$arrow, _middlewareData$flip, placement, middlewareData, rects, initialPlacement, platform, elements, _evaluate, tmp, checkMainAxis, tmp1, checkCrossAxis, specifiedFallbackPlacements, _evaluate_fallbackStrategy, fallbackStrategy, _evaluate_fallbackAxisSideDirection, fallbackAxisSideDirection, _evaluate_flipAlignment, flipAlignment, detectOverflowOptions, side, initialSideAxis, isBasePlacement, rtl, fallbackPlacements, hasFallbackAxisSideDirection, _fallbackPlacements, placements, overflow, overflows, overflowsData, sides, _middlewareData$flip2, _overflowsData$filter, nextIndex, nextPlacement, resetPlacement, _overflowsData$filter2, placement1;
                return _ts_generator$q(this, function(_state) {
                    switch(_state.label){
                        case 0:
                            placement = state.placement, middlewareData = state.middlewareData, rects = state.rects, initialPlacement = state.initialPlacement, platform = state.platform, elements = state.elements;
                            _evaluate = evaluate(options, state), tmp = _evaluate.mainAxis, checkMainAxis = tmp === void 0 ? true : tmp, tmp1 = _evaluate.crossAxis, checkCrossAxis = tmp1 === void 0 ? true : tmp1, specifiedFallbackPlacements = _evaluate.fallbackPlacements, _evaluate_fallbackStrategy = _evaluate.fallbackStrategy, fallbackStrategy = _evaluate_fallbackStrategy === void 0 ? "bestFit" : _evaluate_fallbackStrategy, _evaluate_fallbackAxisSideDirection = _evaluate.fallbackAxisSideDirection, fallbackAxisSideDirection = _evaluate_fallbackAxisSideDirection === void 0 ? "none" : _evaluate_fallbackAxisSideDirection, _evaluate_flipAlignment = _evaluate.flipAlignment, flipAlignment = _evaluate_flipAlignment === void 0 ? true : _evaluate_flipAlignment, detectOverflowOptions = _object_without_properties$2(_evaluate, [
                                "mainAxis",
                                "crossAxis",
                                "fallbackPlacements",
                                "fallbackStrategy",
                                "fallbackAxisSideDirection",
                                "flipAlignment"
                            ]);
                            // If a reset by the arrow was caused due to an alignment offset being
                            // added, we should skip any logic now since `flip()` has already done its
                            // work.
                            // https://github.com/floating-ui/floating-ui/issues/2549#issuecomment-1719601643
                            if ((_middlewareData$arrow = middlewareData.arrow) != null && _middlewareData$arrow.alignmentOffset) {
                                return [
                                    2,
                                    {}
                                ];
                            }
                            side = getSide(placement);
                            initialSideAxis = getSideAxis(initialPlacement);
                            isBasePlacement = getSide(initialPlacement) === initialPlacement;
                            return [
                                4,
                                platform.isRTL == null ? void 0 : platform.isRTL(elements.floating)
                            ];
                        case 1:
                            rtl = _state.sent();
                            fallbackPlacements = specifiedFallbackPlacements || (isBasePlacement || !flipAlignment ? [
                                getOppositePlacement(initialPlacement)
                            ] : getExpandedPlacements(initialPlacement));
                            hasFallbackAxisSideDirection = fallbackAxisSideDirection !== "none";
                            if (!specifiedFallbackPlacements && hasFallbackAxisSideDirection) {
                                (_fallbackPlacements = fallbackPlacements).push.apply(_fallbackPlacements, _to_consumable_array$k(getOppositeAxisPlacements(initialPlacement, flipAlignment, fallbackAxisSideDirection, rtl)));
                            }
                            placements = [
                                initialPlacement
                            ].concat(_to_consumable_array$k(fallbackPlacements));
                            return [
                                4,
                                detectOverflow(state, detectOverflowOptions)
                            ];
                        case 2:
                            overflow = _state.sent();
                            overflows = [];
                            overflowsData = ((_middlewareData$flip = middlewareData.flip) == null ? void 0 : _middlewareData$flip.overflows) || [];
                            if (checkMainAxis) {
                                overflows.push(overflow[side]);
                            }
                            if (checkCrossAxis) {
                                sides = getAlignmentSides(placement, rects, rtl);
                                overflows.push(overflow[sides[0]], overflow[sides[1]]);
                            }
                            overflowsData = _to_consumable_array$k(overflowsData).concat([
                                {
                                    placement: placement,
                                    overflows: overflows
                                }
                            ]);
                            // One or more sides is overflowing.
                            if (!overflows.every(function(side) {
                                return side <= 0;
                            })) {
                                nextIndex = (((_middlewareData$flip2 = middlewareData.flip) == null ? void 0 : _middlewareData$flip2.index) || 0) + 1;
                                nextPlacement = placements[nextIndex];
                                if (nextPlacement) {
                                    // Try next placement and re-run the lifecycle.
                                    return [
                                        2,
                                        {
                                            data: {
                                                index: nextIndex,
                                                overflows: overflowsData
                                            },
                                            reset: {
                                                placement: nextPlacement
                                            }
                                        }
                                    ];
                                }
                                // First, find the candidates that fit on the mainAxis side of overflow,
                                // then find the placement that fits the best on the main crossAxis side.
                                resetPlacement = (_overflowsData$filter = overflowsData.filter(function(d) {
                                    return d.overflows[0] <= 0;
                                }).sort(function(a, b) {
                                    return a.overflows[1] - b.overflows[1];
                                })[0]) == null ? void 0 : _overflowsData$filter.placement;
                                // Otherwise fallback.
                                if (!resetPlacement) {
                                    switch(fallbackStrategy){
                                        case "bestFit":
                                            {
                                                placement1 = (_overflowsData$filter2 = overflowsData.filter(function(d) {
                                                    if (hasFallbackAxisSideDirection) {
                                                        var currentSideAxis = getSideAxis(d.placement);
                                                        return currentSideAxis === initialSideAxis || // Create a bias to the `y` side axis due to horizontal
                                                        // reading directions favoring greater width.
                                                        currentSideAxis === "y";
                                                    }
                                                    return true;
                                                }).map(function(d) {
                                                    return [
                                                        d.placement,
                                                        d.overflows.filter(function(overflow) {
                                                            return overflow > 0;
                                                        }).reduce(function(acc, overflow) {
                                                            return acc + overflow;
                                                        }, 0)
                                                    ];
                                                }).sort(function(a, b) {
                                                    return a[1] - b[1];
                                                })[0]) == null ? void 0 : _overflowsData$filter2[0];
                                                if (placement1) {
                                                    resetPlacement = placement1;
                                                }
                                                break;
                                            }
                                        case "initialPlacement":
                                            resetPlacement = initialPlacement;
                                            break;
                                    }
                                }
                                if (placement !== resetPlacement) {
                                    return [
                                        2,
                                        {
                                            reset: {
                                                placement: resetPlacement
                                            }
                                        }
                                    ];
                                }
                            }
                            return [
                                2,
                                {}
                            ];
                    }
                });
            })();
        }
    };
};
function convertValueToCoords(state, options) {
    return _convertValueToCoords.apply(this, arguments);
}
function _convertValueToCoords() {
    _convertValueToCoords = // For type backwards-compatibility, the `OffsetOptions` type was also
    // Derivable.
    _async_to_generator$q(function(state, options) {
        var placement, platform, elements, rtl, side, alignment, isVertical, mainAxisMulti, crossAxisMulti, rawValue, _ref, mainAxis, crossAxis, alignmentAxis;
        return _ts_generator$q(this, function(_state) {
            switch(_state.label){
                case 0:
                    placement = state.placement, platform = state.platform, elements = state.elements;
                    return [
                        4,
                        platform.isRTL == null ? void 0 : platform.isRTL(elements.floating)
                    ];
                case 1:
                    rtl = _state.sent();
                    side = getSide(placement);
                    alignment = getAlignment(placement);
                    isVertical = getSideAxis(placement) === "y";
                    mainAxisMulti = [
                        "left",
                        "top"
                    ].includes(side) ? -1 : 1;
                    crossAxisMulti = rtl && isVertical ? -1 : 1;
                    rawValue = evaluate(options, state);
                    // eslint-disable-next-line prefer-const
                    _ref = typeof rawValue === "number" ? {
                        mainAxis: rawValue,
                        crossAxis: 0,
                        alignmentAxis: null
                    } : {
                        mainAxis: rawValue.mainAxis || 0,
                        crossAxis: rawValue.crossAxis || 0,
                        alignmentAxis: rawValue.alignmentAxis
                    }, mainAxis = _ref.mainAxis, crossAxis = _ref.crossAxis, alignmentAxis = _ref.alignmentAxis;
                    if (alignment && typeof alignmentAxis === "number") {
                        crossAxis = alignment === "end" ? alignmentAxis * -1 : alignmentAxis;
                    }
                    return [
                        2,
                        isVertical ? {
                            x: crossAxis * crossAxisMulti,
                            y: mainAxis * mainAxisMulti
                        } : {
                            x: mainAxis * mainAxisMulti,
                            y: crossAxis * crossAxisMulti
                        }
                    ];
            }
        });
    });
    return _convertValueToCoords.apply(this, arguments);
}
/**
 * Modifies the placement by translating the floating element along the
 * specified axes.
 * A number (shorthand for `mainAxis` or distance), or an axes configuration
 * object may be passed.
 * @see https://floating-ui.com/docs/offset
 */ var offset$1 = function offset(options) {
    if (options === void 0) {
        options = 0;
    }
    return {
        name: "offset",
        options: options,
        fn: function fn(state) {
            return _async_to_generator$q(function() {
                var _middlewareData$offse, _middlewareData$arrow, x, y, placement, middlewareData, diffCoords;
                return _ts_generator$q(this, function(_state) {
                    switch(_state.label){
                        case 0:
                            x = state.x, y = state.y, placement = state.placement, middlewareData = state.middlewareData;
                            return [
                                4,
                                convertValueToCoords(state, options)
                            ];
                        case 1:
                            diffCoords = _state.sent();
                            // If the placement is the same and the arrow caused an alignment offset
                            // then we don't need to change the positioning coordinates.
                            if (placement === ((_middlewareData$offse = middlewareData.offset) == null ? void 0 : _middlewareData$offse.placement) && (_middlewareData$arrow = middlewareData.arrow) != null && _middlewareData$arrow.alignmentOffset) {
                                return [
                                    2,
                                    {}
                                ];
                            }
                            return [
                                2,
                                {
                                    x: x + diffCoords.x,
                                    y: y + diffCoords.y,
                                    data: _object_spread_props$5(_object_spread$6({}, diffCoords), {
                                        placement: placement
                                    })
                                }
                            ];
                    }
                });
            })();
        }
    };
};
/**
 * Optimizes the visibility of the floating element by shifting it in order to
 * keep it in view when it will overflow the clipping boundary.
 * @see https://floating-ui.com/docs/shift
 */ var shift$1 = function shift(options) {
    if (options === void 0) {
        options = {};
    }
    return {
        name: "shift",
        options: options,
        fn: function fn(state) {
            return _async_to_generator$q(function() {
                var x, y, placement, _evaluate, tmp, checkMainAxis, tmp1, checkCrossAxis, _evaluate_limiter, limiter, detectOverflowOptions, coords, overflow, crossAxis, mainAxis, mainAxisCoord, crossAxisCoord, minSide, maxSide, min, max, minSide1, maxSide1, min1, max1, _obj, limitedCoords, _obj1;
                return _ts_generator$q(this, function(_state) {
                    switch(_state.label){
                        case 0:
                            x = state.x, y = state.y, placement = state.placement;
                            _evaluate = evaluate(options, state), tmp = _evaluate.mainAxis, checkMainAxis = tmp === void 0 ? true : tmp, tmp1 = _evaluate.crossAxis, checkCrossAxis = tmp1 === void 0 ? false : tmp1, _evaluate_limiter = _evaluate.limiter, limiter = _evaluate_limiter === void 0 ? {
                                fn: function(_ref) {
                                    var x = _ref.x, y = _ref.y;
                                    return {
                                        x: x,
                                        y: y
                                    };
                                }
                            } : _evaluate_limiter, detectOverflowOptions = _object_without_properties$2(_evaluate, [
                                "mainAxis",
                                "crossAxis",
                                "limiter"
                            ]);
                            coords = {
                                x: x,
                                y: y
                            };
                            return [
                                4,
                                detectOverflow(state, detectOverflowOptions)
                            ];
                        case 1:
                            overflow = _state.sent();
                            crossAxis = getSideAxis(getSide(placement));
                            mainAxis = getOppositeAxis(crossAxis);
                            mainAxisCoord = coords[mainAxis];
                            crossAxisCoord = coords[crossAxis];
                            if (checkMainAxis) {
                                minSide = mainAxis === "y" ? "top" : "left";
                                maxSide = mainAxis === "y" ? "bottom" : "right";
                                min = mainAxisCoord + overflow[minSide];
                                max = mainAxisCoord - overflow[maxSide];
                                mainAxisCoord = clamp(min, mainAxisCoord, max);
                            }
                            if (checkCrossAxis) {
                                minSide1 = crossAxis === "y" ? "top" : "left";
                                maxSide1 = crossAxis === "y" ? "bottom" : "right";
                                min1 = crossAxisCoord + overflow[minSide1];
                                max1 = crossAxisCoord - overflow[maxSide1];
                                crossAxisCoord = clamp(min1, crossAxisCoord, max1);
                            }
                            limitedCoords = limiter.fn(_object_spread_props$5(_object_spread$6({}, state), (_obj = {}, _define_property$8(_obj, mainAxis, mainAxisCoord), _define_property$8(_obj, crossAxis, crossAxisCoord), _obj)));
                            return [
                                2,
                                _object_spread_props$5(_object_spread$6({}, limitedCoords), {
                                    data: {
                                        x: limitedCoords.x - x,
                                        y: limitedCoords.y - y,
                                        enabled: (_obj1 = {}, _define_property$8(_obj1, mainAxis, checkMainAxis), _define_property$8(_obj1, crossAxis, checkCrossAxis), _obj1)
                                    }
                                })
                            ];
                    }
                });
            })();
        }
    };
};
/**
 * Provides data that allows you to change the size of the floating element —
 * for instance, prevent it from overflowing the clipping boundary or match the
 * width of the reference element.
 * @see https://floating-ui.com/docs/size
 */ var size$1 = function size(options) {
    if (options === void 0) {
        options = {};
    }
    return {
        name: "size",
        options: options,
        fn: function fn(state) {
            return _async_to_generator$q(function() {
                var _state$middlewareData, _state$middlewareData2, placement, rects, platform, elements, _evaluate, _evaluate_apply, apply, detectOverflowOptions, overflow, side, alignment, isYAxis, _rects_floating, width, height, heightSide, widthSide, maximumClippingHeight, maximumClippingWidth, overflowAvailableHeight, overflowAvailableWidth, noShift, availableHeight, availableWidth, xMin, xMax, yMin, yMax, nextDimensions;
                return _ts_generator$q(this, function(_state) {
                    switch(_state.label){
                        case 0:
                            placement = state.placement, rects = state.rects, platform = state.platform, elements = state.elements;
                            _evaluate = evaluate(options, state), _evaluate_apply = _evaluate.apply, apply = _evaluate_apply === void 0 ? function() {} : _evaluate_apply, detectOverflowOptions = _object_without_properties$2(_evaluate, [
                                "apply"
                            ]);
                            return [
                                4,
                                detectOverflow(state, detectOverflowOptions)
                            ];
                        case 1:
                            overflow = _state.sent();
                            side = getSide(placement);
                            alignment = getAlignment(placement);
                            isYAxis = getSideAxis(placement) === "y";
                            _rects_floating = rects.floating, width = _rects_floating.width, height = _rects_floating.height;
                            if (!(side === "top" || side === "bottom")) return [
                                3,
                                3
                            ];
                            heightSide = side;
                            return [
                                4,
                                platform.isRTL == null ? void 0 : platform.isRTL(elements.floating)
                            ];
                        case 2:
                            widthSide = alignment === (_state.sent() ? "start" : "end") ? "left" : "right";
                            return [
                                3,
                                4
                            ];
                        case 3:
                            widthSide = side;
                            heightSide = alignment === "end" ? "top" : "bottom";
                            _state.label = 4;
                        case 4:
                            maximumClippingHeight = height - overflow.top - overflow.bottom;
                            maximumClippingWidth = width - overflow.left - overflow.right;
                            overflowAvailableHeight = min(height - overflow[heightSide], maximumClippingHeight);
                            overflowAvailableWidth = min(width - overflow[widthSide], maximumClippingWidth);
                            noShift = !state.middlewareData.shift;
                            availableHeight = overflowAvailableHeight;
                            availableWidth = overflowAvailableWidth;
                            if ((_state$middlewareData = state.middlewareData.shift) != null && _state$middlewareData.enabled.x) {
                                availableWidth = maximumClippingWidth;
                            }
                            if ((_state$middlewareData2 = state.middlewareData.shift) != null && _state$middlewareData2.enabled.y) {
                                availableHeight = maximumClippingHeight;
                            }
                            if (noShift && !alignment) {
                                xMin = max(overflow.left, 0);
                                xMax = max(overflow.right, 0);
                                yMin = max(overflow.top, 0);
                                yMax = max(overflow.bottom, 0);
                                if (isYAxis) {
                                    availableWidth = width - 2 * (xMin !== 0 || xMax !== 0 ? xMin + xMax : max(overflow.left, overflow.right));
                                } else {
                                    availableHeight = height - 2 * (yMin !== 0 || yMax !== 0 ? yMin + yMax : max(overflow.top, overflow.bottom));
                                }
                            }
                            return [
                                4,
                                apply(_object_spread_props$5(_object_spread$6({}, state), {
                                    availableWidth: availableWidth,
                                    availableHeight: availableHeight
                                }))
                            ];
                        case 5:
                            _state.sent();
                            return [
                                4,
                                platform.getDimensions(elements.floating)
                            ];
                        case 6:
                            nextDimensions = _state.sent();
                            if (width !== nextDimensions.width || height !== nextDimensions.height) {
                                return [
                                    2,
                                    {
                                        reset: {
                                            rects: true
                                        }
                                    }
                                ];
                            }
                            return [
                                2,
                                {}
                            ];
                    }
                });
            })();
        }
    };
};

function _instanceof$a(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function hasWindow() {
    return typeof window !== "undefined";
}
function getNodeName(node) {
    if (isNode(node)) {
        return (node.nodeName || "").toLowerCase();
    }
    // Mocked nodes in testing environments may not be instances of Node. By
    // returning `#document` an infinite loop won't occur.
    // https://github.com/floating-ui/floating-ui/issues/2317
    return "#document";
}
function getWindow(node) {
    var _node$ownerDocument;
    return (node == null || (_node$ownerDocument = node.ownerDocument) == null ? void 0 : _node$ownerDocument.defaultView) || window;
}
function getDocumentElement(node) {
    var _ref;
    return (_ref = (isNode(node) ? node.ownerDocument : node.document) || window.document) == null ? void 0 : _ref.documentElement;
}
function isNode(value) {
    if (!hasWindow()) {
        return false;
    }
    return _instanceof$a(value, Node) || _instanceof$a(value, getWindow(value).Node);
}
function isElement(value) {
    if (!hasWindow()) {
        return false;
    }
    return _instanceof$a(value, Element) || _instanceof$a(value, getWindow(value).Element);
}
function isHTMLElement(value) {
    if (!hasWindow()) {
        return false;
    }
    return _instanceof$a(value, HTMLElement) || _instanceof$a(value, getWindow(value).HTMLElement);
}
function isShadowRoot(value) {
    if (!hasWindow() || typeof ShadowRoot === "undefined") {
        return false;
    }
    return _instanceof$a(value, ShadowRoot) || _instanceof$a(value, getWindow(value).ShadowRoot);
}
function isOverflowElement(element) {
    var _getComputedStyle = getComputedStyle$1(element), overflow = _getComputedStyle.overflow, overflowX = _getComputedStyle.overflowX, overflowY = _getComputedStyle.overflowY, display = _getComputedStyle.display;
    return /auto|scroll|overlay|hidden|clip/.test(overflow + overflowY + overflowX) && ![
        "inline",
        "contents"
    ].includes(display);
}
function isTableElement(element) {
    return [
        "table",
        "td",
        "th"
    ].includes(getNodeName(element));
}
function isTopLayer(element) {
    return [
        ":popover-open",
        ":modal"
    ].some(function(selector) {
        try {
            return element.matches(selector);
        } catch (e) {
            return false;
        }
    });
}
function isContainingBlock(elementOrCss) {
    var webkit = isWebKit();
    var css = isElement(elementOrCss) ? getComputedStyle$1(elementOrCss) : elementOrCss;
    // https://developer.mozilla.org/en-US/docs/Web/CSS/Containing_block#identifying_the_containing_block
    // https://drafts.csswg.org/css-transforms-2/#individual-transforms
    return [
        "transform",
        "translate",
        "scale",
        "rotate",
        "perspective"
    ].some(function(value) {
        return css[value] ? css[value] !== "none" : false;
    }) || (css.containerType ? css.containerType !== "normal" : false) || !webkit && (css.backdropFilter ? css.backdropFilter !== "none" : false) || !webkit && (css.filter ? css.filter !== "none" : false) || [
        "transform",
        "translate",
        "scale",
        "rotate",
        "perspective",
        "filter"
    ].some(function(value) {
        return (css.willChange || "").includes(value);
    }) || [
        "paint",
        "layout",
        "strict",
        "content"
    ].some(function(value) {
        return (css.contain || "").includes(value);
    });
}
function getContainingBlock(element) {
    var currentNode = getParentNode(element);
    while(isHTMLElement(currentNode) && !isLastTraversableNode(currentNode)){
        if (isContainingBlock(currentNode)) {
            return currentNode;
        } else if (isTopLayer(currentNode)) {
            return null;
        }
        currentNode = getParentNode(currentNode);
    }
    return null;
}
function isWebKit() {
    if (typeof CSS === "undefined" || !CSS.supports) return false;
    return CSS.supports("-webkit-backdrop-filter", "none");
}
function isLastTraversableNode(node) {
    return [
        "html",
        "body",
        "#document"
    ].includes(getNodeName(node));
}
function getComputedStyle$1(element) {
    return getWindow(element).getComputedStyle(element);
}
function getNodeScroll(element) {
    if (isElement(element)) {
        return {
            scrollLeft: element.scrollLeft,
            scrollTop: element.scrollTop
        };
    }
    return {
        scrollLeft: element.scrollX,
        scrollTop: element.scrollY
    };
}
function getParentNode(node) {
    if (getNodeName(node) === "html") {
        return node;
    }
    var result = // Step into the shadow DOM of the parent of a slotted node.
    node.assignedSlot || // DOM Element detected.
    node.parentNode || // ShadowRoot detected.
    isShadowRoot(node) && node.host || // Fallback.
    getDocumentElement(node);
    return isShadowRoot(result) ? result.host : result;
}
function getNearestOverflowAncestor(node) {
    var parentNode = getParentNode(node);
    if (isLastTraversableNode(parentNode)) {
        return node.ownerDocument ? node.ownerDocument.body : node.body;
    }
    if (isHTMLElement(parentNode) && isOverflowElement(parentNode)) {
        return parentNode;
    }
    return getNearestOverflowAncestor(parentNode);
}
function getOverflowAncestors(node, list, traverseIframes) {
    var _node$ownerDocument2;
    if (list === void 0) {
        list = [];
    }
    if (traverseIframes === void 0) {
        traverseIframes = true;
    }
    var scrollableAncestor = getNearestOverflowAncestor(node);
    var isBody = scrollableAncestor === ((_node$ownerDocument2 = node.ownerDocument) == null ? void 0 : _node$ownerDocument2.body);
    var win = getWindow(scrollableAncestor);
    if (isBody) {
        var frameElement = getFrameElement(win);
        return list.concat(win, win.visualViewport || [], isOverflowElement(scrollableAncestor) ? scrollableAncestor : [], frameElement && traverseIframes ? getOverflowAncestors(frameElement) : []);
    }
    return list.concat(scrollableAncestor, getOverflowAncestors(scrollableAncestor, [], traverseIframes));
}
function getFrameElement(win) {
    return win.parent && Object.getPrototypeOf(win.parent) ? win.frameElement : null;
}

function _array_like_to_array$n(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$7(arr) {
    if (Array.isArray(arr)) return arr;
}
function _array_without_holes$j(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$n(arr);
}
function asyncGeneratorStep$p(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$p(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$p(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$p(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _define_property$7(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _iterable_to_array$j(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _iterable_to_array_limit$7(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$7() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _non_iterable_spread$j() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _object_spread$5(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$7(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$4(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$4(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$4(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _sliced_to_array$7(arr, i) {
    return _array_with_holes$7(arr) || _iterable_to_array_limit$7(arr, i) || _unsupported_iterable_to_array$n(arr, i) || _non_iterable_rest$7();
}
function _to_consumable_array$j(arr) {
    return _array_without_holes$j(arr) || _iterable_to_array$j(arr) || _unsupported_iterable_to_array$n(arr) || _non_iterable_spread$j();
}
function _unsupported_iterable_to_array$n(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$n(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$n(o, minLen);
}
function _ts_generator$p(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function getCssDimensions(element) {
    var css = getComputedStyle$1(element);
    // In testing environments, the `width` and `height` properties are empty
    // strings for SVG elements, returning NaN. Fallback to `0` in this case.
    var width = parseFloat(css.width) || 0;
    var height = parseFloat(css.height) || 0;
    var hasOffset = isHTMLElement(element);
    var offsetWidth = hasOffset ? element.offsetWidth : width;
    var offsetHeight = hasOffset ? element.offsetHeight : height;
    var shouldFallback = round(width) !== offsetWidth || round(height) !== offsetHeight;
    if (shouldFallback) {
        width = offsetWidth;
        height = offsetHeight;
    }
    return {
        width: width,
        height: height,
        $: shouldFallback
    };
}
function unwrapElement(element) {
    return !isElement(element) ? element.contextElement : element;
}
function getScale(element) {
    var domElement = unwrapElement(element);
    if (!isHTMLElement(domElement)) {
        return createCoords(1);
    }
    var rect = domElement.getBoundingClientRect();
    var _getCssDimensions = getCssDimensions(domElement), width = _getCssDimensions.width, height = _getCssDimensions.height, $ = _getCssDimensions.$;
    var x = ($ ? round(rect.width) : rect.width) / width;
    var y = ($ ? round(rect.height) : rect.height) / height;
    // 0, NaN, or Infinity should always fallback to 1.
    if (!x || !Number.isFinite(x)) {
        x = 1;
    }
    if (!y || !Number.isFinite(y)) {
        y = 1;
    }
    return {
        x: x,
        y: y
    };
}
var noOffsets = /*#__PURE__*/ createCoords(0);
function getVisualOffsets(element) {
    var win = getWindow(element);
    if (!isWebKit() || !win.visualViewport) {
        return noOffsets;
    }
    return {
        x: win.visualViewport.offsetLeft,
        y: win.visualViewport.offsetTop
    };
}
function shouldAddVisualOffsets(element, isFixed, floatingOffsetParent) {
    if (isFixed === void 0) {
        isFixed = false;
    }
    if (!floatingOffsetParent || isFixed && floatingOffsetParent !== getWindow(element)) {
        return false;
    }
    return isFixed;
}
function getBoundingClientRect(element, includeScale, isFixedStrategy, offsetParent) {
    if (includeScale === void 0) {
        includeScale = false;
    }
    if (isFixedStrategy === void 0) {
        isFixedStrategy = false;
    }
    var clientRect = element.getBoundingClientRect();
    var domElement = unwrapElement(element);
    var scale = createCoords(1);
    if (includeScale) {
        if (offsetParent) {
            if (isElement(offsetParent)) {
                scale = getScale(offsetParent);
            }
        } else {
            scale = getScale(element);
        }
    }
    var visualOffsets = shouldAddVisualOffsets(domElement, isFixedStrategy, offsetParent) ? getVisualOffsets(domElement) : createCoords(0);
    var x = (clientRect.left + visualOffsets.x) / scale.x;
    var y = (clientRect.top + visualOffsets.y) / scale.y;
    var width = clientRect.width / scale.x;
    var height = clientRect.height / scale.y;
    if (domElement) {
        var win = getWindow(domElement);
        var offsetWin = offsetParent && isElement(offsetParent) ? getWindow(offsetParent) : offsetParent;
        var currentWin = win;
        var currentIFrame = getFrameElement(currentWin);
        while(currentIFrame && offsetParent && offsetWin !== currentWin){
            var iframeScale = getScale(currentIFrame);
            var iframeRect = currentIFrame.getBoundingClientRect();
            var css = getComputedStyle$1(currentIFrame);
            var left = iframeRect.left + (currentIFrame.clientLeft + parseFloat(css.paddingLeft)) * iframeScale.x;
            var top = iframeRect.top + (currentIFrame.clientTop + parseFloat(css.paddingTop)) * iframeScale.y;
            x *= iframeScale.x;
            y *= iframeScale.y;
            width *= iframeScale.x;
            height *= iframeScale.y;
            x += left;
            y += top;
            currentWin = getWindow(currentIFrame);
            currentIFrame = getFrameElement(currentWin);
        }
    }
    return rectToClientRect({
        width: width,
        height: height,
        x: x,
        y: y
    });
}
// If <html> has a CSS width greater than the viewport, then this will be
// incorrect for RTL.
function getWindowScrollBarX(element, rect) {
    var leftScroll = getNodeScroll(element).scrollLeft;
    if (!rect) {
        return getBoundingClientRect(getDocumentElement(element)).left + leftScroll;
    }
    return rect.left + leftScroll;
}
function getHTMLOffset(documentElement, scroll, ignoreScrollbarX) {
    if (ignoreScrollbarX === void 0) {
        ignoreScrollbarX = false;
    }
    var htmlRect = documentElement.getBoundingClientRect();
    var x = htmlRect.left + scroll.scrollLeft - (ignoreScrollbarX ? 0 : // RTL <body> scrollbar.
    getWindowScrollBarX(documentElement, htmlRect));
    var y = htmlRect.top + scroll.scrollTop;
    return {
        x: x,
        y: y
    };
}
function convertOffsetParentRelativeRectToViewportRelativeRect(_ref) {
    var elements = _ref.elements, rect = _ref.rect, offsetParent = _ref.offsetParent, strategy = _ref.strategy;
    var isFixed = strategy === "fixed";
    var documentElement = getDocumentElement(offsetParent);
    var topLayer = elements ? isTopLayer(elements.floating) : false;
    if (offsetParent === documentElement || topLayer && isFixed) {
        return rect;
    }
    var scroll = {
        scrollLeft: 0,
        scrollTop: 0
    };
    var scale = createCoords(1);
    var offsets = createCoords(0);
    var isOffsetParentAnElement = isHTMLElement(offsetParent);
    if (isOffsetParentAnElement || !isOffsetParentAnElement && !isFixed) {
        if (getNodeName(offsetParent) !== "body" || isOverflowElement(documentElement)) {
            scroll = getNodeScroll(offsetParent);
        }
        if (isHTMLElement(offsetParent)) {
            var offsetRect = getBoundingClientRect(offsetParent);
            scale = getScale(offsetParent);
            offsets.x = offsetRect.x + offsetParent.clientLeft;
            offsets.y = offsetRect.y + offsetParent.clientTop;
        }
    }
    var htmlOffset = documentElement && !isOffsetParentAnElement && !isFixed ? getHTMLOffset(documentElement, scroll, true) : createCoords(0);
    return {
        width: rect.width * scale.x,
        height: rect.height * scale.y,
        x: rect.x * scale.x - scroll.scrollLeft * scale.x + offsets.x + htmlOffset.x,
        y: rect.y * scale.y - scroll.scrollTop * scale.y + offsets.y + htmlOffset.y
    };
}
function getClientRects(element) {
    return Array.from(element.getClientRects());
}
// Gets the entire size of the scrollable document area, even extending outside
// of the `<html>` and `<body>` rect bounds if horizontally scrollable.
function getDocumentRect(element) {
    var html = getDocumentElement(element);
    var scroll = getNodeScroll(element);
    var body = element.ownerDocument.body;
    var width = max(html.scrollWidth, html.clientWidth, body.scrollWidth, body.clientWidth);
    var height = max(html.scrollHeight, html.clientHeight, body.scrollHeight, body.clientHeight);
    var x = -scroll.scrollLeft + getWindowScrollBarX(element);
    var y = -scroll.scrollTop;
    if (getComputedStyle$1(body).direction === "rtl") {
        x += max(html.clientWidth, body.clientWidth) - width;
    }
    return {
        width: width,
        height: height,
        x: x,
        y: y
    };
}
function getViewportRect(element, strategy) {
    var win = getWindow(element);
    var html = getDocumentElement(element);
    var visualViewport = win.visualViewport;
    var width = html.clientWidth;
    var height = html.clientHeight;
    var x = 0;
    var y = 0;
    if (visualViewport) {
        width = visualViewport.width;
        height = visualViewport.height;
        var visualViewportBased = isWebKit();
        if (!visualViewportBased || visualViewportBased && strategy === "fixed") {
            x = visualViewport.offsetLeft;
            y = visualViewport.offsetTop;
        }
    }
    return {
        width: width,
        height: height,
        x: x,
        y: y
    };
}
// Returns the inner client rect, subtracting scrollbars if present.
function getInnerBoundingClientRect(element, strategy) {
    var clientRect = getBoundingClientRect(element, true, strategy === "fixed");
    var top = clientRect.top + element.clientTop;
    var left = clientRect.left + element.clientLeft;
    var scale = isHTMLElement(element) ? getScale(element) : createCoords(1);
    var width = element.clientWidth * scale.x;
    var height = element.clientHeight * scale.y;
    var x = left * scale.x;
    var y = top * scale.y;
    return {
        width: width,
        height: height,
        x: x,
        y: y
    };
}
function getClientRectFromClippingAncestor(element, clippingAncestor, strategy) {
    var rect;
    if (clippingAncestor === "viewport") {
        rect = getViewportRect(element, strategy);
    } else if (clippingAncestor === "document") {
        rect = getDocumentRect(getDocumentElement(element));
    } else if (isElement(clippingAncestor)) {
        rect = getInnerBoundingClientRect(clippingAncestor, strategy);
    } else {
        var visualOffsets = getVisualOffsets(element);
        rect = {
            x: clippingAncestor.x - visualOffsets.x,
            y: clippingAncestor.y - visualOffsets.y,
            width: clippingAncestor.width,
            height: clippingAncestor.height
        };
    }
    return rectToClientRect(rect);
}
function hasFixedPositionAncestor(element, stopNode) {
    var parentNode = getParentNode(element);
    if (parentNode === stopNode || !isElement(parentNode) || isLastTraversableNode(parentNode)) {
        return false;
    }
    return getComputedStyle$1(parentNode).position === "fixed" || hasFixedPositionAncestor(parentNode, stopNode);
}
// A "clipping ancestor" is an `overflow` element with the characteristic of
// clipping (or hiding) child elements. This returns all clipping ancestors
// of the given element up the tree.
function getClippingElementAncestors(element, cache) {
    var cachedResult = cache.get(element);
    if (cachedResult) {
        return cachedResult;
    }
    var result = getOverflowAncestors(element, [], false).filter(function(el) {
        return isElement(el) && getNodeName(el) !== "body";
    });
    var currentContainingBlockComputedStyle = null;
    var elementIsFixed = getComputedStyle$1(element).position === "fixed";
    var currentNode = elementIsFixed ? getParentNode(element) : element;
    // https://developer.mozilla.org/en-US/docs/Web/CSS/Containing_block#identifying_the_containing_block
    while(isElement(currentNode) && !isLastTraversableNode(currentNode)){
        var computedStyle = getComputedStyle$1(currentNode);
        var currentNodeIsContaining = isContainingBlock(currentNode);
        if (!currentNodeIsContaining && computedStyle.position === "fixed") {
            currentContainingBlockComputedStyle = null;
        }
        var shouldDropCurrentNode = elementIsFixed ? !currentNodeIsContaining && !currentContainingBlockComputedStyle : !currentNodeIsContaining && computedStyle.position === "static" && !!currentContainingBlockComputedStyle && [
            "absolute",
            "fixed"
        ].includes(currentContainingBlockComputedStyle.position) || isOverflowElement(currentNode) && !currentNodeIsContaining && hasFixedPositionAncestor(element, currentNode);
        if (shouldDropCurrentNode) {
            // Drop non-containing blocks.
            result = result.filter(function(ancestor) {
                return ancestor !== currentNode;
            });
        } else {
            // Record last containing block for next iteration.
            currentContainingBlockComputedStyle = computedStyle;
        }
        currentNode = getParentNode(currentNode);
    }
    cache.set(element, result);
    return result;
}
// Gets the maximum area that the element is visible in due to any number of
// clipping ancestors.
function getClippingRect(_ref) {
    var element = _ref.element, boundary = _ref.boundary, rootBoundary = _ref.rootBoundary, strategy = _ref.strategy;
    var elementClippingAncestors = boundary === "clippingAncestors" ? isTopLayer(element) ? [] : getClippingElementAncestors(element, this._c) : [].concat(boundary);
    var clippingAncestors = _to_consumable_array$j(elementClippingAncestors).concat([
        rootBoundary
    ]);
    var firstClippingAncestor = clippingAncestors[0];
    var clippingRect = clippingAncestors.reduce(function(accRect, clippingAncestor) {
        var rect = getClientRectFromClippingAncestor(element, clippingAncestor, strategy);
        accRect.top = max(rect.top, accRect.top);
        accRect.right = min(rect.right, accRect.right);
        accRect.bottom = min(rect.bottom, accRect.bottom);
        accRect.left = max(rect.left, accRect.left);
        return accRect;
    }, getClientRectFromClippingAncestor(element, firstClippingAncestor, strategy));
    return {
        width: clippingRect.right - clippingRect.left,
        height: clippingRect.bottom - clippingRect.top,
        x: clippingRect.left,
        y: clippingRect.top
    };
}
function getDimensions(element) {
    var _getCssDimensions = getCssDimensions(element), width = _getCssDimensions.width, height = _getCssDimensions.height;
    return {
        width: width,
        height: height
    };
}
function getRectRelativeToOffsetParent(element, offsetParent, strategy) {
    var isOffsetParentAnElement = isHTMLElement(offsetParent);
    var documentElement = getDocumentElement(offsetParent);
    var isFixed = strategy === "fixed";
    var rect = getBoundingClientRect(element, true, isFixed, offsetParent);
    var scroll = {
        scrollLeft: 0,
        scrollTop: 0
    };
    var offsets = createCoords(0);
    if (isOffsetParentAnElement || !isOffsetParentAnElement && !isFixed) {
        if (getNodeName(offsetParent) !== "body" || isOverflowElement(documentElement)) {
            scroll = getNodeScroll(offsetParent);
        }
        if (isOffsetParentAnElement) {
            var offsetRect = getBoundingClientRect(offsetParent, true, isFixed, offsetParent);
            offsets.x = offsetRect.x + offsetParent.clientLeft;
            offsets.y = offsetRect.y + offsetParent.clientTop;
        } else if (documentElement) {
            // If the <body> scrollbar appears on the left (e.g. RTL systems). Use
            // Firefox with layout.scrollbar.side = 3 in about:config to test this.
            offsets.x = getWindowScrollBarX(documentElement);
        }
    }
    var htmlOffset = documentElement && !isOffsetParentAnElement && !isFixed ? getHTMLOffset(documentElement, scroll) : createCoords(0);
    var x = rect.left + scroll.scrollLeft - offsets.x - htmlOffset.x;
    var y = rect.top + scroll.scrollTop - offsets.y - htmlOffset.y;
    return {
        x: x,
        y: y,
        width: rect.width,
        height: rect.height
    };
}
function isStaticPositioned(element) {
    return getComputedStyle$1(element).position === "static";
}
function getTrueOffsetParent(element, polyfill) {
    if (!isHTMLElement(element) || getComputedStyle$1(element).position === "fixed") {
        return null;
    }
    if (polyfill) {
        return polyfill(element);
    }
    var rawOffsetParent = element.offsetParent;
    // Firefox returns the <html> element as the offsetParent if it's non-static,
    // while Chrome and Safari return the <body> element. The <body> element must
    // be used to perform the correct calculations even if the <html> element is
    // non-static.
    if (getDocumentElement(element) === rawOffsetParent) {
        rawOffsetParent = rawOffsetParent.ownerDocument.body;
    }
    return rawOffsetParent;
}
// Gets the closest ancestor positioned element. Handles some edge cases,
// such as table ancestors and cross browser bugs.
function getOffsetParent(element, polyfill) {
    var win = getWindow(element);
    if (isTopLayer(element)) {
        return win;
    }
    if (!isHTMLElement(element)) {
        var svgOffsetParent = getParentNode(element);
        while(svgOffsetParent && !isLastTraversableNode(svgOffsetParent)){
            if (isElement(svgOffsetParent) && !isStaticPositioned(svgOffsetParent)) {
                return svgOffsetParent;
            }
            svgOffsetParent = getParentNode(svgOffsetParent);
        }
        return win;
    }
    var offsetParent = getTrueOffsetParent(element, polyfill);
    while(offsetParent && isTableElement(offsetParent) && isStaticPositioned(offsetParent)){
        offsetParent = getTrueOffsetParent(offsetParent, polyfill);
    }
    if (offsetParent && isLastTraversableNode(offsetParent) && isStaticPositioned(offsetParent) && !isContainingBlock(offsetParent)) {
        return win;
    }
    return offsetParent || getContainingBlock(element) || win;
}
var getElementRects = function() {
    var _ref = _async_to_generator$p(function(data) {
        var getOffsetParentFn, getDimensionsFn, floatingDimensions, _tmp, _tmp1;
        return _ts_generator$p(this, function(_state) {
            switch(_state.label){
                case 0:
                    getOffsetParentFn = this.getOffsetParent || getOffsetParent;
                    getDimensionsFn = this.getDimensions;
                    return [
                        4,
                        getDimensionsFn(data.floating)
                    ];
                case 1:
                    floatingDimensions = _state.sent();
                    _tmp = {};
                    _tmp1 = [
                        data.reference
                    ];
                    return [
                        4,
                        getOffsetParentFn(data.floating)
                    ];
                case 2:
                    return [
                        2,
                        (_tmp.reference = getRectRelativeToOffsetParent.apply(void 0, _tmp1.concat([
                            _state.sent(),
                            data.strategy
                        ])), _tmp.floating = {
                            x: 0,
                            y: 0,
                            width: floatingDimensions.width,
                            height: floatingDimensions.height
                        }, _tmp)
                    ];
            }
        });
    });
    return function getElementRects(data) {
        return _ref.apply(this, arguments);
    };
}();
function isRTL(element) {
    return getComputedStyle$1(element).direction === "rtl";
}
var platform = {
    convertOffsetParentRelativeRectToViewportRelativeRect: convertOffsetParentRelativeRectToViewportRelativeRect,
    getDocumentElement: getDocumentElement,
    getClippingRect: getClippingRect,
    getOffsetParent: getOffsetParent,
    getElementRects: getElementRects,
    getClientRects: getClientRects,
    getDimensions: getDimensions,
    getScale: getScale,
    isElement: isElement,
    isRTL: isRTL
};
function rectsAreEqual(a, b) {
    return a.x === b.x && a.y === b.y && a.width === b.width && a.height === b.height;
}
// https://samthor.au/2021/observing-dom/
function observeMove(element, onMove) {
    var io = null;
    var timeoutId;
    var root = getDocumentElement(element);
    function cleanup() {
        var _io;
        clearTimeout(timeoutId);
        (_io = io) == null || _io.disconnect();
        io = null;
    }
    function refresh(skip, threshold) {
        if (skip === void 0) {
            skip = false;
        }
        if (threshold === void 0) {
            threshold = 1;
        }
        cleanup();
        var elementRectForRootMargin = element.getBoundingClientRect();
        var left = elementRectForRootMargin.left, top = elementRectForRootMargin.top, width = elementRectForRootMargin.width, height = elementRectForRootMargin.height;
        if (!skip) {
            onMove();
        }
        if (!width || !height) {
            return;
        }
        var insetTop = floor(top);
        var insetRight = floor(root.clientWidth - (left + width));
        var insetBottom = floor(root.clientHeight - (top + height));
        var insetLeft = floor(left);
        var rootMargin = -insetTop + "px " + -insetRight + "px " + -insetBottom + "px " + -insetLeft + "px";
        var options = {
            rootMargin: rootMargin,
            threshold: max(0, min(1, threshold)) || 1
        };
        var isFirstUpdate = true;
        function handleObserve(entries) {
            var ratio = entries[0].intersectionRatio;
            if (ratio !== threshold) {
                if (!isFirstUpdate) {
                    return refresh();
                }
                if (!ratio) {
                    // If the reference is clipped, the ratio is 0. Throttle the refresh
                    // to prevent an infinite loop of updates.
                    timeoutId = setTimeout(function() {
                        refresh(false, 1e-7);
                    }, 1000);
                } else {
                    refresh(false, ratio);
                }
            }
            if (ratio === 1 && !rectsAreEqual(elementRectForRootMargin, element.getBoundingClientRect())) {
                // It's possible that even though the ratio is reported as 1, the
                // element is not actually fully within the IntersectionObserver's root
                // area anymore. This can happen under performance constraints. This may
                // be a bug in the browser's IntersectionObserver implementation. To
                // work around this, we compare the element's bounding rect now with
                // what it was at the time we created the IntersectionObserver. If they
                // are not equal then the element moved, so we refresh.
                refresh();
            }
            isFirstUpdate = false;
        }
        // Older browsers don't support a `document` as the root and will throw an
        // error.
        try {
            io = new IntersectionObserver(handleObserve, _object_spread_props$4(_object_spread$5({}, options), {
                // Handle <iframe>s
                root: root.ownerDocument
            }));
        } catch (e) {
            io = new IntersectionObserver(handleObserve, options);
        }
        io.observe(element);
    }
    refresh(true);
    return cleanup;
}
/**
 * Automatically updates the position of the floating element when necessary.
 * Should only be called when the floating element is mounted on the DOM or
 * visible on the screen.
 * @returns cleanup function that should be invoked when the floating element is
 * removed from the DOM or hidden from the screen.
 * @see https://floating-ui.com/docs/autoUpdate
 */ function autoUpdate(reference, floating, update, options) {
    if (options === void 0) {
        options = {};
    }
    var _options_ancestorScroll = options.ancestorScroll, ancestorScroll = _options_ancestorScroll === void 0 ? true : _options_ancestorScroll, _options_ancestorResize = options.ancestorResize, ancestorResize = _options_ancestorResize === void 0 ? true : _options_ancestorResize, _options_elementResize = options.elementResize, elementResize = _options_elementResize === void 0 ? typeof ResizeObserver === "function" : _options_elementResize, _options_layoutShift = options.layoutShift, layoutShift = _options_layoutShift === void 0 ? typeof IntersectionObserver === "function" : _options_layoutShift, _options_animationFrame = options.animationFrame, animationFrame = _options_animationFrame === void 0 ? false : _options_animationFrame;
    var referenceEl = unwrapElement(reference);
    var ancestors = ancestorScroll || ancestorResize ? _to_consumable_array$j(referenceEl ? getOverflowAncestors(referenceEl) : []).concat(_to_consumable_array$j(getOverflowAncestors(floating))) : [];
    ancestors.forEach(function(ancestor) {
        ancestorScroll && ancestor.addEventListener("scroll", update, {
            passive: true
        });
        ancestorResize && ancestor.addEventListener("resize", update);
    });
    var cleanupIo = referenceEl && layoutShift ? observeMove(referenceEl, update) : null;
    var reobserveFrame = -1;
    var resizeObserver = null;
    if (elementResize) {
        resizeObserver = new ResizeObserver(function(_ref) {
            var _$_ref = _sliced_to_array$7(_ref, 1), firstEntry = _$_ref[0];
            if (firstEntry && firstEntry.target === referenceEl && resizeObserver) {
                // Prevent update loops when using the `size` middleware.
                // https://github.com/floating-ui/floating-ui/issues/1740
                resizeObserver.unobserve(floating);
                cancelAnimationFrame(reobserveFrame);
                reobserveFrame = requestAnimationFrame(function() {
                    var _resizeObserver;
                    (_resizeObserver = resizeObserver) == null || _resizeObserver.observe(floating);
                });
            }
            update();
        });
        if (referenceEl && !animationFrame) {
            resizeObserver.observe(referenceEl);
        }
        resizeObserver.observe(floating);
    }
    var frameId;
    var prevRefRect = animationFrame ? getBoundingClientRect(reference) : null;
    if (animationFrame) {
        frameLoop();
    }
    function frameLoop() {
        var nextRefRect = getBoundingClientRect(reference);
        if (prevRefRect && !rectsAreEqual(prevRefRect, nextRefRect)) {
            update();
        }
        prevRefRect = nextRefRect;
        frameId = requestAnimationFrame(frameLoop);
    }
    update();
    return function() {
        var _resizeObserver2;
        ancestors.forEach(function(ancestor) {
            ancestorScroll && ancestor.removeEventListener("scroll", update);
            ancestorResize && ancestor.removeEventListener("resize", update);
        });
        cleanupIo == null || cleanupIo();
        (_resizeObserver2 = resizeObserver) == null || _resizeObserver2.disconnect();
        resizeObserver = null;
        if (animationFrame) {
            cancelAnimationFrame(frameId);
        }
    };
}
/**
 * Modifies the placement by translating the floating element along the
 * specified axes.
 * A number (shorthand for `mainAxis` or distance), or an axes configuration
 * object may be passed.
 * @see https://floating-ui.com/docs/offset
 */ var offset = offset$1;
/**
 * Optimizes the visibility of the floating element by shifting it in order to
 * keep it in view when it will overflow the clipping boundary.
 * @see https://floating-ui.com/docs/shift
 */ var shift = shift$1;
/**
 * Optimizes the visibility of the floating element by flipping the `placement`
 * in order to keep it in view when the preferred placement(s) will overflow the
 * clipping boundary. Alternative to `autoPlacement`.
 * @see https://floating-ui.com/docs/flip
 */ var flip = flip$1;
/**
 * Provides data that allows you to change the size of the floating element —
 * for instance, prevent it from overflowing the clipping boundary or match the
 * width of the reference element.
 * @see https://floating-ui.com/docs/size
 */ var size = size$1;
/**
 * Provides data to position an inner element of the floating element so that it
 * appears centered to the reference element.
 * @see https://floating-ui.com/docs/arrow
 */ var arrow = arrow$1;
/**
 * Computes the `x` and `y` coordinates that will place the floating element
 * next to a given reference element.
 */ var computePosition = function(reference, floating, options) {
    // This caches the expensive `getClippingElementAncestors` function so that
    // multiple lifecycle resets re-use the same result. It only lives for a
    // single call. If other functions become expensive, we can add them as well.
    var cache = new Map();
    var mergedOptions = _object_spread$5({
        platform: platform
    }, options);
    var platformWithCache = _object_spread_props$4(_object_spread$5({}, mergedOptions.platform), {
        _c: cache
    });
    return computePosition$1(reference, floating, _object_spread_props$4(_object_spread$5({}, mergedOptions), {
        platform: platformWithCache
    }));
};

function _array_like_to_array$m(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$6(arr) {
    if (Array.isArray(arr)) return arr;
}
function _array_without_holes$i(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$m(arr);
}
function asyncGeneratorStep$o(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$o(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$o(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$o(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$1h(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1g(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1g(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1g(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1g(Constructor, staticProps);
    return Constructor;
}
function _instanceof$9(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _iterable_to_array$i(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _iterable_to_array_limit$6(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$6() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _non_iterable_spread$i() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _sliced_to_array$6(arr, i) {
    return _array_with_holes$6(arr) || _iterable_to_array_limit$6(arr, i) || _unsupported_iterable_to_array$m(arr, i) || _non_iterable_rest$6();
}
function _to_consumable_array$i(arr) {
    return _array_without_holes$i(arr) || _iterable_to_array$i(arr) || _unsupported_iterable_to_array$m(arr) || _non_iterable_spread$i();
}
function _unsupported_iterable_to_array$m(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$m(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$m(o, minLen);
}
function _ts_generator$o(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function c$g(o) {
    if (typeof o == "undefined") return 0;
    var t = window.devicePixelRatio || 1;
    return Math.round(o * t) / t;
}
var p$q = 8, C$2 = 100, T = function(o) {
    var e;
    return (e = ({
        left: [
            "right",
            "bottom",
            "top"
        ],
        "left-start": [
            "right-start",
            "bottom",
            "top"
        ],
        "left-end": [
            "right-end",
            "bottom",
            "top"
        ],
        right: [
            "left",
            "bottom",
            "top"
        ],
        "right-start": [
            "left-start",
            "bottom",
            "top"
        ],
        "right-end": [
            "left-end",
            "bottom",
            "top"
        ],
        top: [
            "bottom",
            "left",
            "right"
        ],
        "top-start": [
            "bottom-start",
            "left",
            "right"
        ],
        "top-end": [
            "bottom-end",
            "left",
            "right"
        ],
        bottom: [
            "top",
            "left",
            "right"
        ],
        "bottom-start": [
            "top-start",
            "left",
            "right"
        ],
        "bottom-end": [
            "top-end",
            "left",
            "right"
        ]
    })[o]) != null ? e : [
        o
    ];
};
var PlacementController = /*#__PURE__*/ function() {
    function PlacementController(t) {
        var _this = this;
        _class_call_check$1h(this, PlacementController);
        this.originalPlacements = new WeakMap;
        this.allowPlacementUpdate = !1;
        this.closeForAncestorUpdate = function() {
            !_this.allowPlacementUpdate && _this.options.type !== "modal" && _this.cleanup && _this.target.dispatchEvent(new Event("close", {
                bubbles: !0
            })), _this.allowPlacementUpdate = !1;
        };
        this.updatePlacement = function() {
            _this.computePlacement();
        };
        this.resetOverlayPosition = function() {
            !_this.target || !_this.options || (_this.clearOverlayPosition(), _this.host.offsetHeight, _this.computePlacement());
        };
        this.host = t, this.host.addController(this);
    }
    _create_class$1g(PlacementController, [
        {
            key: "placeOverlay",
            value: function placeOverlay() {
                var t = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : this.target, e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : this.options;
                var _this = this;
                return _async_to_generator$o(function() {
                    var m, h;
                    return _ts_generator$o(this, function(_state) {
                        if (_this.target = t, _this.options = e, !t || !e) return [
                            2
                        ];
                        m = autoUpdate(e.trigger, t, _this.closeForAncestorUpdate, {
                            ancestorResize: !1,
                            elementResize: !1,
                            layoutShift: !1
                        }), h = autoUpdate(e.trigger, t, _this.updatePlacement, {
                            ancestorScroll: !1
                        });
                        _this.cleanup = function() {
                            var n;
                            (n = _this.host.elements) == null || n.forEach(function(a) {
                                a.addEventListener("sp-closed", function() {
                                    var r = _this.originalPlacements.get(a);
                                    r && a.setAttribute("placement", r), _this.originalPlacements.delete(a);
                                }, {
                                    once: !0
                                });
                            }), m(), h();
                        };
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "computePlacement",
            value: function computePlacement() {
                var _this = this;
                return _async_to_generator$o(function() {
                    var g, u, t, e, m, _ref, tmp, h, tmp1, n, a, r, _ref1, P, E, s, f, _f_arrow, i, d;
                    return _ts_generator$o(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                t = _this.options, e = _this.target;
                                return [
                                    4,
                                    document.fonts ? document.fonts.ready : Promise.resolve()
                                ];
                            case 1:
                                _state.sent();
                                m = _instanceof$9(t.trigger, HTMLElement) ? flip() : flip({
                                    padding: p$q,
                                    fallbackPlacements: T(t.placement)
                                }), _ref = _sliced_to_array$6(Array.isArray(t == null ? void 0 : t.offset) ? t.offset : [
                                    t.offset,
                                    0
                                ], 2), tmp = _ref[0], h = tmp === void 0 ? 0 : tmp, tmp1 = _ref[1], n = tmp1 === void 0 ? 0 : tmp1, a = (g = _this.host.elements.find(function(i) {
                                    return i.tipElement;
                                })) == null ? void 0 : g.tipElement, r = [
                                    offset({
                                        mainAxis: h,
                                        crossAxis: n
                                    }),
                                    shift({
                                        padding: p$q
                                    }),
                                    m,
                                    size({
                                        padding: p$q,
                                        apply: function(param) {
                                            var i = param.availableWidth, d = param.availableHeight, _param_rects = param.rects, x = _param_rects.floating;
                                            var b = Math.max(C$2, Math.floor(d)), l = x.height;
                                            _this.initialHeight = _this.isConstrained && _this.initialHeight || l, _this.isConstrained = l < _this.initialHeight || b <= l;
                                            var O = _this.isConstrained ? "".concat(b, "px") : "";
                                            Object.assign(e.style, {
                                                maxWidth: "".concat(Math.floor(i), "px"),
                                                maxHeight: O
                                            });
                                        }
                                    })
                                ].concat(_to_consumable_array$i(a ? [
                                    arrow({
                                        element: a,
                                        padding: t.tipPadding || p$q
                                    })
                                ] : []));
                                return [
                                    4,
                                    computePosition(t.trigger, e, {
                                        placement: t.placement,
                                        middleware: r,
                                        strategy: "fixed"
                                    })
                                ];
                            case 2:
                                _ref1 = _state.sent(), P = _ref1.x, E = _ref1.y, s = _ref1.placement, f = _ref1.middlewareData;
                                if (Object.assign(e.style, {
                                    top: "0px",
                                    left: "0px",
                                    translate: "".concat(c$g(P), "px ").concat(c$g(E), "px")
                                }), e.setAttribute("actual-placement", s), (u = _this.host.elements) == null || u.forEach(function(i) {
                                    _this.originalPlacements.has(i) || _this.originalPlacements.set(i, i.getAttribute("placement")), i.setAttribute("placement", s);
                                }), a && f.arrow) {
                                    _f_arrow = f.arrow, i = _f_arrow.x, d = _f_arrow.y;
                                    Object.assign(a.style, {
                                        top: s.startsWith("right") || s.startsWith("left") ? "0px" : "",
                                        left: s.startsWith("bottom") || s.startsWith("top") ? "0px" : "",
                                        translate: "".concat(c$g(i), "px ").concat(c$g(d), "px")
                                    });
                                }
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "clearOverlayPosition",
            value: function clearOverlayPosition() {
                this.target && (this.target.style.removeProperty("max-height"), this.target.style.removeProperty("max-width"), this.initialHeight = void 0, this.isConstrained = !1);
            }
        },
        {
            key: "hostConnected",
            value: function hostConnected() {
                document.addEventListener("sp-update-overlays", this.resetOverlayPosition);
            }
        },
        {
            key: "hostUpdated",
            value: function hostUpdated() {
                var t;
                this.host.open || ((t = this.cleanup) == null || t.call(this), this.cleanup = void 0);
            }
        },
        {
            key: "hostDisconnected",
            value: function hostDisconnected() {
                var t;
                (t = this.cleanup) == null || t.call(this), this.cleanup = void 0, document.removeEventListener("sp-update-overlays", this.resetOverlayPosition);
            }
        }
    ]);
    return PlacementController;
} 
();

function asyncGeneratorStep$n(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$n(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$n(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$n(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$1g(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1f(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1f(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1f(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1f(Constructor, staticProps);
    return Constructor;
}
function _ts_generator$n(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
var InteractionTypes = function(r) {
    return r[r.click = 0] = "click", r[r.hover = 1] = "hover", r[r.longpress = 2] = "longpress", r;
}(InteractionTypes || {});
var InteractionController = /*#__PURE__*/ function() {
    function InteractionController(e, param) {
        var t = param.overlay, r = param.isPersistent, i = param.handleOverlayReady;
        _class_call_check$1g(this, InteractionController);
        this.target = e;
        this.isLazilyOpen = !1;
        this.isPersistent = !1;
        this.isPersistent = !!r, this.handleOverlayReady = i, this.isPersistent && this.init(), this.overlay = t;
    }
    _create_class$1f(InteractionController, [
        {
            key: "activelyOpening",
            get: function get() {
                return !1;
            }
        },
        {
            key: "open",
            get: function get() {
                var e, t;
                return (t = (e = this.overlay) == null ? void 0 : e.open) != null ? t : this.isLazilyOpen;
            },
            set: function set(e) {
                if (e !== this.open) {
                    if (this.isLazilyOpen = e, this.overlay) {
                        this.overlay.open = e;
                        return;
                    }
                    var _this = this;
                    e && (customElements.whenDefined("sp-overlay").then(/*#__PURE__*/ _async_to_generator$n(function() {
                        var _ref, t;
                        return _ts_generator$n(this, function(_state) {
                            switch(_state.label){
                                case 0:
                                    return [
                                        4,
                                        Promise.resolve().then(function () { return Overlay$1; })
                                    ];
                                case 1:
                                    _ref = _state.sent(), t = _ref.Overlay;
                                    _this.overlay = new t, _this.overlay.open = !0;
                                    return [
                                        2
                                    ];
                            }
                        });
                    })), Promise.resolve().then(function () { return spOverlay; }));
                }
            }
        },
        {
            key: "overlay",
            get: function get() {
                return this._overlay;
            },
            set: function set(e) {
                var t;
                e && this.overlay !== e && (this.overlay && this.overlay.removeController(this), this._overlay = e, this.overlay.addController(this), this.initOverlay(), this.prepareDescription(this.target), (t = this.handleOverlayReady) == null || t.call(this, this.overlay));
            }
        },
        {
            key: "prepareDescription",
            value: function prepareDescription(e) {}
        },
        {
            key: "releaseDescription",
            value: function releaseDescription() {}
        },
        {
            key: "shouldCompleteOpen",
            value: function shouldCompleteOpen() {}
        },
        {
            key: "init",
            value: function init() {}
        },
        {
            key: "initOverlay",
            value: function initOverlay() {}
        },
        {
            key: "abort",
            value: function abort() {
                var e;
                this.releaseDescription(), (e = this.abortController) == null || e.abort();
            }
        },
        {
            key: "hostConnected",
            value: function hostConnected() {
                this.init();
            }
        },
        {
            key: "hostDisconnected",
            value: function hostDisconnected() {
                this.isPersistent || this.abort();
            }
        }
    ]);
    return InteractionController;
} 
();

function _assert_this_initialized$1a(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1f(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1e(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1e(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1e(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1e(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$1a(o) {
    _get_prototype_of$1a = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1a(o);
}
function _inherits$1a(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1a(subClass, superClass);
}
function _possible_constructor_return$1a(self, call) {
    if (call && (_type_of$1a(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1a(self);
}
function _set_prototype_of$1a(o, p) {
    _set_prototype_of$1a = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1a(o, p);
}
function _type_of$1a(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1a() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1a(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1a();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1a(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1a(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1a(this, result);
    };
}
var g$8 = 300;
var LONGPRESS_INSTRUCTIONS = {
    touch: "Double tap and long press for additional options",
    keyboard: "Press Space or Alt+Down Arrow for additional options",
    mouse: "Click and hold for additional options"
};
var LongpressController = /*#__PURE__*/ function(h) {
    _inherits$1a(LongpressController, h);
    var _super = _create_super$1a(LongpressController);
    function LongpressController() {
        _class_call_check$1f(this, LongpressController);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.type = InteractionTypes.longpress;
        _this.longpressState = null;
        _this.releaseDescription = noop;
        _this.handlePointerup = function() {
            var e;
            clearTimeout(_this.timeout), _this.target && (_this.longpressState = ((e = _this.overlay) == null ? void 0 : e.state) === "opening" ? "pressed" : null, document.removeEventListener("pointerup", _this.handlePointerup), document.removeEventListener("pointercancel", _this.handlePointerup));
        };
        return _this;
    }
    _create_class$1e(LongpressController, [
        {
            key: "activelyOpening",
            get: function get() {
                return this.longpressState === "opening" || this.longpressState === "pressed";
            }
        },
        {
            key: "handleLongpress",
            value: function handleLongpress() {
                this.open = !0, this.longpressState = this.longpressState === "potential" ? "opening" : "pressed";
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown(e) {
                var _this = this;
                !this.target || e.button !== 0 || (this.longpressState = "potential", document.addEventListener("pointerup", this.handlePointerup), document.addEventListener("pointercancel", this.handlePointerup), "holdAffordance" in this.target) || (this.timeout = setTimeout(function() {
                    _this.target && _this.target.dispatchEvent(new CustomEvent("longpress", {
                        bubbles: !0,
                        composed: !0,
                        detail: {
                            source: "pointer"
                        }
                    }));
                }, g$8));
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                var t = e.code, o = e.altKey;
                o && t === "ArrowDown" && (e.stopPropagation(), e.stopImmediatePropagation());
            }
        },
        {
            key: "handleKeyup",
            value: function handleKeyup(e) {
                var _this = this;
                var t = e.code, o = e.altKey;
                if (t === "Space" || o && t === "ArrowDown") {
                    if (!this.target) return;
                    e.stopPropagation(), this.target.dispatchEvent(new CustomEvent("longpress", {
                        bubbles: !0,
                        composed: !0,
                        detail: {
                            source: "keyboard"
                        }
                    })), setTimeout(function() {
                        _this.longpressState = null;
                    });
                }
            }
        },
        {
            key: "prepareDescription",
            value: function prepareDescription(e) {
                var _this = this;
                if (this.releaseDescription !== noop || !this.overlay.elements.length) return;
                var t = document.createElement("div");
                t.id = "longpress-describedby-descriptor-".concat(randomID());
                var o = isIOS() || isAndroid() ? "touch" : "keyboard";
                t.textContent = LONGPRESS_INSTRUCTIONS[o], t.slot = "longpress-describedby-descriptor";
                var n = e.getRootNode(), s = this.overlay.getRootNode();
                n === s ? this.overlay.append(t) : (t.hidden = !("host" in n), e.insertAdjacentElement("afterend", t));
                var i = conditionAttributeWithId(e, "aria-describedby", [
                    t.id
                ]);
                this.releaseDescription = function() {
                    i(), t.remove(), _this.releaseDescription = noop;
                };
            }
        },
        {
            key: "shouldCompleteOpen",
            value: function shouldCompleteOpen() {
                this.longpressState = this.longpressState === "pressed" ? null : this.longpressState;
            }
        },
        {
            key: "init",
            value: function init() {
                var _this = this;
                var t;
                (t = this.abortController) == null || t.abort(), this.abortController = new AbortController;
                var _this_abortController = this.abortController, e = _this_abortController.signal;
                this.target.addEventListener("longpress", function() {
                    return _this.handleLongpress();
                }, {
                    signal: e
                }), this.target.addEventListener("pointerdown", function(o) {
                    return _this.handlePointerdown(o);
                }, {
                    signal: e
                }), this.prepareDescription(this.target), !this.target.holdAffordance && (this.target.addEventListener("keydown", function(o) {
                    return _this.handleKeydown(o);
                }, {
                    signal: e
                }), this.target.addEventListener("keyup", function(o) {
                    return _this.handleKeyup(o);
                }, {
                    signal: e
                }));
            }
        }
    ]);
    return LongpressController;
} 
(InteractionController);

function _assert_this_initialized$19(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1e(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1d(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1d(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1d(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1d(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$19(o) {
    _get_prototype_of$19 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$19(o);
}
function _inherits$19(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$19(subClass, superClass);
}
function _possible_constructor_return$19(self, call) {
    if (call && (_type_of$19(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$19(self);
}
function _set_prototype_of$19(o, p) {
    _set_prototype_of$19 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$19(o, p);
}
function _type_of$19(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$19() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$19(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$19();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$19(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$19(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$19(this, result);
    };
}
var ClickController = /*#__PURE__*/ function(o) {
    _inherits$19(ClickController, o);
    var _super = _create_super$19(ClickController);
    function ClickController() {
        _class_call_check$1e(this, ClickController);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.type = InteractionTypes.click;
        _this.preventNextToggle = !1;
        return _this;
    }
    _create_class$1d(ClickController, [
        {
            key: "handleClick",
            value: function handleClick() {
                this.preventNextToggle || (this.open = !this.open), this.preventNextToggle = !1;
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown() {
                this.preventNextToggle = this.open;
            }
        },
        {
            key: "init",
            value: function init() {
                var _this = this;
                var t;
                (t = this.abortController) == null || t.abort(), this.abortController = new AbortController;
                var _this_abortController = this.abortController, e = _this_abortController.signal;
                this.target.addEventListener("click", function() {
                    return _this.handleClick();
                }, {
                    signal: e
                }), this.target.addEventListener("pointerdown", function() {
                    return _this.handlePointerdown();
                }, {
                    signal: e
                });
            }
        }
    ]);
    return ClickController;
} 
(InteractionController);

function _assert_this_initialized$18(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1d(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1c(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1c(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1c(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1c(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$18(o) {
    _get_prototype_of$18 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$18(o);
}
function _inherits$18(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$18(subClass, superClass);
}
function _possible_constructor_return$18(self, call) {
    if (call && (_type_of$18(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$18(self);
}
function _set_prototype_of$18(o, p) {
    _set_prototype_of$18 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$18(o, p);
}
function _type_of$18(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$18() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$18(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$18();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$18(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$18(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$18(this, result);
    };
}
var d$g = 300;
var HoverController = /*#__PURE__*/ function(l) {
    _inherits$18(HoverController, l);
    var _super = _create_super$18(HoverController);
    function HoverController() {
        _class_call_check$1d(this, HoverController);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.type = InteractionTypes.hover;
        _this.elementIds = [];
        _this.focusedin = !1;
        _this.pointerentered = !1;
        return _this;
    }
    _create_class$1c(HoverController, [
        {
            key: "handleTargetFocusin",
            value: function handleTargetFocusin() {
                this.target.matches(":focus-visible") && (this.open = !0, this.focusedin = !0);
            }
        },
        {
            key: "handleTargetFocusout",
            value: function handleTargetFocusout() {
                this.focusedin = !1, !this.pointerentered && (this.open = !1);
            }
        },
        {
            key: "handleTargetPointerenter",
            value: function handleTargetPointerenter() {
                var e;
                this.hoverTimeout && (clearTimeout(this.hoverTimeout), this.hoverTimeout = void 0), !((e = this.overlay) != null && e.disabled) && (this.open = !0, this.pointerentered = !0);
            }
        },
        {
            key: "handleTargetPointerleave",
            value: function handleTargetPointerleave() {
                this.doPointerleave();
            }
        },
        {
            key: "handleHostPointerenter",
            value: function handleHostPointerenter() {
                this.hoverTimeout && (clearTimeout(this.hoverTimeout), this.hoverTimeout = void 0);
            }
        },
        {
            key: "handleHostPointerleave",
            value: function handleHostPointerleave() {
                this.doPointerleave();
            }
        },
        {
            key: "prepareDescription",
            value: function prepareDescription() {
                if (!this.overlay.elements.length) return;
                var e = this.target.getRootNode(), t = this.overlay.elements[0].getRootNode(), r = this.overlay.getRootNode();
                e === r ? this.prepareOverlayRelativeDescription() : e === t && this.prepareContentRelativeDescription();
            }
        },
        {
            key: "prepareOverlayRelativeDescription",
            value: function prepareOverlayRelativeDescription() {
                var _this = this;
                var e = conditionAttributeWithId(this.target, "aria-describedby", [
                    this.overlay.id
                ]);
                this.releaseDescription = function() {
                    e(), _this.releaseDescription = noop;
                };
            }
        },
        {
            key: "prepareContentRelativeDescription",
            value: function prepareContentRelativeDescription() {
                var _this = this;
                var e = [], t = this.overlay.elements.map(function(i) {
                    return e.push(i.id), i.id || (i.id = "".concat(_this.overlay.tagName.toLowerCase(), "-helper-").concat(randomID())), i.id;
                });
                this.elementIds = e;
                var r = conditionAttributeWithId(this.target, "aria-describedby", t);
                this.releaseDescription = function() {
                    r(), _this.overlay.elements.map(function(i, n) {
                        i.id = _this.elementIds[n];
                    }), _this.releaseDescription = noop;
                };
            }
        },
        {
            key: "doPointerleave",
            value: function doPointerleave() {
                var _this = this;
                this.pointerentered = !1;
                var e = this.target;
                this.focusedin && e.matches(":focus-visible") || (this.hoverTimeout = setTimeout(function() {
                    _this.open = !1;
                }, d$g));
            }
        },
        {
            key: "init",
            value: function init() {
                var _this = this;
                var t;
                (t = this.abortController) == null || t.abort(), this.abortController = new AbortController;
                var _this_abortController = this.abortController, e = _this_abortController.signal;
                this.target.addEventListener("focusin", function() {
                    return _this.handleTargetFocusin();
                }, {
                    signal: e
                }), this.target.addEventListener("focusout", function() {
                    return _this.handleTargetFocusout();
                }, {
                    signal: e
                }), this.target.addEventListener("pointerenter", function() {
                    return _this.handleTargetPointerenter();
                }, {
                    signal: e
                }), this.target.addEventListener("pointerleave", function() {
                    return _this.handleTargetPointerleave();
                }, {
                    signal: e
                }), this.overlay && this.initOverlay();
            }
        },
        {
            key: "initOverlay",
            value: function initOverlay() {
                var _this = this;
                if (!this.abortController) return;
                var _this_abortController = this.abortController, e = _this_abortController.signal;
                this.overlay.addEventListener("pointerenter", function() {
                    return _this.handleHostPointerenter();
                }, {
                    signal: e
                }), this.overlay.addEventListener("pointerleave", function() {
                    return _this.handleHostPointerleave();
                }, {
                    signal: e
                });
            }
        }
    ]);
    return HoverController;
} 
(InteractionController);

var strategies = {
    click: ClickController,
    longpress: LongpressController,
    hover: HoverController
};

function _tagged_template_literal$1_(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1_() {
    var data = _tagged_template_literal$1_([
        '\n    :host{pointer-events:none;--swc-overlay-animation-distance:var(--spectrum-spacing-100);display:contents}:host(:has(>sp-tooltip)){--swc-overlay-animation-distance:var(--spectrum-tooltip-animation-distance)}.dialog{box-sizing:border-box;--sp-overlay-open:true;background:0 0;border:0;max-width:calc(100vw - 16px);height:auto;max-height:calc(100dvh - 16px);margin:0;padding:0;display:flex;position:fixed;inset:0 auto auto 0;overflow:visible;opacity:1!important}.dialog:not([is-visible]){display:none}.dialog:focus{outline:none}dialog:modal{--mod-popover-filter:var(--spectrum-popover-filter)}:host(:not([open])) .dialog{--sp-overlay-open:false}.dialog::backdrop{display:none}.dialog:before{content:"";position:absolute;inset:-999em;pointer-events:auto!important}.dialog:not(.not-immediately-closable):before{display:none}.dialog>div{width:100%}::slotted(*){pointer-events:auto;visibility:visible!important}::slotted(sp-popover){position:static}.dialog:not([actual-placement])[placement*=top]{padding-block:var(--swc-overlay-animation-distance);margin-top:var(--swc-overlay-animation-distance)}.dialog:not([actual-placement])[placement*=right]{padding-inline:var(--swc-overlay-animation-distance);margin-left:calc(-1*var(--swc-overlay-animation-distance))}.dialog:not([actual-placement])[placement*=bottom]{padding-block:var(--swc-overlay-animation-distance);margin-top:calc(-1*var(--swc-overlay-animation-distance))}.dialog:not([actual-placement])[placement*=left]{padding-inline:var(--swc-overlay-animation-distance);margin-left:var(--swc-overlay-animation-distance)}.dialog[actual-placement*=top]{padding-block:var(--swc-overlay-animation-distance);margin-top:var(--swc-overlay-animation-distance)}.dialog[actual-placement*=right]{padding-inline:var(--swc-overlay-animation-distance);margin-left:calc(-1*var(--swc-overlay-animation-distance))}.dialog[actual-placement*=bottom]{padding-block:var(--swc-overlay-animation-distance);margin-top:calc(-1*var(--swc-overlay-animation-distance))}.dialog[actual-placement*=left]{padding-inline:var(--swc-overlay-animation-distance);margin-left:var(--swc-overlay-animation-distance)}slot[name=longpress-describedby-descriptor]{display:none}@supports selector(:open){.dialog{opacity:0}.dialog:open{opacity:1;--mod-popover-filter:var(--spectrum-popover-filter)}}@supports selector(:popover-open){.dialog{opacity:0}.dialog:popover-open{opacity:1;--mod-popover-filter:var(--spectrum-popover-filter)}}@supports (overlay:auto){.dialog{transition:all var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s)),translate 0s,display var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s));transition-behavior:allow-discrete;display:none}.dialog:popover-open,.dialog:modal{display:flex}}@supports (not selector(:open)) and (not selector(:popover-open)){:host:not([open]) .dialog{pointer-events:none}.dialog[actual-placement]{z-index:calc(var(--swc-overlay-z-index-base,1000) + var(--swc-overlay-open-count))}}\n'
    ]);
    _templateObject$1_ = function _templateObject() {
        return data;
    };
    return data;
}
var o$n = i$p(_templateObject$1_());
var F = o$n;

function _array_like_to_array$l(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$5(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$17(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$m(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$m(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$m(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$m(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$1c(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1b(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1b(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1b(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1b(Constructor, staticProps);
    return Constructor;
}
function _get$F(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$F = Reflect.get;
    } else {
        _get$F = function get(target, property, receiver) {
            var base = _super_prop_base$F(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$F(target, property, receiver || target);
}
function _get_prototype_of$17(o) {
    _get_prototype_of$17 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$17(o);
}
function _inherits$17(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$17(subClass, superClass);
}
function _instanceof$8(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _iterable_to_array_limit$5(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$5() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$17(self, call) {
    if (call && (_type_of$17(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$17(self);
}
function _set_prototype_of$17(o, p) {
    _set_prototype_of$17 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$17(o, p);
}
function _sliced_to_array$5(arr, i) {
    return _array_with_holes$5(arr) || _iterable_to_array_limit$5(arr, i) || _unsupported_iterable_to_array$l(arr, i) || _non_iterable_rest$5();
}
function _super_prop_base$F(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$17(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1Z(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$17(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$l(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$l(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$l(o, minLen);
}
function _is_native_reflect_construct$17() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$17(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$17();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$17(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$17(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$17(this, result);
    };
}
function _ts_generator$m(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$1Z() {
    var data = _tagged_template_literal$1Z([
        "\n            <slot @slotchange=",
        "></slot>\n        "
    ]);
    _templateObject$1Z = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$q() {
    var data = _tagged_template_literal$1Z([
        '\n            <dialog\n                class="dialog"\n                part="dialog"\n                placement=',
        "\n                style=",
        "\n                @close=",
        "\n                @cancel=",
        "\n                @beforetoggle=",
        "\n                ?is-visible=",
        "\n            >\n                ",
        "\n            </dialog>\n        "
    ]);
    _templateObject1$q = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$g() {
    var data = _tagged_template_literal$1Z([
        '\n            <div\n                class="dialog"\n                part="dialog"\n                placement=',
        "\n                popover=",
        "\n                style=",
        "\n                @beforetoggle=",
        "\n                @close=",
        "\n                ?is-visible=",
        "\n            >\n                ",
        "\n            </div>\n        "
    ]);
    _templateObject2$g = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$d() {
    var data = _tagged_template_literal$1Z([
        "\n            ",
        '\n            <slot name="longpress-describedby-descriptor"></slot>\n        '
    ]);
    _templateObject3$d = function _templateObject() {
        return data;
    };
    return data;
}
var b$8 = Object.defineProperty;
var E = Object.getOwnPropertyDescriptor;
var r$h = function(u, a, e, t) {
    for(var o = t > 1 ? void 0 : t ? E(a, e) : a, s = u.length - 1, l; s >= 0; s--)(l = u[s]) && (o = (t ? l(a, e, o) : l(o)) || o);
    return t && o && b$8(a, e, o), o;
};
var B = "showPopover" in document.createElement("div");
var p$p = OverlayDialog(AbstractOverlay);
B ? p$p = OverlayPopover(p$p) : p$p = OverlayNoPopover(p$p);
var i$9 = /*#__PURE__*/ function(p) {
    _inherits$17(i, p);
    var _super = _create_super$17(i);
    function i() {
        _class_call_check$1c(this, i);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this._delayed = !1;
        _this._disabled = !1;
        _this.offset = 0;
        _this._open = !1;
        _this.lastRequestSlottableState = !1;
        _this.receivesFocus = "auto";
        _this._state = "closed";
        _this.triggerElement = null;
        _this.type = "auto";
        _this.wasOpen = !1;
        _this.closeOnFocusOut = function(e) {
            if (!e.relatedTarget) return;
            var t = new Event("overlay-relation-query", {
                bubbles: !0,
                composed: !0
            });
            e.relatedTarget.addEventListener(t.type, function(o) {
                o.composedPath().includes(_assert_this_initialized$17(_this)) || (_this.open = !1);
            }), e.relatedTarget.dispatchEvent(t);
        };
        return _this;
    }
    _create_class$1b(i, [
        {
            key: "delayed",
            get: function get() {
                var e;
                return ((e = this.elements.at(-1)) == null ? void 0 : e.hasAttribute("delayed")) || this._delayed;
            },
            set: function set(e) {
                this._delayed = e;
            }
        },
        {
            key: "disabled",
            get: function get() {
                return this._disabled;
            },
            set: function set(e) {
                var t;
                this._disabled = e, e ? ((t = this.strategy) == null || t.abort(), this.wasOpen = this.open, this.open = !1) : (this.bindEvents(), this.open = this.open || this.wasOpen, this.wasOpen = !1);
            }
        },
        {
            key: "hasNonVirtualTrigger",
            get: function get() {
                return !!this.triggerElement && !_instanceof$8(this.triggerElement, VirtualTrigger);
            }
        },
        {
            key: "placementController",
            get: function get() {
                return this._placementController || (this._placementController = new PlacementController(this)), this._placementController;
            }
        },
        {
            key: "open",
            get: function get() {
                return this._open;
            },
            set: function set(e) {
                var t;
                e && this.disabled || e !== this.open && ((t = this.strategy) != null && t.activelyOpening && !e || (this._open = e, this.open && (i.openCount += 1), this.requestUpdate("open", !this.open), this.open && this.requestSlottable()));
            }
        },
        {
            key: "state",
            get: function get() {
                return this._state;
            },
            set: function set(e) {
                var o;
                if (e === this.state) return;
                var t = this.state;
                this._state = e, (this.state === "opened" || this.state === "closed") && ((o = this.strategy) == null || o.shouldCompleteOpen()), this.requestUpdate("state", t);
            }
        },
        {
            key: "elementResolver",
            get: function get() {
                return this._elementResolver || (this._elementResolver = new ElementResolutionController(this)), this._elementResolver;
            }
        },
        {
            key: "usesDialog",
            get: function get() {
                return this.type === "modal" || this.type === "page";
            }
        },
        {
            key: "popoverValue",
            get: function get() {
                if ("popover" in this) switch(this.type){
                    case "modal":
                    case "page":
                        return;
                    case "hint":
                        return "manual";
                    default:
                        return this.type;
                }
            }
        },
        {
            key: "requiresPosition",
            get: function get() {
                return !(this.type === "page" || !this.open || !this.triggerElement || !this.placement && this.type !== "hint");
            }
        },
        {
            key: "managePosition",
            value: function managePosition() {
                if (!this.requiresPosition || !this.open) return;
                var e = this.offset || 0, t = this.triggerElement, o = this.placement || "right", s = this.tipPadding;
                this.placementController.placeOverlay(this.dialogEl, {
                    offset: e,
                    placement: o,
                    tipPadding: s,
                    trigger: t,
                    type: this.type
                });
            }
        },
        {
            key: "managePopoverOpen",
            value: function managePopoverOpen() {
                var _this = this;
                var _this1 = this, _superprop_get_managePopoverOpen = function() {
                    return _get$F(_get_prototype_of$17(i.prototype), "managePopoverOpen", _this);
                };
                return _async_to_generator$m(function() {
                    var e, _tmp, _tmp1, t, _tmp2;
                    return _ts_generator$m(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _superprop_get_managePopoverOpen().call(_this1);
                                e = _this1.open;
                                _tmp1 = _this1.open !== e;
                                if (_tmp1) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    _this1.manageDelay(e)
                                ];
                            case 1:
                                _tmp1 = (_state.sent(), _this1.open !== e);
                                _state.label = 2;
                            case 2:
                                _tmp = _tmp1;
                                if (_tmp) return [
                                    3,
                                    4
                                ];
                                return [
                                    4,
                                    _this1.ensureOnDOM(e)
                                ];
                            case 3:
                                _tmp = (_state.sent(), _this1.open !== e);
                                _state.label = 4;
                            case 4:
                                if (_tmp) return [
                                    2
                                ];
                                return [
                                    4,
                                    _this1.makeTransition(e)
                                ];
                            case 5:
                                t = _state.sent();
                                _tmp2 = _this1.open === e;
                                if (!_tmp2) return [
                                    3,
                                    7
                                ];
                                return [
                                    4,
                                    _this1.applyFocus(e, t)
                                ];
                            case 6:
                                _tmp2 = _state.sent();
                                _state.label = 7;
                            case 7:
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "applyFocus",
            value: function applyFocus(e, t) {
                var _this = this;
                return _async_to_generator$m(function() {
                    return _ts_generator$m(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                if (!!(_this.receivesFocus === "false" || _this.type === "hint")) return [
                                    3,
                                    3
                                ];
                                return [
                                    4,
                                    nextFrame()
                                ];
                            case 1:
                                _state.sent();
                                return [
                                    4,
                                    nextFrame()
                                ];
                            case 2:
                                if (_state.sent(), e === _this.open && !_this.open) {
                                    _this.hasNonVirtualTrigger && _this.contains(_this.getRootNode().activeElement) && _this.triggerElement.focus();
                                    return [
                                        2
                                    ];
                                }
                                t == null || t.focus();
                                _state.label = 3;
                            case 3:
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "returnFocus",
            value: function returnFocus() {
                var t;
                if (this.open || this.type === "hint") return;
                var e = function() {
                    var l, m;
                    var o = [];
                    var s = document.activeElement;
                    for(; (l = s == null ? void 0 : s.shadowRoot) != null && l.activeElement;)s = s.shadowRoot.activeElement;
                    for(; s;){
                        var h = s.assignedSlot || s.parentElement || ((m = s.getRootNode()) == null ? void 0 : m.host);
                        h && o.push(h), s = h;
                    }
                    return o;
                };
                this.receivesFocus !== "false" && (t = this.triggerElement) != null && t.focus && (this.contains(this.getRootNode().activeElement) || e().includes(this) || document.activeElement === document.body) && this.triggerElement.focus();
            }
        },
        {
            key: "manageOpen",
            value: function manageOpen(e) {
                var _this = this;
                return _async_to_generator$m(function() {
                    var _tmp, _tmp1, t;
                    return _ts_generator$m(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _tmp = !(!_this.isConnected && _this.open);
                                if (!_tmp) return [
                                    3,
                                    3
                                ];
                                _tmp1 = _this.hasUpdated;
                                if (_tmp1) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 1:
                                _tmp1 = _state.sent();
                                _state.label = 2;
                            case 2:
                                _tmp = (_this.open ? (overlayStack.add(_this), _this.willPreventClose && (document.addEventListener("pointerup", function() {
                                    _this.dialogEl.classList.toggle("not-immediately-closable", !1), _this.willPreventClose = !1;
                                }, {
                                    once: !0
                                }), _this.dialogEl.classList.toggle("not-immediately-closable", !0))) : (e && _this.dispose(), overlayStack.remove(_this)), _this.open && _this.state !== "opened" ? _this.state = "opening" : !_this.open && _this.state !== "closed" && (_this.state = "closing"), _this.usesDialog ? _this.manageDialogOpen() : _this.managePopoverOpen(), _this.type === "auto");
                                _state.label = 3;
                            case 3:
                                if (_tmp) {
                                    t = _this.getRootNode();
                                    _this.open ? t.addEventListener("focusout", _this.closeOnFocusOut, {
                                        capture: !0
                                    }) : t.removeEventListener("focusout", _this.closeOnFocusOut, {
                                        capture: !0
                                    });
                                }
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "bindEvents",
            value: function bindEvents() {
                var e;
                (e = this.strategy) == null || e.abort(), this.strategy = void 0, this.hasNonVirtualTrigger && this.triggerInteraction && (this.strategy = new strategies[this.triggerInteraction](this.triggerElement, {
                    overlay: this
                }));
            }
        },
        {
            key: "handleBeforetoggle",
            value: function handleBeforetoggle(e) {
                e.newState !== "open" && this.handleBrowserClose();
            }
        },
        {
            key: "handleBrowserClose",
            value: function handleBrowserClose() {
                var e;
                if (!((e = this.strategy) != null && e.activelyOpening)) {
                    this.open = !1;
                    return;
                }
                this.manuallyKeepOpen();
            }
        },
        {
            key: "manuallyKeepOpen",
            value: function manuallyKeepOpen() {
                this.open = !0, this.placementController.allowPlacementUpdate = !0, this.manageOpen(!1);
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange() {
                var e, t;
                this.elements.length ? this.hasNonVirtualTrigger && ((t = this.strategy) == null || t.prepareDescription(this.triggerElement)) : (e = this.strategy) == null || e.releaseDescription();
            }
        },
        {
            key: "shouldPreventClose",
            value: function shouldPreventClose() {
                var e = this.willPreventClose;
                return this.willPreventClose = !1, e;
            }
        },
        {
            key: "requestSlottable",
            value: function requestSlottable() {
                this.lastRequestSlottableState !== this.open && (this.open || document.body.offsetHeight, this.dispatchEvent(new SlottableRequestEvent("overlay-content", this.open ? {} : removeSlottableRequest)), this.lastRequestSlottableState = this.open);
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(e) {
                var o;
                if (this.hasAttribute("id") || this.setAttribute("id", "".concat(this.tagName.toLowerCase(), "-").concat(randomID())), e.has("open") && (this.hasUpdated || this.open) && this.manageOpen(e.get("open")), e.has("trigger")) {
                    var _ref = _sliced_to_array$5(((o = this.trigger) == null ? void 0 : o.split("@")) || [], 2), s = _ref[0], l = _ref[1];
                    this.elementResolver.selector = s ? "#".concat(s) : "", this.triggerInteraction = l;
                }
                var t = !1;
                e.has(elementResolverUpdatedSymbol) && (t = this.triggerElement, this.triggerElement = this.elementResolver.element), e.has("triggerElement") && (t = e.get("triggerElement")), t !== !1 && this.bindEvents();
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$F(_get_prototype_of$17(i.prototype), "updated", this).call(this, e), e.has("placement") && (this.placement ? this.dialogEl.setAttribute("actual-placement", this.placement) : this.dialogEl.removeAttribute("actual-placement"), this.open && typeof e.get("placement") != "undefined" && this.placementController.resetOverlayPosition()), e.has("state") && this.state === "closed" && typeof e.get("state") != "undefined" && this.placementController.clearOverlayPosition();
            }
        },
        {
            key: "renderContent",
            value: function renderContent() {
                return x$3(_templateObject$1Z(), this.handleSlotchange);
            }
        },
        {
            key: "dialogStyleMap",
            get: function get() {
                return {
                    "--swc-overlay-open-count": i.openCount.toString()
                };
            }
        },
        {
            key: "renderDialog",
            value: function renderDialog() {
                return x$3(_templateObject1$q(), o$O(this.requiresPosition ? this.placement || "right" : void 0), o$N(this.dialogStyleMap), this.handleBrowserClose, this.handleBrowserClose, this.handleBeforetoggle, this.state !== "closed", this.renderContent());
            }
        },
        {
            key: "renderPopover",
            value: function renderPopover() {
                return x$3(_templateObject2$g(), o$O(this.requiresPosition ? this.placement || "right" : void 0), o$O(this.popoverValue), o$N(this.dialogStyleMap), this.handleBeforetoggle, this.handleBrowserClose, this.state !== "closed", this.renderContent());
            }
        },
        {
            key: "render",
            value: function render() {
                var e = this.type === "modal" || this.type === "page";
                return x$3(_templateObject3$d(), e ? this.renderDialog() : this.renderPopover());
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                var _this = this;
                _get$F(_get_prototype_of$17(i.prototype), "connectedCallback", this).call(this), this.addEventListener("close", function() {
                    _this.open = !1;
                }), this.hasUpdated && this.bindEvents();
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                var e;
                (e = this.strategy) == null || e.releaseDescription(), this.open = !1, _get$F(_get_prototype_of$17(i.prototype), "disconnectedCallback", this).call(this);
            }
        }
    ]);
    return i;
}(p$p);
i$9.styles = [
    F
], i$9.openCount = 1, r$h([
    n$r({
        type: Boolean
    })
], i$9.prototype, "delayed", 1), r$h([
    e$F(".dialog")
], i$9.prototype, "dialogEl", 2), r$h([
    n$r({
        type: Boolean
    })
], i$9.prototype, "disabled", 1), r$h([
    o$P({
        flatten: !0,
        selector: ':not([slot="longpress-describedby-descriptor"], slot)'
    })
], i$9.prototype, "elements", 2), r$h([
    n$r({
        type: Number
    })
], i$9.prototype, "offset", 2), r$h([
    n$r({
        type: Boolean,
        reflect: !0
    })
], i$9.prototype, "open", 1), r$h([
    n$r()
], i$9.prototype, "placement", 2), r$h([
    n$r({
        attribute: "receives-focus"
    })
], i$9.prototype, "receivesFocus", 2), r$h([
    e$F("slot")
], i$9.prototype, "slotEl", 2), r$h([
    r$A()
], i$9.prototype, "state", 1), r$h([
    n$r({
        type: Number,
        attribute: "tip-padding"
    })
], i$9.prototype, "tipPadding", 2), r$h([
    n$r()
], i$9.prototype, "trigger", 2), r$h([
    n$r({
        attribute: !1
    })
], i$9.prototype, "triggerElement", 2), r$h([
    n$r({
        attribute: !1
    })
], i$9.prototype, "triggerInteraction", 2), r$h([
    n$r()
], i$9.prototype, "type", 2);
var Overlay = i$9;

var Overlay$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    Overlay: Overlay,
    LONGPRESS_INSTRUCTIONS: LONGPRESS_INSTRUCTIONS
});

defineElement("sp-overlay", Overlay);

var spOverlay = /*#__PURE__*/Object.freeze({
    __proto__: null
});

function _tagged_template_literal$1Y(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1Y() {
    var data = _tagged_template_literal$1Y([
        '\n    .checkmark{block-size:var(--mod-menu-item-checkmark-height,var(--spectrum-menu-item-checkmark-height));inline-size:var(--mod-menu-item-checkmark-width,var(--spectrum-menu-item-checkmark-width));grid-area:e;align-self:start;margin-block-start:calc(var(--mod-menu-item-top-to-checkmark,var(--spectrum-menu-item-top-to-checkmark)) - var(--mod-menu-item-top-edge-to-text,var(--spectrum-menu-item-top-edge-to-text)));margin-inline-end:var(--mod-menu-item-text-to-control,var(--spectrum-menu-item-text-to-control))}.spectrum-Menu-back:focus-visible{box-shadow:inset calc(var(--mod-menu-item-focus-indicator-width,var(--spectrum-menu-item-focus-indicator-width))*var(--spectrum-menu-item-focus-indicator-direction-scalar,1))0 0 0 var(--highcontrast-menu-item-focus-indicator-color,var(--mod-menu-item-focus-indicator-color,var(--spectrum-menu-item-focus-indicator-color)))}.chevron{block-size:var(--spectrum-menu-item-checkmark-height);inline-size:var(--spectrum-menu-item-checkmark-width);grid-area:o;align-self:center;margin-inline-end:var(--mod-menu-item-text-to-control,var(--spectrum-menu-item-text-to-control))}.spectrum-Menu-backButton:focus-visible{outline:var(--spectrum-focus-indicator-thickness)solid var(--spectrum-focus-indicator-color);outline-offset:calc((var(--spectrum-focus-indicator-thickness) + 1px)*-1)}::slotted([slot=icon]){fill:var(--highcontrast-menu-item-color-default,var(--mod-menu-item-label-icon-color-default,var(--spectrum-menu-item-label-icon-color-default)));color:var(--highcontrast-menu-item-color-default,var(--mod-menu-item-label-icon-color-default,var(--spectrum-menu-item-label-icon-color-default)))}.checkmark{display:var(--mod-menu-checkmark-display,var(--spectrum-menu-checkmark-display));fill:var(--highcontrast-menu-checkmark-icon-color-default,var(--mod-menu-checkmark-icon-color-default,var(--spectrum-menu-checkmark-icon-color-default)));color:var(--highcontrast-menu-checkmark-icon-color-default,var(--mod-menu-checkmark-icon-color-default,var(--spectrum-menu-checkmark-icon-color-default)));opacity:1;align-self:center}:host{cursor:pointer;box-sizing:border-box;background-color:var(--highcontrast-menu-item-background-color-default,var(--mod-menu-item-background-color-default,var(--spectrum-menu-item-background-color-default)));line-height:var(--mod-menu-item-label-line-height,var(--spectrum-menu-item-label-line-height));min-block-size:var(--mod-menu-item-min-height,var(--spectrum-menu-item-min-height));padding-block-start:var(--mod-menu-item-top-edge-to-text,var(--spectrum-menu-item-top-edge-to-text));padding-block-end:var(--mod-menu-item-bottom-edge-to-text,var(--spectrum-menu-item-bottom-edge-to-text));padding-inline:var(--mod-menu-item-label-inline-edge-to-content,var(--spectrum-menu-item-label-inline-edge-to-content));align-items:center;margin:0;-webkit-text-decoration:none;text-decoration:none;position:relative}.spectrum-Menu-itemCheckbox{--mod-checkbox-top-to-text:0;--mod-checkbox-text-to-control:0;min-block-size:0}.spectrum-Menu-itemCheckbox .spectrum-Checkbox-box{margin-block-start:var(--mod-menu-item-top-to-checkbox,var(--spectrum-menu-item-top-to-checkbox));margin-block-end:0;margin-inline-end:var(--mod-menu-item-text-to-control,var(--spectrum-menu-item-text-to-control))}.spectrum-Menu-itemSwitch{min-block-size:0}.spectrum-Menu-itemSwitch .spectrum-Switch-switch{margin-block-start:var(--mod-menu-item-top-to-action,var(--spectrum-menu-item-top-to-action));margin-block-end:0}:host{grid-template:".a.b c. . ."1fr"d a e f g h i j"". . . .k. . ."". . . .l. . ."/auto auto auto auto 1fr auto auto auto;display:grid}#label{grid-area:m}:host([focused]),:host(:focus){background-color:var(--highcontrast-menu-item-background-color-focus,var(--mod-menu-item-background-color-key-focus,var(--spectrum-menu-item-background-color-key-focus)));outline:none}:host([focused])>#label,:host(:focus)>#label{color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-content-color-focus,var(--spectrum-menu-item-label-content-color-focus)))}:host([focused])>[name=description]::slotted(*),:host(:focus)>[name=description]::slotted(*){color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-description-color-focus,var(--spectrum-menu-item-description-color-focus)))}:host([focused])>::slotted([slot=value]),:host(:focus)>::slotted([slot=value]){color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-value-color-focus,var(--spectrum-menu-item-value-color-focus)))}:host([focused])>.icon:not(.chevron,.checkmark),:host(:focus)>.icon:not(.chevron,.checkmark){fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-icon-color-focus,var(--spectrum-menu-item-label-icon-color-focus)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-icon-color-focus,var(--spectrum-menu-item-label-icon-color-focus)))}:host([focused])>.chevron,:host(:focus)>.chevron{fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-collapsible-icon-color,var(--spectrum-menu-collapsible-icon-color)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-collapsible-icon-color,var(--spectrum-menu-collapsible-icon-color)))}:host([focused])>.checkmark,:host(:focus)>.checkmark{fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-checkmark-icon-color-focus,var(--spectrum-menu-checkmark-icon-color-focus)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-checkmark-icon-color-focus,var(--spectrum-menu-checkmark-icon-color-focus)))}:host([focused]) .spectrum-Menu-back,:host([focused]){box-shadow:inset calc(var(--mod-menu-item-focus-indicator-width,var(--spectrum-menu-item-focus-indicator-width))*var(--spectrum-menu-item-focus-indicator-direction-scalar,1))0 0 0 var(--highcontrast-menu-item-focus-indicator-color,var(--mod-menu-item-focus-indicator-color,var(--spectrum-menu-item-focus-indicator-color)))}:host:dir(rtl),:host([dir=rtl]){--spectrum-menu-item-focus-indicator-direction-scalar:-1}:host(:is(:active,[active])){background-color:var(--highcontrast-menu-item-background-color-focus,var(--mod-menu-item-background-color-down,var(--spectrum-menu-item-background-color-down)))}:host(:is(:active,[active]))>#label{color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-content-color-down,var(--spectrum-menu-item-label-content-color-down)))}:host(:is(:active,[active]))>[name=description]::slotted(*){color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-description-color-down,var(--spectrum-menu-item-description-color-down)))}:host(:is(:active,[active]))>::slotted([slot=value]){color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-value-color-down,var(--spectrum-menu-item-value-color-down)))}:host(:is(:active,[active]))>.icon:not(.chevron,.checkmark){fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-icon-color-down,var(--spectrum-menu-item-label-icon-color-down)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-icon-color-down,var(--spectrum-menu-item-label-icon-color-down)))}:host(:is(:active,[active]))>.chevron{fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-collapsible-icon-color,var(--spectrum-menu-collapsible-icon-color)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-collapsible-icon-color,var(--spectrum-menu-collapsible-icon-color)))}:host(:is(:active,[active]))>.checkmark{fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-checkmark-icon-color-down,var(--spectrum-menu-checkmark-icon-color-down)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-checkmark-icon-color-down,var(--spectrum-menu-checkmark-icon-color-down)))}::slotted([slot=icon]){grid-area:f;align-self:start}.spectrum-Menu-item--collapsible ::slotted([slot=icon]){grid-area:b}:host .is-selectableMultiple{align-items:start}.is-selectableMultiple .spectrum-Menu-itemCheckbox{grid-area:e}.checkmark{grid-area:e;align-self:start}.spectrum-Menu-itemSelection{grid-area:d}#label{font-size:var(--mod-menu-item-label-font-size,var(--spectrum-menu-item-label-font-size));color:var(--highcontrast-menu-item-color-default,var(--mod-menu-item-label-content-color-default,var(--spectrum-menu-item-label-content-color-default)));grid-area:g}::slotted([slot=value]){grid-area:h}.spectrum-Menu-itemActions{grid-area:i;align-self:start;margin-inline-start:var(--mod-menu-item-label-to-value-area-min-spacing,var(--spectrum-menu-item-label-to-value-area-min-spacing))}.chevron{block-size:var(--spectrum-menu-item-checkmark-height);inline-size:var(--spectrum-menu-item-checkmark-width);grid-area:o;align-self:center}.spectrum-Menu-item--collapsible .chevron{grid-area:a}[name=description]::slotted(*){grid-area:k}:host([has-submenu]) .chevron{grid-area:j}.icon:not(.chevron,.checkmark){block-size:var(--mod-menu-item-icon-height,var(--spectrum-menu-item-icon-height));inline-size:var(--mod-menu-item-icon-width,var(--spectrum-menu-item-icon-width))}.checkmark{block-size:var(--mod-menu-item-checkmark-height,var(--spectrum-menu-item-checkmark-height));inline-size:var(--mod-menu-item-checkmark-width,var(--spectrum-menu-item-checkmark-width));margin-block-start:calc(var(--mod-menu-item-top-to-checkmark,var(--spectrum-menu-item-top-to-checkmark)) - var(--mod-menu-item-top-edge-to-text,var(--spectrum-menu-item-top-edge-to-text)));margin-inline-end:var(--mod-menu-item-text-to-control,var(--spectrum-menu-item-text-to-control))}::slotted([slot=icon]){margin-inline-end:var(--mod-menu-item-label-text-to-visual,var(--spectrum-menu-item-label-text-to-visual))}.chevron{margin-inline-end:var(--mod-menu-item-text-to-control,var(--spectrum-menu-item-text-to-control))}[name=description]::slotted(*){color:var(--highcontrast-menu-item-color-default,var(--mod-menu-item-description-color-default,var(--spectrum-menu-item-description-color-default)));font-size:var(--mod-menu-item-description-font-size,var(--spectrum-menu-item-description-font-size));line-height:var(--mod-menu-item-description-line-height,var(--spectrum-menu-item-description-line-height));margin-block-start:var(--mod-menu-item-label-to-description-spacing,var(--spectrum-menu-item-label-to-description-spacing))}[name=description]::slotted(*),#label{hyphens:auto;overflow-wrap:break-word}::slotted([slot=value]){color:var(--highcontrast-menu-item-color-default,var(--mod-menu-item-value-color-default,var(--spectrum-menu-item-value-color-default)));font-size:var(--mod-menu-item-label-font-size,var(--spectrum-menu-item-label-font-size));place-self:start end;margin-inline-start:var(--mod-menu-item-label-to-value-area-min-spacing,var(--spectrum-menu-item-label-to-value-area-min-spacing))}:host([no-wrap]) #label{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.spectrum-Menu-item--collapsible.is-open{padding-block-end:0}.spectrum-Menu-item--collapsible.is-open .chevron{transform:rotate(90deg)}:host([focused]) .spectrum-Menu-item--collapsible.is-open,:host(:is(:active,[active])) .spectrum-Menu-item--collapsible.is-open,.spectrum-Menu-item--collapsible.is-open:focus{background-color:var(--highcontrast-menu-item-background-color-default,var(--mod-menu-item-background-color-default,var(--spectrum-menu-item-background-color-default)))}.spectrum-Menu-item--collapsible>::slotted([slot=icon]){padding-block-start:var(--mod-menu-section-header-top-edge-to-text,var(--mod-menu-item-top-edge-to-text,var(--spectrum-menu-item-top-edge-to-text)));padding-block-end:var(--mod-menu-section-header-bottom-edge-to-text,var(--mod-menu-item-bottom-edge-to-text,var(--spectrum-menu-item-bottom-edge-to-text)))}.chevron:dir(rtl),:host([dir=rtl]) .chevron{transform:rotate(-180deg)}:host([has-submenu]) .chevron{fill:var(--highcontrast-menu-item-color-default,var(--mod-menu-drillin-icon-color-default,var(--spectrum-menu-drillin-icon-color-default)));color:var(--highcontrast-menu-item-color-default,var(--mod-menu-drillin-icon-color-default,var(--spectrum-menu-drillin-icon-color-default)));margin-inline-start:var(--mod-menu-item-label-to-value-area-min-spacing,var(--spectrum-menu-item-label-to-value-area-min-spacing));margin-inline-end:0}:host([has-submenu]) .is-open{--spectrum-menu-item-background-color-default:var(--highcontrast-menu-item-selected-background-color,var(--mod-menu-item-background-color-hover,var(--spectrum-menu-item-background-color-hover)))}:host([has-submenu]) .is-open .icon:not(.chevron,.checkmark){fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-icon-color-hover,var(--spectrum-menu-item-label-icon-color-hover)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-icon-color-hover,var(--spectrum-menu-item-label-icon-color-hover)))}:host([has-submenu]) .is-open .chevron{fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-drillin-icon-color-hover,var(--spectrum-menu-drillin-icon-color-hover)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-drillin-icon-color-hover,var(--spectrum-menu-drillin-icon-color-hover)))}:host([has-submenu]) .is-open .checkmark{fill:var(--highcontrast-menu-checkmark-icon-color-default,var(--mod-menu-checkmark-icon-color-hover,var(--spectrum-menu-checkmark-icon-color-hover)));color:var(--highcontrast-menu-checkmark-icon-color-default,var(--mod-menu-checkmark-icon-color-hover,var(--spectrum-menu-checkmark-icon-color-hover)))}:host([has-submenu][focused]) .chevron,:host([has-submenu]:focus) .chevron{fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-drillin-icon-color-focus,var(--spectrum-menu-drillin-icon-color-focus)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-drillin-icon-color-focus,var(--spectrum-menu-drillin-icon-color-focus)))}:host([has-submenu]:is(:active,[active])) .chevron{fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-drillin-icon-color-down,var(--spectrum-menu-drillin-icon-color-down)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-drillin-icon-color-down,var(--spectrum-menu-drillin-icon-color-down)))}:host([disabled]),:host([aria-disabled=true]){background-color:initial}:host([disabled]) #label,:host([disabled]) ::slotted([slot=value]),:host([aria-disabled=true]) #label,:host([aria-disabled=true]) ::slotted([slot=value]){color:var(--highcontrast-menu-item-color-disabled,var(--mod-menu-item-label-content-color-disabled,var(--spectrum-menu-item-label-content-color-disabled)))}:host([disabled]) [name=description]::slotted(*),:host([aria-disabled=true]) [name=description]::slotted(*){color:var(--highcontrast-menu-item-color-disabled,var(--mod-menu-item-description-color-disabled,var(--spectrum-menu-item-description-color-disabled)))}:host([disabled]) ::slotted([slot=icon]),:host([aria-disabled=true]) ::slotted([slot=icon]){fill:var(--highcontrast-menu-item-color-disabled,var(--mod-menu-item-label-icon-color-disabled,var(--spectrum-menu-item-label-icon-color-disabled)));color:var(--highcontrast-menu-item-color-disabled,var(--mod-menu-item-label-icon-color-disabled,var(--spectrum-menu-item-label-icon-color-disabled)))}@media (hover:hover){:host(:hover){background-color:var(--highcontrast-menu-item-background-color-focus,var(--mod-menu-item-background-color-hover,var(--spectrum-menu-item-background-color-hover)))}:host(:hover)>#label{color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-content-color-hover,var(--spectrum-menu-item-label-content-color-hover)))}:host(:hover)>[name=description]::slotted(*){color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-description-color-hover,var(--spectrum-menu-item-description-color-hover)))}:host(:hover)>::slotted([slot=value]){color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-value-color-hover,var(--spectrum-menu-item-value-color-hover)))}:host(:hover)>.icon:not(.chevron,.checkmark){fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-icon-color-hover,var(--spectrum-menu-item-label-icon-color-hover)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-item-label-icon-color-hover,var(--spectrum-menu-item-label-icon-color-hover)))}:host(:hover)>.chevron{fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-collapsible-icon-color,var(--spectrum-menu-collapsible-icon-color)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-collapsible-icon-color,var(--spectrum-menu-collapsible-icon-color)))}:host(:hover)>.checkmark{fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-checkmark-icon-color-hover,var(--spectrum-menu-checkmark-icon-color-hover)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-checkmark-icon-color-hover,var(--spectrum-menu-checkmark-icon-color-hover)))}.spectrum-Menu-item--collapsible.is-open:hover{background-color:var(--highcontrast-menu-item-background-color-default,var(--mod-menu-item-background-color-default,var(--spectrum-menu-item-background-color-default)))}:host([has-submenu]:hover) .chevron{fill:var(--highcontrast-menu-item-color-focus,var(--mod-menu-drillin-icon-color-hover,var(--spectrum-menu-drillin-icon-color-hover)));color:var(--highcontrast-menu-item-color-focus,var(--mod-menu-drillin-icon-color-hover,var(--spectrum-menu-drillin-icon-color-hover)))}:host([disabled]:hover),:host([aria-disabled=true]:hover){cursor:default;background-color:initial}:host([disabled]:hover) #label,:host([disabled]:hover) ::slotted([slot=value]),:host([aria-disabled=true]:hover) #label,:host([aria-disabled=true]:hover) ::slotted([slot=value]){color:var(--highcontrast-menu-item-color-disabled,var(--mod-menu-item-label-content-color-disabled,var(--spectrum-menu-item-label-content-color-disabled)))}:host([disabled]:hover) [name=description]::slotted(*),:host([aria-disabled=true]:hover) [name=description]::slotted(*){color:var(--highcontrast-menu-item-color-disabled,var(--mod-menu-item-description-color-disabled,var(--spectrum-menu-item-description-color-disabled)))}:host([disabled]:hover) ::slotted([slot=icon]),:host([aria-disabled=true]:hover) ::slotted([slot=icon]){fill:var(--highcontrast-menu-item-color-disabled,var(--mod-menu-item-label-icon-color-disabled,var(--spectrum-menu-item-label-icon-color-disabled)));color:var(--highcontrast-menu-item-color-disabled,var(--mod-menu-item-label-icon-color-disabled,var(--spectrum-menu-item-label-icon-color-disabled)))}}.spectrum-Menu-back{padding-inline:var(--mod-menu-back-padding-inline-start,0)var(--mod-menu-back-padding-inline-end,var(--spectrum-menu-item-label-inline-edge-to-content));padding-block:var(--mod-menu-back-padding-block-start,0)var(--mod-menu-back-padding-block-end,0);flex-flow:wrap;align-items:center;display:flex}.spectrum-Menu-backButton{cursor:pointer;background:0 0;border:0;margin:0;padding:0;display:inline-flex}:host([focused]) .spectrum-Menu-backButton{outline:var(--spectrum-focus-indicator-thickness)solid var(--spectrum-focus-indicator-color);outline-offset:calc((var(--spectrum-focus-indicator-thickness) + 1px)*-1)}.spectrum-Menu-backHeading{color:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-heading-color,var(--spectrum-menu-section-header-color)));font-size:var(--mod-menu-section-header-font-size,var(--spectrum-menu-section-header-font-size));font-weight:var(--mod-menu-section-header-font-weight,var(--spectrum-menu-section-header-font-weight));line-height:var(--mod-menu-section-header-line-height,var(--spectrum-menu-section-header-line-height));display:block}.spectrum-Menu-backIcon{margin-block:var(--mod-menu-back-icon-margin-block,var(--spectrum-menu-back-icon-margin));margin-inline:var(--mod-menu-back-icon-margin-inline,var(--spectrum-menu-back-icon-margin));fill:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-icon-color-default));color:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-icon-color-default))}:host([hidden]){display:none}:host([disabled]){pointer-events:none}:host([disabled]) [name=value]::slotted(*),:host([has-submenu][disabled]) .chevron{color:var(--highcontrast-menu-item-color-disabled,var(--mod-menu-item-label-icon-color-disabled,var(--spectrum-menu-item-label-icon-color-disabled)))}#button{position:absolute;inset:0}:host([dir=ltr]) [icon-only]::slotted(:last-of-type){margin-right:auto}:host([dir=rtl]) [icon-only]::slotted(:last-of-type){margin-left:auto}@media (forced-colors:active){:host{forced-color-adjust:none}}::slotted([slot=submenu]){width:max-content;max-width:100%}:host([no-wrap]) #label{display:block}\n'
    ]);
    _templateObject$1Y = function _templateObject() {
        return data;
    };
    return data;
}
var o$m = i$p(_templateObject$1Y());
var g$7 = o$m;

function _assert_this_initialized$16(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$l(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$l(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$l(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$l(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$1b(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _construct$3(Parent, args, Class) {
    if (_is_native_reflect_construct$16()) {
        _construct$3 = Reflect.construct;
    } else {
        _construct$3 = function construct(Parent, args, Class) {
            var a = [
                null
            ];
            a.push.apply(a, args);
            var Constructor = Function.bind.apply(Parent, a);
            var instance = new Constructor();
            if (Class) _set_prototype_of$16(instance, Class.prototype);
            return instance;
        };
    }
    return _construct$3.apply(null, arguments);
}
function _defineProperties$1a(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1a(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1a(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1a(Constructor, staticProps);
    return Constructor;
}
function _get$E(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$E = Reflect.get;
    } else {
        _get$E = function get(target, property, receiver) {
            var base = _super_prop_base$E(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$E(target, property, receiver || target);
}
function _get_prototype_of$16(o) {
    _get_prototype_of$16 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$16(o);
}
function _inherits$16(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$16(subClass, superClass);
}
function _is_native_function$3(fn) {
    return Function.toString.call(fn).indexOf("[native code]") !== -1;
}
function _possible_constructor_return$16(self, call) {
    if (call && (_type_of$16(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$16(self);
}
function _set_prototype_of$16(o, p) {
    _set_prototype_of$16 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$16(o, p);
}
function _super_prop_base$E(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$16(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1X(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$16(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _wrap_native_super$3(Class) {
    var _cache = typeof Map === "function" ? new Map() : undefined;
    _wrap_native_super$3 = function wrapNativeSuper(Class) {
        if (Class === null || !_is_native_function$3(Class)) return Class;
        if (typeof Class !== "function") {
            throw new TypeError("Super expression must either be null or a function");
        }
        if (typeof _cache !== "undefined") {
            if (_cache.has(Class)) return _cache.get(Class);
            _cache.set(Class, Wrapper);
        }
        function Wrapper() {
            return _construct$3(Class, arguments, _get_prototype_of$16(this).constructor);
        }
        Wrapper.prototype = Object.create(Class.prototype, {
            constructor: {
                value: Wrapper,
                enumerable: false,
                writable: true,
                configurable: true
            }
        });
        return _set_prototype_of$16(Wrapper, Class);
    };
    return _wrap_native_super$3(Class);
}
function _is_native_reflect_construct$16() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$16(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$16();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$16(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$16(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$16(this, result);
    };
}
function _ts_generator$l(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$1X() {
    var data = _tagged_template_literal$1X([
        '\n            <slot\n                name="submenu"\n                @slotchange=',
        "\n                @sp-menu-item-added-or-updated=",
        "\n                @focusin=",
        "\n            ></slot>\n        "
    ]);
    _templateObject$1X = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$p() {
    var data = _tagged_template_literal$1X([
        "\n            <sp-overlay\n                .triggerElement=",
        "\n                ?disabled=",
        "\n                ?open=",
        "\n                .placement=",
        "\n                .offset=",
        "\n                .type=",
        "\n                @close=",
        "\n                @slottable-request=",
        "\n            >\n                <sp-popover\n                    @change=",
        "\n                    @pointerenter=",
        "\n                    @pointerleave=",
        "\n                    @sp-menu-item-added-or-updated=",
        "\n                >\n                    ",
        '\n                </sp-popover>\n            </sp-overlay>\n            <sp-icon-chevron100\n                class="spectrum-UIIcon-ChevronRight100 chevron icon"\n            ></sp-icon-chevron100>\n        '
    ]);
    _templateObject1$p = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$f() {
    var data = _tagged_template_literal$1X([
        '\n                      <sp-icon-checkmark100\n                          id="selected"\n                          class="spectrum-UIIcon-Checkmark100 \n                            icon \n                            checkmark\n                            ',
        '"\n                      ></sp-icon-checkmark100>\n                  '
    ]);
    _templateObject2$f = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$c() {
    var data = _tagged_template_literal$1X([
        "\n            ",
        '\n            <slot name="icon"></slot>\n            <div id="label">\n                <slot id="slot"></slot>\n            </div>\n            <slot name="description"></slot>\n            <slot name="value"></slot>\n            ',
        "\n            ",
        "\n        "
    ]);
    _templateObject3$c = function _templateObject() {
        return data;
    };
    return data;
}
var h$c = Object.defineProperty;
var p$o = Object.getOwnPropertyDescriptor;
var r$g = function(a, s, e, t) {
    for(var n = t > 1 ? void 0 : t ? p$o(s, e) : s, i = a.length - 1, d; i >= 0; i--)(d = a[i]) && (n = (t ? d(s, e, n) : d(n)) || n);
    return t && n && h$c(s, e, n), n;
};
var L = 100;
var MenuItemAddedOrUpdatedEvent = /*#__PURE__*/ function(Event1) {
    _inherits$16(MenuItemAddedOrUpdatedEvent, Event1);
    var _super = _create_super$16(MenuItemAddedOrUpdatedEvent);
    function MenuItemAddedOrUpdatedEvent(e) {
        _class_call_check$1b(this, MenuItemAddedOrUpdatedEvent);
        var _this;
        _this = _super.call(this, "sp-menu-item-added-or-updated", {
            bubbles: !0,
            composed: !0
        });
        _this.menuCascade = new WeakMap;
        _this.clear(e);
        return _this;
    }
    _create_class$1a(MenuItemAddedOrUpdatedEvent, [
        {
            key: "clear",
            value: function clear(e) {
                this._item = e, this.currentAncestorWithSelects = void 0, e.menuData = {
                    cleanupSteps: [],
                    focusRoot: void 0,
                    selectionRoot: void 0,
                    parentMenu: void 0
                }, this.menuCascade = new WeakMap;
            }
        },
        {
            key: "item",
            get: function get() {
                return this._item;
            }
        }
    ]);
    return MenuItemAddedOrUpdatedEvent;
}(_wrap_native_super$3(Event));
var MenuItem = /*#__PURE__*/ function(_f) {
    _inherits$16(MenuItem, _f);
    var _super = _create_super$16(MenuItem);
    function MenuItem() {
        _class_call_check$1b(this, MenuItem);
        var _this;
        _this = _super.call(this);
        _this.active = !1;
        _this.dependencyManager = new DependencyManagerController(_assert_this_initialized$16(_this));
        _this.focused = !1;
        _this.selected = !1;
        _this._value = "";
        _this.hasSubmenu = !1;
        _this.noWrap = !1;
        _this.open = !1;
        _this.handleSlottableRequest = function(e) {
            var t;
            (t = _this.submenuElement) == null || t.dispatchEvent(new SlottableRequestEvent(e.name, e.data));
        };
        _this.proxyFocus = function() {
            _this.focus();
        };
        _this.handleBeforetoggle = function(e) {
            e.newState === "closed" && (_this.open = !0, _this.overlayElement.manuallyKeepOpen(), _this.overlayElement.removeEventListener("beforetoggle", _this.handleBeforetoggle));
        };
        _this.recentlyLeftChild = !1;
        _this.willDispatchUpdate = !1;
        _this.menuData = {
            focusRoot: void 0,
            parentMenu: void 0,
            selectionRoot: void 0,
            cleanupSteps: []
        };
        _this.addEventListener("click", _this.handleClickCapture, {
            capture: !0
        }), new s$b(_assert_this_initialized$16(_this), {
            config: {
                characterData: !0,
                childList: !0,
                subtree: !0
            },
            callback: function(e) {
                e.every(function(n) {
                    return n.target.slot === "submenu";
                }) || _this.breakItemChildrenCache();
            }
        });
        return _this;
    }
    _create_class$1a(MenuItem, [
        {
            key: "value",
            get: function get() {
                return this._value || this.itemText;
            },
            set: function set(e) {
                e !== this._value && (this._value = e || "", this._value ? this.setAttribute("value", this._value) : this.removeAttribute("value"));
            }
        },
        {
            key: "itemText",
            get: function get() {
                return this.itemChildren.content.reduce(function(e, t) {
                    return e + (t.textContent || "").trim();
                }, "");
            }
        },
        {
            key: "focusElement",
            get: function get() {
                return this;
            }
        },
        {
            key: "hasIcon",
            get: function get() {
                return this.slotContentIsPresent;
            }
        },
        {
            key: "itemChildren",
            get: function get() {
                if (!this.iconSlot || !this.contentSlot) return {
                    icon: [],
                    content: []
                };
                if (this._itemChildren) return this._itemChildren;
                var e = this.iconSlot.assignedElements().map(function(n) {
                    var i = n.cloneNode(!0);
                    return i.removeAttribute("slot"), i.classList.toggle("icon"), i;
                }), t = this.contentSlot.assignedNodes().map(function(n) {
                    return n.cloneNode(!0);
                });
                return this._itemChildren = {
                    icon: e,
                    content: t
                }, this._itemChildren;
            }
        },
        {
            key: "click",
            value: function click() {
                this.disabled || this.shouldProxyClick() || _get$E(_get_prototype_of$16(MenuItem.prototype), "click", this).call(this);
            }
        },
        {
            key: "handleClickCapture",
            value: function handleClickCapture(e) {
                if (this.disabled) return e.preventDefault(), e.stopImmediatePropagation(), e.stopPropagation(), !1;
            }
        },
        {
            key: "shouldProxyClick",
            value: function shouldProxyClick() {
                var e = !1;
                return this.anchorElement && (this.anchorElement.click(), e = !0), e;
            }
        },
        {
            key: "breakItemChildrenCache",
            value: function breakItemChildrenCache() {
                this._itemChildren = void 0, this.triggerUpdate();
            }
        },
        {
            key: "renderSubmenu",
            value: function renderSubmenu() {
                var _this = this;
                var e = x$3(_templateObject$1X(), this.manageSubmenu, {
                    handleEvent: function(t) {
                        t.clear(t.item);
                    },
                    capture: !0
                }, function(t) {
                    return t.stopPropagation();
                });
                return this.hasSubmenu ? (this.dependencyManager.add("sp-overlay"), this.dependencyManager.add("sp-popover"), Promise.resolve().then(function () { return spOverlay; }), Promise.resolve().then(function () { return spPopover; }), x$3(_templateObject1$p(), this, !this.hasSubmenu, this.hasSubmenu && this.open && this.dependencyManager.loaded, this.isLTR ? "right-start" : "left-start", [
                    -10,
                    -5
                ], "auto", function(t) {
                    return t.stopPropagation();
                }, this.handleSlottableRequest, function(t) {
                    _this.handleSubmenuChange(t), _this.open = !1;
                }, this.handleSubmenuPointerenter, this.handleSubmenuPointerleave, function(t) {
                    return t.stopPropagation();
                }, e)) : e;
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject3$c(), this.selected ? x$3(_templateObject2$f(), this.hasIcon ? "checkmark--withAdjacentIcon" : "") : E$2, this.href && this.href.length > 0 ? _get$E(_get_prototype_of$16(MenuItem.prototype), "renderAnchor", this).call(this, {
                    id: "button",
                    ariaHidden: !0,
                    className: "button anchor hidden"
                }) : E$2, this.renderSubmenu());
            }
        },
        {
            key: "manageSubmenu",
            value: function manageSubmenu(e) {
                this.submenuElement = e.target.assignedElements({
                    flatten: !0
                })[0], this.hasSubmenu = !!this.submenuElement, this.hasSubmenu && this.setAttribute("aria-haspopup", "true");
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown(e) {
                e.target === this && this.hasSubmenu && this.open && (this.addEventListener("focus", this.handleSubmenuFocus, {
                    once: !0
                }), this.overlayElement.addEventListener("beforetoggle", this.handleBeforetoggle));
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$E(_get_prototype_of$16(MenuItem.prototype), "firstUpdated", this).call(this, e), this.setAttribute("tabindex", "-1"), this.addEventListener("pointerdown", this.handlePointerdown), this.addEventListener("pointerenter", this.closeOverlaysForRoot), this.hasAttribute("id") || (this.id = "sp-menu-item-".concat(randomID()));
            }
        },
        {
            key: "closeOverlaysForRoot",
            value: function closeOverlaysForRoot() {
                var e;
                this.open || (e = this.menuData.parentMenu) == null || e.closeDescendentOverlays();
            }
        },
        {
            key: "handleSubmenuClick",
            value: function handleSubmenuClick(e) {
                e.composedPath().includes(this.overlayElement) || this.openOverlay();
            }
        },
        {
            key: "handleSubmenuFocus",
            value: function handleSubmenuFocus() {
                var _this = this;
                requestAnimationFrame(function() {
                    _this.overlayElement.open = _this.open;
                });
            }
        },
        {
            key: "handlePointerenter",
            value: function handlePointerenter() {
                if (this.leaveTimeout) {
                    clearTimeout(this.leaveTimeout), delete this.leaveTimeout;
                    return;
                }
                this.openOverlay();
            }
        },
        {
            key: "handlePointerleave",
            value: function handlePointerleave() {
                var _this = this;
                this.open && !this.recentlyLeftChild && (this.leaveTimeout = setTimeout(function() {
                    delete _this.leaveTimeout, _this.open = !1;
                }, L));
            }
        },
        {
            key: "handleSubmenuChange",
            value: function handleSubmenuChange(e) {
                var t;
                e.stopPropagation(), (t = this.menuData.selectionRoot) == null || t.selectOrToggleItem(this);
            }
        },
        {
            key: "handleSubmenuPointerenter",
            value: function handleSubmenuPointerenter() {
                this.recentlyLeftChild = !0;
            }
        },
        {
            key: "handleSubmenuPointerleave",
            value: function handleSubmenuPointerleave() {
                var _this = this;
                return _async_to_generator$l(function() {
                    return _ts_generator$l(this, function(_state) {
                        requestAnimationFrame(function() {
                            _this.recentlyLeftChild = !1;
                        });
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "handleSubmenuOpen",
            value: function handleSubmenuOpen(e) {
                var _this = this;
                this.focused = !1;
                var t = e.composedPath().find(function(n) {
                    return n !== _this.overlayElement && n.localName === "sp-overlay";
                });
                this.overlayElement.parentOverlayToForceClose = t;
            }
        },
        {
            key: "cleanup",
            value: function cleanup() {
                this.open = !1, this.active = !1;
            }
        },
        {
            key: "openOverlay",
            value: function openOverlay() {
                var _this = this;
                return _async_to_generator$l(function() {
                    return _ts_generator$l(this, function(_state) {
                        !_this.hasSubmenu || _this.open || _this.disabled || (_this.open = !0, _this.active = !0, _this.setAttribute("aria-expanded", "true"), _this.addEventListener("sp-closed", _this.cleanup, {
                            once: !0
                        }));
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "updateAriaSelected",
            value: function updateAriaSelected() {
                var e = this.getAttribute("role");
                e === "option" ? this.setAttribute("aria-selected", this.selected ? "true" : "false") : (e === "menuitemcheckbox" || e === "menuitemradio") && this.setAttribute("aria-checked", this.selected ? "true" : "false");
            }
        },
        {
            key: "setRole",
            value: function setRole(e) {
                this.setAttribute("role", e), this.updateAriaSelected();
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                var t, n;
                if (_get$E(_get_prototype_of$16(MenuItem.prototype), "updated", this).call(this, e), e.has("label") && (this.label || typeof e.get("label") != "undefined") && this.setAttribute("aria-label", this.label || ""), e.has("active") && (this.active || typeof e.get("active") != "undefined") && this.active && ((t = this.menuData.selectionRoot) == null || t.closeDescendentOverlays()), this.anchorElement && (this.anchorElement.addEventListener("focus", this.proxyFocus), this.anchorElement.tabIndex = -1), e.has("selected") && this.updateAriaSelected(), e.has("hasSubmenu") && (this.hasSubmenu || typeof e.get("hasSubmenu") != "undefined")) if (this.hasSubmenu) {
                    this.abortControllerSubmenu = new AbortController;
                    var i = {
                        signal: this.abortControllerSubmenu.signal
                    };
                    this.addEventListener("click", this.handleSubmenuClick, i), this.addEventListener("pointerenter", this.handlePointerenter, i), this.addEventListener("pointerleave", this.handlePointerleave, i), this.addEventListener("sp-opened", this.handleSubmenuOpen, i);
                } else (n = this.abortControllerSubmenu) == null || n.abort();
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                _get$E(_get_prototype_of$16(MenuItem.prototype), "connectedCallback", this).call(this), this.triggerUpdate();
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                var _this = this;
                this.menuData.cleanupSteps.forEach(function(e) {
                    return e(_this);
                }), this.menuData = {
                    focusRoot: void 0,
                    parentMenu: void 0,
                    selectionRoot: void 0,
                    cleanupSteps: []
                }, _get$E(_get_prototype_of$16(MenuItem.prototype), "disconnectedCallback", this).call(this);
            }
        },
        {
            key: "triggerUpdate",
            value: function triggerUpdate() {
                var _this = this;
                return _async_to_generator$l(function() {
                    var _tmp;
                    return _ts_generator$l(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _tmp = _this.willDispatchUpdate;
                                if (_tmp) return [
                                    3,
                                    2
                                ];
                                _this.willDispatchUpdate = !0;
                                return [
                                    4,
                                    new Promise(function(e) {
                                        return requestAnimationFrame(e);
                                    })
                                ];
                            case 1:
                                _tmp = (_state.sent(), _this.dispatchUpdate());
                                _state.label = 2;
                            case 2:
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "dispatchUpdate",
            value: function dispatchUpdate() {
                this.isConnected && (this.dispatchEvent(new MenuItemAddedOrUpdatedEvent(this)), this.willDispatchUpdate = !1);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    g$7,
                    C$5,
                    C$6
                ];
            }
        }
    ]);
    return MenuItem;
}(LikeAnchor(ObserveSlotText(ObserveSlotPresence(Focusable, '[slot="icon"]'))));
r$g([
    n$r({
        type: Boolean,
        reflect: !0
    })
], MenuItem.prototype, "active", 2), r$g([
    n$r({
        type: Boolean,
        reflect: !0
    })
], MenuItem.prototype, "focused", 2), r$g([
    n$r({
        type: Boolean,
        reflect: !0
    })
], MenuItem.prototype, "selected", 2), r$g([
    n$r({
        type: String
    })
], MenuItem.prototype, "value", 1), r$g([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "has-submenu"
    })
], MenuItem.prototype, "hasSubmenu", 2), r$g([
    e$F("slot:not([name])")
], MenuItem.prototype, "contentSlot", 2), r$g([
    e$F('slot[name="icon"]')
], MenuItem.prototype, "iconSlot", 2), r$g([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "no-wrap",
        hasChanged: function hasChanged() {
            return !1;
        }
    })
], MenuItem.prototype, "noWrap", 2), r$g([
    e$F(".anchor")
], MenuItem.prototype, "anchorElement", 2), r$g([
    e$F("sp-overlay")
], MenuItem.prototype, "overlayElement", 2), r$g([
    n$r({
        type: Boolean,
        reflect: !0
    })
], MenuItem.prototype, "open", 2);

defineElement("sp-menu-item", MenuItem);

function _tagged_template_literal$1W(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1W() {
    var data = _tagged_template_literal$1W([
        "\n    .root{--spectrum-picker-button-height:var(--spectrum-component-height-100);--spectrum-picker-button-width:var(--spectrum-component-height-100);--spectrum-picker-button-gap:var(--spectrum-text-to-visual-50);--spectrum-picker-button-padding:var(--spectrum-in-field-button-edge-to-fill);--spectrum-picker-button-label-padding:var(--spectrum-text-to-visual-50);--spectrum-picker-button-fill-padding:var(--spectrum-field-edge-to-disclosure-icon-100);--spectrum-picker-button-border-radius-rounded:var(--spectrum-corner-radius-200);--spectrum-picker-button-icon-color:var(--spectrum-neutral-content-color-default);--spectrum-picker-button-icon-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-picker-button-icon-color-down:var(--spectrum-neutral-content-color-down);--spectrum-picker-button-icon-color-key-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-picker-button-font-color:var(--spectrum-neutral-content-color-default);--spectrum-picker-button-font-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-picker-button-font-color-down:var(--spectrum-neutral-content-color-down);--spectrum-picker-button-font-color-key-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-picker-button-font-family:var(--spectrum-sans-font-family-stack);--spectrum-picker-button-font-style:var(--spectrum-default-font-style);--spectrum-picker-button-font-weight:var(--spectrum-body-sans-serif-font-weight);--spectrum-picker-button-font-size:var(--spectrum-font-size-100);--spectrum-picker-button-background-animation-duration:var(--spectrum-animation-duration-100)}:host([disabled]) .root{--mod-picker-button-background-color:var(--mod-picker-button-background-color-disabled,var(--spectrum-disabled-background-color));--mod-picker-button-background-color-hover:var(--mod-picker-button-background-color-hover-disabled,var(--spectrum-disabled-background-color));--mod-picker-button-background-color-down:var(--mod-picker-button-background-color-down-disabled,var(--spectrum-disabled-background-color));--mod-picker-button-border-color:var(--mod-picker-button-border-color-disabled,var(--spectrum-disabled-background-color));--mod-picker-button-font-color:var(--mod-picker-button-font-color-disabled,var(--spectrum-disabled-content-color));--mod-picker-button-font-color-hover:var(--mod-picker-button-font-color-hover-disabled,var(--spectrum-disabled-content-color));--mod-picker-button-font-color-down:var(--mod-picker-button-font-color-down-disabled,var(--spectrum-disabled-content-color));--mod-picker-button-icon-color:var(--mod-picker-button-icon-color-disabled,var(--spectrum-disabled-content-color));--mod-picker-button-icon-color-hover:var(--mod-picker-button-icon-color-hover-disabled,var(--spectrum-disabled-content-color));--mod-picker-button-icon-color-down:var(--mod-picker-button-icon-color-down-disabled,var(--spectrum-disabled-content-color))}:host([quiet]) .root{--mod-picker-button-background-color:var(--mod-picker-button-background-color-quiet,transparent);--mod-picker-button-background-color-hover:var(--mod-picker-button-background-color-hover-quiet,transparent);--mod-picker-button-background-color-down:var(--mod-picker-button-background-color-down-quiet,transparent);--mod-picker-button-background-color-key-focus:var(--mod-picker-button-background-color-key-focus-quiet,transparent);--mod-picker-button-border-color:var(--mod-picker-button-border-color-quiet,transparent)}:host([size=s]) .root{--spectrum-picker-button-height:var(--spectrum-component-height-75);--spectrum-picker-button-width:var(--spectrum-component-height-75);--spectrum-picker-button-label-padding:var(--spectrum-spacing-75);--spectrum-picker-button-font-size:var(--spectrum-font-size-75);--spectrum-picker-button-fill-padding:var(--spectrum-field-edge-to-disclosure-icon-75)}:host([size=l]) .root{--spectrum-picker-button-height:var(--spectrum-component-height-200);--spectrum-picker-button-width:var(--spectrum-component-height-200);--spectrum-picker-button-label-padding:var(--spectrum-text-to-visual-200);--spectrum-picker-button-font-size:var(--spectrum-font-size-200);--spectrum-picker-button-fill-padding:var(--spectrum-field-edge-to-disclosure-icon-200)}:host([size=xl]) .root{--spectrum-picker-button-height:var(--spectrum-component-height-300);--spectrum-picker-button-width:var(--spectrum-component-height-300);--spectrum-picker-button-label-padding:var(--spectrum-text-to-visual-300);--spectrum-picker-button-font-size:var(--spectrum-font-size-300);--spectrum-picker-button-fill-padding:var(--spectrum-field-edge-to-disclosure-icon-300)}.root{background-color:initial;block-size:var(--mod-picker-button-width,var(--spectrum-picker-button-width));box-sizing:border-box;padding:var(--mod-picker-button-padding,var(--spectrum-picker-button-padding));border-style:none;justify-content:center;align-items:center;display:flex}@media (hover:hover){.root:hover .spectrum-PickerButton-fill{background-color:var(--mod-picker-button-background-color-hover,var(--spectrum-picker-button-background-color-hover))}.root:hover .spectrum-PickerButton-label{color:var(--mod-picker-button-font-color-hover,var(--spectrum-picker-button-font-color-hover))}.root:hover .spectrum-PickerButton-icon{color:var(--mod-picker-button-icon-color-hover,var(--spectrum-picker-button-icon-color-hover))}}:host([open]) .root .spectrum-PickerButton-fill,:host(:is(:active,[active])) .root .spectrum-PickerButton-fill{background-color:var(--mod-picker-button-background-color-down,var(--spectrum-picker-button-background-color-down))}:host([open]) .root .spectrum-PickerButton-label,:host(:is(:active,[active])) .root .spectrum-PickerButton-label{color:var(--mod-picker-button-font-color-down,var(--spectrum-picker-button-font-color-down))}:host([open]) .root .spectrum-PickerButton-icon,:host(:is(:active,[active])) .root .spectrum-PickerButton-icon{color:var(--mod-picker-button-icon-color-down,var(--spectrum-picker-button-icon-color-down))}:host([focused]) .root .spectrum-PickerButton-fill,.root.is-keyboardFocused .spectrum-PickerButton-fill,.root:focus .spectrum-PickerButton-fill,.root:focus-visible .spectrum-PickerButton-fill{background-color:var(--mod-picker-button-background-color-key-focus,var(--spectrum-picker-button-background-color-key-focus))}:host([focused]) .root .spectrum-PickerButton-label,.root.is-keyboardFocused .spectrum-PickerButton-label,.root:focus .spectrum-PickerButton-label,.root:focus-visible .spectrum-PickerButton-label{color:var(--mod-picker-button-font-color-key-focus,var(--spectrum-picker-button-font-color-key-focus))}:host([focused]) .root .spectrum-PickerButton-icon,.root.is-keyboardFocused .spectrum-PickerButton-icon,.root:focus .spectrum-PickerButton-icon,.root:focus-visible .spectrum-PickerButton-icon{color:var(--mod-picker-button-icon-color-key-focus,var(--spectrum-picker-button-icon-color-key-focus))}:host([position=right]) .spectrum-PickerButton-fill{border-start-start-radius:var(--mod-picker-button-border-radius-sided,var(--spectrum-picker-button-border-radius-sided));border-end-start-radius:var(--mod-picker-button-border-radius-sided,var(--spectrum-picker-button-border-radius-sided))}:host([position=right][rounded]) .spectrum-PickerButton-fill{border-start-start-radius:var(--mod-picker-button-border-radius-rounded-sided,var(--spectrum-picker-button-border-radius-rounded-sided));border-end-start-radius:var(--mod-picker-button-border-radius-rounded-sided,var(--spectrum-picker-button-border-radius-rounded-sided))}:host([position=left]) .spectrum-PickerButton-fill{border-start-end-radius:var(--mod-picker-button-border-radius-sided,var(--spectrum-picker-button-border-radius-sided));border-end-end-radius:var(--mod-picker-button-border-radius-sided,var(--spectrum-picker-button-border-radius-sided))}:host([position=left][rounded]) .spectrum-PickerButton-fill{border-start-end-radius:var(--mod-picker-button-border-radius-rounded-sided,var(--spectrum-picker-button-border-radius-rounded-sided));border-end-end-radius:var(--mod-picker-button-border-radius-rounded-sided,var(--spectrum-picker-button-border-radius-rounded-sided))}.spectrum-PickerButton-label{color:var(--mod-picker-button-font-color,var(--spectrum-picker-button-font-color));white-space:nowrap;font-family:var(--mod-picker-button-font-family,var(--spectrum-picker-button-font-family));font-style:var(--mod-picker-button-font-style,var(--spectrum-picker-button-font-style));font-weight:var(--mod-picker-button-font-weight,var(--spectrum-picker-button-font-weight));font-size:var(--mod-picker-button-font-size,var(--spectrum-picker-button-font-size));flex:auto;padding-block-start:var(--mod-picker-button-label-padding,var(--spectrum-picker-button-label-padding));padding-block-end:var(--mod-picker-button-label-padding,var(--spectrum-picker-button-label-padding));overflow:hidden}.spectrum-PickerButton-fill{box-sizing:border-box;justify-content:center;align-items:center;gap:var(--mod-picker-button-gap,var(--spectrum-picker-button-gap));background-color:var(--mod-picker-button-background-color,var(--spectrum-picker-button-background-color));border-color:var(--mod-picker-button-border-color,var(--spectrum-picker-button-border-color));border-width:var(--mod-picker-button-border-width,var(--spectrum-picker-button-border-width));padding:calc(var(--mod-picker-button-fill-padding,var(--spectrum-picker-button-fill-padding)) - var(--mod-picker-button-padding,var(--spectrum-picker-button-padding)) - var(--mod-picker-button-border-width,var(--spectrum-picker-button-border-width)));transition:border-color var(--mod-picker-button-background-animation-duration,var(--spectrum-picker-button-background-animation-duration))ease-in-out;border-style:solid;border-start-start-radius:var(--mod-picker-button-border-radius,var(--spectrum-picker-button-border-radius));border-start-end-radius:var(--mod-picker-button-border-radius,var(--spectrum-picker-button-border-radius));border-end-end-radius:var(--mod-picker-button-border-radius,var(--spectrum-picker-button-border-radius));border-end-start-radius:var(--mod-picker-button-border-radius,var(--spectrum-picker-button-border-radius));block-size:100%;inline-size:100%;display:flex}.spectrum-PickerButton-icon{color:var(--mod-picker-button-icon-color,var(--spectrum-picker-button-icon-color));flex-shrink:0}:host([rounded]) .spectrum-PickerButton-fill{border-start-start-radius:var(--mod-picker-button-border-radius-rounded,var(--spectrum-picker-button-border-radius-rounded));border-start-end-radius:var(--mod-picker-button-border-radius-rounded,var(--spectrum-picker-button-border-radius-rounded));border-end-end-radius:var(--mod-picker-button-border-radius-rounded,var(--spectrum-picker-button-border-radius-rounded));border-end-start-radius:var(--mod-picker-button-border-radius-rounded,var(--spectrum-picker-button-border-radius-rounded))}.uiicononly{inline-size:var(--mod-picker-button-height,var(--spectrum-picker-button-height))}.uiicononly .spectrum-PickerButton-label{display:none}.uiicononly .spectrum-PickerButton-fill{padding:0}.textuiicon .spectrum-PickerButton-fill{inline-size:auto}.root{--spectrum-picker-button-background-color:var(--system-spectrum-pickerbutton-spectrum-picker-button-background-color);--spectrum-picker-button-background-color-hover:var(--system-spectrum-pickerbutton-spectrum-picker-button-background-color-hover);--spectrum-picker-button-background-color-down:var(--system-spectrum-pickerbutton-spectrum-picker-button-background-color-down);--spectrum-picker-button-background-color-key-focus:var(--system-spectrum-pickerbutton-spectrum-picker-button-background-color-key-focus);--spectrum-picker-button-border-color:var(--system-spectrum-pickerbutton-spectrum-picker-button-border-color);--spectrum-picker-button-border-radius:var(--system-spectrum-pickerbutton-spectrum-picker-button-border-radius);--spectrum-picker-button-border-radius-rounded-sided:var(--system-spectrum-pickerbutton-spectrum-picker-button-border-radius-rounded-sided);--spectrum-picker-button-border-radius-sided:var(--system-spectrum-pickerbutton-spectrum-picker-button-border-radius-sided);--spectrum-picker-button-border-width:var(--system-spectrum-pickerbutton-spectrum-picker-button-border-width)}:host{display:inline-flex}.root{display:flex}\n"
    ]);
    _templateObject$1W = function _templateObject() {
        return data;
    };
    return data;
}
var o$l = i$p(_templateObject$1W());
var f$c = o$l;

function _assert_this_initialized$15(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1a(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$19(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$19(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$19(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$19(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$15(o) {
    _get_prototype_of$15 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$15(o);
}
function _inherits$15(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$15(subClass, superClass);
}
function _possible_constructor_return$15(self, call) {
    if (call && (_type_of$15(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$15(self);
}
function _set_prototype_of$15(o, p) {
    _set_prototype_of$15 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$15(o, p);
}
function _tagged_template_literal$1V(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$15(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$15() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$15(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$15();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$15(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$15(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$15(this, result);
    };
}
function _templateObject$1V() {
    var data = _tagged_template_literal$1V([
        "\n            <div class=",
        '>\n                <div class="spectrum-PickerButton-fill">\n                    <span\n                        class="spectrum-PickerButton-label is-placeholder"\n                        ?hidden=',
        '\n                    >\n                        <slot name="label"></slot>\n                    </span>\n                    <slot name="icon">\n                        <sp-icon-chevron100\n                            class="spectrum-PickerButton-icon spectrum-Icon ',
        '"\n                        ></sp-icon-chevron100>\n                    </slot>\n                </div>\n            </div>\n        '
    ]);
    _templateObject$1V = function _templateObject() {
        return data;
    };
    return data;
}
var a$e = Object.defineProperty;
var p$n = Object.getOwnPropertyDescriptor;
var i$8 = function(r, t, o, s) {
    for(var e = s > 1 ? void 0 : s ? p$n(t, o) : t, l = r.length - 1, n; l >= 0; l--)(n = r[l]) && (e = (s ? n(t, o, e) : n(e)) || e);
    return s && e && a$e(t, o, e), e;
};
var x = {
    s: "spectrum-UIIcon-ChevronDown75",
    m: "spectrum-UIIcon-ChevronDown100",
    l: "spectrum-UIIcon-ChevronDown200",
    xl: "spectrum-UIIcon-ChevronDown300"
};
var PickerButton = /*#__PURE__*/ function(_u) {
    _inherits$15(PickerButton, _u);
    var _super = _create_super$15(PickerButton);
    function PickerButton() {
        _class_call_check$1a(this, PickerButton);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.invalid = !1;
        _this.position = "right";
        return _this;
    }
    _create_class$19(PickerButton, [
        {
            key: "hasText",
            get: function get() {
                return this.slotContentIsPresent;
            }
        },
        {
            key: "render",
            value: function render() {
                var o = {
                    root: !0,
                    uiicononly: !this.hasText,
                    textuiicon: this.hasText
                };
                return x$3(_templateObject$1V(), e$C(o), !this.hasText, x[this.size]);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    f$c,
                    C$6
                ];
            }
        }
    ]);
    return PickerButton;
}(SizedMixin(ObserveSlotPresence(ButtonBase, '[slot="label"]')));
i$8([
    n$r({
        type: Boolean,
        reflect: !0
    })
], PickerButton.prototype, "invalid", 2), i$8([
    n$r({
        reflect: !0
    })
], PickerButton.prototype, "position", 2);

defineElement("sp-picker-button", PickerButton);

function _tagged_template_literal$1U(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1U() {
    var data = _tagged_template_literal$1U([
        "\n    :host{--spectrum-combobox-inline-size:var(--spectrum-field-width);--spectrum-combobox-block-size:var(--spectrum-component-height-100);--spectrum-combobox-min-inline-size:calc(var(--spectrum-combo-box-minimum-width-multiplier)*var(--spectrum-combobox-block-size));--spectrum-combobox-button-width:var(--spectrum-combobox-block-size);--spectrum-combobox-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-combobox-font-size:var(--spectrum-font-size-100);--spectrum-combobox-spacing-inline-icon-to-button:var(--spectrum-combo-box-visual-to-field-button-medium);--spectrum-combobox-block-spacing-edge-to-progress-circle:var(--spectrum-field-top-to-progress-circle-medium);--spectrum-combobox-block-spacing-edge-to-alert:var(--spectrum-field-top-to-alert-icon-medium);--spectrum-combobox-spacing-edge-to-menu:var(--spectrum-component-to-menu-medium);--spectrum-combobox-spacing-block-start-edge-to-text:var(--spectrum-component-top-to-text-100);--spectrum-combobox-spacing-block-end-edge-to-text:var(--spectrum-component-bottom-to-text-100);--spectrum-combobox-spacing-inline-start-edge-to-text:var(--spectrum-component-edge-to-text-100);--spectrum-combobox-spacing-inline-end-edge-to-text:var(--spectrum-component-edge-to-text-100);--spectrum-combobox-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-combobox-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-combobox-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-combobox-border-radius:var(--spectrum-corner-radius-100);--spectrum-combobox-border-width:var(--spectrum-border-width-100);--spectrum-combobox-spacing-label-to-combobox:var(--spectrum-field-label-to-component);--spectrum-combobox-font-style:var(--spectrum-default-font-style);--spectrum-combobox-line-height:var(--spectrum-line-height-100);--spectrum-combobox-border-color-invalid-default:var(--spectrum-negative-border-color-default);--spectrum-combobox-border-color-invalid-hover:var(--spectrum-negative-border-color-hover);--spectrum-combobox-border-color-invalid-focus:var(--spectrum-negative-border-color-focus);--spectrum-combobox-border-color-invalid-focus-hover:var(--spectrum-negative-border-color-focus-hover);--spectrum-combobox-border-color-invalid-key-focus:var(--spectrum-negative-border-color-key-focus);--mod-textfield-focus-indicator-gap:var(--mod-combobox-focus-indicator-gap,var(--spectrum-combobox-focus-indicator-gap));--mod-textfield-focus-indicator-width:var(--mod-combobox-focus-indicator-thickness,var(--spectrum-combobox-focus-indicator-thickness));--mod-textfield-focus-indicator-color:var(--mod-combobox-focus-indicator-color,var(--spectrum-combobox-focus-indicator-color));--mod-textfield-background-color:var(--mod-combobox-background-color-default);--mod-textfield-background-color-disabled:var(--mod-combobox-background-color-disabled);--mod-textfield-font-family:var(--mod-combobox-font-family);--mod-textfield-font-weight:var(--mod-combobox-font-weight);--mod-textfield-text-color-default:var(--mod-combobox-font-color-default);--mod-textfield-text-color-hover:var(--mod-combobox-font-color-hover);--mod-textfield-text-color-focus:var(--mod-combobox-font-color-focus);--mod-textfield-text-color-focus-hover:var(--mod-combobox-font-color-focus-hover);--mod-textfield-text-color-keyboard-focus:var(--mod-combobox-font-color-key-focus);--mod-textfield-text-color-disabled:var(--mod-combobox-font-color-disabled);--mod-textfield-border-width:var(--mod-combobox-border-width,var(--spectrum-combobox-border-width));--mod-textfield-border-color:var(--mod-combobox-border-color-default,var(--spectrum-combobox-border-color-default));--mod-textfield-border-color-disabled:var(--mod-combobox-border-color-disabled);--mod-textfield-border-color-focus:var(--mod-combobox-border-color-focus,var(--spectrum-combobox-border-color-focus));--mod-textfield-border-color-focus-hover:var(--mod-combobox-border-color-focus-hover,var(--spectrum-combobox-border-color-focus-hover));--mod-textfield-border-color-hover:var(--mod-combobox-border-color-hover,var(--spectrum-combobox-border-color-hover));--mod-textfield-border-color-keyboard-focus:var(--mod-combobox-border-color-key-focus,var(--spectrum-combobox-border-color-key-focus));--mod-textfield-border-color-invalid-default:var(--mod-combobox-border-color-invalid-default,var(--spectrum-combobox-border-color-invalid-default));--mod-textfield-border-color-invalid-hover:var(--mod-combobox-border-color-invalid-hover,var(--spectrum-combobox-border-color-invalid-hover));--mod-textfield-border-color-invalid-focus:var(--mod-combobox-border-color-invalid-focus,var(--spectrum-combobox-border-color-invalid-focus));--mod-textfield-border-color-invalid-focus-hover:var(--mod-combobox-border-color-invalid-focus-hover,var(--spectrum-combobox-border-color-invalid-focus-hover));--mod-textfield-border-color-invalid-keyboard-focus:var(--mod-combobox-border-color-invalid-key-focus,var(--spectrum-combobox-border-color-invalid-key-focus));--mod-textfield-icon-color-invalid:var(--mod-combobox-alert-icon-color);--mod-picker-button-border-width:var(--mod-combobox-border-width,var(--spectrum-combobox-border-width));--mod-picker-button-border-color:var(--mod-combobox-border-color-default,var(--spectrum-combobox-border-color-default));--mod-picker-button-background-color:var(--mod-combobox-background-color-default);--mod-picker-button-background-color-disabled:var(--mod-combobox-background-color-disabled);--mod-picker-button-font-color-disabled:var(--mod-combobox-font-color-disabled)}:host([size=s]){--spectrum-combobox-block-size:var(--spectrum-component-height-75);--spectrum-combobox-icon-size:var(--spectrum-workflow-icon-size-75);--spectrum-combobox-font-size:var(--spectrum-font-size-75);--spectrum-combobox-spacing-inline-icon-to-button:var(--spectrum-combo-box-visual-to-field-button-small);--spectrum-combobox-block-spacing-edge-to-progress-circle:var(--spectrum-field-top-to-progress-circle-small);--spectrum-combobox-block-spacing-edge-to-alert:var(--spectrum-field-top-to-alert-icon-small);--spectrum-combobox-spacing-edge-to-menu:var(--spectrum-component-to-menu-small);--spectrum-combobox-spacing-block-start-edge-to-text:var(--spectrum-component-top-to-text-75);--spectrum-combobox-spacing-block-end-edge-to-text:var(--spectrum-component-bottom-to-text-75);--spectrum-combobox-spacing-inline-start-edge-to-text:var(--spectrum-component-edge-to-text-75);--spectrum-combobox-spacing-inline-end-edge-to-text:var(--spectrum-component-edge-to-text-75)}:host{--spectrum-combobox-block-size:var(--spectrum-component-height-100);--spectrum-combobox-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-combobox-font-size:var(--spectrum-font-size-100);--spectrum-combobox-spacing-inline-icon-to-button:var(--spectrum-combo-box-visual-to-field-button-medium);--spectrum-combobox-block-spacing-edge-to-progress-circle:var(--spectrum-field-top-to-progress-circle-medium);--spectrum-combobox-block-spacing-edge-to-alert:var(--spectrum-field-top-to-alert-icon-medium);--spectrum-combobox-spacing-edge-to-menu:var(--spectrum-component-to-menu-medium);--spectrum-combobox-spacing-block-start-edge-to-text:var(--spectrum-component-top-to-text-100);--spectrum-combobox-spacing-block-end-edge-to-text:var(--spectrum-component-bottom-to-text-100);--spectrum-combobox-spacing-inline-start-edge-to-text:var(--spectrum-component-edge-to-text-100);--spectrum-combobox-spacing-inline-end-edge-to-text:var(--spectrum-component-edge-to-text-100)}:host([size=l]){--spectrum-combobox-block-size:var(--spectrum-component-height-200);--spectrum-combobox-icon-size:var(--spectrum-workflow-icon-size-200);--spectrum-combobox-font-size:var(--spectrum-font-size-200);--spectrum-combobox-spacing-inline-icon-to-button:var(--spectrum-combo-box-visual-to-field-button-large);--spectrum-combobox-block-spacing-edge-to-progress-circle:var(--spectrum-field-top-to-progress-circle-large);--spectrum-combobox-block-spacing-edge-to-alert:var(--spectrum-field-top-to-alert-icon-large);--spectrum-combobox-spacing-edge-to-menu:var(--spectrum-component-to-menu-large);--spectrum-combobox-spacing-block-start-edge-to-text:var(--spectrum-component-top-to-text-200);--spectrum-combobox-spacing-block-end-edge-to-text:var(--spectrum-component-bottom-to-text-200);--spectrum-combobox-spacing-inline-start-edge-to-text:var(--spectrum-component-edge-to-text-200);--spectrum-combobox-spacing-inline-end-edge-to-text:var(--spectrum-component-edge-to-text-200)}:host([size=xl]){--spectrum-combobox-block-size:var(--spectrum-component-height-300);--spectrum-combobox-icon-size:var(--spectrum-workflow-icon-size-300);--spectrum-combobox-font-size:var(--spectrum-font-size-300);--spectrum-combobox-spacing-inline-icon-to-button:var(--spectrum-combo-box-visual-to-field-button-extra-large);--spectrum-combobox-block-spacing-edge-to-progress-circle:var(--spectrum-field-top-to-progress-circle-extra-large);--spectrum-combobox-block-spacing-edge-to-alert:var(--spectrum-field-top-to-alert-icon-extra-large);--spectrum-combobox-spacing-edge-to-menu:var(--spectrum-component-to-menu-extra-large);--spectrum-combobox-spacing-block-start-edge-to-text:var(--spectrum-component-top-to-text-300);--spectrum-combobox-spacing-block-end-edge-to-text:var(--spectrum-component-bottom-to-text-300);--spectrum-combobox-spacing-inline-start-edge-to-text:var(--spectrum-component-edge-to-text-300);--spectrum-combobox-spacing-inline-end-edge-to-text:var(--spectrum-component-edge-to-text-300)}:host([quiet]){--spectrum-combobox-min-inline-size:calc(var(--spectrum-combo-box-quiet-minimum-width-multiplier)*var(--spectrum-combobox-block-size));--spectrum-combobox-spacing-inline-icon-to-button:var(--spectrum-combo-box-visual-to-field-button-quiet);--spectrum-combobox-spacing-inline-start-edge-to-text:var(--spectrum-field-edge-to-text-quiet);--spectrum-combobox-spacing-label-to-combobox:var(--spectrum-field-label-to-component-quiet-medium);--spectrum-combobox-button-inline-offset:calc(var(--mod-combobox-block-size,var(--spectrum-combobox-block-size))/2 - var(--mod-combobox-icon-size,var(--spectrum-combobox-icon-size))/2);--mod-picker-button-background-color-quiet:transparent;--mod-picker-button-border-color-quiet:transparent}:host([quiet][size=s]){--spectrum-combobox-spacing-label-to-combobox:var(--spectrum-field-label-to-component-quiet-small)}:host([quiet]){--spectrum-combobox-spacing-label-to-combobox:var(--spectrum-field-label-to-component-quiet-medium)}:host([quiet][size=l]){--spectrum-combobox-spacing-label-to-combobox:var(--spectrum-field-label-to-component-quiet-large)}:host([quiet][size=xl]){--spectrum-combobox-spacing-label-to-combobox:var(--spectrum-field-label-to-component-quiet-extra-large)}@media (forced-colors:active){:host{--highcontrast-combobox-border-color-highlight:Highlight;--highcontrast-combobox-border-color-invalid:Highlight}.button.spectrum-PickerButton--quiet .spectrum-PickerButton-fill{forced-color-adjust:none}.button.spectrum-PickerButton--quiet .spectrum-PickerButton-icon{color:initial}}:host{inline-size:var(--mod-combobox-inline-size,var(--spectrum-combobox-inline-size));min-inline-size:var(--mod-combobox-min-inline-size,var(--spectrum-combobox-min-inline-size));block-size:var(--mod-combobox-block-size,var(--spectrum-combobox-block-size));border-radius:var(--mod-combobox-border-radius,var(--spectrum-combobox-border-radius));flex-flow:row;margin-block-start:var(--mod-combobox-spacing-label-to-combobox,var(--spectrum-combobox-spacing-label-to-combobox));display:inline-flex;position:relative}.spectrum-Popover.is-open{transform:translateY(var(--mod-combobox-spacing-edge-to-menu,var(--spectrum-combobox-spacing-edge-to-menu)))}.progress-circle{position:absolute;inset-block-start:var(--mod-combobox-block-spacing-edge-to-progress-circle,var(--spectrum-combobox-block-spacing-edge-to-progress-circle));inset-block-end:var(--mod-combobox-block-spacing-edge-to-alert,var(--spectrum-combobox-block-spacing-edge-to-alert));inset-inline-end:calc(var(--mod-combobox-spacing-inline-icon-to-button,var(--spectrum-combobox-spacing-inline-icon-to-button)) + var(--mod-combobox-button-width,var(--spectrum-combobox-button-width)))}.progress-circle:dir(rtl),:host([dir=rtl]) .progress-circle{inset-inline-start:calc(var(--mod-combobox-spacing-inline-icon-to-button,var(--spectrum-combobox-spacing-inline-icon-to-button)) + var(--mod-combobox-button-width,var(--spectrum-combobox-button-width)));inset-inline-end:inherit}.button{position:absolute;inset-inline-end:calc(var(--mod-combobox-button-inline-offset,var(--spectrum-combobox-button-inline-offset,0px))*-1)}.button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--mod-combobox-border-color-default,var(--spectrum-combobox-border-color-default))}:host([focused]) .button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet),.button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet):focus,:host([focused]) .button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet),:host:has(:focus) .button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--highcontrast-combobox-border-color-highlight,var(--mod-combobox-border-color-focus,var(--spectrum-combobox-border-color-focus)))}:host([keyboard-focused]) .button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet),.button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet):focus-visible,:host([keyboard-focused]) .button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--mod-combobox-border-color-key-focus,var(--spectrum-combobox-border-color-key-focus))}.button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet):active,:host:has(:active) .button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--highcontrast-combobox-border-color-highlight,var(--mod-combobox-border-color-hover,var(--spectrum-combobox-border-color-hover)))}:host([invalid]) .button:not(:disabled,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--highcontrast-combobox-border-color-invalid,var(--mod-combobox-border-color-invalid-default,var(--spectrum-combobox-border-color-invalid-default)))}:host([invalid][focused]) .button:not(:disabled,.spectrum-PickerButton--quiet),:host([invalid]) .button:not(:disabled,.spectrum-PickerButton--quiet):focus,:host([focused][invalid]) .button:not(:disabled,.spectrum-PickerButton--quiet),:host([invalid]):has(:focus) .button:not(:disabled,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--highcontrast-combobox-border-color-invalid,var(--mod-combobox-border-color-invalid-focus,var(--spectrum-combobox-border-color-invalid-focus)))}:host([invalid][keyboard-focused]) .button:not(:disabled,.spectrum-PickerButton--quiet),:host([invalid]) .button:not(:disabled,.spectrum-PickerButton--quiet):focus-visible,:host([keyboard-focused][invalid]) .button:not(:disabled,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--highcontrast-combobox-border-color-invalid,var(--mod-combobox-border-color-invalid-key-focus,var(--spectrum-combobox-border-color-invalid-key-focus)))}:host([invalid]) .button:not(:disabled,.spectrum-PickerButton--quiet):active,:host([invalid]):has(:active) .button:not(:disabled,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--highcontrast-combobox-border-color-invalid,var(--mod-combobox-border-color-invalid-hover,var(--spectrum-combobox-border-color-invalid-hover)))}#textfield{inline-size:100%}#input{backface-visibility:hidden;line-height:var(--mod-combobox-line-height,var(--spectrum-combobox-line-height));font-size:var(--mod-combobox-font-size,var(--spectrum-combobox-font-size));font-style:var(--mod-combobox-font-style,var(--spectrum-combobox-font-style));padding-block-start:calc(var(--mod-combobox-spacing-block-start-edge-to-text,var(--spectrum-combobox-spacing-block-start-edge-to-text)) - var(--mod-combobox-border-width,var(--spectrum-combobox-border-width)));padding-block-end:calc(var(--mod-combobox-spacing-block-end-edge-to-text,var(--spectrum-combobox-spacing-block-end-edge-to-text)) - var(--mod-combobox-border-width,var(--spectrum-combobox-border-width)));padding-inline-start:calc(var(--mod-combobox-spacing-inline-start-edge-to-text,var(--spectrum-combobox-spacing-inline-start-edge-to-text)) - var(--mod-combobox-border-width,var(--spectrum-combobox-border-width)));padding-inline-end:calc(var(--mod-combobox-button-width,var(--spectrum-combobox-button-width)) + var(--mod-combobox-spacing-inline-end-edge-to-text,var(--spectrum-combobox-spacing-inline-end-edge-to-text)) - var(--mod-combobox-border-width,var(--spectrum-combobox-border-width))*2)}#input::placeholder{--mod-textfield-text-color-default:var(--mod-combobox-font-color-placeholder)}#input:active{--mod-textfield-background-color:var(--mod-combobox-background-color-hover)}#input:focus,:host([focused]) #textfield #input{--mod-textfield-background-color:var(--mod-combobox-background-color-focus)}@media (hover:hover){.button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet):hover,:host(:hover) .button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--highcontrast-combobox-border-color-highlight,var(--mod-combobox-border-color-hover,var(--spectrum-combobox-border-color-hover)))}:host([focused]) .button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet):hover,.button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet):focus:hover,:host([focused]:hover) .button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet),:host(:hover):has(:focus) .button:not(:disabled,.is-invalid,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--highcontrast-combobox-border-color-highlight,var(--mod-combobox-border-color-focus-hover,var(--spectrum-combobox-border-color-focus-hover)))}:host([invalid]) .button:not(:disabled,.spectrum-PickerButton--quiet):hover,:host([invalid]:hover) .button:not(:disabled,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--highcontrast-combobox-border-color-invalid,var(--mod-combobox-border-color-invalid-hover,var(--spectrum-combobox-border-color-invalid-hover)))}:host([invalid][focused]) .button:not(:disabled,.spectrum-PickerButton--quiet):hover,:host([invalid]) .button:not(:disabled,.spectrum-PickerButton--quiet):focus:hover,:host([focused][invalid]:hover) .button:not(:disabled,.spectrum-PickerButton--quiet),:host([invalid]:hover):has(:focus) .button:not(:disabled,.spectrum-PickerButton--quiet){--mod-picker-button-border-color:var(--highcontrast-combobox-border-color-invalid,var(--mod-combobox-border-color-invalid-focus-hover,var(--spectrum-combobox-border-color-invalid-focus-hover)))}#input:hover,#textfield:hover #input{--mod-textfield-background-color:var(--mod-combobox-background-color-hover)}#input:focus:hover,:host([focused]) #textfield #input:hover{--mod-textfield-background-color:var(--mod-combobox-background-color-focus-hover)}}:host([keyboard-focused]) #textfield #input{--mod-textfield-background-color:var(--mod-combobox-background-color-key-focus)}:host([invalid]) #textfield #input,:host([pending]) #textfield #input{padding-inline-end:calc(var(--mod-combobox-button-width,var(--spectrum-combobox-button-width)) + var(--mod-combobox-spacing-inline-icon-to-button,var(--spectrum-combobox-spacing-inline-icon-to-button)) + var(--mod-combobox-icon-size,var(--spectrum-combobox-icon-size)) + var(--mod-combobox-spacing-inline-end-edge-to-text,var(--spectrum-combobox-spacing-inline-end-edge-to-text)) - var(--mod-combobox-button-inline-offset,var(--spectrum-combobox-button-inline-offset,0px)) - var(--mod-combobox-border-width,var(--spectrum-combobox-border-width))*2)}:host([invalid]) #textfield .icon{inline-size:var(--mod-combobox-icon-size,var(--spectrum-combobox-icon-size));block-size:var(--mod-combobox-icon-size,var(--spectrum-combobox-icon-size));inset-block-start:var(--mod-combobox-block-spacing-edge-to-alert,var(--spectrum-combobox-block-spacing-edge-to-alert));inset-block-end:var(--mod-combobox-block-spacing-edge-to-alert,var(--spectrum-combobox-block-spacing-edge-to-alert));inset-inline-end:calc(var(--mod-combobox-spacing-inline-icon-to-button,var(--spectrum-combobox-spacing-inline-icon-to-button)) + var(--mod-combobox-button-width,var(--spectrum-combobox-button-width)))}:host([disabled]) #textfield .icon,:host([pending]) #textfield .icon,#textfield.is-readOnly .icon{display:none}:host([quiet]){border-radius:0}:host([quiet][invalid]) #textfield .icon{inset-inline-end:var(--mod-combobox-button-width,var(--spectrum-combobox-button-width))}:host([quiet]) #input{border-block-end-width:var(--mod-combobox-border-width,var(--spectrum-combobox-border-width));padding-block-start:var(--mod-combobox-spacing-block-start-edge-to-text,var(--spectrum-combobox-spacing-block-start-edge-to-text));padding-block-end:calc(var(--mod-combobox-spacing-block-end-edge-to-text,var(--spectrum-combobox-spacing-block-end-edge-to-text)) - var(--mod-combobox-border-width,var(--spectrum-combobox-border-width)));padding-inline-start:var(--mod-combobox-spacing-inline-start-edge-to-text,var(--spectrum-combobox-spacing-inline-start-edge-to-text));padding-inline-end:calc(var(--mod-combobox-button-width,var(--spectrum-combobox-button-width)) + var(--mod-combobox-spacing-inline-end-edge-to-text,var(--spectrum-combobox-spacing-inline-end-edge-to-text)) - var(--mod-combobox-button-inline-offset,var(--spectrum-combobox-button-inline-offset,0px)))}:host([quiet][invalid]) #textfield #input,:host([quiet][pending]) #textfield #input{padding-inline-end:calc(var(--mod-combobox-button-width,var(--spectrum-combobox-button-width)) + var(--mod-combobox-spacing-inline-icon-to-button,var(--spectrum-combobox-spacing-inline-icon-to-button)) + var(--mod-combobox-icon-size,var(--spectrum-combobox-icon-size)) + var(--mod-combobox-spacing-inline-end-edge-to-text,var(--spectrum-combobox-spacing-inline-end-edge-to-text)) - var(--mod-combobox-button-inline-offset,var(--spectrum-combobox-button-inline-offset,0px)))}:host{--spectrum-combobox-border-color-default:var(--system-spectrum-combobox-border-color-default);--spectrum-combobox-border-color-hover:var(--system-spectrum-combobox-border-color-hover);--spectrum-combobox-border-color-focus:var(--system-spectrum-combobox-border-color-focus);--spectrum-combobox-border-color-focus-hover:var(--system-spectrum-combobox-border-color-focus-hover);--spectrum-combobox-border-color-key-focus:var(--system-spectrum-combobox-border-color-key-focus)}:host{flex-wrap:wrap;display:inline-flex}:host([label-position=inline-start]){flex-wrap:nowrap}:host([readonly]) sp-picker-button{visibility:hidden;pointer-events:none}sp-field-label{width:100%;display:block}:host([label-position=inline-start]) sp-field-label{width:auto}sp-popover{max-block-size:var(--sp-combobox-popover-max-block-size)}sp-popover:not(sp-overlay sp-popover){display:none}.icon{margin:0}::slotted([slot=option]){display:none}.button{bottom:0}[hidden]{display:none!important}.visually-hidden{clip:rect(0,0,0,0);clip-path:inset(50%);white-space:nowrap;border:0;width:1px;height:1px;margin:0 -1px -1px 0;padding:0;position:absolute;overflow:hidden}\n"
    ]);
    _templateObject$1U = function _templateObject() {
        return data;
    };
    return data;
}
var t$i = i$p(_templateObject$1U());
var y$b = t$i;

function _array_like_to_array$k(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$h(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$k(arr);
}
function _assert_this_initialized$14(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$k(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$k(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$k(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$k(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$19(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$18(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$18(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$18(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$18(Constructor, staticProps);
    return Constructor;
}
function _get$D(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$D = Reflect.get;
    } else {
        _get$D = function get(target, property, receiver) {
            var base = _super_prop_base$D(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$D(target, property, receiver || target);
}
function _get_prototype_of$14(o) {
    _get_prototype_of$14 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$14(o);
}
function _inherits$14(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$14(subClass, superClass);
}
function _iterable_to_array$h(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$h() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$14(self, call) {
    if (call && (_type_of$14(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$14(self);
}
function _set_prototype_of$14(o, p) {
    _set_prototype_of$14 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$14(o, p);
}
function _super_prop_base$D(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$14(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1T(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$h(arr) {
    return _array_without_holes$h(arr) || _iterable_to_array$h(arr) || _unsupported_iterable_to_array$k(arr) || _non_iterable_spread$h();
}
function _type_of$14(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$k(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$k(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$k(o, minLen);
}
function _is_native_reflect_construct$14() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$14(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$14();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$14(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$14(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$14(this, result);
    };
}
function _ts_generator$k(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$1T() {
    var data = _tagged_template_literal$1T([
        '\n                      <span\n                          aria-hidden="true"\n                          class="visually-hidden"\n                          id="pending-label"\n                      >\n                          ',
        "\n                      </span>\n                  "
    ]);
    _templateObject$1T = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$o() {
    var data = _tagged_template_literal$1T([
        '\n                      <span\n                          aria-hidden="true"\n                          class="visually-hidden"\n                          id="applied-label"\n                      >\n                          ',
        '\n                      </span>\n                      <slot name="label" id="label">\n                          <span class="visually-hidden" aria-hidden="true">\n                              ',
        "\n                          </span>\n                      </slot>\n                  "
    ]);
    _templateObject1$o = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$e() {
    var data = _tagged_template_literal$1T([
        '\n                      <span hidden id="applied-label">',
        "</span>\n                  "
    ]);
    _templateObject2$e = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$b() {
    var data = _tagged_template_literal$1T([
        "\n            ",
        "\n            ",
        "\n        "
    ]);
    _templateObject3$b = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$b() {
    var data = _tagged_template_literal$1T([
        '\n            <sp-progress-circle\n                size="s"\n                indeterminate\n                aria-hidden="true"\n                class="progress-circle"\n            ></sp-progress-circle>\n        '
    ]);
    _templateObject4$b = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$8() {
    var data = _tagged_template_literal$1T([
        "\n            ",
        "\n            <input\n                aria-activedescendant=",
        "\n                aria-autocomplete=",
        "\n                aria-controls=",
        '\n                aria-describedby="',
        ' tooltip"\n                aria-expanded="',
        '"\n                aria-label=',
        '\n                aria-labelledby="pending-label applied-label label"\n                aria-invalid=',
        '\n                autocomplete="off"\n                @click=',
        "\n                @keydown=",
        '\n                id="input"\n                class="input"\n                role="combobox"\n                type="text"\n                .value=',
        '\n                tabindex="0"\n                @sp-closed=',
        "\n                @sp-opened=",
        "\n                maxlength=",
        "\n                minlength=",
        "\n                pattern=",
        "\n                @change=",
        "\n                @input=",
        "\n                @focus=",
        "\n                @blur=",
        "\n                ?disabled=",
        "\n                ?required=",
        "\n                ?readonly=",
        "\n            />\n            ",
        "\n        "
    ]);
    _templateObject5$8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6$4() {
    var data = _tagged_template_literal$1T([
        '\n                                          <sp-menu-item\n                                              id="',
        '"\n                                              ?focused=',
        "\n                                              aria-selected=",
        "\n                                              .value=",
        "\n                                          >\n                                              ",
        "\n                                          </sp-menu-item>\n                                      "
    ]);
    _templateObject6$4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7$2() {
    var data = _tagged_template_literal$1T([
        ""
    ]);
    _templateObject7$2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8$1() {
    var data = _tagged_template_literal$1T([
        "\n            ",
        '\n            <sp-picker-button\n                aria-controls="listbox-menu"\n                aria-describedby="',
        ' tooltip"\n                aria-expanded=',
        "\n                aria-label=",
        '\n                aria-labelledby="applied-label label"\n                @click=',
        '\n                tabindex="-1"\n                class="button ',
        '"\n                ?disabled=',
        "\n                ?focused=",
        "\n                ?quiet=",
        "\n                size=",
        "\n            ></sp-picker-button>\n            <sp-overlay\n                ?open=",
        "\n                .triggerElement=",
        '\n                offset="0"\n                placement="bottom-start"\n                .receivesFocus=',
        '\n                role="presentation"\n            >\n                <sp-popover\n                    id="listbox"\n                    ?open=',
        '\n                    role="presentation"\n                    ?hidden=',
        "\n                >\n                    <sp-menu\n                        @change=",
        '\n                        tabindex="-1"\n                        aria-labelledby="label applied-label"\n                        aria-label=',
        '\n                        id="listbox-menu"\n                        role="listbox"\n                        selects=',
        "\n                        .selected=",
        '\n                        style="min-width: ',
        'px;"\n                        size=',
        "\n                    >\n                        ",
        "\n                        <slot\n                            hidden\n                            @slotchange=",
        "\n                        ></slot>\n                    </sp-menu>\n                </sp-popover>\n            </sp-overlay>\n            ",
        '\n            <slot\n                aria-hidden="true"\n                name="tooltip"\n                id="tooltip"\n                @slotchange=',
        "\n            ></slot>\n        "
    ]);
    _templateObject8$1 = function _templateObject() {
        return data;
    };
    return data;
}
var u$q = Object.defineProperty;
var v$a = Object.getOwnPropertyDescriptor;
var n$d = function(c, o, e, t) {
    for(var i = t > 1 ? void 0 : t ? v$a(o, e) : o, s = c.length - 1, r; s >= 0; s--)(r = c[s]) && (i = (t ? r(o, e, i) : r(i)) || i);
    return t && i && u$q(o, e, i), i;
};
var Combobox = /*#__PURE__*/ function($) {
    _inherits$14(Combobox, $);
    var _super = _create_super$14(Combobox);
    function Combobox() {
        _class_call_check$19(this, Combobox);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.autocomplete = "none";
        _this.availableOptions = [];
        _this.open = !1;
        _this.pending = !1;
        _this.pendingLabel = "Pending";
        _this.overlayOpen = !1;
        _this.itemValue = "";
        _this.optionEls = [];
        _this.applyFocusElementLabel = function(e) {
            _this.appliedLabel = e;
        };
        _this._returnItems = function() {};
        return _this;
    }
    _create_class$18(Combobox, [
        {
            key: "focus",
            value: function focus() {
                this.focusElement.focus();
            }
        },
        {
            key: "click",
            value: function click() {
                this.focus(), this.focusElement.click();
            }
        },
        {
            key: "scrollToActiveDescendant",
            value: function scrollToActiveDescendant() {
                if (!this.activeDescendant) return;
                var e = this.shadowRoot.getElementById(this.activeDescendant.value);
                e && e.scrollIntoView({
                    block: "nearest"
                });
            }
        },
        {
            key: "handleComboboxKeydown",
            value: function handleComboboxKeydown(e) {
                if (!(this.readonly || this.pending)) if (e.altKey && e.code === "ArrowDown") this.open = !0;
                else if (e.code === "ArrowDown") e.preventDefault(), this.open = !0, this.activateNextDescendant(), this.scrollToActiveDescendant();
                else if (e.code === "ArrowUp") e.preventDefault(), this.open = !0, this.activatePreviousDescendant(), this.scrollToActiveDescendant();
                else if (e.code === "Escape") this.open || (this.value = ""), this.open = !1;
                else if (e.code === "Enter") this.selectDescendant(), this.open = !1;
                else if (e.code === "Home") this.focusElement.setSelectionRange(0, 0), this.activeDescendant = void 0;
                else if (e.code === "End") {
                    var _this_value = this.value, t = _this_value.length;
                    this.focusElement.setSelectionRange(t, t), this.activeDescendant = void 0;
                } else e.code === "ArrowLeft" ? this.activeDescendant = void 0 : e.code === "ArrowRight" && (this.activeDescendant = void 0);
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange() {
                var _this = this;
                this.setOptionsFromSlottedItems(), this.itemObserver.disconnect(), this.optionEls.map(function(e) {
                    _this.itemObserver.observe(e, {
                        attributes: !0,
                        attributeFilter: [
                            "id"
                        ],
                        childList: !0
                    });
                });
            }
        },
        {
            key: "handleTooltipSlotchange",
            value: function handleTooltipSlotchange(e) {
                this.tooltipEl = e.target.assignedElements()[0];
            }
        },
        {
            key: "setOptionsFromSlottedItems",
            value: function setOptionsFromSlottedItems() {
                var e = this.optionSlot.assignedElements({
                    flatten: !0
                });
                this.optionEls = e;
            }
        },
        {
            key: "activateNextDescendant",
            value: function activateNextDescendant() {
                var e = this.activeDescendant ? this.availableOptions.indexOf(this.activeDescendant) : -1, t = (this.availableOptions.length + e + 1) % this.availableOptions.length;
                this.activeDescendant = this.availableOptions[t];
            }
        },
        {
            key: "activatePreviousDescendant",
            value: function activatePreviousDescendant() {
                var e = this.activeDescendant ? this.availableOptions.indexOf(this.activeDescendant) : 0, t = (this.availableOptions.length + e - 1) % this.availableOptions.length;
                this.activeDescendant = this.availableOptions[t];
            }
        },
        {
            key: "selectDescendant",
            value: function selectDescendant() {
                if (!this.activeDescendant) return;
                var e = this.shadowRoot.getElementById(this.activeDescendant.value);
                e && e.click();
            }
        },
        {
            key: "filterAvailableOptions",
            value: function filterAvailableOptions() {
                if (this.autocomplete === "none" || this.pending) return;
                var e = this.value.toLowerCase();
                this.availableOptions = (this.options || this.optionEls).filter(function(t) {
                    return t.itemText.toLowerCase().startsWith(e);
                });
            }
        },
        {
            key: "handleInput",
            value: function handleInput(e) {
                _get$D(_get_prototype_of$14(Combobox.prototype), "handleInput", this).call(this, e), this.pending || (this.activeDescendant = void 0, this.open = !0);
            }
        },
        {
            key: "handleMenuChange",
            value: function handleMenuChange(e) {
                var t = e.target, i = t.selected[0], s = (this.options || this.optionEls).find(function(r) {
                    return r.value === i;
                });
                this.value = (s == null ? void 0 : s.itemText) || "", e.preventDefault(), this.open = !1, this._returnItems(), this.focus();
            }
        },
        {
            key: "handleClosed",
            value: function handleClosed() {
                this.open = !1, this.overlayOpen = !1;
            }
        },
        {
            key: "handleOpened",
            value: function handleOpened() {}
        },
        {
            key: "toggleOpen",
            value: function toggleOpen() {
                if (this.readonly || this.pending) {
                    this.open = !1;
                    return;
                }
                this.open = !this.open, this.inputElement.focus();
            }
        },
        {
            key: "shouldUpdate",
            value: function shouldUpdate(e) {
                var _this = this;
                var t, i;
                return e.has("open") && (this.open ? this.overlayOpen = !0 : this.activeDescendant = void 0), e.has("value") && (this.filterAvailableOptions(), this.itemValue = (i = (t = this.availableOptions.find(function(s) {
                    return s.itemText === _this.value;
                })) == null ? void 0 : t.value) != null ? i : ""), _get$D(_get_prototype_of$14(Combobox.prototype), "shouldUpdate", this).call(this, e);
            }
        },
        {
            key: "onBlur",
            value: function onBlur(e) {
                e.relatedTarget && (this.contains(e.relatedTarget) || this.shadowRoot.contains(e.relatedTarget)) || _get$D(_get_prototype_of$14(Combobox.prototype), "onBlur", this).call(this, e);
            }
        },
        {
            key: "renderAppliedLabel",
            value: function renderAppliedLabel() {
                var e = this.label || this.appliedLabel;
                return x$3(_templateObject3$b(), this.pending ? x$3(_templateObject$1T(), this.pendingLabel) : E$2, this.value ? x$3(_templateObject1$o(), e, this.value) : x$3(_templateObject2$e(), e));
            }
        },
        {
            key: "renderLoader",
            value: function renderLoader() {
                return Promise.resolve().then(function () { return spProgressCircle; }), x$3(_templateObject4$b());
            }
        },
        {
            key: "renderField",
            value: function renderField() {
                return x$3(_templateObject5$8(), this.renderStateIcons(), o$O(this.activeDescendant ? "".concat(this.activeDescendant.value) : void 0), o$O(this.autocomplete), o$O(this.open ? "listbox-menu" : void 0), this.helpTextId, this.open ? "true" : "false", o$O(this.label || this.appliedLabel), o$O(this.invalid || void 0), this.toggleOpen, this.handleComboboxKeydown, l$e(this.displayValue), this.handleClosed, this.handleOpened, o$O(this.maxlength > -1 ? this.maxlength : void 0), o$O(this.minlength > -1 ? this.minlength : void 0), o$O(this.pattern), this.handleChange, this.handleInput, this.onFocus, this.onBlur, this.disabled, this.required, this.readonly, n$l(this.pending && !this.disabled && !this.readonly, this.renderLoader));
            }
        },
        {
            key: "render",
            value: function render() {
                var _this = this;
                var e = (this.input || this).offsetWidth;
                return this.tooltipEl && (this.tooltipEl.disabled = this.open), x$3(_templateObject8$1(), _get$D(_get_prototype_of$14(Combobox.prototype), "render", this).call(this), this.helpTextId, this.open ? "true" : "false", o$O(this.label || this.appliedLabel), this.toggleOpen, this.focused ? "focus-visible is-keyboardFocused" : "", this.disabled, this.focused, this.quiet, this.size, this.open, this.input, "false", this.open, this.availableOptions.length === 0, this.handleMenuChange, o$O(this.label || this.appliedLabel), o$O(this.autocomplete === "none" ? "single" : void 0), this.autocomplete === "none" && this.itemValue ? [
                    this.itemValue
                ] : [], e, this.size, this.overlayOpen ? c$y(this.availableOptions, function(t) {
                    return t.value;
                }, function(t) {
                    var i, s;
                    return x$3(_templateObject6$4(), t.value, ((i = _this.activeDescendant) == null ? void 0 : i.value) === t.value, ((s = _this.activeDescendant) == null ? void 0 : s.value) === t.value ? "true" : "false", t.value, t.itemText);
                }) : x$3(_templateObject7$2()), this.handleSlotchange, this.renderAppliedLabel(), this.handleTooltipSlotchange);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                var _this = this;
                _get$D(_get_prototype_of$14(Combobox.prototype), "firstUpdated", this).call(this, e), this.addEventListener("focusout", function(t) {
                    var i = t.relatedTarget && _this.contains(t.relatedTarget);
                    t.target === _this && !i && (_this.focused = !1);
                });
            }
        },
        {
            key: "manageListOverlay",
            value: function manageListOverlay() {
                var _this = this;
                return _async_to_generator$k(function() {
                    return _ts_generator$k(this, function(_state) {
                        _this.open && (_this.focused = !0, _this.focus());
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                if (e.has("open") && !this.pending && this.manageListOverlay(), !this.focused && this.open && (this.open = !1), e.has("pending") && this.pending && (this.open = !1), e.has("activeDescendant")) {
                    var t = e.get("activeDescendant");
                    t && (t.focused = !1), this.activeDescendant && typeof this.activeDescendant.focused != "undefined" && (this.activeDescendant.focused = !0);
                }
                (e.has("options") || e.has("optionEls")) && (this.availableOptions = this.options || this.optionEls);
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                var _this = this;
                var _this1 = this, _superprop_get_getUpdateComplete = function() {
                    return _get$D(_get_prototype_of$14(Combobox.prototype), "getUpdateComplete", _this);
                };
                return _async_to_generator$k(function() {
                    var e, t, i;
                    return _ts_generator$k(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _superprop_get_getUpdateComplete().call(_this1)
                                ];
                            case 1:
                                e = _state.sent(), t = _this1.shadowRoot.querySelector("#listbox");
                                if (!t) return [
                                    3,
                                    3
                                ];
                                i = _to_consumable_array$h(t.children);
                                return [
                                    4,
                                    Promise.all(i.map(function(s) {
                                        return s.updateComplete;
                                    }))
                                ];
                            case 2:
                                _state.sent();
                                _state.label = 3;
                            case 3:
                                return [
                                    2,
                                    e
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                _get$D(_get_prototype_of$14(Combobox.prototype), "connectedCallback", this).call(this), this.itemObserver || (this.itemObserver = new MutationObserver(this.setOptionsFromSlottedItems.bind(this)));
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                this.itemObserver.disconnect(), this.open = !1, _get$D(_get_prototype_of$14(Combobox.prototype), "disconnectedCallback", this).call(this);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$h(_get$D(_get_prototype_of$14(Combobox), "styles", this)).concat([
                    y$b,
                    C$6
                ]);
            }
        }
    ]);
    return Combobox;
}(Textfield);
n$d([
    r$A()
], Combobox.prototype, "activeDescendant", 2), n$d([
    n$r({
        type: String
    })
], Combobox.prototype, "autocomplete", 2), n$d([
    r$A()
], Combobox.prototype, "availableOptions", 2), n$d([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Combobox.prototype, "open", 2), n$d([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Combobox.prototype, "pending", 2), n$d([
    n$r({
        type: String,
        attribute: "pending-label"
    })
], Combobox.prototype, "pendingLabel", 2), n$d([
    e$F("slot:not([name])")
], Combobox.prototype, "optionSlot", 2), n$d([
    r$A()
], Combobox.prototype, "overlayOpen", 2), n$d([
    e$F("#input")
], Combobox.prototype, "input", 2), n$d([
    n$r({
        type: Array
    })
], Combobox.prototype, "options", 2), n$d([
    r$A()
], Combobox.prototype, "optionEls", 2);

customElements.define("sp-combobox", Combobox);

function _tagged_template_literal$1S(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1S() {
    var data = _tagged_template_literal$1S([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    width=',
        "\n    height=",
        '\n    viewBox="0 0 36 36"\n    aria-hidden=',
        '\n    role="img"\n    fill="currentColor"\n    aria-label=',
        '\n  >\n    <path\n      d="M20.181 25.932a1.833 1.833 0 0 1-1.954 2.015 1.862 1.862 0 0 1-1.956-2.015 1.955 1.955 0 1 1 3.91 0ZM17.953 8a9.232 9.232 0 0 0-4.518 1.072c-.119.063-.119.185-.119.307v2.971a.15.15 0 0 0 .238.122 7.385 7.385 0 0 1 3.744-1.01c1.813 0 2.527.766 2.527 1.869 0 .95-.565 1.593-1.545 2.603-1.427 1.472-2.29 2.389-2.29 3.829a3.417 3.417 0 0 0 .714 2.114.488.488 0 0 0 .386.123h2.586a.13.13 0 0 0 .119-.215 3.302 3.302 0 0 1-.476-1.686c0-.917 1.1-1.928 2.26-3.062a5.474 5.474 0 0 0 1.901-4.226c0-2.696-1.96-4.81-5.527-4.81ZM35 18A17 17 0 1 1 18 1a17 17 0 0 1 17 17Zm-3.65 0A13.35 13.35 0 1 0 18 31.35 13.35 13.35 0 0 0 31.35 18Z"\n    />\n  </svg>'
    ]);
    _templateObject$1S = function _templateObject() {
        return data;
    };
    return data;
}
var HelpOutlineIcon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, e = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, t = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.hidden, a = tmp2 === void 0 ? !1 : tmp2, tmp3 = _ref.title, l = tmp3 === void 0 ? "Help Outline" : tmp3;
    return tag(_templateObject$1S(), e, t, a ? "true" : "false", l);
};

function _assert_this_initialized$13(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$18(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$17(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$17(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$17(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$17(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$13(o) {
    _get_prototype_of$13 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$13(o);
}
function _inherits$13(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$13(subClass, superClass);
}
function _possible_constructor_return$13(self, call) {
    if (call && (_type_of$13(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$13(self);
}
function _set_prototype_of$13(o, p) {
    _set_prototype_of$13 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$13(o, p);
}
function _type_of$13(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$13() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$13(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$13();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$13(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$13(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$13(this, result);
    };
}
var IconHelpOutline = /*#__PURE__*/ function(t) {
    _inherits$13(IconHelpOutline, t);
    var _super = _create_super$13(IconHelpOutline);
    function IconHelpOutline() {
        _class_call_check$18(this, IconHelpOutline);
        return _super.apply(this, arguments);
    }
    _create_class$17(IconHelpOutline, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag(x$3), HelpOutlineIcon({
                    hidden: !this.label,
                    title: this.label
                });
            }
        }
    ]);
    return IconHelpOutline;
} 
(IconBase);

defineElement("sp-icon-help-outline", IconHelpOutline);

function _tagged_template_literal$1R(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1R() {
    var data = _tagged_template_literal$1R([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    width=',
        "\n    height=",
        '\n    viewBox="0 0 36 36"\n    aria-hidden=',
        '\n    role="img"\n    fill="currentColor"\n    aria-label=',
        '\n  >\n    <path\n      d="M20.15 12A2.15 2.15 0 1 1 18 9.85 2.15 2.15 0 0 1 20.15 12Zm.183 12H20v-7.6a.4.4 0 0 0-.4-.4h-3.934s-1.166.032-1.166 1c0 .967 1.167 1 1.167 1H16v6h-.333s-1.167.032-1.167 1c0 .967 1.167 1 1.167 1h4.667s1.166-.033 1.166-1c0-.968-1.167-1-1.167-1ZM18 1a17 17 0 1 0 17 17A17 17 0 0 0 18 1Zm0 30.35A13.35 13.35 0 1 1 31.35 18 13.35 13.35 0 0 1 18 31.35Z"\n    />\n  </svg>'
    ]);
    _templateObject$1R = function _templateObject() {
        return data;
    };
    return data;
}
var InfoOutlineIcon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.hidden, l = tmp2 === void 0 ? !1 : tmp2, tmp3 = _ref.title, a = tmp3 === void 0 ? "Info Outline" : tmp3;
    return tag(_templateObject$1R(), t, e, l ? "true" : "false", a);
};

function _assert_this_initialized$12(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$17(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$16(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$16(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$16(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$16(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$12(o) {
    _get_prototype_of$12 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$12(o);
}
function _inherits$12(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$12(subClass, superClass);
}
function _possible_constructor_return$12(self, call) {
    if (call && (_type_of$12(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$12(self);
}
function _set_prototype_of$12(o, p) {
    _set_prototype_of$12 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$12(o, p);
}
function _type_of$12(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$12() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$12(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$12();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$12(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$12(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$12(this, result);
    };
}
var IconInfoOutline = /*#__PURE__*/ function(t) {
    _inherits$12(IconInfoOutline, t);
    var _super = _create_super$12(IconInfoOutline);
    function IconInfoOutline() {
        _class_call_check$17(this, IconInfoOutline);
        return _super.apply(this, arguments);
    }
    _create_class$16(IconInfoOutline, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag(x$3), InfoOutlineIcon({
                    hidden: !this.label,
                    title: this.label
                });
            }
        }
    ]);
    return IconInfoOutline;
} 
(IconBase);

defineElement("sp-icon-info-outline", IconInfoOutline);

function _tagged_template_literal$1Q(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1Q() {
    var data = _tagged_template_literal$1Q([
        "\n    :host{--spectrum-contextual-help-padding:var(--spectrum-spacing-400);--spectrum-contextual-help-content-spacing:var(--spectrum-spacing-100);--spectrum-contextual-help-link-spacing:var(--spectrum-spacing-300);--spectrum-contextual-help-heading-size:var(--spectrum-contextual-help-title-size);--spectrum-contextual-help-heading-color:var(--spectrum-heading-color);--spectrum-contextual-help-body-color:var(--spectrum-body-color)}.popover{min-inline-size:var(--mod-spectrum-contextual-help-minimum-width,var(--spectrum-contextual-help-minimum-width));padding-block:var(--mod-spectrum-contextual-help-padding,var(--spectrum-contextual-help-padding));padding-inline:var(--mod-spectrum-contextual-help-padding,var(--spectrum-contextual-help-padding));font-size:var(--mod-spectrum-contextual-help-body-size,var(--spectrum-contextual-help-body-size));color:var(--highcontrast-contextual-help-body-color,var(--mod-contextual-help-body-color,var(--spectrum-contextual-help-body-color)));position:relative}.popover ::slotted([slot=heading]),.popover .body{margin:0}.popover ::slotted([slot=heading]){font-size:var(--mod-spectrum-contextual-help-heading-size,var(--spectrum-contextual-help-heading-size));color:var(--highcontrast-contextual-help-heading-color,var(--mod-contextual-help-heading-color,var(--spectrum-contextual-help-heading-color)));margin-block-end:var(--mod-spectrum-contextual-help-content-spacing,var(--spectrum-contextual-help-content-spacing))}::slotted([slot=link]){margin-block-start:var(--mod-spectrum-contextual-help-link-spacing,var(--spectrum-contextual-help-link-spacing))}@media (forced-colors:active){:host{--highcontrast-contextual-help-heading-color:CanvasText;--highcontrast-contextual-help-body-color:CanvasText}}:host{display:inline-block}::slotted([slot=link]){display:block}\n"
    ]);
    _templateObject$1Q = function _templateObject() {
        return data;
    };
    return data;
}
var e$s = i$p(_templateObject$1Q());
var v$9 = e$s;

function _assert_this_initialized$11(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$16(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$15(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$15(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$15(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$15(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$11(o) {
    _get_prototype_of$11 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$11(o);
}
function _inherits$11(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$11(subClass, superClass);
}
function _possible_constructor_return$11(self, call) {
    if (call && (_type_of$11(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$11(self);
}
function _set_prototype_of$11(o, p) {
    _set_prototype_of$11 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$11(o, p);
}
function _tagged_template_literal$1P(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$11(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$11() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$11(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$11();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$11(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$11(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$11(this, result);
    };
}
function _templateObject$1P() {
    var data = _tagged_template_literal$1P([
        '\n                <sp-dialog-base underlay>\n                    <sp-dialog dismissable size="s">\n                        <slot name="heading" slot="heading"></slot>\n                        <slot></slot>\n                        <slot name="link"></slot>\n                    </sp-dialog>\n                </sp-dialog-base>\n            '
    ]);
    _templateObject$1P = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$n() {
    var data = _tagged_template_literal$1P([
        '\n                <sp-popover class="popover">\n                    <section>\n                        <slot name="heading"></slot>\n                        <slot></slot>\n                        <slot name="link"></slot>\n                    </section>\n                </sp-popover>\n            '
    ]);
    _templateObject1$n = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$d() {
    var data = _tagged_template_literal$1P([
        '\n                          <sp-icon-help-outline\n                              slot="icon"\n                          ></sp-icon-help-outline>\n                      '
    ]);
    _templateObject2$d = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$a() {
    var data = _tagged_template_literal$1P([
        '\n                          <sp-icon-info-outline\n                              slot="icon"\n                          ></sp-icon-info-outline>\n                      '
    ]);
    _templateObject3$a = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$a() {
    var data = _tagged_template_literal$1P([
        '\n            <sp-action-button\n                quiet\n                size="s"\n                id="trigger"\n                aria-label=',
        "\n                .active=",
        "\n            >\n                ",
        '\n            </sp-action-button>\n            <sp-overlay\n                trigger="trigger@click"\n                placement=',
        "\n                type=",
        '\n                receives-focus="true"\n                .offset=',
        "\n                @slottable-request=",
        "\n                ?open=",
        "\n            ></sp-overlay>\n        "
    ]);
    _templateObject4$a = function _templateObject() {
        return data;
    };
    return data;
}
var u$p = Object.defineProperty;
var c$f = Object.getOwnPropertyDescriptor;
var i$7 = function(a, s, e, o) {
    for(var t = o > 1 ? void 0 : o ? c$f(s, e) : s, n = a.length - 1, p; n >= 0; n--)(p = a[n]) && (t = (o ? p(s, e, t) : p(t)) || t);
    return o && t && u$p(s, e, t), t;
};
var ContextualHelp = /*#__PURE__*/ function(b) {
    _inherits$11(ContextualHelp, b);
    var _super = _create_super$11(ContextualHelp);
    function ContextualHelp() {
        _class_call_check$16(this, ContextualHelp);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.isMobile = new MatchMediaController(_assert_this_initialized$11(_this), IS_MOBILE);
        _this.variant = "info";
        _this.placement = "bottom-start";
        _this.offset = 0;
        _this.open = !1;
        return _this;
    }
    _create_class$15(ContextualHelp, [
        {
            key: "buttonAriaLabel",
            get: function get() {
                return this.label ? this.label : this.variant === "help" ? "Help" : "Informations";
            }
        },
        {
            key: "renderOverlayContent",
            value: function renderOverlayContent() {
                return this.isMobile.matches ? (Promise.resolve().then(function () { return spDialogBase; }), Promise.resolve().then(function () { return spDialog; }), x$3(_templateObject$1P())) : (Promise.resolve().then(function () { return spPopover; }), x$3(_templateObject1$n()));
            }
        },
        {
            key: "handleSlottableRequest",
            value: function handleSlottableRequest(e) {
                if (e.stopPropagation(), e.data === removeSlottableRequest) {
                    this.open = !1, B$1(void 0, e.target);
                    return;
                }
                this.open = !0;
                var o = this.renderOverlayContent();
                B$1(o, e.target);
            }
        },
        {
            key: "render",
            value: function render() {
                var e = this.isMobile.matches ? void 0 : this.placement;
                return x$3(_templateObject4$a(), this.buttonAriaLabel, this.open, this.variant === "help" ? x$3(_templateObject2$d()) : x$3(_templateObject3$a()), o$O(e), this.isMobile.matches ? "modal" : "auto", this.offset, this.handleSlottableRequest, this.open);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    v$9
                ];
            }
        }
    ]);
    return ContextualHelp;
}(SpectrumElement);
i$7([
    n$r()
], ContextualHelp.prototype, "label", 2), i$7([
    n$r()
], ContextualHelp.prototype, "variant", 2), i$7([
    n$r({
        reflect: !0
    })
], ContextualHelp.prototype, "placement", 2), i$7([
    n$r({
        type: Number
    })
], ContextualHelp.prototype, "offset", 2), i$7([
    n$r({
        type: Boolean
    })
], ContextualHelp.prototype, "open", 2);

customElements.define("sp-contextual-help", ContextualHelp);

function _tagged_template_literal$1O(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1O() {
    var data = _tagged_template_literal$1O([
        '\n    :host{--spectrum-dialog-fullscreen-header-text-size:28px;--spectrum-dialog-min-inline-size:288px;--spectrum-dialog-confirm-small-width:400px;--spectrum-dialog-confirm-medium-width:480px;--spectrum-dialog-confirm-large-width:640px;--spectrum-dialog-confirm-divider-block-spacing-start:var(--spectrum-spacing-300);--spectrum-dialog-confirm-divider-block-spacing-end:var(--spectrum-spacing-200);--spectrum-dialog-confirm-description-text-color:var(--spectrum-gray-800);--spectrum-dialog-confirm-title-text-color:var(--spectrum-gray-900);--spectrum-dialog-confirm-description-text-line-height:var(--spectrum-line-height-100);--spectrum-dialog-confirm-title-text-line-height:var(--spectrum-line-height-100);--spectrum-dialog-heading-font-weight:var(--spectrum-heading-sans-serif-font-weight);--spectrum-dialog-confirm-description-padding:var(--spectrum-spacing-50);--spectrum-dialog-confirm-description-margin:calc(var(--spectrum-spacing-50)*-1);--spectrum-dialog-confirm-footer-padding-top:var(--spectrum-spacing-600);--spectrum-dialog-confirm-gap-size:var(--spectrum-component-pill-edge-to-text-100);--spectrum-dialog-confirm-buttongroup-padding-top:var(--spectrum-spacing-600);--spectrum-dialog-confirm-close-button-size:var(--spectrum-component-height-100);--spectrum-dialog-confirm-close-button-padding:calc(26px - var(--spectrum-component-bottom-to-text-300));--spectrum-dialog-confirm-divider-height:var(--spectrum-spacing-50);box-sizing:border-box;min-inline-size:var(--mod-dialog-min-inline-size,var(--spectrum-dialog-min-inline-size));max-block-size:inherit;outline:none;inline-size:fit-content;max-inline-size:100%;display:flex}:host([size=s]){inline-size:var(--mod-dialog-confirm-small-width,var(--spectrum-dialog-confirm-small-width))}:host([size=m]){inline-size:var(--mod-dialog-confirm-medium-width,var(--spectrum-dialog-confirm-medium-width))}:host([size=l]){inline-size:var(--mod-dialog-confirm-large-width,var(--spectrum-dialog-confirm-large-width))}::slotted([slot=hero]){block-size:var(--mod-dialog-confirm-hero-height,var(--spectrum-dialog-confirm-hero-height));background-position:50%;background-size:cover;border-start-start-radius:var(--mod-dialog-confirm-border-radius,var(--spectrum-dialog-confirm-border-radius));border-start-end-radius:var(--mod-dialog-confirm-border-radius,var(--spectrum-dialog-confirm-border-radius));grid-area:a;overflow:hidden}.grid{grid-template-columns:var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))auto 1fr auto minmax(0,auto)var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid));grid-template-rows:auto var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))auto auto 1fr auto var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid));grid-template-areas:"a a a a a a"". . . . . ."".b c c c."".d d d d."".e e e e."".f f g g."". . . . . .";inline-size:100%;display:grid}::slotted([slot=heading]){font-size:var(--mod-dialog-confirm-title-text-size,var(--spectrum-dialog-confirm-title-text-size));font-weight:var(--mod-dialog-heading-font-weight,var(--spectrum-dialog-heading-font-weight));line-height:var(--mod-dialog-confirm-title-text-line-height,var(--spectrum-dialog-confirm-title-text-line-height));color:var(--mod-dialog-confirm-title-text-color,var(--spectrum-dialog-confirm-title-text-color));outline:none;grid-area:b;margin:0;padding-inline-end:var(--mod-dialog-confirm-gap-size,var(--spectrum-dialog-confirm-gap-size))}.no-header::slotted([slot=heading]){grid-area:h/h/i/i;padding-inline-end:0}.header{box-sizing:border-box;outline:none;grid-area:c;justify-content:flex-end;align-items:center;display:flex}.divider{grid-area:d;inline-size:100%;margin-block-start:var(--mod-dialog-confirm-divider-block-spacing-end,var(--spectrum-dialog-confirm-divider-block-spacing-end));margin-block-end:var(--mod-dialog-confirm-divider-block-spacing-start,var(--spectrum-dialog-confirm-divider-block-spacing-start))}:host([mode=fullscreen]) [name=heading]+.divider{margin-block-end:calc(var(--mod-dialog-confirm-divider-block-spacing-start,var(--spectrum-dialog-confirm-divider-block-spacing-start)) - var(--mod-dialog-confirm-description-padding,var(--spectrum-dialog-confirm-description-padding))*2)}:host([no-divider]) .divider{display:none}:host([no-divider]) ::slotted([slot=heading]){padding-block-end:calc(var(--mod-dialog-confirm-divider-block-spacing-end,var(--spectrum-dialog-confirm-divider-block-spacing-end)) + var(--mod-dialog-confirm-divider-block-spacing-start,var(--spectrum-dialog-confirm-divider-block-spacing-start)) + var(--mod-dialog-confirm-divider-height,var(--spectrum-dialog-confirm-divider-height)))}.content{box-sizing:border-box;-webkit-overflow-scrolling:touch;font-size:var(--mod-dialog-confirm-description-text-size,var(--spectrum-dialog-confirm-description-text-size));font-weight:var(--mod-dialog-confirm-description-font-weight,var(--spectrum-regular-font-weight));line-height:var(--mod-dialog-confirm-description-text-line-height,var(--spectrum-dialog-confirm-description-text-line-height));color:var(--mod-dialog-confirm-description-text-color,var(--spectrum-dialog-confirm-description-text-color));padding:calc(var(--mod-dialog-confirm-description-padding,var(--spectrum-dialog-confirm-description-padding))*2);margin:0 var(--mod-dialog-confirm-description-margin,var(--spectrum-dialog-confirm-description-margin));outline:none;grid-area:e;overflow-y:auto}.footer{outline:none;flex-wrap:wrap;grid-area:f;padding-block-start:var(--mod-dialog-confirm-footer-padding-top,var(--spectrum-dialog-confirm-footer-padding-top));display:flex}.footer>*,.footer>.spectrum-Button+.spectrum-Button{margin-block-end:0}.button-group{grid-area:g;justify-content:flex-end;padding-block-start:var(--mod-dialog-confirm-buttongroup-padding-top,var(--spectrum-dialog-confirm-buttongroup-padding-top));padding-inline-start:var(--mod-dialog-confirm-gap-size,var(--spectrum-dialog-confirm-gap-size));display:flex}:host([dismissable]) .grid{grid-template-columns:var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))auto 1fr auto minmax(0,auto)minmax(0,var(--mod-dialog-confirm-close-button-size,var(--spectrum-dialog-confirm-close-button-size)))var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid));grid-template-rows:auto var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))auto auto 1fr auto var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid));grid-template-areas:"a a a a a a a"". . . . .l l"".b c c m l l"".d d d d d."".e e e e e."".f f g g g."". . . . . . ."}:host([dismissable]) .grid .button-group{display:none}:host([dismissable]) .grid .footer{color:var(--mod-dialog-confirm-description-text-color,var(--spectrum-dialog-confirm-description-text-color));grid-area:f/f/g/g}.close-button{grid-area:l;place-self:start end;margin-block-start:var(--mod-dialog-confirm-close-button-padding,var(--spectrum-dialog-confirm-close-button-padding));margin-inline-end:var(--mod-dialog-confirm-close-button-padding,var(--spectrum-dialog-confirm-close-button-padding))}:host([mode=fullscreen]){block-size:100%;inline-size:100%}:host([mode=fullscreenTakeover]){border-radius:0;block-size:100%;inline-size:100%}:host([mode=fullscreen]),:host([mode=fullscreenTakeover]){max-block-size:none;max-inline-size:none}:host([mode=fullscreen]) .grid,:host([mode=fullscreenTakeover]) .grid{grid-template-columns:var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))1fr auto auto var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid));grid-template-rows:var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))auto auto 1fr var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid));grid-template-areas:". . . . ."".b c g."".d d d."".e e e."". . . . .";display:grid}:host([mode=fullscreen]) ::slotted([slot=heading]),:host([mode=fullscreenTakeover]) ::slotted([slot=heading]){font-size:var(--mod-dialog-fullscreen-header-text-size,var(--spectrum-dialog-fullscreen-header-text-size))}:host([mode=fullscreen]) .content,:host([mode=fullscreenTakeover]) .content{max-block-size:none}:host([mode=fullscreen]) .button-group,:host([mode=fullscreen]) .footer,:host([mode=fullscreenTakeover]) .button-group,:host([mode=fullscreenTakeover]) .footer{padding-block-start:0}:host([mode=fullscreen]) .footer,:host([mode=fullscreenTakeover]) .footer{display:none}:host([mode=fullscreen]) .button-group,:host([mode=fullscreenTakeover]) .button-group{grid-area:g;align-self:start}@media screen and (width<=700px){.grid{grid-template-columns:var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))auto 1fr auto minmax(0,auto)var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid));grid-template-areas:"a a a a a a"". . . . . ."".b b b b."".c c c c."".d d d d."".e e e e."".f f g g."". . . . . ."}.grid,:host([dismissable]) .grid{grid-template-rows:auto var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))auto auto auto 1fr auto var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))}:host([dismissable]) .grid{grid-template-columns:var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))auto 1fr auto minmax(0,auto)minmax(0,var(--mod-dialog-confirm-close-button-size,var(--spectrum-dialog-confirm-close-button-size)))var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid));grid-template-areas:"a a a a a a a"". . . . .l l"".b b b b l l"".c c c c c."".d d d d d."".e e e e e."".f f g g g."". . . . . . ."}.header{justify-content:flex-start}:host([mode=fullscreen]) .grid,:host([mode=fullscreenTakeover]) .grid{grid-template-columns:var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))1fr var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid));grid-template-rows:var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid))auto auto auto 1fr auto var(--mod-dialog-confirm-padding-grid,var(--spectrum-dialog-confirm-padding-grid));grid-template-areas:". . ."".b."".c."".d."".e."".g."". . .";display:grid}:host([mode=fullscreen]) .button-group,:host([mode=fullscreenTakeover]) .button-group{padding-block-start:var(--mod-dialog-confirm-buttongroup-padding-top,var(--spectrum-dialog-confirm-buttongroup-padding-top))}:host([mode=fullscreen]) ::slotted([slot=heading]),:host([mode=fullscreenTakeover]) ::slotted([slot=heading]){font-size:var(--mod-dialog-confirm-title-text-size,var(--spectrum-dialog-confirm-title-text-size))}}@media (forced-colors:active){:host{border:solid}}:host{--swc-alert-dialog-error-icon-color:var(--spectrum-negative-visual-color)}.content{overflow:hidden}.footer{color:var(--spectrum-dialog-confirm-description-text-color,var(--spectrum-gray-800))}.type-icon{color:var(--mod-alert-dialog-error-icon-color,var(--swc-alert-dialog-error-icon-color));grid-area:i}.content[tabindex]{overflow:auto}::slotted(img[slot=hero]){width:100%;height:auto}.grid{grid-template-areas:"a a a a a a"". . . . . ."".b c c i."".d d d d."".e e e e."".f f g g."". . . . . ."}:host([dismissable]) .grid{grid-template-areas:"a a a a a a a"". . . . .l l"".b c c i l l"".d d d d d."".e e e e e."".f f g g g."". . . . . . ."}.button-group.button-group--noFooter{grid-area:f/f/g/g}\n'
    ]);
    _templateObject$1O = function _templateObject() {
        return data;
    };
    return data;
}
var o$k = i$p(_templateObject$1O());
var h$b = o$k;

function _assert_this_initialized$10(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$15(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$14(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$14(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$14(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$14(Constructor, staticProps);
    return Constructor;
}
function _get$C(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$C = Reflect.get;
    } else {
        _get$C = function get(target, property, receiver) {
            var base = _super_prop_base$C(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$C(target, property, receiver || target);
}
function _get_prototype_of$10(o) {
    _get_prototype_of$10 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$10(o);
}
function _inherits$10(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$10(subClass, superClass);
}
function _possible_constructor_return$10(self, call) {
    if (call && (_type_of$10(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$10(self);
}
function _set_prototype_of$10(o, p) {
    _set_prototype_of$10 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$10(o, p);
}
function _super_prop_base$C(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$10(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1N(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$10(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$10() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$10(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$10();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$10(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$10(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$10(this, result);
    };
}
function _templateObject$1N() {
    var data = _tagged_template_literal$1N([
        '\n            <slot name="hero"></slot>\n        '
    ]);
    _templateObject$1N = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$m() {
    var data = _tagged_template_literal$1N([
        '\n            <div class="footer">\n                <slot name="footer"></slot>\n            </div>\n        '
    ]);
    _templateObject1$m = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$c() {
    var data = _tagged_template_literal$1N([
        "\n            <sp-button-group class=",
        '>\n                <slot name="button"></slot>\n            </sp-button-group>\n        '
    ]);
    _templateObject2$c = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$9() {
    var data = _tagged_template_literal$1N([
        '\n            <sp-close-button\n                class="close-button"\n                label=',
        '\n                quiet\n                size="m"\n                @click=',
        "\n            ></sp-close-button>\n        "
    ]);
    _templateObject3$9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$9() {
    var data = _tagged_template_literal$1N([
        '\n                          <sp-icon-alert class="type-icon"></sp-icon-alert>\n                      '
    ]);
    _templateObject4$9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$7() {
    var data = _tagged_template_literal$1N([
        '\n                          <sp-divider size="m" class="divider"></sp-divider>\n                      '
    ]);
    _templateObject5$7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6$3() {
    var data = _tagged_template_literal$1N([
        '\n            <div class="grid">\n                ',
        " ",
        "\n                ",
        "\n                ",
        "\n                ",
        "\n                ",
        "\n                ",
        "\n                ",
        "\n            </div>\n        "
    ]);
    _templateObject6$3 = function _templateObject() {
        return data;
    };
    return data;
}
var a$d = Object.defineProperty;
var c$e = Object.getOwnPropertyDescriptor;
var t$h = function(u, i, e, n) {
    for(var r = n > 1 ? void 0 : n ? c$e(i, e) : i, p = u.length - 1, d; p >= 0; p--)(d = u[p]) && (r = (n ? d(i, e, r) : d(r)) || r);
    return n && r && a$d(i, e, r), r;
};
var Dialog = /*#__PURE__*/ function(_b) {
    _inherits$10(Dialog, _b);
    var _super = _create_super$10(Dialog);
    function Dialog() {
        _class_call_check$15(this, Dialog);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.error = !1;
        _this.dismissable = !1;
        _this.dismissLabel = "Close";
        _this.noDivider = !1;
        return _this;
    }
    _create_class$14(Dialog, [
        {
            key: "hasFooter",
            get: function get() {
                return this.getSlotContentPresence('[slot="footer"]');
            }
        },
        {
            key: "hasButtons",
            get: function get() {
                return this.getSlotContentPresence('[slot="button"]');
            }
        },
        {
            key: "hasHero",
            get: function get() {
                return this.getSlotContentPresence('[slot="hero"]');
            }
        },
        {
            key: "close",
            value: function close() {
                this.dispatchEvent(new Event("close", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                }));
            }
        },
        {
            key: "renderHero",
            value: function renderHero() {
                return x$3(_templateObject$1N());
            }
        },
        {
            key: "renderFooter",
            value: function renderFooter() {
                return x$3(_templateObject1$m());
            }
        },
        {
            key: "renderButtons",
            value: function renderButtons() {
                var e = {
                    "button-group": !0,
                    "button-group--noFooter": !this.hasFooter
                };
                return x$3(_templateObject2$c(), e$C(e));
            }
        },
        {
            key: "renderDismiss",
            value: function renderDismiss() {
                return x$3(_templateObject3$9(), this.dismissLabel, this.close);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject6$3(), this.renderHero(), this.renderHeading(), this.error ? x$3(_templateObject4$9()) : E$2, this.noDivider ? E$2 : x$3(_templateObject5$7()), this.renderContent(), this.hasFooter ? this.renderFooter() : E$2, this.hasButtons ? this.renderButtons() : E$2, this.dismissable ? this.renderDismiss() : E$2);
            }
        },
        {
            key: "shouldUpdate",
            value: function shouldUpdate(e) {
                return e.has("mode") && this.mode && (this.dismissable = !1), e.has("dismissable") && this.dismissable && (this.dismissable = !this.mode), _get$C(_get_prototype_of$10(Dialog.prototype), "shouldUpdate", this).call(this, e);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$C(_get_prototype_of$10(Dialog.prototype), "firstUpdated", this).call(this, e), this.setAttribute("role", "dialog");
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    h$b
                ];
            }
        }
    ]);
    return Dialog;
}(ObserveSlotPresence(AlertDialog, [
    '[slot="hero"]',
    '[slot="footer"]',
    '[slot="button"]'
]));
t$h([
    e$F(".close-button")
], Dialog.prototype, "closeButton", 2), t$h([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Dialog.prototype, "error", 2), t$h([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Dialog.prototype, "dismissable", 2), t$h([
    n$r({
        type: String,
        reflect: !0,
        attribute: "dismiss-label"
    })
], Dialog.prototype, "dismissLabel", 2), t$h([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "no-divider"
    })
], Dialog.prototype, "noDivider", 2), t$h([
    n$r({
        type: String,
        reflect: !0
    })
], Dialog.prototype, "mode", 2), t$h([
    n$r({
        type: String,
        reflect: !0
    })
], Dialog.prototype, "size", 2);

defineElement("sp-dialog", Dialog);

var spDialog = /*#__PURE__*/Object.freeze({
    __proto__: null
});

function _tagged_template_literal$1M(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1M() {
    var data = _tagged_template_literal$1M([
        "\n    :host{pointer-events:none;visibility:hidden;opacity:0;transition:transform var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))ease-in-out,opacity var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))ease-in-out,visibility 0s linear var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))}:host([open]){pointer-events:auto;visibility:visible;opacity:1;transition-delay:var(--mod-overlay-animation-duration-opened,var(--spectrum-animation-duration-0,0s))}:host{--spectrum-underlay-background-entry-animation-delay:var(--spectrum-animation-duration-0);--spectrum-underlay-background-exit-animation-ease:var(--spectrum-animation-ease-in);--spectrum-underlay-background-entry-animation-ease:var(--spectrum-animation-ease-out);--spectrum-underlay-background-exit-animation-duration:var(--spectrum-animation-duration-300);--spectrum-underlay-background-entry-animation-duration:var(--spectrum-animation-duration-600);--spectrum-underlay-background-exit-animation-delay:var(--spectrum-animation-duration-200);--spectrum-underlay-background-color:rgba(var(--spectrum-black-rgb),var(--spectrum-overlay-opacity));background-color:var(--mod-underlay-background-color,var(--spectrum-underlay-background-color));z-index:1;transition:opacity var(--mod-underlay-background-exit-animation-duration,var(--spectrum-underlay-background-exit-animation-duration))var(--mod-underlay-background-exit-animation-ease,var(--spectrum-underlay-background-exit-animation-ease))var(--mod-underlay-background-exit-animation-delay,var(--spectrum-underlay-background-exit-animation-delay)),visibility 0s linear calc(var(--mod-underlay-background-exit-animation-delay,var(--spectrum-underlay-background-exit-animation-delay)) + var(--mod-underlay-background-exit-animation-duration,var(--spectrum-underlay-background-exit-animation-duration)));position:fixed;inset-block:0;inset-inline:0;overflow:hidden}:host([open]){transition:opacity var(--mod-underlay-background-entry-animation-duration,var(--spectrum-underlay-background-entry-animation-duration))var(--mod-underlay-background-entry-animation-ease,var(--spectrum-underlay-background-entry-animation-ease))var(--mod-underlay-background-entry-animation-delay,var(--spectrum-underlay-background-entry-animation-delay))}\n"
    ]);
    _templateObject$1M = function _templateObject() {
        return data;
    };
    return data;
}
var n$c = i$p(_templateObject$1M());
var u$o = n$c;

function _assert_this_initialized$$(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$14(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$13(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$13(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$13(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$13(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$$(o) {
    _get_prototype_of$$ = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$$(o);
}
function _inherits$$(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$$(subClass, superClass);
}
function _possible_constructor_return$$(self, call) {
    if (call && (_type_of$$(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$$(self);
}
function _set_prototype_of$$(o, p) {
    _set_prototype_of$$ = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$$(o, p);
}
function _tagged_template_literal$1L(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$$(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$$() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$$(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$$();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$$(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$$(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$$(this, result);
    };
}
function _templateObject$1L() {
    var data = _tagged_template_literal$1L([
        ""
    ]);
    _templateObject$1L = function _templateObject() {
        return data;
    };
    return data;
}
var d$f = Object.defineProperty;
var p$m = Object.getOwnPropertyDescriptor;
var s$6 = function(i, t, o, r) {
    for(var e = r > 1 ? void 0 : r ? p$m(t, o) : t, n = i.length - 1, l; n >= 0; n--)(l = i[n]) && (e = (r ? l(t, o, e) : l(e)) || e);
    return r && e && d$f(t, o, e), e;
};
var Underlay = /*#__PURE__*/ function(a) {
    _inherits$$(Underlay, a);
    var _super = _create_super$$(Underlay);
    function Underlay() {
        _class_call_check$14(this, Underlay);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.canClick = !1;
        _this.open = !1;
        return _this;
    }
    _create_class$13(Underlay, [
        {
            key: "click",
            value: function click() {
                this.dispatchEvent(new Event("close"));
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown() {
                this.canClick = !0;
            }
        },
        {
            key: "handlePointerup",
            value: function handlePointerup() {
                this.canClick && this.click(), this.canClick = !1;
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$1L());
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated() {
                this.addEventListener("pointerdown", this.handlePointerdown), this.addEventListener("pointerup", this.handlePointerup);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    u$o
                ];
            }
        }
    ]);
    return Underlay;
}(SpectrumElement);
s$6([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Underlay.prototype, "open", 2);

defineElement("sp-underlay", Underlay);

function _tagged_template_literal$1K(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1K() {
    var data = _tagged_template_literal$1K([
        "\n    :host{box-sizing:border-box;visibility:hidden;pointer-events:none;z-index:1;transition:visibility 0s linear var(--mod-modal-transition-animation-duration,var(--spectrum-modal-transition-animation-duration));justify-content:center;align-items:center;block-size:stretch;inline-size:100vw;display:flex;position:fixed;inset-block-start:0;inset-inline-start:0}:host([open]){visibility:visible}@media only screen and (device-height<=350px),only screen and (device-width<=400px){:host([responsive]){border-radius:0;block-size:100%;max-block-size:100%;inline-size:100%;max-inline-size:100%;margin-block-start:0}}\n"
    ]);
    _templateObject$1K = function _templateObject() {
        return data;
    };
    return data;
}
var e$r = i$p(_templateObject$1K());
var m$e = e$r;

function _tagged_template_literal$1J(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1J() {
    var data = _tagged_template_literal$1J([
        "\n    .modal{pointer-events:none;visibility:hidden;opacity:0;transition:transform var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))ease-in-out,opacity var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))ease-in-out,visibility 0s linear var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))}:host([open]) .modal{pointer-events:auto;visibility:visible;opacity:1;transition-delay:var(--mod-overlay-animation-duration-opened,var(--spectrum-animation-duration-0,0s))}:host{--spectrum-modal-confirm-exit-animation-delay:var(--spectrum-animation-duration-0);--spectrum-modal-fullscreen-margin:32px;--spectrum-modal-max-height:90vh;--spectrum-modal-max-width:90%;--spectrum-modal-background-color:var(--spectrum-gray-100);--spectrum-modal-confirm-border-radius:var(--spectrum-corner-radius-100);--spectrum-modal-confirm-exit-animation-duration:var(--spectrum-animation-duration-100);--spectrum-modal-confirm-entry-animation-duration:var(--spectrum-animation-duration-500);--spectrum-modal-confirm-entry-animation-delay:var(--spectrum-animation-duration-200);--spectrum-modal-transition-animation-duration:var(--spectrum-animation-duration-100)}.modal{transform:translateY(var(--mod-modal-confirm-entry-animation-distance,var(--spectrum-modal-confirm-entry-animation-distance)));z-index:1;max-block-size:var(--mod-modal-max-height,var(--spectrum-modal-max-height));max-inline-size:var(--mod-modal-max-width,var(--spectrum-modal-max-width));background:var(--mod-modal-background-color,var(--spectrum-modal-background-color));border-radius:var(--mod-modal-confirm-border-radius,var(--spectrum-modal-confirm-border-radius));pointer-events:auto;transition:opacity var(--mod-modal-confirm-exit-animation-duration,var(--spectrum-modal-confirm-exit-animation-duration))var(--spectrum-animation-ease-in)var(--mod-modal-confirm-exit-animation-delay,var(--spectrum-modal-confirm-exit-animation-delay)),visibility 0s linear calc(var(--mod-modal-confirm-exit-animation-delay,var(--spectrum-modal-confirm-exit-animation-delay)) + var(--mod-modal-confirm-exit-animation-duration,var(--spectrum-modal-confirm-exit-animation-duration))),transform 0s linear calc(var(--mod-modal-confirm-exit-animation-delay,var(--spectrum-modal-confirm-exit-animation-delay)) + var(--mod-modal-confirm-exit-animation-duration,var(--spectrum-modal-confirm-exit-animation-duration)));outline:none;overflow:hidden}:host([open]) .modal{transition:transform var(--mod-modal-confirm-entry-animation-duration,var(--spectrum-modal-confirm-entry-animation-duration))var(--spectrum-animation-ease-out)var(--mod-modal-confirm-entry-animation-delay,var(--spectrum-modal-confirm-entry-animation-delay)),opacity var(--mod-modal-confirm-entry-animation-duration,var(--spectrum-modal-confirm-entry-animation-duration))var(--spectrum-animation-ease-out)var(--mod-modal-confirm-entry-animation-delay,var(--spectrum-modal-confirm-entry-animation-delay));transform:translateY(0)}@media only screen and (device-height<=350px),only screen and (device-width<=400px){:host([responsive]) .modal{border-radius:0;block-size:100%;max-block-size:100%;inline-size:100%;max-inline-size:100%}}.fullscreen{max-block-size:none;max-inline-size:none;position:fixed;inset-block-start:var(--mod-modal-fullscreen-margin,var(--spectrum-modal-fullscreen-margin));inset-block-end:var(--mod-modal-fullscreen-margin,var(--spectrum-modal-fullscreen-margin));inset-inline-start:var(--mod-modal-fullscreen-margin,var(--spectrum-modal-fullscreen-margin));inset-inline-end:var(--mod-modal-fullscreen-margin,var(--spectrum-modal-fullscreen-margin))}.fullscreenTakeover{box-sizing:border-box;border:none;border-radius:0;max-block-size:none;max-inline-size:none;position:fixed;inset:0}.fullscreenTakeover,:host([open]) .fullscreenTakeover{transform:none}:host{--spectrum-dialog-confirm-exit-animation-duration:var(--swc-test-duration);--spectrum-dialog-confirm-entry-animation-duration:var(--swc-test-duration);--spectrum-modal-confirm-entry-animation-distance:var(--spectrum-dialog-confirm-entry-animation-distance);height:100dvh}.modal{overflow:visible}\n"
    ]);
    _templateObject$1J = function _templateObject() {
        return data;
    };
    return data;
}
var i$6 = i$p(_templateObject$1J());
var v$8 = i$6;

function _assert_this_initialized$_(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$j(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$j(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$j(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$j(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$13(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$12(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$12(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$12(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$12(Constructor, staticProps);
    return Constructor;
}
function _get$B(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$B = Reflect.get;
    } else {
        _get$B = function get(target, property, receiver) {
            var base = _super_prop_base$B(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$B(target, property, receiver || target);
}
function _get_prototype_of$_(o) {
    _get_prototype_of$_ = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$_(o);
}
function _inherits$_(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$_(subClass, superClass);
}
function _possible_constructor_return$_(self, call) {
    if (call && (_type_of$_(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$_(self);
}
function _set_prototype_of$_(o, p) {
    _set_prototype_of$_ = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$_(o, p);
}
function _super_prop_base$B(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$_(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1I(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$_(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$_() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$_(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$_();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$_(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$_(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$_(this, result);
    };
}
function _ts_generator$j(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$1I() {
    var data = _tagged_template_literal$1I([
        "\n            <slot></slot>\n        "
    ]);
    _templateObject$1I = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$l() {
    var data = _tagged_template_literal$1I([
        "\n                      <sp-underlay\n                          ?open=",
        "\n                          @close=",
        "\n                          @transitionrun=",
        "\n                          @transitionend=",
        "\n                          @transitioncancel=",
        "\n                      ></sp-underlay>\n                  "
    ]);
    _templateObject1$l = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$b() {
    var data = _tagged_template_literal$1I([
        "\n            ",
        '\n            <div\n                class="modal ',
        '"\n                @transitionrun=',
        "\n                @transitionend=",
        "\n                @transitioncancel=",
        "\n                @close=",
        "\n            >\n                ",
        "\n            </div>\n        "
    ]);
    _templateObject2$b = function _templateObject() {
        return data;
    };
    return data;
}
var p$l = Object.defineProperty;
var h$a = Object.getOwnPropertyDescriptor;
var o$j = function(n, s, e, i) {
    for(var t = i > 1 ? void 0 : i ? h$a(s, e) : s, a = n.length - 1, l; a >= 0; a--)(l = n[a]) && (t = (i ? l(s, e, t) : l(t)) || t);
    return i && t && p$l(s, e, t), t;
};
var DialogBase = /*#__PURE__*/ function(_f) {
    _inherits$_(DialogBase, _f);
    var _super = _create_super$_(DialogBase);
    function DialogBase() {
        _class_call_check$13(this, DialogBase);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.dismissable = !1;
        _this.open = !1;
        _this.responsive = !1;
        _this.transitionPromise = Promise.resolve();
        _this.resolveTransitionPromise = function() {};
        _this.underlay = !1;
        _this.animating = !1;
        return _this;
    }
    _create_class$12(DialogBase, [
        {
            key: "dialog",
            get: function get() {
                return this.shadowRoot.querySelector("slot").assignedElements()[0] || this;
            }
        },
        {
            key: "focus",
            value: function focus() {
                var _this = this;
                var _this1 = this, _superprop_get_focus = function() {
                    return _get$B(_get_prototype_of$_(DialogBase.prototype), "focus", _this);
                };
                return _async_to_generator$j(function() {
                    var e, _tmp1;
                    return _ts_generator$j(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                if (!_this1.shadowRoot) return [
                                    3,
                                    5
                                ];
                                e = firstFocusableIn(_this1.dialog);
                                if (!e) return [
                                    3,
                                    3
                                ];
                                _tmp1 = e.updateComplete;
                                if (!_tmp1) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    e.updateComplete
                                ];
                            case 1:
                                _tmp1 = _state.sent();
                                _state.label = 2;
                            case 2:
                                (e.focus());
                                return [
                                    3,
                                    4
                                ];
                            case 3:
                                _this1.dialog.focus();
                                _state.label = 4;
                            case 4:
                                return [
                                    3,
                                    6
                                ];
                            case 5:
                                _superprop_get_focus().call(_this1);
                                _state.label = 6;
                            case 6:
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "overlayWillCloseCallback",
            value: function overlayWillCloseCallback() {
                return this.open ? (this.close(), !0) : this.animating;
            }
        },
        {
            key: "dismiss",
            value: function dismiss() {
                this.dismissable && this.close();
            }
        },
        {
            key: "handleClose",
            value: function handleClose(e) {
                e.stopPropagation(), this.close();
            }
        },
        {
            key: "close",
            value: function close() {
                this.open = !1;
            }
        },
        {
            key: "dispatchClosed",
            value: function dispatchClosed() {
                this.dispatchEvent(new Event("close", {
                    bubbles: !0
                }));
            }
        },
        {
            key: "handleTransitionEvent",
            value: function handleTransitionEvent(e) {
                this.dispatchEvent(new TransitionEvent(e.type, {
                    bubbles: !0,
                    composed: !0,
                    propertyName: e.propertyName
                }));
            }
        },
        {
            key: "handleUnderlayTransitionend",
            value: function handleUnderlayTransitionend(e) {
                !this.open && e.propertyName === "visibility" && this.resolveTransitionPromise(), this.handleTransitionEvent(e);
            }
        },
        {
            key: "handleModalTransitionend",
            value: function handleModalTransitionend(e) {
                (this.open || !this.underlay) && this.resolveTransitionPromise(), this.handleTransitionEvent(e);
            }
        },
        {
            key: "update",
            value: function update(e) {
                var _this = this;
                e.has("open") && e.get("open") !== void 0 && (this.animating = !0, this.transitionPromise = new Promise(function(i) {
                    _this.resolveTransitionPromise = function() {
                        _this.animating = !1, i();
                    };
                }), this.open || this.dispatchClosed()), _get$B(_get_prototype_of$_(DialogBase.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "renderDialog",
            value: function renderDialog() {
                return x$3(_templateObject$1I());
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject2$b(), this.underlay ? x$3(_templateObject1$l(), this.open, this.dismiss, this.handleTransitionEvent, this.handleUnderlayTransitionend, this.handleTransitionEvent) : E$2, this.mode, this.handleTransitionEvent, this.handleModalTransitionend, this.handleTransitionEvent, this.handleClose, this.renderDialog());
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                var _this = this;
                e.has("open") && this.open && "updateComplete" in this.dialog && "shouldManageTabOrderForScrolling" in this.dialog && this.dialog.updateComplete.then(function() {
                    _this.dialog.shouldManageTabOrderForScrolling();
                });
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                var _this = this;
                var _this1 = this, _superprop_get_getUpdateComplete = function() {
                    return _get$B(_get_prototype_of$_(DialogBase.prototype), "getUpdateComplete", _this);
                };
                return _async_to_generator$j(function() {
                    var e;
                    return _ts_generator$j(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _superprop_get_getUpdateComplete().call(_this1)
                                ];
                            case 1:
                                e = _state.sent();
                                return [
                                    4,
                                    _this1.transitionPromise
                                ];
                            case 2:
                                return [
                                    2,
                                    (_state.sent(), e)
                                ];
                        }
                    });
                })();
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    m$e,
                    v$8
                ];
            }
        }
    ]);
    return DialogBase;
}(FocusVisiblePolyfillMixin(SpectrumElement));
o$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], DialogBase.prototype, "dismissable", 2), o$j([
    n$r({
        type: Boolean,
        reflect: !0
    })
], DialogBase.prototype, "open", 2), o$j([
    n$r({
        type: String,
        reflect: !0
    })
], DialogBase.prototype, "mode", 2), o$j([
    n$r({
        type: Boolean
    })
], DialogBase.prototype, "responsive", 2), o$j([
    n$r({
        type: Boolean
    })
], DialogBase.prototype, "underlay", 2);

defineElement("sp-dialog-base", DialogBase);

var spDialogBase = /*#__PURE__*/Object.freeze({
    __proto__: null
});

function _array_like_to_array$j(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$g(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$j(arr);
}
function _assert_this_initialized$Z(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$12(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$11(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$11(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$11(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$11(Constructor, staticProps);
    return Constructor;
}
function _get$A(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$A = Reflect.get;
    } else {
        _get$A = function get(target, property, receiver) {
            var base = _super_prop_base$A(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$A(target, property, receiver || target);
}
function _get_prototype_of$Z(o) {
    _get_prototype_of$Z = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$Z(o);
}
function _inherits$Z(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$Z(subClass, superClass);
}
function _iterable_to_array$g(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$g() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$Z(self, call) {
    if (call && (_type_of$Z(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$Z(self);
}
function _set_prototype_of$Z(o, p) {
    _set_prototype_of$Z = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$Z(o, p);
}
function _super_prop_base$A(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$Z(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1H(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$g(arr) {
    return _array_without_holes$g(arr) || _iterable_to_array$g(arr) || _unsupported_iterable_to_array$j(arr) || _non_iterable_spread$g();
}
function _type_of$Z(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$j(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$j(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$j(o, minLen);
}
function _is_native_reflect_construct$Z() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$Z(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$Z();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$Z(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$Z(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$Z(this, result);
    };
}
function _templateObject$1H() {
    var data = _tagged_template_literal$1H([
        '\n                          <img\n                              src="',
        '"\n                              slot="hero"\n                              aria-hidden=',
        "\n                              alt=",
        "\n                          />\n                      "
    ]);
    _templateObject$1H = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$k() {
    var data = _tagged_template_literal$1H([
        '\n                          <h2\n                              slot="heading"\n                              ?hidden=',
        "\n                          >\n                              ",
        "\n                          </h2>\n                      "
    ]);
    _templateObject1$k = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$a() {
    var data = _tagged_template_literal$1H([
        '\n                          <div slot="footer">',
        "</div>\n                      "
    ]);
    _templateObject2$a = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$8() {
    var data = _tagged_template_literal$1H([
        '\n                          <sp-button\n                              variant="secondary"\n                              treatment="outline"\n                              slot="button"\n                              @click=',
        "\n                          >\n                              ",
        "\n                          </sp-button>\n                      "
    ]);
    _templateObject3$8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$8() {
    var data = _tagged_template_literal$1H([
        '\n                          <sp-button\n                              variant="primary"\n                              treatment="outline"\n                              slot="button"\n                              @click=',
        "\n                          >\n                              ",
        "\n                          </sp-button>\n                      "
    ]);
    _templateObject4$8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$6() {
    var data = _tagged_template_literal$1H([
        '\n                          <sp-button\n                              variant="accent"\n                              slot="button"\n                              @click=',
        "\n                          >\n                              ",
        "\n                          </sp-button>\n                      "
    ]);
    _templateObject5$6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6$2() {
    var data = _tagged_template_literal$1H([
        "\n            <sp-dialog\n                ?dismissable=",
        "\n                dismiss-label=",
        "\n                ?no-divider=",
        "\n                ?error=",
        "\n                mode=",
        "\n                size=",
        "\n            >\n                ",
        "\n                ",
        "\n                <slot></slot>\n                ",
        "\n                ",
        "\n                ",
        "\n                ",
        "\n            </sp-dialog>\n        "
    ]);
    _templateObject6$2 = function _templateObject() {
        return data;
    };
    return data;
}
var h$9 = Object.defineProperty;
var u$n = Object.getOwnPropertyDescriptor;
var e$q = function(c, o, r, n) {
    for(var i = n > 1 ? void 0 : n ? u$n(o, r) : o, b = c.length - 1, d; b >= 0; b--)(d = c[b]) && (i = (n ? d(o, r, i) : d(i)) || i);
    return n && i && h$9(o, r, i), i;
};
var DialogWrapper = /*#__PURE__*/ function(m) {
    _inherits$Z(DialogWrapper, m);
    var _super = _create_super$Z(DialogWrapper);
    function DialogWrapper() {
        _class_call_check$12(this, DialogWrapper);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.error = !1;
        _this.cancelLabel = "";
        _this.confirmLabel = "";
        _this.dismissLabel = "Close";
        _this.footer = "";
        _this.hero = "";
        _this.heroLabel = "";
        _this.noDivider = !1;
        _this.secondaryLabel = "";
        _this.headline = "";
        return _this;
    }
    _create_class$11(DialogWrapper, [
        {
            key: "dialog",
            get: function get() {
                return this.shadowRoot.querySelector("sp-dialog");
            }
        },
        {
            key: "clickSecondary",
            value: function clickSecondary() {
                this.dispatchEvent(new Event("secondary", {
                    bubbles: !0
                }));
            }
        },
        {
            key: "clickCancel",
            value: function clickCancel() {
                this.dispatchEvent(new Event("cancel", {
                    bubbles: !0
                }));
            }
        },
        {
            key: "clickConfirm",
            value: function clickConfirm() {
                this.dispatchEvent(new Event("confirm", {
                    bubbles: !0
                }));
            }
        },
        {
            key: "renderDialog",
            value: function renderDialog() {
                var r = this.noDivider || !this.headline || this.headlineVisibility === "none";
                return x$3(_templateObject6$2(), this.dismissable, this.dismissLabel, r, this.error, o$O(this.mode), o$O(this.size), this.hero ? x$3(_templateObject$1H(), this.hero, o$O(this.heroLabel ? void 0 : "true"), o$O(this.heroLabel ? this.heroLabel : void 0)) : E$2, this.headline ? x$3(_templateObject1$k(), this.headlineVisibility === "none", this.headline) : E$2, this.footer ? x$3(_templateObject2$a(), this.footer) : E$2, this.cancelLabel ? x$3(_templateObject3$8(), this.clickCancel, this.cancelLabel) : E$2, this.secondaryLabel ? x$3(_templateObject4$8(), this.clickSecondary, this.secondaryLabel) : E$2, this.confirmLabel ? x$3(_templateObject5$6(), this.clickConfirm, this.confirmLabel) : E$2);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$g(_get$A(_get_prototype_of$Z(DialogWrapper), "styles", this));
            }
        }
    ]);
    return DialogWrapper;
}(DialogBase);
e$q([
    n$r({
        type: Boolean,
        reflect: !0
    })
], DialogWrapper.prototype, "error", 2), e$q([
    n$r({
        attribute: "cancel-label"
    })
], DialogWrapper.prototype, "cancelLabel", 2), e$q([
    n$r({
        attribute: "confirm-label"
    })
], DialogWrapper.prototype, "confirmLabel", 2), e$q([
    n$r({
        attribute: "dismiss-label"
    })
], DialogWrapper.prototype, "dismissLabel", 2), e$q([
    n$r()
], DialogWrapper.prototype, "footer", 2), e$q([
    n$r()
], DialogWrapper.prototype, "hero", 2), e$q([
    n$r({
        attribute: "hero-label"
    })
], DialogWrapper.prototype, "heroLabel", 2), e$q([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "no-divider"
    })
], DialogWrapper.prototype, "noDivider", 2), e$q([
    n$r({
        type: String,
        reflect: !0
    })
], DialogWrapper.prototype, "size", 2), e$q([
    n$r({
        attribute: "secondary-label"
    })
], DialogWrapper.prototype, "secondaryLabel", 2), e$q([
    n$r()
], DialogWrapper.prototype, "headline", 2), e$q([
    n$r({
        type: String,
        attribute: "headline-visibility"
    })
], DialogWrapper.prototype, "headlineVisibility", 2);

defineElement("sp-dialog-wrapper", DialogWrapper);

function _tagged_template_literal$1G(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1G() {
    var data = _tagged_template_literal$1G([
        "\n    :host{--spectrum-drop-zone-padding:var(--spectrum-spacing-400);--spectrum-drop-zone-illustration-to-heading:var(--spectrum-spacing-400);--spectrum-drop-zone-heading-to-body:var(--spectrum-spacing-75);--spectrum-drop-zone-border-width:var(--spectrum-border-width-200);--spectrum-drop-zone-corner-radius:var(--spectrum-corner-radius-100);--spectrum-drop-zone-border-color:var(--spectrum-gray-300);--spectrum-drop-zone-heading-font-family:var(--spectrum-sans-font-family-stack);--spectrum-drop-zone-heading-font-weight:var(--spectrum-heading-sans-serif-font-weight);--spectrum-drop-zone-heading-font-style:var(--spectrum-heading-sans-serif-font-style);--spectrum-drop-zone-heading-font-size:var(--spectrum-drop-zone-title-size);--spectrum-drop-zone-heading-line-height:var(--spectrum-heading-line-height);--spectrum-drop-zone-heading-color:var(--spectrum-heading-color);--spectrum-drop-zone-body-font-family:var(--spectrum-sans-font-family-stack);--spectrum-drop-zone-body-font-weight:var(--spectrum-body-sans-serif-font-weight);--spectrum-drop-zone-body-font-style:var(--spectrum-body-sans-serif-font-style);--spectrum-drop-zone-body-font-size:var(--spectrum-drop-zone-body-size);--spectrum-drop-zone-body-line-height:var(--spectrum-body-line-height);--spectrum-drop-zone-body-color:var(--spectrum-body-color);--spectrum-drop-zone-background-color:var(--spectrum-drop-zone-background-color-rgb);--spectrum-drop-zone-border-color-hover:var(--spectrum-accent-visual-color);--spectrum-drop-zone-illustration-color:var(--spectrum-neutral-visual-color);--spectrum-drop-zone-illustration-color-hover:var(--spectrum-accent-visual-color);--spectrum-drop-zone-content-height:var(--spectrum-component-height-300);--spectrum-drop-zone-content-max-width:var(--spectrum-drop-zone-content-maximum-width);--spectrum-drop-zone-content-edge-to-text:var(--spectrum-component-edge-to-text-300);--spectrum-drop-zone-content-top-to-text:var(--spectrum-component-top-to-text-300);--spectrum-drop-zone-content-bottom-to-text:var(--spectrum-component-bottom-to-text-300);--spectrum-drop-zone-content-font-family:var(--spectrum-sans-font-family-stack);--spectrum-drop-zone-content-font-weight:var(--spectrum-bold-font-weight);--spectrum-drop-zone-content-font-style:var(--spectrum-default-font-style);--spectrum-drop-zone-content-font-size:var(--spectrum-font-size-300);--spectrum-drop-zone-content-line-height:var(--spectrum-line-height-100);--spectrum-drop-zone-content-background-color:var(--spectrum-accent-visual-color);--spectrum-drop-zone-content-color:var(--spectrum-white);--mod-illustrated-message-content-maximum-width:var(--mod-drop-zone-content-maximum-width,var(--spectrum-drop-zone-content-maximum-width));--mod-illustrated-message-illustration-color:var(--mod-drop-zone-illustration-color,var(--spectrum-drop-zone-illustration-color));--mod-illustrated-message-title-to-heading:var(--mod-drop-zone-illustration-to-heading,var(--spectrum-drop-zone-illustration-to-heading));--mod-illustrated-message-heading-to-body:var(--mod-drop-zone-heading-to-body,var(--spectrum-drop-zone-heading-to-body));--mod-illustrated-message-title-font-family:var(--mod-drop-zone-heading-font-family,var(--spectrum-drop-zone-heading-font-family));--mod-illustrated-message-title-font-weight:var(--mod-drop-zone-heading-font-weight,var(--spectrum-drop-zone-heading-font-weight));--mod-illustrated-message-title-font-style:var(--mod-drop-zone-heading-font-style,var(--spectrum-drop-zone-heading-font-style));--mod-illustrated-message-title-font-size:var(--mod-drop-zone-heading-font-size,var(--spectrum-drop-zone-heading-font-size));--mod-illustrated-message-title-line-height:var(--mod-drop-zone-heading-line-height,var(--spectrum-drop-zone-heading-line-height));--mod-illustrated-message-title-color:var(--mod-drop-zone-heading-color,var(--spectrum-drop-zone-heading-color));--mod-illustrated-message-description-position:relative;--mod-illustrated-message-description-z-index:1;--mod-illustrated-message-heading-to-description:0;--mod-illustrated-message-description-font-family:var(--mod-drop-zone-body-font-family,var(--spectrum-drop-zone-body-font-family));--mod-illustrated-message-description-font-weight:var(--mod-drop-zone-body-font-weight,var(--spectrum-drop-zone-body-font-weight));--mod-illustrated-message-description-font-style:var(--mod-drop-zone-body-font-style,var(--spectrum-drop-zone-body-font-style));--mod-illustrated-message-description-font-size:var(--mod-drop-zone-body-font-size,var(--spectrum-drop-zone-body-font-size));--mod-illustrated-message-description-line-height:var(--mod-drop-zone-body-line-height,var(--spectrum-drop-zone-body-line-height));--mod-illustrated-message-description-color:var(--mod-drop-zone-body-color,var(--spectrum-drop-zone-body-color));--mod-actionbutton-font-size:var(--mod-drop-zone-content-font-size,var(--spectrum-drop-zone-content-font-size));--mod-actionbutton-label-color:var(--mod-drop-zone-content-color,var(--spectrum-drop-zone-content-color));--mod-actionbutton-edge-to-text:var(--mod-drop-zone-content-edge-to-text,var(--spectrum-drop-zone-content-edge-to-text))}:host:lang(ja),:host:lang(ko),:host:lang(zh){--spectrum-drop-zone-heading-font-size:var(--spectrum-drop-zone-cjk-title-size)}:host{box-sizing:border-box;inline-size:var(--mod-drop-zone-width,var(--spectrum-drop-zone-width));padding:calc(var(--mod-drop-zone-padding,var(--spectrum-drop-zone-padding)) - var(--mod-drop-zone-border-width,var(--spectrum-drop-zone-border-width)));text-align:center;border-color:var(--mod-drop-zone-border-color,var(--spectrum-drop-zone-border-color));border-width:var(--mod-drop-zone-border-width,var(--spectrum-drop-zone-border-width));border-radius:var(--mod-drop-zone-corner-radius,var(--spectrum-drop-zone-corner-radius));border-style:var(--mod-drop-zone-border-style,dashed);background-size:cover;background-color:var(--mod-drop-zone-background-color,var(--spectrum-drop-zone-background-color))}:host([dragged]){--mod-drop-zone-border-style:var(--mod-drop-zone-border-style--dragged,var(--mod-drop-zone-border-style-dragged,solid));--mod-drop-zone-background-color:rgba(var(--spectrum-drop-zone-background-color),var(--mod-drop-zone-background-color-opacity,var(--spectrum-drop-zone-background-color-opacity)));--spectrum-drop-zone-border-color:var(--highcontrast-drop-zone-border-color-hover,var(--mod-drop-zone-border-color-hover,var(--spectrum-drop-zone-border-color-hover)));--mod-illustrated-message-illustration-color:var(--mod-drop-zone-illustration-color-hover,var(--spectrum-drop-zone-illustration-color-hover))}:host .is-filled{--mod-drop-zone-background-color:rgba(var(--spectrum-drop-zone-background-color),var(--mod-drop-zone-background-color-opacity-filled,var(--spectrum-drop-zone-background-color-opacity-filled)));--mod-illustrated-message-display:none}:host([dragged]) .is-filled{--mod-drop-zone-content-display:flex}:host(:focus-visible){--mod-drop-zone-border-style:solid;--spectrum-drop-zone-border-color:var(--highcontrast-drop-zone-border-color-hover,var(--mod-drop-zone-border-color-hover,var(--spectrum-drop-zone-border-color-hover)));outline:0}.spectrum-DropZone-content{display:var(--mod-drop-zone-content-display,none);z-index:1;justify-content:center;align-items:center;block-size:100%;position:relative}.spectrum-DropZone-button{box-sizing:border-box;block-size:var(--mod-drop-zone-content-height,var(--spectrum-drop-zone-content-height));max-inline-size:var(--mod-drop-zone-content-max-width,var(--spectrum-drop-zone-content-max-width));font-family:var(--mod-drop-zone-content-font-family,var(--spectrum-drop-zone-content-font-family));font-weight:var(--mod-drop-zone-content-font-weight,var(--spectrum-drop-zone-content-font-weight));font-style:var(--mod-drop-zone-content-font-style,var(--spectrum-drop-zone-content-font-style));line-height:var(--mod-drop-zone-content-line-height,var(--spectrum-drop-zone-content-line-height));border:none;padding-block-start:var(--mod-drop-zone-content-top-to-text,var(--spectrum-drop-zone-content-top-to-text));padding-block-end:var(--mod-drop-zone-content-bottom-to-text,var(--spectrum-drop-zone-content-bottom-to-text))}.spectrum-DropZone-button,.spectrum-DropZone-button:focus{background-color:var(--mod-drop-zone-content-background-color,var(--spectrum-drop-zone-content-background-color))}@media (hover:hover){.spectrum-DropZone-button:hover{background-color:var(--mod-drop-zone-content-background-color,var(--spectrum-drop-zone-content-background-color))}}@media (forced-colors:active){:host{--highcontrast-drop-zone-illustration-color:CanvasText;--highcontrast-drop-zone-border-color-hover:Highlight;--highcontrast-illustrated-message-illustration-color:var(--highcontrast-drop-zone-illustration-color)}}:host{display:block}::slotted(*){font-family:var(--mod-drop-zone-body-font-family,var(--spectrum-drop-zone-body-font-family));font-size:var(--mod-drop-zone-body-font-size,var(--spectrum-drop-zone-body-font-size));font-weight:var(--mod-drop-zone-body-font-weight,var(--spectrum-drop-zone-body-font-weight));line-height:var(--mod-drop-zone-body-line-height,var(--spectrum-drop-zone-body-line-height));font-style:var(--spectrum-drop-zone-body-font-style,var(--spectrum-drop-zone-body-font-style));margin-top:0;margin-bottom:0}\n"
    ]);
    _templateObject$1G = function _templateObject() {
        return data;
    };
    return data;
}
var e$p = i$p(_templateObject$1G());
var u$m = e$p;

function _assert_this_initialized$Y(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$11(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$10(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$10(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$10(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$10(Constructor, staticProps);
    return Constructor;
}
function _get$z(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$z = Reflect.get;
    } else {
        _get$z = function get(target, property, receiver) {
            var base = _super_prop_base$z(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$z(target, property, receiver || target);
}
function _get_prototype_of$Y(o) {
    _get_prototype_of$Y = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$Y(o);
}
function _inherits$Y(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$Y(subClass, superClass);
}
function _possible_constructor_return$Y(self, call) {
    if (call && (_type_of$Y(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$Y(self);
}
function _set_prototype_of$Y(o, p) {
    _set_prototype_of$Y = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$Y(o, p);
}
function _super_prop_base$z(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$Y(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1F(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$Y(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$Y() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$Y(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$Y();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$Y(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$Y(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$Y(this, result);
    };
}
function _templateObject$1F() {
    var data = _tagged_template_literal$1F([
        "\n            <slot></slot>\n        "
    ]);
    _templateObject$1F = function _templateObject() {
        return data;
    };
    return data;
}
var i$5 = Object.defineProperty;
var p$k = Object.getOwnPropertyDescriptor;
var d$e = function(n, o, e, t) {
    for(var r = t > 1 ? void 0 : t ? p$k(o, e) : o, a = n.length - 1, s; a >= 0; a--)(s = n[a]) && (r = (t ? s(o, e, r) : s(r)) || r);
    return t && r && i$5(o, e, r), r;
};
var Dropzone = /*#__PURE__*/ function(l) {
    _inherits$Y(Dropzone, l);
    var _super = _create_super$Y(Dropzone);
    function Dropzone() {
        _class_call_check$11(this, Dropzone);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this._dropEffect = "copy";
        _this.isDragged = !1;
        _this.debouncedDragLeave = null;
        return _this;
    }
    _create_class$10(Dropzone, [
        {
            key: "dropEffect",
            get: function get() {
                return this._dropEffect;
            },
            set: function set(e) {
                [
                    "copy",
                    "move",
                    "link",
                    "none"
                ].includes(e) && (this._dropEffect = e);
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                _get$z(_get_prototype_of$Y(Dropzone.prototype), "connectedCallback", this).call(this), this.addEventListener("drop", this.onDrop), this.addEventListener("dragover", this.onDragOver), this.addEventListener("dragleave", this.onDragLeave);
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                _get$z(_get_prototype_of$Y(Dropzone.prototype), "disconnectedCallback", this).call(this), this.removeEventListener("drop", this.onDrop), this.removeEventListener("dragover", this.onDragOver), this.removeEventListener("dragleave", this.onDragLeave);
            }
        },
        {
            key: "onDragOver",
            value: function onDragOver(e) {
                var t = new CustomEvent("sp-dropzone-should-accept", {
                    bubbles: !0,
                    cancelable: !0,
                    composed: !0,
                    detail: e
                }), r = this.dispatchEvent(t);
                if (!e.dataTransfer) return;
                if (!r) {
                    e.dataTransfer.dropEffect = "none";
                    return;
                }
                e.preventDefault(), this.clearDebouncedDragLeave(), this.isDragged = !0, e.dataTransfer.dropEffect = this.dropEffect;
                var a = new CustomEvent("sp-dropzone-dragover", {
                    bubbles: !0,
                    composed: !0,
                    detail: e
                });
                this.dispatchEvent(a);
            }
        },
        {
            key: "onDragLeave",
            value: function onDragLeave(e) {
                var _this = this;
                this.clearDebouncedDragLeave(), this.debouncedDragLeave = window.setTimeout(function() {
                    _this.isDragged = !1;
                    var t = new CustomEvent("sp-dropzone-dragleave", {
                        bubbles: !0,
                        composed: !0,
                        detail: e
                    });
                    _this.dispatchEvent(t);
                }, 100);
            }
        },
        {
            key: "onDrop",
            value: function onDrop(e) {
                e.preventDefault(), this.clearDebouncedDragLeave(), this.isDragged = !1;
                var t = new CustomEvent("sp-dropzone-drop", {
                    bubbles: !0,
                    composed: !0,
                    detail: e
                });
                this.dispatchEvent(t);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$1F());
            }
        },
        {
            key: "clearDebouncedDragLeave",
            value: function clearDebouncedDragLeave() {
                this.debouncedDragLeave && (clearTimeout(this.debouncedDragLeave), this.debouncedDragLeave = null);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    u$m
                ];
            }
        }
    ]);
    return Dropzone;
}(SpectrumElement);
d$e([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "dragged"
    })
], Dropzone.prototype, "isDragged", 2);

defineElement("sp-dropzone", Dropzone);

function _tagged_template_literal$1E(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1E() {
    var data = _tagged_template_literal$1E([
        '\n    .group{--spectrum-fieldgroup-margin:var(--spectrum-spacing-300);--spectrum-fieldgroup-readonly-delimiter:",";flex-flow:column wrap;display:flex}.spectrum-FieldGroup--toplabel{flex-direction:column}.spectrum-FieldGroup--sidelabel{flex-direction:row}.group{flex-flow:column wrap;display:flex}:host([vertical]) .group{flex-direction:column}:host([horizontal]) .group{flex-direction:row}:host([horizontal]) .group slot:not([name])::slotted(:not(:last-child)){margin-inline-end:var(--spectrum-fieldgroup-margin)}:host([horizontal]) .group .spectrum-HelpText{flex-basis:100%}:host([horizontal][dir=rtl]) slot:not([name])::slotted(:not(:last-child)),:host([dir=rtl]:not([vertical])) slot:not([name])::slotted(:not(:last-child)){margin:0 0 0 var(--spectrum-fieldgroup-margin)}:host([horizontal][dir=ltr]) slot:not([name])::slotted(:not(:last-child)),:host([dir=ltr]:not([vertical])) slot:not([name])::slotted(:not(:last-child)){margin:0 var(--spectrum-fieldgroup-margin)0 0}\n'
    ]);
    _templateObject$1E = function _templateObject() {
        return data;
    };
    return data;
}
var o$i = i$p(_templateObject$1E());
var b$7 = o$i;

function _assert_this_initialized$X(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$10(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$$(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$$(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$$(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$$(Constructor, staticProps);
    return Constructor;
}
function _get$y(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$y = Reflect.get;
    } else {
        _get$y = function get(target, property, receiver) {
            var base = _super_prop_base$y(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$y(target, property, receiver || target);
}
function _get_prototype_of$X(o) {
    _get_prototype_of$X = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$X(o);
}
function _inherits$X(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$X(subClass, superClass);
}
function _possible_constructor_return$X(self, call) {
    if (call && (_type_of$X(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$X(self);
}
function _set_prototype_of$X(o, p) {
    _set_prototype_of$X = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$X(o, p);
}
function _super_prop_base$y(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$X(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1D(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$X(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$X() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$X(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$X();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$X(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$X(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$X(this, result);
    };
}
function _templateObject$1D() {
    var data = _tagged_template_literal$1D([
        '\n            <div class="group" role="presentation">\n                <slot @slotchange=',
        "></slot>\n            </div>\n            ",
        "\n        "
    ]);
    _templateObject$1D = function _templateObject() {
        return data;
    };
    return data;
}
var d$d = Object.defineProperty;
var u$l = Object.getOwnPropertyDescriptor;
var l$7 = function(o, r, e, a) {
    for(var t = a > 1 ? void 0 : a ? u$l(r, e) : r, s = o.length - 1, p; s >= 0; s--)(p = o[s]) && (t = (a ? p(r, e, t) : p(t)) || t);
    return a && t && d$d(r, e, t), t;
};
var FieldGroup = /*#__PURE__*/ function(_h) {
    _inherits$X(FieldGroup, _h);
    var _super = _create_super$X(FieldGroup);
    function FieldGroup() {
        _class_call_check$10(this, FieldGroup);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.horizontal = !1;
        _this.invalid = !1;
        _this.label = "";
        _this.vertical = !1;
        return _this;
    }
    _create_class$$(FieldGroup, [
        {
            key: "handleSlotchange",
            value: function handleSlotchange() {}
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$1D(), this.handleSlotchange, this.renderHelpText(this.invalid));
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$y(_get_prototype_of$X(FieldGroup.prototype), "firstUpdated", this).call(this, e), this.hasAttribute("role") || this.setAttribute("role", "group");
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$y(_get_prototype_of$X(FieldGroup.prototype), "updated", this).call(this, e), e.has("label") && (this.label ? this.setAttribute("aria-label", this.label) : this.removeAttribute("aria-label"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    b$7
                ];
            }
        }
    ]);
    return FieldGroup;
}(ManageHelpText(SpectrumElement, {
    mode: "external"
}));
l$7([
    n$r({
        type: Boolean,
        reflect: !0
    })
], FieldGroup.prototype, "horizontal", 2), l$7([
    n$r({
        type: Boolean,
        reflect: !0
    })
], FieldGroup.prototype, "invalid", 2), l$7([
    n$r()
], FieldGroup.prototype, "label", 2), l$7([
    n$r({
        type: Boolean,
        reflect: !0
    })
], FieldGroup.prototype, "vertical", 2);

defineElement("sp-field-group", FieldGroup);

function _tagged_template_literal$1C(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1C() {
    var data = _tagged_template_literal$1C([
        "\n    :host{--spectrum-helptext-line-height:var(--spectrum-line-height-100);--spectrum-helptext-content-color-default:var(--spectrum-neutral-subdued-content-color-default);--spectrum-helptext-icon-color-default:var(--spectrum-neutral-subdued-content-color-default);--spectrum-helptext-disabled-content-color:var(--spectrum-disabled-content-color)}:host([variant=neutral]){--spectrum-helptext-content-color-default:var(--spectrum-neutral-subdued-content-color-default);--spectrum-helptext-icon-color-default:var(--spectrum-neutral-subdued-content-color-default)}:host([variant=negative]){--spectrum-helptext-content-color-default:var(--spectrum-negative-color-900);--spectrum-helptext-icon-color-default:var(--spectrum-negative-color-900)}:host([disabled]){--spectrum-helptext-content-color-default:var(--spectrum-helptext-disabled-content-color);--spectrum-helptext-icon-color-default:var(--spectrum-helptext-disabled-content-color)}:host(:lang(ja)),:host(:lang(ko)),:host(:lang(zh)){--spectrum-helptext-line-height-cjk:var(--spectrum-cjk-line-height-100)}:host([size=s]){--spectrum-helptext-min-height:var(--spectrum-component-height-75);--spectrum-helptext-icon-size:var(--spectrum-workflow-icon-size-75);--spectrum-helptext-font-size:var(--spectrum-font-size-75);--spectrum-helptext-text-to-visual:var(--spectrum-text-to-visual-75);--spectrum-helptext-top-to-workflow-icon:var(--spectrum-help-text-top-to-workflow-icon-small);--spectrum-helptext-bottom-to-workflow-icon:var(--spectrum-helptext-top-to-workflow-icon);--spectrum-helptext-top-to-text:var(--spectrum-component-top-to-text-75);--spectrum-helptext-bottom-to-text:var(--spectrum-component-bottom-to-text-75)}:host{--spectrum-helptext-min-height:var(--spectrum-component-height-75);--spectrum-helptext-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-helptext-font-size:var(--spectrum-font-size-75);--spectrum-helptext-text-to-visual:var(--spectrum-text-to-visual-75);--spectrum-helptext-top-to-workflow-icon:var(--spectrum-help-text-top-to-workflow-icon-medium);--spectrum-helptext-bottom-to-workflow-icon:var(--spectrum-helptext-top-to-workflow-icon);--spectrum-helptext-top-to-text:var(--spectrum-component-top-to-text-75);--spectrum-helptext-bottom-to-text:var(--spectrum-component-bottom-to-text-75)}:host([size=l]){--spectrum-helptext-min-height:var(--spectrum-component-height-100);--spectrum-helptext-icon-size:var(--spectrum-workflow-icon-size-200);--spectrum-helptext-font-size:var(--spectrum-font-size-100);--spectrum-helptext-text-to-visual:var(--spectrum-text-to-visual-100);--spectrum-helptext-top-to-workflow-icon:var(--spectrum-help-text-top-to-workflow-icon-large);--spectrum-helptext-bottom-to-workflow-icon:var(--spectrum-helptext-top-to-workflow-icon);--spectrum-helptext-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-helptext-bottom-to-text:var(--spectrum-component-bottom-to-text-100)}:host([size=xl]){--spectrum-helptext-min-height:var(--spectrum-component-height-200);--spectrum-helptext-icon-size:var(--spectrum-workflow-icon-size-300);--spectrum-helptext-font-size:var(--spectrum-font-size-200);--spectrum-helptext-text-to-visual:var(--spectrum-text-to-visual-200);--spectrum-helptext-top-to-workflow-icon:var(--spectrum-help-text-top-to-workflow-icon-extra-large);--spectrum-helptext-bottom-to-workflow-icon:var(--spectrum-helptext-top-to-workflow-icon);--spectrum-helptext-top-to-text:var(--spectrum-component-top-to-text-200);--spectrum-helptext-bottom-to-text:var(--spectrum-component-bottom-to-text-200)}@media (forced-colors:active){:host{--highcontrast-helptext-content-color-default:CanvasText;--highcontrast-helptext-icon-color-default:CanvasText}:host,.text,.icon{forced-color-adjust:none}}:host{color:var(--highcontrast-helptext-content-color-default,var(--mod-helptext-content-color-default,var(--spectrum-helptext-content-color-default)));font-size:var(--mod-helptext-font-size,var(--spectrum-helptext-font-size));min-block-size:var(--mod-helptext-min-height,var(--spectrum-helptext-min-height));display:flex}.icon{block-size:var(--mod-helptext-icon-size,var(--spectrum-helptext-icon-size));inline-size:var(--mod-helptext-icon-size,var(--spectrum-helptext-icon-size));flex-shrink:0;margin-inline-end:var(--mod-helptext-text-to-visual,var(--spectrum-helptext-text-to-visual));padding-block-start:var(--mod-helptext-top-to-workflow-icon,var(--spectrum-helptext-top-to-workflow-icon));padding-block-end:var(--mod-helptext-bottom-to-workflow-icon,var(--spectrum-helptext-bottom-to-workflow-icon))}.text{line-height:var(--mod-helptext-line-height,var(--spectrum-helptext-line-height));padding-block-start:var(--mod-helptext-top-to-text,var(--spectrum-helptext-top-to-text));padding-block-end:var(--mod-helptext-bottom-to-text,var(--spectrum-helptext-bottom-to-text))}:host(:lang(ja)) .text,:host(:lang(ko)) .text,:host(:lang(zh)) .text{line-height:var(--mod-helptext-line-height-cjk,var(--spectrum-helptext-line-height-cjk))}:host([variant=neutral]) .text{color:var(--highcontrast-helptext-content-color-default,var(--mod-helptext-content-color-default,var(--spectrum-helptext-content-color-default)))}:host([variant=neutral]) .icon{color:var(--highcontrast-helptext-icon-color-default,var(--mod-helptext-icon-color-default,var(--spectrum-helptext-icon-color-default)))}:host([variant=negative]) .text{color:var(--highcontrast-helptext-content-color-default,var(--mod-helptext-content-color-default,var(--spectrum-helptext-content-color-default)))}:host([variant=negative]) .icon{color:var(--highcontrast-helptext-icon-color-default,var(--mod-helptext-icon-color-default,var(--spectrum-helptext-icon-color-default)))}:host([disabled]) .text{color:var(--highcontrast-helptext-content-color-default,var(--mod-helptext-content-color-default,var(--spectrum-helptext-content-color-default)))}:host([disabled]) .icon{color:var(--highcontrast-helptext-icon-color-default,var(--mod-helptext-icon-color-default,var(--spectrum-helptext-icon-color-default)))}\n"
    ]);
    _templateObject$1C = function _templateObject() {
        return data;
    };
    return data;
}
var e$o = i$p(_templateObject$1C());
var f$b = e$o;

function _assert_this_initialized$W(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$$(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$_(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$_(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$_(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$_(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$W(o) {
    _get_prototype_of$W = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$W(o);
}
function _inherits$W(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$W(subClass, superClass);
}
function _possible_constructor_return$W(self, call) {
    if (call && (_type_of$W(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$W(self);
}
function _set_prototype_of$W(o, p) {
    _set_prototype_of$W = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$W(o, p);
}
function _tagged_template_literal$1B(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$W(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$W() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$W(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$W();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$W(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$W(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$W(this, result);
    };
}
function _templateObject$1B() {
    var data = _tagged_template_literal$1B([
        '\n                      <sp-icon-alert class="icon"></sp-icon-alert>\n                  '
    ]);
    _templateObject$1B = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$j() {
    var data = _tagged_template_literal$1B([
        "\n            ",
        '\n            <div class="text"><slot></slot></div>\n        '
    ]);
    _templateObject1$j = function _templateObject() {
        return data;
    };
    return data;
}
var c$d = Object.defineProperty;
var u$k = Object.getOwnPropertyDescriptor;
var n$b = function(i, t, l, r) {
    for(var e = r > 1 ? void 0 : r ? u$k(t, l) : t, a = i.length - 1, s; a >= 0; a--)(s = i[a]) && (e = (r ? s(t, l, e) : s(e)) || e);
    return r && e && c$d(t, l, e), e;
};
var HelpText = /*#__PURE__*/ function(_d) {
    _inherits$W(HelpText, _d);
    var _super = _create_super$W(HelpText);
    function HelpText() {
        _class_call_check$$(this, HelpText);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.icon = !1;
        _this.variant = "neutral";
        return _this;
    }
    _create_class$_(HelpText, [
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject1$j(), this.variant === "negative" && this.icon ? x$3(_templateObject$1B()) : E$2);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    f$b
                ];
            }
        }
    ]);
    return HelpText;
}(SizedMixin(SpectrumElement, {
    noDefaultSize: !0
}));
n$b([
    n$r({
        type: Boolean,
        reflect: !0
    })
], HelpText.prototype, "icon", 2), n$b([
    n$r({
        reflect: !0
    })
], HelpText.prototype, "variant", 2);

defineElement("sp-help-text", HelpText);

defineElement("sp-icon", Icon);

function _assert_this_initialized$V(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$_(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$Z(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$Z(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$Z(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$Z(Constructor, staticProps);
    return Constructor;
}
function _get$x(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$x = Reflect.get;
    } else {
        _get$x = function get(target, property, receiver) {
            var base = _super_prop_base$x(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$x(target, property, receiver || target);
}
function _get_prototype_of$V(o) {
    _get_prototype_of$V = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$V(o);
}
function _inherits$V(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$V(subClass, superClass);
}
function _possible_constructor_return$V(self, call) {
    if (call && (_type_of$V(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$V(self);
}
function _set_prototype_of$V(o, p) {
    _set_prototype_of$V = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$V(o, p);
}
function _super_prop_base$x(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$V(object);
        if (object === null) break;
    }
    return object;
}
function _type_of$V(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$V() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$V(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$V();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$V(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$V(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$V(this, result);
    };
}
var d$c = Object.defineProperty;
var m$d = Object.getOwnPropertyDescriptor;
var a$c = function(i, n, e, s) {
    for(var t = s > 1 ? void 0 : s ? m$d(n, e) : n, r = i.length - 1, c; r >= 0; r--)(c = i[r]) && (t = (s ? c(n, e, t) : c(t)) || t);
    return s && t && d$c(n, e, t), t;
};
var Iconset = /*#__PURE__*/ function(p) {
    _inherits$V(Iconset, p);
    var _super = _create_super$V(Iconset);
    function Iconset() {
        _class_call_check$_(this, Iconset);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.registered = !1;
        _this.handleRemoved = function(param) {
            var e = param.detail;
            e.name === _this.name && (_this.registered = !1, _this.addIconset());
        };
        return _this;
    }
    _create_class$Z(Iconset, [
        {
            key: "firstUpdated",
            value: function firstUpdated() {
                this.style.display = "none";
            }
        },
        {
            key: "name",
            get: function get() {
                return this._name;
            },
            set: function set(e) {
                this.registered && (this._name && IconsetRegistry.getInstance().removeIconset(this._name), e && IconsetRegistry.getInstance().addIconset(e, this)), this._name = e;
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                _get$x(_get_prototype_of$V(Iconset.prototype), "connectedCallback", this).call(this), this.addIconset(), window.addEventListener("sp-iconset-removed", this.handleRemoved);
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                _get$x(_get_prototype_of$V(Iconset.prototype), "disconnectedCallback", this).call(this), window.removeEventListener("sp-iconset-removed", this.handleRemoved), this.removeIconset();
            }
        },
        {
            key: "addIconset",
            value: function addIconset() {
                !this.name || this.registered || (IconsetRegistry.getInstance().addIconset(this.name, this), this.registered = !0);
            }
        },
        {
            key: "removeIconset",
            value: function removeIconset() {
                this.name && (IconsetRegistry.getInstance().removeIconset(this.name), this.registered = !1);
            }
        }
    ]);
    return Iconset;
}(r$C);
a$c([
    n$r()
], Iconset.prototype, "name", 1);

function _array_like_to_array$i(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$f(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$i(arr);
}
function _assert_this_initialized$U(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$i(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$i(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$i(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$i(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$Z(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$Y(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$Y(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$Y(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$Y(Constructor, staticProps);
    return Constructor;
}
function _get$w(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$w = Reflect.get;
    } else {
        _get$w = function get(target, property, receiver) {
            var base = _super_prop_base$w(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$w(target, property, receiver || target);
}
function _get_prototype_of$U(o) {
    _get_prototype_of$U = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$U(o);
}
function _inherits$U(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$U(subClass, superClass);
}
function _iterable_to_array$f(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$f() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$U(self, call) {
    if (call && (_type_of$U(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$U(self);
}
function _set_prototype_of$U(o, p) {
    _set_prototype_of$U = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$U(o, p);
}
function _super_prop_base$w(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$U(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1A(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$f(arr) {
    return _array_without_holes$f(arr) || _iterable_to_array$f(arr) || _unsupported_iterable_to_array$i(arr) || _non_iterable_spread$f();
}
function _type_of$U(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$i(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$i(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$i(o, minLen);
}
function _is_native_reflect_construct$U() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$U(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$U();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$U(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$U(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$U(this, result);
    };
}
function _ts_generator$i(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$1A() {
    var data = _tagged_template_literal$1A([
        ""
    ]);
    _templateObject$1A = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$i() {
    var data = _tagged_template_literal$1A([
        "\n            <slot @slotchange=",
        ">\n                ",
        "\n            </slot>\n        "
    ]);
    _templateObject1$i = function _templateObject() {
        return data;
    };
    return data;
}
var c$c = Object.defineProperty;
var p$j = Object.getOwnPropertyDescriptor;
var a$b = function(l, r, t, o) {
    for(var e = o > 1 ? void 0 : o ? p$j(r, t) : r, s = l.length - 1, n; s >= 0; s--)(n = l[s]) && (e = (o ? n(r, t, e) : n(e)) || e);
    return o && e && c$c(r, t, e), e;
};
var IconsetSVG = /*#__PURE__*/ function(m) {
    _inherits$U(IconsetSVG, m);
    var _super = _create_super$U(IconsetSVG);
    function IconsetSVG() {
        _class_call_check$Z(this, IconsetSVG);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.iconMap = new Map;
        return _this;
    }
    _create_class$Y(IconsetSVG, [
        {
            key: "updated",
            value: function updated(t) {
                if (!this.slotContainer) return;
                var o = this.getSVGNodes(this.slotContainer);
                this.updateSVG(o), _get$w(_get_prototype_of$U(IconsetSVG.prototype), "updated", this).call(this, t);
            }
        },
        {
            key: "applyIconToElement",
            value: function applyIconToElement(t, o, e, s) {
                var _this = this;
                return _async_to_generator$i(function() {
                    var n, i;
                    return _ts_generator$i(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 1:
                                _state.sent();
                                n = _this.iconMap.get(o);
                                if (!n) throw new Error("Unable to find icon ".concat(o));
                                i = _this.prepareSvgClone(n);
                                i.setAttribute("role", "img"), s ? i.setAttribute("aria-label", s) : i.setAttribute("aria-hidden", "true"), t.shadowRoot ? t.shadowRoot.appendChild(i) : t.appendChild(i);
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "getIconList",
            value: function getIconList() {
                return _to_consumable_array$f(this.iconMap.keys());
            }
        },
        {
            key: "prepareSvgClone",
            value: function prepareSvgClone(t) {
                var o = t.cloneNode(!0), e = document.createElementNS("http://www.w3.org/2000/svg", "svg"), s = o.getAttribute("viewBox") || "", n = "pointer-events: none; display: block; width: 100%; height: 100%;";
                for(e.style.cssText = n, e.setAttribute("viewBox", s), e.setAttribute("preserveAspectRatio", "xMidYMid meet"), e.setAttribute("focusable", "false"); o.childNodes.length > 0;)e.appendChild(o.childNodes[0]);
                return e;
            }
        },
        {
            key: "getSVGIconName",
            value: function getSVGIconName(t) {
                return t;
            }
        },
        {
            key: "getSanitizedIconName",
            value: function getSanitizedIconName(t) {
                return t;
            }
        },
        {
            key: "renderDefaultContent",
            value: function renderDefaultContent() {
                return x$3(_templateObject$1A());
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject1$i(), this.onSlotChange, this.renderDefaultContent());
            }
        },
        {
            key: "updateSVG",
            value: function updateSVG(t) {
                var _this = this;
                t.reduce(function(e, s) {
                    var _e;
                    var n = s.querySelectorAll("symbol");
                    return (_e = e).push.apply(_e, _to_consumable_array$f(n)), e;
                }, []).forEach(function(e) {
                    _this.iconMap.set(_this.getSanitizedIconName(e.id), e);
                });
            }
        },
        {
            key: "getSVGNodes",
            value: function getSVGNodes(t) {
                return t.assignedNodes({
                    flatten: !0
                }).filter(function(s) {
                    return s.nodeName === "svg";
                });
            }
        },
        {
            key: "onSlotChange",
            value: function onSlotChange(t) {
                var o = t.target, e = this.getSVGNodes(o);
                this.updateSVG(e);
            }
        }
    ]);
    return IconsetSVG;
}(Iconset);
a$b([
    e$F("slot")
], IconsetSVG.prototype, "slotContainer", 2);

function _tagged_template_literal$1z(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1z() {
    var data = _tagged_template_literal$1z([
        '<svg xmlns="http://www.w3.org/2000/svg"><symbol id="spectrum-icon-Arrow100" viewBox="0 0 14 14"><path d="M12.93 6.227 9.023 2.32a1.094 1.094 0 1 0-1.546 1.547l2.039 2.04H1.844a1.094 1.094 0 1 0 0 2.187h7.672l-2.04 2.039a1.094 1.094 0 0 0 1.547 1.547l3.907-3.907a1.093 1.093 0 0 0 0-1.546"/></symbol><symbol id="spectrum-icon-Arrow200" viewBox="0 0 16 16"><path d="m14.606 7.194-4.458-4.459a1.14 1.14 0 1 0-1.612 1.612L11.05 6.86H2.108a1.14 1.14 0 0 0 0 2.28h8.942l-2.514 2.513a1.14 1.14 0 1 0 1.611 1.612l4.46-4.46a1.14 1.14 0 0 0 0-1.61z"/></symbol><symbol id="spectrum-icon-Arrow300" viewBox="0 0 16 16"><path d="m15.364 7.161-5.083-5.083a1.186 1.186 0 0 0-1.678 1.678l3.057 3.058H1.277a1.187 1.187 0 1 0 0 2.373H11.66l-3.056 3.057a1.186 1.186 0 1 0 1.677 1.678l5.083-5.083a1.185 1.185 0 0 0 0-1.678"/></symbol><symbol id="spectrum-icon-Arrow400" viewBox="0 0 18 18"><path d="m17.216 8.126-5.79-5.79a1.236 1.236 0 0 0-1.746 1.75l3.683 3.683c-.008 0-.014-.004-.021-.004H1.337a1.236 1.236 0 0 0 0 2.472H13.34l.02-.004-3.68 3.682a1.236 1.236 0 1 0 1.748 1.748l5.789-5.789a1.237 1.237 0 0 0 0-1.748zm-2.643.895c0-.008.004-.014.004-.021s-.004-.013-.004-.02l.02.02z"/></symbol><symbol id="spectrum-icon-Arrow500" viewBox="0 0 22 22"><path d="m20.17 10.089-6.585-6.585a1.289 1.289 0 0 0-1.822 1.822l4.386 4.386H2.276a1.288 1.288 0 0 0 0 2.576h13.873l-4.386 4.386a1.289 1.289 0 0 0 1.822 1.822l6.585-6.585a1.29 1.29 0 0 0 0-1.822"/></symbol><symbol id="spectrum-icon-Arrow600" viewBox="0 0 24 24"><path d="m22.24 11.052-7.485-7.485a1.341 1.341 0 0 0-1.897 1.897l5.194 5.194H2.079a1.342 1.342 0 0 0 0 2.684h15.973l-5.194 5.194a1.341 1.341 0 1 0 1.897 1.897l7.484-7.485a1.34 1.34 0 0 0 0-1.896z"/></symbol><symbol id="spectrum-icon-Arrow75" viewBox="0 0 12 12"><path d="M11.325 5.258 7.91 1.84a1.05 1.05 0 0 0-1.486 1.484L8.048 4.95H1.494a1.05 1.05 0 0 0 0 2.1h6.554L6.423 8.675a1.05 1.05 0 0 0 1.486 1.484l3.416-3.417a1.05 1.05 0 0 0 0-1.484"/></symbol><symbol id="spectrum-icon-Asterisk100" viewBox="0 0 10 10"><path d="M8.176 8.281c.069.07.115.163 0 .255l-1.437.927c-.115.07-.161.024-.208-.092l-1.783-3.1-2.339 2.571c-.024.045-.093.091-.161 0L1.136 7.678c-.116-.069-.093-.139 0-.208l2.639-2.2-3.01-1.134c-.046 0-.115-.092-.07-.209l.788-1.574a.123.123 0 0 1 .151-.083.13.13 0 0 1 .058.038l2.639 1.713L4.494.64a.12.12 0 0 1 .1-.139h.038l1.922.255c.116 0 .139.046.116.163l-.9 3.31 3.057-.927c.069-.046.139-.046.185.092l.3 1.713c.023.116 0 .162-.093.162l-3.2.255z"/></symbol><symbol id="spectrum-icon-Asterisk200" viewBox="0 0 12 12"><path d="M9.575 9.696c.077.079.129.183 0 .287L7.96 11.025c-.129.079-.182.027-.234-.1L5.72 7.433l-2.633 2.893c-.027.051-.1.1-.182 0l-1.251-1.3c-.131-.077-.1-.156 0-.234l2.97-2.476-3.388-1.285c-.052 0-.129-.1-.079-.235l.886-1.771a.14.14 0 0 1 .17-.093.14.14 0 0 1 .065.042l2.97 1.928.183-3.8a.137.137 0 0 1 .114-.156.2.2 0 0 1 .042 0l2.163.287c.131 0 .156.052.131.183L6.86 5.136l3.44-1.043c.077-.052.156-.052.208.1l.339 1.928c.025.13 0 .183-.1.183l-3.6.287z"/></symbol><symbol id="spectrum-icon-Asterisk300" viewBox="0 0 12 12"><path d="M10.024 10.155c.087.089.146.206 0 .323l-1.819 1.173c-.146.089-.2.03-.263-.117L5.685 7.605l-2.962 3.254c-.03.057-.117.116-.2 0L1.116 9.392c-.147-.087-.117-.176 0-.263l3.339-2.785L.642 4.908c-.059 0-.146-.117-.089-.264l1-1.993a.156.156 0 0 1 .192-.1.16.16 0 0 1 .073.048l3.337 2.163.206-4.28a.155.155 0 0 1 .128-.176.2.2 0 0 1 .047 0l2.433.323c.147 0 .176.059.147.206l-1.144 4.19 3.87-1.173c.087-.06.176-.06.234.117l.381 2.169c.028.147 0 .206-.117.206l-4.046.323z"/></symbol><symbol id="spectrum-icon-Asterisk75" viewBox="0 0 8 8"><path d="M6.825 6.903c.061.062.1.144 0 .227l-1.277.824c-.1.062-.143.02-.185-.082L3.78 5.112 1.7 7.398c-.021.04-.082.08-.143 0L.569 6.367c-.1-.061-.082-.123 0-.185l2.347-1.957-2.68-1.007c-.041 0-.1-.082-.062-.186l.7-1.4a.11.11 0 0 1 .135-.073.1.1 0 0 1 .051.033l2.347 1.523.145-3.006a.11.11 0 0 1 .09-.123h.033l1.709.227c.1 0 .123.04.1.144l-.8 2.943 2.718-.824c.061-.041.123-.041.165.082l.268 1.523c.02.1 0 .144-.082.144l-2.842.227z"/></symbol><symbol id="spectrum-icon-Checkmark100" viewBox="0 0 14 14"><path d="M5.125 12.625a1.25 1.25 0 0 1-.96-.45L1.04 8.425a1.25 1.25 0 0 1 1.92-1.6l2.136 2.563 5.922-7.536a1.25 1.25 0 1 1 1.964 1.545l-6.874 8.75a1.25 1.25 0 0 1-.965.478z"/></symbol><symbol id="spectrum-icon-Checkmark200" viewBox="0 0 14 14"><path d="M4.891 13.224a1.3 1.3 0 0 1-1.005-.474l-3.54-4.3a1.302 1.302 0 0 1 2.011-1.655l2.508 3.046 6.758-8.647a1.302 1.302 0 1 1 2.05 1.604l-7.756 9.926a1.3 1.3 0 0 1-1.01.5z"/></symbol><symbol id="spectrum-icon-Checkmark300" viewBox="0 0 16 16"><path d="M5.627 14.894a1.36 1.36 0 0 1-1.042-.488l-4.1-4.92A1.357 1.357 0 0 1 2.569 7.75l3.027 3.631L13.4 1.448a1.356 1.356 0 0 1 2.133 1.675l-8.84 11.252a1.36 1.36 0 0 1-1.048.519z"/></symbol><symbol id="spectrum-icon-Checkmark400" viewBox="0 0 18 18"><path d="M6.33 16.642a1.42 1.42 0 0 1-1.086-.509l-4.683-5.62a1.413 1.413 0 0 1 2.171-1.81l3.566 4.28 8.936-11.374a1.413 1.413 0 0 1 2.223 1.746L7.441 16.102a1.42 1.42 0 0 1-1.09.54z"/></symbol><symbol id="spectrum-icon-Checkmark50" viewBox="0 0 12 12"><path d="M4.519 10.608a1.15 1.15 0 0 1-.885-.414L1.27 7.358a1.152 1.152 0 0 1 1.77-1.476l1.453 1.743 4.45-5.665a1.152 1.152 0 0 1 1.813 1.424l-5.331 6.784a1.15 1.15 0 0 1-.89.44z"/></symbol><symbol id="spectrum-icon-Checkmark500" viewBox="0 0 20 20"><path d="M6.997 18.48a1.47 1.47 0 0 1-1.13-.53L.521 11.538a1.471 1.471 0 1 1 2.26-1.885l4.182 5.017L17.18 1.666a1.472 1.472 0 1 1 2.314 1.818L8.154 17.917a1.47 1.47 0 0 1-1.135.562z"/></symbol><symbol id="spectrum-icon-Checkmark600" viewBox="0 0 24 24"><path d="M8.621 21.417a1.54 1.54 0 0 1-1.178-.552l-6.091-7.31a1.533 1.533 0 1 1 2.355-1.962l4.879 5.854L20.249 2.602a1.533 1.533 0 1 1 2.41 1.895L9.826 20.831a1.53 1.53 0 0 1-1.182.585z"/></symbol><symbol id="spectrum-icon-Checkmark75" viewBox="0 0 12 12"><path d="M4.333 11.09a1.2 1.2 0 0 1-.922-.433L.69 7.392a1.2 1.2 0 1 1 1.844-1.536l1.772 2.126 5.14-6.542a1.2 1.2 0 1 1 1.886 1.482L5.277 10.63a1.2 1.2 0 0 1-.927.459z"/></symbol><symbol id="spectrum-icon-Chevron100" viewBox="0 0 14 14"><path d="M4.5 13.25a1.094 1.094 0 0 1-.773-1.868L8.109 7 3.727 2.618A1.094 1.094 0 0 1 5.273 1.07l5.157 5.156a1.094 1.094 0 0 1 0 1.546L5.273 12.93a1.1 1.1 0 0 1-.773.321z"/></symbol><symbol id="spectrum-icon-Chevron200" viewBox="0 0 16 16"><path d="M5.123 15.005a1.14 1.14 0 0 1-.806-1.945L9.377 8l-5.06-5.06a1.14 1.14 0 0 1 1.612-1.61l5.865 5.864a1.14 1.14 0 0 1 0 1.612L5.929 14.67a1.14 1.14 0 0 1-.806.334z"/></symbol><symbol id="spectrum-icon-Chevron300" viewBox="0 0 16 16"><path d="M4.696 15.853a1.187 1.187 0 0 1-.84-2.026L9.684 8 3.856 2.173A1.187 1.187 0 0 1 5.536.495L12.2 7.16a1.187 1.187 0 0 1 0 1.678l-6.666 6.666a1.18 1.18 0 0 1-.84.348z"/></symbol><symbol id="spectrum-icon-Chevron400" viewBox="0 0 18 18"><path d="M5.213 17.805a1.236 1.236 0 0 1-.874-2.11L11.034 9 4.34 2.305A1.236 1.236 0 0 1 6.087.557l7.57 7.569a1.235 1.235 0 0 1 0 1.748l-7.57 7.569a1.23 1.23 0 0 1-.874.362"/></symbol><symbol id="spectrum-icon-Chevron500" viewBox="0 0 20 20"><path d="M5.667 19.876a1.288 1.288 0 0 1-.91-2.199L12.433 10 4.756 2.323A1.288 1.288 0 0 1 6.578.502l8.588 8.587a1.29 1.29 0 0 1 0 1.822l-8.588 8.588a1.28 1.28 0 0 1-.911.377"/></symbol><symbol id="spectrum-icon-Chevron600" viewBox="0 0 24 24"><path d="M7.05 23.078a1.341 1.341 0 0 1-.948-2.29L14.89 12 6.102 3.212a1.341 1.341 0 0 1 1.896-1.898l9.737 9.737a1.34 1.34 0 0 1 0 1.898l-9.737 9.737a1.34 1.34 0 0 1-.948.392"/></symbol><symbol id="spectrum-icon-Chevron75" viewBox="0 0 12 12"><path d="M3.833 11.578a1.05 1.05 0 0 1-.742-1.793L6.876 6 3.091 2.215A1.05 1.05 0 1 1 4.575.73l4.529 4.527a1.05 1.05 0 0 1 0 1.486L4.575 11.27a1.05 1.05 0 0 1-.742.308"/></symbol><symbol id="spectrum-icon-CornerTriangle100" viewBox="0 0 7 7"><path d="M6.687.75a.3.3 0 0 0-.221.091L.842 6.466a.312.312 0 0 0 .221.533h5.624a.31.31 0 0 0 .312-.312V1.062A.31.31 0 0 0 6.687.75"/></symbol><symbol id="spectrum-icon-CornerTriangle200" viewBox="0 0 8 8"><path d="M7.65.97a.35.35 0 0 0-.249.1L1.07 7.401a.352.352 0 0 0 .249.6H7.65a.35.35 0 0 0 .352-.352V1.322A.35.35 0 0 0 7.65.97"/></symbol><symbol id="spectrum-icon-CornerTriangle300" viewBox="0 0 8 8"><path d="M7.605.09a.4.4 0 0 0-.28.116L.206 7.325A.4.4 0 0 0 .49 8h7.115a.4.4 0 0 0 .4-.4V.49a.4.4 0 0 0-.4-.4"/></symbol><symbol id="spectrum-icon-CornerTriangle75" viewBox="0 0 6 6"><path d="M5.718.44a.28.28 0 0 0-.2.081l-5 5a.278.278 0 0 0 .2.474h5a.28.28 0 0 0 .278-.278v-5A.28.28 0 0 0 5.718.44"/></symbol><symbol id="spectrum-icon-Cross100" viewBox="0 0 10 10"><path d="M6.548 5 9.63 1.917A1.094 1.094 0 0 0 8.084.371L5.001 3.454 1.917.37A1.094 1.094 0 0 0 .371 1.917L3.454 5 .37 8.085A1.094 1.094 0 1 0 1.917 9.63l3.084-3.083L8.084 9.63a1.094 1.094 0 1 0 1.547-1.546z"/></symbol><symbol id="spectrum-icon-Cross200" viewBox="0 0 12 12"><path d="m7.611 6 3.654-3.653A1.14 1.14 0 0 0 9.653.735L6 4.39 2.347.735A1.14 1.14 0 0 0 .735 2.347L4.39 6 .735 9.653a1.14 1.14 0 1 0 1.612 1.612L6 7.61l3.653 3.654a1.14 1.14 0 0 0 1.612-1.612z"/></symbol><symbol id="spectrum-icon-Cross300" viewBox="0 0 14 14"><path d="m8.678 7 4.245-4.244a1.186 1.186 0 0 0-1.678-1.678L7.001 5.323 2.755 1.077a1.187 1.187 0 0 0-1.678 1.678L5.322 7l-4.244 4.244a1.187 1.187 0 0 0 1.678 1.678l4.245-4.245 4.244 4.245a1.186 1.186 0 0 0 1.678-1.678z"/></symbol><symbol id="spectrum-icon-Cross400" viewBox="0 0 16 16"><path d="m9.748 8 4.915-4.915a1.236 1.236 0 0 0-1.748-1.748L8 6.252 3.085 1.337a1.236 1.236 0 0 0-1.748 1.748L6.252 8l-4.915 4.915a1.236 1.236 0 1 0 1.748 1.748L8 9.748l4.915 4.915a1.236 1.236 0 0 0 1.748-1.748z"/></symbol><symbol id="spectrum-icon-Cross500" viewBox="0 0 16 16"><path d="m9.823 8 5.674-5.674A1.289 1.289 0 1 0 13.675.504L8 6.179 2.326.503A1.288 1.288 0 0 0 .504 2.326l5.674 5.675-5.674 5.674a1.288 1.288 0 0 0 1.822 1.822L8 9.822l5.674 5.675a1.289 1.289 0 1 0 1.823-1.822z"/></symbol><symbol id="spectrum-icon-Cross600" viewBox="0 0 18 18"><path d="m10.897 9 6.537-6.536A1.341 1.341 0 1 0 15.537.567L9 7.104 2.465.567A1.341 1.341 0 0 0 .567 2.464L7.104 9 .567 15.537a1.341 1.341 0 1 0 1.897 1.897L9 10.897l6.536 6.537a1.341 1.341 0 1 0 1.897-1.897z"/></symbol><symbol id="spectrum-icon-Cross75" viewBox="0 0 10 10"><path d="m6.485 5 2.674-2.674A1.05 1.05 0 1 0 7.674.84L5 3.515 2.326.84A1.05 1.05 0 0 0 .84 2.326L3.515 5 .84 7.674A1.05 1.05 0 0 0 2.326 9.16L5 6.485 7.674 9.16A1.05 1.05 0 1 0 9.16 7.674z"/></symbol><symbol id="spectrum-icon-Dash100" viewBox="0 0 12 12"><path d="M10.375 7.25h-8.75a1.25 1.25 0 0 1 0-2.5h8.75a1.25 1.25 0 0 1 0 2.5"/></symbol><symbol id="spectrum-icon-Dash200" viewBox="0 0 14 14"><path d="M12.026 8.302H1.974a1.302 1.302 0 0 1 0-2.604h10.052a1.302 1.302 0 0 1 0 2.604"/></symbol><symbol id="spectrum-icon-Dash300" viewBox="0 0 16 16"><path d="M13.763 9.356H2.237a1.356 1.356 0 0 1 0-2.712h11.526a1.356 1.356 0 0 1 0 2.712"/></symbol><symbol id="spectrum-icon-Dash400" viewBox="0 0 18 18"><path d="M15.596 10.413H2.404a1.413 1.413 0 0 1 0-2.826h13.192a1.413 1.413 0 0 1 0 2.826"/></symbol><symbol id="spectrum-icon-Dash50" viewBox="0 0 10 10"><path d="M8.293 6.152H1.708a1.152 1.152 0 0 1 0-2.304h6.585a1.152 1.152 0 1 1 0 2.304"/></symbol><symbol id="spectrum-icon-Dash500" viewBox="0 0 20 20"><path d="M17.54 11.472H2.461a1.472 1.472 0 0 1 0-2.944h15.077a1.472 1.472 0 0 1 0 2.944z"/></symbol><symbol id="spectrum-icon-Dash600" viewBox="0 0 22 22"><path d="M19.604 12.533H2.398a1.533 1.533 0 1 1 0-3.066h17.206a1.533 1.533 0 0 1 0 3.066"/></symbol><symbol id="spectrum-icon-Dash75" viewBox="0 0 10 10"><path d="M8.75 6.2h-7.5a1.2 1.2 0 0 1 0-2.4h7.5a1.2 1.2 0 1 1 0 2.4"/></symbol><symbol id="spectrum-icon-DoubleGripper" viewBox="0 0 20 6"><path d="M19.375 1.75H.625a.625.625 0 0 1 0-1.25h18.75a.625.625 0 0 1 0 1.25M20 4.875a.626.626 0 0 0-.625-.625H.625a.625.625 0 0 0 0 1.25h18.75A.626.626 0 0 0 20 4.875"/></symbol><symbol id="spectrum-icon-SingleGripper" viewBox="0 0 30 4"><path d="M28.75 3.25H1.25a1.25 1.25 0 0 1 0-2.5h27.5a1.25 1.25 0 0 1 0 2.5"/></symbol><symbol id="spectrum-icon-TripleGripper" viewBox="0 0 14 10"><path d="M12.625 1.25H1.375a.625.625 0 0 1 0-1.25h11.25a.625.625 0 0 1 0 1.25m.625 3.125a.626.626 0 0 0-.625-.625H1.375a.625.625 0 0 0 0 1.25h11.25a.626.626 0 0 0 .625-.625m0 3.75a.626.626 0 0 0-.625-.625H1.375a.625.625 0 0 0 0 1.25h11.25a.626.626 0 0 0 .625-.625"/></symbol></svg>'
    ]);
    _templateObject$1z = function _templateObject() {
        return data;
    };
    return data;
}
var t$g = b$i(_templateObject$1z());

function _assert_this_initialized$T(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$Y(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$X(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$X(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$X(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$X(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$T(o) {
    _get_prototype_of$T = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$T(o);
}
function _inherits$T(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$T(subClass, superClass);
}
function _possible_constructor_return$T(self, call) {
    if (call && (_type_of$T(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$T(self);
}
function _set_prototype_of$T(o, p) {
    _set_prototype_of$T = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$T(o, p);
}
function _type_of$T(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$T() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$T(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$T();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$T(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$T(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$T(this, result);
    };
}
var IconsLarge = /*#__PURE__*/ function(r) {
    _inherits$T(IconsLarge, r);
    var _super = _create_super$T(IconsLarge);
    function IconsLarge() {
        _class_call_check$Y(this, IconsLarge);
        var _this;
        _this = _super.call(this), _this.name = "ui";
        return _possible_constructor_return$T(_this);
    }
    _create_class$X(IconsLarge, [
        {
            key: "renderDefaultContent",
            value: function renderDefaultContent() {
                return t$g;
            }
        },
        {
            key: "getSVGIconName",
            value: function getSVGIconName(e) {
                return "spectrum-icon-".concat(e);
            }
        },
        {
            key: "getSanitizedIconName",
            value: function getSanitizedIconName(e) {
                return e.replace("spectrum-icon-", "");
            }
        }
    ]);
    return IconsLarge;
} 
(IconsetSVG);

defineElement("sp-icons-large", IconsLarge);

function _tagged_template_literal$1y(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1y() {
    var data = _tagged_template_literal$1y([
        '<svg xmlns="http://www.w3.org/2000/svg"><symbol id="spectrum-icon-Arrow100" viewBox="0 0 10 10"><path d="M9.7 4.387 6.623 1.262a.875.875 0 1 0-1.247 1.226l1.61 1.637H.925a.875.875 0 0 0 0 1.75h6.062l-1.61 1.637a.875.875 0 1 0 1.247 1.226l3.075-3.125a.874.874 0 0 0 0-1.226z"/></symbol><symbol id="spectrum-icon-Arrow200" viewBox="0 0 12 12"><path d="M11.284 5.356 7.718 1.788a.911.911 0 1 0-1.29 1.29l2.012 2.01H1.286a.911.911 0 1 0 0 1.823H8.44L6.429 8.923a.911.911 0 0 0 1.289 1.289l3.566-3.567a.91.91 0 0 0 0-1.29z"/></symbol><symbol id="spectrum-icon-Arrow300" viewBox="0 0 14 14"><path d="M12.893 6.33 8.826 2.261a.95.95 0 1 0-1.344 1.341L9.93 6.051H1.621a.95.95 0 1 0 0 1.898H9.93l-2.447 2.447a.95.95 0 0 0 1.344 1.342l4.067-4.067a.95.95 0 0 0 0-1.342z"/></symbol><symbol id="spectrum-icon-Arrow400" viewBox="0 0 16 16"><path d="m14.572 7.3-4.63-4.63a.989.989 0 0 0-1.399 1.398l2.942 2.943H1.87a.99.99 0 0 0 0 1.978h9.615l-2.942 2.943a.989.989 0 1 0 1.398 1.398l4.631-4.63a.99.99 0 0 0 0-1.4"/></symbol><symbol id="spectrum-icon-Arrow500" viewBox="0 0 18 18"><path d="m16.336 8.271-5.269-5.267A1.03 1.03 0 1 0 9.61 4.46l3.51 3.509H2.021a1.03 1.03 0 0 0 0 2.06H13.12l-3.51 3.51a1.03 1.03 0 1 0 1.457 1.456l5.269-5.268a1.03 1.03 0 0 0 0-1.456"/></symbol><symbol id="spectrum-icon-Arrow600" viewBox="0 0 20 20"><path d="m18.191 9.241-5.986-5.987a1.073 1.073 0 0 0-1.518 1.517l4.155 4.156H2.063a1.073 1.073 0 1 0 0 2.146h12.779l-4.154 4.155a1.073 1.073 0 1 0 1.517 1.518l5.986-5.987a1.073 1.073 0 0 0 0-1.518"/></symbol><symbol id="spectrum-icon-Arrow75" viewBox="0 0 10 10"><path d="M9.26 4.406 6.528 1.672A.84.84 0 0 0 5.34 2.859l1.3 1.301H1.396a.84.84 0 0 0 0 1.68H6.64l-1.301 1.3a.84.84 0 0 0 1.188 1.188l2.734-2.734a.84.84 0 0 0 0-1.188z"/></symbol><symbol id="spectrum-icon-Asterisk100" viewBox="0 0 8 8"><path d="M6.575 6.555c.055.056.092.13 0 .2l-1.149.741c-.092.056-.129.019-.166-.074L3.834 4.94 1.963 7c-.019.036-.074.073-.129 0l-.889-.927c-.093-.055-.074-.111 0-.166l2.111-1.76L.648 3.24c-.037 0-.092-.074-.056-.167l.63-1.259a.097.097 0 0 1 .167-.036L3.5 3.148l.13-2.7a.1.1 0 0 1 .081-.111h.03l1.537.2c.093 0 .111.037.093.13l-.723 2.647 2.445-.741c.055-.037.111-.037.148.074l.241 1.37c.018.093 0 .13-.074.13l-2.556.2z"/></symbol><symbol id="spectrum-icon-Asterisk200" viewBox="0 0 10 10"><path d="M7.861 7.953c.062.063.1.146 0 .23l-1.293.834c-.1.063-.145.021-.187-.083l-1.6-2.793-2.105 2.314c-.021.04-.083.082-.145 0l-1-1.043c-.1-.062-.083-.125 0-.187l2.375-1.981-2.715-1.026c-.042 0-.1-.083-.063-.188l.707-1.412a.11.11 0 0 1 .136-.074.1.1 0 0 1 .052.034l2.378 1.54.146-3.043A.11.11 0 0 1 4.638.95h.034l1.73.23c.1 0 .125.042.1.146l-.814 2.979 2.751-.834c.062-.042.125-.042.167.083l.271 1.542c.02.1 0 .146-.083.146l-2.876.23z"/></symbol><symbol id="spectrum-icon-Asterisk300" viewBox="0 0 10 10"><path d="M8.266 8.324c.07.071.116.164 0 .258l-1.454.938c-.116.071-.163.024-.21-.094l-1.8-3.141-2.367 2.6c-.024.045-.094.092-.163 0l-1.13-1.167c-.118-.07-.094-.141 0-.21l2.671-2.227L.766 4.13c-.047 0-.116-.094-.071-.211l.8-1.593a.124.124 0 0 1 .153-.084.13.13 0 0 1 .058.038l2.669 1.738.164-3.422a.124.124 0 0 1 .1-.14h.038l1.945.258c.118 0 .14.047.118.164l-.915 3.349 3.094-.938c.07-.047.14-.047.187.094l.3 1.734c.023.118 0 .164-.094.164l-3.234.258z"/></symbol><symbol id="spectrum-icon-Asterisk75" viewBox="0 0 8 8"><path d="M6.26 6.463c.049.05.082.116 0 .181l-1.022.659c-.082.05-.115.017-.148-.066L3.822 5.03 2.16 6.859c-.017.032-.066.065-.115 0l-.79-.824c-.083-.049-.066-.1 0-.148l1.877-1.565L.99 3.516c-.033 0-.082-.066-.05-.148l.56-1.119a.087.087 0 0 1 .108-.059.1.1 0 0 1 .04.027l1.878 1.218.116-2.4a.087.087 0 0 1 .072-.1h.027l1.367.181c.083 0 .1.033.083.116L4.55 3.581l2.174-.659c.049-.033.1-.033.132.066l.214 1.218c.016.083 0 .115-.066.115l-2.273.181z"/></symbol><symbol id="spectrum-icon-Checkmark100" viewBox="0 0 10 10"><path d="M3.5 9.5a1 1 0 0 1-.774-.368l-2.45-3a1 1 0 1 1 1.548-1.264l1.657 2.028 4.68-6.01A1 1 0 0 1 9.74 2.114l-5.45 7a1 1 0 0 1-.777.386z"/></symbol><symbol id="spectrum-icon-Checkmark200" viewBox="0 0 12 12"><path d="M4.313 10.98a1.04 1.04 0 0 1-.8-.375L.647 7.165a1.042 1.042 0 0 1 1.6-1.333l2.042 2.45 5.443-6.928a1.042 1.042 0 0 1 1.64 1.287l-6.24 7.94a1.04 1.04 0 0 1-.804.399z"/></symbol><symbol id="spectrum-icon-Checkmark300" viewBox="0 0 14 14"><path d="M5.102 12.514a1.09 1.09 0 0 1-.834-.39L.988 8.19A1.085 1.085 0 0 1 2.656 6.8l2.421 2.906 6.243-7.947a1.085 1.085 0 0 1 1.707 1.34L5.955 12.1a1.09 1.09 0 0 1-.838.415z"/></symbol><symbol id="spectrum-icon-Checkmark400" viewBox="0 0 16 16"><path d="M5.864 14.114a1.13 1.13 0 0 1-.868-.407L1.25 9.21a1.13 1.13 0 1 1 1.736-1.448l2.854 3.425 7.148-9.1a1.13 1.13 0 1 1 1.778 1.397L6.753 13.682a1.13 1.13 0 0 1-.872.432z"/></symbol><symbol id="spectrum-icon-Checkmark50" viewBox="0 0 10 10"><path d="M3.815 8.687a.92.92 0 0 1-.708-.332l-1.891-2.27a.921.921 0 0 1 1.416-1.18L3.794 6.3l3.56-4.531a.921.921 0 1 1 1.45 1.138L4.54 8.335a.92.92 0 0 1-.712.351z"/></symbol><symbol id="spectrum-icon-Checkmark500" viewBox="0 0 16 16"><path d="M5.597 14.784a1.18 1.18 0 0 1-.905-.424L.417 9.229a1.177 1.177 0 1 1 1.809-1.508l3.343 4.013 8.174-10.402a1.177 1.177 0 0 1 1.852 1.456L6.523 14.334a1.18 1.18 0 0 1-.91.45z"/></symbol><symbol id="spectrum-icon-Checkmark600" viewBox="0 0 18 18"><path d="M6.297 16.534a1.23 1.23 0 0 1-.942-.442L.48 10.244a1.227 1.227 0 0 1 1.885-1.57l3.904 4.684L15.6 1.482a1.227 1.227 0 0 1 1.93 1.516L7.262 16.065a1.23 1.23 0 0 1-.947.469z"/></symbol><symbol id="spectrum-icon-Checkmark75" viewBox="0 0 10 10"><path d="M3.667 9.07a.96.96 0 0 1-.737-.344L.753 6.114a.96.96 0 1 1 1.474-1.23l1.418 1.701 4.112-5.233a.96.96 0 0 1 1.51 1.186L4.422 8.704a.96.96 0 0 1-.741.367z"/></symbol><symbol id="spectrum-icon-Chevron100" viewBox="0 0 10 10"><path d="M3 9.95a.875.875 0 0 1-.615-1.498L5.88 5 2.385 1.547A.875.875 0 0 1 3.615.302L7.74 4.377a.876.876 0 0 1 0 1.246L3.615 9.698A.87.87 0 0 1 3 9.95"/></symbol><symbol id="spectrum-icon-Chevron200" viewBox="0 0 12 12"><path d="M9.034 5.356 4.343.663a.911.911 0 0 0-1.29 1.289L7.102 6l-4.047 4.047a.911.911 0 1 0 1.289 1.29l4.691-4.692a.91.91 0 0 0 0-1.29z"/></symbol><symbol id="spectrum-icon-Chevron300" viewBox="0 0 14 14"><path d="M10.639 7a.95.95 0 0 0-.278-.671l-.003-.002-5.33-5.33a.95.95 0 0 0-1.342 1.342L8.346 7l-4.661 4.66a.95.95 0 1 0 1.342 1.343l5.33-5.33.003-.001A.95.95 0 0 0 10.64 7z"/></symbol><symbol id="spectrum-icon-Chevron400" viewBox="0 0 16 16"><path d="M4.97 15.044a.989.989 0 0 1-.698-1.688L9.627 8 4.27 2.644a.989.989 0 0 1 1.4-1.398L11.726 7.3a.99.99 0 0 1 0 1.398L5.67 14.754a1 1 0 0 1-.7.29"/></symbol><symbol id="spectrum-icon-Chevron500" viewBox="0 0 16 16"><path d="M12.133 7.271 5.263.401a1.03 1.03 0 0 0-1.457 1.457L9.947 8l-6.141 6.142a1.03 1.03 0 0 0 1.457 1.457l6.87-6.87a1.03 1.03 0 0 0 0-1.457z"/></symbol><symbol id="spectrum-icon-Chevron600" viewBox="0 0 18 18"><path d="M5.04 17.863a1.073 1.073 0 0 1-.759-1.832L11.313 9 4.28 1.969A1.073 1.073 0 0 1 5.8.45l7.79 7.79a1.073 1.073 0 0 1 0 1.518l-7.79 7.79a1.07 1.07 0 0 1-.759.314z"/></symbol><symbol id="spectrum-icon-Chevron75" viewBox="0 0 10 10"><path d="m7.482 4.406-.001-.001L3.86.783a.84.84 0 0 0-1.188 1.188L5.702 5l-3.03 3.03A.84.84 0 0 0 3.86 9.216l3.621-3.622h.001a.84.84 0 0 0 0-1.19z"/></symbol><symbol id="spectrum-icon-CornerTriangle100" viewBox="0 0 5 5"><path d="M4.763 0a.25.25 0 0 0-.177.073l-4.5 4.5A.25.25 0 0 0 .263 5h4.5a.25.25 0 0 0 .25-.25V.25a.25.25 0 0 0-.25-.25"/></symbol><symbol id="spectrum-icon-CornerTriangle200" viewBox="0 0 6 6"><path d="M5.719.37a.28.28 0 0 0-.2.082L.452 5.519a.281.281 0 0 0 .2.481h5.067A.28.28 0 0 0 6 5.719V.652A.28.28 0 0 0 5.72.37z"/></symbol><symbol id="spectrum-icon-CornerTriangle300" viewBox="0 0 7 7"><path d="M6.683.67a.32.32 0 0 0-.223.093l-5.7 5.7a.316.316 0 0 0 .224.54h5.7A.316.316 0 0 0 7 6.687V.986A.316.316 0 0 0 6.684.67z"/></symbol><symbol id="spectrum-icon-CornerTriangle75" viewBox="0 0 5 5"><path d="M4.78.558a.22.22 0 0 0-.157.065l-4 4a.222.222 0 0 0 .157.379h4a.22.22 0 0 0 .222-.222v-4A.22.22 0 0 0 4.78.558"/></symbol><symbol id="spectrum-icon-Cross100" viewBox="0 0 8 8"><path d="m5.238 4 2.456-2.457A.875.875 0 1 0 6.456.306L4 2.763 1.543.306A.875.875 0 0 0 .306 1.544L2.763 4 .306 6.457a.875.875 0 1 0 1.238 1.237L4 5.237l2.456 2.457a.875.875 0 1 0 1.238-1.237z"/></symbol><symbol id="spectrum-icon-Cross200" viewBox="0 0 10 10"><path d="m6.29 5 2.922-2.922a.911.911 0 0 0-1.29-1.29L5 3.712 2.078.789a.911.911 0 0 0-1.29 1.289L3.712 5 .79 7.922a.911.911 0 1 0 1.289 1.29L5 6.288 7.923 9.21a.911.911 0 0 0 1.289-1.289z"/></symbol><symbol id="spectrum-icon-Cross300" viewBox="0 0 12 12"><path d="m7.344 6 3.395-3.396a.95.95 0 0 0-1.344-1.342L6 4.657 2.604 1.262a.95.95 0 0 0-1.342 1.342L4.657 6 1.262 9.396a.95.95 0 0 0 1.343 1.343L6 7.344l3.395 3.395a.95.95 0 0 0 1.344-1.344z"/></symbol><symbol id="spectrum-icon-Cross400" viewBox="0 0 12 12"><path d="m7.398 6 3.932-3.932A.989.989 0 0 0 9.932.67L6 4.602 2.068.67A.989.989 0 0 0 .67 2.068L4.602 6 .67 9.932a.989.989 0 1 0 1.398 1.398L6 7.398l3.932 3.932a.989.989 0 0 0 1.398-1.398z"/></symbol><symbol id="spectrum-icon-Cross500" viewBox="0 0 14 14"><path d="m8.457 7 4.54-4.54a1.03 1.03 0 0 0-1.458-1.456L7 5.543l-4.54-4.54a1.03 1.03 0 0 0-1.457 1.458L5.543 7l-4.54 4.54a1.03 1.03 0 1 0 1.457 1.456L7 8.457l4.54 4.54a1.03 1.03 0 0 0 1.456-1.458z"/></symbol><symbol id="spectrum-icon-Cross600" viewBox="0 0 16 16"><path d="m9.518 8 5.23-5.228a1.073 1.073 0 0 0-1.518-1.518L8.001 6.483l-5.229-5.23a1.073 1.073 0 0 0-1.518 1.519L6.483 8l-5.23 5.229a1.073 1.073 0 1 0 1.518 1.518l5.23-5.23 5.228 5.23a1.073 1.073 0 0 0 1.518-1.518z"/></symbol><symbol id="spectrum-icon-Cross75" viewBox="0 0 8 8"><path d="m5.188 4 2.14-2.14A.84.84 0 1 0 6.141.672L4 2.812 1.86.672A.84.84 0 0 0 .672 1.86L2.812 4 .672 6.14A.84.84 0 1 0 1.86 7.328L4 5.188l2.14 2.14A.84.84 0 1 0 7.328 6.14z"/></symbol><symbol id="spectrum-icon-Dash100" viewBox="0 0 10 10"><path d="M8.5 6h-7a1 1 0 0 1 0-2h7a1 1 0 0 1 0 2"/></symbol><symbol id="spectrum-icon-Dash200" viewBox="0 0 12 12"><path d="M10.021 7.042H1.98a1.042 1.042 0 1 1 0-2.083h8.043a1.042 1.042 0 0 1 0 2.083z"/></symbol><symbol id="spectrum-icon-Dash300" viewBox="0 0 12 12"><path d="M10.61 7.085H1.39a1.085 1.085 0 0 1 0-2.17h9.22a1.085 1.085 0 0 1 0 2.17"/></symbol><symbol id="spectrum-icon-Dash400" viewBox="0 0 14 14"><path d="M12.277 8.13H1.723a1.13 1.13 0 1 1 0-2.26h10.554a1.13 1.13 0 1 1 0 2.26"/></symbol><symbol id="spectrum-icon-Dash50" viewBox="0 0 8 8"><path d="M6.634 4.921H1.366a.921.921 0 0 1 0-1.842h5.268a.921.921 0 1 1 0 1.842"/></symbol><symbol id="spectrum-icon-Dash500" viewBox="0 0 16 16"><path d="M14.03 9.178H1.969a1.178 1.178 0 1 1 0-2.356H14.03a1.178 1.178 0 0 1 0 2.356"/></symbol><symbol id="spectrum-icon-Dash600" viewBox="0 0 18 18"><path d="M15.882 10.227H2.117a1.227 1.227 0 0 1 0-2.454h13.765a1.227 1.227 0 0 1 0 2.454"/></symbol><symbol id="spectrum-icon-Dash75" viewBox="0 0 8 8"><path d="M6.99 4.96H1.01a.96.96 0 0 1 0-1.92h5.98a.96.96 0 0 1 0 1.92"/></symbol><symbol id="spectrum-icon-DoubleGripper" viewBox="0 0 16 4"><path d="M15.45 1.05H.55a.5.5 0 0 1 0-1h14.9a.5.5 0 0 1 0 1m.5 2.4a.5.5 0 0 0-.5-.5H.55a.5.5 0 0 0 0 1h14.9a.5.5 0 0 0 .5-.5"/></symbol><symbol id="spectrum-icon-SingleGripper" viewBox="0 0 24 2"><path d="M23 2H1a1 1 0 0 1 0-2h22a1 1 0 0 1 0 2"/></symbol><symbol id="spectrum-icon-TripleGripper" viewBox="0 0 10 8"><path d="M9.45 1.05H.55a.5.5 0 0 1 0-1h8.9a.5.5 0 0 1 0 1m.5 2.45a.5.5 0 0 0-.5-.5H.55a.5.5 0 0 0 0 1h8.9a.5.5 0 0 0 .5-.5m0 3a.5.5 0 0 0-.5-.5H.55a.5.5 0 0 0 0 1h8.9a.5.5 0 0 0 .5-.5"/></symbol></svg>'
    ]);
    _templateObject$1y = function _templateObject() {
        return data;
    };
    return data;
}
var t$f = b$i(_templateObject$1y());

function _assert_this_initialized$S(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$X(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$W(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$W(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$W(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$W(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$S(o) {
    _get_prototype_of$S = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$S(o);
}
function _inherits$S(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$S(subClass, superClass);
}
function _possible_constructor_return$S(self, call) {
    if (call && (_type_of$S(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$S(self);
}
function _set_prototype_of$S(o, p) {
    _set_prototype_of$S = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$S(o, p);
}
function _type_of$S(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$S() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$S(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$S();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$S(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$S(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$S(this, result);
    };
}
var IconsMedium = /*#__PURE__*/ function(r) {
    _inherits$S(IconsMedium, r);
    var _super = _create_super$S(IconsMedium);
    function IconsMedium() {
        _class_call_check$X(this, IconsMedium);
        var _this;
        _this = _super.call(this), _this.name = "ui";
        return _possible_constructor_return$S(_this);
    }
    _create_class$W(IconsMedium, [
        {
            key: "renderDefaultContent",
            value: function renderDefaultContent() {
                return t$f;
            }
        },
        {
            key: "getSVGIconName",
            value: function getSVGIconName(e) {
                return "spectrum-icon-".concat(e);
            }
        },
        {
            key: "getSanitizedIconName",
            value: function getSanitizedIconName(e) {
                return e.replace("spectrum-icon-", "");
            }
        }
    ]);
    return IconsMedium;
} 
(IconsetSVG);

defineElement("sp-icons-medium", IconsMedium);

function _tagged_template_literal$1x(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1x() {
    var data = _tagged_template_literal$1x([
        "\n    :host{--spectrum-illustrated-message-description-max-inline-size:var(--spectrum-illustrated-message-maximum-width);--spectrum-illustrated-message-heading-max-inline-size:var(--spectrum-illustrated-message-maximum-width);--spectrum-illustrated-message-title-to-heading:var(--spectrum-spacing-400);--spectrum-illustrated-message-heading-to-description:var(--spectrum-spacing-75);--spectrum-illustrated-message-illustration-color:var(--spectrum-neutral-visual-color);--spectrum-illustrated-message-illustration-accent-color:var(--spectrum-accent-visual-color);--spectrum-illustrated-message-title-font-family:var(--spectrum-sans-font-family-stack);--spectrum-illustrated-message-title-font-weight:var(--spectrum-heading-sans-serif-font-weight);--spectrum-illustrated-message-title-font-style:var(--spectrum-heading-sans-serif-font-style);--spectrum-illustrated-message-title-font-size:var(--spectrum-illustrated-message-title-size);--spectrum-illustrated-message-title-line-height:var(--spectrum-heading-line-height);--spectrum-illustrated-message-title-color:var(--spectrum-heading-color);--spectrum-illustrated-message-description-font-family:var(--spectrum-sans-font-family-stack);--spectrum-illustrated-message-description-font-weight:var(--spectrum-body-sans-serif-font-weight);--spectrum-illustrated-message-description-font-style:var(--spectrum-body-sans-serif-font-style);--spectrum-illustrated-message-description-font-size:var(--spectrum-illustrated-message-body-size);--spectrum-illustrated-message-description-line-height:var(--spectrum-body-line-height);--spectrum-illustrated-message-description-color:var(--spectrum-body-color)}:host:lang(ja),:host:lang(ko),:host:lang(zh){--spectrum-illustrated-message-title-font-size:var(--spectrum-illustrated-message-cjk-title-size)}@media (forced-colors:active){:host{--highcontrast-illustrated-message-illustration-color:CanvasText;--highcontrast-illustrated-message-illustration-accent-color:Highlight}}:host{display:var(--mod-illustrated-message-display,flex);text-align:center;pointer-events:var(--mod-illustrated-message-pointer-events,auto);max-inline-size:var(--mod-illustrated-message-content-maximum-width);flex-direction:column;justify-content:center;align-items:center;block-size:100%}#illustration{color:var(--highcontrast-illustrated-message-illustration-color,var(--mod-illustrated-message-illustration-color,var(--spectrum-illustrated-message-illustration-color)));fill:currentColor;stroke:currentColor;margin-block-end:var(--mod-illustrated-message-title-to-heading,var(--spectrum-illustrated-message-title-to-heading))}.spectrum-IllustratedMessage-accent{color:var(--highcontrast-illustrated-message-illustration-accent-color,var(--mod-illustrated-message-illustration-accent-color,var(--spectrum-illustrated-message-illustration-accent-color)));fill:currentColor;stroke:currentColor}#heading{font-family:var(--mod-illustrated-message-title-font-family,var(--spectrum-illustrated-message-title-font-family));font-weight:var(--mod-illustrated-message-title-font-weight,var(--spectrum-illustrated-message-title-font-weight));font-style:var(--mod-illustrated-message-title-font-style,var(--spectrum-illustrated-message-title-font-style));font-size:var(--mod-illustrated-message-title-font-size,var(--spectrum-illustrated-message-title-font-size));line-height:var(--mod-illustrated-message-title-line-height,var(--spectrum-illustrated-message-title-line-height));color:var(--mod-illustrated-message-title-color,var(--spectrum-illustrated-message-title-color));max-inline-size:var(--mod-illustrated-message-heading-max-inline-size,var(--spectrum-illustrated-message-heading-max-inline-size));margin-block-start:0;margin-block-end:var(--mod-illustrated-message-heading-to-body,0)}#description{position:var(--mod-illustrated-message-description-position);z-index:var(--mod-illustrated-message-description-z-index);pointer-events:var(--mod-illustrated-message-description-pointer-events,auto);font-family:var(--mod-illustrated-message-description-font-family,var(--spectrum-illustrated-message-description-font-family));font-weight:var(--mod-illustrated-message-description-font-weight,var(--spectrum-illustrated-message-description-font-weight));font-style:var(--mod-illustrated-message-description-font-style,var(--spectrum-illustrated-message-description-font-style));font-size:var(--mod-illustrated-message-description-font-size,var(--spectrum-illustrated-message-description-font-size));line-height:var(--mod-illustrated-message-description-line-height,var(--spectrum-illustrated-message-description-line-height));color:var(--mod-illustrated-message-description-color,var(--spectrum-illustrated-message-description-color));max-inline-size:var(--mod-illustrated-message-description-max-inline-size,var(--spectrum-illustrated-message-description-max-inline-size));margin-block-start:var(--mod-illustrated-message-heading-to-description,var(--spectrum-illustrated-message-heading-to-description));margin-block-end:0}::slotted(svg[viewBox]){width:100%}\n"
    ]);
    _templateObject$1x = function _templateObject() {
        return data;
    };
    return data;
}
var t$e = i$p(_templateObject$1x());
var u$j = t$e;

function _tagged_template_literal$1w(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1w() {
    var data = _tagged_template_literal$1w([
        "\n    .spectrum-Body{--spectrum-body-sans-serif-font-family:var(--spectrum-sans-font-family-stack);--spectrum-body-serif-font-family:var(--spectrum-serif-font-family-stack);--spectrum-body-cjk-font-family:var(--spectrum-cjk-font-family-stack);--spectrum-body-cjk-letter-spacing:var(--spectrum-cjk-letter-spacing);--spectrum-body-margin:calc(var(--mod-body-font-size,var(--spectrum-body-font-size))*var(--spectrum-body-margin-multiplier));--spectrum-body-font-color:var(--spectrum-body-color)}.spectrum-Body--sizeXS{--spectrum-body-font-size:var(--spectrum-body-size-xs)}.spectrum-Body--sizeS{--spectrum-body-font-size:var(--spectrum-body-size-s)}.spectrum-Body--sizeM{--spectrum-body-font-size:var(--spectrum-body-size-m)}.spectrum-Body--sizeL{--spectrum-body-font-size:var(--spectrum-body-size-l)}.spectrum-Body--sizeXL{--spectrum-body-font-size:var(--spectrum-body-size-xl)}.spectrum-Body--sizeXXL{--spectrum-body-font-size:var(--spectrum-body-size-xxl)}.spectrum-Body--sizeXXXL{--spectrum-body-font-size:var(--spectrum-body-size-xxxl)}.spectrum-Body{font-family:var(--mod-body-sans-serif-font-family,var(--spectrum-body-sans-serif-font-family));font-style:var(--mod-body-sans-serif-font-style,var(--spectrum-body-sans-serif-font-style));font-weight:var(--mod-body-sans-serif-font-weight,var(--spectrum-body-sans-serif-font-weight));font-size:var(--mod-body-font-size,var(--spectrum-body-font-size));color:var(--highcontrast-body-font-color,var(--mod-body-font-color,var(--spectrum-body-font-color)));line-height:var(--mod-body-line-height,var(--spectrum-body-line-height));margin-block:0}.spectrum-Body .spectrum-Body-strong,.spectrum-Body strong{font-style:var(--mod-body-sans-serif-strong-font-style,var(--spectrum-body-sans-serif-strong-font-style));font-weight:var(--mod-body-sans-serif-strong-font-weight,var(--spectrum-body-sans-serif-strong-font-weight))}.spectrum-Body .spectrum-Body-emphasized,.spectrum-Body em{font-style:var(--mod-body-sans-serif-emphasized-font-style,var(--spectrum-body-sans-serif-emphasized-font-style));font-weight:var(--mod-body-sans-serif-emphasized-font-weight,var(--spectrum-body-sans-serif-emphasized-font-weight))}.spectrum-Body .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body em strong,.spectrum-Body strong em{font-style:var(--mod-body-sans-serif-strong-emphasized-font-style,var(--spectrum-body-sans-serif-strong-emphasized-font-style));font-weight:var(--mod-body-sans-serif-strong-emphasized-font-weight,var(--spectrum-body-sans-serif-strong-emphasized-font-weight))}.spectrum-Body:lang(ja),.spectrum-Body:lang(ko),.spectrum-Body:lang(zh){font-family:var(--mod-body-cjk-font-family,var(--spectrum-body-cjk-font-family));font-style:var(--mod-body-cjk-font-style,var(--spectrum-body-cjk-font-style));font-weight:var(--mod-body-cjk-font-weight,var(--spectrum-body-cjk-font-weight));line-height:var(--mod-body-cjk-line-height,var(--spectrum-body-cjk-line-height));letter-spacing:var(--mod-body-cjk-letter-spacing,var(--spectrum-body-cjk-letter-spacing))}.spectrum-Body:lang(ja) .spectrum-Body-strong,.spectrum-Body:lang(ja) strong,.spectrum-Body:lang(ko) .spectrum-Body-strong,.spectrum-Body:lang(ko) strong,.spectrum-Body:lang(zh) .spectrum-Body-strong,.spectrum-Body:lang(zh) strong{font-style:var(--mod-body-cjk-strong-font-style,var(--spectrum-body-cjk-strong-font-style));font-weight:var(--mod-body-cjk-strong-font-weight,var(--spectrum-body-cjk-strong-font-weight))}.spectrum-Body:lang(ja) .spectrum-Body-emphasized,.spectrum-Body:lang(ja) em,.spectrum-Body:lang(ko) .spectrum-Body-emphasized,.spectrum-Body:lang(ko) em,.spectrum-Body:lang(zh) .spectrum-Body-emphasized,.spectrum-Body:lang(zh) em{font-style:var(--mod-body-cjk-emphasized-font-style,var(--spectrum-body-cjk-emphasized-font-style));font-weight:var(--mod-body-cjk-emphasized-font-weight,var(--spectrum-body-cjk-emphasized-font-weight))}.spectrum-Body:lang(ja) .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body:lang(ja) em strong,.spectrum-Body:lang(ja) strong em,.spectrum-Body:lang(ko) .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body:lang(ko) em strong,.spectrum-Body:lang(ko) strong em,.spectrum-Body:lang(zh) .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body:lang(zh) em strong,.spectrum-Body:lang(zh) strong em{font-style:var(--mod-body-cjk-strong-emphasized-font-style,var(--spectrum-body-cjk-strong-emphasized-font-style));font-weight:var(--mod-body-cjk-strong-emphasized-font-weight,var(--spectrum-body-cjk-strong-emphasized-font-weight))}.spectrum-Body--serif{font-family:var(--mod-body-serif-font-family,var(--spectrum-body-serif-font-family));font-weight:var(--mod-body-serif-font-weight,var(--spectrum-body-serif-font-weight));font-style:var(--mod-body-serif-font-style,var(--spectrum-body-serif-font-style))}.spectrum-Body--serif .spectrum-Body-strong,.spectrum-Body--serif strong{font-style:var(--mod-body-serif-strong-font-style,var(--spectrum-body-serif-strong-font-style));font-weight:var(--mod-body-serif-strong-font-weight,var(--spectrum-body-serif-strong-font-weight))}.spectrum-Body--serif .spectrum-Body-emphasized,.spectrum-Body--serif em{font-style:var(--mod-body-serif-emphasized-font-style,var(--spectrum-body-serif-emphasized-font-style));font-weight:var(--mod-body-serif-emphasized-font-weight,var(--spectrum-body-serif-emphasized-font-weight))}.spectrum-Body--serif .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body--serif em strong,.spectrum-Body--serif strong em{font-style:var(--mod-body-serif-strong-emphasized-font-style,var(--spectrum-body-serif-strong-emphasized-font-style));font-weight:var(--mod-body-serif-strong-emphasized-font-weight,var(--spectrum-body-serif-strong-emphasized-font-weight))}.spectrum-Typography .spectrum-Body{margin-block-end:var(--mod-body-margin,var(--spectrum-body-margin))}.spectrum-Detail--light .spectrum-Detail-strong.spectrum-Body-emphasized{font-style:var(--mod-detail-sans-serif-light-strong-emphasized-font-style,var(--spectrum-detail-sans-serif-light-strong-emphasized-font-style));font-weight:var(--mod-detail-sans-serif-light-strong-emphasized-font-weight,var(--spectrum-detail-sans-serif-light-strong-emphasized-font-weight))}.spectrum-Detail--serif.spectrum-Detail--light .spectrum-Detail-strong.spectrum-Body-emphasized{font-style:var(--mod-detail-serif-light-strong-emphasized-font-style,var(--spectrum-detail-serif-light-strong-emphasized-font-style));font-weight:var(--mod-detail-serif-light-strong-emphasized-font-weight,var(--spectrum-detail-serif-light-strong-emphasized-font-weight))}@media (forced-colors:active){.spectrum-Body{--highcontrast-body-font-color:Text}}\n"
    ]);
    _templateObject$1w = function _templateObject() {
        return data;
    };
    return data;
}
var t$d = i$p(_templateObject$1w());
var r$f = t$d;

var y$a = [
    o$w,
    t$n,
    r$f
];

function _assert_this_initialized$R(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$W(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$V(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$V(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$V(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$V(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$R(o) {
    _get_prototype_of$R = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$R(o);
}
function _inherits$R(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$R(subClass, superClass);
}
function _possible_constructor_return$R(self, call) {
    if (call && (_type_of$R(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$R(self);
}
function _set_prototype_of$R(o, p) {
    _set_prototype_of$R = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$R(o, p);
}
function _tagged_template_literal$1v(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$R(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$R() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$R(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$R();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$R(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$R(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$R(this, result);
    };
}
function _templateObject$1v() {
    var data = _tagged_template_literal$1v([
        '\n            <div id="illustration"><slot></slot></div>\n            <h2\n                id="heading"\n                class="spectrum-Heading spectrum-Heading--sizeL spectrum-Heading--light"\n            >\n                <slot name="heading">',
        '</slot>\n            </h2>\n            <div id="description" class="spectrum-Body spectrum-Body--sizeS">\n                <slot name="description">',
        "</slot>\n            </div>\n        "
    ]);
    _templateObject$1v = function _templateObject() {
        return data;
    };
    return data;
}
var m$c = Object.defineProperty;
var n$a = Object.getOwnPropertyDescriptor;
var l$6 = function(r, t, s, i) {
    for(var e = i > 1 ? void 0 : i ? n$a(t, s) : t, o = r.length - 1, d; o >= 0; o--)(d = r[o]) && (e = (i ? d(t, s, e) : d(e)) || e);
    return i && e && m$c(t, s, e), e;
};
var IllustratedMessage = /*#__PURE__*/ function(c) {
    _inherits$R(IllustratedMessage, c);
    var _super = _create_super$R(IllustratedMessage);
    function IllustratedMessage() {
        _class_call_check$W(this, IllustratedMessage);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.heading = "";
        _this.description = "";
        return _this;
    }
    _create_class$V(IllustratedMessage, [
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$1v(), this.heading, this.description);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    h$g,
                    y$a,
                    u$j
                ];
            }
        }
    ]);
    return IllustratedMessage;
}(SpectrumElement);
IllustratedMessage.is = "sp-illustrated-message", l$6([
    n$r()
], IllustratedMessage.prototype, "heading", 2), l$6([
    n$r()
], IllustratedMessage.prototype, "description", 2);

defineElement("sp-illustrated-message", IllustratedMessage);

function _tagged_template_literal$1u(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1u() {
    var data = _tagged_template_literal$1u([
        "\n    :host{--spectrum-link-animation-duration:var(--spectrum-animation-duration-100);--spectrum-link-text-color-primary-default:var(--spectrum-accent-content-color-default);--spectrum-link-text-color-primary-hover:var(--spectrum-accent-content-color-hover);--spectrum-link-text-color-primary-active:var(--spectrum-accent-content-color-down);--spectrum-link-text-color-primary-focus:var(--spectrum-accent-content-color-key-focus);--spectrum-link-text-color-secondary-default:var(--spectrum-neutral-content-color-default);--spectrum-link-text-color-secondary-hover:var(--spectrum-neutral-content-color-hover);--spectrum-link-text-color-secondary-active:var(--spectrum-neutral-content-color-down);--spectrum-link-text-color-secondary-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-link-text-color-white:var(--spectrum-white);--spectrum-link-text-color-black:var(--spectrum-black)}@media (forced-colors:active){:host{--highcontrast-link-text-color-primary-default:LinkText;--highcontrast-link-text-color-primary-hover:LinkText;--highcontrast-link-text-color-primary-active:LinkText;--highcontrast-link-text-color-primary-focus:LinkText;--highcontrast-link-text-color-secondary-default:LinkText;--highcontrast-link-text-color-secondary-hover:LinkText;--highcontrast-link-text-color-secondary-active:LinkText;--highcontrast-link-text-color-secondary-focus:LinkText;--highcontrast-link-text-color-white:LinkText;--highcontrast-link-text-color-black:LinkText}}a{background-color:initial;-webkit-text-decoration-skip:objects;text-decoration-skip:objects;transition:color var(--mod-link-animation-duration,var(--spectrum-link-animation-duration))ease-in-out;cursor:pointer;color:var(--highcontrast-link-text-color-primary-default,var(--mod-link-text-color-primary-default,var(--spectrum-link-text-color-primary-default)));outline:none;-webkit-text-decoration:underline;text-decoration:underline}a:active{color:var(--highcontrast-link-text-color-primary-active,var(--mod-link-text-color-primary-active,var(--spectrum-link-text-color-primary-active)))}a:focus-visible{color:var(--highcontrast-link-text-color-primary-focus,var(--mod-link-text-color-primary-focus,var(--spectrum-link-text-color-primary-focus)));text-decoration:underline double;text-decoration-color:var(--highcontrast-link-focus-color,inherit)}:host([variant=secondary]) a{color:var(--highcontrast-link-text-color-secondary-default,var(--mod-link-text-color-secondary-default,var(--spectrum-link-text-color-secondary-default)))}:host([variant=secondary]) a:active{color:var(--highcontrast-link-text-color-secondary-active,var(--mod-link-text-color-secondary-active,var(--spectrum-link-text-color-secondary-active)))}:host([variant=secondary]) a:focus{color:var(--highcontrast-link-text-color-secondary-focus,var(--mod-link-text-color-secondary-focus,var(--spectrum-link-text-color-secondary-focus)))}:host([quiet]) a{-webkit-text-decoration:none;text-decoration:none}:host([static=white]) a,:host([static=white]) a:active,:host([static=white]) a:focus{color:var(--highcontrast-link-text-color-white,var(--mod-link-text-color-white,var(--spectrum-link-text-color-white)))}:host([static=black]) a,:host([static=black]) a:active,:host([static=black]) a:focus{color:var(--highcontrast-link-text-color-black,var(--mod-link-text-color-black,var(--spectrum-link-text-color-black)))}@media (hover:hover){a:hover{color:var(--highcontrast-link-text-color-primary-hover,var(--mod-link-text-color-primary-hover,var(--spectrum-link-text-color-primary-hover)))}:host([variant=secondary]) a:hover{color:var(--highcontrast-link-text-color-secondary-hover,var(--mod-link-text-color-secondary-hover,var(--spectrum-link-text-color-secondary-hover)))}:host([quiet]) a:hover{-webkit-text-decoration:underline;text-decoration:underline}:host([static=white]) a:hover{color:var(--highcontrast-link-text-color-white,var(--mod-link-text-color-white,var(--spectrum-link-text-color-white)))}:host([static=black]) a:hover{color:var(--highcontrast-link-text-color-black,var(--mod-link-text-color-black,var(--spectrum-link-text-color-black)))}}:host{display:inline}:host(:focus){outline:none}:host([href]) a:focus-visible{text-decoration:underline double}:host([disabled]){pointer-events:none}\n"
    ]);
    _templateObject$1u = function _templateObject() {
        return data;
    };
    return data;
}
var o$h = i$p(_templateObject$1u());
var f$a = o$h;

function _assert_this_initialized$Q(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$V(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$U(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$U(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$U(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$U(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$Q(o) {
    _get_prototype_of$Q = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$Q(o);
}
function _inherits$Q(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$Q(subClass, superClass);
}
function _possible_constructor_return$Q(self, call) {
    if (call && (_type_of$Q(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$Q(self);
}
function _set_prototype_of$Q(o, p) {
    _set_prototype_of$Q = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$Q(o, p);
}
function _type_of$Q(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$Q() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$Q(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$Q();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$Q(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$Q(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$Q(this, result);
    };
}
var a$a = Object.defineProperty;
var p$i = Object.getOwnPropertyDescriptor;
var t$c = function(l, r, i, o) {
    for(var e = o > 1 ? void 0 : o ? p$i(r, i) : r, n = l.length - 1, c; n >= 0; n--)(c = l[n]) && (e = (o ? c(r, i, e) : c(e)) || e);
    return o && e && a$a(r, i, e), e;
};
var Link = /*#__PURE__*/ function(_m) {
    _inherits$Q(Link, _m);
    var _super = _create_super$Q(Link);
    function Link() {
        _class_call_check$V(this, Link);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.quiet = !1;
        return _this;
    }
    _create_class$U(Link, [
        {
            key: "focusElement",
            get: function get() {
                return this.anchorElement;
            }
        },
        {
            key: "render",
            value: function render() {
                return this.renderAnchor({
                    id: "anchor"
                });
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    f$a
                ];
            }
        }
    ]);
    return Link;
}(LikeAnchor(Focusable));
t$c([
    e$F("#anchor")
], Link.prototype, "anchorElement", 2), t$c([
    n$r({
        type: String,
        reflect: !0
    })
], Link.prototype, "variant", 2), t$c([
    n$r({
        type: String,
        reflect: !0
    })
], Link.prototype, "static", 2), t$c([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "quiet"
    })
], Link.prototype, "quiet", 2);

defineElement("sp-link", Link);

function _tagged_template_literal$1t(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1t() {
    var data = _tagged_template_literal$1t([
        "\n    :host{--spectrum-menu-divider-thickness:var(--spectrum-divider-thickness-medium);margin-block:var(--mod-menu-section-divider-margin-block,max(0px,( var(--spectrum-menu-item-section-divider-height) - var(--spectrum-menu-divider-thickness))/2));margin-inline:var(--mod-menu-item-label-inline-edge-to-content,var(--spectrum-menu-item-label-inline-edge-to-content));inline-size:auto;overflow:visible}.spectrum-Menu-back:focus-visible{box-shadow:inset calc(var(--mod-menu-item-focus-indicator-width,var(--spectrum-menu-item-focus-indicator-width))*var(--spectrum-menu-item-focus-indicator-direction-scalar,1))0 0 0 var(--highcontrast-menu-item-focus-indicator-color,var(--mod-menu-item-focus-indicator-color,var(--spectrum-menu-item-focus-indicator-color)))}.spectrum-Menu-back{padding-inline:var(--mod-menu-back-padding-inline-start,0)var(--mod-menu-back-padding-inline-end,var(--spectrum-menu-item-label-inline-edge-to-content));padding-block:var(--mod-menu-back-padding-block-start,0)var(--mod-menu-back-padding-block-end,0);flex-flow:wrap;align-items:center;display:flex}.spectrum-Menu-backButton{cursor:pointer;background:0 0;border:0;margin:0;padding:0;display:inline-flex}.spectrum-Menu-backButton:focus-visible{outline:var(--spectrum-focus-indicator-thickness)solid var(--spectrum-focus-indicator-color);outline-offset:calc((var(--spectrum-focus-indicator-thickness) + 1px)*-1)}.spectrum-Menu-backHeading{color:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-heading-color,var(--spectrum-menu-section-header-color)));font-size:var(--mod-menu-section-header-font-size,var(--spectrum-menu-section-header-font-size));font-weight:var(--mod-menu-section-header-font-weight,var(--spectrum-menu-section-header-font-weight));line-height:var(--mod-menu-section-header-line-height,var(--spectrum-menu-section-header-line-height));display:block}.spectrum-Menu-backIcon{margin-block:var(--mod-menu-back-icon-margin-block,var(--spectrum-menu-back-icon-margin));margin-inline:var(--mod-menu-back-icon-margin-inline,var(--spectrum-menu-back-icon-margin));fill:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-icon-color-default));color:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-icon-color-default))}:host{flex-shrink:0;display:block}\n"
    ]);
    _templateObject$1t = function _templateObject() {
        return data;
    };
    return data;
}
var i$3 = i$p(_templateObject$1t());
var i$4 = i$3;

function _assert_this_initialized$P(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$U(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$T(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$T(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$T(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$T(Constructor, staticProps);
    return Constructor;
}
function _get$v(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$v = Reflect.get;
    } else {
        _get$v = function get(target, property, receiver) {
            var base = _super_prop_base$v(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$v(target, property, receiver || target);
}
function _get_prototype_of$P(o) {
    _get_prototype_of$P = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$P(o);
}
function _inherits$P(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$P(subClass, superClass);
}
function _possible_constructor_return$P(self, call) {
    if (call && (_type_of$P(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$P(self);
}
function _set_prototype_of$P(o, p) {
    _set_prototype_of$P = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$P(o, p);
}
function _super_prop_base$v(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$P(object);
        if (object === null) break;
    }
    return object;
}
function _type_of$P(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$P() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$P(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$P();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$P(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$P(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$P(this, result);
    };
}
var MenuDivider = /*#__PURE__*/ function(_r) {
    _inherits$P(MenuDivider, _r);
    var _super = _create_super$P(MenuDivider);
    function MenuDivider() {
        _class_call_check$U(this, MenuDivider);
        return _super.apply(this, arguments);
    }
    _create_class$T(MenuDivider, [
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$v(_get_prototype_of$P(MenuDivider.prototype), "firstUpdated", this).call(this, e), this.setAttribute("role", "separator");
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    s$8,
                    i$4
                ];
            }
        }
    ]);
    return MenuDivider;
} 
(SizedMixin(SpectrumElement, {
    validSizes: [
        "s",
        "m",
        "l"
    ]
}));

defineElement("sp-menu-divider", MenuDivider);

function _tagged_template_literal$1s(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1s() {
    var data = _tagged_template_literal$1s([
        "\n    .spectrum-Menu-back:focus-visible{box-shadow:inset calc(var(--mod-menu-item-focus-indicator-width,var(--spectrum-menu-item-focus-indicator-width))*var(--spectrum-menu-item-focus-indicator-direction-scalar,1))0 0 0 var(--highcontrast-menu-item-focus-indicator-color,var(--mod-menu-item-focus-indicator-color,var(--spectrum-menu-item-focus-indicator-color)))}.header{color:var(--highcontrast-menu-item-color-default,var(--mod-menu-section-header-color,var(--spectrum-menu-section-header-color)));font-size:var(--mod-menu-section-header-font-size,var(--spectrum-menu-section-header-font-size));font-weight:var(--mod-menu-section-header-font-weight,var(--spectrum-menu-section-header-font-weight));line-height:var(--mod-menu-section-header-line-height,var(--spectrum-menu-section-header-line-height));min-inline-size:var(--mod-menu-section-header-min-width,var(--spectrum-menu-section-header-min-width));padding-block-start:var(--mod-menu-section-header-top-edge-to-text,var(--mod-menu-item-top-edge-to-text,var(--spectrum-menu-item-top-edge-to-text)));padding-block-end:var(--mod-menu-section-header-bottom-edge-to-text,var(--mod-menu-item-bottom-edge-to-text,var(--spectrum-menu-item-bottom-edge-to-text)));padding-inline:var(--mod-menu-item-label-inline-edge-to-content,var(--spectrum-menu-item-label-inline-edge-to-content));grid-area:c/1/c/-1;display:block}.spectrum-Menu-back{padding-inline:var(--mod-menu-back-padding-inline-start,0)var(--mod-menu-back-padding-inline-end,var(--spectrum-menu-item-label-inline-edge-to-content));padding-block:var(--mod-menu-back-padding-block-start,0)var(--mod-menu-back-padding-block-end,0);flex-flow:wrap;align-items:center;display:flex}.spectrum-Menu-back .header{padding:0}.spectrum-Menu-backButton{cursor:pointer;background:0 0;border:0;margin:0;padding:0;display:inline-flex}.spectrum-Menu-backButton:focus-visible{outline:var(--spectrum-focus-indicator-thickness)solid var(--spectrum-focus-indicator-color);outline-offset:calc((var(--spectrum-focus-indicator-thickness) + 1px)*-1)}.spectrum-Menu-backHeading{color:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-heading-color,var(--spectrum-menu-section-header-color)));font-size:var(--mod-menu-section-header-font-size,var(--spectrum-menu-section-header-font-size));font-weight:var(--mod-menu-section-header-font-weight,var(--spectrum-menu-section-header-font-weight));line-height:var(--mod-menu-section-header-line-height,var(--spectrum-menu-section-header-line-height));display:block}.spectrum-Menu-backIcon{margin-block:var(--mod-menu-back-icon-margin-block,var(--spectrum-menu-back-icon-margin));margin-inline:var(--mod-menu-back-icon-margin-inline,var(--spectrum-menu-back-icon-margin));fill:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-icon-color-default));color:var(--highcontrast-menu-item-color-default,var(--mod-menu-back-icon-color-default))}:host{flex-direction:column;margin:0;display:inline-flex;overflow:visible}[hidden]{display:none!important}\n"
    ]);
    _templateObject$1s = function _templateObject() {
        return data;
    };
    return data;
}
var n$9 = i$p(_templateObject$1s());
var f$9 = n$9;

function _array_like_to_array$h(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$e(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$h(arr);
}
function _assert_this_initialized$O(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$T(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$S(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$S(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$S(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$S(Constructor, staticProps);
    return Constructor;
}
function _get$u(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$u = Reflect.get;
    } else {
        _get$u = function get(target, property, receiver) {
            var base = _super_prop_base$u(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$u(target, property, receiver || target);
}
function _get_prototype_of$O(o) {
    _get_prototype_of$O = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$O(o);
}
function _inherits$O(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$O(subClass, superClass);
}
function _iterable_to_array$e(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$e() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$O(self, call) {
    if (call && (_type_of$O(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$O(self);
}
function _set_prototype_of$O(o, p) {
    _set_prototype_of$O = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$O(o, p);
}
function _super_prop_base$u(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$O(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1r(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$e(arr) {
    return _array_without_holes$e(arr) || _iterable_to_array$e(arr) || _unsupported_iterable_to_array$h(arr) || _non_iterable_spread$e();
}
function _type_of$O(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$h(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$h(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$h(o, minLen);
}
function _is_native_reflect_construct$O() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$O(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$O();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$O(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$O(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$O(this, result);
    };
}
function _templateObject$1r() {
    var data = _tagged_template_literal$1r([
        '\n            <span class="header" ?hidden=',
        '>\n                <slot name="header" @slotchange=',
        "></slot>\n            </span>\n            <sp-menu ignore>",
        "</sp-menu>\n        "
    ]);
    _templateObject$1r = function _templateObject() {
        return data;
    };
    return data;
}
var n$8 = Object.defineProperty;
var h$8 = Object.getOwnPropertyDescriptor;
var l$5 = function(i, s, e, t) {
    for(var r = t > 1 ? void 0 : t ? h$8(s, e) : s, d = i.length - 1, a; d >= 0; d--)(a = i[d]) && (r = (t ? a(s, e, r) : a(r)) || r);
    return t && r && n$8(s, e, r), r;
};
var MenuGroup = /*#__PURE__*/ function(c) {
    _inherits$O(MenuGroup, c);
    var _super = _create_super$O(MenuGroup);
    function MenuGroup() {
        _class_call_check$T(this, MenuGroup);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.headerId = "";
        return _this;
    }
    _create_class$S(MenuGroup, [
        {
            key: "ownRole",
            get: function get() {
                switch(this.selects){
                    case "multiple":
                    case "single":
                    case "inherit":
                        return "group";
                    default:
                        return "menu";
                }
            }
        },
        {
            key: "updateLabel",
            value: function updateLabel() {
                var e = this.headerElements.length ? this.headerElements[0] : void 0;
                if (e !== this.headerElement) if (this.headerElement && this.headerElement.id === this.headerId && this.headerElement.removeAttribute("id"), e) {
                    this.headerId = this.headerId || "sp-menu-group-label-".concat(randomID());
                    var t = e.id || this.headerId;
                    e.id || (e.id = t), this.setAttribute("aria-labelledby", t);
                } else this.removeAttribute("aria-labelledby");
                this.headerElement = e;
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$1r(), !this.headerElement, this.updateLabel, this.renderMenuItemSlot());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$e(_get$u(_get_prototype_of$O(MenuGroup), "styles", this)).concat([
                    f$9
                ]);
            }
        }
    ]);
    return MenuGroup;
}(Menu);
l$5([
    n$q({
        slot: "header",
        flatten: !0
    })
], MenuGroup.prototype, "headerElements", 2), l$5([
    r$A()
], MenuGroup.prototype, "headerElement", 2);

defineElement("sp-menu-group", MenuGroup);

function _tagged_template_literal$1q(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1q() {
    var data = _tagged_template_literal$1q([
        "\n    :host{--spectrum-progressbar-animation-ease-in-out-indeterminate:var(--spectrum-animation-ease-in-out);--spectrum-progressbar-animation-duration-indeterminate:var(--spectrum-animation-duration-2000);--spectrum-progressbar-corner-radius:var(--spectrum-corner-radius-100);--spectrum-progressbar-fill-size-indeterminate:70%;--spectrum-progressbar-size-2400:192px;--spectrum-progressbar-size-2500:200px;--spectrum-progressbar-size-2800:224px;--spectrum-progressbar-font-size:var(--spectrum-font-size-75);--spectrum-progressbar-line-height-cjk:var(--spectrum-cjk-line-height-100);--spectrum-progressbar-min-size:var(--spectrum-progress-bar-minimum-width);--spectrum-progressbar-max-size:var(--spectrum-progress-bar-maximum-width);--spectrum-progressbar-thickness:var(--spectrum-progress-bar-thickness-medium);--spectrum-progressbar-line-height:var(--spectrum-line-height-100);--spectrum-progressbar-spacing-label-to-progressbar:var(--spectrum-spacing-75);--spectrum-progressbar-spacing-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-progressbar-spacing-label-to-text:var(--spectrum-spacing-200);--spectrum-progressbar-text-color:var(--spectrum-neutral-content-color-default);--spectrum-progressbar-track-color:var(--spectrum-gray-300);--spectrum-progressbar-fill-color:var(--spectrum-accent-color-900);--spectrum-progressbar-fill-color-positive:var(--spectrum-positive-visual-color);--spectrum-progressbar-fill-color-notice:var(--spectrum-notice-visual-color);--spectrum-progressbar-fill-color-negative:var(--spectrum-negative-visual-color);--spectrum-progressbar-label-and-value-white:var(--spectrum-white);--spectrum-progressbar-track-color-white:var(--spectrum-transparent-white-300);--spectrum-progressbar-fill-color-white:var(--spectrum-white);--spectrum-meter-min-width:var(--spectrum-meter-minimum-width);--spectrum-meter-max-width:var(--spectrum-meter-maximum-width);--spectrum-meter-inline-size:var(--spectrum-meter-default-width);--spectrum-meter-thickness-s:var(--spectrum-meter-thickness-small);--spectrum-meter-thickness-l:var(--spectrum-meter-thickness-large);--spectrum-meter-top-to-text:var(--spectrum-component-top-to-text)}:host([size=s]){--spectrum-progressbar-size-default:var(--spectrum-progressbar-size-2400);--spectrum-progressbar-font-size:var(--spectrum-font-size-75);--spectrum-progressbar-thickness:var(--spectrum-progress-bar-thickness-small);--spectrum-progressbar-spacing-top-to-text:var(--spectrum-component-top-to-text-75)}:host{--spectrum-progressbar-size-default:var(--spectrum-progressbar-size-2400);--spectrum-progressbar-font-size:var(--spectrum-font-size-75);--spectrum-progressbar-thickness:var(--spectrum-progress-bar-thickness-large);--spectrum-progressbar-spacing-top-to-text:var(--spectrum-component-top-to-text-75)}:host([size=l]){--spectrum-progressbar-size-default:var(--spectrum-progressbar-size-2500);--spectrum-progressbar-font-size:var(--spectrum-font-size-100);--spectrum-progressbar-thickness:var(--spectrum-progress-bar-thickness-large);--spectrum-progressbar-spacing-top-to-text:var(--spectrum-component-top-to-text-200)}:host([size=xl]){--spectrum-progressbar-size-default:var(--spectrum-progressbar-size-2800);--spectrum-progressbar-font-size:var(--spectrum-font-size-200);--spectrum-progressbar-thickness:var(--spectrum-progress-bar-thickness-extra-large);--spectrum-progressbar-spacing-top-to-text:var(--spectrum-component-top-to-text-300)}:host{--spectrum-progressbar-size-default:var(--mod-meter-inline-size,var(--spectrum-meter-inline-size));--spectrum-progressbar-max-size:var(--mod-meter-max-width,var(--spectrum-meter-max-width));--spectrum-progressbar-min-size:var(--mod-meter-min-width,var(--spectrum-meter-min-width))}:host([variant=positive]) .fill{background-color:var(--highcontrast-progressbar-fill-color,var(--mod-progressbar-fill-color-positive,var(--spectrum-progressbar-fill-color-positive)))}:host([variant=notice]) .fill{background-color:var(--highcontrast-progressbar-fill-color,var(--mod-progressbar-fill-color-notice,var(--spectrum-progressbar-fill-color-notice)))}:host([variant=negative]) .fill{background-color:var(--highcontrast-progressbar-fill-color,var(--mod-progressbar-fill-color-negative,var(--spectrum-progressbar-fill-color-negative)))}:host{font-size:var(--mod-progressbar-font-size,var(--spectrum-progressbar-font-size));vertical-align:top;inline-size:var(--mod-progressbar-size-default,var(--spectrum-progressbar-size-default));max-inline-size:var(--mod-progressbar-max-size,var(--spectrum-progressbar-max-size));min-inline-size:var(--mod-progressbar-min-size,var(--spectrum-progressbar-min-size));flex-flow:wrap;justify-content:space-between;align-items:center;display:inline-flex;position:relative}.label,.percentage{text-align:start;line-height:var(--mod-progressbar-line-height,var(--spectrum-progressbar-line-height));color:var(--mod-progressbar-text-color,var(--spectrum-progressbar-text-color));margin-block-start:var(--mod-progressbar-spacing-top-to-text,var(--spectrum-progressbar-spacing-top-to-text));margin-block-end:var(--mod-progressbar-spacing-label-to-progressbar,var(--spectrum-progressbar-spacing-label-to-progressbar))}.label:lang(ja),.label:lang(ko),.label:lang(zh),.percentage:lang(ja),.percentage:lang(ko),.percentage:lang(zh){line-height:var(--mod-progressbar-line-height-cjk,var(--spectrum-progressbar-line-height-cjk))}.label{flex:1}.percentage{align-self:flex-start;margin-inline-start:var(--mod-progressbar-spacing-label-to-text,var(--spectrum-progressbar-spacing-label-to-text))}.track{block-size:var(--mod-progressbar-thickness,var(--spectrum-progressbar-thickness));border-radius:var(--spectrum-progressbar-corner-radius);background-color:var(--highcontrast-progressbar-track-color,var(--mod-progressbar-track-color,var(--spectrum-progressbar-track-color)));inline-size:100%;overflow:hidden}.fill{block-size:var(--mod-progressbar-thickness,var(--spectrum-progressbar-thickness));background-color:var(--highcontrast-progressbar-fill-color,var(--mod-progressbar-fill-color,var(--spectrum-progressbar-fill-color)));border:none;transition:width 1s}:host([indeterminate]) .fill{inline-size:var(--mod-progressbar-fill-size-indeterminate,var(--spectrum-progressbar-fill-size-indeterminate));animation-timing-function:var(--mod-progressbar-animation-ease-in-out-indeterminate,var(--spectrum-progressbar-animation-ease-in-out-indeterminate));will-change:transform;position:relative}:host([side-label]){flex-flow:row;justify-content:space-between;display:inline-flex}:host([side-label]) .track{flex:1 1 var(--mod-progressbar-size-default,var(--spectrum-progressbar-size-default))}:host([side-label]) .label{flex-grow:0;margin-block-end:0;margin-inline-end:var(--mod-progressbar-spacing-label-to-text,var(--spectrum-progressbar-spacing-label-to-text))}:host([side-label]) .percentage{text-align:end;order:3;margin-block-end:0;margin-inline-start:var(--mod-spacing-progressbar-label-to-text,var(--spectrum-progressbar-spacing-label-to-text))}:host([static=white]) .fill{background-color:var(--mod-progressbar-fill-color-white,var(--spectrum-progressbar-fill-color-white))}:host([static=white]) .fill,:host([static=white]) .label,:host([static=white]) .percentage{color:var(--mod-progressbar-label-and-value-white,var(--spectrum-progressbar-label-and-value-white))}:host([static=white]) .track{background-color:var(--spectrum-progressbar-track-color-white)}:host([indeterminate]) .fill{animation:a var(--mod-progressbar-animation-duration-indeterminate,var(--spectrum-progressbar-animation-duration-indeterminate))infinite}:host([indeterminate]) .fill:dir(rtl),:host([dir=rtl][indeterminate]) .fill{animation:b var(--mod-progressbar-animation-duration-indeterminate,var(--spectrum-progressbar-animation-duration-indeterminate))infinite}@keyframes a{0%{transform:translate(calc(var(--mod-progressbar-fill-size-indeterminate,var(--spectrum-progressbar-fill-size-indeterminate))*-1))}to{transform:translate(var(--mod-progressbar-size-default,var(--spectrum-progressbar-size-default)))}}@keyframes b{0%{transform:translate(var(--mod-progressbar-size-default,var(--spectrum-progressbar-fill-size-indeterminate)))}to{transform:translate(calc(var(--mod-progressbar-size-default,var(--spectrum-progressbar-size-default))*-1))}}@media (forced-colors:active){.track{forced-color-adjust:none;--highcontrast-progressbar-fill-color:ButtonText;--highcontrast-progressbar-track-color:ButtonFace;border:1px solid buttontext}}.fill{transform-origin:0}:host([dir=rtl]) .fill{transform-origin:100%}\n"
    ]);
    _templateObject$1q = function _templateObject() {
        return data;
    };
    return data;
}
var e$n = i$p(_templateObject$1q());
var y$9 = e$n;

function _assert_this_initialized$N(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$S(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$R(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$R(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$R(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$R(Constructor, staticProps);
    return Constructor;
}
function _get$t(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$t = Reflect.get;
    } else {
        _get$t = function get(target, property, receiver) {
            var base = _super_prop_base$t(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$t(target, property, receiver || target);
}
function _get_prototype_of$N(o) {
    _get_prototype_of$N = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$N(o);
}
function _inherits$N(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$N(subClass, superClass);
}
function _possible_constructor_return$N(self, call) {
    if (call && (_type_of$N(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$N(self);
}
function _set_prototype_of$N(o, p) {
    _set_prototype_of$N = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$N(o, p);
}
function _super_prop_base$t(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$N(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1p(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$N(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$N() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$N(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$N();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$N(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$N(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$N(this, result);
    };
}
function _templateObject$1p() {
    var data = _tagged_template_literal$1p([
        "\n            <sp-field-label size=",
        ' class="label">\n                ',
        "\n                <slot @slotchange=",
        ">",
        "</slot>\n            </sp-field-label>\n            <sp-field-label size=",
        ' class="percentage">\n                ',
        '\n            </sp-field-label>\n            <div class="track">\n                <div\n                    class="fill"\n                    style="transform: scaleX(calc(',
        ' / 100));"\n                ></div>\n            </div>\n        '
    ]);
    _templateObject$1p = function _templateObject() {
        return data;
    };
    return data;
}
var p$h = Object.defineProperty;
var u$i = Object.getOwnPropertyDescriptor;
var r$e = function(a, s, e, i) {
    for(var t = i > 1 ? void 0 : i ? u$i(s, e) : s, o = a.length - 1, n; o >= 0; o--)(n = a[o]) && (t = (i ? n(s, e, t) : n(t)) || t);
    return i && t && p$h(s, e, t), t;
};
var meterVariants = [
    "positive",
    "notice",
    "negative"
];
var Meter = /*#__PURE__*/ function(_h) {
    _inherits$N(Meter, _h);
    var _super = _create_super$N(Meter);
    function Meter() {
        _class_call_check$S(this, Meter);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.progress = 0;
        _this._variant = "";
        _this.label = "";
        _this.languageResolver = new LanguageResolutionController(_assert_this_initialized$N(_this));
        _this.sideLabel = !1;
        return _this;
    }
    _create_class$R(Meter, [
        {
            key: "variant",
            get: function get() {
                return this._variant;
            },
            set: function set(e) {
                if (e === this.variant) return;
                var i = this.variant;
                meterVariants.includes(e) ? (this.setAttribute("variant", e), this._variant = e) : (this.removeAttribute("variant"), this._variant = ""), this.requestUpdate("variant", i);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$1p(), this.size, this.slotHasContent ? E$2 : this.label, this.handleSlotchange, this.label, this.size, new Intl.NumberFormat(this.languageResolver.language, {
                    style: "percent",
                    unitDisplay: "narrow"
                }).format(this.progress / 100), this.progress);
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange() {
                var e = getLabelFromSlot(this.label, this.slotEl);
                e && (this.label = e);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$t(_get_prototype_of$N(Meter.prototype), "firstUpdated", this).call(this, e), this.setAttribute("role", "meter progressbar");
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$t(_get_prototype_of$N(Meter.prototype), "updated", this).call(this, e), e.has("progress") && this.setAttribute("aria-valuenow", "" + this.progress), e.has("label") && (this.label.length ? this.setAttribute("aria-label", this.label) : this.removeAttribute("aria-label"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    y$9
                ];
            }
        }
    ]);
    return Meter;
}(SizedMixin(ObserveSlotText(SpectrumElement, ""), {
    noDefaultSize: !0
}));
r$e([
    n$r({
        type: Number
    })
], Meter.prototype, "progress", 2), r$e([
    n$r({
        type: String
    })
], Meter.prototype, "variant", 1), r$e([
    n$r({
        type: String,
        reflect: !0
    })
], Meter.prototype, "label", 2), r$e([
    e$F("slot")
], Meter.prototype, "slotEl", 2), r$e([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "side-label"
    })
], Meter.prototype, "sideLabel", 2), r$e([
    n$r({
        type: String,
        reflect: !0
    })
], Meter.prototype, "static", 2);

defineElement("sp-meter", Meter);

/*
 * Copyright 2020 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ function _array_like_to_array$g(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$d(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$g(arr);
}
function _class_call_check$R(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$Q(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$Q(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$Q(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$Q(Constructor, staticProps);
    return Constructor;
}
function _define_property$6(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _iterable_to_array$d(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$d() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _object_spread$4(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$6(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$3(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$3(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$3(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _to_consumable_array$d(arr) {
    return _array_without_holes$d(arr) || _iterable_to_array$d(arr) || _unsupported_iterable_to_array$g(arr) || _non_iterable_spread$d();
}
function _unsupported_iterable_to_array$g(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$g(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$g(o, minLen);
}
var $488c6ddbf4ef74c2$var$formatterCache = new Map();
var $488c6ddbf4ef74c2$var$supportsSignDisplay = false;
try {
    $488c6ddbf4ef74c2$var$supportsSignDisplay = new Intl.NumberFormat("de-DE", {
        signDisplay: "exceptZero"
    }).resolvedOptions().signDisplay === "exceptZero";
// eslint-disable-next-line no-empty
} catch (e) {}
var $488c6ddbf4ef74c2$var$supportsUnit = false;
try {
    $488c6ddbf4ef74c2$var$supportsUnit = new Intl.NumberFormat("de-DE", {
        style: "unit",
        unit: "degree"
    }).resolvedOptions().style === "unit";
// eslint-disable-next-line no-empty
} catch (e) {}
// Polyfill for units since Safari doesn't support them yet. See https://bugs.webkit.org/show_bug.cgi?id=215438.
// Currently only polyfilling the unit degree in narrow format for ColorSlider in our supported locales.
// Values were determined by switching to each locale manually in Chrome.
var $488c6ddbf4ef74c2$var$UNITS = {
    degree: {
        narrow: {
            default: "\xb0",
            "ja-JP": " 度",
            "zh-TW": "度",
            "sl-SI": " \xb0"
        }
    }
};
var $488c6ddbf4ef74c2$export$cc77c4ff7e8673c5 = /*#__PURE__*/ function() {
    function $488c6ddbf4ef74c2$export$cc77c4ff7e8673c5(locale) {
        var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
        _class_call_check$R(this, $488c6ddbf4ef74c2$export$cc77c4ff7e8673c5);
        this.numberFormatter = $488c6ddbf4ef74c2$var$getCachedNumberFormatter(locale, options);
        this.options = options;
    }
    _create_class$Q($488c6ddbf4ef74c2$export$cc77c4ff7e8673c5, [
        {
            /** Formats a number value as a string, according to the locale and options provided to the constructor. */ key: "format",
            value: function format(value) {
                var res = "";
                if (!$488c6ddbf4ef74c2$var$supportsSignDisplay && this.options.signDisplay != null) res = $488c6ddbf4ef74c2$export$711b50b3c525e0f2(this.numberFormatter, this.options.signDisplay, value);
                else res = this.numberFormatter.format(value);
                if (this.options.style === "unit" && !$488c6ddbf4ef74c2$var$supportsUnit) {
                    var _UNITS_unit;
                    var _this_resolvedOptions = this.resolvedOptions(), unit = _this_resolvedOptions.unit, tmp = _this_resolvedOptions.unitDisplay, unitDisplay = tmp === void 0 ? "short" : tmp, locale = _this_resolvedOptions.locale;
                    if (!unit) return res;
                    var values = (_UNITS_unit = $488c6ddbf4ef74c2$var$UNITS[unit]) === null || _UNITS_unit === void 0 ? void 0 : _UNITS_unit[unitDisplay];
                    res += values[locale] || values.default;
                }
                return res;
            }
        },
        {
            /** Formats a number to an array of parts such as separators, digits, punctuation, and more. */ key: "formatToParts",
            value: function formatToParts(value) {
                // TODO: implement signDisplay for formatToParts
                return this.numberFormatter.formatToParts(value);
            }
        },
        {
            /** Formats a number range as a string. */ key: "formatRange",
            value: function formatRange(start, end) {
                if (typeof this.numberFormatter.formatRange === "function") return this.numberFormatter.formatRange(start, end);
                if (end < start) throw new RangeError("End date must be >= start date");
                // Very basic fallback for old browsers.
                return "".concat(this.format(start), " – ").concat(this.format(end));
            }
        },
        {
            /** Formats a number range as an array of parts. */ key: "formatRangeToParts",
            value: function formatRangeToParts(start, end) {
                if (typeof this.numberFormatter.formatRangeToParts === "function") return this.numberFormatter.formatRangeToParts(start, end);
                if (end < start) throw new RangeError("End date must be >= start date");
                var startParts = this.numberFormatter.formatToParts(start);
                var endParts = this.numberFormatter.formatToParts(end);
                return _to_consumable_array$d(startParts.map(function(p) {
                    return _object_spread_props$3(_object_spread$4({}, p), {
                        source: "startRange"
                    });
                })).concat([
                    {
                        type: "literal",
                        value: " – ",
                        source: "shared"
                    }
                ], _to_consumable_array$d(endParts.map(function(p) {
                    return _object_spread_props$3(_object_spread$4({}, p), {
                        source: "endRange"
                    });
                })));
            }
        },
        {
            /** Returns the resolved formatting options based on the values passed to the constructor. */ key: "resolvedOptions",
            value: function resolvedOptions() {
                var options = this.numberFormatter.resolvedOptions();
                if (!$488c6ddbf4ef74c2$var$supportsSignDisplay && this.options.signDisplay != null) options = _object_spread_props$3(_object_spread$4({}, options), {
                    signDisplay: this.options.signDisplay
                });
                if (!$488c6ddbf4ef74c2$var$supportsUnit && this.options.style === "unit") options = _object_spread_props$3(_object_spread$4({}, options), {
                    style: "unit",
                    unit: this.options.unit,
                    unitDisplay: this.options.unitDisplay
                });
                return options;
            }
        }
    ]);
    return $488c6ddbf4ef74c2$export$cc77c4ff7e8673c5;
}();
function $488c6ddbf4ef74c2$var$getCachedNumberFormatter(locale) {
    var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
    var numberingSystem = options.numberingSystem;
    if (numberingSystem && locale.includes("-nu-")) {
        if (!locale.includes("-u-")) locale += "-u-";
        locale += "-nu-".concat(numberingSystem);
    }
    if (options.style === "unit" && !$488c6ddbf4ef74c2$var$supportsUnit) {
        var _UNITS_unit;
        var unit = options.unit, tmp = options.unitDisplay, unitDisplay = tmp === void 0 ? "short" : tmp;
        if (!unit) throw new Error('unit option must be provided with style: "unit"');
        if (!((_UNITS_unit = $488c6ddbf4ef74c2$var$UNITS[unit]) === null || _UNITS_unit === void 0 ? void 0 : _UNITS_unit[unitDisplay])) throw new Error("Unsupported unit ".concat(unit, " with unitDisplay = ").concat(unitDisplay));
        options = _object_spread_props$3(_object_spread$4({}, options), {
            style: "decimal"
        });
    }
    var cacheKey = locale + (options ? Object.entries(options).sort(function(a, b) {
        return a[0] < b[0] ? -1 : 1;
    }).join() : "");
    if ($488c6ddbf4ef74c2$var$formatterCache.has(cacheKey)) return $488c6ddbf4ef74c2$var$formatterCache.get(cacheKey);
    var numberFormatter = new Intl.NumberFormat(locale, options);
    $488c6ddbf4ef74c2$var$formatterCache.set(cacheKey, numberFormatter);
    return numberFormatter;
}
function $488c6ddbf4ef74c2$export$711b50b3c525e0f2(numberFormat, signDisplay, num) {
    if (signDisplay === "auto") return numberFormat.format(num);
    else if (signDisplay === "never") return numberFormat.format(Math.abs(num));
    else {
        var needsPositiveSign = false;
        if (signDisplay === "always") needsPositiveSign = num > 0 || Object.is(num, 0);
        else if (signDisplay === "exceptZero") {
            if (Object.is(num, -0) || Object.is(num, 0)) num = Math.abs(num);
            else needsPositiveSign = num > 0;
        }
        if (needsPositiveSign) {
            var negative = numberFormat.format(-num);
            var noSign = numberFormat.format(num);
            // ignore RTL/LTR marker character
            var minus = negative.replace(noSign, "").replace(/\u200e|\u061C/, "");
            if (_to_consumable_array$d(minus).length !== 1) console.warn("@react-aria/i18n polyfill for NumberFormat signDisplay: Unsupported case");
            var positive = negative.replace(noSign, "!!!").replace(minus, "+").replace("!!!", noSign);
            return positive;
        } else return numberFormat.format(num);
    }
}

function _array_like_to_array$f(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$c(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$f(arr);
}
function _class_call_check$Q(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$P(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$P(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$P(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$P(Constructor, staticProps);
    return Constructor;
}
function _define_property$5(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _iterable_to_array$c(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$c() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _object_spread$3(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$5(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$2(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$2(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$2(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _to_consumable_array$c(arr) {
    return _array_without_holes$c(arr) || _iterable_to_array$c(arr) || _unsupported_iterable_to_array$f(arr) || _non_iterable_spread$c();
}
function _unsupported_iterable_to_array$f(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$f(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$f(o, minLen);
}
/*
 * Copyright 2020 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ var $6c7bd7858deea686$var$CURRENCY_SIGN_REGEX = new RegExp("^.*\\(.*\\).*$");
var $6c7bd7858deea686$var$NUMBERING_SYSTEMS = [
    "latn",
    "arab",
    "hanidec",
    "deva",
    "beng"
];
var $6c7bd7858deea686$export$cd11ab140839f11d = /*#__PURE__*/ function() {
    function $6c7bd7858deea686$export$cd11ab140839f11d(locale) {
        var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
        _class_call_check$Q(this, $6c7bd7858deea686$export$cd11ab140839f11d);
        this.locale = locale;
        this.options = options;
    }
    _create_class$P($6c7bd7858deea686$export$cd11ab140839f11d, [
        {
            /**
   * Parses the given string to a number. Returns NaN if a valid number could not be parsed.
   */ key: "parse",
            value: function parse(value) {
                return $6c7bd7858deea686$var$getNumberParserImpl(this.locale, this.options, value).parse(value);
            }
        },
        {
            /**
   * Returns whether the given string could potentially be a valid number. This should be used to
   * validate user input as the user types. If a `minValue` or `maxValue` is provided, the validity
   * of the minus/plus sign characters can be checked.
   */ key: "isValidPartialNumber",
            value: function isValidPartialNumber(value, minValue, maxValue) {
                return $6c7bd7858deea686$var$getNumberParserImpl(this.locale, this.options, value).isValidPartialNumber(value, minValue, maxValue);
            }
        },
        {
            /**
   * Returns a numbering system for which the given string is valid in the current locale.
   * If no numbering system could be detected, the default numbering system for the current
   * locale is returned.
   */ key: "getNumberingSystem",
            value: function getNumberingSystem(value) {
                return $6c7bd7858deea686$var$getNumberParserImpl(this.locale, this.options, value).options.numberingSystem;
            }
        }
    ]);
    return $6c7bd7858deea686$export$cd11ab140839f11d;
}();
var $6c7bd7858deea686$var$numberParserCache = new Map();
function $6c7bd7858deea686$var$getNumberParserImpl(locale, options, value) {
    // First try the default numbering system for the provided locale
    var defaultParser = $6c7bd7858deea686$var$getCachedNumberParser(locale, options);
    // If that doesn't match, and the locale doesn't include a hard coded numbering system,
    // try each of the other supported numbering systems until we find one that matches.
    if (!locale.includes("-nu-") && !defaultParser.isValidPartialNumber(value)) {
        var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
        try {
            for(var _iterator = $6c7bd7858deea686$var$NUMBERING_SYSTEMS[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                var numberingSystem = _step.value;
                if (numberingSystem !== defaultParser.options.numberingSystem) {
                    var parser = $6c7bd7858deea686$var$getCachedNumberParser(locale + (locale.includes("-u-") ? "-nu-" : "-u-nu-") + numberingSystem, options);
                    if (parser.isValidPartialNumber(value)) return parser;
                }
            }
        } catch (err) {
            _didIteratorError = true;
            _iteratorError = err;
        } finally{
            try {
                if (!_iteratorNormalCompletion && _iterator.return != null) {
                    _iterator.return();
                }
            } finally{
                if (_didIteratorError) {
                    throw _iteratorError;
                }
            }
        }
    }
    return defaultParser;
}
function $6c7bd7858deea686$var$getCachedNumberParser(locale, options) {
    var cacheKey = locale + (options ? Object.entries(options).sort(function(a, b) {
        return a[0] < b[0] ? -1 : 1;
    }).join() : "");
    var parser = $6c7bd7858deea686$var$numberParserCache.get(cacheKey);
    if (!parser) {
        parser = new $6c7bd7858deea686$var$NumberParserImpl(locale, options);
        $6c7bd7858deea686$var$numberParserCache.set(cacheKey, parser);
    }
    return parser;
}
// The actual number parser implementation. Instances of this class are cached
// based on the locale, options, and detected numbering system.
var $6c7bd7858deea686$var$NumberParserImpl = /*#__PURE__*/ function() {
    function $6c7bd7858deea686$var$NumberParserImpl(locale) {
        var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
        _class_call_check$Q(this, $6c7bd7858deea686$var$NumberParserImpl);
        this.locale = locale;
        this.formatter = new Intl.NumberFormat(locale, options);
        this.options = this.formatter.resolvedOptions();
        this.symbols = $6c7bd7858deea686$var$getSymbols(locale, this.formatter, this.options, options);
        var _this_options_minimumFractionDigits, _this_options_maximumFractionDigits;
        if (this.options.style === "percent" && (((_this_options_minimumFractionDigits = this.options.minimumFractionDigits) !== null && _this_options_minimumFractionDigits !== void 0 ? _this_options_minimumFractionDigits : 0) > 18 || ((_this_options_maximumFractionDigits = this.options.maximumFractionDigits) !== null && _this_options_maximumFractionDigits !== void 0 ? _this_options_maximumFractionDigits : 0) > 18)) console.warn("NumberParser cannot handle percentages with greater than 18 decimal places, please reduce the number in your options.");
    }
    _create_class$P($6c7bd7858deea686$var$NumberParserImpl, [
        {
            key: "parse",
            value: function parse(value) {
                // to parse the number, we need to remove anything that isn't actually part of the number, for example we want '-10.40' not '-10.40 USD'
                var fullySanitizedValue = this.sanitize(value);
                if (this.symbols.group) fullySanitizedValue = $6c7bd7858deea686$var$replaceAll(fullySanitizedValue, this.symbols.group, "");
                if (this.symbols.decimal) fullySanitizedValue = fullySanitizedValue.replace(this.symbols.decimal, ".");
                if (this.symbols.minusSign) fullySanitizedValue = fullySanitizedValue.replace(this.symbols.minusSign, "-");
                fullySanitizedValue = fullySanitizedValue.replace(this.symbols.numeral, this.symbols.index);
                if (this.options.style === "percent") {
                    // javascript is bad at dividing by 100 and maintaining the same significant figures, so perform it on the string before parsing
                    var isNegative = fullySanitizedValue.indexOf("-");
                    fullySanitizedValue = fullySanitizedValue.replace("-", "");
                    var index = fullySanitizedValue.indexOf(".");
                    if (index === -1) index = fullySanitizedValue.length;
                    fullySanitizedValue = fullySanitizedValue.replace(".", "");
                    if (index - 2 === 0) fullySanitizedValue = "0.".concat(fullySanitizedValue);
                    else if (index - 2 === -1) fullySanitizedValue = "0.0".concat(fullySanitizedValue);
                    else if (index - 2 === -2) fullySanitizedValue = "0.00";
                    else fullySanitizedValue = "".concat(fullySanitizedValue.slice(0, index - 2), ".").concat(fullySanitizedValue.slice(index - 2));
                    if (isNegative > -1) fullySanitizedValue = "-".concat(fullySanitizedValue);
                }
                var newValue = fullySanitizedValue ? +fullySanitizedValue : NaN;
                if (isNaN(newValue)) return NaN;
                if (this.options.style === "percent") {
                    var _this_options_minimumFractionDigits, _this_options_maximumFractionDigits;
                    // extra step for rounding percents to what our formatter would output
                    var options = _object_spread_props$2(_object_spread$3({}, this.options), {
                        style: "decimal",
                        minimumFractionDigits: Math.min(((_this_options_minimumFractionDigits = this.options.minimumFractionDigits) !== null && _this_options_minimumFractionDigits !== void 0 ? _this_options_minimumFractionDigits : 0) + 2, 20),
                        maximumFractionDigits: Math.min(((_this_options_maximumFractionDigits = this.options.maximumFractionDigits) !== null && _this_options_maximumFractionDigits !== void 0 ? _this_options_maximumFractionDigits : 0) + 2, 20)
                    });
                    return new $6c7bd7858deea686$export$cd11ab140839f11d(this.locale, options).parse(new ($488c6ddbf4ef74c2$export$cc77c4ff7e8673c5)(this.locale, options).format(newValue));
                }
                // accounting will always be stripped to a positive number, so if it's accounting and has a () around everything, then we need to make it negative again
                if (this.options.currencySign === "accounting" && $6c7bd7858deea686$var$CURRENCY_SIGN_REGEX.test(value)) newValue = -1 * newValue;
                return newValue;
            }
        },
        {
            key: "sanitize",
            value: function sanitize(value) {
                // Remove literals and whitespace, which are allowed anywhere in the string
                value = value.replace(this.symbols.literals, "");
                // Replace the ASCII minus sign with the minus sign used in the current locale
                // so that both are allowed in case the user's keyboard doesn't have the locale's minus sign.
                if (this.symbols.minusSign) value = value.replace("-", this.symbols.minusSign);
                // In arab numeral system, their decimal character is 1643, but most keyboards don't type that
                // instead they use the , (44) character or apparently the (1548) character.
                if (this.options.numberingSystem === "arab") {
                    if (this.symbols.decimal) {
                        value = value.replace(",", this.symbols.decimal);
                        value = value.replace(String.fromCharCode(1548), this.symbols.decimal);
                    }
                    if (this.symbols.group) value = $6c7bd7858deea686$var$replaceAll(value, ".", this.symbols.group);
                }
                // fr-FR group character is char code 8239, but that's not a key on the french keyboard,
                // so allow 'period' as a group char and replace it with a space
                if (this.options.locale === "fr-FR") value = $6c7bd7858deea686$var$replaceAll(value, ".", String.fromCharCode(8239));
                return value;
            }
        },
        {
            key: "isValidPartialNumber",
            value: function isValidPartialNumber(value) {
                var minValue = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : -Infinity, maxValue = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : Infinity;
                value = this.sanitize(value);
                // Remove minus or plus sign, which must be at the start of the string.
                if (this.symbols.minusSign && value.startsWith(this.symbols.minusSign) && minValue < 0) value = value.slice(this.symbols.minusSign.length);
                else if (this.symbols.plusSign && value.startsWith(this.symbols.plusSign) && maxValue > 0) value = value.slice(this.symbols.plusSign.length);
                // Numbers cannot start with a group separator
                if (this.symbols.group && value.startsWith(this.symbols.group)) return false;
                // Numbers that can't have any decimal values fail if a decimal character is typed
                if (this.symbols.decimal && value.indexOf(this.symbols.decimal) > -1 && this.options.maximumFractionDigits === 0) return false;
                // Remove numerals, groups, and decimals
                if (this.symbols.group) value = $6c7bd7858deea686$var$replaceAll(value, this.symbols.group, "");
                value = value.replace(this.symbols.numeral, "");
                if (this.symbols.decimal) value = value.replace(this.symbols.decimal, "");
                // The number is valid if there are no remaining characters
                return value.length === 0;
            }
        }
    ]);
    return $6c7bd7858deea686$var$NumberParserImpl;
}();
var $6c7bd7858deea686$var$nonLiteralParts = new Set([
    "decimal",
    "fraction",
    "integer",
    "minusSign",
    "plusSign",
    "group"
]);
// This list is derived from https://www.unicode.org/cldr/charts/43/supplemental/language_plural_rules.html#comparison and includes
// all unique numbers which we need to check in order to determine all the plural forms for a given locale.
// See: https://github.com/adobe/react-spectrum/pull/5134/files#r1337037855 for used script
var $6c7bd7858deea686$var$pluralNumbers = [
    0,
    4,
    2,
    1,
    11,
    20,
    3,
    7,
    100,
    21,
    0.1,
    1.1
];
function $6c7bd7858deea686$var$getSymbols(locale, formatter, intlOptions, originalOptions) {
    var _allParts_find, _posAllParts_find, _decimalParts_find, _allParts_find1;
    // formatter needs access to all decimal places in order to generate the correct literal strings for the plural set
    var symbolFormatter = new Intl.NumberFormat(locale, _object_spread_props$2(_object_spread$3({}, intlOptions), {
        // Resets so we get the full range of symbols
        minimumSignificantDigits: 1,
        maximumSignificantDigits: 21,
        roundingIncrement: 1,
        roundingPriority: "auto",
        roundingMode: "halfExpand"
    }));
    // Note: some locale's don't add a group symbol until there is a ten thousands place
    var allParts = symbolFormatter.formatToParts(-10000.111);
    var posAllParts = symbolFormatter.formatToParts(10000.111);
    var pluralParts = $6c7bd7858deea686$var$pluralNumbers.map(function(n) {
        return symbolFormatter.formatToParts(n);
    });
    var _allParts_find_value;
    var minusSign = (_allParts_find_value = (_allParts_find = allParts.find(function(p) {
        return p.type === "minusSign";
    })) === null || _allParts_find === void 0 ? void 0 : _allParts_find.value) !== null && _allParts_find_value !== void 0 ? _allParts_find_value : "-";
    var plusSign = (_posAllParts_find = posAllParts.find(function(p) {
        return p.type === "plusSign";
    })) === null || _posAllParts_find === void 0 ? void 0 : _posAllParts_find.value;
    // Safari does not support the signDisplay option, but our number parser polyfills it.
    // If no plus sign was returned, but the original options contained signDisplay, default to the '+' character.
    if (!plusSign && ((originalOptions === null || originalOptions === void 0 ? void 0 : originalOptions.signDisplay) === "exceptZero" || (originalOptions === null || originalOptions === void 0 ? void 0 : originalOptions.signDisplay) === "always")) plusSign = "+";
    // If maximumSignificantDigits is 1 (the minimum) then we won't get decimal characters out of the above formatters
    // Percent also defaults to 0 fractionDigits, so we need to make a new one that isn't percent to get an accurate decimal
    var decimalParts = new Intl.NumberFormat(locale, _object_spread_props$2(_object_spread$3({}, intlOptions), {
        minimumFractionDigits: 2,
        maximumFractionDigits: 2
    })).formatToParts(0.001);
    var decimal = (_decimalParts_find = decimalParts.find(function(p) {
        return p.type === "decimal";
    })) === null || _decimalParts_find === void 0 ? void 0 : _decimalParts_find.value;
    var group = (_allParts_find1 = allParts.find(function(p) {
        return p.type === "group";
    })) === null || _allParts_find1 === void 0 ? void 0 : _allParts_find1.value;
    // this set is also for a regex, it's all literals that might be in the string we want to eventually parse that
    // don't contribute to the numerical value
    var allPartsLiterals = allParts.filter(function(p) {
        return !$6c7bd7858deea686$var$nonLiteralParts.has(p.type);
    }).map(function(p) {
        return $6c7bd7858deea686$var$escapeRegex(p.value);
    });
    var pluralPartsLiterals = pluralParts.flatMap(function(p) {
        return p.filter(function(p) {
            return !$6c7bd7858deea686$var$nonLiteralParts.has(p.type);
        }).map(function(p) {
            return $6c7bd7858deea686$var$escapeRegex(p.value);
        });
    });
    var sortedLiterals = _to_consumable_array$c(new Set(_to_consumable_array$c(allPartsLiterals).concat(_to_consumable_array$c(pluralPartsLiterals)))).sort(function(a, b) {
        return b.length - a.length;
    });
    var literals = sortedLiterals.length === 0 ? new RegExp("[\\p{White_Space}]", "gu") : new RegExp("".concat(sortedLiterals.join("|"), "|[\\p{White_Space}]"), "gu");
    // These are for replacing non-latn characters with the latn equivalent
    var numerals = _to_consumable_array$c(new Intl.NumberFormat(intlOptions.locale, {
        useGrouping: false
    }).format(9876543210)).reverse();
    var indexes = new Map(numerals.map(function(d, i) {
        return [
            d,
            i
        ];
    }));
    var numeral = new RegExp("[".concat(numerals.join(""), "]"), "g");
    var index = function(d) {
        return String(indexes.get(d));
    };
    return {
        minusSign: minusSign,
        plusSign: plusSign,
        decimal: decimal,
        group: group,
        literals: literals,
        numeral: numeral,
        index: index
    };
}
function $6c7bd7858deea686$var$replaceAll(str, find, replace) {
    if (str.replaceAll) return str.replaceAll(find, replace);
    return str.split(find).join(replace);
}
function $6c7bd7858deea686$var$escapeRegex(string) {
    return string.replace(/[.*+?^${}()|[\]\\]/g, "\\$&");
}

function _tagged_template_literal$1o(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1o() {
    var data = _tagged_template_literal$1o([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    width=',
        "\n    height=",
        '\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        '\n  >\n    <path\n      d="M1.985 5.961a.695.695 0 0 1-.7-.704.7.7 0 0 1 .209-.493L3.279 3 1.51 1.251A.7.7 0 0 1 1.3.757.696.696 0 0 1 2.492.255l2.275 2.247a.7.7 0 0 1 0 .996L2.477 5.76a.7.7 0 0 1-.492.201"\n    />\n  </svg>'
    ]);
    _templateObject$1o = function _templateObject() {
        return data;
    };
    return data;
}
var Chevron50Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Chevron50" : tmp2;
    return tag$1(_templateObject$1o(), t, e, r);
};

function _assert_this_initialized$M(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$P(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$O(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$O(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$O(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$O(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$M(o) {
    _get_prototype_of$M = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$M(o);
}
function _inherits$M(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$M(subClass, superClass);
}
function _possible_constructor_return$M(self, call) {
    if (call && (_type_of$M(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$M(self);
}
function _set_prototype_of$M(o, p) {
    _set_prototype_of$M = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$M(o, p);
}
function _type_of$M(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$M() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$M(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$M();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$M(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$M(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$M(this, result);
    };
}
var IconChevron50 = /*#__PURE__*/ function(t) {
    _inherits$M(IconChevron50, t);
    var _super = _create_super$M(IconChevron50);
    function IconChevron50() {
        _class_call_check$P(this, IconChevron50);
        return _super.apply(this, arguments);
    }
    _create_class$O(IconChevron50, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Chevron50Icon();
            }
        }
    ]);
    return IconChevron50;
} 
(IconBase);

defineElement("sp-icon-chevron50", IconChevron50);

function _tagged_template_literal$1n(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1n() {
    var data = _tagged_template_literal$1n([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 10 10"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="m7.482 4.406-.001-.001L3.86.783a.84.84 0 0 0-1.188 1.188L5.702 5l-3.03 3.03A.84.84 0 0 0 3.86 9.216l3.621-3.622h.001a.84.84 0 0 0 0-1.19z"\n    />\n  </svg>'
    ]);
    _templateObject$1n = function _templateObject() {
        return data;
    };
    return data;
}
var Chevron75Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, r = tmp2 === void 0 ? "Chevron75" : tmp2;
    return tag$1(_templateObject$1n(), r, t, e);
};

function _assert_this_initialized$L(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$O(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$N(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$N(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$N(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$N(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$L(o) {
    _get_prototype_of$L = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$L(o);
}
function _inherits$L(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$L(subClass, superClass);
}
function _possible_constructor_return$L(self, call) {
    if (call && (_type_of$L(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$L(self);
}
function _set_prototype_of$L(o, p) {
    _set_prototype_of$L = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$L(o, p);
}
function _type_of$L(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$L() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$L(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$L();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$L(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$L(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$L(this, result);
    };
}
var IconChevron75 = /*#__PURE__*/ function(t) {
    _inherits$L(IconChevron75, t);
    var _super = _create_super$L(IconChevron75);
    function IconChevron75() {
        _class_call_check$O(this, IconChevron75);
        return _super.apply(this, arguments);
    }
    _create_class$N(IconChevron75, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Chevron75Icon();
            }
        }
    ]);
    return IconChevron75;
} 
(IconBase);

defineElement("sp-icon-chevron75", IconChevron75);

function _tagged_template_literal$1m(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1m() {
    var data = _tagged_template_literal$1m([
        "\n    :host{--spectrum-infield-button-height:var(--spectrum-component-height-100);--spectrum-infield-button-width:var(--spectrum-component-height-100);--spectrum-infield-button-stacked-border-radius-reset:var(--spectrum-in-field-button-fill-stacked-inner-border-rounding);--spectrum-infield-button-edge-to-fill:var(--spectrum-in-field-button-edge-to-fill);--spectrum-infield-button-inner-edge-to-fill:var(--spectrum-in-field-button-stacked-inner-edge-to-fill);--spectrum-infield-button-fill-padding:0px;--spectrum-infield-button-stacked-fill-padding-inline:var(--spectrum-in-field-button-edge-to-disclosure-icon-stacked-medium);--spectrum-infield-button-stacked-fill-padding-outer:var(--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-medium);--spectrum-infield-button-stacked-fill-padding-inner:var(--spectrum-in-field-button-inner-edge-to-disclosure-icon-stacked-medium);--spectrum-infield-button-animation-duration:var(--spectrum-animation-duration-100);--spectrum-infield-button-icon-color:var(--spectrum-neutral-content-color-default);--spectrum-infield-button-icon-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-infield-button-icon-color-down:var(--spectrum-neutral-content-color-down);--spectrum-infield-button-icon-color-key-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-infield-button-fill-justify-content:center}:host([disabled]){--mod-infield-button-background-color:var(--mod-infield-button-background-color-disabled,var(--spectrum-disabled-background-color));--mod-infield-button-background-color-hover:var(--mod-infield-button-background-color-hover-disabled,var(--spectrum-disabled-background-color));--mod-infield-button-background-color-down:var(--mod-infield-button-background-color-down-disabled,var(--spectrum-disabled-background-color));--mod-infield-button-border-color:var(--mod-infield-button-border-color-disabled,var(--spectrum-disabled-background-color));--mod-infield-button-icon-color:var(--mod-infield-button-icon-color-disabled,var(--spectrum-disabled-content-color));--mod-infield-button-icon-color-hover:var(--mod-infield-button-icon-color-hover-disabled,var(--spectrum-disabled-content-color));--mod-infield-button-icon-color-down:var(--mod-infield-button-icon-color-down-disabled,var(--spectrum-disabled-content-color));--mod-infield-button-icon-color-key-focus:var(--mod-infield-button-icon-color-key-focus-disabled,var(--spectrum-disabled-content-color))}:host([size=s]){--spectrum-infield-button-height:var(--spectrum-component-height-75);--spectrum-infield-button-width:var(--spectrum-component-height-75);--spectrum-infield-button-stacked-fill-padding-inline:var(--spectrum-in-field-button-edge-to-disclosure-icon-stacked-small);--spectrum-infield-button-stacked-fill-padding-outer:var(--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-small);--spectrum-infield-button-stacked-fill-padding-inner:var(--spectrum-in-field-button-inner-edge-to-disclosure-icon-stacked-small)}:host([size=l]){--spectrum-infield-button-height:var(--spectrum-component-height-200);--spectrum-infield-button-width:var(--spectrum-component-height-200);--spectrum-infield-button-stacked-fill-padding-inline:var(--spectrum-in-field-button-edge-to-disclosure-icon-stacked-large);--spectrum-infield-button-stacked-fill-padding-outer:var(--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-large);--spectrum-infield-button-stacked-fill-padding-inner:var(--spectrum-in-field-button-inner-edge-to-disclosure-icon-stacked-large)}:host([size=xl]){--spectrum-infield-button-height:var(--spectrum-component-height-300);--spectrum-infield-button-width:var(--spectrum-component-height-300);--spectrum-infield-button-stacked-fill-padding-inline:var(--spectrum-in-field-button-edge-to-disclosure-icon-stacked-extra-large);--spectrum-infield-button-stacked-fill-padding-outer:var(--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-extra-large);--spectrum-infield-button-stacked-fill-padding-inner:var(--spectrum-in-field-button-inner-edge-to-disclosure-icon-stacked-extra-large)}:host([block=end]),:host([block=start]){--mod-infield-button-width:var(--mod-infield-button-width-stacked,var(--spectrum-in-field-button-width-stacked-medium))}:host([block=end][size=s]),:host([block=start][size=s]){--mod-infield-button-width:var(--mod-infield-button-width-stacked,var(--spectrum-in-field-button-width-stacked-small))}:host([block=end][size=l]),:host([block=start][size=l]){--mod-infield-button-width:var(--mod-infield-button-width-stacked,var(--spectrum-in-field-button-width-stacked-large))}:host([block=end][size=xl]),:host([block=start][size=xl]){--mod-infield-button-width:var(--mod-infield-button-width-stacked,var(--spectrum-in-field-button-width-stacked-extra-large))}:host([quiet]){--mod-infield-button-background-color:var(--mod-infield-button-background-color-quiet,transparent);--mod-infield-button-background-color-hover:var(--mod-infield-button-background-color-hover-quiet,transparent);--mod-infield-button-background-color-down:var(--mod-infield-button-background-color-down-quiet,transparent);--mod-infield-button-background-color-key-focus:var(--mod-infield-button-background-color-key-focus-quiet,transparent);--mod-infield-border-color:var(--mod-infield-border-color-quiet,transparent);--mod-infield-button-border-width:var(--mod-infield-button-border-width-quiet,0)}:host([quiet][disabled]){--mod-infield-button-background-color:var(--mod-infield-button-background-color-quiet-disabled,transparent);--mod-infield-button-border-color:var(--mod-infield-button-border-color-quiet-disabled,transparent)}@media (forced-colors:active){:host(:is(:active,[active])):not(:disabled),:host(:focus-visible):not(:disabled){--highcontrast-infield-button-border-color:Highlight}@media (hover:hover){:host(:hover):not(:disabled){--highcontrast-infield-button-border-color:Highlight}}}:host{background-color:initial;cursor:pointer;block-size:var(--mod-infield-button-height,var(--spectrum-infield-button-height));inline-size:var(--mod-infield-button-width,var(--spectrum-infield-button-width));padding:var(--mod-infield-button-edge-to-fill,var(--spectrum-infield-button-edge-to-fill));border-style:none;justify-content:center;align-items:center;display:flex}.fill{background-color:var(--mod-infield-button-background-color,var(--spectrum-infield-button-background-color));border-width:var(--mod-infield-button-border-width,var(--spectrum-infield-button-border-width));border-style:solid;border-color:var(--highcontrast-infield-button-border-color,var(--mod-infield-button-border-color,var(--spectrum-infield-button-border-color)));padding:var(--mod-infield-button-fill-padding,var(--spectrum-infield-button-fill-padding));border-start-start-radius:var(--mod-infield-button-border-radius,var(--spectrum-infield-button-border-radius));border-start-end-radius:var(--mod-infield-button-border-radius,var(--spectrum-infield-button-border-radius));border-end-end-radius:var(--mod-infield-button-border-radius,var(--spectrum-infield-button-border-radius));border-end-start-radius:var(--mod-infield-button-border-radius,var(--spectrum-infield-button-border-radius));block-size:100%;inline-size:100%}::slotted(*){color:var(--mod-infield-button-icon-color,var(--spectrum-infield-button-icon-color))}:host([inline=end]) .fill{border-start-start-radius:var(--mod-infield-button-border-radius-reset,var(--spectrum-infield-button-border-radius-reset));border-end-start-radius:var(--mod-infield-button-border-radius-reset,var(--spectrum-infield-button-border-radius-reset))}:host([inline=start]) .fill{border-start-end-radius:var(--mod-infield-button-border-radius-reset,var(--spectrum-infield-button-border-radius-reset));border-end-end-radius:var(--mod-infield-button-border-radius-reset,var(--spectrum-infield-button-border-radius-reset))}:host([disabled]){cursor:auto}@media (hover:hover){:host(:hover) .fill{background-color:var(--mod-infield-button-background-color-hover,var(--spectrum-infield-button-background-color-hover))}:host(:hover) ::slotted(*){color:var(--mod-infield-button-icon-color-hover,var(--spectrum-infield-button-icon-color-hover))}}:host(:is(:active,[active])) .fill{background-color:var(--mod-infield-button-background-color-down,var(--spectrum-infield-button-background-color-down))}:host(:is(:active,[active])) ::slotted(*){color:var(--mod-infield-button-icon-color-down,var(--spectrum-infield-button-icon-color-down))}:host(:focus-visible){outline:none}:host(:focus-visible) .fill{background-color:var(--mod-infield-button-background-color-key-focus,var(--spectrum-infield-button-background-color-key-focus))}:host(:focus-visible) ::slotted(*){color:var(--mod-infield-button-icon-color-key-focus,var(--spectrum-infield-button-icon-color-key-focus))}.fill{align-items:center;justify-content:var(--mod-infield-button-fill-justify-content,var(--spectrum-infield-button-fill-justify-content));transition:border-color var(--spectrum-global-animation-duration-100)ease-in-out;display:flex}:host([block=end]),:host([block=start]){block-size:calc(var(--mod-infield-button-height,var(--spectrum-infield-button-height))/2)}:host([block=end]) .fill,:host([block=start]) .fill{box-sizing:border-box;padding-inline-start:calc(var(--mod-infield-button-stacked-fill-padding-inline,var(--spectrum-infield-button-stacked-fill-padding-inline)) - var(--mod-infield-button-edge-to-fill,var(--spectrum-infield-button-edge-to-fill)) - var(--mod-infield-button-border-width,var(--spectrum-infield-button-border-width)));padding-inline-end:calc(var(--mod-infield-button-stacked-fill-padding-inline,var(--spectrum-infield-button-stacked-fill-padding-inline)) - var(--mod-infield-button-edge-to-fill,var(--spectrum-infield-button-edge-to-fill)) - var(--mod-infield-button-border-width,var(--spectrum-infield-button-border-width)))}:host([block=start]){padding-block-end:var(--mod-infield-button-inner-edge-to-fill,var(--spectrum-infield-button-inner-edge-to-fill))}:host([block=start]) .fill{border-block-end:none;border-start-start-radius:var(--mod-infield-button-stacked-top-border-radius-start-start,var(--spectrum-infield-button-stacked-top-border-radius-start-start));border-end-end-radius:var(--mod-infield-button-stacked-border-radius-reset,var(--spectrum-infield-button-stacked-border-radius-reset));border-end-start-radius:var(--mod-infield-button-stacked-border-radius-reset,var(--spectrum-infield-button-stacked-border-radius-reset));padding-block-start:calc(var(--mod-infield-button-stacked-fill-padding-outer,var(--spectrum-infield-button-stacked-fill-padding-outer)) - var(--mod-infield-button-edge-to-fill,var(--spectrum-infield-button-edge-to-fill)) - var(--mod-infield-button-border-width,var(--spectrum-infield-button-border-width)));padding-block-end:calc(var(--mod-infield-button-stacked-fill-padding-inner,var(--spectrum-infield-button-stacked-fill-padding-inner)) - var(--mod-infield-button-inner-edge-to-fill,var(--spectrum-infield-button-inner-edge-to-fill)))}:host([block=end]){padding-block-start:var(--mod-infield-button-inner-edge-to-fill,var(--spectrum-infield-button-inner-edge-to-fill))}:host([block=end]) .fill{border-block-end-width:var(--mod-infield-button-stacked-bottom-border-block-end-width,var(--mod-infield-button-border-width,var(--spectrum-infield-button-border-width)));border-start-start-radius:var(--mod-infield-button-stacked-border-radius-reset,var(--spectrum-infield-button-stacked-border-radius-reset));border-start-end-radius:var(--mod-infield-button-stacked-border-radius-reset,var(--spectrum-infield-button-stacked-border-radius-reset));border-end-end-radius:var(--mod-infield-button-stacked-bottom-border-radius-end-end,var(--mod-infield-button-border-radius,var(--spectrum-infield-button-border-radius)));border-end-start-radius:var(--mod-infield-button-stacked-bottom-border-radius-end-start,var(--spectrum-infield-button-stacked-bottom-border-radius-end-start));padding-block-start:calc(var(--mod-infield-button-stacked-fill-padding-inner,var(--spectrum-infield-button-stacked-fill-padding-inner)) - var(--mod-infield-button-edge-to-fill,var(--spectrum-infield-button-edge-to-fill)) - var(--mod-infield-button-border-width,var(--spectrum-infield-button-border-width)));padding-block-end:calc(var(--mod-infield-button-stacked-fill-padding-outer,var(--spectrum-infield-button-stacked-fill-padding-outer)) - var(--mod-infield-button-inner-edge-to-fill,var(--spectrum-infield-button-inner-edge-to-fill)) - var(--mod-infield-button-border-width,var(--spectrum-infield-button-border-width)))}::slotted(*){display:initial;flex-shrink:0;margin:0!important}:host{--spectrum-infield-button-border-width:var(--system-spectrum-infieldbutton-spectrum-infield-button-border-width);--spectrum-infield-button-border-color:var(--system-spectrum-infieldbutton-spectrum-infield-button-border-color);--spectrum-infield-button-border-radius:var(--system-spectrum-infieldbutton-spectrum-infield-button-border-radius);--spectrum-infield-button-border-radius-reset:var(--system-spectrum-infieldbutton-spectrum-infield-button-border-radius-reset);--spectrum-infield-button-stacked-top-border-radius-start-start:var(--system-spectrum-infieldbutton-spectrum-infield-button-stacked-top-border-radius-start-start);--spectrum-infield-button-stacked-bottom-border-radius-end-start:var(--system-spectrum-infieldbutton-spectrum-infield-button-stacked-bottom-border-radius-end-start);--spectrum-infield-button-background-color:var(--system-spectrum-infieldbutton-spectrum-infield-button-background-color);--spectrum-infield-button-background-color-hover:var(--system-spectrum-infieldbutton-spectrum-infield-button-background-color-hover);--spectrum-infield-button-background-color-down:var(--system-spectrum-infieldbutton-spectrum-infield-button-background-color-down);--spectrum-infield-button-background-color-key-focus:var(--system-spectrum-infieldbutton-spectrum-infield-button-background-color-key-focus)}:host{box-sizing:border-box;user-select:none}\n"
    ]);
    _templateObject$1m = function _templateObject() {
        return data;
    };
    return data;
}
var e$m = i$p(_templateObject$1m());
var y$8 = e$m;

function _array_like_to_array$e(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$b(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$e(arr);
}
function _assert_this_initialized$K(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$N(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$M(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$M(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$M(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$M(Constructor, staticProps);
    return Constructor;
}
function _get$s(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$s = Reflect.get;
    } else {
        _get$s = function get(target, property, receiver) {
            var base = _super_prop_base$s(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$s(target, property, receiver || target);
}
function _get_prototype_of$K(o) {
    _get_prototype_of$K = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$K(o);
}
function _inherits$K(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$K(subClass, superClass);
}
function _iterable_to_array$b(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$b() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$K(self, call) {
    if (call && (_type_of$K(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$K(self);
}
function _set_prototype_of$K(o, p) {
    _set_prototype_of$K = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$K(o, p);
}
function _super_prop_base$s(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$K(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1l(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$b(arr) {
    return _array_without_holes$b(arr) || _iterable_to_array$b(arr) || _unsupported_iterable_to_array$e(arr) || _non_iterable_spread$b();
}
function _type_of$K(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$e(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$e(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$e(o, minLen);
}
function _is_native_reflect_construct$K() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$K(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$K();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$K(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$K(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$K(this, result);
    };
}
function _templateObject$1l() {
    var data = _tagged_template_literal$1l([
        '\n            <div class="fill">\n                <slot></slot>\n            </div>\n        '
    ]);
    _templateObject$1l = function _templateObject() {
        return data;
    };
    return data;
}
var u$h = Object.defineProperty;
var p$g = Object.getOwnPropertyDescriptor;
var o$g = function(l, e, r, s) {
    for(var t = s > 1 ? void 0 : s ? p$g(e, r) : e, i = l.length - 1, n; i >= 0; i--)(n = l[i]) && (t = (s ? n(e, r, t) : n(t)) || t);
    return s && t && u$h(e, r, t), t;
};
var InfieldButton = /*#__PURE__*/ function(_c) {
    _inherits$K(InfieldButton, _c);
    var _super = _create_super$K(InfieldButton);
    function InfieldButton() {
        _class_call_check$N(this, InfieldButton);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.quiet = !1;
        return _this;
    }
    _create_class$M(InfieldButton, [
        {
            key: "buttonContent",
            get: function get() {
                return [
                    x$3(_templateObject$1l())
                ];
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$b(_get$s(_get_prototype_of$K(InfieldButton), "styles", this)).concat([
                    y$8
                ]);
            }
        }
    ]);
    return InfieldButton;
}(SizedMixin(ButtonBase, {
    noDefaultSize: !0,
    validSizes: [
        "s",
        "m",
        "l",
        "xl"
    ]
}));
o$g([
    n$r()
], InfieldButton.prototype, "block", 2), o$g([
    n$r()
], InfieldButton.prototype, "inline", 2), o$g([
    n$r({
        type: Boolean,
        reflect: !0
    })
], InfieldButton.prototype, "quiet", 2);

customElements.define("sp-infield-button", InfieldButton);

function _tagged_template_literal$1k(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1k() {
    var data = _tagged_template_literal$1k([
        '\n    :host{--spectrum-stepper-height:var(--spectrum-component-height-100);--spectrum-stepper-border-radius:var(--spectrum-corner-radius-100);--spectrum-stepper-button-width:var(--spectrum-in-field-button-width-stacked-medium);--spectrum-stepper-button-padding:var(--spectrum-in-field-button-edge-to-fill);--spectrum-stepper-width:calc(var(--mod-stepper-height,var(--spectrum-stepper-height))*var(--mod-stepper-min-width-multiplier,var(--spectrum-text-field-minimum-width-multiplier)) + var(--mod-stepper-button-width,var(--spectrum-stepper-button-width)) + var(--mod-stepper-border-width,var(--spectrum-stepper-border-width))*2);--spectrum-stepper-focus-indicator-width:var(--spectrum-focus-indicator-thickness);--spectrum-stepper-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-stepper-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-stepper-button-offset:calc(var(--spectrum-stepper-button-width)/2);--spectrum-stepper-animation-duration:var(--spectrum-animation-duration-100);--mod-infield-button-border-color:var(--highcontrast-stepper-border-color,var(--mod-stepper-buttons-border-color,var(--spectrum-stepper-buttons-border-color)));--mod-infield-button-border-width:var(--mod-stepper-button-border-width,var(--spectrum-stepper-button-border-width));--mod-textfield-border-width:var(--mod-stepper-border-width,var(--spectrum-stepper-border-width))}:host([size=s]) #textfield{--spectrum-stepper-button-width:var(--spectrum-in-field-button-width-stacked-small);--spectrum-stepper-height:var(--spectrum-component-height-75)}:host([size=l]) #textfield{--spectrum-stepper-button-width:var(--spectrum-in-field-button-width-stacked-large);--spectrum-stepper-height:var(--spectrum-component-height-200)}:host([size=xl]) #textfield{--spectrum-stepper-button-width:var(--spectrum-in-field-button-width-stacked-extra-large);--spectrum-stepper-height:var(--spectrum-component-height-300)}:host([quiet]) #textfield{--mod-infield-button-width-stacked:var(--mod-stepper-button-width-quiet,var(--spectrum-stepper-button-width));--mod-textfield-focus-indicator-color:transparent}:host([disabled]) #textfield{--mod-infield-button-border-color-quiet-disabled:var(--spectrum-disabled-border-color)}:host([invalid]) #textfield{--mod-stepper-border-color:var(--mod-stepper-border-color-invalid,var(--spectrum-negative-border-color-default));--mod-stepper-border-color-hover:var(--mod-stepper-border-color-hover-invalid,var(--spectrum-negative-border-color-hover));--mod-stepper-border-color-focus:var(--mod-stepper-border-color-focus-invalid,var(--spectrum-negative-border-color-focus));--mod-stepper-border-color-focus-hover:var(--mod-stepper-border-color-focus-hover-invalid,var(--spectrum-negative-border-color-focus-hover));--mod-stepper-border-color-keyboard-focus:var(--mod-stepper-border-color-keyboard-focus-invalid,var(--spectrum-negative-border-color-key-focus));--mod-infield-button-border-color:var(--mod-stepper-border-color-invalid,var(--spectrum-stepper-border-color-invalid));--mod-textfield-icon-spacing-inline-start-invalid:0}:host([invalid][focused]) #textfield,:host([invalid]) #textfield:focus{--mod-infield-button-border-color:var(--mod-stepper-border-color-focus-invalid,var(--spectrum-stepper-border-color-focus-invalid))}:host([invalid][keyboard-focused]) #textfield,:host([invalid]) #textfield:focus-visible{--mod-infield-button-border-color:var(--mod-stepper-border-color-keyboard-focus-invalid,var(--spectrum-stepper-border-color-keyboard-focus-invalid))}.x{border-radius:var(--spectrum-stepper-button-border-radius-reset)}#textfield{inline-size:var(--mod-stepper-width,var(--spectrum-stepper-width));block-size:var(--mod-stepper-height,var(--spectrum-stepper-height));border-radius:var(--mod-stepper-border-radius,var(--spectrum-stepper-border-radius));flex-flow:row;display:inline-flex;position:relative}#textfield,#textfield .input{border-color:var(--highcontrast-stepper-border-color,var(--mod-stepper-border-color,var(--spectrum-stepper-border-color)))}#textfield .input{border-inline-end-width:0;border-start-end-radius:0;border-end-end-radius:0}:host([focused]) #textfield,#textfield:focus{--mod-infield-button-border-color:var(--highcontrast-stepper-border-color-focus,var(--mod-stepper-buttons-border-color-focus,var(--spectrum-stepper-buttons-border-color-focus)))}:host([focused]) #textfield .input,#textfield:focus .input{outline:none}:host([focused]) #textfield .buttons,:host([focused]) #textfield .input,#textfield:focus .buttons,#textfield:focus .input{border-color:var(--highcontrast-stepper-border-color-focus,var(--mod-stepper-border-color-focus,var(--spectrum-stepper-border-color-focus)))}:host([keyboard-focused]) #textfield,#textfield:focus-visible{--mod-infield-button-border-color:var(--highcontrast-stepper-border-color-keyboard-focus,var(--mod-stepper-buttons-border-color-keyboard-focus,var(--spectrum-stepper-buttons-border-color-keyboard-focus)));outline:var(--mod-stepper-focus-indicator-width,var(--spectrum-stepper-focus-indicator-width))solid;outline-color:var(--highcontrast-stepper-focus-indicator-color,var(--mod-stepper-focus-indicator-color,var(--spectrum-stepper-focus-indicator-color)));outline-offset:var(--mod-stepper-focus-indicator-gap,var(--spectrum-stepper-focus-indicator-gap))}:host([keyboard-focused]) #textfield .input,#textfield:focus-visible .input{outline:none}:host([keyboard-focused]) #textfield .buttons,:host([keyboard-focused]) #textfield .input,#textfield:focus-visible .buttons,#textfield:focus-visible .input{border-color:var(--highcontrast-stepper-border-color-keyboard-focus,var(--mod-stepper-border-color-keyboard-focus,var(--spectrum-stepper-border-color-keyboard-focus)))}:host([quiet]) #textfield{--mod-infield-button-border-color:var(--highcontrast-stepper-border-color,var(--mod-stepper-border-color,var(--spectrum-stepper-border-color)));border-start-start-radius:0;border-start-end-radius:0;border-end-end-radius:0;border-end-start-radius:0}:host([quiet]) #textfield.hide-stepper .input{border-inline-end-width:0;border-end-end-radius:0}:host([quiet]) #textfield:after{content:"";block-size:var(--mod-stepper-focus-indicator-width,var(--spectrum-stepper-focus-indicator-width));inline-size:100%;position:absolute;inset-block-end:calc(( var(--mod-stepper-focus-indicator-gap,var(--spectrum-stepper-focus-indicator-gap)) + var(--mod-stepper-focus-indicator-width,var(--spectrum-stepper-focus-indicator-width)))*-1);inset-inline-start:0}:host([quiet]) #textfield .buttons{border:none}:host([quiet]) #textfield .button{--mod-infield-button-border-block-end-width:var(--mod-stepper-border-width,var(--spectrum-stepper-border-width));--mod-infield-button-stacked-bottom-border-block-end-width:var(--mod-stepper-border-width,var(--spectrum-stepper-border-width));--mod-infield-button-stacked-bottom-border-radius-end-end:0;--mod-infield-button-stacked-bottom-border-radius-end-start:0;--mod-infield-button-fill-justify-content:flex-end;padding:0}:host([quiet]) #textfield .buttons,:host([quiet]) #textfield .input{background-color:initial}:host([quiet][focused]) #textfield,:host([quiet]) #textfield:focus{--mod-infield-button-border-color:var(--highcontrast-stepper-border-color-focus,var(--mod-stepper-border-color-focus,var(--spectrum-stepper-border-color-focus)))}:host([quiet][keyboard-focused]) #textfield{--mod-infield-button-border-color:var(--highcontrast-stepper-border-color-keyboard-focus,var(--mod-stepper-border-color-keyboard-focus,var(--spectrum-stepper-border-color-keyboard-focus)));outline:none}:host([quiet][keyboard-focused]) #textfield:after{background-color:var(--highcontrast-stepper-focus-indicator-color,var(--mod-stepper-focus-indicator-color,var(--spectrum-stepper-focus-indicator-color)))}@media (hover:hover){:host([invalid]:hover) #textfield{--mod-infield-button-border-color:var(--mod-stepper-border-color-hover-invalid,var(--spectrum-negative-border-color-hover))}:host([invalid][focused]:hover) #textfield,:host([invalid]:hover) #textfield:focus{--mod-infield-button-border-color:var(--mod-stepper-border-color-focus-hover-invalid,var(--spectrum-stepper-border-color-focus-hover-invalid))}:host(:hover:not([disabled]):not([invalid])) #textfield{--mod-infield-button-border-color:var(--highcontrast-stepper-border-color-hover,var(--mod-stepper-buttons-border-color-hover,var(--spectrum-stepper-buttons-border-color-hover)))}:host(:hover:not([disabled])) #textfield .buttons,:host(:hover:not([disabled])) #textfield .input{border-color:var(--highcontrast-stepper-border-color-hover,var(--mod-stepper-border-color-hover,var(--spectrum-stepper-border-color-hover)))}:host([focused]:hover) #textfield,:host(:hover) #textfield:focus{--mod-infield-button-border-color:var(--highcontrast-stepper-border-color-focus-hover,var(--mod-stepper-buttons-border-color-focus-hover,var(--spectrum-stepper-buttons-border-color-focus-hover)))}:host([focused]:hover) #textfield .buttons,:host([focused]:hover) #textfield .input,:host(:hover) #textfield:focus .buttons,:host(:hover) #textfield:focus .input{border-color:var(--highcontrast-stepper-border-color-focus-hover,var(--mod-stepper-border-color-focus-hover,var(--spectrum-stepper-border-color-focus-hover)))}:host([quiet]:hover:not([disabled])) #textfield{--mod-infield-button-border-color:var(--highcontrast-stepper-border-color-hover,var(--mod-stepper-border-color-hover,var(--spectrum-stepper-border-color-hover)))}:host([quiet]:hover:not([disabled])) #textfield .buttons{background-color:initial}:host([quiet][focused]:hover) #textfield,:host([quiet]:hover) #textfield:focus{--mod-infield-button-border-color:var(--highcontrast-stepper-border-color-focus-hover,var(--mod-stepper-border-color-focus-hover,var(--spectrum-stepper-border-color-focus-hover)))}:host([quiet][keyboard-focused]:hover) #textfield{--mod-infield-button-border-color:var(--highcontrast-stepper-border-color-hover,var(--mod-stepper-border-color-hover,var(--spectrum-stepper-border-color-hover)))}}#textfield:before{content:""}.buttons{box-sizing:border-box;block-size:var(--mod-stepper-height,var(--spectrum-stepper-height));inline-size:var(--mod-stepper-button-width,var(--spectrum-stepper-button-width));border-color:var(--highcontrast-stepper-border-color,var(--mod-stepper-border-color,var(--spectrum-stepper-border-color)));border-style:var(--mod-stepper-buttons-border-style,var(--spectrum-stepper-buttons-border-style));border-width:var(--highcontrast-stepper-buttons-border-width,var(--mod-stepper-buttons-border-width,var(--spectrum-stepper-buttons-border-width)));background-color:var(--highcontrast-stepper-buttons-background-color,var(--mod-stepper-buttons-background-color,var(--spectrum-stepper-buttons-background-color)));transition:border-color var(--mod-stepper-animation-duration,var(--spectrum-stepper-animation-duration))ease-in-out;border-inline-start-width:0;flex-direction:column;justify-content:center;display:flex}.buttons,#textfield.hide-stepper .input{border-start-end-radius:var(--mod-stepper-border-radius,var(--spectrum-stepper-border-radius));border-end-end-radius:var(--mod-stepper-border-radius,var(--spectrum-stepper-border-radius))}#textfield.hide-stepper .input{border-inline-end-width:var(--mod-stepper-border-width,var(--spectrum-stepper-border-width))}@media (forced-colors:active){:host{--highcontrast-stepper-border-color:CanvasText;--highcontrast-stepper-border-color-hover:Highlight;--highcontrast-stepper-border-color-focus:Highlight;--highcontrast-stepper-border-color-focus-hover:Highlight;--highcontrast-stepper-border-color-keyboard-focus:CanvasText;--highcontrast-stepper-button-background-color-default:Canvas;--highcontrast-stepper-button-background-color-hover:Canvas;--highcontrast-stepper-button-background-color-focus:Canvas;--highcontrast-stepper-button-background-color-keyboard-focus:Canvas;--highcontrast-stepper-focus-indicator-color:Highlight}:host([disabled]) #textfield{--highcontrast-stepper-border-color:GrayText;--highcontrast-stepper-buttons-border-width:var(--mod-stepper-border-width,var(--spectrum-stepper-border-width))}:host([invalid]) #textfield{--highcontrast-stepper-border-color:Highlight;--highcontrast-stepper-border-color-hover:Highlight;--highcontrast-stepper-border-color-focus:Highlight;--highcontrast-stepper-border-color-focus-hover:Highlight;--highcontrast-stepper-border-color-keyboard-focus:Highlight}}:host{--spectrum-stepper-border-width:var(--system-spectrum-stepper-border-width);--spectrum-stepper-buttons-border-style:var(--system-spectrum-stepper-buttons-border-style);--spectrum-stepper-buttons-border-width:var(--system-spectrum-stepper-buttons-border-width);--spectrum-stepper-buttons-border-color:var(--system-spectrum-stepper-buttons-border-color);--spectrum-stepper-buttons-background-color:var(--system-spectrum-stepper-buttons-background-color);--spectrum-stepper-buttons-border-color-hover:var(--system-spectrum-stepper-buttons-border-color-hover);--spectrum-stepper-buttons-border-color-focus:var(--system-spectrum-stepper-buttons-border-color-focus);--spectrum-stepper-buttons-border-color-keyboard-focus:var(--system-spectrum-stepper-buttons-border-color-keyboard-focus);--spectrum-stepper-button-border-radius-reset:var(--system-spectrum-stepper-button-border-radius-reset);--spectrum-stepper-button-border-width:var(--system-spectrum-stepper-button-border-width);--spectrum-stepper-border-color:var(--system-spectrum-stepper-border-color);--spectrum-stepper-border-color-hover:var(--system-spectrum-stepper-border-color-hover);--spectrum-stepper-border-color-focus:var(--system-spectrum-stepper-border-color-focus);--spectrum-stepper-border-color-focus-hover:var(--system-spectrum-stepper-border-color-focus-hover);--spectrum-stepper-border-color-keyboard-focus:var(--system-spectrum-stepper-border-color-keyboard-focus);--spectrum-stepper-border-color-invalid:var(--system-spectrum-stepper-border-color-invalid);--spectrum-stepper-border-color-focus-invalid:var(--system-spectrum-stepper-border-color-focus-invalid);--spectrum-stepper-border-color-focus-hover-invalid:var(--system-spectrum-stepper-border-color-focus-hover-invalid);--spectrum-stepper-border-color-keyboard-focus-invalid:var(--system-spectrum-stepper-border-color-keyboard-focus-invalid);--spectrum-stepper-button-background-color-focus:var(--system-spectrum-stepper-button-background-color-focus);--spectrum-stepper-button-background-color-keyboard-focus:var(--system-spectrum-stepper-button-background-color-keyboard-focus)}:host([disabled]) #textfield{--spectrum-stepper-buttons-background-color:var(--system-spectrum-stepper-disabled-buttons-background-color);--spectrum-stepper-buttons-border-width:var(--system-spectrum-stepper-disabled-buttons-border-width)}:host{inline-size:var(--mod-stepper-width,var(--spectrum-stepper-width));--swc-number-field-width:calc(var(--mod-stepper-height,var(--spectrum-stepper-height))*var(--mod-stepper-min-width-multiplier,var(--spectrum-text-field-minimum-width-multiplier)) + var(--mod-stepper-button-width,var(--spectrum-stepper-button-width)) + var(--mod-stepper-border-width,var(--spectrum-stepper-border-width))*2);--mod-infield-button-border-width:var(--unset-value-resets-inheritance)}:host([size=s]){--spectrum-stepper-width:calc(var(--swc-number-field-width)/5*4)}:host([size=l]){--spectrum-stepper-width:calc(var(--swc-number-field-width)*1.25)}:host([size=xl]){--spectrum-stepper-width:calc(var(--swc-number-field-width)*1.25*1.25)}#textfield{inline-size:100%}.input{font-variant-numeric:tabular-nums}:host([readonly]) .buttons{pointer-events:none;visibility:hidden}:host([readonly]:not([disabled],[invalid],[focused],[keyboard-focused])) #textfield:hover .input{border-color:#0000}:host([hide-stepper]:not([quiet])) #textfield input{border:var(--spectrum-textfield-border-width)solid var(--spectrum-textfield-border-color);border-radius:var(--spectrum-textfield-corner-radius)}\n'
    ]);
    _templateObject$1k = function _templateObject() {
        return data;
    };
    return data;
}
var e$l = i$p(_templateObject$1k());
var N = e$l;

function _array_like_to_array$d(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$a(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$d(arr);
}
function _assert_this_initialized$J(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$M(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$L(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$L(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$L(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$L(Constructor, staticProps);
    return Constructor;
}
function _get$r(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$r = Reflect.get;
    } else {
        _get$r = function get(target, property, receiver) {
            var base = _super_prop_base$r(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$r(target, property, receiver || target);
}
function _get_prototype_of$J(o) {
    _get_prototype_of$J = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$J(o);
}
function _inherits$J(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$J(subClass, superClass);
}
function _iterable_to_array$a(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$a() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _object_without_properties$1(source, excluded) {
    if (source == null) return {};
    var target = _object_without_properties_loose$1(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceSymbolKeys.length; i++){
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose$1(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}
function _possible_constructor_return$J(self, call) {
    if (call && (_type_of$J(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$J(self);
}
function _set_prototype_of$J(o, p) {
    _set_prototype_of$J = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$J(o, p);
}
function _super_prop_base$r(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$J(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1j(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$a(arr) {
    return _array_without_holes$a(arr) || _iterable_to_array$a(arr) || _unsupported_iterable_to_array$d(arr) || _non_iterable_spread$a();
}
function _type_of$J(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$d(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$d(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$d(o, minLen);
}
function _is_native_reflect_construct$J() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$J(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$J();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$J(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$J(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$J(this, result);
    };
}
function _templateObject$1j() {
    var data = _tagged_template_literal$1j([
        '\n        <sp-icon-chevron50\n            class="stepper-icon spectrum-UIIcon-Chevron',
        '50"\n        ></sp-icon-chevron50>\n    '
    ]);
    _templateObject$1j = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$h() {
    var data = _tagged_template_literal$1j([
        '\n        <sp-icon-chevron75\n            class="stepper-icon spectrum-UIIcon-Chevron',
        '75"\n        ></sp-icon-chevron75>\n    '
    ]);
    _templateObject1$h = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$9() {
    var data = _tagged_template_literal$1j([
        '\n        <sp-icon-chevron100\n            class="stepper-icon spectrum-UIIcon-Chevron',
        '100"\n        ></sp-icon-chevron100>\n    '
    ]);
    _templateObject2$9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$7() {
    var data = _tagged_template_literal$1j([
        '\n        <sp-icon-chevron200\n            class="stepper-icon spectrum-UIIcon-Chevron',
        '200"\n        ></sp-icon-chevron200>\n    '
    ]);
    _templateObject3$7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$7() {
    var data = _tagged_template_literal$1j([
        '\n                      <span\n                          class="buttons"\n                          @focusin=',
        "\n                          @focusout=",
        "\n                          ",
        '\n                      >\n                          <sp-infield-button\n                              inline="end"\n                              block="start"\n                              class="button step-up"\n                              aria-describedby=',
        "\n                              label=",
        "\n                              size=",
        '\n                              tabindex="-1"\n                              ?focused=',
        "\n                              ?disabled=",
        "\n                              ?quiet=",
        "\n                          >\n                              ",
        '\n                          </sp-infield-button>\n                          <sp-infield-button\n                              inline="end"\n                              block="end"\n                              class="button step-down"\n                              aria-describedby=',
        "\n                              label=",
        "\n                              size=",
        '\n                              tabindex="-1"\n                              ?focused=',
        "\n                              ?disabled=",
        "\n                              ?quiet=",
        "\n                          >\n                              ",
        "\n                          </sp-infield-button>\n                      </span>\n                  "
    ]);
    _templateObject4$7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$5() {
    var data = _tagged_template_literal$1j([
        "\n            ",
        "\n            ",
        "\n        "
    ]);
    _templateObject5$5 = function _templateObject() {
        return data;
    };
    return data;
}
var g$6 = Object.defineProperty;
var y$7 = Object.getOwnPropertyDescriptor;
var n$7 = function(a, l, e, t) {
    for(var i = t > 1 ? void 0 : t ? y$7(l, e) : l, s = a.length - 1, r; s >= 0; s--)(r = a[s]) && (i = (t ? r(l, e, i) : r(i)) || i);
    return t && i && g$6(l, e, i), i;
};
var FRAMES_PER_CHANGE = 5, CHANGE_DEBOUNCE_MS = 100, indeterminatePlaceholder = "-", remapMultiByteCharacters = {
    "１": "1",
    "２": "2",
    "３": "3",
    "４": "4",
    "５": "5",
    "６": "6",
    "７": "7",
    "８": "8",
    "９": "9",
    "０": "0",
    "、": ",",
    "，": ",",
    "。": ".",
    "．": ".",
    "％": "%",
    "＋": "+",
    ー: "-"
};
var b$6 = {
    s: function(a) {
        return x$3(_templateObject$1j(), a);
    },
    m: function(a) {
        return x$3(_templateObject1$h(), a);
    },
    l: function(a) {
        return x$3(_templateObject2$9(), a);
    },
    xl: function(a) {
        return x$3(_templateObject3$7(), a);
    }
};
var NumberField = /*#__PURE__*/ function(w) {
    _inherits$J(NumberField, w);
    var _super = _create_super$J(NumberField);
    function NumberField() {
        _class_call_check$M(this, NumberField);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.focused = !1;
        _this._forcedUnit = "";
        _this.formatOptions = {};
        _this.hideStepper = !1;
        _this.indeterminate = !1;
        _this.keyboardFocused = !1;
        _this.managedInput = !1;
        _this.stepModifier = 10;
        _this._value = NaN;
        _this._trackingValue = "";
        _this.changeCount = 0;
        _this.languageResolver = new LanguageResolutionController(_assert_this_initialized$J(_this));
        _this.wasIndeterminate = !1;
        _this.hasRecentlyReceivedPointerDown = !1;
        _this.applyFocusElementLabel = function(e) {
            _this.appliedLabel = e;
        };
        _this.isComposing = !1;
        return _this;
    }
    _create_class$L(NumberField, [
        {
            key: "value",
            get: function get() {
                return this._value;
            },
            set: function set(e) {
                var t = this.validateInput(e);
                if (t === this.value) return;
                this.lastCommitedValue = t;
                var i = this._value;
                this._value = t, this.requestUpdate("value", i);
            }
        },
        {
            key: "inputValue",
            get: function get() {
                return this.indeterminate ? this.formattedValue : this.inputElement.value;
            }
        },
        {
            key: "setValue",
            value: function setValue() {
                var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : this.value;
                this.value = e, !(typeof this.lastCommitedValue == "undefined" || this.lastCommitedValue === this.value) && (this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0
                })), this.lastCommitedValue = this.value);
            }
        },
        {
            key: "valueAsString",
            get: function get() {
                return this._value.toString();
            },
            set: function set(e) {
                this.value = this.numberParser.parse(e);
            }
        },
        {
            key: "formattedValue",
            get: function get() {
                return isNaN(this.value) ? "" : this.numberFormatter.format(this.value) + (this.focused ? "" : this._forcedUnit);
            }
        },
        {
            key: "convertValueToNumber",
            value: function convertValueToNumber(e) {
                var t;
                if (isIPhone() && this.inputElement.inputMode === "decimal") {
                    var i = this.numberFormatter.formatToParts(1000.1), s = e.split("").find(function(u) {
                        return u === "," || u === ".";
                    }), r = (t = i.find(function(u) {
                        return u.type === "decimal";
                    })) == null ? void 0 : t.value;
                    s && r && (e = e.replace(s, r));
                }
                return this.numberParser.parse(e);
            }
        },
        {
            key: "_step",
            get: function get() {
                var e;
                return typeof this.step != "undefined" ? this.step : ((e = this.formatOptions) == null ? void 0 : e.style) === "percent" ? .01 : 1;
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown(e) {
                var _this = this;
                if (e.button !== 0) {
                    e.preventDefault();
                    return;
                }
                this.managedInput = !0, this.buttons.setPointerCapture(e.pointerId);
                var t = this.buttons.children[0].getBoundingClientRect(), i = this.buttons.children[1].getBoundingClientRect();
                this.findChange = function(s) {
                    s.clientX >= t.x && s.clientY >= t.y && s.clientX <= t.x + t.width && s.clientY <= t.y + t.height ? _this.change = function(r) {
                        return _this.increment(r.shiftKey ? _this.stepModifier : 1);
                    } : s.clientX >= i.x && s.clientY >= i.y && s.clientX <= i.x + i.width && s.clientY <= i.y + i.height && (_this.change = function(r) {
                        return _this.decrement(r.shiftKey ? _this.stepModifier : 1);
                    });
                }, this.findChange(e), this.startChange(e);
            }
        },
        {
            key: "startChange",
            value: function startChange(e) {
                var _this = this;
                this.changeCount = 0, this.doChange(e), this.safty = setTimeout(function() {
                    _this.doNextChange(e);
                }, 400);
            }
        },
        {
            key: "doChange",
            value: function doChange(e) {
                this.change(e);
            }
        },
        {
            key: "handlePointermove",
            value: function handlePointermove(e) {
                this.findChange(e);
            }
        },
        {
            key: "handlePointerup",
            value: function handlePointerup(e) {
                this.buttons.releasePointerCapture(e.pointerId), cancelAnimationFrame(this.nextChange), clearTimeout(this.safty), this.managedInput = !1, this.setValue();
            }
        },
        {
            key: "doNextChange",
            value: function doNextChange(e) {
                var _this = this;
                return this.changeCount += 1, this.changeCount % FRAMES_PER_CHANGE === 0 && this.doChange(e), requestAnimationFrame(function() {
                    _this.nextChange = _this.doNextChange(e);
                });
            }
        },
        {
            key: "stepBy",
            value: function stepBy(e) {
                if (this.disabled || this.readonly) return;
                var t = typeof this.min != "undefined" ? this.min : 0;
                var i = this.value;
                i += e * this._step, isNaN(this.value) && (i = t), i = this.valueWithLimits(i), this.requestUpdate(), this._value = this.validateInput(i), this.inputElement.value = this.numberFormatter.format(i), this.inputElement.dispatchEvent(new Event("input", {
                    bubbles: !0,
                    composed: !0
                })), this.indeterminate = !1, this.focus();
            }
        },
        {
            key: "increment",
            value: function increment() {
                var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 1;
                this.stepBy(1 * e);
            }
        },
        {
            key: "decrement",
            value: function decrement() {
                var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 1;
                this.stepBy(-1 * e);
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                if (!this.isComposing) switch(e.code){
                    case "ArrowUp":
                        e.preventDefault(), this.increment(e.shiftKey ? this.stepModifier : 1), this.setValue();
                        break;
                    case "ArrowDown":
                        e.preventDefault(), this.decrement(e.shiftKey ? this.stepModifier : 1), this.setValue();
                        break;
                }
            }
        },
        {
            key: "onScroll",
            value: function onScroll(e) {
                var _this = this;
                e.preventDefault(), this.managedInput = !0;
                var t = e.shiftKey ? e.deltaX / Math.abs(e.deltaX) : e.deltaY / Math.abs(e.deltaY);
                t !== 0 && !isNaN(t) && (this.stepBy(t * (e.shiftKey ? this.stepModifier : 1)), clearTimeout(this.queuedChangeEvent), this.queuedChangeEvent = setTimeout(function() {
                    _this.setValue();
                }, CHANGE_DEBOUNCE_MS)), this.managedInput = !1;
            }
        },
        {
            key: "onFocus",
            value: function onFocus() {
                _get$r(_get_prototype_of$J(NumberField.prototype), "onFocus", this).call(this), this._trackingValue = this.inputValue, this.keyboardFocused = !this.readonly && !0, this.addEventListener("wheel", this.onScroll, {
                    passive: !1
                });
            }
        },
        {
            key: "onBlur",
            value: function onBlur(e) {
                _get$r(_get_prototype_of$J(NumberField.prototype), "onBlur", this).call(this, e), this.keyboardFocused = !this.readonly && !1, this.removeEventListener("wheel", this.onScroll);
            }
        },
        {
            key: "handleFocusin",
            value: function handleFocusin() {
                this.focused = !this.readonly && !0, this.keyboardFocused = !this.readonly && !0;
            }
        },
        {
            key: "handleFocusout",
            value: function handleFocusout() {
                this.focused = !this.readonly && !1, this.keyboardFocused = !this.readonly && !1;
            }
        },
        {
            key: "handleChange",
            value: function handleChange() {
                var e = this.convertValueToNumber(this.inputValue);
                if (this.wasIndeterminate && (this.wasIndeterminate = !1, this.indeterminateValue = void 0, isNaN(e))) {
                    this.indeterminate = !0;
                    return;
                }
                this.setValue(e), this.inputElement.value = this.formattedValue;
            }
        },
        {
            key: "handleCompositionStart",
            value: function handleCompositionStart() {
                this.isComposing = !0;
            }
        },
        {
            key: "handleCompositionEnd",
            value: function handleCompositionEnd() {
                var _this = this;
                this.isComposing = !1, requestAnimationFrame(function() {
                    _this.inputElement.dispatchEvent(new Event("input", {
                        composed: !0,
                        bubbles: !0
                    }));
                });
            }
        },
        {
            key: "handleInputElementPointerdown",
            value: function handleInputElementPointerdown() {
                var _this = this;
                this.hasRecentlyReceivedPointerDown = !0, this.updateComplete.then(function() {
                    requestAnimationFrame(function() {
                        _this.hasRecentlyReceivedPointerDown = !1;
                    });
                });
            }
        },
        {
            key: "handleInput",
            value: function handleInput(e) {
                var c;
                if (this.isComposing) {
                    e.stopPropagation();
                    return;
                }
                this.indeterminate && (this.wasIndeterminate = !0, this.indeterminateValue = this.value, this.inputElement.value = this.inputElement.value.replace(indeterminatePlaceholder, ""));
                var _this_inputElement = this.inputElement, t = _this_inputElement.value, i = _this_inputElement.selectionStart, s = t.split("").map(function(d) {
                    return remapMultiByteCharacters[d] || d;
                }).join("");
                if (this.numberParser.isValidPartialNumber(s)) {
                    this.lastCommitedValue = (c = this.lastCommitedValue) != null ? c : this.value;
                    var d = this.convertValueToNumber(s);
                    !s && this.indeterminateValue ? (this.indeterminate = !0, this._value = this.indeterminateValue) : (this.indeterminate = !1, this._value = this.validateInput(d)), this._trackingValue = s, this.inputElement.value = s, this.inputElement.setSelectionRange(i, i);
                    return;
                } else this.inputElement.value = this.indeterminate ? indeterminatePlaceholder : this._trackingValue;
                var r = s.length, u = this._trackingValue.length, m = (i || r) - (r - u);
                this.inputElement.setSelectionRange(m, m);
            }
        },
        {
            key: "valueWithLimits",
            value: function valueWithLimits(e) {
                var t = e;
                return typeof this.min != "undefined" && (t = Math.max(this.min, t)), typeof this.max != "undefined" && (t = Math.min(this.max, t)), t;
            }
        },
        {
            key: "validateInput",
            value: function validateInput(e) {
                e = this.valueWithLimits(e);
                var t = e < 0 ? -1 : 1;
                if (e *= t, this.step) {
                    var i = typeof this.min != "undefined" ? this.min : 0, s = parseFloat(this.valueFormatter.format((e - i) % this.step));
                    if (s === 0 || (Math.round(s / this.step) === 1 ? e += this.step - s : e -= s), typeof this.max != "undefined") for(; e > this.max;)e -= this.step;
                    e = parseFloat(this.valueFormatter.format(e));
                }
                return e *= t, e;
            }
        },
        {
            key: "displayValue",
            get: function get() {
                var e = this.focused ? "" : indeterminatePlaceholder;
                return this.indeterminate ? e : this.formattedValue;
            }
        },
        {
            key: "clearNumberFormatterCache",
            value: function clearNumberFormatterCache() {
                this._numberFormatter = void 0, this._numberParser = void 0;
            }
        },
        {
            key: "numberFormatter",
            get: function get() {
                if (!this._numberFormatter || !this._numberFormatterFocused) {
                    var _this_formatOptions = this.formatOptions, e = _this_formatOptions.style, t = _this_formatOptions.unit; _this_formatOptions.unitDisplay; var s = _object_without_properties$1(_this_formatOptions, [
                        "style",
                        "unit",
                        "unitDisplay"
                    ]);
                    e !== "unit" && (s.style = e), this._numberFormatterFocused = new $488c6ddbf4ef74c2$export$cc77c4ff7e8673c5(this.languageResolver.language, s);
                    try {
                        this._numberFormatter = new $488c6ddbf4ef74c2$export$cc77c4ff7e8673c5(this.languageResolver.language, this.formatOptions), this._forcedUnit = "", this._numberFormatter.format(1);
                    } catch (r) {
                        e === "unit" && (this._forcedUnit = t), this._numberFormatter = this._numberFormatterFocused;
                    }
                }
                return this.focused ? this._numberFormatterFocused : this._numberFormatter;
            }
        },
        {
            key: "clearValueFormatterCache",
            value: function clearValueFormatterCache() {
                this._valueFormatter = void 0;
            }
        },
        {
            key: "valueFormatter",
            get: function get() {
                if (!this._valueFormatter) {
                    var e = this.step && this.step != Math.floor(this.step) ? this.step.toString().split(".")[1].length : 0;
                    this._valueFormatter = new $488c6ddbf4ef74c2$export$cc77c4ff7e8673c5("en", {
                        useGrouping: !1,
                        maximumFractionDigits: e
                    });
                }
                return this._valueFormatter;
            }
        },
        {
            key: "numberParser",
            get: function get() {
                if (!this._numberParser || !this._numberParserFocused) {
                    var _this_formatOptions = this.formatOptions, e = _this_formatOptions.style, t = _this_formatOptions.unit; _this_formatOptions.unitDisplay; var s = _object_without_properties$1(_this_formatOptions, [
                        "style",
                        "unit",
                        "unitDisplay"
                    ]);
                    e !== "unit" && (s.style = e), this._numberParserFocused = new $6c7bd7858deea686$export$cd11ab140839f11d(this.languageResolver.language, s);
                    try {
                        this._numberParser = new $6c7bd7858deea686$export$cd11ab140839f11d(this.languageResolver.language, this.formatOptions), this._forcedUnit = "", this._numberParser.parse("0");
                    } catch (r) {
                        e === "unit" && (this._forcedUnit = t), this._numberParser = this._numberParserFocused;
                    }
                }
                return this.focused ? this._numberParserFocused : this._numberParser;
            }
        },
        {
            key: "renderField",
            value: function renderField() {
                return this.autocomplete = "off", x$3(_templateObject5$5(), _get$r(_get_prototype_of$J(NumberField.prototype), "renderField", this).call(this), this.hideStepper ? E$2 : x$3(_templateObject4$7(), this.handleFocusin, this.handleFocusout, streamingListener({
                    start: [
                        "pointerdown",
                        this.handlePointerdown
                    ],
                    streamInside: [
                        [
                            "pointermove",
                            "pointerenter",
                            "pointerleave",
                            "pointerover",
                            "pointerout"
                        ],
                        this.handlePointermove
                    ],
                    end: [
                        [
                            "pointerup",
                            "pointercancel",
                            "pointerleave"
                        ],
                        this.handlePointerup
                    ]
                }), this.helpTextId, "Increase " + this.appliedLabel, this.size, this.focused, this.disabled || this.readonly || typeof this.max != "undefined" && this.value === this.max, this.quiet, b$6[this.size]("Up"), this.helpTextId, "Decrease " + this.appliedLabel, this.size, this.focused, this.disabled || this.readonly || typeof this.min != "undefined" && this.value === this.min, this.quiet, b$6[this.size]("Down")));
            }
        },
        {
            key: "update",
            value: function update(e) {
                if ((e.has("formatOptions") || e.has("resolvedLanguage")) && this.clearNumberFormatterCache(), e.has("value") || e.has("max") || e.has("min")) {
                    var t = this.numberParser.parse(this.formattedValue.replace(this._forcedUnit, ""));
                    this.value = t;
                }
                e.has("step") && this.clearValueFormatterCache(), _get$r(_get_prototype_of$J(NumberField.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(e) {
                this.multiline = !1, e.has(languageResolverUpdatedSymbol) && this.clearNumberFormatterCache();
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$r(_get_prototype_of$J(NumberField.prototype), "firstUpdated", this).call(this, e), this.addEventListener("keydown", this.handleKeydown), this.addEventListener("compositionstart", this.handleCompositionStart), this.addEventListener("compositionend", this.handleCompositionEnd);
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                if (e.has("min") || e.has("formatOptions")) {
                    var t = "numeric";
                    var i = typeof this.min != "undefined" && this.min < 0, _this_numberFormatter_resolvedOptions = this.numberFormatter.resolvedOptions(), s = _this_numberFormatter_resolvedOptions.maximumFractionDigits, r = s > 0;
                    isIPhone() ? i ? t = "text" : r && (t = "decimal") : isAndroid() && (i ? t = "numeric" : r && (t = "decimal")), this.inputElement.inputMode = t;
                }
                e.has("focused") && this.focused && !this.hasRecentlyReceivedPointerDown && this.formatOptions.unit && this.setSelectionRange(0, this.displayValue.length);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$a(_get$r(_get_prototype_of$J(NumberField), "styles", this)).concat([
                    N,
                    C$6
                ]);
            }
        }
    ]);
    return NumberField;
}(TextfieldBase);
n$7([
    e$F(".buttons")
], NumberField.prototype, "buttons", 2), n$7([
    n$r({
        type: Boolean,
        reflect: !0
    })
], NumberField.prototype, "focused", 2), n$7([
    n$r({
        type: Object,
        attribute: "format-options"
    })
], NumberField.prototype, "formatOptions", 2), n$7([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "hide-stepper"
    })
], NumberField.prototype, "hideStepper", 2), n$7([
    n$r({
        type: Boolean,
        reflect: !0
    })
], NumberField.prototype, "indeterminate", 2), n$7([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "keyboard-focused"
    })
], NumberField.prototype, "keyboardFocused", 2), n$7([
    n$r({
        type: Number
    })
], NumberField.prototype, "max", 2), n$7([
    n$r({
        type: Number
    })
], NumberField.prototype, "min", 2), n$7([
    n$r({
        type: Number
    })
], NumberField.prototype, "step", 2), n$7([
    n$r({
        type: Number,
        reflect: !0,
        attribute: "step-modifier"
    })
], NumberField.prototype, "stepModifier", 2), n$7([
    n$r({
        type: Number
    })
], NumberField.prototype, "value", 1);

defineElement("sp-number-field", NumberField);

var spNumberField = /*#__PURE__*/Object.freeze({
    __proto__: null
});

function _tagged_template_literal$1i(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1i() {
    var data = _tagged_template_literal$1i([
        "\n    :host([disabled]) ::slotted([slot=trigger]){pointer-events:none}slot[name=longpress-describedby-descriptor]{display:none}\n"
    ]);
    _templateObject$1i = function _templateObject() {
        return data;
    };
    return data;
}
var s$5 = i$p(_templateObject$1i());
var f$8 = s$5;

function _assert_this_initialized$I(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$h(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$h(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$h(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$h(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$L(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$K(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$K(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$K(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$K(Constructor, staticProps);
    return Constructor;
}
function _get$q(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$q = Reflect.get;
    } else {
        _get$q = function get(target, property, receiver) {
            var base = _super_prop_base$q(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$q(target, property, receiver || target);
}
function _get_prototype_of$I(o) {
    _get_prototype_of$I = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$I(o);
}
function _inherits$I(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$I(subClass, superClass);
}
function _possible_constructor_return$I(self, call) {
    if (call && (_type_of$I(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$I(self);
}
function _set_prototype_of$I(o, p) {
    _set_prototype_of$I = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$I(o, p);
}
function _super_prop_base$q(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$I(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1h(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$I(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$I() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$I(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$I();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$I(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$I(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$I(this, result);
    };
}
function _ts_generator$h(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$1h() {
    var data = _tagged_template_literal$1h([
        "\n            <slot name=",
        " @slotchange=",
        "></slot>\n        "
    ]);
    _templateObject$1h = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$g() {
    var data = _tagged_template_literal$1h([
        '\n            <sp-overlay\n                id="click-overlay"\n                ?disabled=',
        "\n                ?open=",
        "\n                .offset=",
        "\n                .placement=",
        "\n                .triggerElement=",
        "\n                .triggerInteraction=",
        "\n                .type=",
        "\n                @beforetoggle=",
        "\n            >\n                ",
        "\n            </sp-overlay>\n        "
    ]);
    _templateObject1$g = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$8() {
    var data = _tagged_template_literal$1h([
        '\n            <sp-overlay\n                id="hover-overlay"\n                ?open=',
        "\n                ?disabled=",
        "\n                .offset=",
        "\n                .placement=",
        "\n                .triggerElement=",
        "\n                .triggerInteraction=",
        "\n                .type=",
        "\n                @beforetoggle=",
        "\n            >\n                ",
        "\n            </sp-overlay>\n        "
    ]);
    _templateObject2$8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$6() {
    var data = _tagged_template_literal$1h([
        '\n            <sp-overlay\n                id="longpress-overlay"\n                ?disabled=',
        "\n                ?open=",
        "\n                .offset=",
        "\n                .placement=",
        "\n                .triggerElement=",
        "\n                .triggerInteraction=",
        "\n                .type=",
        "\n                @beforetoggle=",
        "\n            >\n                ",
        '\n            </sp-overlay>\n            <slot name="longpress-describedby-descriptor"></slot>\n        '
    ]);
    _templateObject3$6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$6() {
    var data = _tagged_template_literal$1h([
        ""
    ]);
    _templateObject4$6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$4() {
    var data = _tagged_template_literal$1h([
        ""
    ]);
    _templateObject5$4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6$1() {
    var data = _tagged_template_literal$1h([
        ""
    ]);
    _templateObject6$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7$1() {
    var data = _tagged_template_literal$1h([
        '\n            <slot\n                id="trigger"\n                name="trigger"\n                @slotchange=',
        "\n            ></slot>\n            ",
        "\n        "
    ]);
    _templateObject7$1 = function _templateObject() {
        return data;
    };
    return data;
}
var g$5 = Object.defineProperty;
var v$7 = Object.getOwnPropertyDescriptor;
var n$6 = function(c, a, e, o) {
    for(var t = o > 1 ? void 0 : o ? v$7(a, e) : a, l = c.length - 1, s; l >= 0; l--)(s = c[l]) && (t = (o ? s(a, e, t) : s(t)) || t);
    return o && t && g$5(a, e, t), t;
};
var OverlayTrigger = /*#__PURE__*/ function(u) {
    _inherits$I(OverlayTrigger, u);
    var _super = _create_super$I(OverlayTrigger);
    function OverlayTrigger() {
        _class_call_check$L(this, OverlayTrigger);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.content = "click hover longpress";
        _this.offset = 6;
        _this.disabled = !1;
        _this.clickContent = [];
        _this.longpressContent = [];
        _this.hoverContent = [];
        _this.targetContent = [];
        return _this;
    }
    _create_class$K(OverlayTrigger, [
        {
            key: "getAssignedElementsFromSlot",
            value: function getAssignedElementsFromSlot(e) {
                return e.assignedElements({
                    flatten: !0
                });
            }
        },
        {
            key: "handleTriggerContent",
            value: function handleTriggerContent(e) {
                this.targetContent = this.getAssignedElementsFromSlot(e.target);
            }
        },
        {
            key: "handleSlotContent",
            value: function handleSlotContent(e) {
                switch(e.target.name){
                    case "click-content":
                        this.clickContent = this.getAssignedElementsFromSlot(e.target);
                        break;
                    case "longpress-content":
                        this.longpressContent = this.getAssignedElementsFromSlot(e.target);
                        break;
                    case "hover-content":
                        this.hoverContent = this.getAssignedElementsFromSlot(e.target);
                        break;
                }
            }
        },
        {
            key: "handleBeforetoggle",
            value: function handleBeforetoggle(e) {
                var o = e.target;
                var t;
                if (o === this.clickOverlayElement) t = "click";
                else if (o === this.longpressOverlayElement) t = "longpress";
                else if (o === this.hoverOverlayElement) t = "hover";
                else return;
                e.newState === "open" ? this.open = t : this.open === t && (this.open = void 0);
            }
        },
        {
            key: "update",
            value: function update(e) {
                var o, t, l, s, d, m;
                e.has("clickContent") && (this.clickPlacement = ((o = this.clickContent[0]) == null ? void 0 : o.getAttribute("placement")) || ((t = this.clickContent[0]) == null ? void 0 : t.getAttribute("direction")) || void 0), e.has("hoverContent") && (this.hoverPlacement = ((l = this.hoverContent[0]) == null ? void 0 : l.getAttribute("placement")) || ((s = this.hoverContent[0]) == null ? void 0 : s.getAttribute("direction")) || void 0), e.has("longpressContent") && (this.longpressPlacement = ((d = this.longpressContent[0]) == null ? void 0 : d.getAttribute("placement")) || ((m = this.longpressContent[0]) == null ? void 0 : m.getAttribute("direction")) || void 0), _get$q(_get_prototype_of$I(OverlayTrigger.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "renderSlot",
            value: function renderSlot(e) {
                return x$3(_templateObject$1h(), e, this.handleSlotContent);
            }
        },
        {
            key: "renderClickOverlay",
            value: function renderClickOverlay() {
                Promise.resolve().then(function () { return spOverlay; });
                var e = this.renderSlot("click-content");
                return this.clickContent.length ? x$3(_templateObject1$g(), this.disabled || !this.clickContent.length, this.open === "click" && !!this.clickContent.length, this.offset, this.clickPlacement || this.placement, this.targetContent[0], "click", this.type !== "modal" ? "auto" : "modal", this.handleBeforetoggle, e) : e;
            }
        },
        {
            key: "renderHoverOverlay",
            value: function renderHoverOverlay() {
                Promise.resolve().then(function () { return spOverlay; });
                var e = this.renderSlot("hover-content");
                return this.hoverContent.length ? x$3(_templateObject2$8(), this.open === "hover" && !!this.hoverContent.length, this.disabled || !this.hoverContent.length || !!this.open && this.open !== "hover", this.offset, this.hoverPlacement || this.placement, this.targetContent[0], "hover", "hint", this.handleBeforetoggle, e) : e;
            }
        },
        {
            key: "renderLongpressOverlay",
            value: function renderLongpressOverlay() {
                Promise.resolve().then(function () { return spOverlay; });
                var e = this.renderSlot("longpress-content");
                return this.longpressContent.length ? x$3(_templateObject3$6(), this.disabled || !this.longpressContent.length, this.open === "longpress" && !!this.longpressContent.length, this.offset, this.longpressPlacement || this.placement, this.targetContent[0], "longpress", "auto", this.handleBeforetoggle, e) : e;
            }
        },
        {
            key: "render",
            value: function render() {
                var e = this.content.split(" ");
                return x$3(_templateObject7$1(), this.handleTriggerContent, [
                    e.includes("click") ? this.renderClickOverlay() : x$3(_templateObject4$6()),
                    e.includes("hover") ? this.renderHoverOverlay() : x$3(_templateObject5$4()),
                    e.includes("longpress") ? this.renderLongpressOverlay() : x$3(_templateObject6$1())
                ]);
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                if (_get$q(_get_prototype_of$I(OverlayTrigger.prototype), "updated", this).call(this, e), this.disabled && e.has("disabled")) {
                    this.open = void 0;
                    return;
                }
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                var _this = this;
                var _this1 = this, _superprop_get_getUpdateComplete = function() {
                    return _get$q(_get_prototype_of$I(OverlayTrigger.prototype), "getUpdateComplete", _this);
                };
                return _async_to_generator$h(function() {
                    return _ts_generator$h(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _superprop_get_getUpdateComplete().call(_this1)
                                ];
                            case 1:
                                return [
                                    2,
                                    _state.sent()
                                ];
                        }
                    });
                })();
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    f$8
                ];
            }
        }
    ]);
    return OverlayTrigger;
}(SpectrumElement);
n$6([
    n$r()
], OverlayTrigger.prototype, "content", 2), n$6([
    n$r({
        reflect: !0
    })
], OverlayTrigger.prototype, "placement", 2), n$6([
    n$r()
], OverlayTrigger.prototype, "type", 2), n$6([
    n$r({
        type: Number
    })
], OverlayTrigger.prototype, "offset", 2), n$6([
    n$r({
        reflect: !0
    })
], OverlayTrigger.prototype, "open", 2), n$6([
    n$r({
        type: Boolean,
        reflect: !0
    })
], OverlayTrigger.prototype, "disabled", 2), n$6([
    r$A()
], OverlayTrigger.prototype, "clickContent", 2), n$6([
    r$A()
], OverlayTrigger.prototype, "longpressContent", 2), n$6([
    r$A()
], OverlayTrigger.prototype, "hoverContent", 2), n$6([
    r$A()
], OverlayTrigger.prototype, "targetContent", 2), n$6([
    e$F("#click-overlay", !0)
], OverlayTrigger.prototype, "clickOverlayElement", 2), n$6([
    e$F("#longpress-overlay", !0)
], OverlayTrigger.prototype, "longpressOverlayElement", 2), n$6([
    e$F("#hover-overlay", !0)
], OverlayTrigger.prototype, "hoverOverlayElement", 2);

defineElement("overlay-trigger", OverlayTrigger);

defineElement("sp-picker", Picker);

function _tagged_template_literal$1g(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1g() {
    var data = _tagged_template_literal$1g([
        "\n    :host{--spectrum-progressbar-animation-ease-in-out-indeterminate:var(--spectrum-animation-ease-in-out);--spectrum-progressbar-animation-duration-indeterminate:var(--spectrum-animation-duration-2000);--spectrum-progressbar-corner-radius:var(--spectrum-corner-radius-100);--spectrum-progressbar-fill-size-indeterminate:70%;--spectrum-progressbar-size-2400:192px;--spectrum-progressbar-size-2500:200px;--spectrum-progressbar-size-2800:224px;--spectrum-progressbar-font-size:var(--spectrum-font-size-75);--spectrum-progressbar-line-height-cjk:var(--spectrum-cjk-line-height-100);--spectrum-progressbar-min-size:var(--spectrum-progress-bar-minimum-width);--spectrum-progressbar-max-size:var(--spectrum-progress-bar-maximum-width);--spectrum-progressbar-thickness:var(--spectrum-progress-bar-thickness-medium);--spectrum-progressbar-line-height:var(--spectrum-line-height-100);--spectrum-progressbar-spacing-label-to-progressbar:var(--spectrum-spacing-75);--spectrum-progressbar-spacing-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-progressbar-spacing-label-to-text:var(--spectrum-spacing-200);--spectrum-progressbar-text-color:var(--spectrum-neutral-content-color-default);--spectrum-progressbar-track-color:var(--spectrum-gray-300);--spectrum-progressbar-fill-color:var(--spectrum-accent-color-900);--spectrum-progressbar-fill-color-positive:var(--spectrum-positive-visual-color);--spectrum-progressbar-fill-color-notice:var(--spectrum-notice-visual-color);--spectrum-progressbar-fill-color-negative:var(--spectrum-negative-visual-color);--spectrum-progressbar-label-and-value-white:var(--spectrum-white);--spectrum-progressbar-track-color-white:var(--spectrum-transparent-white-300);--spectrum-progressbar-fill-color-white:var(--spectrum-white);--spectrum-meter-min-width:var(--spectrum-meter-minimum-width);--spectrum-meter-max-width:var(--spectrum-meter-maximum-width);--spectrum-meter-inline-size:var(--spectrum-meter-default-width);--spectrum-meter-thickness-s:var(--spectrum-meter-thickness-small);--spectrum-meter-thickness-l:var(--spectrum-meter-thickness-large);--spectrum-meter-top-to-text:var(--spectrum-component-top-to-text)}:host([size=s]){--spectrum-progressbar-size-default:var(--spectrum-progressbar-size-2400);--spectrum-progressbar-font-size:var(--spectrum-font-size-75);--spectrum-progressbar-thickness:var(--spectrum-progress-bar-thickness-small);--spectrum-progressbar-spacing-top-to-text:var(--spectrum-component-top-to-text-75)}:host{--spectrum-progressbar-size-default:var(--spectrum-progressbar-size-2400);--spectrum-progressbar-font-size:var(--spectrum-font-size-75);--spectrum-progressbar-thickness:var(--spectrum-progress-bar-thickness-large);--spectrum-progressbar-spacing-top-to-text:var(--spectrum-component-top-to-text-75)}:host([size=l]){--spectrum-progressbar-size-default:var(--spectrum-progressbar-size-2500);--spectrum-progressbar-font-size:var(--spectrum-font-size-100);--spectrum-progressbar-thickness:var(--spectrum-progress-bar-thickness-large);--spectrum-progressbar-spacing-top-to-text:var(--spectrum-component-top-to-text-200)}:host([size=xl]){--spectrum-progressbar-size-default:var(--spectrum-progressbar-size-2800);--spectrum-progressbar-font-size:var(--spectrum-font-size-200);--spectrum-progressbar-thickness:var(--spectrum-progress-bar-thickness-extra-large);--spectrum-progressbar-spacing-top-to-text:var(--spectrum-component-top-to-text-300)}.spectrum-Meter{--spectrum-progressbar-size-default:var(--mod-meter-inline-size,var(--spectrum-meter-inline-size));--spectrum-progressbar-max-size:var(--mod-meter-max-width,var(--spectrum-meter-max-width));--spectrum-progressbar-min-size:var(--mod-meter-min-width,var(--spectrum-meter-min-width))}:host([positive]) .spectrum-Meter .fill{background-color:var(--highcontrast-progressbar-fill-color,var(--mod-progressbar-fill-color-positive,var(--spectrum-progressbar-fill-color-positive)))}:host([notice]) .spectrum-Meter .fill{background-color:var(--highcontrast-progressbar-fill-color,var(--mod-progressbar-fill-color-notice,var(--spectrum-progressbar-fill-color-notice)))}:host([negative]) .spectrum-Meter .fill{background-color:var(--highcontrast-progressbar-fill-color,var(--mod-progressbar-fill-color-negative,var(--spectrum-progressbar-fill-color-negative)))}:host{font-size:var(--mod-progressbar-font-size,var(--spectrum-progressbar-font-size));vertical-align:top;inline-size:var(--mod-progressbar-size-default,var(--spectrum-progressbar-size-default));max-inline-size:var(--mod-progressbar-max-size,var(--spectrum-progressbar-max-size));min-inline-size:var(--mod-progressbar-min-size,var(--spectrum-progressbar-min-size));flex-flow:wrap;justify-content:space-between;align-items:center;display:inline-flex;position:relative}.label,.percentage{text-align:start;line-height:var(--mod-progressbar-line-height,var(--spectrum-progressbar-line-height));color:var(--mod-progressbar-text-color,var(--spectrum-progressbar-text-color));margin-block-start:var(--mod-progressbar-spacing-top-to-text,var(--spectrum-progressbar-spacing-top-to-text));margin-block-end:var(--mod-progressbar-spacing-label-to-progressbar,var(--spectrum-progressbar-spacing-label-to-progressbar))}.label:lang(ja),.label:lang(ko),.label:lang(zh),.percentage:lang(ja),.percentage:lang(ko),.percentage:lang(zh){line-height:var(--mod-progressbar-line-height-cjk,var(--spectrum-progressbar-line-height-cjk))}.label{flex:1}.percentage{align-self:flex-start;margin-inline-start:var(--mod-progressbar-spacing-label-to-text,var(--spectrum-progressbar-spacing-label-to-text))}.track{block-size:var(--mod-progressbar-thickness,var(--spectrum-progressbar-thickness));border-radius:var(--spectrum-progressbar-corner-radius);background-color:var(--highcontrast-progressbar-track-color,var(--mod-progressbar-track-color,var(--spectrum-progressbar-track-color)));inline-size:100%;overflow:hidden}.fill{block-size:var(--mod-progressbar-thickness,var(--spectrum-progressbar-thickness));background-color:var(--highcontrast-progressbar-fill-color,var(--mod-progressbar-fill-color,var(--spectrum-progressbar-fill-color)));border:none;transition:width 1s}:host([indeterminate]) .fill{inline-size:var(--mod-progressbar-fill-size-indeterminate,var(--spectrum-progressbar-fill-size-indeterminate));animation-timing-function:var(--mod-progressbar-animation-ease-in-out-indeterminate,var(--spectrum-progressbar-animation-ease-in-out-indeterminate));will-change:transform;position:relative}:host([side-label]){flex-flow:row;justify-content:space-between;display:inline-flex}:host([side-label]) .track{flex:1 1 var(--mod-progressbar-size-default,var(--spectrum-progressbar-size-default))}:host([side-label]) .label{flex-grow:0;margin-block-end:0;margin-inline-end:var(--mod-progressbar-spacing-label-to-text,var(--spectrum-progressbar-spacing-label-to-text))}:host([side-label]) .percentage{text-align:end;order:3;margin-block-end:0;margin-inline-start:var(--mod-spacing-progressbar-label-to-text,var(--spectrum-progressbar-spacing-label-to-text))}:host([static=white]) .fill{background-color:var(--mod-progressbar-fill-color-white,var(--spectrum-progressbar-fill-color-white))}:host([static=white]) .fill,:host([static=white]) .label,:host([static=white]) .percentage{color:var(--mod-progressbar-label-and-value-white,var(--spectrum-progressbar-label-and-value-white))}:host([static=white]) .track{background-color:var(--spectrum-progressbar-track-color-white)}:host([indeterminate]) .fill{animation:a var(--mod-progressbar-animation-duration-indeterminate,var(--spectrum-progressbar-animation-duration-indeterminate))infinite}:host([indeterminate]) .fill:dir(rtl),:host([dir=rtl][indeterminate]) .fill{animation:b var(--mod-progressbar-animation-duration-indeterminate,var(--spectrum-progressbar-animation-duration-indeterminate))infinite}@keyframes a{0%{transform:translate(calc(var(--mod-progressbar-fill-size-indeterminate,var(--spectrum-progressbar-fill-size-indeterminate))*-1))}to{transform:translate(var(--mod-progressbar-size-default,var(--spectrum-progressbar-size-default)))}}@keyframes b{0%{transform:translate(var(--mod-progressbar-size-default,var(--spectrum-progressbar-fill-size-indeterminate)))}to{transform:translate(calc(var(--mod-progressbar-size-default,var(--spectrum-progressbar-size-default))*-1))}}@media (forced-colors:active){.track{forced-color-adjust:none;--highcontrast-progressbar-fill-color:ButtonText;--highcontrast-progressbar-track-color:ButtonFace;border:1px solid buttontext}}.fill{transform-origin:0;width:100%}:host([dir=rtl]) .fill{transform-origin:100%}\n"
    ]);
    _templateObject$1g = function _templateObject() {
        return data;
    };
    return data;
}
var e$k = i$p(_templateObject$1g());
var g$4 = e$k;

function _assert_this_initialized$H(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$K(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$J(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$J(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$J(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$J(Constructor, staticProps);
    return Constructor;
}
function _get$p(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$p = Reflect.get;
    } else {
        _get$p = function get(target, property, receiver) {
            var base = _super_prop_base$p(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$p(target, property, receiver || target);
}
function _get_prototype_of$H(o) {
    _get_prototype_of$H = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$H(o);
}
function _inherits$H(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$H(subClass, superClass);
}
function _possible_constructor_return$H(self, call) {
    if (call && (_type_of$H(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$H(self);
}
function _set_prototype_of$H(o, p) {
    _set_prototype_of$H = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$H(o, p);
}
function _super_prop_base$p(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$H(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1f(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$H(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$H() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$H(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$H();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$H(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$H(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$H(this, result);
    };
}
function _templateObject$1f() {
    var data = _tagged_template_literal$1f([
        ""
    ]);
    _templateObject$1f = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$f() {
    var data = _tagged_template_literal$1f([
        "\n                      <sp-field-label size=",
        ' class="label">\n                          ',
        "\n                          <slot @slotchange=",
        ">\n                              ",
        "\n                          </slot>\n                      </sp-field-label>\n                  "
    ]);
    _templateObject1$f = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$7() {
    var data = _tagged_template_literal$1f([
        ""
    ]);
    _templateObject2$7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$5() {
    var data = _tagged_template_literal$1f([
        "\n                                <sp-field-label\n                                    size=",
        '\n                                    class="percentage"\n                                >\n                                    ',
        "\n                                </sp-field-label>\n                            "
    ]);
    _templateObject3$5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$5() {
    var data = _tagged_template_literal$1f([
        "\n                      ",
        "\n                  "
    ]);
    _templateObject4$5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$3() {
    var data = _tagged_template_literal$1f([
        "\n            ",
        "\n            ",
        '\n            <div class="track">\n                <div\n                    class="fill"\n                    style="transform: scaleX(calc(',
        ' / 100));"\n                ></div>\n            </div>\n        '
    ]);
    _templateObject5$3 = function _templateObject() {
        return data;
    };
    return data;
}
var u$g = Object.defineProperty;
var d$b = Object.getOwnPropertyDescriptor;
var t$b = function(o, a, e, s) {
    for(var l = s > 1 ? void 0 : s ? d$b(a, e) : a, n = o.length - 1, p; n >= 0; n--)(p = o[n]) && (l = (s ? p(a, e, l) : p(l)) || l);
    return s && l && u$g(a, e, l), l;
};
var ProgressBar = /*#__PURE__*/ function(_h) {
    _inherits$H(ProgressBar, _h);
    var _super = _create_super$H(ProgressBar);
    function ProgressBar() {
        _class_call_check$K(this, ProgressBar);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.indeterminate = !1;
        _this.label = "";
        _this.languageResolver = new LanguageResolutionController(_assert_this_initialized$H(_this));
        _this.overBackground = !1;
        _this.sideLabel = !1;
        _this.progress = 0;
        return _this;
    }
    _create_class$J(ProgressBar, [
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject5$3(), this.slotHasContent || this.label ? x$3(_templateObject1$f(), this.size, this.slotHasContent ? x$3(_templateObject$1f()) : this.label, this.handleSlotchange, this.label) : x$3(_templateObject2$7()), this.label ? x$3(_templateObject4$5(), this.indeterminate ? E$2 : x$3(_templateObject3$5(), this.size, new Intl.NumberFormat(this.languageResolver.language, {
                    style: "percent",
                    unitDisplay: "narrow"
                }).format(this.progress / 100))) : E$2, this.progress);
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange() {
                var e = getLabelFromSlot(this.label, this.slotEl);
                e && (this.label = e);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$p(_get_prototype_of$H(ProgressBar.prototype), "firstUpdated", this).call(this, e), this.hasAttribute("role") || this.setAttribute("role", "progressbar");
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$p(_get_prototype_of$H(ProgressBar.prototype), "updated", this).call(this, e), e.has("indeterminate") && (this.indeterminate ? (this.removeAttribute("aria-valuemin"), this.removeAttribute("aria-valuemax"), this.removeAttribute("aria-valuenow")) : (this.setAttribute("aria-valuemin", "0"), this.setAttribute("aria-valuemax", "100"))), !this.indeterminate && e.has("progress") && this.setAttribute("aria-valuenow", "" + this.progress), e.has("label") && (this.label.length ? this.setAttribute("aria-label", this.label) : e.get("label") === this.getAttribute("aria-label") && this.removeAttribute("aria-label"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    g$4
                ];
            }
        }
    ]);
    return ProgressBar;
}(SizedMixin(ObserveSlotText(SpectrumElement, ""), {
    noDefaultSize: !0
}));
t$b([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ProgressBar.prototype, "indeterminate", 2), t$b([
    n$r({
        type: String,
        reflect: !0
    })
], ProgressBar.prototype, "label", 2), t$b([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "over-background"
    })
], ProgressBar.prototype, "overBackground", 2), t$b([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "side-label"
    })
], ProgressBar.prototype, "sideLabel", 2), t$b([
    n$r({
        type: Number
    })
], ProgressBar.prototype, "progress", 2), t$b([
    n$r({
        type: String,
        reflect: !0
    })
], ProgressBar.prototype, "static", 2), t$b([
    e$F("slot")
], ProgressBar.prototype, "slotEl", 2);

defineElement("sp-progress-bar", ProgressBar);

function _tagged_template_literal$1e(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1e() {
    var data = _tagged_template_literal$1e([
        "\n    .fill-submask-2{animation:1s linear infinite b}@keyframes a{0%{transform:rotate(90deg)}1.69%{transform:rotate(72.3deg)}3.39%{transform:rotate(55.5deg)}5.08%{transform:rotate(40.3deg)}6.78%{transform:rotate(25deg)}8.47%{transform:rotate(10.6deg)}10.17%{transform:rotate(0)}11.86%{transform:rotate(0)}13.56%{transform:rotate(0)}15.25%{transform:rotate(0)}16.95%{transform:rotate(0)}18.64%{transform:rotate(0)}20.34%{transform:rotate(0)}22.03%{transform:rotate(0)}23.73%{transform:rotate(0)}25.42%{transform:rotate(0)}27.12%{transform:rotate(0)}28.81%{transform:rotate(0)}30.51%{transform:rotate(0)}32.2%{transform:rotate(0)}33.9%{transform:rotate(0)}35.59%{transform:rotate(0)}37.29%{transform:rotate(0)}38.98%{transform:rotate(0)}40.68%{transform:rotate(0)}42.37%{transform:rotate(5.3deg)}44.07%{transform:rotate(13.4deg)}45.76%{transform:rotate(20.6deg)}47.46%{transform:rotate(29deg)}49.15%{transform:rotate(36.5deg)}50.85%{transform:rotate(42.6deg)}52.54%{transform:rotate(48.8deg)}54.24%{transform:rotate(54.2deg)}55.93%{transform:rotate(59.4deg)}57.63%{transform:rotate(63.2deg)}59.32%{transform:rotate(67.2deg)}61.02%{transform:rotate(70.8deg)}62.71%{transform:rotate(73.8deg)}64.41%{transform:rotate(76.2deg)}66.1%{transform:rotate(78.7deg)}67.8%{transform:rotate(80.6deg)}69.49%{transform:rotate(82.6deg)}71.19%{transform:rotate(83.7deg)}72.88%{transform:rotate(85deg)}74.58%{transform:rotate(86.3deg)}76.27%{transform:rotate(87deg)}77.97%{transform:rotate(87.7deg)}79.66%{transform:rotate(88.3deg)}81.36%{transform:rotate(88.6deg)}83.05%{transform:rotate(89.2deg)}84.75%{transform:rotate(89.2deg)}86.44%{transform:rotate(89.5deg)}88.14%{transform:rotate(89.9deg)}89.83%{transform:rotate(89.7deg)}91.53%{transform:rotate(90.1deg)}93.22%{transform:rotate(90.2deg)}94.92%{transform:rotate(90.1deg)}96.61%{transform:rotate(90deg)}98.31%{transform:rotate(89.8deg)}to{transform:rotate(90deg)}}@keyframes b{0%{transform:rotate(180deg)}1.69%{transform:rotate(180deg)}3.39%{transform:rotate(180deg)}5.08%{transform:rotate(180deg)}6.78%{transform:rotate(180deg)}8.47%{transform:rotate(180deg)}10.17%{transform:rotate(179.2deg)}11.86%{transform:rotate(164deg)}13.56%{transform:rotate(151.8deg)}15.25%{transform:rotate(140.8deg)}16.95%{transform:rotate(130.3deg)}18.64%{transform:rotate(120.4deg)}20.34%{transform:rotate(110.8deg)}22.03%{transform:rotate(101.6deg)}23.73%{transform:rotate(93.5deg)}25.42%{transform:rotate(85.4deg)}27.12%{transform:rotate(78.1deg)}28.81%{transform:rotate(71.2deg)}30.51%{transform:rotate(89.1deg)}32.2%{transform:rotate(105.5deg)}33.9%{transform:rotate(121.3deg)}35.59%{transform:rotate(135.5deg)}37.29%{transform:rotate(148.4deg)}38.98%{transform:rotate(161deg)}40.68%{transform:rotate(173.5deg)}42.37%{transform:rotate(180deg)}44.07%{transform:rotate(180deg)}45.76%{transform:rotate(180deg)}47.46%{transform:rotate(180deg)}49.15%{transform:rotate(180deg)}50.85%{transform:rotate(180deg)}52.54%{transform:rotate(180deg)}54.24%{transform:rotate(180deg)}55.93%{transform:rotate(180deg)}57.63%{transform:rotate(180deg)}59.32%{transform:rotate(180deg)}61.02%{transform:rotate(180deg)}62.71%{transform:rotate(180deg)}64.41%{transform:rotate(180deg)}66.1%{transform:rotate(180deg)}67.8%{transform:rotate(180deg)}69.49%{transform:rotate(180deg)}71.19%{transform:rotate(180deg)}72.88%{transform:rotate(180deg)}74.58%{transform:rotate(180deg)}76.27%{transform:rotate(180deg)}77.97%{transform:rotate(180deg)}79.66%{transform:rotate(180deg)}81.36%{transform:rotate(180deg)}83.05%{transform:rotate(180deg)}84.75%{transform:rotate(180deg)}86.44%{transform:rotate(180deg)}88.14%{transform:rotate(180deg)}89.83%{transform:rotate(180deg)}91.53%{transform:rotate(180deg)}93.22%{transform:rotate(180deg)}94.92%{transform:rotate(180deg)}96.61%{transform:rotate(180deg)}98.31%{transform:rotate(180deg)}to{transform:rotate(180deg)}}@keyframes c{0%{transform:rotate(-90deg)}to{transform:rotate(270deg)}}:host{--spectrum-progress-circle-track-border-color:var(--spectrum-gray-300);--spectrum-progress-circle-fill-border-color:var(--spectrum-accent-content-color-default);--spectrum-progress-circle-track-border-color-over-background:var(--spectrum-transparent-white-300);--spectrum-progress-circle-fill-border-color-over-background:var(--spectrum-transparent-white-900);--spectrum-progress-circle-size:var(--spectrum-progress-circle-size-medium);--spectrum-progress-circle-thickness:var(--spectrum-progress-circle-thickness-medium);--spectrum-progress-circle-track-border-style:solid}:host([size=s]){--spectrum-progress-circle-size:var(--spectrum-progress-circle-size-small);--spectrum-progress-circle-thickness:var(--spectrum-progress-circle-thickness-small)}:host([size=l]){--spectrum-progress-circle-size:var(--spectrum-progress-circle-size-large);--spectrum-progress-circle-thickness:var(--spectrum-progress-circle-thickness-large)}@media (forced-colors:active){:host{--highcontrast-progress-circle-fill-border-color:Highlight;--highcontrast-progress-circle-fill-border-color-over-background:Highlight}.track{--spectrum-progress-circle-track-border-style:double}}:host{position:var(--mod-progress-circle-position,relative);direction:ltr;display:inline-block;transform:translateZ(0)}:host,.track{inline-size:var(--mod-progress-circle-size,var(--spectrum-progress-circle-size));block-size:var(--mod-progress-circle-size,var(--spectrum-progress-circle-size))}.track{box-sizing:border-box;border-style:var(--highcontrast-progress-circle-track-border-style,var(--mod-progress-circle-track-border-style,var(--spectrum-progress-circle-track-border-style)));border-width:var(--mod-progress-circle-thickness,var(--spectrum-progress-circle-thickness));border-radius:var(--mod-progress-circle-size,var(--spectrum-progress-circle-size));border-color:var(--mod-progress-circle-track-border-color,var(--spectrum-progress-circle-track-border-color))}.fills{block-size:100%;inline-size:100%;position:absolute;inset-block-start:0;inset-inline-start:0}.fill{box-sizing:border-box;inline-size:var(--mod-progress-circle-size,var(--spectrum-progress-circle-size));block-size:var(--mod-progress-circle-size,var(--spectrum-progress-circle-size));border-style:solid;border-width:var(--mod-progress-circle-thickness,var(--spectrum-progress-circle-thickness));border-radius:var(--mod-progress-circle-size,var(--spectrum-progress-circle-size));border-color:var(--highcontrast-progress-circle-fill-border-color,var(--mod-progress-circle-fill-border-color,var(--spectrum-progress-circle-fill-border-color)))}:host([static=white]) .track{border-color:var(--mod-progress-circle-track-border-color-over-background,var(--spectrum-progress-circle-track-border-color-over-background))}:host([static=white]) .fill{border-color:var(--highcontrast-progress-circle-fill-border-color-over-background,var(--mod-progress-circle-fill-border-color-over-background,var(--spectrum-progress-circle-fill-border-color-over-background)))}.fillMask1,.fillMask2{transform-origin:100%;block-size:100%;inline-size:50%;position:absolute;overflow:hidden;transform:rotate(180deg)}.fillSubMask1,.fillSubMask2{transform-origin:100%;block-size:100%;inline-size:100%;overflow:hidden;transform:rotate(-180deg)}.fillMask2{transform:rotate(0)}:host([indeterminate]) .fills{will-change:transform;transform-origin:50%;animation:1s cubic-bezier(.25,.78,.48,.89) infinite c;transform:translateZ(0)}:host([indeterminate]) .fillSubMask1{will-change:transform;animation:1s linear infinite a;transform:translateZ(0)}:host([indeterminate]) .fillSubMask2{will-change:transform;animation:1s linear infinite b;transform:translateZ(0)}:host{block-size:var(--mod-progress-circle-size,var(--_spectrum-progress-circle-size));inline-size:var(--mod-progress-circle-size,var(--_spectrum-progress-circle-size));--spectrum-progress-circle-size:inherit;--spectrum-progresscircle-m-over-background-track-fill-color:var(--spectrum-alias-track-fill-color-overbackground);--_spectrum-progress-circle-size:var(--spectrum-progress-circle-size,var(--spectrum-progress-circle-size-medium))}:host([size=s]){--_spectrum-progress-circle-size:var(--spectrum-progress-circle-size,var(--spectrum-progress-circle-size-small))}:host([size=l]){--_spectrum-progress-circle-size:var(--spectrum-progress-circle-size,var(--spectrum-progress-circle-size-large))}slot{display:none}.track,.fill{block-size:var(--mod-progress-circle-size,var(--_spectrum-progress-circle-size));border-radius:var(--mod-progress-circle-size,var(--_spectrum-progress-circle-size));inline-size:var(--mod-progress-circle-size,var(--_spectrum-progress-circle-size))}:host([indeterminate]) .fills,:host([indeterminate]) .fillSubMask1,:host([indeterminate]) .fillSubMask2{animation-duration:var(--spectrum-animation-duration-2000)}\n"
    ]);
    _templateObject$1e = function _templateObject() {
        return data;
    };
    return data;
}
var e$j = i$p(_templateObject$1e());
var f$7 = e$j;

function _assert_this_initialized$G(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$J(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$I(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$I(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$I(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$I(Constructor, staticProps);
    return Constructor;
}
function _get$o(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$o = Reflect.get;
    } else {
        _get$o = function get(target, property, receiver) {
            var base = _super_prop_base$o(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$o(target, property, receiver || target);
}
function _get_prototype_of$G(o) {
    _get_prototype_of$G = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$G(o);
}
function _inherits$G(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$G(subClass, superClass);
}
function _possible_constructor_return$G(self, call) {
    if (call && (_type_of$G(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$G(self);
}
function _set_prototype_of$G(o, p) {
    _set_prototype_of$G = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$G(o, p);
}
function _super_prop_base$o(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$G(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1d(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$G(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$G() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$G(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$G();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$G(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$G(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$G(this, result);
    };
}
function _templateObject$1d() {
    var data = _tagged_template_literal$1d([
        '\n                        <div class="fill',
        '">\n                            <div\n                                class="fillSub',
        '"\n                                style=',
        '\n                            >\n                                <div class="fill"></div>\n                            </div>\n                        </div>\n                    '
    ]);
    _templateObject$1d = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$e() {
    var data = _tagged_template_literal$1d([
        "\n            <slot @slotchange=",
        '></slot>\n            <div class="track"></div>\n            <div class="fills">\n                ',
        "\n            </div>\n        "
    ]);
    _templateObject1$e = function _templateObject() {
        return data;
    };
    return data;
}
var p$f = Object.defineProperty;
var c$b = Object.getOwnPropertyDescriptor;
var i$2 = function(o, s, e, r) {
    for(var t = r > 1 ? void 0 : r ? c$b(s, e) : s, l = o.length - 1, n; l >= 0; l--)(n = o[l]) && (t = (r ? n(s, e, t) : n(t)) || t);
    return r && t && p$f(s, e, t), t;
};
var ProgressCircle = /*#__PURE__*/ function(_u) {
    _inherits$G(ProgressCircle, _u);
    var _super = _create_super$G(ProgressCircle);
    function ProgressCircle() {
        _class_call_check$J(this, ProgressCircle);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.indeterminate = !1;
        _this.label = "";
        _this.overBackground = !1;
        _this.progress = 0;
        return _this;
    }
    _create_class$I(ProgressCircle, [
        {
            key: "makeRotation",
            value: function makeRotation(e) {
                return this.indeterminate ? void 0 : "transform: rotate(".concat(e, "deg);");
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(e) {
                e.has("overBackground") && (this.static = this.overBackground ? "white" : this.static || void 0);
            }
        },
        {
            key: "render",
            value: function render() {
                var e = [
                    this.makeRotation(-180 + 3.6 * Math.min(this.progress, 50)),
                    this.makeRotation(-180 + 3.6 * Math.max(this.progress - 50, 0))
                ], r = [
                    "Mask1",
                    "Mask2"
                ];
                return x$3(_templateObject1$e(), this.handleSlotchange, r.map(function(t, l) {
                    return x$3(_templateObject$1d(), t, t, o$O(e[l]));
                }));
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange() {
                var e = getLabelFromSlot(this.label, this.slotEl);
                e && (this.label = e);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$o(_get_prototype_of$G(ProgressCircle.prototype), "firstUpdated", this).call(this, e), this.hasAttribute("role") || this.setAttribute("role", "progressbar");
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$o(_get_prototype_of$G(ProgressCircle.prototype), "updated", this).call(this, e), !this.indeterminate && e.has("progress") ? this.setAttribute("aria-valuenow", "" + this.progress) : this.hasAttribute("aria-valuenow") && this.removeAttribute("aria-valuenow"), e.has("label") && (this.label.length ? this.setAttribute("aria-label", this.label) : e.get("label") === this.getAttribute("aria-label") && this.removeAttribute("aria-label"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    f$7
                ];
            }
        }
    ]);
    return ProgressCircle;
}(SizedMixin(SpectrumElement, {
    validSizes: [
        "s",
        "m",
        "l"
    ]
}));
i$2([
    n$r({
        type: Boolean,
        reflect: !0
    })
], ProgressCircle.prototype, "indeterminate", 2), i$2([
    n$r({
        type: String
    })
], ProgressCircle.prototype, "label", 2), i$2([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "over-background"
    })
], ProgressCircle.prototype, "overBackground", 2), i$2([
    n$r({
        reflect: !0
    })
], ProgressCircle.prototype, "static", 2), i$2([
    n$r({
        type: Number
    })
], ProgressCircle.prototype, "progress", 2), i$2([
    e$F("slot")
], ProgressCircle.prototype, "slotEl", 2);

defineElement("sp-progress-circle", ProgressCircle);

var spProgressCircle = /*#__PURE__*/Object.freeze({
    __proto__: null
});

function _tagged_template_literal$1c(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1c() {
    var data = _tagged_template_literal$1c([
        '\n    :host{--spectrum-radio-neutral-content-color:var(--spectrum-neutral-content-color-default);--spectrum-radio-neutral-content-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-radio-neutral-content-color-down:var(--spectrum-neutral-content-color-down);--spectrum-radio-neutral-content-color-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-radio-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-radio-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-radio-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-radio-disabled-content-color:var(--spectrum-disabled-content-color);--spectrum-radio-disabled-border-color:var(--spectrum-disabled-content-color);--spectrum-radio-emphasized-accent-color:var(--spectrum-accent-color-900);--spectrum-radio-emphasized-accent-color-hover:var(--spectrum-accent-color-1000);--spectrum-radio-emphasized-accent-color-down:var(--spectrum-accent-color-1100);--spectrum-radio-emphasized-accent-color-focus:var(--spectrum-accent-color-1000);--spectrum-radio-border-width:var(--spectrum-border-width-200);--spectrum-radio-button-background-color:var(--spectrum-gray-75);--spectrum-radio-button-checked-border-color-default:var(--spectrum-neutral-background-color-selected-default);--spectrum-radio-button-checked-border-color-hover:var(--spectrum-neutral-background-color-selected-hover);--spectrum-radio-button-checked-border-color-down:var(--spectrum-neutral-background-color-selected-down);--spectrum-radio-button-checked-border-color-focus:var(--spectrum-neutral-background-color-selected-focus);--spectrum-radio-text-to-control:var(--spectrum-text-to-control-100);--spectrum-radio-label-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-radio-label-bottom-to-text:var(--spectrum-component-bottom-to-text-100);--spectrum-radio-font-size:var(--spectrum-font-size-100);--spectrum-radio-line-height:var(--spectrum-line-height-100);--spectrum-radio-animation-duration:var(--spectrum-animation-duration-100);--spectrum-radio-height:var(--spectrum-component-height-100);--spectrum-radio-button-control-size:var(--spectrum-radio-button-control-size-medium);--spectrum-radio-button-top-to-control:var(--spectrum-radio-button-top-to-control-medium)}:host(:lang(ja)),:host(:lang(ko)),:host(:lang(zh)){--spectrum-radio-line-height-cjk:var(--spectrum-cjk-line-height-100)}:host([size=s]){--spectrum-radio-height:var(--spectrum-component-height-75);--spectrum-radio-button-control-size:var(--spectrum-radio-button-control-size-small);--spectrum-radio-text-to-control:var(--spectrum-text-to-control-75);--spectrum-radio-label-top-to-text:var(--spectrum-component-top-to-text-75);--spectrum-radio-label-bottom-to-text:var(--spectrum-component-bottom-to-text-75);--spectrum-radio-button-top-to-control:var(--spectrum-radio-button-top-to-control-small);--spectrum-radio-font-size:var(--spectrum-font-size-75)}:host{--spectrum-radio-height:var(--spectrum-component-height-100);--spectrum-radio-button-control-size:var(--spectrum-radio-button-control-size-medium);--spectrum-radio-text-to-control:var(--spectrum-text-to-control-100);--spectrum-radio-label-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-radio-label-bottom-to-text:var(--spectrum-component-bottom-to-text-100);--spectrum-radio-button-top-to-control:var(--spectrum-radio-button-top-to-control-medium);--spectrum-radio-font-size:var(--spectrum-font-size-100)}:host([size=l]){--spectrum-radio-height:var(--spectrum-component-height-200);--spectrum-radio-button-control-size:var(--spectrum-radio-button-control-size-large);--spectrum-radio-text-to-control:var(--spectrum-text-to-control-200);--spectrum-radio-label-top-to-text:var(--spectrum-component-top-to-text-200);--spectrum-radio-label-bottom-to-text:var(--spectrum-component-bottom-to-text-200);--spectrum-radio-button-top-to-control:var(--spectrum-radio-button-top-to-control-large);--spectrum-radio-font-size:var(--spectrum-font-size-200)}:host([size=xl]){--spectrum-radio-height:var(--spectrum-component-height-300);--spectrum-radio-button-control-size:var(--spectrum-radio-button-control-size-extra-large);--spectrum-radio-text-to-control:var(--spectrum-text-to-control-300);--spectrum-radio-label-top-to-text:var(--spectrum-component-top-to-text-300);--spectrum-radio-label-bottom-to-text:var(--spectrum-component-bottom-to-text-300);--spectrum-radio-button-top-to-control:var(--spectrum-radio-button-top-to-control-extra-large);--spectrum-radio-font-size:var(--spectrum-font-size-300)}@media (forced-colors:active){:host{--highcontrast-radio-neutral-content-color:CanvasText;--highcontrast-radio-neutral-content-color-hover:CanvasText;--highcontrast-radio-neutral-content-color-down:CanvasText;--highcontrast-radio-neutral-content-color-focus:CanvasText;--highcontrast-radio-button-border-color-default:ButtonText;--highcontrast-radio-button-border-color-hover:Highlight;--highcontrast-radio-button-border-color-down:ButtonText;--highcontrast-radio-button-border-color-focus:Highlight;--highcontrast-radio-emphasized-accent-color:ButtonText;--highcontrast-radio-emphasized-accent-color-hover:Highlight;--highcontrast-radio-emphasized-accent-color-down:ButtonText;--highcontrast-radio-emphasized-accent-color-focus:Highlight;--highcontrast-radio-button-checked-border-color-default:Highlight;--highcontrast-radio-button-checked-border-color-hover:Highlight;--highcontrast-radio-button-checked-border-color-down:Highlight;--highcontrast-radio-button-checked-border-color-focus:Highlight;--highcontrast-radio-disabled-content-color:GrayText;--highcontrast-radio-disabled-border-color:GrayText;--highcontrast-radio-focus-indicator-color:CanvasText}#button:after{forced-color-adjust:none}}:host{vertical-align:top;min-block-size:var(--mod-radio-height,var(--spectrum-radio-height));align-items:flex-start;max-inline-size:100%;display:inline-flex;position:relative}:host(:active) #button:before{border-color:var(--highcontrast-radio-button-border-color-down,var(--mod-radio-button-border-color-down,var(--spectrum-radio-button-border-color-down)))}:host(:active[checked]) #input+#button:before{border-color:var(--highcontrast-radio-button-checked-border-color-down,var(--mod-radio-button-checked-border-color-down,var(--spectrum-radio-button-checked-border-color-down)))}:host(:active) #label{color:var(--highcontrast-radio-neutral-content-color-down,var(--mod-radio-neutral-content-color-down,var(--spectrum-radio-neutral-content-color-down)))}:host(:focus-visible) #button:before{border-color:var(--highcontrast-radio-button-border-color-focus,var(--mod-radio-button-border-color-focus,var(--spectrum-radio-button-border-color-focus)))}:host(:focus-visible) #button:after{border-style:solid;border-color:var(--highcontrast-radio-focus-indicator-color,var(--mod-radio-focus-indicator-color,var(--spectrum-radio-focus-indicator-color)));border-width:var(--mod-radio-focus-indicator-thickness,var(--spectrum-radio-focus-indicator-thickness));inline-size:calc(var(--spectrum-radio-button-control-size) + var(--spectrum-radio-focus-indicator-gap)*2);block-size:calc(var(--spectrum-radio-button-control-size) + var(--spectrum-radio-focus-indicator-gap)*2)}:host(:focus-visible[checked]) #input+#button:before{border-color:var(--highcontrast-radio-button-checked-border-color-focus,var(--mod-radio-button-checked-border-color-focus,var(--spectrum-radio-button-checked-border-color-focus)))}:host(:focus-visible) #label{color:var(--highcontrast-radio-neutral-content-color-focus,var(--mod-radio-neutral-content-color-focus,var(--spectrum-radio-neutral-content-color-focus)))}:host([readonly]) #input:read-only{cursor:auto}:host([readonly]) #button{clip:rect(1px,1px,1px,1px);clip-path:inset(50%);position:fixed;inset-block-end:100%;inset-inline-end:100%}:host([readonly][checked][disabled]) #input~#label,:host([readonly][disabled]) #input~#label,:host([readonly]) #label{color:inherit;margin-inline-start:auto}:host([emphasized][checked]) #input+#button:before{border-color:var(--highcontrast-radio-emphasized-accent-color,var(--mod-radio-emphasized-accent-color,var(--spectrum-radio-emphasized-accent-color)))}@media (hover:hover){:host(:hover) #button:before{border-color:var(--highcontrast-radio-button-border-color-hover,var(--mod-radio-button-border-color-hover,var(--spectrum-radio-button-border-color-hover)))}:host([checked]:hover) #input+#button:before{border-color:var(--highcontrast-radio-button-checked-border-color-hover,var(--mod-radio-button-checked-border-color-hover,var(--spectrum-radio-button-checked-border-color-hover)))}:host(:hover) #label{color:var(--highcontrast-radio-neutral-content-color-hover,var(--mod-radio-neutral-content-color-hover,var(--spectrum-radio-neutral-content-color-hover)))}:host([emphasized][checked]:hover) #input+#button:before{border-color:var(--highcontrast-radio-emphasized-accent-color-hover,var(--mod-radio-emphasized-accent-color-hover,var(--spectrum-radio-emphasized-accent-color-hover)))}}:host([emphasized]:active[checked]) #input+#button:before{border-color:var(--highcontrast-radio-emphasized-accent-color-down,var(--mod-radio-emphasized-accent-color-down,var(--spectrum-radio-emphasized-accent-color-down)))}:host([emphasized]:focus-visible[checked]) #input+#button:before{border-color:var(--highcontrast-radio-emphasized-accent-color-focus,var(--mod-radio-emphasized-accent-color-focus,var(--spectrum-radio-emphasized-accent-color-focus)))}:host([checked][disabled]) #input+#button:before,:host([disabled]) #input+#button:before{border-color:var(--highcontrast-radio-disabled-border-color,var(--mod-radio-disabled-border-color,var(--spectrum-radio-disabled-border-color)))}:host([checked][disabled]) #input~#label,:host([disabled]) #input~#label{color:var(--highcontrast-radio-disabled-content-color,var(--mod-radio-disabled-content-color,var(--spectrum-radio-disabled-content-color)))}#input{font-family:inherit;font-size:100%;line-height:var(--mod-radio-line-height,var(--spectrum-radio-line-height));box-sizing:border-box;opacity:0;z-index:1;cursor:pointer;block-size:100%;inline-size:100%;margin:0;padding:0;position:absolute;overflow:visible}:host([disabled]) #input{cursor:default}:host([checked]) #input+#button:before{border-width:calc(var(--spectrum-radio-button-control-size)/2 - var(--spectrum-radio-button-selection-indicator)/2);border-color:var(--highcontrast-radio-button-checked-border-color-default,var(--mod-radio-button-checked-border-color-default,var(--spectrum-radio-button-checked-border-color-default)))}#input:focus-visible+#button:after{border-width:var(--mod-radio-focus-indicator-thickness,var(--spectrum-radio-focus-indicator-thickness));border-color:var(--highcontrast-radio-focus-indicator-color,var(--mod-radio-focus-indicator-color,var(--spectrum-radio-focus-indicator-color)));inline-size:calc(var(--spectrum-radio-button-control-size) + var(--spectrum-radio-focus-indicator-gap)*2);block-size:calc(var(--spectrum-radio-button-control-size) + var(--spectrum-radio-focus-indicator-gap)*2);border-style:solid}#label{text-align:start;font-size:var(--mod-radio-font-size,var(--spectrum-radio-font-size));color:var(--highcontrast-radio-neutral-content-color,var(--mod-radio-neutral-content-color,var(--spectrum-radio-neutral-content-color)));line-height:var(--mod-radio-line-height,var(--spectrum-radio-line-height));transition:color var(--mod-radio-animation-duration,var(--spectrum-radio-animation-duration))ease-in-out;margin-block-start:var(--spectrum-radio-label-top-to-text);margin-block-end:var(--spectrum-radio-label-bottom-to-text);margin-inline-start:var(--mod-radio-text-to-control,var(--spectrum-radio-text-to-control))}#label:lang(ja),#label:lang(ko),#label:lang(zh){line-height:var(--mod-radio-line-height-cjk,var(--spectrum-radio-line-height-cjk))}#button{box-sizing:border-box;inline-size:var(--mod-radio-button-control-size,var(--spectrum-radio-button-control-size));block-size:var(--mod-radio-button-control-size,var(--spectrum-radio-button-control-size));flex-grow:0;flex-shrink:0;margin-block-start:var(--mod-radio-button-top-to-control,var(--spectrum-radio-button-top-to-control));position:relative}#button:before{z-index:0;content:"";box-sizing:border-box;inline-size:var(--mod-radio-button-control-size,var(--spectrum-radio-button-control-size));block-size:var(--mod-radio-button-control-size,var(--spectrum-radio-button-control-size));background-color:var(--highcontrast-radio-button-background-color,var(--mod-radio-button-background-color,var(--spectrum-radio-button-background-color)));border-width:var(--mod-radio-border-width,var(--spectrum-radio-border-width));border-color:var(--highcontrast-radio-button-border-color-default,var(--mod-radio-button-border-color-default,var(--spectrum-radio-button-border-color-default)));transition:border var(--mod-radio-animation-duration,var(--spectrum-radio-animation-duration))ease-in-out,box-shadow var(--mod-radio-animation-duration,var(--spectrum-radio-animation-duration))ease-in-out;border-style:solid;border-radius:50%;display:block;position:absolute}#button:after{content:"";transition:opacity var(--mod-radio-animation-duration,var(--spectrum-radio-animation-duration))ease-out,margin var(--mod-radio-animation-duration,var(--spectrum-radio-animation-duration))ease-out;border-radius:50%;display:block;position:absolute;inset-block-start:50%;inset-inline-start:50%;transform:translate(-50%)translateY(-50%)}#button:dir(rtl):after,:host([dir=rtl]) #button:after{transform:translate(50%)translateY(-50%)}:host{--spectrum-radio-button-border-color-default:var(--system-spectrum-radio-button-border-color-default);--spectrum-radio-button-border-color-hover:var(--system-spectrum-radio-button-border-color-hover);--spectrum-radio-button-border-color-down:var(--system-spectrum-radio-button-border-color-down);--spectrum-radio-button-border-color-focus:var(--system-spectrum-radio-button-border-color-focus)}:host([emphasized]){--spectrum-radio-button-checked-border-color-default:var(--system-spectrum-radio-emphasized-button-checked-border-color-default);--spectrum-radio-button-checked-border-color-hover:var(--system-spectrum-radio-emphasized-button-checked-border-color-hover);--spectrum-radio-button-checked-border-color-down:var(--system-spectrum-radio-emphasized-button-checked-border-color-down);--spectrum-radio-button-checked-border-color-focus:var(--system-spectrum-radio-emphasized-button-checked-border-color-focus)}:host(:focus){outline:none}:host([disabled]){pointer-events:none}:host([dir=rtl]) #button:after{transform:translate(50%)translateY(-50%)}\n'
    ]);
    _templateObject$1c = function _templateObject() {
        return data;
    };
    return data;
}
var r$d = i$p(_templateObject$1c());
var b$5 = r$d;

function _assert_this_initialized$F(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$I(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$H(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$H(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$H(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$H(Constructor, staticProps);
    return Constructor;
}
function _get$n(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$n = Reflect.get;
    } else {
        _get$n = function get(target, property, receiver) {
            var base = _super_prop_base$n(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$n(target, property, receiver || target);
}
function _get_prototype_of$F(o) {
    _get_prototype_of$F = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$F(o);
}
function _inherits$F(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$F(subClass, superClass);
}
function _possible_constructor_return$F(self, call) {
    if (call && (_type_of$F(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$F(self);
}
function _set_prototype_of$F(o, p) {
    _set_prototype_of$F = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$F(o, p);
}
function _super_prop_base$n(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$F(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$1b(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$F(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$F() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$F(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$F();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$F(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$F(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$F(this, result);
    };
}
function _templateObject$1b() {
    var data = _tagged_template_literal$1b([
        '\n            <div id="input"></div>\n            <span id="button"></span>\n            <span id="label" role="presentation"><slot></slot></span>\n        '
    ]);
    _templateObject$1b = function _templateObject() {
        return data;
    };
    return data;
}
var u$f = Object.defineProperty;
var c$a = Object.getOwnPropertyDescriptor;
var t$a = function(l, s, e, a) {
    for(var i = a > 1 ? void 0 : a ? c$a(s, e) : s, d = l.length - 1, o; d >= 0; d--)(o = l[d]) && (i = (a ? o(s, e, i) : o(i)) || i);
    return a && i && u$f(s, e, i), i;
};
var Radio = /*#__PURE__*/ function(_n) {
    _inherits$F(Radio, _n);
    var _super = _create_super$F(Radio);
    function Radio() {
        _class_call_check$I(this, Radio);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.autofocus = !1;
        _this.value = "";
        _this.checked = !1;
        _this.disabled = !1;
        _this.emphasized = !1;
        _this.invalid = !1;
        _this.readonly = !1;
        return _this;
    }
    _create_class$H(Radio, [
        {
            key: "click",
            value: function click() {
                this.disabled || this.activate();
            }
        },
        {
            key: "manageAutoFocus",
            value: function manageAutoFocus() {
                this.autofocus && (this.dispatchEvent(new KeyboardEvent("keydown", {
                    code: "Tab"
                })), this.focus());
            }
        },
        {
            key: "activate",
            value: function activate() {
                this.checked || (this.checked = !0, this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0
                })));
            }
        },
        {
            key: "handleKeyup",
            value: function handleKeyup(e) {
                e.code === "Space" && this.activate();
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$1b());
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$n(_get_prototype_of$F(Radio.prototype), "firstUpdated", this).call(this, e), this.setAttribute("role", "radio"), this.hasAttribute("tabindex") || (this.tabIndex = 0), this.manageAutoFocus(), this.addEventListener("click", this.activate), this.addEventListener("keyup", this.handleKeyup);
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$n(_get_prototype_of$F(Radio.prototype), "updated", this).call(this, e), e.has("invalid") && (this.invalid ? this.setAttribute("aria-invalid", "true") : this.removeAttribute("aria-invalid")), e.has("checked") && (this.checked ? this.setAttribute("aria-checked", "true") : this.setAttribute("aria-checked", "false")), e.has("disabled") && (this.disabled ? this.setAttribute("aria-disabled", "true") : this.removeAttribute("aria-disabled"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    b$5
                ];
            }
        }
    ]);
    return Radio;
}(SizedMixin(FocusVisiblePolyfillMixin(SpectrumElement), {
    noDefaultSize: !0
}));
t$a([
    n$r({
        type: Boolean
    })
], Radio.prototype, "autofocus", 2), t$a([
    n$r({
        type: String,
        reflect: !0
    })
], Radio.prototype, "value", 2), t$a([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Radio.prototype, "checked", 2), t$a([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Radio.prototype, "disabled", 2), t$a([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Radio.prototype, "emphasized", 2), t$a([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Radio.prototype, "invalid", 2), t$a([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Radio.prototype, "readonly", 2);

defineElement("sp-radio", Radio);

function _assert_this_initialized$E(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$g(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$g(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$g(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$g(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$H(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$G(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$G(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$G(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$G(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$E(o) {
    _get_prototype_of$E = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$E(o);
}
function _inherits$E(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$E(subClass, superClass);
}
function _instanceof$7(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _possible_constructor_return$E(self, call) {
    if (call && (_type_of$E(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$E(self);
}
function _set_prototype_of$E(o, p) {
    _set_prototype_of$E = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$E(o, p);
}
function _type_of$E(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$E() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$E(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$E();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$E(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$E(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$E(this, result);
    };
}
function _ts_generator$g(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
var c$9 = Object.defineProperty;
var n$5 = Object.getOwnPropertyDescriptor;
var a$9 = function(l, d, e, t) {
    for(var i = t > 1 ? void 0 : t ? n$5(d, e) : d, s = l.length - 1, o; s >= 0; s--)(o = l[s]) && (i = (t ? o(d, e, i) : o(i)) || i);
    return t && i && c$9(d, e, i), i;
};
var RadioGroup = /*#__PURE__*/ function(_u) {
    _inherits$E(RadioGroup, _u);
    var _super = _create_super$E(RadioGroup);
    function RadioGroup() {
        _class_call_check$H(this, RadioGroup);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.name = "";
        _this.rovingTabindexController = new RovingTabindexController(_assert_this_initialized$E(_this), {
            focusInIndex: function(e) {
                return e.findIndex(function(t) {
                    return _this.selected ? !t.disabled && t.value === _this.selected : !t.disabled;
                });
            },
            elementEnterAction: function(e) {
                _this._setSelected(e.value);
            },
            elements: function() {
                return _this.buttons;
            },
            isFocusableElement: function(e) {
                return !e.disabled;
            }
        });
        _this.selected = "";
        return _this;
    }
    _create_class$G(RadioGroup, [
        {
            key: "buttons",
            get: function get() {
                return this.defaultNodes.filter(function(e) {
                    return _instanceof$7(e, Radio);
                });
            }
        },
        {
            key: "focus",
            value: function focus() {
                this.rovingTabindexController.focus();
            }
        },
        {
            key: "_setSelected",
            value: function _setSelected(e) {
                if (e === this.selected) return;
                var t = this.selected, i = e ? this.querySelector('sp-radio[value="'.concat(e, '"]')) : void 0;
                if (this.selected = i ? e : "", !this.dispatchEvent(new Event("change", {
                    cancelable: !0,
                    bubbles: !0,
                    composed: !0
                }))) {
                    this.selected = t;
                    return;
                }
                this.validateRadios();
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(e) {
                var _this = this;
                if (!this.hasUpdated) {
                    this.setAttribute("role", "radiogroup");
                    var t = this.querySelector("sp-radio[checked]"), i = t ? t.value : "";
                    if (this.selected = i || this.selected, this.selected && this.selected !== i) {
                        var s = this.querySelector('sp-radio[value="'.concat(this.selected, '"]'));
                        s && (s.checked = !0);
                    }
                    this.shadowRoot.addEventListener("change", function(s) {
                        s.stopPropagation();
                        var o = s.target;
                        _this._setSelected(o.value);
                    });
                }
                e.has("selected") && this.validateRadios();
            }
        },
        {
            key: "validateRadios",
            value: function validateRadios() {
                var _this = this;
                return _async_to_generator$g(function() {
                    var e, _tmp;
                    return _ts_generator$g(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                e = !1;
                                _tmp = _this.hasUpdated;
                                if (_tmp) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 1:
                                _tmp = _state.sent();
                                _state.label = 2;
                            case 2:
                                _this.buttons.map(function(t) {
                                    t.checked = _this.selected === t.value, e = e || t.checked;
                                }), e || (_this.selected = "");
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange() {
                this.rovingTabindexController.clearElementCache();
            }
        }
    ]);
    return RadioGroup;
}(FocusVisiblePolyfillMixin(FieldGroup));
a$9([
    n$r({
        type: String
    })
], RadioGroup.prototype, "name", 2), a$9([
    n$q()
], RadioGroup.prototype, "defaultNodes", 2), a$9([
    n$r({
        reflect: !0
    })
], RadioGroup.prototype, "selected", 2);

defineElement("sp-radio-group", RadioGroup);

function _tagged_template_literal$1a(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1a() {
    var data = _tagged_template_literal$1a([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    height=',
        '\n    viewBox="0 0 36 36"\n    width=',
        "\n    aria-hidden=",
        '\n    role="img"\n    fill="currentColor"\n    aria-label=',
        '\n  >\n    <path\n      d="M33.173 30.215 25.4 22.443a12.826 12.826 0 1 0-2.957 2.957l7.772 7.772a2.1 2.1 0 0 0 2.958-2.958ZM6 15a9 9 0 1 1 9 9 9 9 0 0 1-9-9Z"\n    />\n  </svg>'
    ]);
    _templateObject$1a = function _templateObject() {
        return data;
    };
    return data;
}
var MagnifyIcon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, e = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.hidden, a = tmp2 === void 0 ? !1 : tmp2, tmp3 = _ref.title, l = tmp3 === void 0 ? "Magnify" : tmp3;
    return tag(_templateObject$1a(), e, t, a ? "true" : "false", l);
};

function _assert_this_initialized$D(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$G(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$F(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$F(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$F(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$F(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$D(o) {
    _get_prototype_of$D = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$D(o);
}
function _inherits$D(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$D(subClass, superClass);
}
function _possible_constructor_return$D(self, call) {
    if (call && (_type_of$D(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$D(self);
}
function _set_prototype_of$D(o, p) {
    _set_prototype_of$D = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$D(o, p);
}
function _type_of$D(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$D() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$D(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$D();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$D(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$D(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$D(this, result);
    };
}
var IconMagnify = /*#__PURE__*/ function(t) {
    _inherits$D(IconMagnify, t);
    var _super = _create_super$D(IconMagnify);
    function IconMagnify() {
        _class_call_check$G(this, IconMagnify);
        return _super.apply(this, arguments);
    }
    _create_class$F(IconMagnify, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag(x$3), MagnifyIcon({
                    hidden: !this.label,
                    title: this.label
                });
            }
        }
    ]);
    return IconMagnify;
} 
(IconBase);

defineElement("sp-icon-magnify", IconMagnify);

function _tagged_template_literal$19(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$19() {
    var data = _tagged_template_literal$19([
        "\n    :host{--spectrum-search-inline-size:var(--spectrum-field-width);--spectrum-search-block-size:var(--spectrum-component-height-100);--spectrum-search-button-inline-size:var(--spectrum-search-block-size);--spectrum-search-min-inline-size:calc(var(--spectrum-search-field-minimum-width-multiplier)*var(--spectrum-search-block-size));--spectrum-search-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-search-text-to-icon:var(--spectrum-text-to-visual-100);--spectrum-search-to-help-text:var(--spectrum-help-text-to-component);--spectrum-search-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-search-bottom-to-text:var(--spectrum-component-bottom-to-text-100);--spectrum-search-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-search-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-search-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-search-font-family:var(--spectrum-sans-font-family-stack);--spectrum-search-font-weight:var(--spectrum-regular-font-weight);--spectrum-search-font-style:var(--spectrum-default-font-style);--spectrum-search-line-height:var(--spectrum-line-height-100);--spectrum-search-color-default:var(--spectrum-neutral-content-color-default);--spectrum-search-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-search-color-focus:var(--spectrum-neutral-content-color-focus);--spectrum-search-color-focus-hover:var(--spectrum-neutral-content-color-focus-hover);--spectrum-search-color-key-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-search-border-width:var(--spectrum-border-width-100);--spectrum-search-background-color:var(--spectrum-gray-50);--spectrum-search-color-disabled:var(--spectrum-disabled-content-color);--spectrum-search-background-color-disabled:var(--spectrum-disabled-background-color);--spectrum-search-border-color-disabled:var(--spectrum-disabled-background-color);--mod-textfield-font-family:var(--mod-search-font-family,var(--spectrum-search-font-family));--mod-textfield-font-weight:var(--mod-search-font-weight,var(--spectrum-search-font-weight));--mod-textfield-corner-radius:var(--mod-search-border-radius,var(--spectrum-search-border-radius));--mod-textfield-border-width:var(--mod-search-border-width,var(--spectrum-search-border-width));--mod-textfield-focus-indicator-gap:var(--mod-search-focus-indicator-gap,var(--spectrum-search-focus-indicator-gap));--mod-textfield-focus-indicator-width:var(--mod-search-focus-indicator-thickness,var(--spectrum-search-focus-indicator-thickness));--mod-textfield-focus-indicator-color:var(--mod-search-focus-indicator-color,var(--spectrum-search-focus-indicator-color));--mod-textfield-text-color-default:var(--mod-search-color-default,var(--spectrum-search-color-default));--mod-textfield-text-color-hover:var(--mod-search-color-hover,var(--spectrum-search-color-hover));--mod-textfield-text-color-focus:var(--mod-search-color-focus,var(--spectrum-search-color-focus));--mod-textfield-text-color-focus-hover:var(--mod-search-color-focus-hover,var(--spectrum-search-color-focus-hover));--mod-textfield-text-color-keyboard-focus:var(--mod-search-color-key-focus,var(--spectrum-search-color-key-focus));--mod-textfield-text-color-disabled:var(--mod-search-color-disabled,var(--spectrum-search-color-disabled));--mod-textfield-border-color:var(--mod-search-border-color-default,var(--spectrum-search-border-color-default));--mod-textfield-border-color-hover:var(--mod-search-border-color-hover,var(--spectrum-search-border-color-hover));--mod-textfield-border-color-focus:var(--mod-search-border-color-focus,var(--spectrum-search-border-color-focus));--mod-textfield-border-color-focus-hover:var(--mod-search-border-color-focus-hover,var(--spectrum-search-border-color-focus-hover));--mod-textfield-border-color-keyboard-focus:var(--mod-search-border-color-key-focus,var(--spectrum-search-border-color-key-focus));--mod-textfield-border-color-disabled:var(--mod-search-border-color-disabled,var(--spectrum-search-border-color-disabled));--mod-textfield-background-color:var(--mod-search-background-color,var(--spectrum-search-background-color));--mod-textfield-background-color-disabled:var(--mod-search-background-color-disabled,var(--spectrum-search-background-color-disabled))}:host([size=s]){--spectrum-search-block-size:var(--spectrum-component-height-75);--spectrum-search-icon-size:var(--spectrum-workflow-icon-size-75);--spectrum-search-text-to-icon:var(--spectrum-text-to-visual-75)}:host([size=l]){--spectrum-search-block-size:var(--spectrum-component-height-200);--spectrum-search-icon-size:var(--spectrum-workflow-icon-size-200);--spectrum-search-text-to-icon:var(--spectrum-text-to-visual-200)}:host([size=xl]){--spectrum-search-block-size:var(--spectrum-component-height-300);--spectrum-search-icon-size:var(--spectrum-workflow-icon-size-300);--spectrum-search-text-to-icon:var(--spectrum-text-to-visual-300)}:host([quiet]){--spectrum-search-quiet-button-offset:calc(var(--mod-search-block-size,var(--spectrum-search-block-size))/2 - var(--mod-workflow-icon-size-100,var(--spectrum-workflow-icon-size-100))/2);--spectrum-search-background-color:transparent;--spectrum-search-background-color-disabled:transparent;--spectrum-search-border-color-disabled:var(--spectrum-disabled-border-color)}:host([quiet]) #textfield{--spectrum-search-border-radius:0;--spectrum-search-edge-to-visual:var(--spectrum-field-edge-to-visual-quiet)}@media (forced-colors:active){#textfield #textfield,#textfield #textfield .input{--highcontrast-search-color-default:CanvasText;--highcontrast-search-color-hover:CanvasText;--highcontrast-search-color-focus:CanvasText;--highcontrast-search-color-disabled:GrayText}#textfield #button .spectrum-ClearButton-fill{forced-color-adjust:none;background-color:initial}}#textfield{inline-size:var(--mod-search-inline-size,var(--spectrum-search-inline-size));min-inline-size:var(--mod-search-min-inline-size,var(--spectrum-search-min-inline-size));display:inline-block;position:relative}#textfield .spectrum-HelpText{margin-block-start:var(--mod-search-to-help-text,var(--spectrum-search-to-help-text))}#button{border-radius:var(--mod-search-border-radius,var(--spectrum-search-border-radius));position:absolute;inset-block-start:0;inset-inline-end:0}#button .spectrum-ClearButton-fill{border-radius:var(--mod-search-border-radius,var(--spectrum-search-border-radius))}#textfield.is-disabled #button{display:none}#textfield{inline-size:100%}.icon-search{--spectrum-search-color:var(--highcontrast-search-color-default,var(--mod-search-color-default,var(--spectrum-search-color-default)));color:var(--spectrum-search-color);margin-block:auto;display:block;position:absolute;inset-block:0}#textfield.is-focused .icon-search{--spectrum-search-color:var(--highcontrast-search-color-focus,var(--mod-search-color-focus,var(--spectrum-search-color-focus)))}#textfield.is-keyboardFocused .icon-search{--spectrum-search-color:var(--highcontrast-search-color-focus,var(--mod-search-color-key-focus,var(--spectrum-search-color-key-focus)))}#textfield.is-disabled .icon-search{--spectrum-search-color:var(--highcontrast-search-color-disabled,var(--mod-search-color-disabled,var(--spectrum-search-color-disabled)))}@media (hover:hover){#textfield:hover .icon-search{--spectrum-search-color:var(--highcontrast-search-color-hover,var(--mod-search-color-hover,var(--spectrum-search-color-hover)))}#textfield.is-focused:hover .icon-search{--spectrum-search-color:var(--highcontrast-search-color-focus,var(--mod-search-color-focus-hover,var(--spectrum-search-color-focus-hover)))}#textfield.is-disabled:hover .icon-search{--spectrum-search-color:var(--highcontrast-search-color-disabled,var(--mod-search-color-disabled,var(--spectrum-search-color-disabled)))}}.input{appearance:none;block-size:var(--mod-search-block-size,var(--spectrum-search-block-size));font-style:var(--mod-search-font-style,var(--spectrum-search-font-style));line-height:var(--mod-search-line-height,var(--spectrum-search-line-height));padding-block-start:calc(var(--mod-search-top-to-text,var(--spectrum-search-top-to-text)) - var(--mod-search-border-width,var(--spectrum-search-border-width)));padding-block-end:calc(var(--mod-search-bottom-to-text,var(--spectrum-search-bottom-to-text)) - var(--mod-search-border-width,var(--spectrum-search-border-width)))}.input::-webkit-search-cancel-button,.input::-webkit-search-decoration{appearance:none}:host(:not([quiet])) #textfield .icon-search{inset-inline-start:var(--mod-search-edge-to-visual,var(--spectrum-search-edge-to-visual))}:host(:not([quiet])) #textfield .input{padding-inline-start:calc(var(--mod-search-edge-to-visual,var(--spectrum-search-edge-to-visual)) - var(--mod-search-border-width,var(--spectrum-search-border-width)) + var(--mod-search-icon-size,var(--spectrum-search-icon-size)) + var(--mod-search-text-to-icon,var(--spectrum-search-text-to-icon)));padding-inline-end:calc(var(--mod-search-button-inline-size,var(--spectrum-search-button-inline-size)) - var(--mod-search-border-width,var(--spectrum-search-border-width)))}:host([quiet]) #button{transform:translateX(var(--mod-search-quiet-button-offset,var(--spectrum-search-quiet-button-offset)))}:host([quiet]) #textfield .input{border-radius:var(--mod-search-border-radius,var(--spectrum-search-border-radius));padding-block-start:var(--mod-search-top-to-text,var(--spectrum-search-top-to-text));padding-inline-start:calc(var(--mod-search-edge-to-visual,var(--spectrum-search-edge-to-visual)) + var(--mod-search-icon-size,var(--spectrum-search-icon-size)) + var(--mod-search-text-to-icon,var(--spectrum-search-text-to-icon)));padding-inline-end:calc(var(--mod-search-button-inline-size,var(--spectrum-search-button-inline-size)) - var(--mod-search-quiet-button-offset,var(--spectrum-search-quiet-button-offset)))}:host{--spectrum-search-border-radius:var(--system-spectrum-search-border-radius);--spectrum-search-edge-to-visual:var(--system-spectrum-search-edge-to-visual);--spectrum-search-border-color-default:var(--system-spectrum-search-border-color-default);--spectrum-search-border-color-hover:var(--system-spectrum-search-border-color-hover);--spectrum-search-border-color-focus:var(--system-spectrum-search-border-color-focus);--spectrum-search-border-color-focus-hover:var(--system-spectrum-search-border-color-focus-hover);--spectrum-search-border-color-key-focus:var(--system-spectrum-search-border-color-key-focus)}:host([size=s]){--spectrum-search-border-radius:var(--system-spectrum-search-sizes-border-radius);--spectrum-search-edge-to-visual:var(--system-spectrum-search-sizes-edge-to-visual)}:host{--spectrum-search-border-radius:var(--system-spectrum-search-sizem-border-radius);--spectrum-search-edge-to-visual:var(--system-spectrum-search-sizem-edge-to-visual)}:host([size=l]){--spectrum-search-border-radius:var(--system-spectrum-search-sizel-border-radius);--spectrum-search-edge-to-visual:var(--system-spectrum-search-sizel-edge-to-visual)}:host([size=xl]){--spectrum-search-border-radius:var(--system-spectrum-search-sizexl-border-radius);--spectrum-search-edge-to-visual:var(--system-spectrum-search-sizexl-edge-to-visual)}:host{--mod-textfield-spacing-inline:var(--spectrum-alias-infieldbutton-full-height-m);--mod-clear-button-padding:0}input::-webkit-search-cancel-button{display:none}:host([size=xs]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-50)}:host([size=s]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-75)}:host([size=m]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-100)}:host([size=l]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-200)}:host([size=xl]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-300)}:host([size=xxl]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-400)}@media (forced-colors:active){sp-clear-button{--spectrum-clearbutton-fill-background-color:transparent;--spectrum-clearbutton-fill-background-color-disabled:transparent;--spectrum-clearbutton-fill-background-color-down:transparent;--spectrum-clearbutton-fill-background-color-hover:transparent;--spectrum-clearbutton-fill-background-color-key-focus:transparent}}\n"
    ]);
    _templateObject$19 = function _templateObject() {
        return data;
    };
    return data;
}
var e$i = i$p(_templateObject$19());
var f$6 = e$i;

function _array_like_to_array$c(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$9(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$c(arr);
}
function _assert_this_initialized$C(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$f(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$f(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$f(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$f(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$F(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$E(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$E(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$E(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$E(Constructor, staticProps);
    return Constructor;
}
function _get$m(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$m = Reflect.get;
    } else {
        _get$m = function get(target, property, receiver) {
            var base = _super_prop_base$m(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$m(target, property, receiver || target);
}
function _get_prototype_of$C(o) {
    _get_prototype_of$C = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$C(o);
}
function _inherits$C(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$C(subClass, superClass);
}
function _iterable_to_array$9(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$9() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$C(self, call) {
    if (call && (_type_of$C(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$C(self);
}
function _set_prototype_of$C(o, p) {
    _set_prototype_of$C = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$C(o, p);
}
function _super_prop_base$m(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$C(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$18(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$9(arr) {
    return _array_without_holes$9(arr) || _iterable_to_array$9(arr) || _unsupported_iterable_to_array$c(arr) || _non_iterable_spread$9();
}
function _type_of$C(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$c(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$c(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$c(o, minLen);
}
function _is_native_reflect_construct$C() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$C(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$C();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$C(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$C(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$C(this, result);
    };
}
function _ts_generator$f(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$18() {
    var data = _tagged_template_literal$18([
        '\n                          <sp-clear-button\n                              id="button"\n                              label="Reset"\n                              tabindex="-1"\n                              type="reset"\n                              size=',
        "\n                              @keydown=",
        "\n                          ></sp-clear-button>\n                      "
    ]);
    _templateObject$18 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$d() {
    var data = _tagged_template_literal$18([
        "\n            <form\n                action=",
        '\n                id="form"\n                method=',
        "\n                @submit=",
        "\n                @reset=",
        "\n                @keydown=",
        '\n            >\n                <sp-icon-magnify\n                    class="icon magnifier icon-workflow icon-search"\n                ></sp-icon-magnify>\n                ',
        "\n                ",
        "\n            </form>\n        "
    ]);
    _templateObject1$d = function _templateObject() {
        return data;
    };
    return data;
}
var d$a = Object.defineProperty;
var c$8 = Object.getOwnPropertyDescriptor;
var r$c = function(o, s, e, t) {
    for(var i = t > 1 ? void 0 : t ? c$8(s, e) : s, n = o.length - 1, a; n >= 0; n--)(a = o[n]) && (i = (t ? a(s, e, i) : a(i)) || i);
    return t && i && d$a(s, e, i), i;
};
var v$6 = function(o) {
    return o.stopPropagation();
};
var Search = /*#__PURE__*/ function(b) {
    _inherits$C(Search, b);
    var _super = _create_super$C(Search);
    function Search() {
        _class_call_check$F(this, Search);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.action = "";
        _this.label = "Search";
        _this.placeholder = "Search";
        return _this;
    }
    _create_class$E(Search, [
        {
            key: "handleSubmit",
            value: function handleSubmit(e) {
                this.dispatchEvent(new Event("submit", {
                    cancelable: !0,
                    bubbles: !0
                })) || e.preventDefault();
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                var t = e.code;
                t === "Escape" && this.holdValueOnEscape || !this.value || t !== "Escape" || this.reset();
            }
        },
        {
            key: "reset",
            value: function reset() {
                var _this = this;
                return _async_to_generator$f(function() {
                    return _ts_generator$f(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _this.value = "";
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 1:
                                _state.sent(), _this.focusElement.dispatchEvent(new InputEvent("input", {
                                    bubbles: !0,
                                    composed: !0
                                })), _this.focusElement.dispatchEvent(new InputEvent("change", {
                                    bubbles: !0
                                }));
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "renderField",
            value: function renderField() {
                return x$3(_templateObject1$d(), this.action, o$O(this.method), this.handleSubmit, this.reset, this.handleKeydown, _get$m(_get_prototype_of$C(Search.prototype), "renderField", this).call(this), this.value ? x$3(_templateObject$18(), o$O(this.size), v$6) : E$2);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$m(_get_prototype_of$C(Search.prototype), "firstUpdated", this).call(this, e), this.hasAttribute("holdValueOnEscape") || this.inputElement.setAttribute("type", "search");
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate() {
                this.multiline = !1;
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return _to_consumable_array$9(_get$m(_get_prototype_of$C(Search), "styles", this)).concat([
                    f$6
                ]);
            }
        }
    ]);
    return Search;
}(Textfield);
r$c([
    n$r()
], Search.prototype, "action", 2), r$c([
    n$r()
], Search.prototype, "label", 2), r$c([
    n$r()
], Search.prototype, "method", 2), r$c([
    n$r()
], Search.prototype, "placeholder", 2), r$c([
    n$r({
        type: Boolean
    })
], Search.prototype, "holdValueOnEscape", 2), r$c([
    e$F("#form")
], Search.prototype, "form", 2);

defineElement("sp-search", Search);

function _tagged_template_literal$17(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$17() {
    var data = _tagged_template_literal$17([
        "\n    :host{--spectrum-sidenav-focus-ring-size:var(--spectrum-focus-indicator-thickness);--spectrum-sidenav-focus-ring-gap:var(--spectrum-focus-indicator-gap);--spectrum-sidenav-focus-ring-color:var(--spectrum-focus-indicator-color);--spectrum-sidenav-min-height:var(--spectrum-component-height-100);--spectrum-sidenav-width:100%;--spectrum-sidenav-min-width:var(--spectrum-side-navigation-minimum-width);--spectrum-sidenav-max-width:var(--spectrum-side-navigation-maximum-width);--spectrum-sidenav-border-radius:var(--spectrum-corner-radius-100);--spectrum-sidenav-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-sidenav-icon-spacing:var(--spectrum-text-to-visual-100);--spectrum-sidenav-inline-padding:var(--spectrum-component-edge-to-text-100);--spectrum-sidenav-gap:var(--spectrum-side-navigation-item-to-item);--spectrum-sidenav-top-to-icon:var(--spectrum-component-top-to-workflow-icon-100);--spectrum-sidenav-top-to-label:var(--spectrum-component-top-to-text-100);--spectrum-sidenav-bottom-to-label:var(--spectrum-side-navigation-bottom-to-text);--spectrum-sidenav-start-to-content-second-level:var(--spectrum-side-navigation-second-level-edge-to-text);--spectrum-sidenav-start-to-content-third-level:var(--spectrum-side-navigation-third-level-edge-to-text);--spectrum-sidenav-start-to-content-with-icon-second-level:var(--spectrum-side-navigation-with-icon-second-level-edge-to-text);--spectrum-sidenav-start-to-content-with-icon-third-level:var(--spectrum-side-navigation-with-icon-third-level-edge-to-text);--spectrum-sidenav-heading-top-margin:var(--spectrum-side-navigation-item-to-header);--spectrum-sidenav-heading-bottom-margin:var(--spectrum-side-navigation-header-to-item);--spectrum-sidenav-background-disabled:transparent;--spectrum-sidenav-background-default:transparent;--spectrum-sidenav-background-hover:var(--spectrum-gray-200);--spectrum-sidenav-item-background-down:var(--spectrum-gray-300);--spectrum-sidenav-background-key-focus:var(--spectrum-gray-200);--spectrum-sidenav-item-background-default-selected:var(--spectrum-gray-200);--spectrum-sidenav-background-hover-selected:var(--spectrum-gray-300);--spectrum-sidenav-item-background-down-selected:var(--spectrum-gray-300);--spectrum-sidenav-background-key-focus-selected:var(--spectrum-gray-200);--spectrum-sidenav-header-color:var(--spectrum-gray-600);--spectrum-sidenav-content-disabled-color:var(--spectrum-disabled-content-color);--spectrum-sidenav-content-color-default:var(--spectrum-neutral-content-color-default);--spectrum-sidenav-content-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-sidenav-content-color-down:var(--spectrum-neutral-content-color-down);--spectrum-sidenav-content-color-key-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-sidenav-content-color-default-selected:var(--spectrum-neutral-content-color-default);--spectrum-sidenav-content-color-hover-selected:var(--spectrum-neutral-content-color-hover);--spectrum-sidenav-content-color-down-selected:var(--spectrum-neutral-content-color-down);--spectrum-sidenav-content-color-key-focus-selected:var(--spectrum-neutral-content-color-key-focus);--spectrum-sidenav-text-font-family:var(--spectrum-sans-font-family-stack);--spectrum-sidenav-text-font-weight:var(--spectrum-regular-font-weight);--spectrum-sidenav-text-font-style:var(--spectrum-default-font-style);--spectrum-sidenav-text-font-size:var(--spectrum-font-size-100);--spectrum-sidenav-text-line-height:var(--spectrum-line-height-100);--spectrum-sidenav-top-level-font-family:var(--spectrum-sans-font-family-stack);--spectrum-sidenav-top-level-font-weight:var(--spectrum-bold-font-weight);--spectrum-sidenav-top-level-font-style:var(--spectrum-default-font-style);--spectrum-sidenav-top-level-font-size:var(--spectrum-font-size-100);--spectrum-sidenav-top-level-line-height:var(--spectrum-line-height-100);--spectrum-sidenav-header-font-family:var(--spectrum-sans-font-family-stack);--spectrum-sidenav-header-font-weight:var(--spectrum-medium-font-weight);--spectrum-sidenav-header-font-style:var(--spectrum-default-font-style);--spectrum-sidenav-header-font-size:var(--spectrum-font-size-75);--spectrum-sidenav-header-line-height:var(--spectrum-line-height-100)}:host:lang(ja),:host:lang(ko),:host:lang(zh){--spectrum-sidenav-text-line-height:var(--spectrum-cjk-line-height-100);--spectrum-sidenav-top-level-line-height:var(--spectrum-cjk-line-height-100);--spectrum-sidenav-header-line-height:var(--spectrum-cjk-line-height-100)}:host{flex-direction:column;margin:0;padding:0;list-style-type:none;display:flex}@media (forced-colors:active){.spectrum-Icon{forced-color-adjust:preserve-parent-color}}:host{--spectrum-web-component-sidenav-font-weight:var(--mod-sidenav-text-font-weight,var(--spectrum-sidenav-text-font-weight));width:240px;display:block}:host(:not([variant=multilevel])){--mod-sidenav-top-level-font-weight:var(--mod-sidenav-text-font-weight,var(--spectrum-sidenav-text-font-weight))}\n"
    ]);
    _templateObject$17 = function _templateObject() {
        return data;
    };
    return data;
}
var t$9 = i$p(_templateObject$17());
var m$b = t$9;

function _tagged_template_literal$16(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$16() {
    var data = _tagged_template_literal$16([
        '\n    #list{--spectrum-sidenav-focus-ring-size:var(--spectrum-focus-indicator-thickness);--spectrum-sidenav-focus-ring-gap:var(--spectrum-focus-indicator-gap);--spectrum-sidenav-focus-ring-color:var(--spectrum-focus-indicator-color);--spectrum-sidenav-min-height:var(--spectrum-component-height-100);--spectrum-sidenav-width:100%;--spectrum-sidenav-min-width:var(--spectrum-side-navigation-minimum-width);--spectrum-sidenav-max-width:var(--spectrum-side-navigation-maximum-width);--spectrum-sidenav-border-radius:var(--spectrum-corner-radius-100);--spectrum-sidenav-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-sidenav-icon-spacing:var(--spectrum-text-to-visual-100);--spectrum-sidenav-inline-padding:var(--spectrum-component-edge-to-text-100);--spectrum-sidenav-gap:var(--spectrum-side-navigation-item-to-item);--spectrum-sidenav-top-to-icon:var(--spectrum-component-top-to-workflow-icon-100);--spectrum-sidenav-top-to-label:var(--spectrum-component-top-to-text-100);--spectrum-sidenav-bottom-to-label:var(--spectrum-side-navigation-bottom-to-text);--spectrum-sidenav-start-to-content-second-level:var(--spectrum-side-navigation-second-level-edge-to-text);--spectrum-sidenav-start-to-content-third-level:var(--spectrum-side-navigation-third-level-edge-to-text);--spectrum-sidenav-start-to-content-with-icon-second-level:var(--spectrum-side-navigation-with-icon-second-level-edge-to-text);--spectrum-sidenav-start-to-content-with-icon-third-level:var(--spectrum-side-navigation-with-icon-third-level-edge-to-text);--spectrum-sidenav-heading-top-margin:var(--spectrum-side-navigation-item-to-header);--spectrum-sidenav-heading-bottom-margin:var(--spectrum-side-navigation-header-to-item);--spectrum-sidenav-background-disabled:transparent;--spectrum-sidenav-background-default:transparent;--spectrum-sidenav-background-hover:var(--spectrum-gray-200);--spectrum-sidenav-item-background-down:var(--spectrum-gray-300);--spectrum-sidenav-background-key-focus:var(--spectrum-gray-200);--spectrum-sidenav-item-background-default-selected:var(--spectrum-gray-200);--spectrum-sidenav-background-hover-selected:var(--spectrum-gray-300);--spectrum-sidenav-item-background-down-selected:var(--spectrum-gray-300);--spectrum-sidenav-background-key-focus-selected:var(--spectrum-gray-200);--spectrum-sidenav-header-color:var(--spectrum-gray-600);--spectrum-sidenav-content-disabled-color:var(--spectrum-disabled-content-color);--spectrum-sidenav-content-color-default:var(--spectrum-neutral-content-color-default);--spectrum-sidenav-content-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-sidenav-content-color-down:var(--spectrum-neutral-content-color-down);--spectrum-sidenav-content-color-key-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-sidenav-content-color-default-selected:var(--spectrum-neutral-content-color-default);--spectrum-sidenav-content-color-hover-selected:var(--spectrum-neutral-content-color-hover);--spectrum-sidenav-content-color-down-selected:var(--spectrum-neutral-content-color-down);--spectrum-sidenav-content-color-key-focus-selected:var(--spectrum-neutral-content-color-key-focus);--spectrum-sidenav-text-font-family:var(--spectrum-sans-font-family-stack);--spectrum-sidenav-text-font-weight:var(--spectrum-regular-font-weight);--spectrum-sidenav-text-font-style:var(--spectrum-default-font-style);--spectrum-sidenav-text-font-size:var(--spectrum-font-size-100);--spectrum-sidenav-text-line-height:var(--spectrum-line-height-100);--spectrum-sidenav-top-level-font-family:var(--spectrum-sans-font-family-stack);--spectrum-sidenav-top-level-font-weight:var(--spectrum-bold-font-weight);--spectrum-sidenav-top-level-font-style:var(--spectrum-default-font-style);--spectrum-sidenav-top-level-font-size:var(--spectrum-font-size-100);--spectrum-sidenav-top-level-line-height:var(--spectrum-line-height-100);--spectrum-sidenav-header-font-family:var(--spectrum-sans-font-family-stack);--spectrum-sidenav-header-font-weight:var(--spectrum-medium-font-weight);--spectrum-sidenav-header-font-style:var(--spectrum-default-font-style);--spectrum-sidenav-header-font-size:var(--spectrum-font-size-75);--spectrum-sidenav-header-line-height:var(--spectrum-line-height-100)}#list:lang(ja),#list:lang(ko),#list:lang(zh){--spectrum-sidenav-text-line-height:var(--spectrum-cjk-line-height-100);--spectrum-sidenav-top-level-line-height:var(--spectrum-cjk-line-height-100);--spectrum-sidenav-header-line-height:var(--spectrum-cjk-line-height-100)}#list{flex-direction:column;margin:0;padding:0;list-style-type:none;display:flex}:host{margin-inline:0;list-style-type:none}:host([disabled]) #item-link{background-color:var(--highcontrast-sidenav-background-disabled,var(--mod-sidenav-background-disabled,var(--spectrum-sidenav-background-disabled)));color:var(--highcontrast-sidenav-content-disabled-color,var(--mod-sidenav-content-disabled-color,var(--spectrum-sidenav-content-disabled-color)));cursor:default;pointer-events:none}:host([selected]) #item-link{background-color:var(--highcontrast-sidenav-item-background-default-selected,var(--mod-sidenav-item-background-default-selected,var(--spectrum-sidenav-item-background-default-selected)));color:var(--highcontrast-sidenav-content-color-default-selected,var(--mod-sidenav-content-color-default-selected,var(--spectrum-sidenav-content-color-default-selected)))}:host([selected]) #item-link:active{background-color:var(--highcontrast-sidenav-item-background-down-selected,var(--mod-sidenav-item-background-down-selected,var(--spectrum-sidenav-item-background-down-selected)));color:var(--mod-sidenav-content-color-down-selected,var(--spectrum-sidenav-content-color-down-selected))}:host([selected]) #item-link.is-keyboardFocused,:host([selected]) #item-link:focus-visible{background-color:var(--highcontrast-sidenav-background-key-focus-selected,var(--mod-sidenav-background-key-focus-selected,var(--spectrum-sidenav-background-key-focus-selected)));color:var(--mod-sidenav-content-color-key-focus-selected,var(--spectrum-sidenav-content-color-key-focus-selected))}#item-link{padding-inline:var(--mod-sidenav-inline-padding,var(--spectrum-sidenav-inline-padding));box-sizing:border-box;word-break:break-word;hyphens:auto;cursor:pointer;transition:background-color var(--spectrum-animation-duration-100)ease-out,color var(--spectrum-animation-duration-100)ease-out;border-radius:var(--mod-sidenav-border-radius,var(--spectrum-sidenav-border-radius));background-color:var(--highcontrast-sidenav-background-default,var(--mod-sidenav-background-default,var(--spectrum-sidenav-background-default)));color:var(--highcontrast-sidenav-content-color-default,var(--mod-sidenav-content-color-default,var(--spectrum-sidenav-content-color-default)));inline-size:var(--mod-sidenav-width,var(--spectrum-sidenav-width));min-inline-size:var(--mod-sidenav-min-width,var(--spectrum-sidenav-min-width));max-inline-size:var(--mod-sidenav-max-width,var(--spectrum-sidenav-max-width));min-block-size:var(--mod-sidenav-min-height,var(--spectrum-sidenav-min-height));font-family:var(--mod-sidenav-text-font-family,var(--spectrum-sidenav-text-font-family));font-size:var(--mod-sidenav-text-font-size,var(--spectrum-sidenav-text-font-size));font-weight:var(--mod-sidenav-text-font-weight,var(--spectrum-sidenav-text-font-weight));font-style:var(--mod-sidenav-text-font-style,var(--spectrum-sidenav-text-font-style));line-height:var(--mod-sidenav-text-line-height,var(--spectrum-sidenav-text-line-height));justify-content:start;margin-block-end:var(--mod-sidenav-gap,var(--spectrum-sidenav-gap));-webkit-text-decoration:none;text-decoration:none;display:inline-flex;position:relative}#item-link #link-text{margin-block-start:var(--mod-sidenav-top-to-label,var(--spectrum-sidenav-top-to-label));margin-block-end:var(--mod-sidenav-bottom-to-label,var(--spectrum-sidenav-bottom-to-label))}#item-link ::slotted([slot=icon]){inline-size:var(--mod-sidenav-icon-size,var(--spectrum-sidenav-icon-size));block-size:var(--mod-sidenav-icon-size,var(--spectrum-sidenav-icon-size));flex-shrink:0;margin-block-start:var(--mod-sidenav-top-to-icon,var(--spectrum-sidenav-top-to-icon));margin-inline-end:var(--mod-sidenav-icon-spacing,var(--spectrum-sidenav-icon-spacing))}@media (hover:hover){:host([selected]) #item-link:hover{background-color:var(--highcontrast-sidenav-background-hover-selected,var(--mod-sidenav-background-hover-selected,var(--spectrum-sidenav-background-hover-selected)));color:var(--mod-sidenav-content-color-hover-selected,var(--spectrum-sidenav-content-color-hover-selected))}#item-link:hover{background-color:var(--highcontrast-sidenav-background-hover,var(--mod-sidenav-background-hover,var(--spectrum-sidenav-background-hover)));color:var(--highcontrast-sidenav-content-color-hover,var(--mod-sidenav-content-color-hover,var(--spectrum-sidenav-content-color-hover)))}}#item-link:active{background-color:var(--highcontrast-sidenav-item-background-down,var(--mod-sidenav-item-background-down,var(--spectrum-sidenav-item-background-down)));color:var(--highcontrast-sidenav-content-color-down,var(--mod-sidenav-content-color-down,var(--spectrum-sidenav-content-color-down)))}#item-link.is-keyboardFocused,#item-link:focus-visible{outline:var(--highcontrast-sidenav-focus-ring-color,var(--mod-sidenav-focus-ring-color,var(--spectrum-sidenav-focus-ring-color)))solid var(--mod-sidenav-focus-ring-size,var(--spectrum-sidenav-focus-ring-size));outline-offset:var(--mod-sidenav-focus-ring-gap,var(--spectrum-sidenav-focus-ring-gap));background-color:var(--highcontrast-sidenav-background-key-focus,var(--mod-sidenav-background-key-focus,var(--spectrum-sidenav-background-key-focus)));color:var(--highcontrast-sidenav-content-color-key-focus,var(--mod-sidenav-content-color-key-focus,var(--spectrum-sidenav-content-color-key-focus)))}#item-link[data-level]{font-family:var(--mod-sidenav-top-level-font-family,var(--spectrum-sidenav-top-level-font-family));font-weight:var(--mod-sidenav-top-level-font-weight,var(--spectrum-sidenav-top-level-font-weight));font-style:var(--mod-sidenav-top-level-font-style,var(--spectrum-sidenav-top-level-font-style));font-size:var(--mod-sidenav-top-level-font-size,var(--spectrum-sidenav-top-level-font-size));line-height:var(--mod-sidenav-top-level-line-height,var(--spectrum-sidenav-top-level-line-height))}#item-link:not([data-level="0"]){font-weight:var(--mod-sidenav-text-font-weight,var(--spectrum-sidenav-text-font-weight));padding-inline-start:var(--mod-sidenav-start-to-content-second-level,var(--spectrum-sidenav-start-to-content-second-level))}#item-link[data-level="2"]{padding-inline-start:var(--mod-sidenav-start-to-content-third-level,var(--spectrum-sidenav-start-to-content-third-level))}.spectrum-SideNav--hasIcon#item-link:not([data-level="0"]){padding-inline-start:var(--mod-sidenav-start-to-content-with-icon-second-level,var(--spectrum-sidenav-start-to-content-with-icon-second-level))}.spectrum-SideNav--hasIcon#item-link[data-level="2"]{padding-inline-start:var(--mod-sidenav-start-to-content-with-icon-third-level,var(--spectrum-sidenav-start-to-content-with-icon-third-level))}@media (forced-colors:active){#list ::slotted([slot=icon]){forced-color-adjust:preserve-parent-color}:host{forced-color-adjust:none;--highcontrast-sidenav-content-disabled-color:GrayText;--highcontrast-sidenav-focus-ring-color:Highlight;--highcontrast-sidenav-content-color-default-selected:SelectedItemText;--highcontrast-sidenav-item-background-default-selected:SelectedItem;--highcontrast-sidenav-background-key-focus-selected:Highlight;--highcontrast-sidenav-background-hover-selected:Highlight;--highcontrast-sidenav-item-background-down-selected:Highlight;--highcontrast-sidenav-item-background-down:Highlight;--highcontrast-sidenav-background-hover:Highlight;--highcontrast-sidenav-content-color-hover:HighlightText;--highcontrast-sidenav-background-key-focus:Highlight;--highcontrast-sidenav-top-level-font-color:ButtonText;--highcontrast-sidenav-content-color-default:ButtonText;--highcontrast-sidenav-content-color-down:HighlightText}}:host{display:block}:host([disabled]){pointer-events:none}a ::slotted(sp-sidenav-item){display:none}\n'
    ]);
    _templateObject$16 = function _templateObject() {
        return data;
    };
    return data;
}
var t$8 = i$p(_templateObject$16());
var c$7 = t$8;

function _assert_this_initialized$B(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$e(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$e(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$e(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$e(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$E(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$D(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$D(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$D(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$D(Constructor, staticProps);
    return Constructor;
}
function _get$l(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$l = Reflect.get;
    } else {
        _get$l = function get(target, property, receiver) {
            var base = _super_prop_base$l(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$l(target, property, receiver || target);
}
function _get_prototype_of$B(o) {
    _get_prototype_of$B = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$B(o);
}
function _inherits$B(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$B(subClass, superClass);
}
function _instanceof$6(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _possible_constructor_return$B(self, call) {
    if (call && (_type_of$B(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$B(self);
}
function _set_prototype_of$B(o, p) {
    _set_prototype_of$B = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$B(o, p);
}
function _super_prop_base$l(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$B(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$15(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$B(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$B() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$B(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$B();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$B(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$B(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$B(this, result);
    };
}
function _ts_generator$e(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$15() {
    var data = _tagged_template_literal$15([
        '\n                      <div id="list" aria-labelledby="item-link" role="list">\n                          <slot name="descendant"></slot>\n                      </div>\n                  '
    ]);
    _templateObject$15 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$c() {
    var data = _tagged_template_literal$15([
        "\n            <a\n                href=",
        "\n                target=",
        "\n                download=",
        "\n                rel=",
        '\n                data-level="',
        '"\n                @click="',
        '"\n                id="item-link"\n                aria-current=',
        "\n                aria-expanded=",
        "\n                aria-controls=",
        '\n            >\n                <slot name="icon"></slot>\n                <span id="link-text">\n                    ',
        "\n                    <slot></slot>\n                </span>\n            </a>\n            ",
        "\n        "
    ]);
    _templateObject1$c = function _templateObject() {
        return data;
    };
    return data;
}
var h$7 = Object.defineProperty;
var u$e = Object.getOwnPropertyDescriptor;
var n$4 = function(c, a, e, t) {
    for(var i = t > 1 ? void 0 : t ? u$e(a, e) : a, d = c.length - 1, l; d >= 0; d--)(l = c[d]) && (i = (t ? l(a, e, i) : l(i)) || i);
    return t && i && h$7(a, e, i), i;
};
var r$b = /*#__PURE__*/ function(_f) {
    _inherits$B(r, _f);
    var _super = _create_super$B(r);
    function r() {
        _class_call_check$E(this, r);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.value = void 0;
        _this.selected = !1;
        _this.expanded = !1;
        return _this;
    }
    _create_class$D(r, [
        {
            key: "parentSideNav",
            get: function get() {
                return this._parentSidenav || (this._parentSidenav = this.closest("sp-sidenav")), this._parentSidenav;
            }
        },
        {
            key: "hasChildren",
            get: function get() {
                return !!this.querySelector("sp-sidenav-item");
            }
        },
        {
            key: "depth",
            get: function get() {
                var e = 0, t = this.parentElement;
                for(; _instanceof$6(t, r);)e++, t = t.parentElement;
                return e;
            }
        },
        {
            key: "handleSideNavSelect",
            value: function handleSideNavSelect(e) {
                this.selected = e.target === this;
            }
        },
        {
            key: "handleClick",
            value: function handleClick(e) {
                !this.href && e && e.preventDefault(), !this.disabled && (!this.href || e != null && e.defaultPrevented) && (this.hasChildren ? this.expanded = !this.expanded : this.value && this.announceSelected(this.value));
            }
        },
        {
            key: "announceSelected",
            value: function announceSelected(e) {
                var t = {
                    value: e
                }, i = new CustomEvent("sidenav-select", {
                    bubbles: !0,
                    composed: !0,
                    detail: t
                });
                this.dispatchEvent(i);
            }
        },
        {
            key: "click",
            value: function click() {
                this.handleClick();
            }
        },
        {
            key: "focusElement",
            get: function get() {
                return this.shadowRoot.querySelector("#item-link");
            }
        },
        {
            key: "update",
            value: function update(e) {
                this.hasAttribute("slot") || (this.slot = "descendant"), _get$l(_get_prototype_of$B(r.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject1$c(), this.href || "#", o$O(this.target), o$O(this.download), o$O(this.rel), this.depth, this.handleClick, o$O(this.selected && this.href ? "page" : void 0), o$O(this.hasChildren ? this.expanded : void 0), o$O(this.hasChildren && this.expanded ? "list" : void 0), this.label, this.expanded ? x$3(_templateObject$15()) : E$2);
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                var t;
                this.hasChildren && this.expanded && !this.selected && (t = this.parentSideNav) != null && t.manageTabIndex ? this.focusElement.tabIndex = -1 : this.focusElement.removeAttribute("tabindex"), _get$l(_get_prototype_of$B(r.prototype), "updated", this).call(this, e);
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                _get$l(_get_prototype_of$B(r.prototype), "connectedCallback", this).call(this), this.startTrackingSelection();
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                this.stopTrackingSelection(), _get$l(_get_prototype_of$B(r.prototype), "disconnectedCallback", this).call(this);
            }
        },
        {
            key: "startTrackingSelection",
            value: function startTrackingSelection() {
                var _this = this;
                return _async_to_generator$e(function() {
                    var e, _tmp, t;
                    return _ts_generator$e(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                e = _this.parentSideNav;
                                _tmp = e;
                                if (!_tmp) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    e.updateComplete
                                ];
                            case 1:
                                _tmp = (_state.sent(), e.startTrackingSelectionForItem(_this), _this.selected = _this.value != null && _this.value === e.value, _this.selected === !0 && e.variant === "multilevel");
                                _state.label = 2;
                            case 2:
                                if (_tmp) {
                                    t = _this.parentElement;
                                    for(; _instanceof$6(t, r);)t.expanded = !0, t = t.parentElement;
                                }
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "stopTrackingSelection",
            value: function stopTrackingSelection() {
                var e = this.parentSideNav;
                e && e.stopTrackingSelectionForItem(this), this._parentSidenav = void 0;
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$l(_get_prototype_of$B(r.prototype), "firstUpdated", this).call(this, e), this.setAttribute("role", "listitem");
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    c$7
                ];
            }
        }
    ]);
    return r;
}(LikeAnchor(Focusable));
n$4([
    n$r()
], r$b.prototype, "value", 2), n$4([
    n$r({
        type: Boolean,
        reflect: !0
    })
], r$b.prototype, "selected", 2), n$4([
    n$r({
        type: Boolean,
        reflect: !0
    })
], r$b.prototype, "expanded", 2);
var SideNavItem = r$b;

function _tagged_template_literal$14(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$14() {
    var data = _tagged_template_literal$14([
        "\n    #list{--spectrum-sidenav-focus-ring-size:var(--spectrum-focus-indicator-thickness);--spectrum-sidenav-focus-ring-gap:var(--spectrum-focus-indicator-gap);--spectrum-sidenav-focus-ring-color:var(--spectrum-focus-indicator-color);--spectrum-sidenav-min-height:var(--spectrum-component-height-100);--spectrum-sidenav-width:100%;--spectrum-sidenav-min-width:var(--spectrum-side-navigation-minimum-width);--spectrum-sidenav-max-width:var(--spectrum-side-navigation-maximum-width);--spectrum-sidenav-border-radius:var(--spectrum-corner-radius-100);--spectrum-sidenav-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-sidenav-icon-spacing:var(--spectrum-text-to-visual-100);--spectrum-sidenav-inline-padding:var(--spectrum-component-edge-to-text-100);--spectrum-sidenav-gap:var(--spectrum-side-navigation-item-to-item);--spectrum-sidenav-top-to-icon:var(--spectrum-component-top-to-workflow-icon-100);--spectrum-sidenav-top-to-label:var(--spectrum-component-top-to-text-100);--spectrum-sidenav-bottom-to-label:var(--spectrum-side-navigation-bottom-to-text);--spectrum-sidenav-start-to-content-second-level:var(--spectrum-side-navigation-second-level-edge-to-text);--spectrum-sidenav-start-to-content-third-level:var(--spectrum-side-navigation-third-level-edge-to-text);--spectrum-sidenav-start-to-content-with-icon-second-level:var(--spectrum-side-navigation-with-icon-second-level-edge-to-text);--spectrum-sidenav-start-to-content-with-icon-third-level:var(--spectrum-side-navigation-with-icon-third-level-edge-to-text);--spectrum-sidenav-heading-top-margin:var(--spectrum-side-navigation-item-to-header);--spectrum-sidenav-heading-bottom-margin:var(--spectrum-side-navigation-header-to-item);--spectrum-sidenav-background-disabled:transparent;--spectrum-sidenav-background-default:transparent;--spectrum-sidenav-background-hover:var(--spectrum-gray-200);--spectrum-sidenav-item-background-down:var(--spectrum-gray-300);--spectrum-sidenav-background-key-focus:var(--spectrum-gray-200);--spectrum-sidenav-item-background-default-selected:var(--spectrum-gray-200);--spectrum-sidenav-background-hover-selected:var(--spectrum-gray-300);--spectrum-sidenav-item-background-down-selected:var(--spectrum-gray-300);--spectrum-sidenav-background-key-focus-selected:var(--spectrum-gray-200);--spectrum-sidenav-header-color:var(--spectrum-gray-600);--spectrum-sidenav-content-disabled-color:var(--spectrum-disabled-content-color);--spectrum-sidenav-content-color-default:var(--spectrum-neutral-content-color-default);--spectrum-sidenav-content-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-sidenav-content-color-down:var(--spectrum-neutral-content-color-down);--spectrum-sidenav-content-color-key-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-sidenav-content-color-default-selected:var(--spectrum-neutral-content-color-default);--spectrum-sidenav-content-color-hover-selected:var(--spectrum-neutral-content-color-hover);--spectrum-sidenav-content-color-down-selected:var(--spectrum-neutral-content-color-down);--spectrum-sidenav-content-color-key-focus-selected:var(--spectrum-neutral-content-color-key-focus);--spectrum-sidenav-text-font-family:var(--spectrum-sans-font-family-stack);--spectrum-sidenav-text-font-weight:var(--spectrum-regular-font-weight);--spectrum-sidenav-text-font-style:var(--spectrum-default-font-style);--spectrum-sidenav-text-font-size:var(--spectrum-font-size-100);--spectrum-sidenav-text-line-height:var(--spectrum-line-height-100);--spectrum-sidenav-top-level-font-family:var(--spectrum-sans-font-family-stack);--spectrum-sidenav-top-level-font-weight:var(--spectrum-bold-font-weight);--spectrum-sidenav-top-level-font-style:var(--spectrum-default-font-style);--spectrum-sidenav-top-level-font-size:var(--spectrum-font-size-100);--spectrum-sidenav-top-level-line-height:var(--spectrum-line-height-100);--spectrum-sidenav-header-font-family:var(--spectrum-sans-font-family-stack);--spectrum-sidenav-header-font-weight:var(--spectrum-medium-font-weight);--spectrum-sidenav-header-font-style:var(--spectrum-default-font-style);--spectrum-sidenav-header-font-size:var(--spectrum-font-size-75);--spectrum-sidenav-header-line-height:var(--spectrum-line-height-100)}#list:lang(ja),#list:lang(ko),#list:lang(zh){--spectrum-sidenav-text-line-height:var(--spectrum-cjk-line-height-100);--spectrum-sidenav-top-level-line-height:var(--spectrum-cjk-line-height-100);--spectrum-sidenav-header-line-height:var(--spectrum-cjk-line-height-100)}#list{flex-direction:column;margin:0;padding:0;list-style-type:none;display:flex}#heading{padding-inline:var(--mod-sidenav-inline-padding,var(--spectrum-sidenav-inline-padding));color:var(--mod-sidenav-header-color,var(--spectrum-sidenav-header-color));font-size:var(--mod-sidenav-header-font-size,var(--spectrum-sidenav-header-font-size));font-weight:var(--mod-sidenav-header-font-weight,var(--spectrum-sidenav-header-font-weight));font-style:var(--mod-sidenav-header-font-style,var(--spectrum-sidenav-header-font-style));line-height:var(--mod-sidenav-header-line-height,var(--spectrum-sidenav-header-line-height));margin-block-start:calc(var(--mod-sidenav-heading-top-margin,var(--spectrum-sidenav-heading-top-margin)) - var(--mod-sidenav-gap,var(--spectrum-sidenav-gap)));margin-block-end:var(--mod-sidenav-heading-bottom-margin,var(--spectrum-sidenav-heading-bottom-margin))}@media (forced-colors:active){#list .spectrum-Icon{forced-color-adjust:preserve-parent-color}}:host{display:block}\n"
    ]);
    _templateObject$14 = function _templateObject() {
        return data;
    };
    return data;
}
var t$7 = i$p(_templateObject$14());
var h$6 = t$7;

function _assert_this_initialized$A(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$D(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$C(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$C(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$C(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$C(Constructor, staticProps);
    return Constructor;
}
function _get$k(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$k = Reflect.get;
    } else {
        _get$k = function get(target, property, receiver) {
            var base = _super_prop_base$k(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$k(target, property, receiver || target);
}
function _get_prototype_of$A(o) {
    _get_prototype_of$A = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$A(o);
}
function _inherits$A(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$A(subClass, superClass);
}
function _possible_constructor_return$A(self, call) {
    if (call && (_type_of$A(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$A(self);
}
function _set_prototype_of$A(o, p) {
    _set_prototype_of$A = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$A(o, p);
}
function _super_prop_base$k(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$A(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$13(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$A(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$A() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$A(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$A();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$A(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$A(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$A(this, result);
    };
}
function _templateObject$13() {
    var data = _tagged_template_literal$13([
        '\n            <h2 id="heading">',
        '</h2>\n            <div id="list" aria-labelledby="heading" role="list">\n                <slot name="descendant"></slot>\n            </div>\n        '
    ]);
    _templateObject$13 = function _templateObject() {
        return data;
    };
    return data;
}
var a$8 = Object.defineProperty;
var p$e = Object.getOwnPropertyDescriptor;
var o$f = function(s, r, e, i) {
    for(var t = i > 1 ? void 0 : i ? p$e(r, e) : r, l = s.length - 1, d; l >= 0; l--)(d = s[l]) && (t = (i ? d(r, e, t) : d(t)) || t);
    return i && t && a$8(r, e, t), t;
};
var SideNavHeading = /*#__PURE__*/ function(m) {
    _inherits$A(SideNavHeading, m);
    var _super = _create_super$A(SideNavHeading);
    function SideNavHeading() {
        _class_call_check$D(this, SideNavHeading);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.label = "";
        return _this;
    }
    _create_class$C(SideNavHeading, [
        {
            key: "update",
            value: function update(e) {
                this.hasAttribute("slot") || (this.slot = "descendant"), _get$k(_get_prototype_of$A(SideNavHeading.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$13(), this.label);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$k(_get_prototype_of$A(SideNavHeading.prototype), "firstUpdated", this).call(this, e), this.setAttribute("role", "listitem");
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    c$7,
                    h$6
                ];
            }
        }
    ]);
    return SideNavHeading;
}(SpectrumElement);
o$f([
    n$r({
        reflect: !0
    })
], SideNavHeading.prototype, "label", 2);

function _array_like_to_array$b(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$8(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$b(arr);
}
function _assert_this_initialized$z(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$C(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$B(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$B(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$B(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$B(Constructor, staticProps);
    return Constructor;
}
function _get$j(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$j = Reflect.get;
    } else {
        _get$j = function get(target, property, receiver) {
            var base = _super_prop_base$j(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$j(target, property, receiver || target);
}
function _get_prototype_of$z(o) {
    _get_prototype_of$z = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$z(o);
}
function _inherits$z(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$z(subClass, superClass);
}
function _instanceof$5(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _iterable_to_array$8(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$8() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$z(self, call) {
    if (call && (_type_of$z(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$z(self);
}
function _set_prototype_of$z(o, p) {
    _set_prototype_of$z = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$z(o, p);
}
function _super_prop_base$j(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$z(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$12(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$8(arr) {
    return _array_without_holes$8(arr) || _iterable_to_array$8(arr) || _unsupported_iterable_to_array$b(arr) || _non_iterable_spread$8();
}
function _type_of$z(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$b(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$b(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$b(o, minLen);
}
function _is_native_reflect_construct$z() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$z(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$z();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$z(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$z(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$z(this, result);
    };
}
function _templateObject$12() {
    var data = _tagged_template_literal$12([
        "\n            <nav\n                @sidenav-select=",
        "\n                aria-label=",
        '\n            >\n                <div role="list">\n                    <slot\n                        name="descendant"\n                        @slotchange=',
        "\n                    ></slot>\n                </div>\n            </nav>\n        "
    ]);
    _templateObject$12 = function _templateObject() {
        return data;
    };
    return data;
}
var o$e = Object.defineProperty;
var u$d = Object.getOwnPropertyDescriptor;
var r$a = function(d, l, e, t) {
    for(var a = t > 1 ? void 0 : t ? u$d(l, e) : l, i = d.length - 1, s; i >= 0; i--)(s = d[i]) && (a = (t ? s(l, e, a) : s(a)) || a);
    return t && a && o$e(l, e, a), a;
};
var SideNav = /*#__PURE__*/ function(p) {
    _inherits$z(SideNav, p);
    var _super = _create_super$z(SideNav);
    function SideNav() {
        _class_call_check$C(this, SideNav);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.items = new Set;
        _this.rovingTabindexController = new RovingTabindexController(_assert_this_initialized$z(_this), {
            focusInIndex: function(e) {
                var t, a = e.findIndex(function(i) {
                    return i.value === _this.value && _this.isDisabledChild(i) && (t = i.closest("sp-sidenav-item:not([expanded])")), _this.value ? !i.disabled && !_this.isDisabledChild(i) && i.value === _this.value : !i.disabled && !_this.isDisabledChild(i);
                });
                return a === -1 && t && (a = e.findIndex(function(i) {
                    return i === t;
                })), a;
            },
            direction: "vertical",
            elements: function() {
                return _to_consumable_array$8(_this.querySelectorAll("sp-sidenav-item"));
            },
            isFocusableElement: function(e) {
                return !e.disabled && !_this.isDisabledChild(e);
            }
        });
        _this.manageTabIndex = !1;
        _this.value = void 0;
        _this.variant = void 0;
        _this.label = void 0;
        return _this;
    }
    _create_class$B(SideNav, [
        {
            key: "startTrackingSelectionForItem",
            value: function startTrackingSelectionForItem(e) {
                this.items.add(e), this.rovingTabindexController.clearElementCache();
            }
        },
        {
            key: "stopTrackingSelectionForItem",
            value: function stopTrackingSelectionForItem(e) {
                this.items.delete(e), this.rovingTabindexController.clearElementCache();
            }
        },
        {
            key: "handleSelect",
            value: function handleSelect(e) {
                if (e.stopPropagation(), this.value === e.detail.value) return;
                var t = this.value;
                this.value = e.detail.value, this.dispatchEvent(new Event("change", {
                    bubbles: !0,
                    composed: !0,
                    cancelable: !0
                })) ? this.items.forEach(function(i) {
                    return i.handleSideNavSelect(e);
                }) : (this.value = t, e.target.selected = !1, e.preventDefault());
            }
        },
        {
            key: "focus",
            value: function focus() {
                this.rovingTabindexController.focus();
            }
        },
        {
            key: "blur",
            value: function blur() {
                this.focusElement !== this && _get$j(_get_prototype_of$z(SideNav.prototype), "blur", this).call(this);
            }
        },
        {
            key: "click",
            value: function click() {
                this.focusElement !== this && _get$j(_get_prototype_of$z(SideNav.prototype), "click", this).call(this);
            }
        },
        {
            key: "focusElement",
            get: function get() {
                return this.rovingTabindexController.focusInElement || this;
            }
        },
        {
            key: "isDisabledChild",
            value: function isDisabledChild(e) {
                if (e.disabled) return !0;
                var t = e.parentElement;
                for(; _instanceof$5(t, SideNavHeading) || !t.disabled && _instanceof$5(t, SideNavItem) && t.expanded;)t = t.parentElement;
                return t !== this;
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange() {
                this.manageTabIndex ? this.rovingTabindexController.manage() : this.rovingTabindexController.unmanage();
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$12(), this.handleSelect, o$O(this.label), this.handleSlotchange);
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate() {
                if (!this.hasUpdated) {
                    var e = this.querySelector("[selected]");
                    e && (this.value = e.value);
                }
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$j(_get_prototype_of$z(SideNav.prototype), "updated", this).call(this, e), e.has("manageTabIndex") && (this.manageTabIndex ? this.rovingTabindexController.manage() : this.rovingTabindexController.unmanage());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    m$b
                ];
            }
        }
    ]);
    return SideNav;
}(Focusable);
r$a([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "manage-tab-index"
    })
], SideNav.prototype, "manageTabIndex", 2), r$a([
    n$r({
        reflect: !0
    })
], SideNav.prototype, "value", 2), r$a([
    n$r({
        reflect: !0
    })
], SideNav.prototype, "variant", 2), r$a([
    n$r({
        reflect: !0
    })
], SideNav.prototype, "label", 2);

defineElement("sp-sidenav", SideNav);

defineElement("sp-sidenav-heading", SideNavHeading);

defineElement("sp-sidenav-item", SideNavItem);

function _assert_this_initialized$y(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$B(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$A(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$A(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$A(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$A(Constructor, staticProps);
    return Constructor;
}
function _get$i(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$i = Reflect.get;
    } else {
        _get$i = function get(target, property, receiver) {
            var base = _super_prop_base$i(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$i(target, property, receiver || target);
}
function _get_prototype_of$y(o) {
    _get_prototype_of$y = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$y(o);
}
function _inherits$y(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$y(subClass, superClass);
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = _object_without_properties_loose(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceSymbolKeys.length; i++){
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}
function _possible_constructor_return$y(self, call) {
    if (call && (_type_of$y(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$y(self);
}
function _set_prototype_of$y(o, p) {
    _set_prototype_of$y = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$y(o, p);
}
function _super_prop_base$i(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$y(object);
        if (object === null) break;
    }
    return object;
}
function _type_of$y(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$y() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$y(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$y();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$y(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$y(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$y(this, result);
    };
}
var p$d = Object.defineProperty;
var b$4 = Object.getOwnPropertyDescriptor;
var o$d = function(t, a, e, r) {
    for(var i = r > 1 ? void 0 : r ? b$4(a, e) : a, m = t.length - 1, n; m >= 0; m--)(n = t[m]) && (i = (r ? n(a, e, i) : n(i)) || i);
    return r && i && p$d(a, e, i), i;
};
var defaultNormalization = {
    toNormalized: function toNormalized(t, a, e) {
        return (t - a) / (e - a);
    },
    fromNormalized: function fromNormalized(t, a, e) {
        return t * (e - a) + a;
    }
};
var c$6 = {
    fromAttribute: function(t) {
        return t === "previous" ? t : parseFloat(t);
    },
    toAttribute: function(t) {
        return t.toString();
    }
}, d$9 = {
    fromAttribute: function(t) {
        return t === "next" ? t : parseFloat(t);
    },
    toAttribute: function(t) {
        return t.toString();
    }
};
var SliderHandle = /*#__PURE__*/ function(h) {
    _inherits$y(SliderHandle, h);
    var _super = _create_super$y(SliderHandle);
    function SliderHandle() {
        _class_call_check$B(this, SliderHandle);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this._forcedUnit = "";
        _this.dragging = !1;
        _this.highlight = !1;
        _this.name = "";
        _this.label = "";
        _this.getAriaHandleText = function(e, r) {
            return r.format(e);
        };
        _this.languageResolver = new LanguageResolutionController(_assert_this_initialized$y(_this));
        _this.normalization = defaultNormalization;
        return _this;
    }
    _create_class$A(SliderHandle, [
        {
            key: "handleName",
            get: function get() {
                return this.name;
            }
        },
        {
            key: "focusElement",
            get: function get() {
                var e, r;
                return (r = (e = this.handleController) == null ? void 0 : e.inputForHandle(this)) != null ? r : this;
            }
        },
        {
            key: "update",
            value: function update(e) {
                var _this = this;
                var r, i;
                if (!this.hasUpdated) {
                    var _this1 = this, m = _this1.max, n = _this1.min;
                    this.value == null && !isNaN(m) && !isNaN(n) && (this.value = m < n ? n : n + (m - n) / 2, (r = this.handleController) == null || r.hostUpdate());
                }
                (e.has("formatOptions") || e.has(languageResolverUpdatedSymbol)) && delete this._numberFormatCache, e.has("value") && e.get("value") != null && this.updateComplete.then(function() {
                    var n;
                    (n = _this.handleController) == null || n.setValueFromHandle(_this);
                }), (i = this.handleController) == null || i.handleHasChanged(this), _get$i(_get_prototype_of$y(SliderHandle.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$i(_get_prototype_of$y(SliderHandle.prototype), "firstUpdated", this).call(this, e), this.dispatchEvent(new CustomEvent("sp-slider-handle-ready"));
            }
        },
        {
            key: "dispatchInputEvent",
            value: function dispatchInputEvent() {
                var e = new Event("input", {
                    bubbles: !0,
                    composed: !0
                });
                this.dispatchEvent(e);
            }
        },
        {
            key: "getNumberFormat",
            value: function getNumberFormat() {
                var e;
                if (!this._numberFormatCache || this.languageResolver.language !== this._numberFormatCache.language) {
                    var r;
                    try {
                        r = new $488c6ddbf4ef74c2$export$cc77c4ff7e8673c5(this.languageResolver.language, this.formatOptions), this._forcedUnit = "";
                    } catch (i) {
                        var _ref = this.formatOptions || {}, m = _ref.style, n = _ref.unit; _ref.unitDisplay; var s = _object_without_properties(_ref, [
                            "style",
                            "unit",
                            "unitDisplay"
                        ]);
                        m === "unit" && (this._forcedUnit = n), r = new $488c6ddbf4ef74c2$export$cc77c4ff7e8673c5(this.languageResolver.language, s);
                    }
                    this._numberFormatCache = {
                        language: this.languageResolver.language,
                        numberFormat: r
                    };
                }
                return (e = this._numberFormatCache) == null ? void 0 : e.numberFormat;
            }
        },
        {
            key: "numberFormat",
            get: function get() {
                if (this.formatOptions) return this.getNumberFormat();
            }
        }
    ]);
    return SliderHandle;
}(Focusable);
o$d([
    n$r({
        type: Number
    })
], SliderHandle.prototype, "value", 2), o$d([
    n$r({
        type: Number,
        attribute: "default-value"
    })
], SliderHandle.prototype, "defaultValue", 2), o$d([
    n$r({
        type: Boolean,
        reflect: !0
    })
], SliderHandle.prototype, "dragging", 2), o$d([
    n$r({
        type: Boolean
    })
], SliderHandle.prototype, "highlight", 2), o$d([
    n$r({
        type: String
    })
], SliderHandle.prototype, "name", 2), o$d([
    n$r({
        reflect: !0,
        converter: c$6
    })
], SliderHandle.prototype, "min", 2), o$d([
    n$r({
        reflect: !0,
        converter: d$9
    })
], SliderHandle.prototype, "max", 2), o$d([
    n$r({
        type: Number,
        reflect: !0
    })
], SliderHandle.prototype, "step", 2), o$d([
    n$r({
        type: Object,
        attribute: "format-options"
    })
], SliderHandle.prototype, "formatOptions", 2), o$d([
    n$r({
        type: String
    })
], SliderHandle.prototype, "label", 2), o$d([
    n$r({
        attribute: !1
    })
], SliderHandle.prototype, "getAriaHandleText", 2), o$d([
    n$r({
        attribute: !1
    })
], SliderHandle.prototype, "normalization", 2);

defineElement("sp-slider-handle", SliderHandle);

function _tagged_template_literal$11(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$11() {
    var data = _tagged_template_literal$11([
        '\n    :host{--spectrum-slider-font-size:var(--spectrum-font-size-75);--spectrum-slider-handle-size:var(--spectrum-slider-handle-size-medium);--spectrum-slider-control-height:var(--spectrum-component-height-100);--spectrum-slider-handle-border-radius:var(--spectrum-corner-radius-200);--spectrum-slider-handle-border-width-down:var(--spectrum-slider-handle-border-width-down-medium);--spectrum-slider-label-top-to-text:var(--spectrum-component-top-to-text-75);--spectrum-slider-control-to-field-label:var(--spectrum-slider-control-to-field-label-medium);--spectrum-slider-value-side-padding-inline:var(--spectrum-spacing-200);--spectrum-slider-value-inline-size:18px}:host:dir(rtl),:host([dir=rtl]){--spectrum-logical-rotation:matrix(-1,0,0,1,0,0)}:host([size=s]){--spectrum-slider-font-size:var(--spectrum-font-size-75);--spectrum-slider-handle-size:var(--spectrum-slider-handle-size-small);--spectrum-slider-control-height:var(--spectrum-component-height-75);--spectrum-slider-handle-border-radius:var(--spectrum-corner-radius-200);--spectrum-slider-handle-border-width-down:var(--spectrum-slider-handle-border-width-down-small);--spectrum-slider-label-top-to-text:var(--spectrum-component-top-to-text-75);--spectrum-slider-control-to-field-label:var(--spectrum-slider-control-to-field-label-small);--spectrum-slider-value-side-padding-inline:var(--spectrum-spacing-100)}:host([size=l]){--spectrum-slider-font-size:var(--spectrum-font-size-100);--spectrum-slider-handle-size:var(--spectrum-slider-handle-size-large);--spectrum-slider-control-height:var(--spectrum-component-height-200);--spectrum-slider-handle-border-radius:calc(var(--spectrum-corner-radius-200)*4);--spectrum-slider-handle-border-width-down:var(--spectrum-slider-handle-border-width-down-large);--spectrum-slider-label-top-to-text:var(--spectrum-component-top-to-text-100);--spectrum-slider-control-to-field-label:var(--spectrum-slider-control-to-field-label-large);--spectrum-slider-value-side-padding-inline:var(--spectrum-spacing-200);--spectrum-slider-value-inline-size:18px}:host([size=xl]){--spectrum-slider-font-size:var(--spectrum-font-size-200);--spectrum-slider-handle-size:var(--spectrum-slider-handle-size-extra-large);--spectrum-slider-control-height:var(--spectrum-component-height-300);--spectrum-slider-handle-border-radius:calc(var(--spectrum-corner-radius-200)*4);--spectrum-slider-handle-border-width-down:var(--spectrum-slider-handle-border-width-down-extra-large);--spectrum-slider-label-top-to-text:var(--spectrum-component-top-to-text-200);--spectrum-slider-control-to-field-label:var(--spectrum-slider-control-to-field-label-extra-large);--spectrum-slider-value-side-padding-inline:var(--spectrum-spacing-200);--spectrum-slider-value-inline-size:22px}:host{--spectrum-slider-cjk-line-height:var(--spectrum-cjk-line-height-100);--spectrum-slider-min-size:var(--spectrum-spacing-900);--spectrum-slider-track-corner-radius:var(--spectrum-corner-radius-75);--spectrum-slider-label-margin-start:var(--spectrum-spacing-300);--spectrum-slider-handle-border-width:var(--spectrum-border-width-200);--spectrum-slider-handle-margin-left:calc(var(--spectrum-slider-handle-size)/-2);--spectrum-slider-controls-margin:calc(var(--spectrum-slider-handle-size)/2);--spectrum-slider-track-margin-offset:calc(var(--spectrum-slider-controls-margin)*-1);--spectrum-slider-track-middle-handleoffset:calc(var(--spectrum-slider-handle-gap) + var(--spectrum-slider-handle-size)/2);--spectrum-slider-input-top-size:calc(var(--spectrum-slider-handle-size)/-2/4);--spectrum-slider-track-fill-thickness:var(--spectrum-slider-track-thickness);--spectrum-slider-tick-mark-width:var(--spectrum-border-width-200);--spectrum-slider-tick-mark-border-radius:2px;--spectrum-slider-tick-handle-background-color:var(--spectrum-gray-100);--spectrum-slider-track-color-disabled:var(--spectrum-disabled-background-color);--spectrum-slider-track-fill-color-disabled:var(--spectrum-disabled-background-color);--spectrum-slider-handle-border-color-disabled:var(--spectrum-disabled-border-color);--spectrum-slider-label-text-color:var(--spectrum-neutral-content-color-default);--spectrum-slider-label-text-color-disabled:var(--spectrum-disabled-content-color);--spectrum-slider-tick-mark-color-disabled:var(--spectrum-disabled-background-color);--spectrum-slider-ramp-handle-border-color-active:var(--spectrum-gray-100);--spectrum-slider-input-left:calc(var(--spectrum-slider-handle-margin-left)/4);--spectrum-slider-track-handleoffset:var(--spectrum-slider-handle-gap);--spectrum-slider-range-track-reset:0;z-index:1;min-inline-size:var(--mod-slider-min-size,var(--spectrum-slider-min-size));-webkit-user-select:none;user-select:none;display:block;position:relative}.spectrum-Slider--sideLabel{align-items:center;display:flex}.spectrum-Slider--sideLabel #label-container,.spectrum-Slider--sideLabel #label-container+#track{margin-block-start:0}.spectrum-Slider--sideLabel #controls{margin-inline-end:var(--mod-slider-controls-margin,var(--spectrum-slider-controls-margin))}.spectrum-Slider--sideLabel #value{inline-size:var(--mod-slider-value-inline-size,var(--spectrum-slider-value-inline-size));text-align:start;margin-inline-start:var(--mod-slider-value-side-padding-inline,var(--spectrum-slider-value-side-padding-inline))}#controls{box-sizing:border-box;cursor:pointer;z-index:auto;inline-size:calc(100% - var(--mod-slider-controls-margin,var(--spectrum-slider-controls-margin))*2);block-size:var(--mod-slider-control-height,var(--spectrum-slider-control-height));vertical-align:top;margin-inline-start:var(--mod-slider-controls-margin,var(--spectrum-slider-controls-margin));display:inline-block;position:relative}#label-container+#track{margin-block-start:calc(var(--spectrum-slider-control-to-field-label)*-1)}:host([tick-labels]){margin-block-end:var(--mod-slider-control-height,var(--spectrum-slider-control-height))}.fill,.track{block-size:var(--mod-slider-track-fill-thickness,var(--spectrum-slider-track-fill-thickness));box-sizing:border-box;z-index:1;pointer-events:none;margin-inline-start:var(--mod-slider-track-margin-offset,var(--spectrum-slider-track-margin-offset));padding-block:0;padding-inline-start:0;padding-inline-end:var(--mod-slider-handle-gap,var(--spectrum-slider-handle-gap));position:absolute;inset-block-start:calc(var(--mod-slider-control-height,var(--spectrum-slider-control-height))/2 - var(--mod-slider-track-fill-thickness,var(--spectrum-slider-track-fill-thickness))/2);inset-inline:0 auto}.fill:before,.track:before{content:"";border-start-start-radius:0;border-start-end-radius:0;border-end-end-radius:0;border-end-start-radius:0;block-size:100%;display:block}.track:first-of-type:before{border-start-start-radius:var(--mod-slider-track-corner-radius,var(--spectrum-slider-track-corner-radius));border-end-start-radius:var(--mod-slider-track-corner-radius,var(--spectrum-slider-track-corner-radius))}.track:last-of-type:before{border-start-end-radius:var(--mod-slider-track-corner-radius,var(--spectrum-slider-track-corner-radius));border-end-end-radius:var(--mod-slider-track-corner-radius,var(--spectrum-slider-track-corner-radius))}.track~.track{margin-inline-start:var(--mod-slider-range-track-reset,var(--spectrum-slider-range-track-reset));margin-inline-end:var(--mod-slider-track-margin-offset,var(--spectrum-slider-track-margin-offset));padding-block:0;padding-inline-start:var(--mod-slider-track-handleoffset,var(--spectrum-slider-track-handleoffset));padding-inline-end:0;inset-inline-start:auto;inset-inline-end:var(--mod-slider-range-track-reset,var(--spectrum-slider-range-track-reset))}:host([variant=range]) .track~.track{padding-inline:var(--mod-slider-track-middle-handleoffset,var(--spectrum-slider-track-middle-handleoffset))var(--mod-slider-track-middle-handleoffset,var(--spectrum-slider-track-middle-handleoffset));margin-inline:var(--mod-slider-range-track-reset,var(--spectrum-slider-range-track-reset));inset-inline:auto}.fill{margin-inline-start:0;padding-block:0;padding-inline-start:calc(var(--mod-slider-controls-margin,var(--spectrum-slider-controls-margin)) + var(--spectrum-slider-handle-gap,var(--spectrum-slider-handle-gap)));padding-inline-end:0}.offset{padding-block:0;padding-inline-start:0;padding-inline-end:calc(var(--mod-slider-controls-margin,var(--spectrum-slider-controls-margin)) + var(--spectrum-slider-handle-gap,var(--spectrum-slider-handle-gap)))}:host([variant=range]) #value{-webkit-user-select:text;user-select:text}:host([variant=range]) .track:first-of-type{margin-inline-start:var(--mod-slider-track-margin-offset,var(--spectrum-slider-track-margin-offset));padding-inline-start:0;padding-inline-end:var(--mod-slider-track-handleoffset,var(--spectrum-slider-track-handleoffset));inset-inline-start:var(--mod-slider-range-track-reset,var(--spectrum-slider-range-track-reset));inset-inline-end:auto}:host([variant=range]) .track:first-of-type:before{border-start-start-radius:var(--mod-slider-track-corner-radius,var(--spectrum-slider-track-corner-radius));border-end-start-radius:var(--mod-slider-track-corner-radius,var(--spectrum-slider-track-corner-radius))}:host([variant=range]) .track:last-of-type{margin-inline-end:var(--mod-slider-track-margin-offset,var(--spectrum-slider-track-margin-offset));padding-inline-start:var(--spectrum-slider-track-handleoffset);padding-inline-end:0;inset-inline-start:auto;inset-inline-end:var(--mod-slider-range-track-reset,var(--spectrum-slider-range-track-reset))}:host([variant=range]) .track:last-of-type:before{border-start-end-radius:var(--mod-slider-track-corner-radius,var(--spectrum-slider-track-corner-radius));border-end-end-radius:var(--mod-slider-track-corner-radius,var(--spectrum-slider-track-corner-radius))}#ramp{block-size:var(--mod-slider-ramp-track-height,var(--spectrum-slider-ramp-track-height));margin-block-start:calc(var(--mod-slider-ramp-track-height,var(--spectrum-slider-ramp-track-height))/2);position:absolute;inset-inline-start:var(--spectrum-slider-track-margin-offset,var(--spectrum-slider-track-margin-offset));inset-inline-end:var(--spectrum-slider-track-margin-offset,var(--spectrum-slider-track-margin-offset))}#ramp svg{transform:var(--spectrum-logical-rotation);block-size:100%;inline-size:100%}.handle{z-index:2;box-sizing:border-box;inline-size:var(--mod-slider-handle-size,var(--spectrum-slider-handle-size));block-size:var(--mod-slider-handle-size,var(--spectrum-slider-handle-size));margin-block:0;margin-inline:calc(var(--mod-slider-handle-size,var(--spectrum-slider-handle-size))/-2)0;border-width:var(--mod-slider-handle-border-width,var(--spectrum-slider-handle-border-width));border-radius:var(--mod-slider-handle-border-radius,var(--spectrum-slider-handle-border-radius));transition:border-width var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-in-out;border-style:solid;outline:none;display:inline-block;position:absolute;inset-block-start:calc(var(--mod-slider-control-height,var(--spectrum-slider-control-height))/2 - var(--mod-slider-handle-size,var(--spectrum-slider-handle-size))/2);inset-inline-start:0}.handle.dragging,.handle:active{border-width:var(--mod-slider-handle-border-width-down,var(--spectrum-slider-handle-border-width-down))}.handle.dragging,.handle.handle-highlight,.handle.is-tophandle,.handle:active{z-index:3}.handle:before{content:"";transition:box-shadow var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-out,inline-size var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-out,block-size var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-out;inline-size:var(--mod-slider-handle-size,var(--spectrum-slider-handle-size));block-size:var(--mod-slider-handle-size,var(--spectrum-slider-handle-size));border-radius:100%;display:block;position:absolute;inset-block-start:50%;inset-inline-start:50%;transform:translate(-50%,-50%)}.handle:dir(rtl):before,:host([dir=rtl]) .handle:before{transform:translate(50%,-50%)}.handle.handle-highlight:before{inline-size:calc(var(--mod-slider-handle-size,var(--spectrum-slider-handle-size)) + var(--mod-focus-indicator-gap,var(--spectrum-focus-indicator-gap))*2);block-size:calc(var(--mod-slider-handle-size,var(--spectrum-slider-handle-size)) + var(--mod-focus-indicator-gap,var(--spectrum-focus-indicator-gap))*2)}.input{inline-size:var(--mod-slider-handle-size,var(--spectrum-slider-handle-size));block-size:var(--mod-slider-handle-size,var(--spectrum-slider-handle-size));opacity:.000001;cursor:default;appearance:none;pointer-events:none;border:0;margin:0;padding:0;position:absolute;inset-block-start:var(--mod-slider-input-top-size,var(--spectrum-slider-input-top-size));inset-inline-start:var(--mod-slider-input-left,var(--spectrum-slider-input-left));overflow:hidden}.input:focus{outline:none}#label-container{font-size:var(--mod-slider-font-size,var(--spectrum-slider-font-size));line-height:var(--mod-line-height-100,var(--spectrum-line-height-100));align-items:center;inline-size:auto;margin-block-start:var(--mod-slider-label-top-to-text,var(--spectrum-slider-label-top-to-text));display:flex;position:relative}#label-container:lang(ja),#label-container:lang(ko),#label-container:lang(zh){line-height:var(--mod-slider-cjk-line-height,var(--spectrum-slider-cjk-line-height))}#label{font-size:var(--mod-slider-font-size,var(--spectrum-slider-font-size));flex-grow:1;padding-inline-start:0}#value{cursor:default;font-feature-settings:"tnum";text-align:end;flex-grow:0;margin-inline-start:var(--mod-slider-label-margin-start,var(--spectrum-slider-label-margin-start));padding-inline-end:0}:host([variant=tick]) .handle{background-color:var(--highcontrast-slider-tick-handle-background-color,var(--mod-slider-tick-handle-background-color,var(--spectrum-slider-tick-handle-background-color)))}:host([variant=tick]) #controls{margin-block-start:calc(var(--spectrum-text-to-visual-75) - var(--mod-slider-tick-mark-height,var(--spectrum-slider-tick-mark-height))/2 - var(--mod-slider-track-thickness,var(--spectrum-slider-track-thickness))/2)}:host([variant=tick]) .tickLabel{margin-block-start:calc(var(--mod-slider-tick-mark-height,var(--spectrum-slider-tick-mark-height)) + var(--spectrum-text-to-visual-75))}.ticks{z-index:0;margin-inline:var(--mod-slider-track-margin-offset,var(--spectrum-slider-track-margin-offset));justify-content:space-between;display:flex}.ticks~.handleContainer .handle{background:var(--mod-slider-ticks-handle-background-color,var(--spectrum-slider-ticks-handle-background-color))}.tick{position:relative;inset-block-start:calc(var(--mod-slider-track-thickness,var(--spectrum-slider-control-height))/2 - var(--mod-slider-tick-mark-height,var(--spectrum-slider-tick-mark-height))/2)}.tick,.tick:after{inline-size:var(--mod-slider-tick-mark-width,var(--spectrum-slider-tick-mark-width))}.tick:after{content:"";block-size:var(--mod-slider-tick-mark-height,var(--spectrum-slider-tick-mark-height));border-radius:var(--mod-slider-tick-mark-border-radius,var(--spectrum-slider-tick-mark-border-radius));display:block;position:absolute;inset-block-start:0;inset-inline-start:calc(50% - var(--mod-slider-tick-mark-width,var(--spectrum-slider-tick-mark-width))/2)}.tick .tickLabel{font-size:var(--mod-font-size-75,var(--spectrum-font-size-75));line-height:var(--mod-line-height-100,var(--spectrum-line-height-100));justify-content:center;align-items:center;display:flex}.tick:first-of-type .tickLabel,.tick:last-of-type .tickLabel{margin-inline:0;display:block;position:absolute}.tick:first-of-type{inset-inline-start:calc(var(--mod-slider-tick-mark-width,var(--spectrum-slider-tick-mark-width))/-2)}.tick:first-of-type .tickLabel{inset-inline-start:0}.tick:last-of-type{inset-inline-end:calc(var(--mod-slider-tick-mark-width,var(--spectrum-slider-tick-mark-width))/-2)}.tick:last-of-type .tickLabel{inset-inline-end:0}.handleContainer,.trackContainer{inline-size:calc(100% + var(--spectrum-slider-handle-size));margin-inline-start:calc(var(--spectrum-slider-handle-size)/2*-1);position:absolute;inset-block-start:0}.trackContainer{block-size:var(--mod-slider-control-height,var(--spectrum-slider-control-height));overflow:hidden}.track:before{background:var(--highcontrast-slider-track-color-static,var(--mod-slider-track-color,var(--spectrum-slider-track-color)))}.track:not(:has(~.spectrum-Slider-fill)):before{background:var(--highcontrast-slider-track-color,var(--mod-slider-track-color,var(--spectrum-slider-track-color)))}#label-container{color:var(--highcontrast-slider-label-text-color,var(--mod-slider-label-text-color,var(--spectrum-slider-label-text-color)))}:host([variant=filled]) .track:first-child:before,.fill:before{background:var(--highcontrast-slider-filled-track-fill-color,var(--mod-slider-track-fill-color,var(--spectrum-slider-track-fill-color)))}#ramp path{fill:var(--highcontrast-slider-ramp-track-color,var(--mod-slider-ramp-track-color,var(--spectrum-slider-ramp-track-color)))}.handle{border-color:var(--highcontrast-slider-handle-border-color,var(--mod-slider-handle-border-color,var(--spectrum-slider-handle-border-color)));background:var(--highcontrast-slider-handle-background-color,var(--mod-slider-handle-background-color,var(--spectrum-slider-handle-background-color)))}.handle.handle-highlight{border-color:var(--highcontrast-slider-handle-border-color-key-focus,var(--mod-slider-handle-border-color-key-focus,var(--spectrum-slider-handle-border-color-key-focus)))}.handle.handle-highlight:before{box-shadow:0 0 0 var(--spectrum-focus-indicator-thickness)var(--highcontrast-slider-handle-focus-ring-color-key-focus,var(--mod-slider-handle-focus-ring-color-key-focus,var(--spectrum-slider-handle-focus-ring-color-key-focus)))}.handle.dragging,.handle:active{border-color:var(--highcontrast-slider-handle-border-color-down,var(--mod-slider-handle-border-color-down,var(--spectrum-slider-handle-border-color-down)))}:host([variant=ramp]) .handle{box-shadow:0 0 0 var(--spectrum-slider-handle-gap)var(--highcontrast-slider-ramp-handle-border-color-active,var(--mod-sectrum-slider-ramp-handle-border-color-active,var(--spectrum-slider-ramp-handle-border-color-active)));background:var(--mod-slider-ramp-handle-background-color,var(--highcontrast-slider-ramp-handle-background-color,var(--spectrum-slider-ramp-handle-background-color)))}.input{background:0 0}.tick:after{background-color:var(--highcontrast-slider-tick-mark-color,var(--mod-slider-tick-mark-color,var(--spectrum-slider-tick-mark-color)))}.handle.dragging{border-color:var(--highcontrast-slider-handle-border-color-down,var(--mod-slider-handle-border-color-down,var(--spectrum-slider-handle-border-color-down)));background:var(--highcontrast-slider-handle-background-color,var(--mod-slider-handle-background-color,var(--spectrum-slider-handle-background-color)))}:host([variant=range]) .track:not(:first-of-type):not(:last-of-type):before{background:var(--highcontrast-slider-filled-track-fill-color,var(--mod-slider-track-fill-color,var(--spectrum-slider-track-fill-color)))}:host([disabled]),:host([disabled]) #controls{cursor:default}:host([disabled]) #label-container,:host([disabled]) .tickLabel{color:var(--highcontrast-slider-label-text-color-disabled,var(--mod-slider-label-text-color-disabled,var(--spectrum-slider-label-text-color-disabled)))}:host([disabled]) .handle{border-color:var(--highcontrast-slider-handle-border-color-disabled,var(--mod-slider-handle-border-color-disabled,var(--spectrum-slider-handle-border-color-disabled)));background:var(--highcontrast-slider-handle-disabled-background-color,var(--mod-slider-handle-disabled-background-color,var(--spectrum-slider-handle-disabled-background-color)));cursor:default;pointer-events:none}:host([disabled]) .handle:active{border-color:var(--highcontrast-disabled-border-color,var(--mod-disabled-border-color,var(--spectrum-disabled-border-color)));background:var(--highcontrast-slider-handle-background-color-disabled,var(--mod-slider-handle-background-color-disabled,var(--spectrum-slider-handle-background-color-disabled)))}@media (hover:hover){.handle:hover{border-color:var(--highcontrast-slider-handle-border-color-hover,var(--mod-slider-handle-border-color-hover,var(--spectrum-slider-handle-border-color-hover)))}:host([disabled]) .handle:hover{border-color:var(--highcontrast-disabled-border-color,var(--mod-disabled-border-color,var(--spectrum-disabled-border-color)));background:var(--highcontrast-slider-handle-background-color-disabled,var(--mod-slider-handle-background-color-disabled,var(--spectrum-slider-handle-background-color-disabled)))}}:host([disabled]) .track:before{background:var(--highcontrast-slider-track-color-disabled,var(--mod-slider-track-color-disabled,var(--spectrum-slider-track-color-disabled)))}:host([disabled]) .fill:before,:host([disabled][variant=filled]) .track:first-child:before{background:var(--highcontrast-slider-track-fill-color-disabled,var(--mod-slider-track-fill-color-disabled,var(--spectrum-slider-track-fill-color-disabled)))}:host([disabled]) #ramp path{fill:var(--highcontrast-slider-ramp-track-color-disabled,var(--mod-slider-ramp-track-color-disabled,var(--spectrum-slider-ramp-track-color-disabled)))}:host([disabled]) .tick:after{background-color:var(--highcontrast-slider-tick-mark-color-disabled,var(--mod-slider-tick-mark-color-disabled,var(--spectrum-slider-tick-mark-color-disabled)))}:host([disabled][variant=range]) .track:not(:first-of-type):not(:last-of-type):before{background:var(--highcontrast-slider-track-color-disabled,var(--mod-slider-track-color-disabled,var(--spectrum-slider-track-color-disabled)))}@media (forced-colors:active){:host{--highcontrast-slider-track-color:ButtonText;--highcontrast-slider-track-color-static:ButtonText;--highcontrast-slider-track-fill-color:ButtonText;--highcontrast-slider-filled-track-fill-color:Highlight;--highcontrast-slider-ramp-track-color:ButtonText;--highcontrast-slider-ramp-track-color-disabled:GrayText;--highcontrast-slider-tick-mark-color:ButtonText;--highcontrast-slider-handle-border-color:ButtonText;--highcontrast-slider-handle-border-color-hover:Highlight;--highcontrast-slider-handle-border-color-down:Highlight;--highcontrast-slider-handle-border-color-key-focus:Highlight;--highcontrast-slider-handle-focus-ring-color-key-focus:CanvasText;--highcontrast-slider-handle-background-color:ButtonFace;--highcontrast-slider-ramp-handle-border-color-active:ButtonFace;--highcontrast-slider-ramp-handle-background-color:ButtonFace;--spectrum-slider-track-color:ButtonText;--spectrum-slider-track-fill-color:ButtonText;--spectrum-slider-ramp-track-color:ButtonText;--spectrum-slider-ramp-track-color-disabled:GrayText;--spectrum-slider-handle-background-color:ButtonFace;--spectrum-slider-handle-background-color-disabled:GrayText;--spectrum-slider-handle-border-color:ButtonText;--spectrum-slider-handle-disabled-background-color:GrayText;--spectrum-slider-tick-mark-color:ButtonText;--spectrum-slider-tick-mark-color-disabled:GrayText;--spectrum-slider-handle-border-color-hover:Highlight;--spectrum-slider-handle-border-color-down:Highlight;--spectrum-slider-handle-border-color-key-focus:Highlight;--spectrum-slider-handle-focus-ring-color-key-focus:Highlight;--spectrum-slider-track-color-disabled:GrayText;--spectrum-slider-track-fill-color-disabled:GrayText;--spectrum-slider-handle-border-color-disabled:GrayText;--spectrum-slider-label-text-color:CanvasText;--spectrum-slider-label-text-color-disabled:GrayText;--spectrum-slider-ramp-handle-border-color-active:ButtonText}:host([variant=ramp]) .handle,.handle.handle-highlight:before{forced-color-adjust:none}:host([focus-within]) .js-focus-within:not(.is-disabled):not(.spectrum-Slider--filled):not(.spectrum-Slider--range) #controls,:host:not(.is-disabled):not(.spectrum-Slider--filled):not(.spectrum-Slider--range) #controls.handle-highlight,:host:not(.is-disabled):not(.spectrum-Slider--filled):not(.spectrum-Slider--range) #controls:active,:host:not(.is-disabled):not(.spectrum-Slider--filled):not(.spectrum-Slider--range) #controls:focus-within,:host([focus-within]):not(.is-disabled):not(.spectrum-Slider--filled):not(.spectrum-Slider--range).js-focus-within #controls{--highcontrast-slider-track-fill-color:Highlight;--highcontrast-slider-track-color:Highlight;--highcontrast-slider-handle-border-color:Highlight;--highcontrast-slider-ramp-track-color:Highlight;--highcontrast-slider-tick-mark-color:Highlight}@media (hover:hover){:host:not(.is-disabled):not(.spectrum-Slider--filled):not(.spectrum-Slider--range) #controls:hover{--highcontrast-slider-track-fill-color:Highlight;--highcontrast-slider-track-color:Highlight;--highcontrast-slider-handle-border-color:Highlight;--highcontrast-slider-ramp-track-color:Highlight;--highcontrast-slider-tick-mark-color:Highlight}}:host([disabled]) #ramp+.handle{fill:buttonface;background-color:buttonface}}:host{--spectrum-slider-track-color:var(--system-spectrum-slider-track-color);--spectrum-slider-track-fill-color:var(--system-spectrum-slider-track-fill-color);--spectrum-slider-ramp-track-color:var(--system-spectrum-slider-ramp-track-color);--spectrum-slider-ramp-track-color-disabled:var(--system-spectrum-slider-ramp-track-color-disabled);--spectrum-slider-handle-background-color:var(--system-spectrum-slider-handle-background-color);--spectrum-slider-handle-background-color-disabled:var(--system-spectrum-slider-handle-background-color-disabled);--spectrum-slider-ramp-handle-background-color:var(--system-spectrum-slider-ramp-handle-background-color);--spectrum-slider-ticks-handle-background-color:var(--system-spectrum-slider-ticks-handle-background-color);--spectrum-slider-handle-border-color:var(--system-spectrum-slider-handle-border-color);--spectrum-slider-handle-disabled-background-color:var(--system-spectrum-slider-handle-disabled-background-color);--spectrum-slider-tick-mark-color:var(--system-spectrum-slider-tick-mark-color);--spectrum-slider-handle-border-color-hover:var(--system-spectrum-slider-handle-border-color-hover);--spectrum-slider-handle-border-color-down:var(--system-spectrum-slider-handle-border-color-down);--spectrum-slider-handle-border-color-key-focus:var(--system-spectrum-slider-handle-border-color-key-focus);--spectrum-slider-handle-focus-ring-color-key-focus:var(--system-spectrum-slider-handle-focus-ring-color-key-focus)}:host(:focus){outline:0}:host([editable]){grid-template-columns:1fr auto;grid-template-areas:"label number""slider number";display:grid}:host([editable]) #label-container{grid-area:label}:host([editable]) #label-container+div{grid-area:slider}:host([editable]) sp-number-field{grid-area:number;align-self:flex-end;margin-inline-start:calc(var(--swc-scale-factor)*16px)}:host([editable]) output{clip:rect(0,0,0,0);clip-path:inset(50%);white-space:nowrap;border:0;width:1px;height:1px;margin:0 -1px -1px 0;padding:0;position:absolute;overflow:hidden}:host([disabled]){pointer-events:none}:host([dragging]),#track{touch-action:none;user-select:none}.not-exact.ticks{justify-content:start}:host([dir=ltr]) .not-exact .tick{padding-right:var(--sp-slider-tick-offset)}:host([dir=rtl]) .not-exact .tick{padding-left:var(--sp-slider-tick-offset)}:host([dir=ltr]) .not-exact .tick:after{left:auto;transform:translate(-50%)}:host([dir=rtl]) .not-exact .tick:after{right:auto;transform:translate(50%)}:host([dir=rtl]) .handle:before{transform:translate(50%,-50%)}.track:before{background-size:var(--spectrum-slider-track-background-size)!important}:host([dir=ltr]) .track:last-of-type:before,:host([dir=rtl]) .track:first-of-type:before{background-position:100%}:host([dir=ltr]) .track:not(:first-of-type,:last-of-type){left:var(--spectrum-slider-track-segment-position)}:host([dir=rtl]) .track:not(:first-of-type,:last-of-type){right:var(--spectrum-slider-track-segment-position)}.visually-hidden{clip:rect(0 0 0 0);clip-path:inset(50%);white-space:nowrap;width:1px;height:1px;position:absolute;overflow:hidden}:host([label-visibility=value][dir=ltr]) #value{margin-left:auto}:host([label-visibility=value][dir=rtl]) #value{margin-right:auto}:host([label-visibility=none]) #label-container{margin:0;padding:0}:host([label-visibility=none]) #track{align-self:flex-end}.fill{z-index:2}#slider-description{display:none}\n'
    ]);
    _templateObject$11 = function _templateObject() {
        return data;
    };
    return data;
}
var e$h = i$p(_templateObject$11());
var $ = e$h;

function _array_like_to_array$a(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$7(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$a(arr);
}
function asyncGeneratorStep$d(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$d(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$d(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$d(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$A(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$z(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$z(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$z(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$z(Constructor, staticProps);
    return Constructor;
}
function _define_property$4(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _instanceof$4(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _iterable_to_array$7(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$7() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _object_spread$2(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$4(target, key, source[key]);
        });
    }
    return target;
}
function _tagged_template_literal$10(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$7(arr) {
    return _array_without_holes$7(arr) || _iterable_to_array$7(arr) || _unsupported_iterable_to_array$a(arr) || _non_iterable_spread$7();
}
function _unsupported_iterable_to_array$a(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$a(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$a(o, minLen);
}
function _ts_generator$d(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$10() {
    var data = _tagged_template_literal$10([
        "\n            <div\n                class=",
        "\n                name=",
        "\n                style=",
        '\n                role="presentation"\n            >\n                <input\n                    type="range"\n                    class="input"\n                    id="input-',
        '"\n                    min=',
        "\n                    max=",
        "\n                    step=",
        "\n                    value=",
        "\n                    aria-disabled=",
        "\n                    tabindex=",
        "\n                    aria-label=",
        "\n                    aria-labelledby=",
        "\n                    aria-valuetext=",
        '\n                    aria-describedby="slider-description"\n                    @change=',
        "\n                    @focus=",
        "\n                    @blur=",
        "\n                    @keydown=",
        "\n                    .model=",
        '\n                />\n                <span id="slider-description">\n                    Press escape or double click to reset the slider to its\n                    default value.\n                </span>\n            </div>\n        '
    ]);
    _templateObject$10 = function _templateObject() {
        return data;
    };
    return data;
}
var HandleController = /*#__PURE__*/ function() {
    function HandleController(e) {
        var _this = this;
        _class_call_check$A(this, HandleController);
        this.handles = new Map;
        this.model = [];
        this.handleOrder = [];
        this.handleOrientation = function() {
            _this.updateBoundingRect();
        };
        this.extractModelFromLightDom = function() {
            var _$e = _to_consumable_array$7(_this.host.querySelectorAll('[slot="handle"]'));
            _$e.length === 0 && (_$e = [
                _this.host
            ]), !_$e.some(function(t) {
                return _this.waitForUpgrade(t);
            }) && (_this.handles = new Map, _this.handleOrder = [], _$e.forEach(function(t, n) {
                var a;
                (a = t.handleName) != null && a.length || (t.name = "handle".concat(n + 1)), _this.handles.set(t.handleName, t), _this.handleOrder.push(t.handleName), t.handleController = _this;
            }), _this.requestUpdate());
        };
        this.onInputChange = function(e) {
            var t = e.target;
            t.model.handle.value = t.valueAsNumber, _this.requestUpdate(), _this.dispatchChangeEvent(t, t.model.handle);
        };
        this.onInputFocus = function(e) {
            var t = e.target;
            var n;
            try {
                n = t.matches(":focus-visible") || _this.host.matches(".focus-visible");
            } catch (a) {
                n = _this.host.matches(".focus-visible");
            }
            t.model.handle.highlight = n, _this.requestUpdate();
        };
        this.onInputBlur = function(e) {
            var t = e.target;
            t.model.handle.highlight = !1, _this.requestUpdate();
        };
        this.onInputKeydown = function(e) {
            var n;
            if (e.key == "Escape") {
                var a = e.target;
                ((n = a.model.handle) == null ? void 0 : n.defaultValue) !== void 0 && a.model.handle.value !== a.model.handle.defaultValue && (a.model.handle.value = a.model.handle.defaultValue, a.model.handle.dispatchInputEvent(), _this.dispatchChangeEvent(a, a.model.handle), _this.requestUpdate(), e.preventDefault(), e.stopPropagation());
                return;
            }
            var t = e.target;
            t.model.handle.highlight = !0, _this.requestUpdate();
        };
        this.host = e, new s$b(this.host, {
            config: {
                subtree: !0,
                childList: !0
            },
            callback: function() {
                _this.extractModelFromLightDom();
            }
        }), this.extractModelFromLightDom();
    }
    _create_class$z(HandleController, [
        {
            key: "values",
            get: function get() {
                var e = {};
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = this.handles.values()[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var t = _step.value;
                        e[t.handleName] = t.value;
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
                return e;
            }
        },
        {
            key: "size",
            get: function get() {
                return this.handles.size;
            }
        },
        {
            key: "inputForHandle",
            value: function inputForHandle(e) {
                if (this.handles.has(e.handleName)) {
                    var _ref = this.getHandleElements(e) || {}, t = _ref.input;
                    return t;
                }
                throw new Error('No input for handle "'.concat(e.name, '"'));
            }
        },
        {
            key: "requestUpdate",
            value: function requestUpdate() {
                this.host.hasUpdated && this.host.requestUpdate();
            }
        },
        {
            key: "setValueFromHandle",
            value: function setValueFromHandle(e) {
                var t = this.getHandleElements(e);
                if (!t) return;
                var n = t.input;
                n.valueAsNumber === e.value ? e.dragging && e.dispatchInputEvent() : (n.valueAsNumber = e.value, this.requestUpdate()), e.value = n.valueAsNumber;
            }
        },
        {
            key: "handleHasChanged",
            value: function handleHasChanged(e) {
                e !== this.host && this.requestUpdate();
            }
        },
        {
            key: "formattedValueForHandle",
            value: function formattedValueForHandle(e) {
                var i;
                var t = e.handle, n = (i = t.numberFormat) != null ? i : this.host.numberFormat, a = t._forcedUnit === "" ? this.host._forcedUnit : t._forcedUnit;
                return t.getAriaHandleText(e.value, n) + a;
            }
        },
        {
            key: "formattedValues",
            get: function get() {
                var e = new Map;
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = this.model[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var t = _step.value;
                        e.set(t.name, this.formattedValueForHandle(t));
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
                return e;
            }
        },
        {
            key: "focusElement",
            get: function get() {
                var _this_getActiveHandleElements = this.getActiveHandleElements(), e = _this_getActiveHandleElements.input;
                return !e || this.host.editable && !e.model.handle.dragging ? this.host.numberField : e;
            }
        },
        {
            key: "hostConnected",
            value: function hostConnected() {
                "orientation" in screen ? screen.orientation.addEventListener("change", this.handleOrientation) : window.addEventListener("orientationchange", this.handleOrientation);
            }
        },
        {
            key: "hostDisconnected",
            value: function hostDisconnected() {
                "orientation" in screen ? screen.orientation.removeEventListener("change", this.handleOrientation) : window.removeEventListener("orientationchange", this.handleOrientation);
            }
        },
        {
            key: "hostUpdate",
            value: function hostUpdate() {
                this.updateModel();
            }
        },
        {
            key: "waitForUpgrade",
            value: function waitForUpgrade(e) {
                var _this = this;
                return _instanceof$4(e, SliderHandle) ? !1 : (e.addEventListener("sp-slider-handle-ready", function() {
                    return _this.extractModelFromLightDom();
                }, {
                    once: !0,
                    passive: !0
                }), !0);
            }
        },
        {
            key: "activeHandle",
            get: function get() {
                return this.handleOrder[this.handleOrder.length - 1];
            }
        },
        {
            key: "activeHandleInputId",
            get: function get() {
                var e = this.activeHandle;
                return "input-".concat(this.model.findIndex(function(n) {
                    return n.name === e;
                }));
            }
        },
        {
            key: "activateHandle",
            value: function activateHandle(e) {
                var t = this.handleOrder.findIndex(function(n) {
                    return n === e;
                });
                t >= 0 && this.handleOrder.splice(t, 1), this.handleOrder.push(e);
            }
        },
        {
            key: "getActiveHandleElements",
            value: function getActiveHandleElements() {
                var e = this.activeHandle, t = this.handles.get(e), n = this.getHandleElements(t);
                return _object_spread$2({
                    model: t
                }, n);
            }
        },
        {
            key: "getHandleElements",
            value: function getHandleElements(e) {
                if (!this.handleRefMap) {
                    this.handleRefMap = new WeakMap;
                    var n = this.host.shadowRoot.querySelectorAll(".handle > input");
                    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                    try {
                        for(var _iterator = n[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                            var a = _step.value;
                            var i = a, l = i.parentElement, r = this.handles.get(l.getAttribute("name"));
                            r && this.handleRefMap.set(r, {
                                input: i,
                                handle: l
                            });
                        }
                    } catch (err) {
                        _didIteratorError = true;
                        _iteratorError = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion && _iterator.return != null) {
                                _iterator.return();
                            }
                        } finally{
                            if (_didIteratorError) {
                                throw _iteratorError;
                            }
                        }
                    }
                }
                return this.handleRefMap.get(e);
            }
        },
        {
            key: "clearHandleComponentCache",
            value: function clearHandleComponentCache() {
                delete this.handleRefMap;
            }
        },
        {
            key: "boundingClientRect",
            get: function get() {
                return this._boundingClientRect || (this._boundingClientRect = this.host.track.getBoundingClientRect()), this._boundingClientRect;
            }
        },
        {
            key: "updateBoundingRect",
            value: function updateBoundingRect() {
                delete this._boundingClientRect;
            }
        },
        {
            key: "extractDataFromEvent",
            value: function extractDataFromEvent(e) {
                var _this = this;
                if (!this._activePointerEventData) {
                    var t = e.target.querySelector(":scope > .input");
                    var n = !t, a = t ? t.model : this.model.find(function(i) {
                        return i.name === _this.activeHandle;
                    });
                    !t && a && (t = a.handle.focusElement), this._activePointerEventData = {
                        input: t,
                        model: a,
                        resolvedInput: n
                    };
                }
                return this._activePointerEventData;
            }
        },
        {
            key: "handleDoubleClick",
            value: function handleDoubleClick(e) {
                var n;
                var t = e.target.querySelector(".input");
                ((n = t.model) == null ? void 0 : n.handle.defaultValue) !== void 0 && (t.model.handle.value = t.model.handle.defaultValue, this.dispatchChangeEvent(t, t.model.handle), t.model.handle.dispatchInputEvent(), this.requestUpdate());
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown(e) {
                var _this_extractDataFromEvent = this.extractDataFromEvent(e), t = _this_extractDataFromEvent.resolvedInput, n = _this_extractDataFromEvent.model;
                if (!n || this.host.disabled || e.button !== 0) {
                    e.preventDefault();
                    return;
                }
                this.host.track.setPointerCapture(e.pointerId), this.updateBoundingRect(), e.pointerType === "mouse" && this.host.labelEl.click(), this.draggingHandle = n.handle, n.handle.dragging = !0, this.activateHandle(n.name), t && this.handlePointermove(e), this.requestUpdate();
            }
        },
        {
            key: "handlePointerup",
            value: function handlePointerup(e) {
                var _this_extractDataFromEvent = this.extractDataFromEvent(e), t = _this_extractDataFromEvent.input, n = _this_extractDataFromEvent.model;
                delete this._activePointerEventData, n && (e.pointerType === "mouse" && this.host.labelEl.click(), this.cancelDrag(n), this.requestUpdate(), this.host.track.releasePointerCapture(e.pointerId), this.dispatchChangeEvent(t, n.handle));
            }
        },
        {
            key: "handlePointermove",
            value: function handlePointermove(e) {
                var _this_extractDataFromEvent = this.extractDataFromEvent(e), t = _this_extractDataFromEvent.input, n = _this_extractDataFromEvent.model;
                n && this.draggingHandle && (t.value = this.calculateHandlePosition(e, n).toString(), n.handle.value = parseFloat(t.value), this.host.indeterminate = !1, this.requestUpdate());
            }
        },
        {
            key: "cancelDrag",
            value: function cancelDrag(e) {
                var _this = this;
                e = e || this.model.find(function(t) {
                    return t.name === _this.activeHandle;
                }), e && (e.handle.highlight = !1, delete this.draggingHandle, e.handle.dragging = !1);
            }
        },
        {
            key: "dispatchChangeEvent",
            value: function dispatchChangeEvent(e, t) {
                e.valueAsNumber = t.value;
                var n = new Event("change", {
                    bubbles: !0,
                    composed: !0
                });
                t.dispatchEvent(n);
            }
        },
        {
            key: "calculateHandlePosition",
            value: function calculateHandlePosition(e, t) {
                var n = this.boundingClientRect, a = n.left, i = e.clientX, l = n.width, s = (this.host.isLTR ? i - a : l - (i - a)) / l;
                return t.normalization.fromNormalized(s, t.range.min, t.range.max);
            }
        },
        {
            key: "renderHandle",
            value: function renderHandle(e, t, n, a) {
                var s;
                var _obj;
                var i = {
                    handle: !0,
                    dragging: ((s = this.draggingHandle) == null ? void 0 : s.handleName) === e.name,
                    "handle-highlight": e.highlight
                }, l = _object_spread$2((_obj = {}, _define_property$4(_obj, this.host.isLTR ? "left" : "right", "".concat(e.normalizedValue * 100, "%")), _define_property$4(_obj, "z-index", n.toString()), _obj), a && {
                    "background-color": "var(--spectrum-slider-handle-background-color-".concat(t, ", var(--spectrum-slider-handle-background-color))"),
                    "border-color": "var(--spectrum-slider-handle-border-color-".concat(t, ", var(--spectrum-slider-handle-border-color))")
                }), r = a ? "label input-".concat(t) : "label";
                return x$3(_templateObject$10(), e$C(i), e.name, o$N(l), t, e.clamp.min, e.clamp.max, e.step, e.value, o$O(this.host.disabled ? "true" : void 0), o$O(this.host.editable ? -1 : void 0), o$O(e.ariaLabel), r, this.formattedValueForHandle(e), this.onInputChange, this.onInputFocus, this.onInputBlur, this.onInputKeydown, e);
            }
        },
        {
            key: "render",
            value: function render() {
                var _this = this;
                return this.clearHandleComponentCache(), this.model.map(function(e, t) {
                    var n = _this.handleOrder.indexOf(e.name) + 2;
                    return _this.renderHandle(e, t, n, _this.model.length > 1);
                });
            }
        },
        {
            key: "trackSegments",
            value: function trackSegments() {
                var e = this.model.map(function(t) {
                    return t.normalizedValue;
                });
                return e.sort(function(t, n) {
                    return t - n;
                }), e.unshift(0), e.map(function(t, n, a) {
                    var i;
                    return [
                        t,
                        (i = a[n + 1]) != null ? i : 1
                    ];
                });
            }
        },
        {
            key: "updateModel",
            value: function updateModel() {
                var _this = this;
                var e = _to_consumable_array$7(this.handles.values()), t = function(a) {
                    var i = e[a], l = e[a - 1], r = e[a + 1], s = typeof i.min == "number" ? i.min : _this.host.min, u = typeof i.max == "number" ? i.max : _this.host.max, d = {
                        range: {
                            min: s,
                            max: u
                        },
                        clamp: {
                            min: s,
                            max: u
                        }
                    };
                    if (i.min === "previous" && l) {
                        for(var o = a - 1; o >= 0; o--){
                            var h = e[o];
                            if (typeof h.min == "number") {
                                d.range.min = h.min;
                                break;
                            }
                        }
                        d.clamp.min = Math.max(l.value, d.range.min);
                    }
                    if (i.max === "next" && r) {
                        for(var o1 = a + 1; o1 < e.length; o1++){
                            var h1 = e[o1];
                            if (typeof h1.max == "number") {
                                d.range.max = h1.max;
                                break;
                            }
                        }
                        d.clamp.max = Math.min(r.value, d.range.max);
                    }
                    return d;
                }, n = e.map(function(a, i) {
                    var o;
                    var l = t(i), _a_normalization = a.normalization, r = _a_normalization.toNormalized, s = Math.max(Math.min(a.value, l.clamp.max), l.clamp.min), u = r(s, l.range.min, l.range.max);
                    return _object_spread$2({
                        name: a.handleName,
                        value: s,
                        normalizedValue: u,
                        highlight: a.highlight,
                        step: (o = a.step) != null ? o : _this.host.step,
                        normalization: a.normalization,
                        handle: a,
                        ariaLabel: a !== _this.host && (a == null ? void 0 : a.label.length) > 0 ? a.label : void 0
                    }, l);
                });
                this.model = n;
            }
        },
        {
            key: "handleUpdatesComplete",
            value: function handleUpdatesComplete() {
                var _this = this;
                return _async_to_generator$d(function() {
                    var e;
                    return _ts_generator$d(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                e = _to_consumable_array$7(_this.handles.values()).filter(function(t) {
                                    return t !== _this.host;
                                }).map(function(t) {
                                    return t.updateComplete;
                                });
                                return [
                                    4,
                                    Promise.all(e)
                                ];
                            case 1:
                                _state.sent();
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        }
    ]);
    return HandleController;
} 
();

function _array_like_to_array$9(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$4(arr) {
    if (Array.isArray(arr)) return arr;
}
function _array_without_holes$6(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$9(arr);
}
function _assert_this_initialized$x(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$c(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$c(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$c(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$c(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$z(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$y(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$y(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$y(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$y(Constructor, staticProps);
    return Constructor;
}
function _define_property$3(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _get$h(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$h = Reflect.get;
    } else {
        _get$h = function get(target, property, receiver) {
            var base = _super_prop_base$h(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$h(target, property, receiver || target);
}
function _get_prototype_of$x(o) {
    _get_prototype_of$x = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$x(o);
}
function _inherits$x(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$x(subClass, superClass);
}
function _iterable_to_array$6(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _iterable_to_array_limit$4(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$4() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _non_iterable_spread$6() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$x(self, call) {
    if (call && (_type_of$x(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$x(self);
}
function _set_prototype_of$x(o, p) {
    _set_prototype_of$x = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$x(o, p);
}
function _sliced_to_array$4(arr, i) {
    return _array_with_holes$4(arr) || _iterable_to_array_limit$4(arr, i) || _unsupported_iterable_to_array$9(arr, i) || _non_iterable_rest$4();
}
function _super_prop_base$h(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$x(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$$(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$6(arr) {
    return _array_without_holes$6(arr) || _iterable_to_array$6(arr) || _unsupported_iterable_to_array$9(arr) || _non_iterable_spread$6();
}
function _type_of$x(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$9(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$9(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$9(o, minLen);
}
function _is_native_reflect_construct$x() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$x(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$x();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$x(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$x(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$x(this, result);
    };
}
function _ts_generator$c(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$$() {
    var data = _tagged_template_literal$$([
        "\n                      <sp-number-field\n                          .formatOptions=",
        '\n                          id="number-field"\n                          min=',
        "\n                          max=",
        "\n                          step=",
        "\n                          size=",
        "\n                          value=",
        "\n                          ?hide-stepper=",
        "\n                          ?disabled=",
        "\n                          ?quiet=",
        "\n                          ?indeterminate=",
        "\n                          @input=",
        "\n                          @change=",
        "\n                      ></sp-number-field>\n                  "
    ]);
    _templateObject$$ = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$b() {
    var data = _tagged_template_literal$$([
        "\n            ",
        " ",
        "\n            ",
        "\n        "
    ]);
    _templateObject1$b = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$6() {
    var data = _tagged_template_literal$$([
        '\n            <div id="label-container">\n                <sp-field-label\n                    class=',
        "\n                    ?disabled=",
        '\n                    id="label"\n                    for=',
        "\n                    @click=",
        "\n                    size=",
        "\n                >\n                    ",
        "\n                    <slot>",
        "</slot>\n                </sp-field-label>\n                <sp-field-label\n                    class=",
        "\n                    ?disabled=",
        "\n                    for=",
        "\n                    size=",
        '\n                >\n                    <output id="value" aria-live="off" for="input">\n                        ',
        "\n                    </output>\n                </sp-field-label>\n            </div>\n        "
    ]);
    _templateObject2$6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$4() {
    var data = _tagged_template_literal$$([
        ""
    ]);
    _templateObject3$4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$4() {
    var data = _tagged_template_literal$$([
        '\n            <div id="ramp">\n                <svg\n                    viewBox="0 0 240 16"\n                    preserveAspectRatio="none"\n                    aria-hidden="true"\n                    focusable="false"\n                >\n                    <path\n                        d="M240,4v8c0,2.3-1.9,4.1-4.2,4L1,9C0.4,9,0,8.5,0,8c0-0.5,0.4-1,1-1l234.8-7C238.1-0.1,240,1.7,240,4z"\n                    ></path>\n                </svg>\n            </div>\n        '
    ]);
    _templateObject4$4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$2() {
    var data = _tagged_template_literal$$([
        ""
    ]);
    _templateObject5$2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6() {
    var data = _tagged_template_literal$$([
        '\n                                      <div class="tickLabel">\n                                          ',
        "\n                                      </div>\n                                  "
    ]);
    _templateObject6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7() {
    var data = _tagged_template_literal$$([
        '\n                        <div class="tick">\n                            ',
        "\n                        </div>\n                    "
    ]);
    _templateObject7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8() {
    var data = _tagged_template_literal$$([
        '\n            <div\n                class="',
        'ticks"\n                style=',
        "\n            >\n                ",
        "\n            </div>\n        "
    ]);
    _templateObject8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9() {
    var data = _tagged_template_literal$$([
        ""
    ]);
    _templateObject9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10() {
    var data = _tagged_template_literal$$([
        '\n            <div\n                class="track"\n                style=',
        '\n                role="presentation"\n            ></div>\n        '
    ]);
    _templateObject10 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject11() {
    var data = _tagged_template_literal$$([
        ""
    ]);
    _templateObject11 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject12() {
    var data = _tagged_template_literal$$([
        "\n            <div\n                class=",
        "\n                style=",
        "\n            ></div>\n        "
    ]);
    _templateObject12 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject13() {
    var data = _tagged_template_literal$$([
        ""
    ]);
    _templateObject13 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject14() {
    var data = _tagged_template_literal$$([
        "\n            ",
        "\n        "
    ]);
    _templateObject14 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject15() {
    var data = _tagged_template_literal$$([
        "\n                              ",
        '\n                              <div class="trackContainer">\n                                  ',
        '\n                              </div>\n                              <div class="handleContainer">\n                                  ',
        "\n                              </div>\n                          "
    ]);
    _templateObject15 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject16() {
    var data = _tagged_template_literal$$([
        "\n                              ",
        "\n                          "
    ]);
    _templateObject16 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject17() {
    var data = _tagged_template_literal$$([
        '\n            <div\n                id="track"\n                ',
        '\n            >\n                <div id="controls">\n                    ',
        "\n                </div>\n            </div>\n        "
    ]);
    _templateObject17 = function _templateObject() {
        return data;
    };
    return data;
}
var v$5 = Object.defineProperty;
var f$5 = Object.getOwnPropertyDescriptor;
var l$4 = function(d, o, e, t) {
    for(var i = t > 1 ? void 0 : t ? f$5(o, e) : o, r = d.length - 1, s; r >= 0; r--)(s = d[r]) && (i = (t ? s(o, e, i) : s(i)) || i);
    return t && i && v$5(o, e, i), i;
};
var variants = [
    "filled",
    "ramp",
    "range",
    "tick"
];
var Slider = /*#__PURE__*/ function(_g) {
    _inherits$x(Slider, _g);
    var _super = _create_super$x(Slider);
    function Slider() {
        _class_call_check$z(this, Slider);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.handleController = new HandleController(_assert_this_initialized$x(_this));
        _this._editable = !1;
        _this.hideStepper = !1;
        _this.type = "";
        _this._variant = "";
        _this.getAriaValueText = function(e) {
            var t = _to_consumable_array$6(e.values());
            return t.length === 2 ? "".concat(t[0], " - ").concat(t[1]) : t.join(", ");
        };
        _this.min = 0;
        _this.max = 100;
        _this.step = 1;
        _this.tickStep = 0;
        _this.tickLabels = !1;
        _this.disabled = !1;
        _this.quiet = !1;
        _this.indeterminate = !1;
        _this._numberFieldInput = Promise.resolve();
        return _this;
    }
    _create_class$y(Slider, [
        {
            key: "editable",
            get: function get() {
                return this._editable;
            },
            set: function set(e) {
                if (e === this.editable) return;
                var t = this.editable;
                this._editable = this.handleController.size < 2 ? e : !1, this.editable && (this._numberFieldInput = Promise.resolve().then(function () { return spNumberField; })), t !== this.editable && this.requestUpdate("editable", t);
            }
        },
        {
            key: "variant",
            get: function get() {
                return this._variant;
            },
            set: function set(e) {
                var t = this.variant;
                e !== this.variant && (variants.includes(e) && this.fillStart === void 0 ? (this.setAttribute("variant", e), this._variant = e) : (this.removeAttribute("variant"), this._variant = ""), this.requestUpdate("variant", t));
            }
        },
        {
            key: "values",
            get: function get() {
                return this.handleController.values;
            }
        },
        {
            key: "handleName",
            get: function get() {
                return "value";
            }
        },
        {
            key: "ariaValueText",
            get: function get() {
                return this.getAriaValueText ? this.getAriaValueText(this.handleController.formattedValues) : "".concat(this.value).concat(this._forcedUnit);
            }
        },
        {
            key: "numberFormat",
            get: function get() {
                return this.getNumberFormat();
            }
        },
        {
            key: "focusElement",
            get: function get() {
                return this.handleController.focusElement;
            }
        },
        {
            key: "handleLabelClick",
            value: function handleLabelClick(e) {
                this.editable && (e.preventDefault(), this.focus());
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject1$b(), this.renderLabel(), this.renderTrack(), this.editable ? x$3(_templateObject$$(), this.formatOptions || {}, this.min, this.max, this.step, this.size, this.value, this.hideStepper, this.disabled, this.quiet, this.indeterminate, this.handleNumberInput, this.handleNumberChange) : E$2);
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                _get$h(_get_prototype_of$x(Slider.prototype), "connectedCallback", this).call(this), this.handleController.hostConnected();
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                _get$h(_get_prototype_of$x(Slider.prototype), "disconnectedCallback", this).call(this), this.handleController.hostDisconnected();
            }
        },
        {
            key: "update",
            value: function update(e) {
                this.handleController.hostUpdate(), e.has("disabled") && this.disabled && this.handleController.cancelDrag(), _get$h(_get_prototype_of$x(Slider.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "renderLabel",
            value: function renderLabel() {
                var e = this.labelVisibility === "none" || this.labelVisibility === "value", t = this.labelVisibility === "none" || this.labelVisibility === "text";
                return x$3(_templateObject2$6(), e$C({
                    "visually-hidden": e
                }), this.disabled, this.editable ? "number-field" : this.handleController.activeHandleInputId, this.handleLabelClick, this.size, this.slotHasContent ? E$2 : this.label, this.label, e$C({
                    "visually-hidden": t
                }), this.disabled, this.editable ? "number-field" : this.handleController.activeHandleInputId, this.size, this.ariaValueText);
            }
        },
        {
            key: "renderRamp",
            value: function renderRamp() {
                return this.variant !== "ramp" ? x$3(_templateObject3$4()) : x$3(_templateObject4$4());
            }
        },
        {
            key: "renderTicks",
            value: function renderTicks() {
                var _this = this;
                if (this.variant !== "tick") return x$3(_templateObject5$2());
                var e = this.tickStep || this.step, t = (this.max - this.min) / e, i = t % 1 !== 0, r = new Array(Math.floor(t + 1));
                return r.fill(0, 0, t + 1), x$3(_templateObject8(), i ? "not-exact " : "", o$O(i ? "--sp-slider-tick-offset: calc(100% / ".concat(this.max, " * ").concat(this.tickStep) : void 0), r.map(function(s, u) {
                    return x$3(_templateObject7(), _this.tickLabels ? x$3(_templateObject6(), u * e + _this.min) : E$2);
                }));
            }
        },
        {
            key: "renderTrackSegment",
            value: function renderTrackSegment(e, t) {
                return this.variant === "ramp" ? x$3(_templateObject9()) : x$3(_templateObject10(), o$N(this.trackSegmentStyles(e, t)));
            }
        },
        {
            key: "getOffsetWidth",
            value: function getOffsetWidth(e, t) {
                return Math.abs(t - e) / (this.max - this.min) * 100;
            }
        },
        {
            key: "getOffsetPosition",
            value: function getOffsetPosition(e) {
                return (e - this.min) / (this.max - this.min) * 100;
            }
        },
        {
            key: "fillStyles",
            value: function fillStyles(e) {
                var t = this.dir === "rtl" ? "right" : "left", i = this.value > e ? this.getOffsetPosition(e) : this.getOffsetPosition(this.value), r = this.getOffsetWidth(e, this.value);
                var _obj;
                return _obj = {}, _define_property$3(_obj, t, "".concat(i, "%")), _define_property$3(_obj, "width", "".concat(r, "%")), _obj;
            }
        },
        {
            key: "renderFillOffset",
            value: function renderFillOffset() {
                return !this._cachedValue || !this.centerPoint ? x$3(_templateObject11()) : x$3(_templateObject12(), e$C({
                    fill: !0,
                    offset: this.value > this.centerPoint
                }), o$N(this.fillStyles(this.centerPoint)));
            }
        },
        {
            key: "renderHandle",
            value: function renderHandle() {
                return this.variant === "tick" ? x$3(_templateObject13()) : x$3(_templateObject14(), this.handleController.render());
            }
        },
        {
            key: "renderTrack",
            value: function renderTrack() {
                var _this = this;
                var e = this.handleController.trackSegments(), t = [
                    {
                        id: "handles",
                        html: this.handleController.render()
                    }
                ], i = [
                    {
                        id: "track0",
                        html: this.renderTrackSegment.apply(this, _to_consumable_array$6(e[0]))
                    },
                    {
                        id: "fill",
                        html: this.renderFillOffset()
                    },
                    {
                        id: "ramp",
                        html: this.renderRamp()
                    },
                    {
                        id: "handles",
                        html: this.renderHandle()
                    }
                ].concat(_to_consumable_array$6(e.slice(1).map(function(param, u) {
                    var _param = _sliced_to_array$4(param, 2), r = _param[0], s = _param[1];
                    return {
                        id: "track".concat(u + 1),
                        html: _this.renderTrackSegment(r, s)
                    };
                })));
                return x$3(_templateObject17(), streamingListener({
                    start: [
                        "pointerdown",
                        this.handlePointerdown
                    ],
                    streamInside: [
                        "pointermove",
                        this.handlePointermove
                    ],
                    end: [
                        [
                            "pointerup",
                            "pointercancel",
                            "pointerleave"
                        ],
                        this.handlePointerup
                    ],
                    streamOutside: [
                        "dblclick",
                        this.handleDoubleClick
                    ]
                }), this.variant === "tick" ? x$3(_templateObject15(), this.renderTicks(), c$y(i, function(r) {
                    return r.id;
                }, function(r) {
                    return r.html;
                }), c$y(t, function(r) {
                    return r.id;
                }, function(r) {
                    return r.html;
                })) : x$3(_templateObject16(), c$y(i, function(r) {
                    return r.id;
                }, function(r) {
                    return r.html;
                })));
            }
        },
        {
            key: "handleDoubleClick",
            value: function handleDoubleClick(e) {
                this.handleController.handleDoubleClick(e);
            }
        },
        {
            key: "handlePointerdown",
            value: function handlePointerdown(e) {
                this.handleController.handlePointerdown(e);
            }
        },
        {
            key: "handlePointermove",
            value: function handlePointermove(e) {
                this.handleController.handlePointermove(e);
            }
        },
        {
            key: "handlePointerup",
            value: function handlePointerup(e) {
                this.handleController.handlePointerup(e);
            }
        },
        {
            key: "handleNumberInput",
            value: function handleNumberInput(e) {
                var i;
                var _e_target = e.target, t = _e_target.value;
                if ((i = e.target) != null && i.managedInput && !isNaN(t)) {
                    this.value = t;
                    return;
                }
                e.stopPropagation();
            }
        },
        {
            key: "handleNumberChange",
            value: function handleNumberChange(e) {
                var i;
                var _e_target = e.target, t = _e_target.value;
                isNaN(t) ? (e.target.value = this.value, e.stopPropagation()) : (this.value = t, (i = e.target) != null && i.managedInput || this.dispatchInputEvent()), this.indeterminate = !1;
            }
        },
        {
            key: "trackSegmentStyles",
            value: function trackSegmentStyles(e, t) {
                var i = t - e;
                return {
                    width: "".concat(i * 100, "%"),
                    "--spectrum-slider-track-background-size": "".concat(1 / i * 100, "%"),
                    "--spectrum-slider-track-segment-position": "".concat(e * 100, "%")
                };
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                var _this = this;
                var _this1 = this, _superprop_get_getUpdateComplete = function() {
                    return _get$h(_get_prototype_of$x(Slider.prototype), "getUpdateComplete", _this);
                };
                return _async_to_generator$c(function() {
                    var e, _tmp;
                    return _ts_generator$c(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _superprop_get_getUpdateComplete().call(_this1)
                                ];
                            case 1:
                                e = _state.sent();
                                _tmp = _this1.editable;
                                if (!_tmp) return [
                                    3,
                                    4
                                ];
                                return [
                                    4,
                                    _this1._numberFieldInput
                                ];
                            case 2:
                                _state.sent();
                                return [
                                    4,
                                    _this1.numberField.updateComplete
                                ];
                            case 3:
                                _tmp = _state.sent();
                                _state.label = 4;
                            case 4:
                                return [
                                    4,
                                    _this1.handleController.handleUpdatesComplete()
                                ];
                            case 5:
                                return [
                                    2,
                                    (_state.sent(), e)
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(e) {
                e.has("value") && e.has("fillStart") && (this._cachedValue = Number(this.value), this.fillStart ? this.centerPoint = Number(this.fillStart) : this.centerPoint = (Number(this.max) - Number(this.min)) / 2 + Number(this.min));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    $
                ];
            }
        }
    ]);
    return Slider;
}(SizedMixin(ObserveSlotText(SliderHandle, ""), {
    noDefaultSize: !0,
    validSizes: [
        "s",
        "m",
        "l",
        "xl"
    ]
}));
l$4([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Slider.prototype, "editable", 1), l$4([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "hide-stepper"
    })
], Slider.prototype, "hideStepper", 2), l$4([
    n$r()
], Slider.prototype, "type", 2), l$4([
    n$r({
        reflect: !0
    })
], Slider.prototype, "dir", 2), l$4([
    n$r({
        type: String
    })
], Slider.prototype, "variant", 1), l$4([
    n$r({
        attribute: !1
    })
], Slider.prototype, "getAriaValueText", 2), l$4([
    n$r({
        type: String,
        reflect: !0,
        attribute: "label-visibility"
    })
], Slider.prototype, "labelVisibility", 2), l$4([
    n$r({
        type: Number,
        reflect: !0
    })
], Slider.prototype, "min", 2), l$4([
    n$r({
        type: Number,
        reflect: !0
    })
], Slider.prototype, "max", 2), l$4([
    n$r({
        type: Number
    })
], Slider.prototype, "step", 2), l$4([
    n$r({
        type: Number,
        attribute: "tick-step"
    })
], Slider.prototype, "tickStep", 2), l$4([
    n$r({
        type: Boolean,
        attribute: "tick-labels"
    })
], Slider.prototype, "tickLabels", 2), l$4([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Slider.prototype, "disabled", 2), l$4([
    n$r({
        type: Number,
        reflect: !0,
        attribute: "fill-start"
    })
], Slider.prototype, "fillStart", 2), l$4([
    n$r({
        type: Boolean
    })
], Slider.prototype, "quiet", 2), l$4([
    n$r({
        type: Boolean
    })
], Slider.prototype, "indeterminate", 2), l$4([
    e$F("#label")
], Slider.prototype, "labelEl", 2), l$4([
    e$F("#number-field")
], Slider.prototype, "numberField", 2), l$4([
    e$F("#track")
], Slider.prototype, "track", 2);

defineElement("sp-slider", Slider);

function _tagged_template_literal$_(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$_() {
    var data = _tagged_template_literal$_([
        "\n    :host{--spectrum-splitbutton-trigger-border-left:0;--spectrum-splitbutton-trigger-min-width:0;--spectrum-spltibutton-margin-left:0;--spectrum-splitbutton-icon-gap:var(--spectrum-global-dimension-size-150);--spectrum-splitbutton-border-radius-edge:var(--spectrum-alias-border-radius-small)}:host([dir=rtl]),:host([dir=rtl]){--spectrum-logical-rotation:matrix(-1,0,0,1,0,0)}.trigger{--spectrum-splitbutton-trigger-round-edge-padding:var(--spectrum-global-dimension-size-125);--spectrum-splitbutton-trigger-flat-edge-padding:var(--spectrum-global-dimension-size-100);--spectrum-splitbutton-cta-trigger-flat-edge-padding:calc(var(--spectrum-splitbutton-trigger-flat-edge-padding) - var(--spectrum-button-m-primary-outline-texticon-border-size,var(--spectrum-alias-border-size-thick)))}:host{vertical-align:top;flex-direction:row;display:inline-flex;position:relative}#button{border-start-start-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));border-start-end-radius:0;border-end-end-radius:0;border-end-start-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));margin-inline-start:0;padding-inline-start:var(--spectrum-splitbutton-round-edge-padding);padding-inline-end:var(--spectrum-splitbutton-flat-edge-padding)}#button[variant=accent]{margin-inline-end:var(--spectrum-button-m-primary-outline-texticon-border-size,var(--spectrum-alias-border-size-thick));padding-inline-end:var(--spectrum-splitbutton-cta-flat-edge-padding)}#button:after{border-start-end-radius:var(--spectrum-splitbutton-border-radius-edge);border-end-end-radius:var(--spectrum-splitbutton-border-radius-edge)}.trigger{border-inline-start-width:var(--spectrum-splitbutton-trigger-border-left);min-inline-size:var(--spectrum-splitbutton-trigger-min-width);border-start-start-radius:0;border-start-end-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));border-end-end-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));border-end-start-radius:0;margin-inline-start:0;padding-inline-start:var(--spectrum-splitbutton-trigger-flat-edge-padding);padding-inline-end:var(--spectrum-splitbutton-trigger-round-edge-padding)}.trigger[variant=accent]{border-inline-start-width:var(--spectrum-button-m-primary-outline-texticon-border-size,var(--spectrum-alias-border-size-thick));padding-inline-start:var(--spectrum-splitbutton-cta-trigger-flat-edge-padding)}.trigger:focus-visible{box-shadow:none}.trigger:after{border-start-start-radius:var(--spectrum-splitbutton-border-radius-edge);border-end-start-radius:var(--spectrum-splitbutton-border-radius-edge)}.icon{margin-block-start:1px;display:block}#button,.trigger{position:relative}#button:focus-visible,.trigger:focus-visible{z-index:1;outline:none}#button.spectrum-Pagination-prevButton .spectrum-Icon,.trigger.spectrum-Pagination-prevButton .spectrum-Icon{transform:var(--spectrum-logical-rotation,)rotate(180deg)}#button.spectrum-Pagination-nextButton .spectrum-Icon,.trigger.spectrum-Pagination-nextButton .spectrum-Icon{transform:var(--spectrum-logical-rotation)}#button .label+.spectrum-Icon{margin-inline-start:var(--spectrum-splitbutton-icon-gap)}:host([left]) #button{border-start-start-radius:0;border-start-end-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));border-end-end-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));border-end-start-radius:0;margin-inline-start:var(--spectrum-spltibutton-margin-left);margin-inline-end:0;padding-inline-start:var(--spectrum-splitbutton-flat-edge-padding);padding-inline-end:var(--spectrum-splitbutton-round-edge-padding)}:host([left]) #button:after{border-start-start-radius:var(--spectrum-splitbutton-border-radius-edge);border-start-end-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));border-end-end-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));border-end-start-radius:var(--spectrum-splitbutton-border-radius-edge)}:host([left]) #button[variant=accent]{margin-inline-start:var(--spectrum-button-m-primary-outline-texticon-border-size,var(--spectrum-alias-border-size-thick));padding-inline-start:var(--spectrum-splitbutton-cta-flat-edge-padding)}:host([left]) .trigger{border-inline-start-width:var(--spectrum-button-m-primary-outline-texticon-border-size,var(--spectrum-alias-border-size-thick));border-inline-end-width:var(--spectrum-splitbutton-trigger-border-left);border-start-start-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));border-start-end-radius:0;border-end-end-radius:0;border-end-start-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));margin-inline-end:0;padding-inline-start:var(--spectrum-splitbutton-trigger-round-edge-padding);padding-inline-end:var(--spectrum-splitbutton-trigger-flat-edge-padding)}:host([left]) .trigger:after{border-start-start-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200));border-start-end-radius:var(--spectrum-splitbutton-border-radius-edge);border-end-end-radius:var(--spectrum-splitbutton-border-radius-edge);border-end-start-radius:var(--spectrum-button-m-primary-outline-texticon-border-radius,var(--spectrum-global-dimension-size-200))}:host([left]) .trigger[variant=accent]{border-inline-end-width:var(--spectrum-button-m-primary-outline-texticon-border-size,var(--spectrum-alias-border-size-thick));padding-inline-end:var(--spectrum-splitbutton-cta-trigger-flat-edge-padding)}:host>sp-menu{display:none}#button{--spectrum-splitbutton-flat-edge-padding:calc(var(--spectrum-button-edge-to-text) - var(--spectrum-button-border-width,var(--spectrum-alias-border-size-thick))*2);--spectrum-splitbutton-round-edge-padding:var(--spectrum-button-edge-to-visual,var(--spectrum-global-dimension-size-200));--spectrum-splitbutton-cta-flat-edge-padding:calc(var(--spectrum-button-edge-to-text) - var(--spectrum-button-border-width,var(--spectrum-alias-border-size-thick))*3)}.trigger{--spectrum-splitbutton-trigger-flat-edge-padding:calc(var(--spectrum-button-edge-to-text) - var(--spectrum-button-border-width,var(--spectrum-alias-border-size-thick))*2);--spectrum-splitbutton-trigger-round-edge-padding:var(--spectrum-button-edge-to-visual,var(--spectrum-global-dimension-size-200));--spectrum-splitbutton-cta-trigger-flat-edge-padding:calc(var(--spectrum-button-edge-to-text) - var(--spectrum-button-border-width,var(--spectrum-alias-border-size-thick))*3)}sp-button{--spectrum-button-m-primary-outline-texticon-border-radius:var(--spectrum-button-border-radius)}sp-overlay:not(:defined){display:none}.icon{align-self:center}\n"
    ]);
    _templateObject$_ = function _templateObject() {
        return data;
    };
    return data;
}
var r$9 = i$p(_templateObject$_());
var b$3 = r$9;

function _assert_this_initialized$w(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$b(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$b(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$b(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$b(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$y(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$x(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$x(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$x(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$x(Constructor, staticProps);
    return Constructor;
}
function _get$g(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$g = Reflect.get;
    } else {
        _get$g = function get(target, property, receiver) {
            var base = _super_prop_base$g(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$g(target, property, receiver || target);
}
function _get_prototype_of$w(o) {
    _get_prototype_of$w = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$w(o);
}
function _inherits$w(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$w(subClass, superClass);
}
function _possible_constructor_return$w(self, call) {
    if (call && (_type_of$w(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$w(self);
}
function _set_prototype_of$w(o, p) {
    _set_prototype_of$w = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$w(o, p);
}
function _super_prop_base$g(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$w(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$Z(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$w(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$w() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$w(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$w();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$w(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$w(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$w(this, result);
    };
}
function _ts_generator$b(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$Z() {
    var data = _tagged_template_literal$Z([
        '\n                <div\n                    id="label"\n                    role="presentation"\n                    class=',
        "\n                >\n                    ",
        '\n                </div>\n                <slot name="tooltip"></slot>\n            '
    ]);
    _templateObject$Z = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$a() {
    var data = _tagged_template_literal$Z([
        "\n                <sp-button\n                    aria-label=",
        '\n                    id="button"\n                    class="button ',
        '"\n                    @click=',
        "\n                    ?disabled=",
        "\n                    variant=",
        "\n                    treatment=",
        "\n                    size=",
        "\n                >\n                    ",
        "\n                </sp-button>\n            "
    ]);
    _templateObject1$a = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$5() {
    var data = _tagged_template_literal$Z([
        '\n                              <sp-icon-chevron100\n                                  class="icon ',
        '"\n                                  slot="icon"\n                              ></sp-icon-chevron100>\n                          '
    ]);
    _templateObject2$5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$3() {
    var data = _tagged_template_literal$Z([
        '\n                              <sp-icon-more\n                                  class="icon"\n                                  slot="icon"\n                              ></sp-icon-more>\n                          '
    ]);
    _templateObject3$3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$3() {
    var data = _tagged_template_literal$Z([
        '\n                <sp-button\n                    aria-haspopup="true"\n                    aria-expanded=',
        "\n                    aria-controls=",
        '\n                    class="button trigger ',
        '"\n                    @blur=',
        "\n                    @click=",
        "\n                    @pointerdown=",
        "\n                    @focus=",
        "\n                    @keydown=",
        "\n                    ?disabled=",
        '\n                    aria-labelledby="button"\n                    variant=',
        "\n                    treatment=",
        "\n                    size=",
        "\n                >\n                    ",
        "\n                </sp-button>\n            "
    ]);
    _templateObject4$3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5$1() {
    var data = _tagged_template_literal$Z([
        "\n            ",
        " ",
        "\n        "
    ]);
    _templateObject5$1 = function _templateObject() {
        return data;
    };
    return data;
}
var u$c = Object.defineProperty;
var p$c = Object.getOwnPropertyDescriptor;
var o$c = function(r, n, e, i) {
    for(var t = i > 1 ? void 0 : i ? p$c(n, e) : n, a = r.length - 1, l; a >= 0; a--)(l = r[a]) && (t = (i ? l(n, e, t) : l(t)) || t);
    return i && t && u$c(n, e, t), t;
};
var y$6 = {
    s: "spectrum-UIIcon-ChevronDown75",
    m: "spectrum-UIIcon-ChevronDown100",
    l: "spectrum-UIIcon-ChevronDown200",
    xl: "spectrum-UIIcon-ChevronDown300"
};
var SplitButton = /*#__PURE__*/ function(_m) {
    _inherits$w(SplitButton, _m);
    var _super = _create_super$w(SplitButton);
    function SplitButton() {
        _class_call_check$y(this, SplitButton);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.left = !1;
        _this.variant = "accent";
        _this.type = "field";
        _this.listRole = "menu";
        _this.itemRole = "menuitem";
        return _this;
    }
    _create_class$x(SplitButton, [
        {
            key: "focusElement",
            get: function get() {
                return this.open ? this.optionsMenu : this.left ? this.trigger : this.button;
            }
        },
        {
            key: "passClick",
            value: function passClick() {
                var e = this.type === "more" ? this.menuItems[0] : this.selectedItem || this.menuItems[0];
                e && e.click();
            }
        },
        {
            key: "buttonContent",
            get: function get() {
                var e;
                return [
                    x$3(_templateObject$Z(), o$O(this.value ? void 0 : "placeholder"), ((e = this.selectedItem) == null ? void 0 : e.itemText) || "")
                ];
            }
        },
        {
            key: "update",
            value: function update(e) {
                e.has("type") && (this.type === "more" ? this.selects = void 0 : this.selects = "single"), _get$g(_get_prototype_of$w(SplitButton.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "render",
            value: function render() {
                var t;
                var e = [
                    "cta",
                    "accent"
                ].includes(this.variant) ? "fill" : "outline", i = [
                    x$3(_templateObject1$a(), o$O(this.label || ((t = this.selectedItem) == null ? void 0 : t.itemText) || void 0), this.variant, this.passClick, this.disabled, this.variant, e, this.size, this.buttonContent),
                    x$3(_templateObject4$3(), this.open ? "true" : "false", o$O(this.open ? "menu" : void 0), this.variant, this.handleButtonBlur, this.handleActivate, this.handleButtonPointerdown, this.handleButtonFocus, {
                        handleEvent: this.handleEnterKeydown,
                        capture: !0
                    }, this.disabled, this.variant, e, this.size, this.type === "field" ? x$3(_templateObject2$5(), y$6[this.size]) : x$3(_templateObject3$3()))
                ];
                return this.left && i.reverse(), x$3(_templateObject5$1(), i, this.renderMenu);
            }
        },
        {
            key: "bindButtonKeydownListener",
            value: function bindButtonKeydownListener() {
                this.trigger.addEventListener("keydown", this.handleKeydown);
            }
        },
        {
            key: "manageSelection",
            value: function manageSelection() {
                var _this = this;
                var _this1 = this, _superprop_get_manageSelection = function() {
                    return _get$g(_get_prototype_of$w(SplitButton.prototype), "manageSelection", _this);
                };
                return _async_to_generator$b(function() {
                    return _ts_generator$b(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _this1.manageSplitButtonItems()
                                ];
                            case 1:
                                _state.sent();
                                return [
                                    4,
                                    _superprop_get_manageSelection().call(_this1)
                                ];
                            case 2:
                                _state.sent();
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "manageSplitButtonItems",
            value: function manageSplitButtonItems() {
                var _this = this;
                return _async_to_generator$b(function() {
                    var _tmp;
                    return _ts_generator$b(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _tmp = !_this.menuItems.length;
                                if (!_tmp) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    _this.optionsMenu.updateComplete
                                ];
                            case 1:
                                _tmp = (_state.sent(), !_this.menuItems.length);
                                _state.label = 2;
                            case 2:
                                _tmp || (_this.type === "more" ? (_this.menuItems[0].hidden = !0, _this.menuItems.forEach(function(e) {
                                    return e.selected = !1;
                                }), _this.selectedItem = _this.menuItems[0]) : _this.selectedItem = _this.selectedItem || _this.menuItems[0], _this.value = _this.selectedItem.value);
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    b$3,
                    C$6
                ];
            }
        }
    ]);
    return SplitButton;
}(SizedMixin(PickerBase));
o$c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], SplitButton.prototype, "left", 2), o$c([
    n$r({
        reflect: !0
    })
], SplitButton.prototype, "variant", 2), o$c([
    n$r({
        type: String
    })
], SplitButton.prototype, "type", 2), o$c([
    e$F(".trigger")
], SplitButton.prototype, "trigger", 2);

defineElement("sp-split-button", SplitButton);

function _tagged_template_literal$Y(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$Y() {
    var data = _tagged_template_literal$Y([
        '\n    :host{--spectrum-splitview-vertical-width:100%;--spectrum-splitview-vertical-gripper-width:50%;--spectrum-splitview-vertical-gripper-outer-width:100%;--spectrum-splitview-vertical-gripper-reset:0;--spectrum-splitview-background-color:var(--spectrum-gray-100);--spectrum-splitview-handle-background-color:var(--spectrum-gray-300);--spectrum-splitview-handle-background-color-hover:var(--spectrum-gray-400);--spectrum-splitview-handle-background-color-down:var(--spectrum-gray-800);--spectrum-splitview-handle-background-color-focus:var(--spectrum-focus-indicator-color);--spectrum-splitview-handle-width:var(--spectrum-border-width-200);--spectrum-splitview-gripper-border-radius:var(--spectrum-corner-radius-75);--spectrum-splitview-gripper-width:var(--spectrum-border-width-400);--spectrum-splitview-gripper-height:16px;--spectrum-splitview-gripper-border-width-horizontal:3px;--spectrum-splitview-gripper-border-width-vertical:var(--spectrum-border-width-400);display:flex;overflow:hidden}::slotted(*){background-color:var(--mod-splitview-background-color,var(--spectrum-splitview-background-color));block-size:100%}#gripper{content:"";border-radius:var(--mod-splitview-gripper-border-radius,var(--spectrum-splitview-gripper-border-radius));border-style:solid;border-color:var(--highcontrast-splitview-handle-background-color,var(--mod-splitview-handle-background-color,var(--spectrum-splitview-handle-background-color)));touch-action:none;inline-size:var(--mod-splitview-gripper-width,var(--spectrum-splitview-gripper-width));block-size:var(--mod-splitview-gripper-height,var(--spectrum-splitview-gripper-height));border-block-width:var(--mod-splitview-gripper-border-width-vertical,var(--spectrum-splitview-gripper-border-width-vertical));border-inline-width:var(--mod-splitview-gripper-border-width-horizontal,var(--spectrum-splitview-gripper-border-width-horizontal));display:block;position:absolute;inset-block-start:50%;inset-inline-start:calc(( var(--mod-splitview-gripper-width,var(--spectrum-splitview-gripper-width)) + ( 2*var(--mod-splitview-gripper-border-width-vertical,var(--spectrum-splitview-gripper-border-width-vertical))) - var(--mod-splitview-gripper-width,var(--spectrum-splitview-gripper-width)))/2*-1);transform:translateY(-50%)}#gripper:before{background-color:var(--highcontrast-splitview-handle-background-color,var(--mod-splitview-handle-background-color,var(--spectrum-splitview-handle-background-color)))}#splitter{background-color:var(--highcontrast-splitview-handle-background-color,var(--mod-splitview-handle-background-color,var(--spectrum-splitview-handle-background-color)));-webkit-user-select:none;user-select:none;inline-size:var(--mod-splitview-handle-width,var(--spectrum-splitview-handle-width));z-index:1;block-size:100%;position:relative}#splitter.is-collapsed-end #gripper:before,#splitter.is-collapsed-start #gripper:before{content:"";inline-size:var(--mod-splitview-handle-width,var(--spectrum-splitview-handle-width));block-size:100%;position:absolute;inset-block-start:0;inset-inline-start:calc(50% - var(--mod-splitview-handle-width,var(--spectrum-splitview-handle-width))/2)}#splitter.is-collapsed-start #gripper{inset-inline-start:0}#splitter.is-collapsed-end #gripper{inset-inline:auto 0}:host([resizable]) #splitter.is-hovered{background-color:var(--highcontrast-splitview-handle-background-color-hover,var(--mod-splitview-handle-background-color-hover,var(--spectrum-splitview-handle-background-color-hover)))}:host([resizable]) #splitter.is-hovered #gripper{border-color:var(--highcontrast-splitview-handle-background-color-hover,var(--mod-splitview-handle-background-color-hover,var(--spectrum-splitview-handle-background-color-hover)))}:host([resizable]) #splitter.is-hovered #gripper:before{background-color:var(--highcontrast-splitview-handle-background-color-hover,var(--mod-splitview-handle-background-color-hover,var(--spectrum-splitview-handle-background-color-hover)))}@media (hover:hover){:host([resizable]) #splitter:hover{background-color:var(--highcontrast-splitview-handle-background-color-hover,var(--mod-splitview-handle-background-color-hover,var(--spectrum-splitview-handle-background-color-hover)))}:host([resizable]) #splitter:hover #gripper{border-color:var(--highcontrast-splitview-handle-background-color-hover,var(--mod-splitview-handle-background-color-hover,var(--spectrum-splitview-handle-background-color-hover)))}:host([resizable]) #splitter:hover #gripper:before{background-color:var(--highcontrast-splitview-handle-background-color-hover,var(--mod-splitview-handle-background-color-hover,var(--spectrum-splitview-handle-background-color-hover)))}}:host([resizable]) #splitter.is-active,:host([resizable]) #splitter:active{background-color:var(--highcontrast-splitview-handle-background-color-down,var(--mod-splitview-handle-background-color-down,var(--spectrum-splitview-handle-background-color-down)))}:host([resizable]) #splitter.is-active #gripper,:host([resizable]) #splitter:active #gripper{border-color:var(--highcontrast-splitview-handle-background-color-down,var(--mod-splitview-handle-background-color-down,var(--spectrum-splitview-handle-background-color-down)))}:host([resizable]) #splitter.is-active #gripper:before,:host([resizable]) #splitter:active #gripper:before{background-color:var(--highcontrast-splitview-handle-background-color-down,var(--mod-splitview-handle-background-color-down,var(--spectrum-splitview-handle-background-color-down)))}:host([resizable]) #splitter:focus{outline:none}:host([resizable]) #splitter:focus-visible{background-color:var(--highcontrast-splitview-handle-background-color-focus,var(--mod-splitview-handle-background-color-focus,var(--spectrum-splitview-handle-background-color-focus)));outline:none}:host([resizable]) #splitter:focus-visible #gripper{border-color:var(--highcontrast-splitview-handle-background-color-focus,var(--mod-splitview-handle-background-color-focus,var(--spectrum-splitview-handle-background-color-focus)));box-shadow:0 0 0 1px var(--highcontrast-splitview-handle-background-color-focus,var(--mod-splitview-handle-background-color-focus,var(--spectrum-splitview-handle-background-color-focus)))}:host([resizable]) #splitter:focus-visible #gripper:before{background-color:var(--highcontrast-splitview-handle-background-color-focus,var(--mod-splitview-handle-background-color-focus,var(--spectrum-splitview-handle-background-color-focus)))}:host([vertical]){flex-direction:column}:host([vertical]) ::slotted(*){inline-size:var(--mod-splitview-vertical-width,var(--spectrum-splitview-vertical-width));block-size:auto}:host([vertical]) #gripper{transform:translate(calc(var(--mod-splitview-vertical-gripper-width,var(--spectrum-splitview-vertical-gripper-width))*-1));inline-size:var(--mod-splitview-gripper-height,var(--spectrum-splitview-gripper-height));block-size:var(--mod-splitview-gripper-width,var(--spectrum-splitview-gripper-width));border-block-width:var(--mod-splitview-gripper-border-width-horizontal,var(--spectrum-splitview-gripper-border-width-horizontal));border-inline-width:var(--mod-splitview-gripper-border-width-vertical,var(--spectrum-splitview-gripper-border-width-vertical));inset-block-start:calc(( var(--mod-splitview-gripper-width,var(--spectrum-splitview-gripper-width)) + ( 2*var(--mod-splitview-gripper-border-width-vertical,var(--spectrum-splitview-gripper-border-width-vertical))) - var(--mod-splitview-gripper-width,var(--spectrum-splitview-gripper-width)))/2*-1);inset-inline-start:var(--mod-splitview-vertical-gripper-width,var(--spectrum-splitview-vertical-gripper-width))}:host([vertical]) #splitter{inline-size:var(--mod-splitview-vertical-width,var(--spectrum-splitview-vertical-width));block-size:var(--mod-splitview-handle-width,var(--spectrum-splitview-handle-width))}:host([vertical]) #splitter.is-collapsed-end #gripper,:host([vertical]) #splitter.is-collapsed-start #gripper{inset-inline-start:var(--mod-splitview-vertical-gripper-width,var(--spectrum-splitview-vertical-gripper-width))}:host([vertical]) #splitter.is-collapsed-end #gripper:before,:host([vertical]) #splitter.is-collapsed-start #gripper:before{inline-size:var(--mod-splitview-vertical-gripper-outer-width,var(--spectrum-splitview-vertical-gripper-outer-width));block-size:var(--mod-splitview-handle-width,var(--spectrum-splitview-handle-width));inset-block-start:calc(var(--mod-splitview-vertical-gripper-width,var(--spectrum-splitview-vertical-gripper-width)) - var(--mod-splitview-handle-width,var(--spectrum-splitview-handle-width))/2);inset-inline-start:var(--mod-splitview-vertical-gripper-reset,var(--spectrum-splitview-vertical-gripper-reset))}:host([vertical]) #splitter.is-collapsed-start #gripper{inset-block-start:var(--mod-splitview-vertical-gripper-reset,var(--spectrum-splitview-vertical-gripper-reset))}:host([vertical]) #splitter.is-collapsed-end #gripper{inset-block-start:auto;inset-block-end:var(--mod-splitview-vertical-gripper-reset,var(--spectrum-splitview-vertical-gripper-reset))}@media (forced-colors:active){:host{--highcontrast-splitview-handle-background-color:CanvasText;--highcontrast-splitview-handle-background-color-hover:CanvasText;--highcontrast-splitview-handle-background-color-down:CanvasText;--highcontrast-splitview-handle-background-color-focus:Highlight}}:host{--spectrum-split-view-first-pane-size:50%}::slotted(*){overflow:auto}::slotted(:first-child){order:1}:host(:not([vertical])) ::slotted(:first-child:not(:last-child)){width:var(--spectrum-split-view-first-pane-size)}:host([vertical]) ::slotted(:first-child:not(:last-child)){height:var(--spectrum-split-view-first-pane-size)}::slotted(:nth-child(2)){flex:1;order:3}::slotted(:nth-child(n+3)){display:none}#gripper{touch-action:none}#splitter{order:2;height:auto}:host([resizable]) #splitter{cursor:ew-resize;background-clip:content-box}:host([vertical][resizable]) #splitter{cursor:ns-resize;background-clip:content-box}:host([resizable][dir=ltr]) #splitter.is-resized-start,:host([resizable][dir=rtl]) #splitter.is-resized-end{cursor:e-resize}:host([resizable][dir=ltr]) #splitter.is-resized-end,:host([resizable][dir=rtl]) #splitter.is-resized-start{cursor:w-resize}:host([vertical][resizable]) #splitter.is-resized-start{cursor:s-resize}:host([vertical][resizable]) #splitter.is-resized-end{cursor:n-resize}:host([resizable][collapsible]) #splitter.is-resized-start,:host([resizable][collapsible]) #splitter.is-resized-end{cursor:ew-resize}:host([resizable][dir=ltr][collapsible]) #splitter.is-collapsed-start,:host([resizable][dir=rtl][collapsible]) #splitter.is-collapsed-end{cursor:e-resize}:host([resizable][dir=ltr][collapsible]) #splitter.is-collapsed-end,:host([resizable][dir=rtl][collapsible]) #splitter.is-collapsed-start{cursor:w-resize}:host([vertical][resizable][collapsible]) #splitter.is-collapsed-start{cursor:s-resize}:host([vertical][resizable][collapsible]) #splitter.is-collapsed-end{cursor:n-resize}:host([vertical][resizable][collapsible]) #splitter.is-resized-start,:host([vertical][resizable][collapsible]) #splitter.is-resized-end{cursor:ns-resize}\n'
    ]);
    _templateObject$Y = function _templateObject() {
        return data;
    };
    return data;
}
var e$g = i$p(_templateObject$Y());
var S = e$g;

function _assert_this_initialized$v(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$a(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$a(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$a(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$a(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$x(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$w(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$w(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$w(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$w(Constructor, staticProps);
    return Constructor;
}
function _get$f(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$f = Reflect.get;
    } else {
        _get$f = function get(target, property, receiver) {
            var base = _super_prop_base$f(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$f(target, property, receiver || target);
}
function _get_prototype_of$v(o) {
    _get_prototype_of$v = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$v(o);
}
function _inherits$v(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$v(subClass, superClass);
}
function _instanceof$3(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _possible_constructor_return$v(self, call) {
    if (call && (_type_of$v(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$v(self);
}
function _set_prototype_of$v(o, p) {
    _set_prototype_of$v = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$v(o, p);
}
function _super_prop_base$f(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$v(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$X(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$v(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$v() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$v(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$v();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$v(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$v(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$v(this, result);
    };
}
function _ts_generator$a(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$X() {
    var data = _tagged_template_literal$X([
        '\n                                    <div id="gripper"></div>\n                                '
    ]);
    _templateObject$X = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$9() {
    var data = _tagged_template_literal$X([
        '\n                      <div\n                          id="splitter"\n                          class=',
        '\n                          role="separator"\n                          aria-controls=',
        "\n                          aria-label=",
        "\n                          aria-orientation=",
        "\n                          aria-valuenow=",
        "\n                          tabindex=",
        "\n                          @keydown=",
        "\n                          ",
        "\n                      >\n                          ",
        "\n                      </div>\n                  "
    ]);
    _templateObject1$9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$4() {
    var data = _tagged_template_literal$X([
        "\n            <slot\n                id=",
        "\n                @slotchange=",
        '\n                style="--spectrum-split-view-first-pane-size: ',
        '"\n            ></slot>\n            ',
        "\n        "
    ]);
    _templateObject2$4 = function _templateObject() {
        return data;
    };
    return data;
}
var v$4 = Object.defineProperty;
var f$4 = Object.getOwnPropertyDescriptor;
var s$4 = function(l, a, t, e) {
    for(var i = e > 1 ? void 0 : e ? f$4(a, t) : a, o = l.length - 1, h; o >= 0; o--)(h = l[o]) && (i = (e ? h(a, t, i) : h(i)) || i);
    return e && i && v$4(a, t, i), i;
};
var d$8 = 3840, g$3 = 2, M = 10, C$1 = 50, m$a = 50;
var SplitView = /*#__PURE__*/ function(b) {
    _inherits$v(SplitView, b);
    var _super = _create_super$v(SplitView);
    function SplitView() {
        _class_call_check$x(this, SplitView);
        var _this;
        _this = _super.call(this);
        _this.vertical = !1;
        _this.resizable = !1;
        _this.collapsible = !1;
        _this.primaryMin = 0;
        _this.primaryMax = d$8;
        _this.secondaryMin = 0;
        _this.secondaryMax = d$8;
        _this.firstPaneSize = "auto";
        _this.enoughChildren = !1;
        _this.viewSize = 0;
        _this.offset = 0;
        _this.minPos = 0;
        _this.maxPos = d$8;
        _this.controlledElIDApplied = !1;
        var t = window.ResizeObserver;
        t && (_this.observer = new t(function() {
            _this.rect = void 0, _this.updateMinMax();
        }));
        return _this;
    }
    _create_class$w(SplitView, [
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                var t;
                _get$f(_get_prototype_of$v(SplitView.prototype), "connectedCallback", this).call(this), (t = this.observer) == null || t.observe(this);
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                var t;
                (t = this.observer) == null || t.unobserve(this), _get$f(_get_prototype_of$v(SplitView.prototype), "disconnectedCallback", this).call(this);
            }
        },
        {
            key: "splitterSize",
            get: function get() {
                return this._splitterSize || (this._splitterSize = this.splitter && Math.round(parseFloat(window.getComputedStyle(this.splitter).getPropertyValue(this.vertical ? "height" : "width"))) || g$3), this._splitterSize;
            }
        },
        {
            key: "render",
            value: function render() {
                var i, o;
                var t = {
                    "is-resized-start": this.splitterPos === this.minPos,
                    "is-resized-end": this.splitterPos && this.splitterPos > this.splitterSize && this.splitterPos === this.maxPos,
                    "is-collapsed-start": this.splitterPos === 0,
                    "is-collapsed-end": this.splitterPos && this.splitterPos >= Math.max(this.splitterSize, this.viewSize - this.splitterSize)
                }, e = this.resizable ? this.label || "Resize the panels" : void 0;
                return x$3(_templateObject2$4(), o$O(this.resizable ? (i = this.controlledEl) == null ? void 0 : i.id : void 0), this.onContentSlotChange, this.firstPaneSize, this.enoughChildren ? x$3(_templateObject1$9(), e$C(t), o$O(this.resizable ? (o = this.controlledEl) == null ? void 0 : o.id : void 0), o$O(e), this.vertical ? "horizontal" : "vertical", Math.round(parseFloat(this.firstPaneSize) / this.viewSize * 100), o$O(this.resizable ? "0" : void 0), this.onKeydown, streamingListener({
                    start: [
                        "pointerdown",
                        this.onPointerdown
                    ],
                    streamInside: [
                        "pointermove",
                        this.onPointermove
                    ],
                    end: [
                        [
                            "pointerup",
                            "pointercancel",
                            "pointerleave"
                        ],
                        this.onPointerup
                    ]
                }), this.resizable ? x$3(_templateObject$X()) : E$2) : E$2);
            }
        },
        {
            key: "onContentSlotChange",
            value: function onContentSlotChange(t) {
                this.controlledEl && this.controlledElIDApplied && (this.controlledEl.removeAttribute("id"), this.controlledElIDApplied = !1), this.controlledEl = t.target.assignedElements()[0], this.controlledEl && !this.controlledEl.id && (this.controlledEl.id = "".concat(this.tagName.toLowerCase(), "-").concat(randomID()), this.controlledElIDApplied = !0), this.enoughChildren = this.children.length > 1, this.checkResize();
            }
        },
        {
            key: "onPointerdown",
            value: function onPointerdown(t) {
                if (!this.resizable || t.button && t.button !== 0) {
                    t.preventDefault();
                    return;
                }
                this.splitter.setPointerCapture(t.pointerId), this.offset = this.getOffset();
            }
        },
        {
            key: "onPointermove",
            value: function onPointermove(t) {
                t.preventDefault();
                var e = this.vertical || this.isLTR ? this.getPosition(t) - this.offset : this.offset - this.getPosition(t);
                this.collapsible && e < this.minPos - m$a && (e = 0), this.collapsible && e > this.maxPos + m$a && (e = this.viewSize - this.splitterSize), this.updatePosition(e);
            }
        },
        {
            key: "onPointerup",
            value: function onPointerup(t) {
                this.splitter.releasePointerCapture(t.pointerId);
            }
        },
        {
            key: "getOffset",
            value: function getOffset() {
                this.rect || (this.rect = this.getBoundingClientRect());
                var t = this.isLTR ? this.rect.left : this.rect.right;
                return this.vertical ? this.rect.top : t;
            }
        },
        {
            key: "getPosition",
            value: function getPosition(t) {
                return this.vertical ? t.clientY : t.clientX;
            }
        },
        {
            key: "movePosition",
            value: function movePosition(t, e) {
                t.preventDefault(), this.splitterPos !== void 0 && this.updatePosition(this.splitterPos + e);
            }
        },
        {
            key: "onKeydown",
            value: function onKeydown(t) {
                if (!this.resizable) return;
                var e = 0;
                var i = this.isLTR || this.vertical;
                switch(t.key){
                    case "Home":
                        t.preventDefault(), this.updatePosition(this.collapsible ? 0 : this.minPos);
                        return;
                    case "End":
                        t.preventDefault(), this.updatePosition(this.collapsible ? this.viewSize - this.splitterSize : this.maxPos);
                        return;
                    case "ArrowLeft":
                        e = i ? -1 : 1;
                        break;
                    case "ArrowRight":
                        e = i ? 1 : -1;
                        break;
                    case "ArrowUp":
                        e = this.vertical ? -1 : 1;
                        break;
                    case "ArrowDown":
                        e = this.vertical ? 1 : -1;
                        break;
                    case "PageUp":
                        e = this.vertical ? -1 : 1;
                        break;
                    case "PageDown":
                        e = this.vertical ? 1 : -1;
                        break;
                }
                if (e !== 0) {
                    var o = t.key.startsWith("Page") ? C$1 : M;
                    this.movePosition(t, o * e);
                }
            }
        },
        {
            key: "checkResize",
            value: function checkResize() {
                var _this = this;
                return _async_to_generator$a(function() {
                    var t;
                    return _ts_generator$a(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                if (!(_this.enoughChildren && (_this.updateMinMax(), _this.splitterPos === void 0))) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    _this.calcStartPos()
                                ];
                            case 1:
                                t = _state.sent();
                                _this.updatePosition(t);
                                _state.label = 2;
                            case 2:
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "updateMinMax",
            value: function updateMinMax() {
                this.viewSize = this.vertical ? this.offsetHeight : this.offsetWidth, this.minPos = Math.max(this.primaryMin, this.viewSize - this.secondaryMax), this.maxPos = Math.min(this.primaryMax, this.viewSize - Math.max(this.secondaryMin, this.splitterSize));
            }
        },
        {
            key: "updatePosition",
            value: function updatePosition(t) {
                var e = this.getLimitedPosition(t);
                this.collapsible && t <= 0 && (e = 0), this.collapsible && t > this.maxPos && t >= this.viewSize - this.splitterSize && (e = this.viewSize - this.splitterSize), e !== this.splitterPos && (this.splitterPos = e, this.dispatchChangeEvent());
            }
        },
        {
            key: "getLimitedPosition",
            value: function getLimitedPosition(t) {
                return t <= this.minPos ? this.minPos : t >= this.maxPos ? this.maxPos : Math.max(this.minPos, Math.min(this.maxPos, t));
            }
        },
        {
            key: "calcStartPos",
            value: function calcStartPos() {
                var _this = this;
                return _async_to_generator$a(function() {
                    var e, _tmp, i, o;
                    return _ts_generator$a(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                if (_this.primarySize !== void 0 && /^\d+(px)?$/.test(_this.primarySize)) return [
                                    2,
                                    parseInt(_this.primarySize, 10)
                                ];
                                if (_this.primarySize !== void 0 && /^\d+%$/.test(_this.primarySize)) return [
                                    2,
                                    parseInt(_this.primarySize, 10) * _this.viewSize / 100
                                ];
                                if (!(_this.primarySize === "auto")) return [
                                    3,
                                    3
                                ];
                                _this.firstPaneSize = "auto";
                                e = _this.paneSlot.assignedNodes({
                                    flatten: !0
                                }).find(function(i) {
                                    return _instanceof$3(i, HTMLElement);
                                });
                                _tmp = typeof e.updateComplete != "undefined";
                                if (!_tmp) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    e.updateComplete
                                ];
                            case 1:
                                _tmp = _state.sent();
                                _state.label = 2;
                            case 2:
                                if (e) {
                                    i = window.getComputedStyle(e).getPropertyValue(_this.vertical ? "height" : "width"), o = parseFloat(i);
                                    if (!isNaN(o)) return [
                                        2,
                                        _this.getLimitedPosition(Math.ceil(o))
                                    ];
                                }
                                _state.label = 3;
                            case 3:
                                return [
                                    2,
                                    _this.viewSize / 2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "dispatchChangeEvent",
            value: function dispatchChangeEvent() {
                var t = new Event("change", {
                    bubbles: !0,
                    composed: !0
                });
                this.dispatchEvent(t);
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(t) {
                (!this.hasUpdated || t.has("primarySize")) && (this.splitterPos = void 0, this.checkResize()), t.has("splitterPos") && this.splitterPos !== void 0 && this.enoughChildren && (this.firstPaneSize = "".concat(Math.round(this.splitterPos), "px"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    S
                ];
            }
        }
    ]);
    return SplitView;
}(SpectrumElement);
s$4([
    r$A()
], SplitView.prototype, "controlledEl", 2), s$4([
    n$r({
        type: Boolean,
        reflect: !0
    })
], SplitView.prototype, "vertical", 2), s$4([
    n$r({
        type: Boolean,
        reflect: !0
    })
], SplitView.prototype, "resizable", 2), s$4([
    n$r({
        type: Boolean,
        reflect: !0
    })
], SplitView.prototype, "collapsible", 2), s$4([
    n$r({
        type: Number,
        attribute: "primary-min"
    })
], SplitView.prototype, "primaryMin", 2), s$4([
    n$r({
        type: Number,
        attribute: "primary-max"
    })
], SplitView.prototype, "primaryMax", 2), s$4([
    n$r({
        type: String,
        attribute: "primary-size"
    })
], SplitView.prototype, "primarySize", 2), s$4([
    n$r({
        type: Number,
        attribute: "secondary-min"
    })
], SplitView.prototype, "secondaryMin", 2), s$4([
    n$r({
        type: Number,
        attribute: "secondary-max"
    })
], SplitView.prototype, "secondaryMax", 2), s$4([
    n$r({
        type: Number,
        reflect: !0,
        attribute: "splitter-pos"
    })
], SplitView.prototype, "splitterPos", 2), s$4([
    n$r({
        type: String,
        attribute: !1
    })
], SplitView.prototype, "firstPaneSize", 2), s$4([
    n$r()
], SplitView.prototype, "label", 2), s$4([
    n$r({
        type: Boolean,
        attribute: !1
    })
], SplitView.prototype, "enoughChildren", 2), s$4([
    n$r({
        type: Number
    })
], SplitView.prototype, "viewSize", 2), s$4([
    e$F("slot")
], SplitView.prototype, "paneSlot", 2), s$4([
    e$F("#splitter")
], SplitView.prototype, "splitter", 2);

defineElement("sp-split-view", SplitView);

function _tagged_template_literal$W(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$W() {
    var data = _tagged_template_literal$W([
        '\n    :host([dir]){--spectrum-statuslight-corner-radius:50%;--spectrum-statuslight-font-weight:400;--spectrum-statuslight-border-width:var(--spectrum-border-width-100);--spectrum-statuslight-height:var(--spectrum-component-height-100);--spectrum-statuslight-dot-size:var(--spectrum-status-light-dot-size-medium);--spectrum-statuslight-line-height:var(--spectrum-line-height-100);--spectrum-statuslight-line-height-cjk:var(--spectrum-cjk-line-height-100);--spectrum-statuslight-font-size:var(--spectrum-font-size-100);--spectrum-statuslight-spacing-dot-to-label:var(--spectrum-text-to-visual-100);--spectrum-statuslight-spacing-top-to-dot:var(--spectrum-status-light-top-to-dot-medium);--spectrum-statuslight-spacing-top-to-label:var(--spectrum-component-top-to-text-100);--spectrum-statuslight-spacing-bottom-to-label:var(--spectrum-component-bottom-to-text-100);--spectrum-statuslight-content-color-default:var(--spectrum-neutral-content-color-default);--spectrum-statuslight-subdued-content-color-default:var(--spectrum-neutral-subdued-content-color-default);--spectrum-statuslight-semantic-neutral-color:var(--spectrum-neutral-visual-color);--spectrum-statuslight-semantic-accent-color:var(--spectrum-accent-visual-color);--spectrum-statuslight-semantic-negative-color:var(--spectrum-negative-visual-color);--spectrum-statuslight-semantic-info-color:var(--spectrum-informative-visual-color);--spectrum-statuslight-semantic-notice-color:var(--spectrum-notice-visual-color);--spectrum-statuslight-semantic-positive-color:var(--spectrum-positive-visual-color);--spectrum-statuslight-nonsemantic-gray-color:var(--spectrum-gray-visual-color);--spectrum-statuslight-nonsemantic-red-color:var(--spectrum-red-visual-color);--spectrum-statuslight-nonsemantic-orange-color:var(--spectrum-orange-visual-color);--spectrum-statuslight-nonsemantic-yellow-color:var(--spectrum-yellow-visual-color);--spectrum-statuslight-nonsemantic-chartreuse-color:var(--spectrum-chartreuse-visual-color);--spectrum-statuslight-nonsemantic-celery-color:var(--spectrum-celery-visual-color);--spectrum-statuslight-nonsemantic-green-color:var(--spectrum-green-visual-color);--spectrum-statuslight-nonsemantic-seafoam-color:var(--spectrum-seafoam-visual-color);--spectrum-statuslight-nonsemantic-cyan-color:var(--spectrum-cyan-visual-color);--spectrum-statuslight-nonsemantic-blue-color:var(--spectrum-blue-visual-color);--spectrum-statuslight-nonsemantic-indigo-color:var(--spectrum-indigo-visual-color);--spectrum-statuslight-nonsemantic-purple-color:var(--spectrum-purple-visual-color);--spectrum-statuslight-nonsemantic-fuchsia-color:var(--spectrum-fuchsia-visual-color);--spectrum-statuslight-nonsemantic-magenta-color:var(--spectrum-magenta-visual-color)}:host([size=s]){--spectrum-statuslight-height:var(--spectrum-component-height-75);--spectrum-statuslight-dot-size:var(--spectrum-status-light-dot-size-small);--spectrum-statuslight-font-size:var(--spectrum-font-size-75);--spectrum-statuslight-spacing-dot-to-label:var(--spectrum-text-to-visual-75);--spectrum-statuslight-spacing-top-to-dot:var(--spectrum-status-light-top-to-dot-small);--spectrum-statuslight-spacing-top-to-label:var(--spectrum-component-top-to-text-75);--spectrum-statuslight-spacing-bottom-to-label:var(--spectrum-component-bottom-to-text-75)}:host{--spectrum-statuslight-height:var(--spectrum-component-height-100);--spectrum-statuslight-dot-size:var(--spectrum-status-light-dot-size-medium);--spectrum-statuslight-font-size:var(--spectrum-font-size-100);--spectrum-statuslight-spacing-dot-to-label:var(--spectrum-text-to-visual-100);--spectrum-statuslight-spacing-top-to-dot:var(--spectrum-status-light-top-to-dot-medium);--spectrum-statuslight-spacing-top-to-label:var(--spectrum-component-top-to-text-100);--spectrum-statuslight-spacing-bottom-to-label:var(--spectrum-component-bottom-to-text-100)}:host([size=l]){--spectrum-statuslight-height:var(--spectrum-component-height-200);--spectrum-statuslight-dot-size:var(--spectrum-status-light-dot-size-large);--spectrum-statuslight-font-size:var(--spectrum-font-size-200);--spectrum-statuslight-spacing-dot-to-label:var(--spectrum-text-to-visual-200);--spectrum-statuslight-spacing-top-to-dot:var(--spectrum-status-light-top-to-dot-large);--spectrum-statuslight-spacing-top-to-label:var(--spectrum-component-top-to-text-200);--spectrum-statuslight-spacing-bottom-to-label:var(--spectrum-component-bottom-to-text-200)}:host([size=xl]){--spectrum-statuslight-height:var(--spectrum-component-height-300);--spectrum-statuslight-dot-size:var(--spectrum-status-light-dot-size-extra-large);--spectrum-statuslight-font-size:var(--spectrum-font-size-300);--spectrum-statuslight-spacing-dot-to-label:var(--spectrum-text-to-visual-300);--spectrum-statuslight-spacing-top-to-dot:var(--spectrum-status-light-top-to-dot-extra-large);--spectrum-statuslight-spacing-top-to-label:var(--spectrum-component-top-to-text-300);--spectrum-statuslight-spacing-bottom-to-label:var(--spectrum-component-bottom-to-text-300)}@media (forced-colors:active){:host([dir]){forced-color-adjust:none;--highcontrast-statuslight-content-color-default:CanvasText;--highcontrast-statuslight-subdued-content-color-default:CanvasText}:host:before{border:var(--mod-statuslight-border-width,var(--spectrum-statuslight-border-width))solid ButtonText}}:host([dir]){min-block-size:var(--mod-statuslight-height,var(--spectrum-statuslight-height));box-sizing:border-box;font-size:var(--mod-statuslight-font-size,var(--spectrum-statuslight-font-size));font-weight:var(--mod-statuslight-font-weight,var(--spectrum-statuslight-font-weight));line-height:var(--mod-statuslight-line-height,var(--spectrum-statuslight-line-height));color:var(--highcontrast-statuslight-content-color-default,var(--mod-statuslight-content-color-default,var(--spectrum-statuslight-content-color-default)));flex-direction:row;align-items:flex-start;padding-block-start:var(--mod-statuslight-spacing-top-to-label,var(--spectrum-statuslight-spacing-top-to-label));padding-block-end:var(--mod-statuslight-spacing-bottom-to-label,var(--spectrum-statuslight-spacing-bottom-to-label));padding-inline:0;display:flex}:host(:lang(ja)),:host(:lang(ko)),:host(:lang(zh)){line-height:var(--mod-statuslight-line-height-cjk,var(--spectrum-statuslight-line-height-cjk))}:host:before{content:"";inline-size:var(--mod-statuslight-dot-size,var(--spectrum-statuslight-dot-size));block-size:var(--mod-statuslight-dot-size,var(--spectrum-statuslight-dot-size));border-radius:var(--mod-statuslight-corner-radius,var(--spectrum-statuslight-corner-radius));--spectrum-statuslight-spacing-computed-top-to-dot:calc(var(--mod-statuslight-spacing-top-to-dot,var(--spectrum-statuslight-spacing-top-to-dot)) - var(--mod-statuslight-spacing-top-to-label,var(--spectrum-statuslight-spacing-top-to-label)));-ms-high-contrast-adjust:none;forced-color-adjust:none;flex-grow:0;flex-shrink:0;margin-block-start:var(--spectrum-statuslight-spacing-computed-top-to-dot);margin-inline-end:var(--mod-statuslight-spacing-dot-to-label,var(--spectrum-statuslight-spacing-dot-to-label));display:inline-block}:host([variant=neutral]){color:var(--highcontrast-statuslight-subdued-content-color-default,var(--mod-statuslight-subdued-content-color-default,var(--spectrum-statuslight-subdued-content-color-default)));font-style:italic}:host([variant=neutral]):before{background-color:var(--mod-statuslight-semantic-neutral-color,var(--spectrum-statuslight-semantic-neutral-color))}.spectrum-StatusLight--accent:before{background-color:var(--mod-statuslight-semantic-accent-color,var(--spectrum-statuslight-semantic-accent-color))}:host([variant=info]):before{background-color:var(--mod-statuslight-semantic-info-color,var(--spectrum-statuslight-semantic-info-color))}:host([variant=negative]):before{background-color:var(--mod-statuslight-semantic-negative-color,var(--spectrum-statuslight-semantic-negative-color))}:host([variant=notice]):before{background-color:var(--mod-statuslight-semantic-notice-color,var(--spectrum-statuslight-semantic-notice-color))}:host([variant=positive]):before{background-color:var(--mod-statuslight-semantic-positive-color,var(--spectrum-statuslight-semantic-positive-color))}.spectrum-StatusLight--gray:before{background-color:var(--mod-statuslight-nonsemantic-gray-color,var(--spectrum-statuslight-nonsemantic-gray-color))}.spectrum-StatusLight--red:before{background-color:var(--mod-statuslight-nonsemantic-red-color,var(--spectrum-statuslight-nonsemantic-red-color))}.spectrum-StatusLight--orange:before{background-color:var(--mod-statuslight-nonsemantic-orange-color,var(--spectrum-statuslight-nonsemantic-orange-color))}:host([variant=yellow]):before{background-color:var(--mod-statuslight-nonsemantic-yellow-color,var(--spectrum-statuslight-nonsemantic-yellow-color))}:host([variant=chartreuse]):before{background-color:var(--mod-statuslight-nonsemantic-chartreuse-color,var(--spectrum-statuslight-nonsemantic-chartreuse-color))}:host([variant=celery]):before{background-color:var(--mod-statuslight-nonsemantic-celery-color,var(--spectrum-statuslight-nonsemantic-celery-color))}.spectrum-StatusLight--green:before{background-color:var(--mod-statuslight-nonsemantic-green-color,var(--spectrum-statuslight-nonsemantic-green-color))}:host([variant=seafoam]):before{background-color:var(--mod-statuslight-nonsemantic-seafoam-color,var(--spectrum-statuslight-nonsemantic-seafoam-color))}.spectrum-StatusLight--cyan:before{background-color:var(--mod-statuslight-nonsemantic-cyan-color,var(--spectrum-statuslight-nonsemantic-cyan-color))}.spectrum-StatusLight--blue:before{background-color:var(--mod-statuslight-nonsemantic-blue-color,var(--spectrum-statuslight-nonsemantic-blue-color))}:host([variant=indigo]):before{background-color:var(--mod-statuslight-nonsemantic-indigo-color,var(--spectrum-statuslight-nonsemantic-indigo-color))}:host([variant=purple]):before{background-color:var(--mod-statuslight-nonsemantic-purple-color,var(--spectrum-statuslight-nonsemantic-purple-color))}:host([variant=fuchsia]):before{background-color:var(--mod-statuslight-nonsemantic-fuchsia-color,var(--spectrum-statuslight-nonsemantic-fuchsia-color))}:host([variant=magenta]):before{background-color:var(--mod-statuslight-nonsemantic-magenta-color,var(--spectrum-statuslight-nonsemantic-magenta-color))}:host([disabled]):before{background-color:var(--spectrum-statuslight-dot-color-disabled,var(--spectrum-gray-400))}\n'
    ]);
    _templateObject$W = function _templateObject() {
        return data;
    };
    return data;
}
var s$3 = i$p(_templateObject$W());
var f$3 = s$3;

function _assert_this_initialized$u(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$w(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$v(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$v(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$v(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$v(Constructor, staticProps);
    return Constructor;
}
function _get$e(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$e = Reflect.get;
    } else {
        _get$e = function get(target, property, receiver) {
            var base = _super_prop_base$e(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$e(target, property, receiver || target);
}
function _get_prototype_of$u(o) {
    _get_prototype_of$u = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$u(o);
}
function _inherits$u(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$u(subClass, superClass);
}
function _possible_constructor_return$u(self, call) {
    if (call && (_type_of$u(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$u(self);
}
function _set_prototype_of$u(o, p) {
    _set_prototype_of$u = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$u(o, p);
}
function _super_prop_base$e(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$u(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$V(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$u(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$u() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$u(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$u();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$u(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$u(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$u(this, result);
    };
}
function _templateObject$V() {
    var data = _tagged_template_literal$V([
        "\n            <slot></slot>\n        "
    ]);
    _templateObject$V = function _templateObject() {
        return data;
    };
    return data;
}
var d$7 = Object.defineProperty;
var p$b = Object.getOwnPropertyDescriptor;
var o$b = function(l, r, t, i) {
    for(var e = i > 1 ? void 0 : i ? p$b(r, t) : r, a = l.length - 1, s; a >= 0; a--)(s = l[a]) && (e = (i ? s(r, t, e) : s(e)) || e);
    return i && e && d$7(r, t, e), e;
};
var StatusLight = /*#__PURE__*/ function(_m) {
    _inherits$u(StatusLight, _m);
    var _super = _create_super$u(StatusLight);
    function StatusLight() {
        _class_call_check$w(this, StatusLight);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.disabled = !1;
        _this.variant = "info";
        return _this;
    }
    _create_class$v(StatusLight, [
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$V());
            }
        },
        {
            key: "updated",
            value: function updated(t) {
                _get$e(_get_prototype_of$u(StatusLight.prototype), "updated", this).call(this, t), t.has("disabled") && (this.disabled ? this.setAttribute("aria-disabled", "true") : this.removeAttribute("aria-disabled"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    f$3
                ];
            }
        }
    ]);
    return StatusLight;
}(SizedMixin(SpectrumElement, {
    noDefaultSize: !0
}));
o$b([
    n$r({
        type: Boolean,
        reflect: !0
    })
], StatusLight.prototype, "disabled", 2), o$b([
    n$r({
        reflect: !0
    })
], StatusLight.prototype, "variant", 2);

defineElement("sp-status-light", StatusLight);

function _tagged_template_literal$U(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$U() {
    var data = _tagged_template_literal$U([
        '\n    :host{--spectrum-swatch-focus-indicator-border-radius:8px;--spectrum-swatch-icon-border-color:#00000082;--spectrum-swatch-size:var(--spectrum-swatch-size-small);--spectrum-swatch-border-radius:var(--spectrum-corner-radius-100);--spectrum-swatch-border-thickness:var(--spectrum-border-width-100);--spectrum-swatch-border-thickness-selected:var(--spectrum-border-width-200);--spectrum-swatch-disabled-icon-size:var(--spectrum-workflow-icon-size-75);--spectrum-swatch-slash-thickness:var(--spectrum-swatch-slash-thickness-small);--spectrum-swatch-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-swatch-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-swatch-border-color-selected:var(--spectrum-gray-900);--spectrum-swatch-inner-border-color-selected:var(--spectrum-gray-50);--spectrum-swatch-disabled-icon-border-color:var(--spectrum-swatch-disabled-icon-border-color);--spectrum-swatch-disabled-icon-color:var(--spectrum-white);--spectrum-swatch-dash-icon-color:var(--spectrum-gray-800);--spectrum-swatch-slash-icon-color:var(--spectrum-red-900);--spectrum-swatch-focus-indicator-color:var(--spectrum-focus-indicator-color)}:host([size=xs]){--spectrum-swatch-size:var(--spectrum-swatch-size-extra-small);--spectrum-swatch-disabled-icon-size:var(--spectrum-workflow-icon-size-50);--spectrum-swatch-slash-thickness:var(--spectrum-swatch-slash-thickness-extra-small)}:host([size=s]){--spectrum-swatch-size:var(--spectrum-swatch-size-small);--spectrum-swatch-disabled-icon-size:var(--spectrum-workflow-icon-size-75);--spectrum-swatch-slash-thickness:var(--spectrum-swatch-slash-thickness-small)}:host{--spectrum-swatch-size:var(--spectrum-swatch-size-medium);--spectrum-swatch-disabled-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-swatch-slash-thickness:var(--spectrum-swatch-slash-thickness-medium)}:host([size=l]){--spectrum-swatch-size:var(--spectrum-swatch-size-large);--spectrum-swatch-disabled-icon-size:var(--spectrum-workflow-icon-size-200);--spectrum-swatch-slash-thickness:var(--spectrum-swatch-slash-thickness-large)}@media (forced-colors:active){:host{--highcontrast-swatch-disabled-icon-color:GrayText;--highcontrast-swatch-focus-indicator-color:ButtonText;--highcontrast-swatch-background-color-selected:Background;--highcontrast-swatch-border-color-selected:Highlight;--highcontrast-swatch-border-color:ButtonText;--highcontrast-swatch-fill-foreground-color:ButtonText}.fill{forced-color-adjust:none}:host([disabled]),:host([disabled]){--highcontrast-swatch-border-color:GrayText}}:host{inline-size:var(--mod-swatch-size,var(--spectrum-swatch-size));block-size:var(--mod-swatch-size,var(--spectrum-swatch-size));-webkit-user-select:none;user-select:none;outline:none;justify-content:center;align-items:center;display:flex;position:relative}.disabledIcon{inline-size:var(--mod-swatch-disabled-icon-size,var(--spectrum-swatch-disabled-icon-size));block-size:var(--mod-swatch-disabled-icon-size,var(--spectrum-swatch-disabled-icon-size))}:host,:host:before{border-radius:var(--mod-swatch-border-radius,var(--spectrum-swatch-border-radius))}:host([selected]){background-color:var(--highcontrast-swatch-background-color-selected,var(--mod-swatch-inner-border-color-selected,var(--spectrum-swatch-inner-border-color-selected)))}:host([selected]) .fill{clip-path:polygon(calc(var(--mod-swatch-border-thickness-selected,var(--spectrum-swatch-border-thickness-selected))*2)calc(var(--mod-swatch-border-thickness-selected,var(--spectrum-swatch-border-thickness-selected))*2),calc(100% - var(--mod-swatch-border-thickness-selected,var(--spectrum-swatch-border-thickness-selected))*2)calc(var(--mod-swatch-border-thickness-selected,var(--spectrum-swatch-border-thickness-selected))*2),calc(100% - var(--mod-swatch-border-thickness-selected,var(--spectrum-swatch-border-thickness-selected))*2)calc(100% - var(--mod-swatch-border-thickness-selected,var(--spectrum-swatch-border-thickness-selected))*2),calc(var(--mod-swatch-border-thickness-selected,var(--spectrum-swatch-border-thickness-selected))*2)calc(100% - var(--mod-swatch-border-thickness-selected,var(--spectrum-swatch-border-thickness-selected))*2));border-radius:0}:host([selected]) .fill:before{box-shadow:none;border-radius:0}:host([selected]):before{opacity:1}:host .is-image .fill:before{background-color:initial}:host([mixed-value]) .fill{background:var(--spectrum-picked-color,transparent)}:host([mixed-value]) .mixedValueIcon{color:var(--spectrum-swatch-dash-icon-color);display:block}:host([nothing]) .fill{background-color:var(--spectrum-picked-color,transparent);background-image:none}:host([nothing]) .fill:after{inline-size:var(--mod-swatch-slash-thickness,var(--spectrum-swatch-slash-thickness));content:"";background:var(--highcontrast-swatch-fill-foreground-color,var(--mod-swatch-slash-icon-color,var(--spectrum-swatch-slash-icon-color)));block-size:200%;position:absolute;transform:rotate(-45deg)}:host([nothing][shape=rectangle]) .fill:after{transform:rotate(-25deg)}:host([disabled]) .disabledIcon,:host([disabled]) .disabledIcon{display:block}:host:before{content:"";border-width:var(--mod-swatch-border-thickness-selected,var(--spectrum-swatch-border-thickness-selected));border-style:solid;border-color:var(--highcontrast-swatch-border-color-selected,var(--mod-swatch-border-color-selected,var(--spectrum-swatch-border-color-selected)));opacity:0;pointer-events:none;position:absolute;inset:0}:host:after{content:"";inset:calc(var(--mod-swatch-focus-indicator-gap,var(--spectrum-swatch-focus-indicator-gap))*-2);opacity:0;border-width:var(--mod-swatch-focus-indicator-thickness,var(--spectrum-swatch-focus-indicator-thickness));border-style:solid;border-color:var(--highcontrast-swatch-focus-indicator-color,var(--mod-swatch-focus-indicator-color,var(--spectrum-swatch-focus-indicator-color)));border-radius:var(--mod-swatch-focus-indicator-border-radius,var(--spectrum-swatch-focus-indicator-border-radius));transition:opacity var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-in-out;position:absolute}:host(:focus-visible):after{opacity:1}.fill{box-sizing:border-box;justify-content:center;align-items:center;block-size:100%;inline-size:100%;display:flex;position:relative;overflow:hidden}.fill,.fill:before{border-radius:var(--mod-swatch-border-radius,var(--spectrum-swatch-border-radius))}.fill:before{content:"";z-index:0;background-color:var(--spectrum-picked-color,transparent);box-shadow:inset 0 0 0 var(--mod-swatch-border-thickness,var(--spectrum-swatch-border-thickness))var(--highcontrast-swatch-border-color,var(--mod-swatch-border-color,var(--spectrum-swatch-border-color)));position:absolute;inset:0}:host([border=none]) .fill:before{box-shadow:none;background-color:var(--spectrum-picked-color,transparent)}.mixedValueIcon{pointer-events:none;color:var(--spectrum-picked-color,transparent);display:none}.disabledIcon{z-index:1;pointer-events:none;color:var(--highcontrast-swatch-disabled-icon-color,var(--mod-swatch-disabled-icon-color,var(--spectrum-swatch-disabled-icon-color)));stroke:var(--highcontrast-swatch-disabled-icon-color,var(--mod-swatch-disabled-icon-color,var(--spectrum-swatch-disabled-icon-color)));display:none;position:relative}.disabledIcon path:first-child{fill:var(--highcontrast-swatch-disabled-icon-color,var(--mod-swatch-disabled-icon-color,var(--spectrum-swatch-disabled-icon-color)))}.disabledIcon path:last-child{fill:var(--mod-swatch-icon-border-color,var(--spectrum-swatch-icon-border-color))}:host([shape=rectangle]){inline-size:calc(var(--mod-swatch-size,var(--spectrum-swatch-size))*2)}:host([rounding=none]),:host([rounding=none]) .fill,:host([rounding=none]) .fill:before,:host([rounding=none][selected]) .fill,:host([rounding=none][selected]) .fill:before,:host([rounding=none]):after,:host([rounding=none]):before{border-radius:0}:host([rounding=full][selected]:not([shape=rectangle])) .fill,:host([rounding=full][selected]:not([shape=rectangle])) .fill:before,:host([rounding=full]:not([shape=rectangle])),:host([rounding=full]:not([shape=rectangle])) .fill,:host([rounding=full]:not([shape=rectangle])) .fill:before,:host([rounding=full]:not([shape=rectangle])):after,:host([rounding=full]:not([shape=rectangle])):before{border-radius:100%}:host([rounding=full][selected]:not([shape=rectangle])) .fill{clip-path:circle(calc(50% - var(--mod-swatch-border-thickness-selected,var(--spectrum-swatch-border-thickness-selected))*2)at 50% 50%)}::slotted([slot=image]){object-fit:contain;transition:width var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-in-out,height var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-in-out;block-size:100%;inline-size:100%}.fill:before,:host([border=none]) .fill:before{background:var(--spectrum-picked-color,transparent)}:host .is-image .fill:before{background:0 0}\n'
    ]);
    _templateObject$U = function _templateObject() {
        return data;
    };
    return data;
}
var e$f = i$p(_templateObject$U());
var f$2 = e$f;

function _assert_this_initialized$t(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$v(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$u(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$u(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$u(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$u(Constructor, staticProps);
    return Constructor;
}
function _get$d(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$d = Reflect.get;
    } else {
        _get$d = function get(target, property, receiver) {
            var base = _super_prop_base$d(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$d(target, property, receiver || target);
}
function _get_prototype_of$t(o) {
    _get_prototype_of$t = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$t(o);
}
function _inherits$t(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$t(subClass, superClass);
}
function _possible_constructor_return$t(self, call) {
    if (call && (_type_of$t(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$t(self);
}
function _set_prototype_of$t(o, p) {
    _set_prototype_of$t = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$t(o, p);
}
function _super_prop_base$d(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$t(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$T(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$t(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$t() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$t(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$t();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$t(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$t(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$t(this, result);
    };
}
function _templateObject$T() {
    var data = _tagged_template_literal$T([
        '\n        <sp-icon-dash75\n            slot="icon"\n            class="mixedValueIcon spectrum-UIIcon-Dash75"\n        ></sp-icon-dash75>\n    '
    ]);
    _templateObject$T = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$8() {
    var data = _tagged_template_literal$T([
        '\n        <sp-icon-dash100\n            slot="icon"\n            class="mixedValueIcon spectrum-UIIcon-Dash100"\n        ></sp-icon-dash100>\n    '
    ]);
    _templateObject1$8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$3() {
    var data = _tagged_template_literal$T([
        '\n        <sp-icon-dash200\n            slot="icon"\n            class="mixedValueIcon spectrum-UIIcon-Dash200"\n        ></sp-icon-dash200>\n    '
    ]);
    _templateObject2$3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$2() {
    var data = _tagged_template_literal$T([
        '\n        <sp-icon-dash300\n            slot="icon"\n            class="mixedValueIcon spectrum-UIIcon-Dash300"\n        ></sp-icon-dash300>\n    '
    ]);
    _templateObject3$2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$2() {
    var data = _tagged_template_literal$T([
        '\n            <div\n                class="opacity-checkerboard fill"\n                style=',
        '\n            >\n                <slot name="image"></slot>\n                ',
        "\n                ",
        "\n            </div>\n        "
    ]);
    _templateObject4$2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _tagged_template_literal$T([
        '\n            <svg\n                xmlns="http://www.w3.org/2000/svg"\n                class="disabledIcon"\n                viewBox="0 0 20 20"\n            >\n                <path\n                    d="M9.889,1a8.889,8.889,0,1,0,8.889,8.889A8.889,8.889,0,0,0,9.889,1Zm6.667,8.889a6.635,6.635,0,0,1-1.233,3.863l-9.3-9.3A6.667,6.667,0,0,1,16.556,9.889Zm-13.333,0A6.636,6.636,0,0,1,4.455,6.026l9.3,9.3A6.667,6.667,0,0,1,3.222,9.889Z"\n                    stroke="none"\n                    fill="var(--spectrum-swatch-disabled-icon-color)"\n                />\n                <path\n                    d="M 9.888889312744141 1 C 4.979689598083496 1 1 4.979689598083496 1 9.888889312744141 C 1 14.7980899810791 4.979689598083496 18.77777862548828 9.888889312744141 18.77777862548828 C 14.7980899810791 18.77777862548828 18.77777862548828 14.7980899810791 18.77777862548828 9.888889312744141 C 18.77777862548828 4.979689598083496 14.7980899810791 1 9.888889312744141 1 M 15.32277870178223 13.75166893005371 L 6.02610969543457 4.454998970031738 C 8.059318542480469 3.009572982788086 10.72937774658203 2.820217132568359 12.9462194442749 3.964249610900879 C 15.16304969787598 5.10828971862793 16.55568885803223 7.394259452819824 16.5555591583252 9.888889312744141 C 16.55776977539062 11.27357959747314 16.126708984375 12.62425994873047 15.32277870178223 13.75166893005371 M 9.888258934020996 16.55648612976074 C 8.843273162841797 16.55648612976074 7.794573783874512 16.31111145019531 6.831318855285645 15.8139591217041 C 4.614439010620117 14.66977882385254 3.221879959106445 12.38361930847168 3.222219467163086 9.888889312744141 C 3.220088958740234 8.504219055175781 3.651140213012695 7.153559684753418 4.454998970031738 6.02610969543457 L 13.75166893005371 15.32333946228027 C 12.60186290740967 16.14075088500977 11.24825286865234 16.55648612976074 9.888258934020996 16.55648612976074 M 9.888889312744141 0 C 15.34163951873779 0 19.77777862548828 4.436139106750488 19.77777862548828 9.888889312744141 C 19.77777862548828 15.34163951873779 15.34163951873779 19.77777862548828 9.888889312744141 19.77777862548828 C 4.436139106750488 19.77777862548828 0 15.34163951873779 0 9.888889312744141 C 0 4.436139106750488 4.436139106750488 0 9.888889312744141 0 Z M 15.10232830047607 12.11699867248535 C 15.40205764770508 11.41858959197998 15.55679702758789 10.66494941711426 15.5555591583252 9.89048957824707 C 15.5556697845459 7.759209632873535 14.38009929656982 5.829549789428711 12.48761940002441 4.852889060974121 C 11.68764972686768 4.440059661865234 10.78924942016602 4.22184944152832 9.889529228210449 4.22184944152832 C 9.114802360534668 4.22184944152832 8.360831260681152 4.377038955688477 7.661839485168457 4.676509857177734 L 15.10232830047607 12.11699867248535 Z M 12.11597919464111 15.10181331634521 L 4.675475120544434 7.660861015319824 C 4.375750541687012 8.359296798706055 4.221027374267578 9.112875938415527 4.222219467163086 9.887349128723145 C 4.221929550170898 12.01874923706055 5.397418975830078 13.94855880737305 7.289958953857422 14.92533874511719 C 8.08997917175293 15.3382396697998 8.988459587097168 15.55648994445801 9.888258934020996 15.55648994445801 C 10.66298007965088 15.55648994445801 11.41698551177979 15.40128421783447 12.11597919464111 15.10181331634521 Z"\n                    stroke="none"\n                    fill="var(--spectrum-swatch-disabled-icon-stroke-color)"\n                />\n            </svg>\n        '
    ]);
    _templateObject5 = function _templateObject() {
        return data;
    };
    return data;
}
var u$b = Object.defineProperty;
var p$a = Object.getOwnPropertyDescriptor;
var i$1 = function(d, a, e, t) {
    for(var r = t > 1 ? void 0 : t ? p$a(a, e) : a, o = d.length - 1, n; o >= 0; o--)(n = d[o]) && (r = (t ? n(a, e, r) : n(r)) || r);
    return t && r && u$b(a, e, r), r;
};
var C = {
    xs: function() {
        return x$3(_templateObject$T());
    },
    s: function() {
        return x$3(_templateObject1$8());
    },
    m: function() {
        return x$3(_templateObject2$3());
    },
    l: function() {
        return x$3(_templateObject3$2());
    }
};
var Swatch = /*#__PURE__*/ function(_h) {
    _inherits$t(Swatch, _h);
    var _super = _create_super$t(Swatch);
    function Swatch() {
        _class_call_check$v(this, Swatch);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.color = "";
        _this.label = "";
        _this.mixedValue = !1;
        _this.nothing = !1;
        _this.role = "button";
        _this.selected = !1;
        _this.renderDisabled = function() {
            return x$3(_templateObject5());
        };
        _this.renderMixedValue = function() {
            return C[_this.size]();
        };
        return _this;
    }
    _create_class$u(Swatch, [
        {
            key: "value",
            get: function get() {
                return this._value || this.color || this.label;
            },
            set: function set(e) {
                if (e === this._value) return;
                var t = this.value;
                this._value = e, this.requestUpdate("value", t);
            }
        },
        {
            key: "focusElement",
            get: function get() {
                return this;
            }
        },
        {
            key: "toggle",
            value: function toggle(e) {
                this.selected = e != null ? e : !this.selected;
            }
        },
        {
            key: "handleClick",
            value: function handleClick() {
                if (this.disabled || this.mixedValue) return;
                this.toggle(), this.dispatchEvent(new Event("change", {
                    cancelable: !0,
                    bubbles: !0
                })) || this.toggle();
            }
        },
        {
            key: "handleKeydown",
            value: function handleKeydown(e) {
                var t = e.code;
                switch(t){
                    case "Space":
                        e.preventDefault(), this.addEventListener("keyup", this.handleKeyup);
                        break;
                }
            }
        },
        {
            key: "handleKeypress",
            value: function handleKeypress(e) {
                var t = e.code;
                switch(t){
                    case "Enter":
                    case "NumpadEnter":
                        this.click();
                        break;
                }
            }
        },
        {
            key: "handleKeyup",
            value: function handleKeyup(e) {
                var t = e.code;
                switch(t){
                    case "Space":
                        this.removeEventListener("keyup", this.handleKeyup), this.click();
                        break;
                }
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject4$2(), o$O(this.color ? "--spectrum-picked-color: ".concat(this.color) : void 0), n$l(this.disabled, this.renderDisabled), n$l(this.mixedValue, this.renderMixedValue));
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(e) {
                var t;
                if (this.getAttribute("role") || this.setAttribute("role", "button"), e.has("selected") || e.has("role")) {
                    var r = this.role === "button" ? "aria-pressed" : "aria-checked", o = this.role === "button" ? "aria-checked" : "aria-pressed";
                    e.has("role") && this.removeAttribute(o), this.setAttribute(r, this.selected ? "true" : "false");
                }
                (e.has("label") || e.has("color") || e.has("mixedValue")) && (this.label !== this.color && (t = this.label) != null && t.length ? this.setAttribute("aria-label", this.label) : this.color ? this.setAttribute("aria-label", this.color) : this.mixedValue ? this.setAttribute("aria-label", "Mixed") : this.removeAttribute("aria-label"));
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$d(_get_prototype_of$t(Swatch.prototype), "firstUpdated", this).call(this, e), this.addEventListener("click", this.handleClick), this.addEventListener("keydown", this.handleKeydown), this.addEventListener("keypress", this.handleKeypress), this.hasAttribute("tabindex") || this.setAttribute("tabindex", "0");
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    b$9,
                    f$2,
                    y$e
                ];
            }
        }
    ]);
    return Swatch;
}(SizedMixin(Focusable, {
    validSizes: [
        "xs",
        "s",
        "m",
        "l"
    ],
    noDefaultSize: !0
}));
i$1([
    n$r({
        reflect: !0
    })
], Swatch.prototype, "border", 2), i$1([
    n$r()
], Swatch.prototype, "color", 2), i$1([
    n$r()
], Swatch.prototype, "label", 2), i$1([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "mixed-value"
    })
], Swatch.prototype, "mixedValue", 2), i$1([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Swatch.prototype, "nothing", 2), i$1([
    n$r({
        reflect: !0
    })
], Swatch.prototype, "role", 2), i$1([
    n$r({
        reflect: !0
    })
], Swatch.prototype, "rounding", 2), i$1([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Swatch.prototype, "selected", 2), i$1([
    n$r({
        reflect: !0
    })
], Swatch.prototype, "shape", 2), i$1([
    n$r()
], Swatch.prototype, "value", 1);

defineElement("sp-swatch", Swatch);

function _tagged_template_literal$S(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$S() {
    var data = _tagged_template_literal$S([
        "\n    :host{--spectrum-swatchgroup-spacing-compact:var(--spectrum-spacing-50);--spectrum-swatchgroup-spacing-regular:var(--spectrum-spacing-75);--spectrum-swatchgroup-spacing-spacious:var(--spectrum-spacing-100);justify-content:flex-start;align-items:flex-start;gap:var(--mod-swatchgroup-spacing-regular,var(--spectrum-swatchgroup-spacing-regular));flex-flow:wrap;display:inline-flex}:host([density=compact]){gap:var(--mod-swatchgroup-spacing-compact,var(--spectrum-swatchgroup-spacing-compact))}:host([density=spacious]){gap:var(--mod-swatchgroup-spacing-spacious,var(--spectrum-swatchgroup-spacing-spacious))}\n"
    ]);
    _templateObject$S = function _templateObject() {
        return data;
    };
    return data;
}
var a$7 = i$p(_templateObject$S());
var b$2 = a$7;

function _array_like_to_array$8(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$5(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$8(arr);
}
function _assert_this_initialized$s(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$9(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$9(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$9(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$9(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$u(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$t(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$t(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$t(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$t(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$s(o) {
    _get_prototype_of$s = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$s(o);
}
function _inherits$s(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$s(subClass, superClass);
}
function _iterable_to_array$5(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$5() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$s(self, call) {
    if (call && (_type_of$s(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$s(self);
}
function _set_prototype_of$s(o, p) {
    _set_prototype_of$s = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$s(o, p);
}
function _tagged_template_literal$R(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$5(arr) {
    return _array_without_holes$5(arr) || _iterable_to_array$5(arr) || _unsupported_iterable_to_array$8(arr) || _non_iterable_spread$5();
}
function _type_of$s(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$8(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$8(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$8(o, minLen);
}
function _is_native_reflect_construct$s() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$s(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$s();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$s(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$s(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$s(this, result);
    };
}
function _ts_generator$9(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$R() {
    var data = _tagged_template_literal$R([
        "\n            <slot\n                @change=",
        "\n                @slotchange=",
        "\n            ></slot>\n        "
    ]);
    _templateObject$R = function _templateObject() {
        return data;
    };
    return data;
}
var h$5 = Object.defineProperty;
var u$a = Object.getOwnPropertyDescriptor;
var a$6 = function(n, o, t, e) {
    for(var i = e > 1 ? void 0 : e ? u$a(o, t) : o, s = n.length - 1, r; s >= 0; s--)(r = n[s]) && (i = (e ? r(o, t, i) : r(i)) || i);
    return e && i && h$5(o, t, i), i;
};
var SwatchGroup = /*#__PURE__*/ function(_f) {
    _inherits$s(SwatchGroup, _f);
    var _super = _create_super$s(SwatchGroup);
    function SwatchGroup() {
        _class_call_check$u(this, SwatchGroup);
        var _this;
        _this = _super.call(this);
        _this._selected = [];
        _this.selectedSet = new Set;
        _this.rovingTabindexController = new RovingTabindexController(_assert_this_initialized$s(_this), {
            focusInIndex: function(t) {
                var e = -1;
                var i = t.findIndex(function(s, r) {
                    return !t[e] && !s.disabled && (e = r), s.selected && !s.disabled;
                });
                return t[i] ? i : e;
            },
            elements: function() {
                return _this.swatches;
            },
            isFocusableElement: function(t) {
                return !t.disabled;
            }
        });
        var _this1 = _assert_this_initialized$s(_this);
        _this.manageChange = /*#__PURE__*/ _async_to_generator$9(function() {
            var t;
            return _ts_generator$9(this, function(_state) {
                switch(_state.label){
                    case 0:
                        t = new Set;
                        _this1.selectedSet = new Set(_this1.selected);
                        return [
                            4,
                            Promise.all(_this1.swatches.map(function(e) {
                                return e.updateComplete;
                            }))
                        ];
                    case 1:
                        _state.sent(), _this1.swatches.forEach(function(e) {
                            t.add(e.value), e.selected && _this1.selectedSet.add(e.value);
                        }), _this1.selectedSet.forEach(function(e) {
                            t.has(e) || _this1.selectedSet.delete(e);
                        }), _this1._selected = _to_consumable_array$5(_this1.selectedSet), _this1.rovingTabindexController.clearElementCache();
                        return [
                            2
                        ];
                }
            });
        });
        new s$b(_assert_this_initialized$s(_this), {
            config: {
                attributes: !0,
                childList: !0,
                subtree: !0
            },
            callback: function() {
                _this.manageChange();
            }
        });
        return _this;
    }
    _create_class$t(SwatchGroup, [
        {
            key: "selected",
            get: function get() {
                return this._selected;
            },
            set: function set(t) {
                if (t === this.selected) return;
                var e = this.selected;
                this._selected = t, this.requestUpdate("selected", e);
            }
        },
        {
            key: "focus",
            value: function focus(t) {
                this.rovingTabindexController.focus(t);
            }
        },
        {
            key: "handleChange",
            value: function handleChange(t) {
                t.stopPropagation();
                var e = this.selected;
                if (!this.selects) {
                    t.preventDefault();
                    return;
                }
                if (this.selects === "single") {
                    var s = t.target;
                    if (s.tabIndex = 0, s.selected = !0, this.selectedSet.has(s.value)) return;
                    this.selectedSet.clear(), this.selectedSet.add(s.value), this.rovingTabindexController.elements.forEach(function(r) {
                        r !== s && (r.selected = !1);
                    });
                } else if (this.selects === "multiple") {
                    var s1 = t.target;
                    s1.selected ? this.selectedSet.add(s1.value) : this.selectedSet.delete(s1.value);
                }
                this._selected = _to_consumable_array$5(this.selectedSet), this.dispatchEvent(new Event("change", {
                    cancelable: !0,
                    bubbles: !0
                })) || (this._selected = e, t.preventDefault());
            }
        },
        {
            key: "getPassthroughSwatchActions",
            value: function getPassthroughSwatchActions(t) {
                var e = {};
                t.has("selects") && (this.selects || typeof t.get("selects") != "undefined") && (e.selects = this.selects), t.has("border") && (this.border || typeof t.get("border") != "undefined") && (e.border = this.border), t.has("rounding") && (this.rounding || typeof t.get("rounding") != "undefined") && (e.rounding = this.rounding), t.has("size") && (this.size !== "m" || typeof t.get("size") != "undefined") && (e.size = this.size), t.has("shape") && (this.shape || typeof t.get("shape") != "undefined") && (e.shape = this.shape);
                var i = [];
                return Object.keys(e).length && i.push(function(s) {
                    "border" in e && (s.border = e.border), "rounding" in e && (s.rounding = e.rounding), "shape" in e && (s.shape = e.shape), "size" in e && (s.size = e.size);
                }), i;
            }
        },
        {
            key: "getSelectionSwatchActions",
            value: function getSelectionSwatchActions(t) {
                var e = [];
                if (!t.has("selects")) return e;
                this.selects ? this.setAttribute("role", this.selects === "single" ? "radiogroup" : "group") : this.removeAttribute("role");
                var i = {
                    single: "radio",
                    multiple: "checkbox"
                }, s = this.selects ? i[this.selects] : "button";
                return e.push(function(r) {
                    r.setAttribute("role", s);
                }), e;
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$R(), this.handleChange, this.manageChange);
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(t) {
                var _this = this;
                var e = _to_consumable_array$5(this.getPassthroughSwatchActions(t)).concat(_to_consumable_array$5(this.getSelectionSwatchActions(t)));
                var i = new Set(this.selected);
                var s = new Set;
                t.has("selected") && e.push(function(l) {
                    s.add(l.value), i.has(l.value) || !_this.hasUpdated && l.selected ? l.selected = !0 : l.selected = !1;
                });
                var r = function() {
                    i = new Set(_this.selected), _this.swatches.forEach(function(l) {
                        e.forEach(function(d) {
                            d(l);
                        });
                    }), t.has("selected") && (_this._selected = _to_consumable_array$5(i.values()).filter(function(l) {
                        return s.has(l);
                    }));
                };
                this.hasUpdated ? r() : this.shadowRoot.addEventListener("slotchange", function() {
                    requestAnimationFrame(r);
                }, {
                    once: !0
                });
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    b$2
                ];
            }
        }
    ]);
    return SwatchGroup;
}(SizedMixin(SpectrumElement, {
    validSizes: [
        "xs",
        "s",
        "m",
        "l"
    ],
    noDefaultSize: !0
}));
a$6([
    n$r({
        reflect: !0
    })
], SwatchGroup.prototype, "border", 2), a$6([
    n$r({
        reflect: !0
    })
], SwatchGroup.prototype, "density", 2), a$6([
    n$r({
        reflect: !0
    })
], SwatchGroup.prototype, "rounding", 2), a$6([
    n$r({
        type: Array
    })
], SwatchGroup.prototype, "selected", 1), a$6([
    n$r()
], SwatchGroup.prototype, "selects", 2), a$6([
    n$r({
        reflect: !0
    })
], SwatchGroup.prototype, "shape", 2), a$6([
    o$P({
        flatten: !0
    })
], SwatchGroup.prototype, "swatches", 2);

defineElement("sp-swatch-group", SwatchGroup);

function _assert_this_initialized$r(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$t(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$s(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$s(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$s(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$s(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$r(o) {
    _get_prototype_of$r = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$r(o);
}
function _inherits$r(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$r(subClass, superClass);
}
function _possible_constructor_return$r(self, call) {
    if (call && (_type_of$r(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$r(self);
}
function _set_prototype_of$r(o, p) {
    _set_prototype_of$r = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$r(o, p);
}
function _type_of$r(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$r() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$r(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$r();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$r(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$r(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$r(this, result);
    };
}
var CheckboxBase = /*#__PURE__*/ function(_t) {
    _inherits$r(CheckboxBase, _t);
    var _super = _create_super$r(CheckboxBase);
    function CheckboxBase() {
        _class_call_check$t(this, CheckboxBase);
        return _super.apply(this, arguments);
    }
    _create_class$s(CheckboxBase, [
        {
            key: "focusElement",
            get: function get() {
                return this.inputElement;
            }
        }
    ]);
    return CheckboxBase;
} 
(CheckboxMixin(Focusable));

function _tagged_template_literal$Q(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$Q() {
    var data = _tagged_template_literal$Q([
        '\n    :host{--spectrum-switch-label-color-default:var(--spectrum-neutral-content-color-default);--spectrum-switch-label-color-hover:var(--spectrum-neutral-content-color-hover);--spectrum-switch-label-color-down:var(--spectrum-neutral-content-color-down);--spectrum-switch-label-color-focus:var(--spectrum-neutral-content-color-key-focus);--spectrum-switch-label-color-disabled:var(--spectrum-disabled-content-color);--spectrum-switch-background-color:var(--spectrum-gray-300);--spectrum-switch-background-color-disabled:var(--spectrum-gray-300);--spectrum-switch-background-color-selected-disabled:var(--spectrum-disabled-content-color);--spectrum-switch-background-color-selected-default:var(--spectrum-neutral-background-color-selected-default);--spectrum-switch-background-color-selected-hover:var(--spectrum-neutral-background-color-selected-hover);--spectrum-switch-background-color-selected-down:var(--spectrum-neutral-background-color-selected-down);--spectrum-switch-background-color-selected-focus:var(--spectrum-neutral-background-color-selected-key-focus);--spectrum-switch-focus-indicator-thickness:var(--mod-focus-indicator-thickness,var(--spectrum-focus-indicator-thickness));--spectrum-switch-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-switch-handle-background-color:var(--spectrum-gray-75);--spectrum-switch-handle-border-color-disabled:var(--spectrum-disabled-content-color)}:host([disabled]){--spectrum-switch-label-color-default:var(--spectrum-disabled-content-color)}:host([emphasized]){--spectrum-switch-background-color-selected-default:var(--spectrum-accent-color-900);--spectrum-switch-background-color-selected-hover:var(--spectrum-accent-color-1000);--spectrum-switch-background-color-selected-down:var(--spectrum-accent-color-1100);--spectrum-switch-background-color-selected-focus:var(--spectrum-accent-color-1000);--spectrum-switch-handle-border-color-selected-default:var(--spectrum-accent-color-900);--spectrum-switch-handle-border-color-selected-hover:var(--spectrum-accent-color-1000);--spectrum-switch-handle-border-color-selected-down:var(--spectrum-accent-color-1100);--spectrum-switch-handle-border-color-selected-focus:var(--spectrum-accent-color-1000)}:host([size=s]){--spectrum-switch-min-height:var(--spectrum-component-height-75);--spectrum-switch-control-width:var(--spectrum-switch-control-width-small);--spectrum-switch-control-height:var(--spectrum-switch-control-height-small);--spectrum-switch-control-label-spacing:var(--spectrum-text-to-control-75);--spectrum-switch-spacing-top-to-control:var(--spectrum-switch-top-to-control-small);--spectrum-switch-spacing-top-to-label:var(--spectrum-component-top-to-text-75);--spectrum-switch-font-size:var(--spectrum-font-size-75)}:host{--spectrum-switch-min-height:var(--spectrum-component-height-100);--spectrum-switch-control-width:var(--spectrum-switch-control-width-medium);--spectrum-switch-control-height:var(--spectrum-switch-control-height-medium);--spectrum-switch-control-label-spacing:var(--spectrum-text-to-control-100);--spectrum-switch-spacing-top-to-control:var(--spectrum-switch-top-to-control-medium);--spectrum-switch-spacing-top-to-label:var(--spectrum-component-top-to-text-100);--spectrum-switch-font-size:var(--spectrum-font-size-100)}:host([size=l]){--spectrum-switch-min-height:var(--spectrum-component-height-200);--spectrum-switch-control-width:var(--spectrum-switch-control-width-large);--spectrum-switch-control-height:var(--spectrum-switch-control-height-large);--spectrum-switch-control-label-spacing:var(--spectrum-text-to-control-200);--spectrum-switch-spacing-top-to-control:var(--spectrum-switch-top-to-control-large);--spectrum-switch-spacing-top-to-label:var(--spectrum-component-top-to-text-200);--spectrum-switch-font-size:var(--spectrum-font-size-200)}:host([size=xl]){--spectrum-switch-min-height:var(--spectrum-component-height-300);--spectrum-switch-control-width:var(--spectrum-switch-control-width-extra-large);--spectrum-switch-control-height:var(--spectrum-switch-control-height-extra-large);--spectrum-switch-control-label-spacing:var(--spectrum-text-to-control-300);--spectrum-switch-spacing-top-to-control:var(--spectrum-switch-top-to-control-extra-large);--spectrum-switch-spacing-top-to-label:var(--spectrum-component-top-to-text-300);--spectrum-switch-font-size:var(--spectrum-font-size-300)}:host{min-block-size:var(--mod-switch-height,var(--spectrum-switch-min-height));vertical-align:top;align-items:flex-start;max-inline-size:100%;display:inline-flex;position:relative}#input{box-sizing:border-box;opacity:0;z-index:1;cursor:pointer;block-size:100%;inline-size:100%;margin:0;padding:0;position:absolute;inset-block-start:0;inset-inline-start:0}:host([checked]) #input+#switch:before{transform:translateX(calc(var(--mod-switch-control-width,var(--spectrum-switch-control-width)) - 100%))}:host([checked]) #input+#switch:dir(rtl):before,:host([dir=rtl][checked]) #input+#switch:before{transform:translateX(calc(( var(--mod-switch-control-width,var(--spectrum-switch-control-width)) - 100% )*-1))}:host([disabled]) #input,:host([disabled]) #input{cursor:default}#input:focus-visible+#switch:after{margin:calc(var(--mod-focus-indicator-gap,var(--spectrum-focus-indicator-gap))*-1)}#label{color:var(--highcontrast-switch-label-color-default,var(--mod-switch-label-color-default,var(--spectrum-switch-label-color-default)));margin-inline:var(--mod-switch-control-label-spacing,var(--spectrum-switch-control-label-spacing));font-size:var(--mod-switch-font-size,var(--spectrum-switch-font-size));line-height:var(--mod-line-height-100,var(--spectrum-line-height-100));transition:color var(--mod-animation-duration-200,var(--spectrum-animation-duration-200))ease-in-out;margin-block-start:var(--mod-switch-spacing-top-to-label,var(--spectrum-switch-spacing-top-to-label));margin-block-end:0}#switch{box-sizing:border-box;inline-size:var(--mod-switch-control-width,var(--spectrum-switch-control-width));margin-block:calc(var(--mod-switch-height,var(--spectrum-switch-min-height)) - var(--mod-switch-control-height,var(--spectrum-switch-control-height)) - var(--mod-switch-spacing-top-to-control,var(--spectrum-switch-spacing-top-to-control)));vertical-align:middle;transition:background var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-in-out,border var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-in-out;block-size:var(--mod-switch-control-height,var(--spectrum-switch-control-height));border-radius:calc(var(--mod-switch-control-height,var(--spectrum-switch-control-height))/2);flex-grow:0;flex-shrink:0;margin-inline:0;display:inline-block;position:relative;inset-inline:0}#switch:before{box-sizing:border-box;transition:background var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-in-out,border var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-in-out,transform var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-in-out,box-shadow var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-in-out;inline-size:var(--mod-switch-control-height,var(--spectrum-switch-control-height));block-size:var(--mod-switch-control-height,var(--spectrum-switch-control-height));border-width:var(--mod-border-width-200,var(--spectrum-border-width-200));border-radius:calc(var(--mod-switch-control-height,var(--spectrum-switch-control-height))/2);border-style:solid}#switch:after,#switch:before{content:"";display:block;position:absolute;inset-block-start:0;inset-inline-start:0}#switch:after{border-radius:calc(var(--mod-switch-control-height,var(--spectrum-switch-control-height))/2 + var(--mod-focus-indicator-gap,var(--spectrum-focus-indicator-gap))*2);transition:opacity var(--mod-animation-duration-100,var(--spectrum-animation-duration-100))ease-out,margin var(--spectrum-animation-duration-100,var(--spectrum-animation-duration-100))ease-out;margin:0;inset-block-end:0;inset-inline-end:0}#switch{background-color:var(--highcontrast-switch-background-color,var(--mod-switch-background-color,var(--spectrum-switch-background-color)))}#switch:before{background-color:var(--highcontrast-switch-handle-background-color,var(--mod-switch-handle-background-color,var(--spectrum-switch-handle-background-color)));border-color:var(--highcontrast-switch-handle-border-color-default,var(--mod-switch-handle-border-color-default,var(--spectrum-switch-handle-border-color-default)))}:host(:active) #input+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-down,var(--mod-switch-handle-border-color-down,var(--spectrum-switch-handle-border-color-down)))}:host(:active) #input~#label{color:var(--highcontrast-switch-label-color-down,var(--mod-switch-label-color-down,var(--spectrum-switch-label-color-down)))}:host(:active[checked]) #input:enabled+#switch{background-color:var(--highcontrast-switch-background-color-selected-down,var(--mod-switch-background-color-selected-down,var(--spectrum-switch-background-color-selected-down)))}:host(:active[checked]) #input:enabled+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-selected-down,var(--mod-switch-handle-border-color-selected-down,var(--spectrum-switch-handle-border-color-selected-down)))}#input:focus-visible+#switch:after{box-shadow:0 0 0 var(--mod-switch-focus-indicator-thickness,var(--spectrum-switch-focus-indicator-thickness))var(--highcontrast-switch-focus-indicator-color,var(--mod-switch-focus-indicator-color,var(--spectrum-switch-focus-indicator-color)))}#input:focus-visible+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-focus,var(--mod-switch-handle-border-color-focus,var(--spectrum-switch-handle-border-color-focus)))}:host([checked]) #input:focus-visible+#switch{background-color:var(--highcontrast-switch-background-color-selected-focus,var(--mod-switch-background-color-selected-focus,var(--spectrum-switch-background-color-selected-focus)))}:host([checked]) #input:focus-visible+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-selected-focus,var(--mod-switch-handle-border-color-selected-focus,var(--spectrum-switch-handle-border-color-selected-focus)))}#input:focus-visible~#label{color:var(--highcontrast-switch-label-color-focus,var(--mod-switch-label-color-focus,var(--spectrum-switch-label-color-focus)))}@media (hover:hover){:host(:hover) #input+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-hover,var(--mod-switch-handle-border-color-hover,var(--spectrum-switch-handle-border-color-hover)));box-shadow:none}:host(:hover) #input~#label{color:var(--highcontrast-switch-label-color-hover,var(--mod-switch-label-color-hover,var(--spectrum-switch-label-color-hover)))}:host([checked]:hover) #input:enabled+#switch{background-color:var(--highcontrast-switch-background-color-selected-hover,var(--mod-switch-background-color-selected-hover,var(--spectrum-switch-background-color-selected-hover)))}:host([checked]:hover) #input:enabled+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-selected-hover,var(--mod-switch-handle-border-color-selected-hover,var(--spectrum-switch-handle-border-color-selected-hover)))}:host([disabled]:hover) #input+#switch,:host([disabled]:hover) #input+#switch{background-color:var(--highcontrast-switch-background-color-disabled,var(--mod-switch-background-color-disabled,var(--spectrum-switch-background-color-disabled)))}:host([disabled]:hover) #input+#switch:before,:host([disabled]:hover) #input+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-disabled,var(--mod-switch-handle-border-color-disabled,var(--spectrum-switch-handle-border-color-disabled)))}:host([disabled]:hover) #input~#label,:host([disabled]:hover) #input~#label{color:var(--highcontrast-switch-label-color-disabled,var(--mod-switch-label-color-disabled,var(--spectrum-switch-label-color-disabled)))}:host([disabled][checked]:hover) #input+#switch,:host([disabled][checked]:hover) #input+#switch{background-color:var(--highcontrast-switch-background-color-selected-disabled,var(--mod-switch-background-color-selected-disabled,var(--spectrum-switch-background-color-selected-disabled)))}:host([disabled][checked]:hover) #input+#switch:before,:host([disabled][checked]:hover) #input+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-disabled,var(--mod-switch-handle-border-color-disabled,var(--spectrum-switch-handle-border-color-disabled)))}:host([disabled][checked]:hover) #input~#label,:host([disabled][checked]:hover) #input~#label{color:var(--highcontrast-switch-label-color-disabled,var(--mod-switch-label-color-disabled,var(--spectrum-switch-label-color-disabled)))}:host(:hover) #input:focus-visible+#switch:after{box-shadow:0 0 0 var(--mod-switch-focus-indicator-thickness,var(--spectrum-switch-focus-indicator-thickness))var(--highcontrast-switch-focus-indicator-color,var(--mod-switch-focus-indicator-color,var(--spectrum-switch-focus-indicator-color)))}:host(:hover) #input:focus-visible+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-focus,var(--mod-switch-handle-border-color-focus,var(--spectrum-switch-handle-border-color-focus)))}:host([checked]:hover) #input:focus-visible+#switch{background-color:var(--highcontrast-switch-background-color-selected-focus,var(--mod-switch-background-color-selected-focus,var(--spectrum-switch-background-color-selected-focus)))}:host([checked]:hover) #input:focus-visible+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-selected-focus,var(--mod-switch-handle-border-color-selected-focus,var(--spectrum-switch-handle-border-color-selected-focus)))}:host(:hover) #input:focus-visible~#label{color:var(--highcontrast-switch-label-color-focus,var(--mod-switch-label-color-focus,var(--spectrum-switch-label-color-focus)))}}:host([checked]) #input+#switch{background-color:var(--highcontrast-switch-background-color-selected-default,var(--mod-switch-background-color-selected-default,var(--spectrum-switch-background-color-selected-default)))}:host([checked]) #input+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-selected-default,var(--mod-switch-handle-border-color-selected-default,var(--spectrum-switch-handle-border-color-selected-default)))}:host([disabled]) #input+#switch,:host([disabled]) #input+#switch{background-color:var(--highcontrast-switch-background-color-disabled,var(--mod-switch-background-color-disabled,var(--spectrum-switch-background-color-disabled)))}:host([disabled]) #input+#switch:before,:host([disabled]) #input+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-disabled,var(--mod-switch-handle-border-color-disabled,var(--spectrum-switch-handle-border-color-disabled)))}:host([disabled][checked]) #input+#switch,:host([disabled][checked]) #input+#switch{background-color:var(--highcontrast-switch-background-color-selected-disabled,var(--mod-switch-background-color-selected-disabled,var(--spectrum-switch-background-color-selected-disabled)))}:host([disabled][checked]) #input+#switch:before,:host([disabled][checked]) #input+#switch:before{border-color:var(--highcontrast-switch-handle-border-color-disabled,var(--mod-switch-handle-border-color-disabled,var(--spectrum-switch-handle-border-color-disabled)))}:host([disabled]) #input~#label,:host([disabled]) #input~#label{color:var(--highcontrast-switch-label-color-disabled,var(--mod-switch-label-color-disabled,var(--spectrum-switch-label-color-disabled)))}@media (forced-colors:active){:host{forced-color-adjust:none;--highcontrast-switch-label-color-default:ButtonText;--highcontrast-switch-label-color-hover:ButtonText;--highcontrast-switch-label-color-down:ButtonText;--highcontrast-switch-label-color-focus:ButtonText;--highcontrast-switch-label-color-disabled:GrayText;--highcontrast-switch-handle-background-color:ButtonFace;--highcontrast-switch-handle-border-color-default:ButtonText;--highcontrast-switch-handle-border-color-hover:Highlight;--highcontrast-switch-handle-border-color-down:Highlight;--highcontrast-switch-handle-border-color-focus:Highlight;--highcontrast-switch-handle-border-color-disabled:Highlight;--highcontrast-switch-handle-border-color-selected-default:Highlight;--highcontrast-switch-handle-border-color-selected-hover:Highlight;--highcontrast-switch-handle-border-color-selected-down:Highlight;--highcontrast-switch-handle-border-color-selected-focus:Highlight;--highcontrast-switch-background-color:ButtonFace;--highcontrast-switch-background-color-selected-default:Highlight;--highcontrast-switch-background-color-selected-hover:Highlight;--highcontrast-switch-background-color-selected-down:Highlight;--highcontrast-switch-background-color-selected-focus:Highlight;--highcontrast-switch-background-color-selected-disabled:Highlight;--highcontrast-switch-focus-indicator-color:ButtonText}#input:not(:checked)+#switch{box-shadow:inset 0 0 0 1px buttontext}@media (hover:hover){:host(:hover) #input:not(:checked)+#switch{box-shadow:inset 0 0 0 1px highlight}:host([disabled][checked]:hover) #input+#switch,:host([disabled][checked]:hover) #input+#switch{background-color:graytext;box-shadow:inset 0 0 0 1px graytext}:host([disabled][checked]:hover) #input+#switch:before,:host([disabled][checked]:hover) #input+#switch:before{background-color:buttonface;border-color:graytext}}:host([disabled]) #input:not(:checked)+#switch,:host([disabled]) #input:not(:checked)+#switch{background-color:buttonface;box-shadow:inset 0 0 0 1px graytext}:host([disabled]) #input:not(:checked)+#switch:before,:host([disabled]) #input:not(:checked)+#switch:before{background-color:buttonface;border-color:graytext}:host([disabled][checked]) #input+#switch,:host([disabled][checked]) #input+#switch{background-color:graytext;box-shadow:inset 0 0 0 1px graytext}:host([disabled][checked]) #input+#switch:before,:host([disabled][checked]) #input+#switch:before{background-color:buttonface;border-color:graytext}:host([disabled]) #input~#label,:host([disabled]) #input~#label{color:graytext}}:host{--spectrum-switch-handle-border-color-default:var(--system-spectrum-switch-handle-border-color-default);--spectrum-switch-handle-border-color-hover:var(--system-spectrum-switch-handle-border-color-hover);--spectrum-switch-handle-border-color-down:var(--system-spectrum-switch-handle-border-color-down);--spectrum-switch-handle-border-color-focus:var(--system-spectrum-switch-handle-border-color-focus);--spectrum-switch-handle-border-color-selected-default:var(--system-spectrum-switch-handle-border-color-selected-default);--spectrum-switch-handle-border-color-selected-hover:var(--system-spectrum-switch-handle-border-color-selected-hover);--spectrum-switch-handle-border-color-selected-down:var(--system-spectrum-switch-handle-border-color-selected-down);--spectrum-switch-handle-border-color-selected-focus:var(--system-spectrum-switch-handle-border-color-selected-focus)}:host([disabled]){pointer-events:none}\n'
    ]);
    _templateObject$Q = function _templateObject() {
        return data;
    };
    return data;
}
var t$6 = i$p(_templateObject$Q());
var a$5 = t$6;

function _tagged_template_literal$P(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$P() {
    var data = _tagged_template_literal$P([
        "\n    #switch:before{transition:background var(--spectrum-global-animation-duration-100,.13s)ease-in-out,border var(--spectrum-global-animation-duration-100,.13s)ease-in-out,box-shadow var(--spectrum-global-animation-duration-100,.13s)ease-in-out}\n"
    ]);
    _templateObject$P = function _templateObject() {
        return data;
    };
    return data;
}
var o$a = i$p(_templateObject$P());
var f$1 = o$a;

function _assert_this_initialized$q(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$s(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$r(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$r(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$r(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$r(Constructor, staticProps);
    return Constructor;
}
function _get$c(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$c = Reflect.get;
    } else {
        _get$c = function get(target, property, receiver) {
            var base = _super_prop_base$c(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$c(target, property, receiver || target);
}
function _get_prototype_of$q(o) {
    _get_prototype_of$q = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$q(o);
}
function _inherits$q(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$q(subClass, superClass);
}
function _possible_constructor_return$q(self, call) {
    if (call && (_type_of$q(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$q(self);
}
function _set_prototype_of$q(o, p) {
    _set_prototype_of$q = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$q(o, p);
}
function _super_prop_base$c(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$q(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$O(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$q(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$q() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$q(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$q();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$q(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$q(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$q(this, result);
    };
}
function _templateObject$O() {
    var data = _tagged_template_literal$O([
        "\n            ",
        '\n            <span id="switch"></span>\n            <label id="label" for="input"><slot></slot></label>\n        '
    ]);
    _templateObject$O = function _templateObject() {
        return data;
    };
    return data;
}
var d$6 = Object.defineProperty;
var u$9 = Object.getOwnPropertyDescriptor;
var p$9 = function(s, r, e, i) {
    for(var t = i > 1 ? void 0 : i ? u$9(r, e) : r, o = s.length - 1, l; o >= 0; o--)(l = s[o]) && (t = (i ? l(r, e, t) : l(t)) || t);
    return i && t && d$6(r, e, t), t;
};
var Switch = /*#__PURE__*/ function(_n) {
    _inherits$q(Switch, _n);
    var _super = _create_super$q(Switch);
    function Switch() {
        _class_call_check$s(this, Switch);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.emphasized = !1;
        return _this;
    }
    _create_class$r(Switch, [
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$O(), _get$c(_get_prototype_of$q(Switch.prototype), "render", this).call(this));
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$c(_get_prototype_of$q(Switch.prototype), "firstUpdated", this).call(this, e), this.inputElement.setAttribute("role", "switch");
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                e.has("checked") && this.inputElement.setAttribute("aria-checked", this.checked ? "true" : "false");
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return window.hasOwnProperty("ShadyDOM") ? [
                    a$5,
                    f$1
                ] : [
                    a$5
                ];
            }
        }
    ]);
    return Switch;
}(SizedMixin(CheckboxBase));
p$9([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Switch.prototype, "emphasized", 2);

defineElement("sp-switch", Switch);

function _tagged_template_literal$N(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$N() {
    var data = _tagged_template_literal$N([
        "\n    :host{border-radius:var(--mod-table-border-radius,var(--spectrum-table-border-radius));border:none;position:relative}:host([drop-target]){outline-width:var(--mod-table-focus-indicator-thickness,var(--spectrum-table-focus-indicator-thickness));outline-style:solid;outline-color:var(--highcontrast-table-focus-indicator-color,var(--mod-table-drop-zone-outline-color,var(--spectrum-table-drop-zone-outline-color)));--mod-table-border-color:transparent}:host{display:table-row-group}:host{border-radius:var(--mod-table-border-radius,var(--spectrum-table-border-radius));border-inline:var(--mod-table-outer-border-inline-width,var(--spectrum-table-outer-border-inline-width))solid var(--highcontrast-table-border-color,var(--mod-table-border-color,var(--spectrum-table-border-color)));border-block:var(--mod-table-border-width,var(--spectrum-table-border-width))solid var(--highcontrast-table-border-color,var(--mod-table-border-color,var(--spectrum-table-border-color)));flex-grow:1;display:block;overflow:auto}:host(:not([tabindex])){overflow:visible}\n"
    ]);
    _templateObject$N = function _templateObject() {
        return data;
    };
    return data;
}
var o$9 = i$p(_templateObject$N());
var d$5 = o$9;

function _assert_this_initialized$p(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$r(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$q(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$q(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$q(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$q(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$p(o) {
    _get_prototype_of$p = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$p(o);
}
function _inherits$p(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$p(subClass, superClass);
}
function _possible_constructor_return$p(self, call) {
    if (call && (_type_of$p(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$p(self);
}
function _set_prototype_of$p(o, p) {
    _set_prototype_of$p = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$p(o, p);
}
function _tagged_template_literal$M(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$p(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$p() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$p(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$p();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$p(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$p(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$p(this, result);
    };
}
function _templateObject$M() {
    var data = _tagged_template_literal$M([
        "\n            <slot></slot>\n        "
    ]);
    _templateObject$M = function _templateObject() {
        return data;
    };
    return data;
}
var a$4 = Object.defineProperty;
var m$9 = Object.getOwnPropertyDescriptor;
var u$8 = function(o, t, s, r) {
    for(var e = r > 1 ? void 0 : r ? m$9(t, s) : t, i = o.length - 1, l; i >= 0; i--)(l = o[i]) && (e = (r ? l(t, s, e) : l(e)) || e);
    return r && e && a$4(t, s, e), e;
};
var TableBody = /*#__PURE__*/ function(p) {
    _inherits$p(TableBody, p);
    var _super = _create_super$p(TableBody);
    function TableBody() {
        _class_call_check$r(this, TableBody);
        var _this;
        _this = _super.call(this);
        _this.role = "rowgroup";
        new s$b(_assert_this_initialized$p(_this), {
            config: {
                childList: !0,
                subtree: !0
            },
            callback: function() {
                requestAnimationFrame(function() {
                    _this.shouldHaveTabIndex();
                });
            }
        });
        return _this;
    }
    _create_class$q(TableBody, [
        {
            key: "shouldHaveTabIndex",
            value: function shouldHaveTabIndex() {
                this.offsetHeight < this.scrollHeight ? this.tabIndex = 0 : this.removeAttribute("tabindex");
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$M());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    d$5
                ];
            }
        }
    ]);
    return TableBody;
}(SpectrumElement);
u$8([
    n$r({
        reflect: !0
    })
], TableBody.prototype, "role", 2);

defineElement("sp-table-body", TableBody);

function _tagged_template_literal$L(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$L() {
    var data = _tagged_template_literal$L([
        '\n    @media (forced-colors:active){:host([focused]) .spectrum-Table-checkbox .spectrum-Checkbox-box:before,:host(:focus-visible) .spectrum-Table-checkbox .spectrum-Checkbox-box:before{outline:var(--highcontrast-table-row-text-color-hover)1px solid}@media (hover:hover){:host(:hover) .spectrum-Table-checkbox .spectrum-Checkbox-box:before{outline:var(--highcontrast-table-row-text-color-hover)1px solid}}:host([drop-target]) .spectrum-Table-body,:host([drop-target]),:host([selected]){--highcontrast-table-cell-focus-indicator-color:var(--highcontrast-table-selected-row-text-color);--highcontrast-table-cell-focus-extra-offset:1px}:host([drop-target]) .spectrum-Table-body .spectrum-Table-checkbox .spectrum-Checkbox-box:before,:host([drop-target]) .spectrum-Table-checkbox .spectrum-Checkbox-box:before,:host([selected]) .spectrum-Table-checkbox .spectrum-Checkbox-box:before{outline:var(--highcontrast-table-selected-row-text-color)1px solid}}:host(:first-child) .spectrum-Table-body ::slotted(*){border-block-start:var(--mod-table-border-width,var(--spectrum-table-border-width))solid var(--highcontrast-table-border-color,var(--mod-table-border-color,var(--spectrum-table-border-color)))}:host(:last-child) .spectrum-Table-body ::slotted(*){border-block-end:var(--mod-table-border-width,var(--spectrum-table-border-width))solid var(--highcontrast-table-border-color,var(--mod-table-border-color,var(--spectrum-table-border-color)))}:host .spectrum-Table-body ::slotted(:first-child){border-inline-start:var(--mod-table-outer-border-inline-width,var(--spectrum-table-outer-border-inline-width))solid var(--highcontrast-table-border-color,var(--mod-table-border-color,var(--spectrum-table-border-color)))}:host .spectrum-Table-body ::slotted(:last-child){border-inline-end:var(--mod-table-outer-border-inline-width,var(--spectrum-table-outer-border-inline-width))solid var(--highcontrast-table-border-color,var(--mod-table-border-color,var(--spectrum-table-border-color)))}:host(:first-child) ::slotted(:first-child){border-start-start-radius:var(--mod-table-border-radius,var(--spectrum-table-border-radius))}:host(:first-child) ::slotted(:last-child){border-start-end-radius:var(--mod-table-border-radius,var(--spectrum-table-border-radius))}:host(:last-child) ::slotted(:first-child){border-end-start-radius:var(--mod-table-border-radius,var(--spectrum-table-border-radius))}:host(:last-child) ::slotted(:last-child){border-end-end-radius:var(--mod-table-border-radius,var(--spectrum-table-border-radius))}:host{transition:background-color var(--highcontrast-table-transition-duration,var(--mod-table-transition-duration,var(--spectrum-table-transition-duration)))ease-in-out;cursor:var(--mod-table-cursor-row-default,pointer);border-block-start:none;position:relative}:host(:first-child){border-start-start-radius:var(--mod-table-border-radius,var(--spectrum-table-border-radius));border-start-end-radius:var(--mod-table-border-radius,var(--spectrum-table-border-radius))}:host(:last-child){border-end-end-radius:var(--mod-table-border-radius,var(--spectrum-table-border-radius));border-end-start-radius:var(--mod-table-border-radius,var(--spectrum-table-border-radius))}:host(:focus){outline:0}:host([focused]),:host(:focus-visible){--highcontrast-table-row-text-color:var(--highcontrast-table-row-text-color-hover);--highcontrast-table-icon-color:var(--highcontrast-table-row-text-color-hover);--spectrum-table-cell-background-color:var(--highcontrast-table-row-background-color-hover,var(--mod-table-row-background-color-hover,var(--spectrum-table-row-background-color-hover)))}:host:active{--highcontrast-table-row-text-color:var(--highcontrast-table-row-text-color-hover);--highcontrast-table-icon-color:var(--highcontrast-table-row-text-color-hover);--spectrum-table-cell-background-color:var(--highcontrast-table-row-background-color-hover,var(--mod-table-row-active-color,var(--spectrum-table-row-active-color)))}:host([selected]){--highcontrast-table-row-text-color:var(--highcontrast-table-selected-row-text-color);--highcontrast-table-icon-color:var(--highcontrast-table-selected-row-text-color);--spectrum-table-cell-background-color:var(--spectrum-table-selected-cell-background-color)}:host([selected][focused]),:host([selected]:focus-visible){--highcontrast-table-row-text-color:var(--highcontrast-table-selected-row-text-color-focus);--highcontrast-table-icon-color:var(--highcontrast-table-selected-row-text-color-focus);--spectrum-table-cell-background-color:var(--spectrum-table-selected-cell-background-color-focus)}:host([drop-target]) .spectrum-Table-body,:host([drop-target]){--highcontrast-table-row-text-color:var(--highcontrast-table-selected-row-text-color);--highcontrast-table-icon-color:var(--highcontrast-table-selected-row-text-color);--spectrum-table-cell-background-color:var(--highcontrast-table-selected-row-background-color,var(--mod-table-drop-zone-background-color,var(--spectrum-table-drop-zone-background-color)))}:host([drop-target]){outline-width:var(--mod-table-focus-indicator-thickness,var(--spectrum-table-focus-indicator-thickness));outline-style:solid;outline-color:var(--highcontrast-table-focus-indicator-color,var(--mod-table-drop-zone-outline-color,var(--spectrum-table-drop-zone-outline-color)));outline-offset:calc(var(--mod-table-focus-indicator-thickness,var(--spectrum-table-focus-indicator-thickness))*-1);--mod-table-border-color:var(--highcontrast-table-focus-indicator-color,transparent)}:host([drop-target]) ::slotted(*){border-block-start-color:var(--highcontrast-table-focus-indicator-color,var(--mod-table-drop-zone-outline-color,var(--spectrum-table-drop-zone-outline-color)))}.spectrum-Table-row--summary{--spectrum-table-cell-background-color:var(--highcontrast-table-row-background-color,var(--mod-table-summary-row-background-color,var(--spectrum-table-summary-row-background-color)))}.spectrum-Table-row--summary ::slotted(*){font-weight:var(--mod-table-summary-row-font-weight,var(--spectrum-table-summary-row-font-weight));font-size:var(--mod-table-summary-row-font-size,var(--spectrum-table-row-font-size));font-family:var(--mod-table-summary-row-font-family,var(--spectrum-table-row-font-family));font-style:var(--mod-table-summary-row-font-style,var(--spectrum-table-row-font-style));line-height:var(--mod-table-summary-row-line-height,var(--spectrum-table-row-line-height));color:var(--highcontrast-table-row-text-color,var(--mod-table-summary-row-text-color,var(--spectrum-table-row-text-color)))}.spectrum-Table-row--sectionHeader{--spectrum-table-cell-background-color:var(--highcontrast-table-section-header-background-color,var(--mod-table-section-header-background-color,var(--spectrum-table-section-header-background-color)));cursor:var(--mod-table-cursor-section-header,initial)}.spectrum-Table-row--sectionHeader ::slotted(*){font-weight:var(--mod-table-section-header-font-weight,var(--spectrum-table-section-header-font-weight));text-align:start;block-size:var(--mod-table-section-header-min-height,var(--spectrum-table-section-header-min-height));font-size:var(--mod-table-section-header-font-size,var(--spectrum-table-row-font-size));font-family:var(--mod-table-section-header-font-family,var(--spectrum-table-row-font-family));font-style:var(--mod-table-section-header-font-style,var(--spectrum-table-row-font-style));line-height:var(--mod-table-section-header-line-height,var(--spectrum-table-row-line-height));color:var(--highcontrast-table-section-header-text-color,var(--mod-table-section-header-text-color,var(--spectrum-table-row-text-color)));padding-block-start:calc(var(--mod-table-section-header-block-start-spacing,var(--spectrum-table-section-header-block-start-spacing)) - var(--mod-table-border-width,var(--spectrum-table-border-width)));padding-block-end:calc(var(--mod-table-section-header-block-end-spacing,var(--spectrum-table-section-header-block-end-spacing)) - var(--mod-table-border-width,var(--spectrum-table-border-width)))}:host{display:table-row}:host(:first-child) .spectrum-Table-scroller .spectrum-Table-body ::slotted(*){border-block-start:none;border-radius:0}:host(:last-child) .spectrum-Table-scroller .spectrum-Table-body ::slotted(*){border-block-end:none;border-radius:0}:host .spectrum-Table-scroller .spectrum-Table-body ::slotted(:first-child){border-inline-start:none}:host .spectrum-Table-scroller .spectrum-Table-body ::slotted(:last-child){border-inline-end:none}.spectrum-Table-row--collapsible{--spectrum-table-row-tier:0}:host([data-tier="1"]) .spectrum-Table-row--collapsible{--spectrum-table-row-tier:1}:host([data-tier="2"]) .spectrum-Table-row--collapsible{--spectrum-table-row-tier:2}:host([data-tier="3"]) .spectrum-Table-row--collapsible{--spectrum-table-row-tier:3}:host([data-tier="4"]) .spectrum-Table-row--collapsible{--spectrum-table-row-tier:4}:host([data-tier="5"]) .spectrum-Table-row--collapsible{--spectrum-table-row-tier:5}:host([data-tier="6"]) .spectrum-Table-row--collapsible{--spectrum-table-row-tier:6}.spectrum-Table-row--collapsible .spectrum-Table-checkboxCell{padding-inline-end:0}.spectrum-Table-row--collapsible.is-last-tier .spectrum-Table-cell--collapsible{padding-inline-start:calc(var(--spectrum-table-row-tier)*var(--spectrum-table-collapsible-tier-indent) + var(--mod-table-disclosure-icon-size,var(--spectrum-table-disclosure-icon-size)) + var(--mod-table-collapsible-disclosure-inline-spacing,var(--spectrum-table-collapsible-disclosure-inline-spacing))*2)}.spectrum-Table-row--collapsible.is-last-tier .spectrum-Table-disclosureIcon{display:none}.spectrum-Table-row--collapsible .spectrum-Table-disclosureIcon{margin-inline:var(--mod-table-collapsible-disclosure-inline-spacing,var(--spectrum-table-collapsible-disclosure-inline-spacing));margin-block-start:max(0px,calc(( var(--mod-table-min-row-height,var(--spectrum-table-min-row-height)) - var(--mod-table-disclosure-icon-size,var(--spectrum-table-disclosure-icon-size)))/2))}:host([hidden]) .spectrum-Table-row--collapsible{display:none}@media (hover:hover){:host(:hover){--highcontrast-table-row-text-color:var(--highcontrast-table-row-text-color-hover);--highcontrast-table-icon-color:var(--highcontrast-table-row-text-color-hover);--spectrum-table-cell-background-color:var(--highcontrast-table-row-background-color-hover,var(--mod-table-row-background-color-hover,var(--spectrum-table-row-background-color-hover)))}:host([selected]:hover){--highcontrast-table-row-text-color:var(--highcontrast-table-selected-row-text-color-focus);--highcontrast-table-icon-color:var(--highcontrast-table-selected-row-text-color-focus);--spectrum-table-cell-background-color:var(--spectrum-table-selected-cell-background-color-focus)}.spectrum-Table-row--sectionHeader:hover{--highcontrast-table-row-text-color:var(--highcontrast-table-section-header-text-color);--spectrum-table-cell-background-color:var(--highcontrast-table-section-header-background-color,var(--mod-table-section-header-background-color,var(--spectrum-table-section-header-background-color)))}}.spectrum-Table-row--thumbnail{--table-thumbnail-cell-block-spacing:var(--mod-table-thumbnail-block-spacing,var(--spectrum-table-thumbnail-block-spacing));--table-thumbnail-inner-content-block-spacing:max(0px,calc(( var(--mod-table-thumbnail-size,var(--spectrum-table-thumbnail-size)) - ( var(--mod-table-row-line-height,var(--spectrum-table-row-line-height))*var(--mod-table-header-font-size,var(--spectrum-table-row-font-size))))/2))}.spectrum-Table-row--thumbnail ::slotted(*){padding-block:calc(var(--table-thumbnail-cell-block-spacing) + var(--table-thumbnail-inner-content-block-spacing))}.spectrum-Table-row--thumbnail .spectrum-Table-cell--thumbnail{padding-block:0}.spectrum-Table-row--thumbnail.spectrum-Table-row--collapsible{--table-thumbnail-inner-minimum-block-spacing:max(0px,calc(( var(--mod-table-disclosure-icon-size,var(--spectrum-table-disclosure-icon-size)) - var(--mod-table-thumbnail-size,var(--spectrum-table-thumbnail-size)))/2));--table-thumbnail-cell-block-spacing:max(var(--mod-table-thumbnail-block-spacing,var(--spectrum-table-thumbnail-block-spacing)),var(--table-thumbnail-inner-minimum-block-spacing))}:host,:host([role=row]){width:100%;display:flex}:host(:first-child) ::slotted(*){border-block-start:none}:host(:last-child) ::slotted(*){border-block-end:none}::slotted(:first-child){border-inline-start:none}::slotted(:last-child){border-inline-end:none}\n'
    ]);
    _templateObject$L = function _templateObject() {
        return data;
    };
    return data;
}
var e$e = i$p(_templateObject$L());
var u$7 = e$e;

function _array_like_to_array$7(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$3(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$o(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$8(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$8(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$8(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$8(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$q(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$p(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$p(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$p(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$p(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$o(o) {
    _get_prototype_of$o = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$o(o);
}
function _inherits$o(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$o(subClass, superClass);
}
function _iterable_to_array_limit$3(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$3() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$o(self, call) {
    if (call && (_type_of$o(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$o(self);
}
function _set_prototype_of$o(o, p) {
    _set_prototype_of$o = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$o(o, p);
}
function _sliced_to_array$3(arr, i) {
    return _array_with_holes$3(arr) || _iterable_to_array_limit$3(arr, i) || _unsupported_iterable_to_array$7(arr, i) || _non_iterable_rest$3();
}
function _tagged_template_literal$K(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$o(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$7(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$7(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$7(o, minLen);
}
function _is_native_reflect_construct$o() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$o(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$o();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$o(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$o(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$o(this, result);
    };
}
function _ts_generator$8(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$K() {
    var data = _tagged_template_literal$K([
        "\n            <slot\n                @change=",
        "\n                @slotchange=",
        "\n            ></slot>\n        "
    ]);
    _templateObject$K = function _templateObject() {
        return data;
    };
    return data;
}
var h$4 = Object.defineProperty;
var d$4 = Object.getOwnPropertyDescriptor;
var s$2 = function(i, c, e, l) {
    for(var t = l > 1 ? void 0 : l ? d$4(c, e) : c, a = i.length - 1, o; a >= 0; a--)(o = i[a]) && (t = (l ? o(c, e, t) : o(t)) || t);
    return l && t && h$4(c, e, t), t;
};
var TableRow = /*#__PURE__*/ function(p) {
    _inherits$o(TableRow, p);
    var _super = _create_super$o(TableRow);
    function TableRow() {
        _class_call_check$q(this, TableRow);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.role = "row";
        _this.selectable = !1;
        _this.selected = !1;
        _this.value = "";
        return _this;
    }
    _create_class$p(TableRow, [
        {
            key: "handleChange",
            value: function handleChange(e) {
                var _this = this;
                return _async_to_generator$8(function() {
                    var _tmp;
                    return _ts_generator$8(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _tmp = e.target.checkbox;
                                if (!_tmp) return [
                                    3,
                                    2
                                ];
                                _this.selected = e.target.checkbox.checked;
                                return [
                                    4,
                                    0
                                ];
                            case 1:
                                _tmp = (_state.sent(), e.defaultPrevented && (_this.selected = !_this.selected));
                                _state.label = 2;
                            case 2:
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange(param) {
                var e = param.target;
                var l = e.assignedElements();
                this.selectable = !!l.find(function(t) {
                    return t.localName === "sp-table-checkbox-cell";
                });
            }
        },
        {
            key: "manageSelected",
            value: function manageSelected() {
                var _this = this;
                return _async_to_generator$8(function() {
                    var _this_checkboxCells, e;
                    return _ts_generator$8(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 1:
                                _state.sent(), _this.selectable ? _this.setAttribute("aria-selected", _this.selected ? "true" : "false") : _this.removeAttribute("aria-selected");
                                _this_checkboxCells = _sliced_to_array$3(_this.checkboxCells, 1), e = _this_checkboxCells[0];
                                e && (e.checked = _this.selected);
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "handleClick",
            value: function handleClick(e) {
                if (e.composedPath().find(function(t) {
                    return t.localName === "sp-table-checkbox-cell";
                })) return;
                var _this_checkboxCells = _sliced_to_array$3(this.checkboxCells, 1), l = _this_checkboxCells[0];
                l && l.click();
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$K(), this.handleChange, this.handleSlotchange);
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(e) {
                e.has("selected") && this.manageSelected(), e.has("selectable") && (this.selectable ? this.addEventListener("click", this.handleClick) : this.removeEventListener("click", this.handleClick));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    u$7
                ];
            }
        }
    ]);
    return TableRow;
}(SpectrumElement);
s$2([
    o$P({
        selector: "sp-table-checkbox-cell",
        flatten: !0
    })
], TableRow.prototype, "checkboxCells", 2), s$2([
    n$r({
        reflect: !0
    })
], TableRow.prototype, "role", 2), s$2([
    n$r({
        type: Boolean
    })
], TableRow.prototype, "selectable", 2), s$2([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TableRow.prototype, "selected", 2), s$2([
    n$r({
        type: String
    })
], TableRow.prototype, "value", 2);

defineElement("sp-table-row", TableRow);

function _tagged_template_literal$J(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$J() {
    var data = _tagged_template_literal$J([
        "\n    @media (forced-colors:active){:host(:not([head-cell])){forced-color-adjust:none}}:host([head-cell]){--spectrum-table-icon-color:var(--highcontrast-table-icon-color,var(--mod-table-icon-color-default,var(--spectrum-table-icon-color-default)));box-sizing:border-box;text-align:start;vertical-align:var(--mod-table-header-vertical-align,var(--spectrum-table-header-vertical-align));font-family:var(--mod-table-header-font-family,var(--spectrum-table-row-font-family));font-size:var(--mod-table-header-font-size,var(--spectrum-table-row-font-size));font-weight:var(--mod-table-header-font-weight,var(--spectrum-table-header-font-weight));line-height:var(--mod-table-header-line-height,var(--spectrum-table-row-line-height));text-transform:var(--mod-table-header-text-transform,none);block-size:var(--mod-table-min-header-height,var(--spectrum-table-min-header-height));padding-block:var(--mod-table-header-top-to-text,var(--spectrum-table-header-top-to-text))var(--mod-table-header-bottom-to-text,var(--spectrum-table-header-bottom-to-text));padding-inline:var(--mod-table-cell-inline-space,var(--spectrum-table-cell-inline-space));color:var(--mod-table-header-text-color,var(--spectrum-table-header-text-color));background-color:var(--mod-table-header-background-color,var(--spectrum-table-header-background-color));transition:color var(--highcontrast-table-transition-duration,var(--mod-table-transition-duration,var(--spectrum-table-transition-duration)))ease-in-out;cursor:var(--mod-table-cursor-header-default,initial);border-radius:0;outline:0}:host(:not([head-cell])){border-block-start:var(--mod-table-border-width,var(--spectrum-table-border-width))solid var(--highcontrast-table-divider-color,var(--mod-table-divider-color,var(--spectrum-table-divider-color)));box-sizing:border-box;font-size:var(--mod-table-row-font-size,var(--spectrum-table-row-font-size));font-weight:var(--mod-table-row-font-weight,var(--spectrum-table-row-font-weight));line-height:var(--mod-table-row-line-height,var(--spectrum-table-row-line-height));vertical-align:var(--mod-table-default-vertical-align,var(--spectrum-table-default-vertical-align));color:var(--highcontrast-table-row-text-color,var(--mod-table-row-text-color,var(--spectrum-table-row-text-color)));background-color:var(--spectrum-table-cell-background-color);block-size:var(--mod-table-min-row-height,var(--spectrum-table-min-row-height));padding-block-start:calc(var(--mod-table-row-top-to-text,var(--spectrum-table-row-top-to-text)) - var(--mod-table-border-width,var(--spectrum-table-border-width)));padding-block-end:var(--mod-table-row-bottom-to-text,var(--spectrum-table-row-bottom-to-text));padding-inline:calc(var(--mod-table-edge-to-content,var(--spectrum-table-edge-to-content)) - var(--mod-table-outer-border-inline-width,var(--spectrum-table-outer-border-inline-width)))}:host(:not([head-cell])),:host([head-cell]){position:relative}:host(:not([head-cell])[focused]),:host(:not([head-cell]):focus-visible),:host([head-cell][focused]),:host([head-cell]:focus-visible){outline-width:var(--mod-table-focus-indicator-thickness,var(--spectrum-table-focus-indicator-thickness));outline-style:solid;outline-color:var(--highcontrast-table-cell-focus-indicator-color,var(--highcontrast-table-focus-indicator-color,var(--mod-table-focus-indicator-color,var(--spectrum-table-focus-indicator-color))));outline-offset:calc(var(--mod-table-focus-indicator-thickness,var(--spectrum-table-focus-indicator-thickness))*-1 - var(--highcontrast-table-cell-focus-extra-offset,0px))}:host(:host){inline-size:var(--spectrum-checkbox-control-size-small);padding-block:0;padding-inline-end:calc(var(--mod-table-checkbox-to-text,var(--spectrum-table-checkbox-to-text)) - var(--mod-table-edge-to-content,var(--spectrum-table-edge-to-content)))}:host(:host) sp-checkbox{--mod-checkbox-spacing:0px;min-block-size:0}:host(:host:not([head-cell])) sp-checkbox{margin-block-start:calc(var(--mod-table-row-checkbox-block-spacing,var(--spectrum-table-row-checkbox-block-spacing)) - var(--mod-table-border-width,var(--spectrum-table-border-width)));margin-block-end:var(--mod-table-row-checkbox-block-spacing,var(--spectrum-table-row-checkbox-block-spacing))}:host(:host[head-cell]) sp-checkbox{margin-block-start:calc(var(--mod-table-header-checkbox-block-spacing,var(--spectrum-table-header-checkbox-block-spacing)) - var(--mod-table-border-width,var(--spectrum-table-border-width)));margin-block-end:var(--mod-table-header-checkbox-block-spacing,var(--spectrum-table-header-checkbox-block-spacing))}:host(:not([head-cell])),:host([head-cell]){display:table-cell}:host{border-radius:0;flex:0;align-items:center;block-size:auto;display:flex}:host(:not([head-cell])),:host([head-cell]){block-size:auto;inline-size:auto;display:flex}:host([selects-single]) sp-checkbox{visibility:hidden}\n"
    ]);
    _templateObject$J = function _templateObject() {
        return data;
    };
    return data;
}
var t$5 = i$p(_templateObject$J());
var h$3 = t$5;

function _assert_this_initialized$n(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$p(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$o(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$o(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$o(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$o(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$n(o) {
    _get_prototype_of$n = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$n(o);
}
function _inherits$n(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$n(subClass, superClass);
}
function _possible_constructor_return$n(self, call) {
    if (call && (_type_of$n(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$n(self);
}
function _set_prototype_of$n(o, p) {
    _set_prototype_of$n = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$n(o, p);
}
function _tagged_template_literal$I(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$n(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$n() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$n(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$n();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$n(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$n(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$n(this, result);
    };
}
function _templateObject$I() {
    var data = _tagged_template_literal$I([
        "\n            <sp-checkbox\n                ?checked=",
        "\n                ?indeterminate=",
        "\n                ?disabled=",
        "\n                ?emphasized=",
        "\n                aria-hidden=",
        '\n                class="checkbox"\n            ></sp-checkbox>\n        '
    ]);
    _templateObject$I = function _templateObject() {
        return data;
    };
    return data;
}
var d$3 = Object.defineProperty;
var a$3 = Object.getOwnPropertyDescriptor;
var e$d = function(s, r, l, c) {
    for(var t = c > 1 ? void 0 : c ? a$3(r, l) : r, p = s.length - 1, o; p >= 0; p--)(o = s[p]) && (t = (c ? o(r, l, t) : o(t)) || t);
    return c && t && d$3(r, l, t), t;
};
var TableCheckboxCell = /*#__PURE__*/ function(m) {
    _inherits$n(TableCheckboxCell, m);
    var _super = _create_super$n(TableCheckboxCell);
    function TableCheckboxCell() {
        _class_call_check$p(this, TableCheckboxCell);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.headCell = !1;
        _this.role = "gridcell";
        _this.indeterminate = !1;
        _this.checked = !1;
        _this.disabled = !1;
        _this.selectsSingle = !1;
        _this.emphasized = !1;
        return _this;
    }
    _create_class$o(TableCheckboxCell, [
        {
            key: "click",
            value: function click() {
                this.checkbox.click();
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$I(), this.checked, this.indeterminate, this.disabled, this.emphasized, o$O(this.selectsSingle));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    h$3
                ];
            }
        }
    ]);
    return TableCheckboxCell;
}(SpectrumElement);
e$d([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "head-cell"
    })
], TableCheckboxCell.prototype, "headCell", 2), e$d([
    n$r({
        reflect: !0
    })
], TableCheckboxCell.prototype, "role", 2), e$d([
    e$F(".checkbox")
], TableCheckboxCell.prototype, "checkbox", 2), e$d([
    n$r({
        type: Boolean
    })
], TableCheckboxCell.prototype, "indeterminate", 2), e$d([
    n$r({
        type: Boolean
    })
], TableCheckboxCell.prototype, "checked", 2), e$d([
    n$r({
        type: Boolean
    })
], TableCheckboxCell.prototype, "disabled", 2), e$d([
    n$r({
        type: Boolean,
        reflect: !0,
        attribute: "selects-single"
    })
], TableCheckboxCell.prototype, "selectsSingle", 2), e$d([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TableCheckboxCell.prototype, "emphasized", 2);

defineElement("sp-table-checkbox-cell", TableCheckboxCell);

function _tagged_template_literal$H(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$H() {
    var data = _tagged_template_literal$H([
        "\n    :host{--spectrum-table-header-top-to-text:var(--spectrum-table-column-header-row-top-to-text-medium);--spectrum-table-header-bottom-to-text:var(--spectrum-table-column-header-row-bottom-to-text-medium);--spectrum-table-min-header-height:var(--spectrum-component-height-100);--spectrum-table-min-row-height:var(--spectrum-table-row-height-medium-regular);--spectrum-table-row-top-to-text:var(--spectrum-table-row-top-to-text-medium-regular);--spectrum-table-row-bottom-to-text:var(--spectrum-table-row-bottom-to-text-medium-regular);--spectrum-table-cell-inline-space:var(--spectrum-table-edge-to-content);--spectrum-table-border-radius:var(--spectrum-corner-radius-100);--spectrum-table-border-width:var(--spectrum-table-border-divider-width);--spectrum-table-outer-border-inline-width:var(--spectrum-table-border-divider-width);--spectrum-table-icon-to-text:var(--spectrum-text-to-visual-100);--spectrum-table-default-vertical-align:top;--spectrum-table-header-vertical-align:middle;--spectrum-table-header-font-weight:var(--spectrum-bold-font-weight);--spectrum-table-row-font-family:var(--spectrum-sans-font-family-stack);--spectrum-table-row-font-weight:var(--spectrum-regular-font-weight);--spectrum-table-row-font-style:var(--spectrum-default-font-style);--spectrum-table-row-font-size:var(--spectrum-font-size-100);--spectrum-table-row-line-height:var(--spectrum-line-height-100);--spectrum-table-border-color:var(--spectrum-gray-300);--spectrum-table-divider-color:var(--spectrum-gray-300);--spectrum-table-header-background-color:var(--spectrum-transparent-white-100);--spectrum-table-header-text-color:var(--spectrum-body-color);--spectrum-table-row-background-color:var(--spectrum-gray-50);--spectrum-table-row-text-color:var(--spectrum-neutral-content-color-default);--spectrum-table-selected-row-background-color:rgba(var(--spectrum-blue-900-rgb),var(--spectrum-table-selected-row-background-opacity));--spectrum-table-selected-row-background-color-non-emphasized:rgba(var(--spectrum-gray-700-rgb),var(--spectrum-table-selected-row-background-opacity-non-emphasized));--spectrum-table-row-background-color-hover:rgba(var(--spectrum-gray-900-rgb),var(--spectrum-table-row-hover-opacity));--spectrum-table-row-active-color:rgba(var(--spectrum-gray-900-rgb),var(--spectrum-table-row-down-opacity));--spectrum-table-selected-row-background-color-focus:rgba(var(--spectrum-blue-900-rgb),var(--spectrum-table-selected-row-background-opacity-hover));--spectrum-table-selected-row-background-color-non-emphasized-focus:rgba(var(--spectrum-gray-700-rgb),var(--spectrum-table-selected-row-background-opacity-non-emphasized-hover));--spectrum-table-icon-color-default:var(--spectrum-neutral-subdued-content-color-default);--spectrum-table-icon-color-hover:var(--spectrum-neutral-subdued-content-color-hover);--spectrum-table-icon-color-active:var(--spectrum-neutral-subdued-content-color-down);--spectrum-table-icon-color-focus:var(--spectrum-neutral-subdued-content-color-focus);--spectrum-table-icon-color-focus-hover:var(--spectrum-neutral-subdued-content-focus-hover);--spectrum-table-icon-color-key-focus:var(--spectrum-neutral-subdued-content-color-key-focus);--spectrum-table-header-checkbox-block-spacing:var(--spectrum-table-header-row-checkbox-to-top-medium);--spectrum-table-row-checkbox-block-spacing:var(--spectrum-table-row-checkbox-to-top-medium-regular);--spectrum-table-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-table-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-table-drop-zone-background-color:rgba(var(--spectrum-drop-zone-background-color-rgb),var(--spectrum-drop-zone-background-color-opacity));--spectrum-table-drop-zone-outline-color:var(--spectrum-accent-visual-color);--spectrum-table-transition-duration:var(--spectrum-animation-duration-100);--spectrum-table-summary-row-font-weight:var(--spectrum-bold-font-weight);--spectrum-table-summary-row-background-color:var(--spectrum-gray-200);--spectrum-table-section-header-min-height:var(--spectrum-table-section-header-row-height-medium);--spectrum-table-section-header-block-start-spacing:var(--spectrum-component-top-to-text-100);--spectrum-table-section-header-block-end-spacing:var(--spectrum-component-bottom-to-text-100);--spectrum-table-section-header-font-weight:var(--spectrum-bold-font-weight);--spectrum-table-section-header-background-color:var(--spectrum-gray-200);--spectrum-table-collapsible-tier-indent:var(--spectrum-spacing-300);--spectrum-table-collapsible-disclosure-inline-spacing:0px;--spectrum-table-disclosure-icon-size:var(--spectrum-component-height-100);--spectrum-table-collapsible-icon-animation-duration:var(--spectrum-animation-duration-100);--spectrum-table-thumbnail-to-text:var(--spectrum-text-to-visual-100);--spectrum-table-thumbnail-block-spacing:var(--spectrum-table-thumbnail-to-top-minimum-medium-regular);--spectrum-table-thumbnail-size:var(--spectrum-thumbnail-size-300);--spectrum-table-cell-background-color:var(--highcontrast-table-row-background-color,var(--mod-table-row-background-color,var(--spectrum-table-row-background-color)));--spectrum-table-selected-cell-background-color:var(--highcontrast-table-selected-row-background-color,var(--mod-table-selected-row-background-color-non-emphasized,var(--spectrum-table-selected-row-background-color-non-emphasized)));--spectrum-table-selected-cell-background-color-focus:var(--highcontrast-table-selected-row-background-color-focus,var(--mod-table-selected-row-background-color-non-emphasized-focus,var(--spectrum-table-selected-row-background-color-non-emphasized-focus)));--mod-thumbnail-size:var(--mod-table-thumbnail-size,var(--spectrum-table-thumbnail-size))}:host:dir(rtl),:host([dir=rtl]){--spectrum-logical-rotation:matrix(-1,0,0,1,0,0)}:host([size=s]){--spectrum-table-min-header-height:var(--spectrum-component-height-100);--spectrum-table-header-top-to-text:var(--spectrum-table-column-header-row-top-to-text-small);--spectrum-table-header-bottom-to-text:var(--spectrum-table-column-header-row-bottom-to-text-small);--spectrum-table-min-row-height:var(--spectrum-table-row-height-small-regular);--spectrum-table-row-top-to-text:var(--spectrum-table-row-top-to-text-small-regular);--spectrum-table-row-bottom-to-text:var(--spectrum-table-row-bottom-to-text-small-regular);--spectrum-table-icon-to-text:var(--spectrum-text-to-visual-100);--spectrum-table-row-font-size:var(--spectrum-font-size-75);--spectrum-table-header-checkbox-block-spacing:var(--spectrum-table-header-row-checkbox-to-top-small);--spectrum-table-row-checkbox-block-spacing:var(--spectrum-table-row-checkbox-to-top-small-regular);--spectrum-table-section-header-min-height:var(--spectrum-table-section-header-row-height-small);--spectrum-table-section-header-block-start-spacing:var(--spectrum-component-top-to-text-75);--spectrum-table-section-header-block-end-spacing:var(--spectrum-component-bottom-to-text-75);--spectrum-table-disclosure-icon-size:var(--spectrum-component-height-75);--spectrum-table-thumbnail-block-spacing:var(--spectrum-table-thumbnail-to-top-minimum-small-regular);--spectrum-table-thumbnail-to-text:var(--spectrum-text-to-visual-100);--spectrum-table-thumbnail-size:var(--spectrum-thumbnail-size-200)}:host([size=l]){--spectrum-table-min-header-height:var(--spectrum-component-height-200);--spectrum-table-header-top-to-text:var(--spectrum-table-column-header-row-top-to-text-large);--spectrum-table-header-bottom-to-text:var(--spectrum-table-column-header-row-bottom-to-text-large);--spectrum-table-min-row-height:var(--spectrum-table-row-height-large-regular);--spectrum-table-row-top-to-text:var(--spectrum-table-row-top-to-text-large-regular);--spectrum-table-row-bottom-to-text:var(--spectrum-table-row-bottom-to-text-large-regular);--spectrum-table-icon-to-text:var(--spectrum-text-to-visual-200);--spectrum-table-row-font-size:var(--spectrum-font-size-200);--spectrum-table-header-checkbox-block-spacing:var(--spectrum-table-header-row-checkbox-to-top-large);--spectrum-table-row-checkbox-block-spacing:var(--spectrum-table-row-checkbox-to-top-large-regular);--spectrum-table-section-header-min-height:var(--spectrum-table-section-header-row-height-large);--spectrum-table-section-header-block-start-spacing:var(--spectrum-component-top-to-text-200);--spectrum-table-section-header-block-end-spacing:var(--spectrum-component-bottom-to-text-200);--spectrum-table-disclosure-icon-size:var(--spectrum-component-height-200);--spectrum-table-thumbnail-block-spacing:var(--spectrum-table-thumbnail-to-top-minimum-large-regular);--spectrum-table-thumbnail-to-text:var(--spectrum-text-to-visual-200);--spectrum-table-thumbnail-size:var(--spectrum-thumbnail-size-500)}:host([size=xl]){--spectrum-table-min-header-height:var(--spectrum-component-height-300);--spectrum-table-header-top-to-text:var(--spectrum-table-column-header-row-top-to-text-extra-large);--spectrum-table-header-bottom-to-text:var(--spectrum-table-column-header-row-bottom-to-text-extra-large);--spectrum-table-min-row-height:var(--spectrum-table-row-height-extra-large-regular);--spectrum-table-row-top-to-text:var(--spectrum-table-row-top-to-text-extra-large-regular);--spectrum-table-row-bottom-to-text:var(--spectrum-table-row-bottom-to-text-extra-large-regular);--spectrum-table-icon-to-text:var(--spectrum-text-to-visual-300);--spectrum-table-row-font-size:var(--spectrum-font-size-300);--spectrum-table-header-checkbox-block-spacing:var(--spectrum-table-header-row-checkbox-to-top-extra-large);--spectrum-table-row-checkbox-block-spacing:var(--spectrum-table-row-checkbox-to-top-extra-large-regular);--spectrum-table-section-header-min-height:var(--spectrum-table-section-header-row-height-extra-large);--spectrum-table-section-header-block-start-spacing:var(--spectrum-component-top-to-text-300);--spectrum-table-section-header-block-end-spacing:var(--spectrum-component-bottom-to-text-300);--spectrum-table-disclosure-icon-size:var(--spectrum-component-height-300);--spectrum-table-thumbnail-block-spacing:var(--spectrum-table-thumbnail-to-top-minimum-extra-large-regular);--spectrum-table-thumbnail-to-text:var(--spectrum-text-to-visual-300);--spectrum-table-thumbnail-size:var(--spectrum-thumbnail-size-700)}:host([density=compact]){--mod-table-min-row-height:var(--mod-table-min-row-height--compact,var(--spectrum-table-row-height-medium-compact));--mod-table-row-top-to-text:var(--mod-table-row-top-to-text--compact,var(--spectrum-table-row-top-to-text-medium-compact));--mod-table-row-bottom-to-text:var(--mod-table-row-bottom-to-text--compact,var(--spectrum-table-row-bottom-to-text-medium-compact));--mod-table-row-checkbox-block-spacing:var(--mod-table-row-checkbox-block-spacing--compact,var(--spectrum-table-row-checkbox-to-top-medium-compact));--mod-table-thumbnail-block-spacing:var(--mod-table-thumbnail-block-spacing-compact,var(--spectrum-table-thumbnail-to-top-minimum-medium-compact));--mod-table-thumbnail-size:var(--mod-table-thumbnail-size-compact,var(--spectrum-thumbnail-size-200))}:host([density=compact][size=s]){--mod-table-min-row-height:var(--mod-table-min-row-height--compact,var(--spectrum-table-row-height-small-compact));--mod-table-row-top-to-text:var(--mod-table-row-top-to-text--compact,var(--spectrum-table-row-top-to-text-small-compact));--mod-table-row-bottom-to-text:var(--mod-table-row-bottom-to-text--compact,var(--spectrum-table-row-bottom-to-text-small-compact));--mod-table-row-checkbox-block-spacing:var(--mod-table-row-checkbox-block-spacing--compact,var(--spectrum-table-row-checkbox-to-top-small-compact));--mod-table-thumbnail-block-spacing:var(--mod-table-thumbnail-block-spacing-compact,var(--spectrum-table-thumbnail-to-top-minimum-small-compact));--mod-table-thumbnail-size:var(--mod-table-thumbnail-size-compact,var(--spectrum-thumbnail-size-50))}:host([density=compact][size=l]){--mod-table-min-row-height:var(--mod-table-min-row-height--compact,var(--spectrum-table-row-height-large-compact));--mod-table-row-top-to-text:var(--mod-table-row-top-to-text--compact,var(--spectrum-table-row-top-to-text-large-compact));--mod-table-row-bottom-to-text:var(--mod-table-row-bottom-to-text--compact,var(--spectrum-table-row-bottom-to-text-large-compact));--mod-table-row-checkbox-block-spacing:var(--mod-table-row-checkbox-block-spacing--compact,var(--spectrum-table-row-checkbox-to-top-large-compact));--mod-table-thumbnail-block-spacing:var(--mod-table-thumbnail-block-spacing-compact,var(--spectrum-table-thumbnail-to-top-minimum-large-compact));--mod-table-thumbnail-size:var(--mod-table-thumbnail-size-compact,var(--spectrum-thumbnail-size-300))}:host([density=compact][size=xl]){--mod-table-min-row-height:var(--mod-table-min-row-height--compact,var(--spectrum-table-row-height-extra-large-compact));--mod-table-row-top-to-text:var(--mod-table-row-top-to-text--compact,var(--spectrum-table-row-top-to-text-extra-large-compact));--mod-table-row-bottom-to-text:var(--mod-table-row-bottom-to-text--compact,var(--spectrum-table-row-bottom-to-text-extra-large-compact));--mod-table-row-checkbox-block-spacing:var(--mod-table-row-checkbox-block-spacing--compact,var(--spectrum-table-row-checkbox-to-top-extra-large-compact));--mod-table-thumbnail-block-spacing:var(--mod-table-thumbnail-block-spacing-compact,var(--spectrum-table-thumbnail-to-top-minimum-extra-large-compact));--mod-table-thumbnail-size:var(--mod-table-thumbnail-size-compact,var(--spectrum-thumbnail-size-500))}:host([density=spacious]){--mod-table-min-row-height:var(--mod-table-min-row-height--spacious,var(--spectrum-table-row-height-medium-spacious));--mod-table-row-top-to-text:var(--mod-table-row-top-to-text--spacious,var(--spectrum-table-row-top-to-text-medium-spacious));--mod-table-row-bottom-to-text:var(--mod-table-row-bottom-to-text--spacious,var(--spectrum-table-row-bottom-to-text-medium-spacious));--mod-table-row-checkbox-block-spacing:var(--mod-table-row-checkbox-block-spacing--spacious,var(--spectrum-table-row-checkbox-to-top-medium-spacious));--mod-table-thumbnail-block-spacing:var(--mod-table-thumbnail-block-spacing-spacious,var(--spectrum-table-thumbnail-to-top-minimum-medium-spacious));--mod-table-thumbnail-size:var(--mod-table-thumbnail-size-spacious,var(--spectrum-thumbnail-size-500))}:host([density=spacious][size=s]){--mod-table-min-row-height:var(--mod-table-min-row-height--spacious,var(--spectrum-table-row-height-small-spacious));--mod-table-row-top-to-text:var(--mod-table-row-top-to-text--spacious,var(--spectrum-table-row-top-to-text-small-spacious));--mod-table-row-bottom-to-text:var(--mod-table-row-bottom-to-text--spacious,var(--spectrum-table-row-bottom-to-text-small-spacious));--mod-table-row-checkbox-block-spacing:var(--mod-table-row-checkbox-block-spacing--spacious,var(--spectrum-table-row-checkbox-to-top-small-spacious));--mod-table-thumbnail-block-spacing:var(--mod-table-thumbnail-block-spacing-spacious,var(--spectrum-table-thumbnail-to-top-minimum-small-spacious));--mod-table-thumbnail-size:var(--mod-table-thumbnail-size-spacious,var(--spectrum-thumbnail-size-300))}:host([density=spacious][size=l]){--mod-table-min-row-height:var(--mod-table-min-row-height--spacious,var(--spectrum-table-row-height-large-spacious));--mod-table-row-top-to-text:var(--mod-table-row-top-to-text--spacious,var(--spectrum-table-row-top-to-text-large-spacious));--mod-table-row-bottom-to-text:var(--mod-table-row-bottom-to-text--spacious,var(--spectrum-table-row-bottom-to-text-large-spacious));--mod-table-row-checkbox-block-spacing:var(--mod-table-row-checkbox-block-spacing--spacious,var(--spectrum-table-row-checkbox-to-top-large-spacious));--mod-table-thumbnail-block-spacing:var(--mod-table-thumbnail-block-spacing-spacious,var(--spectrum-table-thumbnail-to-top-minimum-large-spacious));--mod-table-thumbnail-size:var(--mod-table-thumbnail-size-spacious,var(--spectrum-thumbnail-size-700))}:host([density=spacious][size=xl]){--mod-table-min-row-height:var(--mod-table-min-row-height--spacious,var(--spectrum-table-row-height-extra-large-spacious));--mod-table-row-top-to-text:var(--mod-table-row-top-to-text--spacious,var(--spectrum-table-row-top-to-text-extra-large-spacious));--mod-table-row-bottom-to-text:var(--mod-table-row-bottom-to-text--spacious,var(--spectrum-table-row-bottom-to-text-extra-large-spacious));--mod-table-row-checkbox-block-spacing:var(--mod-table-row-checkbox-block-spacing--spacious,var(--spectrum-table-row-checkbox-to-top-extra-large-spacious));--mod-table-thumbnail-block-spacing:var(--mod-table-thumbnail-block-spacing-spacious,var(--spectrum-table-thumbnail-to-top-minimum-extra-large-spacious));--mod-table-thumbnail-size:var(--mod-table-thumbnail-size-spacious,var(--spectrum-thumbnail-size-800))}:host([emphasized]){--spectrum-table-selected-cell-background-color:var(--highcontrast-table-selected-row-background-color,var(--mod-table-selected-row-background-color,var(--spectrum-table-selected-row-background-color)));--spectrum-table-selected-cell-background-color-focus:var(--highcontrast-table-selected-row-background-color-focus,var(--mod-table-selected-row-background-color-focus,var(--spectrum-table-selected-row-background-color-focus)))}:host([quiet]){--mod-table-border-radius:var(--mod-table-border-radius--quiet,0px);--mod-table-outer-border-inline-width:var(--mod-table-outer-border-inline-width--quiet,0px);--mod-table-header-background-color:var(--mod-table-header-background-color--quiet,var(--spectrum-transparent-white-100));--mod-table-row-background-color:var(--mod-table-row-background-color--quiet,var(--spectrum-transparent-white-100))}@media (forced-colors:active){:host{--highcontrast-table-row-background-color:Canvas;--highcontrast-table-row-text-color:CanvasText;--highcontrast-table-divider-color:CanvasText;--highcontrast-table-border-color:CanvasText;--highcontrast-table-icon-color:CanvasText;--highcontrast-table-icon-color-focus:Highlight;--highcontrast-table-selected-row-background-color:Highlight;--highcontrast-table-selected-row-text-color:HighlightText;--highcontrast-table-selected-row-text-color-default:HighlightText;--highcontrast-table-selected-row-background-color-focus:Highlight;--highcontrast-table-selected-row-text-color-focus:HighlightText;--highcontrast-table-row-background-color-hover:Highlight;--highcontrast-table-row-text-color-hover:HighlightText;--highcontrast-table-section-header-text-color:Canvas;--highcontrast-table-section-header-background-color:CanvasText;--highcontrast-table-focus-indicator-color:Highlight;--highcontrast-table-transition-duration:0}@supports (color:SelectedItem){:host{--highcontrast-table-selected-row-background-color:SelectedItem;--highcontrast-table-selected-row-text-color:SelectedItemText;--highcontrast-table-selected-row-text-color-default:SelectedItemText}}}:host:not(.spectrum-Table-scroller){border-collapse:initial;border-spacing:0;display:table}:host{flex-direction:column;display:flex}\n"
    ]);
    _templateObject$H = function _templateObject() {
        return data;
    };
    return data;
}
var e$c = i$p(_templateObject$H());
var k = e$c;

/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function _assert_this_initialized$m(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$o(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _construct$2(Parent, args, Class) {
    if (_is_native_reflect_construct$m()) {
        _construct$2 = Reflect.construct;
    } else {
        _construct$2 = function construct(Parent, args, Class) {
            var a = [
                null
            ];
            a.push.apply(a, args);
            var Constructor = Function.bind.apply(Parent, a);
            var instance = new Constructor();
            if (Class) _set_prototype_of$m(instance, Class.prototype);
            return instance;
        };
    }
    return _construct$2.apply(null, arguments);
}
function _get_prototype_of$m(o) {
    _get_prototype_of$m = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$m(o);
}
function _inherits$m(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$m(subClass, superClass);
}
function _is_native_function$2(fn) {
    return Function.toString.call(fn).indexOf("[native code]") !== -1;
}
function _possible_constructor_return$m(self, call) {
    if (call && (_type_of$m(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$m(self);
}
function _set_prototype_of$m(o, p) {
    _set_prototype_of$m = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$m(o, p);
}
function _type_of$m(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _wrap_native_super$2(Class) {
    var _cache = typeof Map === "function" ? new Map() : undefined;
    _wrap_native_super$2 = function wrapNativeSuper(Class) {
        if (Class === null || !_is_native_function$2(Class)) return Class;
        if (typeof Class !== "function") {
            throw new TypeError("Super expression must either be null or a function");
        }
        if (typeof _cache !== "undefined") {
            if (_cache.has(Class)) return _cache.get(Class);
            _cache.set(Class, Wrapper);
        }
        function Wrapper() {
            return _construct$2(Class, arguments, _get_prototype_of$m(this).constructor);
        }
        Wrapper.prototype = Object.create(Class.prototype, {
            constructor: {
                value: Wrapper,
                enumerable: false,
                writable: true,
                configurable: true
            }
        });
        return _set_prototype_of$m(Wrapper, Class);
    };
    return _wrap_native_super$2(Class);
}
function _is_native_reflect_construct$m() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$m(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$m();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$m(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$m(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$m(this, result);
    };
}
var RangeChangedEvent = /*#__PURE__*/ function(Event1) {
    _inherits$m(RangeChangedEvent, Event1);
    var _super = _create_super$m(RangeChangedEvent);
    function RangeChangedEvent(range) {
        _class_call_check$o(this, RangeChangedEvent);
        var _this;
        _this = _super.call(this, RangeChangedEvent.eventName, {
            bubbles: false
        });
        _this.first = range.first;
        _this.last = range.last;
        return _this;
    }
    return RangeChangedEvent;
}(_wrap_native_super$2(Event));
RangeChangedEvent.eventName = "rangeChanged";
var VisibilityChangedEvent = /*#__PURE__*/ function(Event1) {
    _inherits$m(VisibilityChangedEvent, Event1);
    var _super = _create_super$m(VisibilityChangedEvent);
    function VisibilityChangedEvent(range) {
        _class_call_check$o(this, VisibilityChangedEvent);
        var _this;
        _this = _super.call(this, VisibilityChangedEvent.eventName, {
            bubbles: false
        });
        _this.first = range.first;
        _this.last = range.last;
        return _this;
    }
    return VisibilityChangedEvent;
}(_wrap_native_super$2(Event));
VisibilityChangedEvent.eventName = "visibilityChanged";
var UnpinnedEvent = /*#__PURE__*/ function(Event1) {
    _inherits$m(UnpinnedEvent, Event1);
    var _super = _create_super$m(UnpinnedEvent);
    function UnpinnedEvent() {
        _class_call_check$o(this, UnpinnedEvent);
        return _super.call(this, UnpinnedEvent.eventName, {
            bubbles: false
        });
    }
    return UnpinnedEvent;
}(_wrap_native_super$2(Event));
UnpinnedEvent.eventName = "unpinned";

/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function _assert_this_initialized$l(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$n(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$n(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$n(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$n(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$n(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$l(o) {
    _get_prototype_of$l = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$l(o);
}
function _inherits$l(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$l(subClass, superClass);
}
function _possible_constructor_return$l(self, call) {
    if (call && (_type_of$l(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$l(self);
}
function _set_prototype_of$l(o, p) {
    _set_prototype_of$l = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$l(o, p);
}
function _type_of$l(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$l() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$l(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$l();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$l(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$l(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$l(this, result);
    };
}
var ScrollerShim = /*#__PURE__*/ function() {
    function ScrollerShim(element) {
        _class_call_check$n(this, ScrollerShim);
        this._element = null;
        var node = element !== null && element !== void 0 ? element : window;
        this._node = node;
        if (element) {
            this._element = element;
        }
    }
    _create_class$n(ScrollerShim, [
        {
            key: "element",
            get: function get() {
                return this._element || document.scrollingElement || document.documentElement;
            }
        },
        {
            key: "scrollTop",
            get: function get() {
                return this.element.scrollTop || window.scrollY;
            }
        },
        {
            key: "scrollLeft",
            get: function get() {
                return this.element.scrollLeft || window.scrollX;
            }
        },
        {
            key: "scrollHeight",
            get: function get() {
                return this.element.scrollHeight;
            }
        },
        {
            key: "scrollWidth",
            get: function get() {
                return this.element.scrollWidth;
            }
        },
        {
            key: "viewportHeight",
            get: function get() {
                return this._element ? this._element.getBoundingClientRect().height : window.innerHeight;
            }
        },
        {
            key: "viewportWidth",
            get: function get() {
                return this._element ? this._element.getBoundingClientRect().width : window.innerWidth;
            }
        },
        {
            key: "maxScrollTop",
            get: function get() {
                return this.scrollHeight - this.viewportHeight;
            }
        },
        {
            key: "maxScrollLeft",
            get: function get() {
                return this.scrollWidth - this.viewportWidth;
            }
        }
    ]);
    return ScrollerShim;
}();
var ScrollerController = /*#__PURE__*/ function(ScrollerShim) {
    _inherits$l(ScrollerController, ScrollerShim);
    var _super = _create_super$l(ScrollerController);
    function ScrollerController(client, element) {
        _class_call_check$n(this, ScrollerController);
        var _this;
        _this = _super.call(this, element);
        _this._clients = new Set();
        _this._retarget = null;
        _this._end = null;
        _this.__destination = null;
        _this.correctingScrollError = false;
        _this._checkForArrival = _this._checkForArrival.bind(_assert_this_initialized$l(_this));
        _this._updateManagedScrollTo = _this._updateManagedScrollTo.bind(_assert_this_initialized$l(_this));
        _this.scrollTo = _this.scrollTo.bind(_assert_this_initialized$l(_this));
        _this.scrollBy = _this.scrollBy.bind(_assert_this_initialized$l(_this));
        var node = _this._node;
        _this._originalScrollTo = node.scrollTo;
        _this._originalScrollBy = node.scrollBy;
        _this._originalScroll = node.scroll;
        _this._attach(client);
        return _this;
    }
    _create_class$n(ScrollerController, [
        {
            key: "_destination",
            get: function get() {
                return this.__destination;
            }
        },
        {
            key: "scrolling",
            get: function get() {
                return this._destination !== null;
            }
        },
        {
            key: "scrollTo",
            value: function scrollTo(p1, p2) {
                var options = typeof p1 === "number" && typeof p2 === "number" ? {
                    left: p1,
                    top: p2
                } : p1;
                this._scrollTo(options);
            }
        },
        {
            key: "scrollBy",
            value: function scrollBy(p1, p2) {
                var options = typeof p1 === "number" && typeof p2 === "number" ? {
                    left: p1,
                    top: p2
                } : p1;
                if (options.top !== undefined) {
                    options.top += this.scrollTop;
                }
                if (options.left !== undefined) {
                    options.left += this.scrollLeft;
                }
                this._scrollTo(options);
            }
        },
        {
            key: "_nativeScrollTo",
            value: function _nativeScrollTo(options) {
                this._originalScrollTo.bind(this._element || window)(options);
            }
        },
        {
            key: "_scrollTo",
            value: function _scrollTo(options) {
                var retarget = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null, end = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : null;
                if (this._end !== null) {
                    this._end();
                }
                if (options.behavior === "smooth") {
                    this._setDestination(options);
                    this._retarget = retarget;
                    this._end = end;
                } else {
                    this._resetScrollState();
                }
                this._nativeScrollTo(options);
            }
        },
        {
            key: "_setDestination",
            value: function _setDestination(options) {
                var top = options.top, left = options.left;
                top = top === undefined ? undefined : Math.max(0, Math.min(top, this.maxScrollTop));
                left = left === undefined ? undefined : Math.max(0, Math.min(left, this.maxScrollLeft));
                if (this._destination !== null && left === this._destination.left && top === this._destination.top) {
                    return false;
                }
                this.__destination = {
                    top: top,
                    left: left,
                    behavior: "smooth"
                };
                return true;
            }
        },
        {
            key: "_resetScrollState",
            value: function _resetScrollState() {
                this.__destination = null;
                this._retarget = null;
                this._end = null;
            }
        },
        {
            key: "_updateManagedScrollTo",
            value: function _updateManagedScrollTo(coordinates) {
                if (this._destination) {
                    if (this._setDestination(coordinates)) {
                        this._nativeScrollTo(this._destination);
                    }
                }
            }
        },
        {
            key: "managedScrollTo",
            value: function managedScrollTo(options, retarget, end) {
                this._scrollTo(options, retarget, end);
                return this._updateManagedScrollTo;
            }
        },
        {
            key: "correctScrollError",
            value: function correctScrollError(coordinates) {
                var _this = this;
                this.correctingScrollError = true;
                requestAnimationFrame(function() {
                    return requestAnimationFrame(function() {
                        return _this.correctingScrollError = false;
                    });
                });
                // Correct the error
                this._nativeScrollTo(coordinates);
                // Then, if we were headed for a specific destination, we continue scrolling:
                // First, we update our target destination, if applicable...
                if (this._retarget) {
                    this._setDestination(this._retarget());
                }
                // Then we go ahead and resume scrolling
                if (this._destination) {
                    this._nativeScrollTo(this._destination);
                }
            }
        },
        {
            key: "_checkForArrival",
            value: function _checkForArrival() {
                if (this._destination !== null) {
                    var _this = this, scrollTop = _this.scrollTop, scrollLeft = _this.scrollLeft;
                    var _this__destination = this._destination, top = _this__destination.top, left = _this__destination.left;
                    top = Math.min(top || 0, this.maxScrollTop);
                    left = Math.min(left || 0, this.maxScrollLeft);
                    var topDiff = Math.abs(top - scrollTop);
                    var leftDiff = Math.abs(left - scrollLeft);
                    // We check to see if we've arrived at our destination.
                    if (topDiff < 1 && leftDiff < 1) {
                        if (this._end) {
                            this._end();
                        }
                        this._resetScrollState();
                    }
                }
            }
        },
        {
            key: "detach",
            value: function detach(client) {
                this._clients.delete(client);
                /**
         * If there aren't any more clients, then return the node's default
         * scrolling methods
         */ if (this._clients.size === 0) {
                    this._node.scrollTo = this._originalScrollTo;
                    this._node.scrollBy = this._originalScrollBy;
                    this._node.scroll = this._originalScroll;
                    this._node.removeEventListener("scroll", this._checkForArrival);
                }
                return null;
            }
        },
        {
            key: "_attach",
            value: function _attach(client) {
                this._clients.add(client);
                /**
         * The node should only have the methods shimmed when adding the first
         * client – otherwise it's redundant
         */ if (this._clients.size === 1) {
                    this._node.scrollTo = this.scrollTo;
                    this._node.scrollBy = this.scrollBy;
                    this._node.scroll = this.scrollTo;
                    this._node.addEventListener("scroll", this._checkForArrival);
                }
            }
        }
    ]);
    return ScrollerController;
} 
(ScrollerShim);

/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function asyncGeneratorStep$7(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$7(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$7(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$7(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$m(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$m(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$m(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$m(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$m(Constructor, staticProps);
    return Constructor;
}
function _define_property$2(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _instanceof$2(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _object_spread$1(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$2(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys$1(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props$1(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys$1(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _ts_generator$7(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
// Virtualizer depends on `ResizeObserver`, which is supported in
// all modern browsers. For developers whose browser support
// matrix includes older browsers, we include a compatible
// polyfill in the package; this bit of module state facilitates
// a simple mechanism (see ./polyfillLoaders/ResizeObserver.js.)
// for loading the polyfill.
var _ResizeObserver = typeof window !== "undefined" ? window.ResizeObserver : undefined;
var virtualizerRef = Symbol("virtualizerRef");
var SIZER_ATTRIBUTE = "virtualizer-sizer";
var DefaultLayoutConstructor;
/**
 * Provides virtual scrolling boilerplate.
 *
 * Extensions of this class must set hostElement and layout.
 *
 * Extensions of this class must also override VirtualRepeater's DOM
 * manipulation methods.
 */ var Virtualizer = /*#__PURE__*/ function() {
    function Virtualizer(config) {
        _class_call_check$m(this, Virtualizer);
        this._benchmarkStart = null;
        this._layout = null;
        this._clippingAncestors = [];
        /**
         * Layout provides these values, we set them on _render().
         * TODO @straversi: Can we find an XOR type, usable for the key here?
         */ this._scrollSize = null;
        /**
         * Difference between scroll target's current and required scroll offsets.
         * Provided by layout.
         */ this._scrollError = null;
        /**
         * A list of the positions (top, left) of the children in the current range.
         */ this._childrenPos = null;
        // TODO: (graynorton): type
        this._childMeasurements = null;
        this._toBeMeasured = new Map();
        this._rangeChanged = true;
        this._itemsChanged = true;
        this._visibilityChanged = true;
        this._scrollerController = null;
        this._isScroller = false;
        this._sizer = null;
        /**
         * Resize observer attached to hostElement.
         */ this._hostElementRO = null;
        /**
         * Resize observer attached to children.
         */ this._childrenRO = null;
        this._mutationObserver = null;
        this._scrollEventListeners = [];
        this._scrollEventListenerOptions = {
            passive: true
        };
        // TODO (graynorton): Rethink, per longer comment below
        this._loadListener = this._childLoaded.bind(this);
        /**
         * Index of element to scroll into view, plus scroll
         * behavior options, as imperatively specified via
         * `element(index).scrollIntoView()`
         */ this._scrollIntoViewTarget = null;
        this._updateScrollIntoViewCoordinates = null;
        /**
         * Items to render. Set by items.
         */ this._items = [];
        /**
         * Index of the first child in the range, not necessarily the first visible child.
         * TODO @straversi: Consider renaming these.
         */ this._first = -1;
        /**
         * Index of the last child in the range.
         */ this._last = -1;
        /**
         * Index of the first item intersecting the viewport.
         */ this._firstVisible = -1;
        /**
         * Index of the last item intersecting the viewport.
         */ this._lastVisible = -1;
        this._scheduled = new WeakSet();
        /**
         * Invoked at the end of each render cycle: children in the range are
         * measured, and their dimensions passed to this callback. Use it to layout
         * children as needed.
         */ this._measureCallback = null;
        this._measureChildOverride = null;
        /**
         * State for `layoutComplete` promise
         */ this._layoutCompletePromise = null;
        this._layoutCompleteResolver = null;
        this._layoutCompleteRejecter = null;
        this._pendingLayoutComplete = null;
        /**
         * Layout initialization is async because we dynamically load
         * the default layout if none is specified. This state is to track
         * whether init is complete.
         */ this._layoutInitialized = null;
        /**
         * Track connection state to guard against errors / unnecessary work
         */ this._connected = false;
        if (!config) {
            throw new Error("Virtualizer constructor requires a configuration object");
        }
        if (config.hostElement) {
            this._init(config);
        } else {
            throw new Error('Virtualizer configuration requires the "hostElement" property');
        }
    }
    _create_class$m(Virtualizer, [
        {
            key: "items",
            set: function set(items) {
                if (Array.isArray(items) && items !== this._items) {
                    this._itemsChanged = true;
                    this._items = items;
                    this._schedule(this._updateLayout);
                }
            }
        },
        {
            key: "_init",
            value: function _init(config) {
                this._isScroller = !!config.scroller;
                this._initHostElement(config);
                // If no layout is specified, we make an empty
                // layout config, which will result in the default
                // layout with default parameters
                var layoutConfig = config.layout || {};
                // Save the promise returned by `_initLayout` as a state
                // variable we can check before updating layout config
                this._layoutInitialized = this._initLayout(layoutConfig);
            }
        },
        {
            key: "_initObservers",
            value: function _initObservers() {
                var _this = this;
                this._mutationObserver = new MutationObserver(this._finishDOMUpdate.bind(this));
                this._hostElementRO = new _ResizeObserver(function() {
                    return _this._hostElementSizeChanged();
                });
                this._childrenRO = new _ResizeObserver(this._childrenSizeChanged.bind(this));
            }
        },
        {
            key: "_initHostElement",
            value: function _initHostElement(config) {
                var hostElement = this._hostElement = config.hostElement;
                this._applyVirtualizerStyles();
                hostElement[virtualizerRef] = this;
            }
        },
        {
            key: "connected",
            value: function connected() {
                this._initObservers();
                var includeSelf = this._isScroller;
                this._clippingAncestors = getClippingAncestors(this._hostElement, includeSelf);
                this._scrollerController = new ScrollerController(this, this._clippingAncestors[0]);
                this._schedule(this._updateLayout);
                this._observeAndListen();
                this._connected = true;
            }
        },
        {
            key: "_observeAndListen",
            value: function _observeAndListen() {
                var _this = this;
                this._mutationObserver.observe(this._hostElement, {
                    childList: true
                });
                this._hostElementRO.observe(this._hostElement);
                this._scrollEventListeners.push(window);
                window.addEventListener("scroll", this, this._scrollEventListenerOptions);
                this._clippingAncestors.forEach(function(ancestor) {
                    ancestor.addEventListener("scroll", _this, _this._scrollEventListenerOptions);
                    _this._scrollEventListeners.push(ancestor);
                    _this._hostElementRO.observe(ancestor);
                });
                this._hostElementRO.observe(this._scrollerController.element);
                this._children.forEach(function(child) {
                    return _this._childrenRO.observe(child);
                });
                this._scrollEventListeners.forEach(function(target) {
                    return target.addEventListener("scroll", _this, _this._scrollEventListenerOptions);
                });
            }
        },
        {
            key: "disconnected",
            value: function disconnected() {
                var _this = this;
                var _this__scrollerController, _this__mutationObserver, _this__hostElementRO, _this__childrenRO;
                this._scrollEventListeners.forEach(function(target) {
                    return target.removeEventListener("scroll", _this, _this._scrollEventListenerOptions);
                });
                this._scrollEventListeners = [];
                this._clippingAncestors = [];
                (_this__scrollerController = this._scrollerController) === null || _this__scrollerController === void 0 ? void 0 : _this__scrollerController.detach(this);
                this._scrollerController = null;
                (_this__mutationObserver = this._mutationObserver) === null || _this__mutationObserver === void 0 ? void 0 : _this__mutationObserver.disconnect();
                this._mutationObserver = null;
                (_this__hostElementRO = this._hostElementRO) === null || _this__hostElementRO === void 0 ? void 0 : _this__hostElementRO.disconnect();
                this._hostElementRO = null;
                (_this__childrenRO = this._childrenRO) === null || _this__childrenRO === void 0 ? void 0 : _this__childrenRO.disconnect();
                this._childrenRO = null;
                this._rejectLayoutCompletePromise("disconnected");
                this._connected = false;
            }
        },
        {
            key: "_applyVirtualizerStyles",
            value: function _applyVirtualizerStyles() {
                var hostElement = this._hostElement;
                // Would rather set these CSS properties on the host using Shadow Root
                // style scoping (and falling back to a global stylesheet where native
                // Shadow DOM is not available), but this Mobile Safari bug is preventing
                // that from working: https://bugs.webkit.org/show_bug.cgi?id=226195
                var style = hostElement.style;
                style.display = style.display || "block";
                style.position = style.position || "relative";
                style.contain = style.contain || "size layout";
                if (this._isScroller) {
                    style.overflow = style.overflow || "auto";
                    style.minHeight = style.minHeight || "150px";
                }
            }
        },
        {
            key: "_getSizer",
            value: function _getSizer() {
                var hostElement = this._hostElement;
                if (!this._sizer) {
                    // Use a preexisting sizer element if provided (for better integration
                    // with vDOM renderers)
                    var sizer = hostElement.querySelector("[".concat(SIZER_ATTRIBUTE, "]"));
                    if (!sizer) {
                        sizer = document.createElement("div");
                        sizer.setAttribute(SIZER_ATTRIBUTE, "");
                        hostElement.appendChild(sizer);
                    }
                    // When the scrollHeight is large, the height of this element might be
                    // ignored. Setting content and font-size ensures the element has a size.
                    Object.assign(sizer.style, {
                        position: "absolute",
                        margin: "-2px 0 0 0",
                        padding: 0,
                        visibility: "hidden",
                        fontSize: "2px"
                    });
                    sizer.textContent = "&nbsp;";
                    sizer.setAttribute(SIZER_ATTRIBUTE, "");
                    this._sizer = sizer;
                }
                return this._sizer;
            }
        },
        {
            key: "updateLayoutConfig",
            value: function updateLayoutConfig(layoutConfig) {
                var _this = this;
                return _async_to_generator$7(function() {
                    var Ctor, config;
                    return _ts_generator$7(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                // If layout initialization hasn't finished yet, we wait
                                // for it to finish so we can check whether the new config
                                // is compatible with the existing layout before proceeding.
                                return [
                                    4,
                                    _this._layoutInitialized
                                ];
                            case 1:
                                _state.sent();
                                Ctor = layoutConfig.type || // The new config is compatible with the current layout,
                                // so we update the config and return true to indicate
                                // a successful update
                                DefaultLayoutConstructor;
                                if (typeof Ctor === "function" && _instanceof$2(_this._layout, Ctor)) {
                                    config = _object_spread$1({}, layoutConfig);
                                    delete config.type;
                                    _this._layout.config = config;
                                    // The new config requires a different layout altogether, but
                                    // to limit implementation complexity we don't support dynamically
                                    // changing the layout of an existing virtualizer instance.
                                    // Returning false here lets the caller know that they should
                                    // instead make a new virtualizer instance with the desired layout.
                                    return [
                                        2,
                                        true
                                    ];
                                }
                                return [
                                    2,
                                    false
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "_initLayout",
            value: function _initLayout(layoutConfig) {
                var _this = this;
                return _async_to_generator$7(function() {
                    var config, Ctor, copy;
                    return _ts_generator$7(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                if (typeof layoutConfig.type === "function") {
                                    // If we have a full LayoutSpecifier, the `type` property
                                    // gives us our constructor...
                                    Ctor = layoutConfig.type;
                                    // ...while the rest of the specifier is our layout config
                                    copy = _object_spread$1({}, layoutConfig);
                                    delete copy.type;
                                    config = copy;
                                } else {
                                    // If we don't have a full LayoutSpecifier, we just
                                    // have a config for the default layout
                                    config = layoutConfig;
                                }
                                if (!(Ctor === undefined)) return [
                                    3,
                                    2
                                ];
                                return [
                                    4,
                                    Promise.resolve().then(function () { return require('./flow.cjs.js'); })
                                ];
                            case 1:
                                // If we don't have a constructor yet, load the default
                                DefaultLayoutConstructor = Ctor = _state.sent().FlowLayout;
                                _state.label = 2;
                            case 2:
                                _this._layout = new Ctor(function(message) {
                                    return _this._handleLayoutMessage(message);
                                }, config);
                                if (_this._layout.measureChildren && typeof _this._layout.updateItemSizes === "function") {
                                    if (typeof _this._layout.measureChildren === "function") {
                                        _this._measureChildOverride = _this._layout.measureChildren;
                                    }
                                    _this._measureCallback = _this._layout.updateItemSizes.bind(_this._layout);
                                }
                                if (_this._layout.listenForChildLoadEvents) {
                                    _this._hostElement.addEventListener("load", _this._loadListener, true);
                                }
                                _this._schedule(_this._updateLayout);
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            // TODO (graynorton): Rework benchmarking so that it has no API and
            // instead is always on except in production builds
            key: "startBenchmarking",
            value: function startBenchmarking() {
                if (this._benchmarkStart === null) {
                    this._benchmarkStart = window.performance.now();
                }
            }
        },
        {
            key: "stopBenchmarking",
            value: function stopBenchmarking() {
                var _this = this;
                if (this._benchmarkStart !== null) {
                    var now = window.performance.now();
                    var timeElapsed = now - this._benchmarkStart;
                    var entries = performance.getEntriesByName("uv-virtualizing", "measure");
                    var virtualizationTime = entries.filter(function(e) {
                        return e.startTime >= _this._benchmarkStart && e.startTime < now;
                    }).reduce(function(t, m) {
                        return t + m.duration;
                    }, 0);
                    this._benchmarkStart = null;
                    return {
                        timeElapsed: timeElapsed,
                        virtualizationTime: virtualizationTime
                    };
                }
                return null;
            }
        },
        {
            key: "_measureChildren",
            value: function _measureChildren() {
                var mm = {};
                var children = this._children;
                var fn = this._measureChildOverride || this._measureChild;
                for(var i = 0; i < children.length; i++){
                    var child = children[i];
                    var idx = this._first + i;
                    if (this._itemsChanged || this._toBeMeasured.has(child)) {
                        mm[idx] = fn.call(this, child, this._items[idx]);
                    }
                }
                this._childMeasurements = mm;
                this._schedule(this._updateLayout);
                this._toBeMeasured.clear();
            }
        },
        {
            /**
     * Returns the width, height, and margins of the given child.
     */ key: "_measureChild",
            value: function _measureChild(element) {
                // offsetWidth doesn't take transforms in consideration, so we use
                // getBoundingClientRect which does.
                var _element_getBoundingClientRect = element.getBoundingClientRect(), width = _element_getBoundingClientRect.width, height = _element_getBoundingClientRect.height;
                return Object.assign({
                    width: width,
                    height: height
                }, getMargins(element));
            }
        },
        {
            key: "_schedule",
            value: function _schedule(method) {
                var _this = this;
                return _async_to_generator$7(function() {
                    return _ts_generator$7(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                if (!!_this._scheduled.has(method)) return [
                                    3,
                                    2
                                ];
                                _this._scheduled.add(method);
                                return [
                                    4,
                                    Promise.resolve()
                                ];
                            case 1:
                                _state.sent();
                                _this._scheduled.delete(method);
                                method.call(_this);
                                _state.label = 2;
                            case 2:
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "_updateDOM",
            value: function _updateDOM(state) {
                var _this = this;
                return _async_to_generator$7(function() {
                    var _rangeChanged, _itemsChanged;
                    return _ts_generator$7(this, function(_state) {
                        _this._scrollSize = state.scrollSize;
                        _this._adjustRange(state.range);
                        _this._childrenPos = state.childPositions;
                        _this._scrollError = state.scrollError || null;
                        _rangeChanged = _this._rangeChanged, _itemsChanged = _this._itemsChanged;
                        if (_this._visibilityChanged) {
                            _this._notifyVisibility();
                            _this._visibilityChanged = false;
                        }
                        if (_rangeChanged || _itemsChanged) {
                            _this._notifyRange();
                            _this._rangeChanged = false;
                        }
                        _this._finishDOMUpdate();
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "_finishDOMUpdate",
            value: function _finishDOMUpdate() {
                var _this = this;
                if (this._connected) {
                    // _childrenRO should be non-null if we're connected
                    this._children.forEach(function(child) {
                        return _this._childrenRO.observe(child);
                    });
                    this._checkScrollIntoViewTarget(this._childrenPos);
                    this._positionChildren(this._childrenPos);
                    this._sizeHostElement(this._scrollSize);
                    this._correctScrollError();
                    if (this._benchmarkStart && "mark" in window.performance) {
                        window.performance.mark("uv-end");
                    }
                }
            }
        },
        {
            key: "_updateLayout",
            value: function _updateLayout() {
                if (this._layout && this._connected) {
                    this._layout.items = this._items;
                    this._updateView();
                    if (this._childMeasurements !== null) {
                        // If the layout has been changed, we may have measurements but no callback
                        if (this._measureCallback) {
                            this._measureCallback(this._childMeasurements);
                        }
                        this._childMeasurements = null;
                    }
                    this._layout.reflowIfNeeded();
                    if (this._benchmarkStart && "mark" in window.performance) {
                        window.performance.mark("uv-end");
                    }
                }
            }
        },
        {
            key: "_handleScrollEvent",
            value: function _handleScrollEvent() {
                if (this._benchmarkStart && "mark" in window.performance) {
                    try {
                        window.performance.measure("uv-virtualizing", "uv-start", "uv-end");
                    } catch (e) {
                        console.warn("Error measuring performance data: ", e);
                    }
                    window.performance.mark("uv-start");
                }
                if (this._scrollerController.correctingScrollError === false) {
                    var // This is a user-initiated scroll, so we unpin the layout
                    _this__layout;
                    (_this__layout = this._layout) === null || _this__layout === void 0 ? void 0 : _this__layout.unpin();
                }
                this._schedule(this._updateLayout);
            }
        },
        {
            key: "handleEvent",
            value: function handleEvent(event) {
                switch(event.type){
                    case "scroll":
                        if (event.currentTarget === window || this._clippingAncestors.includes(event.currentTarget)) {
                            this._handleScrollEvent();
                        }
                        break;
                    default:
                        console.warn("event not handled", event);
                }
            }
        },
        {
            key: "_handleLayoutMessage",
            value: function _handleLayoutMessage(message) {
                if (message.type === "stateChanged") {
                    this._updateDOM(message);
                } else if (message.type === "visibilityChanged") {
                    this._firstVisible = message.firstVisible;
                    this._lastVisible = message.lastVisible;
                    this._notifyVisibility();
                } else if (message.type === "unpinned") {
                    this._hostElement.dispatchEvent(new UnpinnedEvent());
                }
            }
        },
        {
            key: "_children",
            get: function get() {
                var arr = [];
                var next = this._hostElement.firstElementChild;
                while(next){
                    if (!next.hasAttribute(SIZER_ATTRIBUTE)) {
                        arr.push(next);
                    }
                    next = next.nextElementSibling;
                }
                return arr;
            }
        },
        {
            key: "_updateView",
            value: function _updateView() {
                var _this__scrollerController;
                var hostElement = this._hostElement;
                var scrollingElement = (_this__scrollerController = this._scrollerController) === null || _this__scrollerController === void 0 ? void 0 : _this__scrollerController.element;
                var layout = this._layout;
                if (hostElement && scrollingElement && layout) {
                    var top, left, bottom, right;
                    var hostElementBounds = hostElement.getBoundingClientRect();
                    top = 0;
                    left = 0;
                    bottom = window.innerHeight;
                    right = window.innerWidth;
                    var ancestorBounds = this._clippingAncestors.map(function(ancestor) {
                        return ancestor.getBoundingClientRect();
                    });
                    ancestorBounds.unshift(hostElementBounds);
                    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                    try {
                        for(var _iterator = ancestorBounds[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                            var bounds = _step.value;
                            top = Math.max(top, bounds.top);
                            left = Math.max(left, bounds.left);
                            bottom = Math.min(bottom, bounds.bottom);
                            right = Math.min(right, bounds.right);
                        }
                    } catch (err) {
                        _didIteratorError = true;
                        _iteratorError = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion && _iterator.return != null) {
                                _iterator.return();
                            }
                        } finally{
                            if (_didIteratorError) {
                                throw _iteratorError;
                            }
                        }
                    }
                    var scrollingElementBounds = scrollingElement.getBoundingClientRect();
                    var offsetWithinScroller = {
                        left: hostElementBounds.left - scrollingElementBounds.left,
                        top: hostElementBounds.top - scrollingElementBounds.top
                    };
                    var totalScrollSize = {
                        width: scrollingElement.scrollWidth,
                        height: scrollingElement.scrollHeight
                    };
                    var scrollTop = top - hostElementBounds.top + hostElement.scrollTop;
                    var scrollLeft = left - hostElementBounds.left + hostElement.scrollLeft;
                    var height = Math.max(0, bottom - top);
                    var width = Math.max(0, right - left);
                    layout.viewportSize = {
                        width: width,
                        height: height
                    };
                    layout.viewportScroll = {
                        top: scrollTop,
                        left: scrollLeft
                    };
                    layout.totalScrollSize = totalScrollSize;
                    layout.offsetWithinScroller = offsetWithinScroller;
                }
            }
        },
        {
            /**
     * Styles the host element so that its size reflects the
     * total size of all items.
     */ key: "_sizeHostElement",
            value: function _sizeHostElement(size) {
                // Some browsers seem to crap out if the host element gets larger than
                // a certain size, so we clamp it here (this value based on ad hoc
                // testing in Chrome / Safari / Firefox Mac)
                var max = 8200000;
                var h = size && size.width !== null ? Math.min(max, size.width) : 0;
                var v = size && size.height !== null ? Math.min(max, size.height) : 0;
                if (this._isScroller) {
                    this._getSizer().style.transform = "translate(".concat(h, "px, ").concat(v, "px)");
                } else {
                    var style = this._hostElement.style;
                    style.minWidth = h ? "".concat(h, "px") : "100%";
                    style.minHeight = v ? "".concat(v, "px") : "100%";
                }
            }
        },
        {
            /**
     * Sets the top and left transform style of the children from the values in
     * pos.
     */ key: "_positionChildren",
            value: function _positionChildren(pos) {
                var _this = this;
                if (pos) {
                    pos.forEach(function(param, index) {
                        var top = param.top, left = param.left, width = param.width, height = param.height, xOffset = param.xOffset, yOffset = param.yOffset;
                        var child = _this._children[index - _this._first];
                        if (child) {
                            child.style.position = "absolute";
                            child.style.boxSizing = "border-box";
                            child.style.transform = "translate(".concat(left, "px, ").concat(top, "px)");
                            if (width !== undefined) {
                                child.style.width = width + "px";
                            }
                            if (height !== undefined) {
                                child.style.height = height + "px";
                            }
                            child.style.left = xOffset === undefined ? null : xOffset + "px";
                            child.style.top = yOffset === undefined ? null : yOffset + "px";
                        }
                    });
                }
            }
        },
        {
            key: "_adjustRange",
            value: function _adjustRange(range) {
                var _this = this;
                return _async_to_generator$7(function() {
                    var _first, _last, _firstVisible, _lastVisible;
                    return _ts_generator$7(this, function(_state) {
                        _first = _this._first, _last = _this._last, _firstVisible = _this._firstVisible, _lastVisible = _this._lastVisible;
                        _this._first = range.first;
                        _this._last = range.last;
                        _this._firstVisible = range.firstVisible;
                        _this._lastVisible = range.lastVisible;
                        _this._rangeChanged = _this._rangeChanged || _this._first !== _first || _this._last !== _last;
                        _this._visibilityChanged = _this._visibilityChanged || _this._firstVisible !== _firstVisible || _this._lastVisible !== _lastVisible;
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "_correctScrollError",
            value: function _correctScrollError() {
                if (this._scrollError) {
                    var _this__scrollerController = this._scrollerController, scrollTop = _this__scrollerController.scrollTop, scrollLeft = _this__scrollerController.scrollLeft;
                    var _this__scrollError = this._scrollError, top = _this__scrollError.top, left = _this__scrollError.left;
                    this._scrollError = null;
                    this._scrollerController.correctScrollError({
                        top: scrollTop - top,
                        left: scrollLeft - left
                    });
                }
            }
        },
        {
            key: "element",
            value: function element(index) {
                var _this = this;
                var _this__items;
                if (index === Infinity) {
                    index = this._items.length - 1;
                }
                return ((_this__items = this._items) === null || _this__items === void 0 ? void 0 : _this__items[index]) === undefined ? undefined : {
                    scrollIntoView: function() {
                        var options = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
                        return _this._scrollElementIntoView(_object_spread_props$1(_object_spread$1({}, options), {
                            index: index
                        }));
                    }
                };
            }
        },
        {
            key: "_scrollElementIntoView",
            value: function _scrollElementIntoView(options) {
                var _this = this;
                if (options.index >= this._first && options.index <= this._last) {
                    this._children[options.index - this._first].scrollIntoView(options);
                } else {
                    options.index = Math.min(options.index, this._items.length - 1);
                    if (options.behavior === "smooth") {
                        var coordinates = this._layout.getScrollIntoViewCoordinates(options);
                        var behavior = options.behavior;
                        this._updateScrollIntoViewCoordinates = this._scrollerController.managedScrollTo(Object.assign(coordinates, {
                            behavior: behavior
                        }), function() {
                            return _this._layout.getScrollIntoViewCoordinates(options);
                        }, function() {
                            return _this._scrollIntoViewTarget = null;
                        });
                        this._scrollIntoViewTarget = options;
                    } else {
                        this._layout.pin = options;
                    }
                }
            }
        },
        {
            /**
     * If we are smoothly scrolling to an element and the target element
     * is in the DOM, we update our target coordinates as needed
     */ key: "_checkScrollIntoViewTarget",
            value: function _checkScrollIntoViewTarget(pos) {
                var index = (this._scrollIntoViewTarget || {}).index;
                if (index && (pos === null || pos === void 0 ? void 0 : pos.has(index))) {
                    this._updateScrollIntoViewCoordinates(this._layout.getScrollIntoViewCoordinates(this._scrollIntoViewTarget));
                }
            }
        },
        {
            /**
     * Emits a rangechange event with the current first, last, firstVisible, and
     * lastVisible.
     */ key: "_notifyRange",
            value: function _notifyRange() {
                this._hostElement.dispatchEvent(new RangeChangedEvent({
                    first: this._first,
                    last: this._last
                }));
            }
        },
        {
            key: "_notifyVisibility",
            value: function _notifyVisibility() {
                this._hostElement.dispatchEvent(new VisibilityChangedEvent({
                    first: this._firstVisible,
                    last: this._lastVisible
                }));
            }
        },
        {
            key: "layoutComplete",
            get: function get() {
                var _this = this;
                // Lazily create promise
                if (!this._layoutCompletePromise) {
                    this._layoutCompletePromise = new Promise(function(resolve, reject) {
                        _this._layoutCompleteResolver = resolve;
                        _this._layoutCompleteRejecter = reject;
                    });
                }
                return this._layoutCompletePromise;
            }
        },
        {
            key: "_rejectLayoutCompletePromise",
            value: function _rejectLayoutCompletePromise(reason) {
                if (this._layoutCompleteRejecter !== null) {
                    this._layoutCompleteRejecter(reason);
                }
                this._resetLayoutCompleteState();
            }
        },
        {
            key: "_scheduleLayoutComplete",
            value: function _scheduleLayoutComplete() {
                var _this = this;
                // Don't do anything unless we have a pending promise
                // And only request a frame if we haven't already done so
                if (this._layoutCompletePromise && this._pendingLayoutComplete === null) {
                    // Wait one additional frame to be sure the layout is stable
                    this._pendingLayoutComplete = requestAnimationFrame(function() {
                        return requestAnimationFrame(function() {
                            return _this._resolveLayoutCompletePromise();
                        });
                    });
                }
            }
        },
        {
            key: "_resolveLayoutCompletePromise",
            value: function _resolveLayoutCompletePromise() {
                if (this._layoutCompleteResolver !== null) {
                    this._layoutCompleteResolver();
                }
                this._resetLayoutCompleteState();
            }
        },
        {
            key: "_resetLayoutCompleteState",
            value: function _resetLayoutCompleteState() {
                this._layoutCompletePromise = null;
                this._layoutCompleteResolver = null;
                this._layoutCompleteRejecter = null;
                this._pendingLayoutComplete = null;
            }
        },
        {
            /**
     * Render and update the view at the next opportunity with the given
     * hostElement size.
     */ key: "_hostElementSizeChanged",
            value: function _hostElementSizeChanged() {
                this._schedule(this._updateLayout);
            }
        },
        {
            // TODO (graynorton): Rethink how this works. Probably child loading is too specific
            // to have dedicated support for; might want some more generic lifecycle hooks for
            // layouts to use. Possibly handle measurement this way, too, or maybe that remains
            // a first-class feature?
            key: "_childLoaded",
            value: function _childLoaded() {}
        },
        {
            // This is the callback for the ResizeObserver that watches the
            // virtualizer's children. We land here at the end of every virtualizer
            // update cycle that results in changes to physical items, and we also
            // end up here if one or more children change size independently of
            // the virtualizer update cycle.
            key: "_childrenSizeChanged",
            value: function _childrenSizeChanged(changes) {
                var _this__layout;
                // Only measure if the layout requires it
                if ((_this__layout = this._layout) === null || _this__layout === void 0 ? void 0 : _this__layout.measureChildren) {
                    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                    try {
                        for(var _iterator = changes[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                            var change = _step.value;
                            this._toBeMeasured.set(change.target, change.contentRect);
                        }
                    } catch (err) {
                        _didIteratorError = true;
                        _iteratorError = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion && _iterator.return != null) {
                                _iterator.return();
                            }
                        } finally{
                            if (_didIteratorError) {
                                throw _iteratorError;
                            }
                        }
                    }
                    this._measureChildren();
                }
                // If this is the end of an update cycle, we need to reset some
                // internal state. This should be a harmless no-op if we're handling
                // an out-of-cycle ResizeObserver callback, so we don't need to
                // distinguish between the two cases.
                this._scheduleLayoutComplete();
                this._itemsChanged = false;
                this._rangeChanged = false;
            }
        }
    ]);
    return Virtualizer;
}();
function getMargins(el) {
    var style = window.getComputedStyle(el);
    return {
        marginTop: getMarginValue(style.marginTop),
        marginRight: getMarginValue(style.marginRight),
        marginBottom: getMarginValue(style.marginBottom),
        marginLeft: getMarginValue(style.marginLeft)
    };
}
function getMarginValue(value) {
    var float = value ? parseFloat(value) : NaN;
    return Number.isNaN(float) ? 0 : float;
}
// TODO (graynorton): Deal with iframes?
function getParentElement(el) {
    if (el.assignedSlot !== null) {
        return el.assignedSlot;
    }
    if (el.parentElement !== null) {
        return el.parentElement;
    }
    var parentNode = el.parentNode;
    if (parentNode && parentNode.nodeType === Node.DOCUMENT_FRAGMENT_NODE) {
        return parentNode.host || null;
    }
    return null;
}
///
function getElementAncestors(el) {
    var includeSelf = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : false;
    var ancestors = [];
    var parent = includeSelf ? el : getParentElement(el);
    while(parent !== null){
        ancestors.push(parent);
        parent = getParentElement(parent);
    }
    return ancestors;
}
function getClippingAncestors(el) {
    var includeSelf = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : false;
    var foundFixed = false;
    return getElementAncestors(el, includeSelf).filter(function(a) {
        if (foundFixed) {
            return false;
        }
        var style = getComputedStyle(a);
        foundFixed = style.position === "fixed";
        return style.overflow !== "visible";
    });
}

/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ function _array_like_to_array$6(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$2(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$k(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$6(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$6(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$6(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$6(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$l(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$l(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$l(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$l(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$l(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$k(o) {
    _get_prototype_of$k = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$k(o);
}
function _inherits$k(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$k(subClass, superClass);
}
function _iterable_to_array_limit$2(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$2() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$k(self, call) {
    if (call && (_type_of$k(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$k(self);
}
function _set_prototype_of$k(o, p) {
    _set_prototype_of$k = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$k(o, p);
}
function _sliced_to_array$2(arr, i) {
    return _array_with_holes$2(arr) || _iterable_to_array_limit$2(arr, i) || _unsupported_iterable_to_array$6(arr, i) || _non_iterable_rest$2();
}
function _tagged_template_literal$G(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$k(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$6(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$6(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$6(o, minLen);
}
function _is_native_reflect_construct$k() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$k(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$k();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$k(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$k(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$k(this, result);
    };
}
function _ts_generator$6(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$G() {
    var data = _tagged_template_literal$G([
        "",
        ": ",
        ""
    ]);
    _templateObject$G = function _templateObject() {
        return data;
    };
    return data;
}
var defaultKeyFunction = function(item) {
    return item;
};
var defaultRenderItem = function(item, idx) {
    return x$3(_templateObject$G(), idx, JSON.stringify(item, null, 2));
};
var VirtualizeDirective = /*#__PURE__*/ function(AsyncDirective) {
    _inherits$k(VirtualizeDirective, AsyncDirective);
    var _super = _create_super$k(VirtualizeDirective);
    function VirtualizeDirective(part) {
        _class_call_check$l(this, VirtualizeDirective);
        var _this;
        _this = _super.call(this, part);
        _this._virtualizer = null;
        _this._first = 0;
        _this._last = -1;
        _this._renderItem = function(item, idx) {
            return defaultRenderItem(item, idx + _this._first);
        };
        _this._keyFunction = function(item, idx) {
            return defaultKeyFunction(item, idx + _this._first);
        };
        _this._items = [];
        if (part.type !== t$x.CHILD) {
            throw new Error("The virtualize directive can only be used in child expressions");
        }
        return _this;
    }
    _create_class$l(VirtualizeDirective, [
        {
            key: "render",
            value: function render(config) {
                if (config) {
                    this._setFunctions(config);
                }
                var itemsToRender = [];
                if (this._first >= 0 && this._last >= this._first) {
                    for(var i = this._first; i <= this._last; i++){
                        itemsToRender.push(this._items[i]);
                    }
                }
                return c$y(itemsToRender, this._keyFunction, this._renderItem);
            }
        },
        {
            key: "update",
            value: function update(part, param) {
                var _param = _sliced_to_array$2(param, 1), config = _param[0];
                this._setFunctions(config);
                var itemsChanged = this._items !== config.items;
                this._items = config.items || [];
                if (this._virtualizer) {
                    this._updateVirtualizerConfig(part, config);
                } else {
                    this._initialize(part, config);
                }
                return itemsChanged ? T$3 : this.render();
            }
        },
        {
            key: "_updateVirtualizerConfig",
            value: function _updateVirtualizerConfig(part, config) {
                var _this = this;
                return _async_to_generator$6(function() {
                    var compatible, hostElement;
                    return _ts_generator$6(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _this._virtualizer.updateLayoutConfig(config.layout || {})
                                ];
                            case 1:
                                compatible = _state.sent();
                                if (!compatible) {
                                    hostElement = part.parentNode;
                                    _this._makeVirtualizer(hostElement, config);
                                }
                                _this._virtualizer.items = _this._items;
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "_setFunctions",
            value: function _setFunctions(config) {
                var _this = this;
                var renderItem = config.renderItem, keyFunction = config.keyFunction;
                if (renderItem) {
                    this._renderItem = function(item, idx) {
                        return renderItem(item, idx + _this._first);
                    };
                }
                if (keyFunction) {
                    this._keyFunction = function(item, idx) {
                        return keyFunction(item, idx + _this._first);
                    };
                }
            }
        },
        {
            key: "_makeVirtualizer",
            value: function _makeVirtualizer(hostElement, config) {
                if (this._virtualizer) {
                    this._virtualizer.disconnected();
                }
                var layout = config.layout, scroller = config.scroller, items = config.items;
                this._virtualizer = new Virtualizer({
                    hostElement: hostElement,
                    layout: layout,
                    scroller: scroller
                });
                this._virtualizer.items = items;
                this._virtualizer.connected();
            }
        },
        {
            key: "_initialize",
            value: function _initialize(part, config) {
                var _this = this;
                var hostElement = part.parentNode;
                if (hostElement && hostElement.nodeType === 1) {
                    hostElement.addEventListener("rangeChanged", function(e) {
                        _this._first = e.first;
                        _this._last = e.last;
                        _this.setValue(_this.render());
                    });
                    this._makeVirtualizer(hostElement, config);
                }
            }
        },
        {
            key: "disconnected",
            value: function disconnected() {
                var _this__virtualizer;
                (_this__virtualizer = this._virtualizer) === null || _this__virtualizer === void 0 ? void 0 : _this__virtualizer.disconnected();
            }
        },
        {
            key: "reconnected",
            value: function reconnected() {
                var _this__virtualizer;
                (_this__virtualizer = this._virtualizer) === null || _this__virtualizer === void 0 ? void 0 : _this__virtualizer.connected();
            }
        }
    ]);
    return VirtualizeDirective;
}(f$m);
var virtualize = e$D(VirtualizeDirective);

function _array_like_to_array$5(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$4(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$5(arr);
}
function _assert_this_initialized$j(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$k(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$k(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$k(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$k(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$k(Constructor, staticProps);
    return Constructor;
}
function _get$b(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$b = Reflect.get;
    } else {
        _get$b = function get(target, property, receiver) {
            var base = _super_prop_base$b(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$b(target, property, receiver || target);
}
function _get_prototype_of$j(o) {
    _get_prototype_of$j = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$j(o);
}
function _inherits$j(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$j(subClass, superClass);
}
function _iterable_to_array$4(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$4() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$j(self, call) {
    if (call && (_type_of$j(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$j(self);
}
function _set_prototype_of$j(o, p) {
    _set_prototype_of$j = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$j(o, p);
}
function _super_prop_base$b(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$j(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$F(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$4(arr) {
    return _array_without_holes$4(arr) || _iterable_to_array$4(arr) || _unsupported_iterable_to_array$5(arr) || _non_iterable_spread$4();
}
function _type_of$j(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$5(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$5(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$5(o, minLen);
}
function _is_native_reflect_construct$j() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$j(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$j();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$j(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$j(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$j(this, result);
    };
}
function _templateObject$F() {
    var data = _tagged_template_literal$F([
        "\n                              <sp-table-checkbox-cell\n                                  ?checked=",
        "\n                              ></sp-table-checkbox-cell>\n                          "
    ]);
    _templateObject$F = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$7() {
    var data = _tagged_template_literal$F([
        "\n                <sp-table-row\n                    value=",
        "\n                    aria-rowindex=",
        "\n                    ?selected=",
        "\n                >\n                    ",
        "\n                    ",
        "\n                </sp-table-row>\n            "
    ]);
    _templateObject1$7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$2() {
    var data = _tagged_template_literal$F([
        "\n            <slot @change=",
        "></slot>\n        "
    ]);
    _templateObject2$2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3$1() {
    var data = _tagged_template_literal$F([
        "\n                ",
        "\n            "
    ]);
    _templateObject3$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4$1() {
    var data = _tagged_template_literal$F([
        ""
    ]);
    _templateObject4$1 = function _templateObject() {
        return data;
    };
    return data;
}
var b$1 = Object.defineProperty;
var u$6 = Object.getOwnPropertyDescriptor;
var a$2 = function(n, h, e, t) {
    for(var s = t > 1 ? void 0 : t ? u$6(h, e) : h, i = n.length - 1, l; i >= 0; i--)(l = n[i]) && (s = (t ? l(h, e, s) : l(s)) || s);
    return t && s && b$1(h, e, s), s;
};
var RowType = function(e) {
    return e[e.ITEM = 0] = "ITEM", e[e.INFORMATION = 1] = "INFORMATION", e;
}(RowType || {});
var Table = /*#__PURE__*/ function(_C) {
    _inherits$j(Table, _C);
    var _super = _create_super$j(Table);
    function Table() {
        _class_call_check$k(this, Table);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this._renderItem = function() {
            return x$3(_templateObject4$1());
        };
        _this.role = "grid";
        _this.selected = [];
        _this.selectedSet = new Set;
        _this.items = [];
        _this.itemValue = function(e, t) {
            return "".concat(t);
        };
        _this.scroller = !1;
        _this.emphasized = !1;
        _this.quiet = !1;
        return _this;
    }
    _create_class$k(Table, [
        {
            key: "renderItem",
            get: function get() {
                return this._renderItem;
            },
            set: function set(e) {
                var _this = this;
                this._renderItem = function(t, s) {
                    var i = _this.itemValue(t, s), l = _this.selected.includes(i), r = _this.selects && (t == null ? void 0 : t._$rowType$) !== 1;
                    return x$3(_templateObject1$7(), i, s + 1, l, r ? x$3(_templateObject$F(), l) : E$2, e(t, s));
                };
            }
        },
        {
            key: "tableHead",
            get: function get() {
                return this.querySelector("sp-table-head");
            }
        },
        {
            key: "tableRows",
            get: function get() {
                return this.isVirtualized ? [] : _to_consumable_array$4(this.querySelectorAll("sp-table-row"));
            }
        },
        {
            key: "isVirtualized",
            get: function get() {
                return !!this.items.length;
            }
        },
        {
            key: "focus",
            value: function focus() {
                var e = this.querySelector("sp-table-head-cell[sortable]");
                e && e.focus();
            }
        },
        {
            key: "selectAllRows",
            value: function selectAllRows() {
                var _this = this;
                this.isVirtualized ? this.items.forEach(function(e, t) {
                    e._$rowType$ !== 1 && _this.selectedSet.add(_this.itemValue(e, t));
                }) : this.tableRows.forEach(function(e) {
                    e.selected = !0, _this.selectedSet.add(e.value);
                }), this.selected = _to_consumable_array$4(this.selectedSet), this.tableHeadCheckboxCell && (this.tableHeadCheckboxCell.checked = !0, this.tableHeadCheckboxCell.indeterminate = !1);
            }
        },
        {
            key: "deselectAllRows",
            value: function deselectAllRows() {
                this.selectedSet.clear(), this.selected = [], this.isVirtualized || _to_consumable_array$4(this.querySelectorAll("[selected]")).forEach(function(t) {
                    t.selected = !1;
                }), this.tableHeadCheckboxCell && (this.tableHeadCheckboxCell.checked = !1, this.tableHeadCheckboxCell.indeterminate = !1);
            }
        },
        {
            key: "manageSelects",
            value: function manageSelects() {
                var _this = this;
                var s;
                var e = this.querySelectorAll("sp-table-checkbox-cell"), t = document.createElement("sp-table-checkbox-cell");
                if (this.selects) {
                    var i = !1;
                    this.isVirtualized ? i = this.selected.length > 0 && this.selected.length === this.items.length : (this.tableRows.forEach(function(l) {
                        if (l.selected = _this.selectedSet.has(l.value), !l.querySelector(":scope > sp-table-checkbox-cell")) {
                            var r = t.cloneNode();
                            t.emphasized = _this.emphasized, l.insertAdjacentElement("afterbegin", r), t.checked = l.selected;
                        }
                    }), i = this.selected.length === this.tableRows.length), this.tableHeadCheckboxCell || (this.tableHeadCheckboxCell = document.createElement("sp-table-checkbox-cell"), this.tableHeadCheckboxCell.headCell = !0, this.tableHeadCheckboxCell.emphasized = this.emphasized, (s = this.tableHead) == null || s.insertAdjacentElement("afterbegin", this.tableHeadCheckboxCell)), this.manageHeadCheckbox(i);
                } else e.forEach(function(i) {
                    i.remove();
                }), delete this.tableHeadCheckboxCell;
            }
        },
        {
            key: "validateSelected",
            value: function validateSelected() {
                var _this = this;
                var e = new Set;
                this.isVirtualized ? this.items.forEach(function(s, i) {
                    var l = _this.itemValue(s, i);
                    e.add(l);
                }) : this.tableRows.forEach(function(s) {
                    e.add(s.value);
                });
                var t = this.selected.length;
                this.selected = this.selected.filter(function(s) {
                    return e.has(s);
                }), t !== this.selected.length && this.dispatchEvent(new Event("change", {
                    cancelable: !0,
                    bubbles: !0,
                    composed: !0
                })), this.selectedSet = new Set(this.selected);
            }
        },
        {
            key: "manageSelected",
            value: function manageSelected() {
                var _this = this;
                this.validateSelected(), !this.isVirtualized && (this.tableRows.forEach(function(e) {
                    e.selected = _this.selectedSet.has(e.value);
                }), this.tableHeadCheckboxCell && (this.tableHeadCheckboxCell.checked = this.selected.length === this.tableRows.length));
            }
        },
        {
            key: "manageCheckboxes",
            value: function manageCheckboxes() {
                var _this = this;
                var e, t, s;
                if (this.selects) {
                    this.tableHeadCheckboxCell = document.createElement("sp-table-checkbox-cell"), this.tableHeadCheckboxCell.headCell = !0, this.tableHeadCheckboxCell.emphasized = this.emphasized;
                    var i = this.selected.length === this.tableRows.length;
                    this.manageHeadCheckbox(i), (e = this.tableHead) == null || e.insertAdjacentElement("afterbegin", this.tableHeadCheckboxCell), this.tableRows.forEach(function(l) {
                        var r = document.createElement("sp-table-checkbox-cell");
                        r.emphasized = _this.emphasized, l.insertAdjacentElement("afterbegin", r), l.selected = _this.selectedSet.has(l.value), r.checked = l.selected;
                    });
                } else (s = (t = this.tableHead) == null ? void 0 : t.querySelector("sp-table-checkbox-cell")) == null || s.remove(), this.tableRows.forEach(function(i) {
                    var l;
                    (l = i.checkboxCells[0]) == null || l.remove(), _this.selected.length && (i.selected = _this.selectedSet.has(i.value));
                });
            }
        },
        {
            key: "manageHeadCheckbox",
            value: function manageHeadCheckbox(e) {
                this.tableHeadCheckboxCell && (this.tableHeadCheckboxCell.selectsSingle = this.selects === "single", this.tableHeadCheckboxCell.emphasized = this.emphasized, this.tableHeadCheckboxCell.checked = e, this.tableHeadCheckboxCell.indeterminate = this.selected.length > 0 && !e);
            }
        },
        {
            key: "handleChange",
            value: function handleChange(e) {
                e.stopPropagation();
                var t = new Set(this.selectedSet), s = _to_consumable_array$4(this.selected), i = e.target, l = i.parentElement;
                if (l.value) switch(this.selects){
                    case "single":
                        {
                            this.deselectAllRows(), l.selected && (this.selectedSet.add(l.value), this.selected = _to_consumable_array$4(this.selectedSet));
                            break;
                        }
                    case "multiple":
                        {
                            l.selected ? this.selectedSet.add(l.value) : this.selectedSet.delete(l.value), this.selected = _to_consumable_array$4(this.selectedSet);
                            var d = this.selected.length === this.tableRows.length;
                            if (!this.tableHeadCheckboxCell) return;
                            this.tableHeadCheckboxCell.checked = d, this.tableHeadCheckboxCell.indeterminate = this.selected.length > 0 && !d;
                            break;
                        }
                }
                else {
                    var d1 = i.checkbox;
                    if (!d1) return;
                    d1.checked || d1.indeterminate ? this.selectAllRows() : this.deselectAllRows();
                }
                this.dispatchEvent(new Event("change", {
                    cancelable: !0,
                    bubbles: !0,
                    composed: !0
                })) || (e.preventDefault(), this.selectedSet = t, this.selected = s);
            }
        },
        {
            key: "scrollToIndex",
            value: function scrollToIndex(e) {
                if (e && this.tableBody) {
                    var s = this.tableBody[virtualizerRef].element(e);
                    s && s.scrollIntoView();
                }
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject2$2(), this.handleChange);
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(e) {
                this.hasUpdated || (this.validateSelected(), this.manageCheckboxes()), e.has("selects") && this.manageSelects(), e.has("selected") && this.hasUpdated && this.manageSelected();
            }
        },
        {
            key: "updated",
            value: function updated() {
                this.items.length ? this.renderVirtualizedItems() : this.removeAttribute("aria-rowcount");
            }
        },
        {
            key: "renderVirtualizedItems",
            value: function renderVirtualizedItems() {
                var _this = this;
                if (!this.isConnected) return;
                this.tableBody || (this.tableBody = this.querySelector("sp-table-body"), this.tableBody || (this.tableBody = document.createElement("sp-table-body"), this.append(this.tableBody)), this.tableBody.addEventListener("rangeChanged", function(t) {
                    _this.dispatchEvent(new RangeChangedEvent({
                        first: t.first,
                        last: t.last
                    }));
                }), this.tableBody.addEventListener("visibilityChanged", function(t) {
                    _this.dispatchEvent(new VisibilityChangedEvent({
                        first: t.first,
                        last: t.last
                    }));
                })), this.setAttribute("aria-rowcount", "".concat(this.items.length));
                var e = {
                    items: this.items,
                    renderItem: this.renderItem,
                    scroller: this.scroller
                };
                B$1(x$3(_templateObject3$1(), virtualize(e)), this.tableBody);
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                _get$b(_get_prototype_of$j(Table.prototype), "disconnectedCallback", this).call(this);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    k
                ];
            }
        }
    ]);
    return Table;
}(SizedMixin(SpectrumElement, {
    validSizes: [
        "s",
        "m",
        "l",
        "xl"
    ],
    noDefaultSize: !0
}));
a$2([
    n$r({
        reflect: !0
    })
], Table.prototype, "role", 2), a$2([
    n$r({
        type: String,
        reflect: !0
    })
], Table.prototype, "selects", 2), a$2([
    n$r({
        type: Array
    })
], Table.prototype, "selected", 2), a$2([
    n$r({
        type: Array
    })
], Table.prototype, "items", 2), a$2([
    n$r({
        type: Object
    })
], Table.prototype, "itemValue", 2), a$2([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Table.prototype, "scroller", 2), a$2([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Table.prototype, "emphasized", 2), a$2([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Table.prototype, "quiet", 2), a$2([
    n$r({
        type: String,
        reflect: !0
    })
], Table.prototype, "density", 2);

defineElement("sp-table", Table);

function _tagged_template_literal$E(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$E() {
    var data = _tagged_template_literal$E([
        "\n    @media (forced-colors:active){:host{forced-color-adjust:none}}:host([align=center]){text-align:center}:host([align=end]){text-align:end}:host{border-block-start:var(--mod-table-border-width,var(--spectrum-table-border-width))solid var(--highcontrast-table-divider-color,var(--mod-table-divider-color,var(--spectrum-table-divider-color)));box-sizing:border-box;font-size:var(--mod-table-row-font-size,var(--spectrum-table-row-font-size));font-weight:var(--mod-table-row-font-weight,var(--spectrum-table-row-font-weight));line-height:var(--mod-table-row-line-height,var(--spectrum-table-row-line-height));vertical-align:var(--mod-table-default-vertical-align,var(--spectrum-table-default-vertical-align));color:var(--highcontrast-table-row-text-color,var(--mod-table-row-text-color,var(--spectrum-table-row-text-color)));background-color:var(--spectrum-table-cell-background-color);block-size:var(--mod-table-min-row-height,var(--spectrum-table-min-row-height));padding-block-start:calc(var(--mod-table-row-top-to-text,var(--spectrum-table-row-top-to-text)) - var(--mod-table-border-width,var(--spectrum-table-border-width)));padding-block-end:var(--mod-table-row-bottom-to-text,var(--spectrum-table-row-bottom-to-text));padding-inline:calc(var(--mod-table-edge-to-content,var(--spectrum-table-edge-to-content)) - var(--mod-table-outer-border-inline-width,var(--spectrum-table-outer-border-inline-width)));position:relative}:host([focused]),:host(:focus-visible){outline-width:var(--mod-table-focus-indicator-thickness,var(--spectrum-table-focus-indicator-thickness));outline-style:solid;outline-color:var(--highcontrast-table-cell-focus-indicator-color,var(--highcontrast-table-focus-indicator-color,var(--mod-table-focus-indicator-color,var(--spectrum-table-focus-indicator-color))));outline-offset:calc(var(--mod-table-focus-indicator-thickness,var(--spectrum-table-focus-indicator-thickness))*-1 - var(--highcontrast-table-cell-focus-extra-offset,0px))}.divider{border-inline-end:var(--mod-table-border-width,var(--spectrum-table-border-width))solid var(--highcontrast-table-divider-color,var(--mod-table-divider-color,var(--spectrum-table-divider-color)))}:host{display:table-cell}.spectrum-Table-cell--collapsible{padding-block:0;padding-inline-start:calc(var(--spectrum-table-row-tier,0px)*var(--spectrum-table-collapsible-tier-indent))}:host{flex:1;block-size:auto;display:block}\n"
    ]);
    _templateObject$E = function _templateObject() {
        return data;
    };
    return data;
}
var e$b = i$p(_templateObject$E());
var n$3 = e$b;

function _assert_this_initialized$i(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$j(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$j(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$j(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$j(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$j(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$i(o) {
    _get_prototype_of$i = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$i(o);
}
function _inherits$i(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$i(subClass, superClass);
}
function _possible_constructor_return$i(self, call) {
    if (call && (_type_of$i(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$i(self);
}
function _set_prototype_of$i(o, p) {
    _set_prototype_of$i = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$i(o, p);
}
function _tagged_template_literal$D(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$i(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$i() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$i(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$i();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$i(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$i(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$i(this, result);
    };
}
function _templateObject$D() {
    var data = _tagged_template_literal$D([
        "\n            <slot></slot>\n        "
    ]);
    _templateObject$D = function _templateObject() {
        return data;
    };
    return data;
}
var i = Object.defineProperty;
var u$5 = Object.getOwnPropertyDescriptor;
var m$8 = function(l, r, o, t) {
    for(var e = t > 1 ? void 0 : t ? u$5(r, o) : r, s = l.length - 1, p; s >= 0; s--)(p = l[s]) && (e = (t ? p(r, o, e) : p(e)) || e);
    return t && e && i(r, o, e), e;
};
var TableCell = /*#__PURE__*/ function(d) {
    _inherits$i(TableCell, d);
    var _super = _create_super$i(TableCell);
    function TableCell() {
        _class_call_check$j(this, TableCell);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.role = "gridcell";
        return _this;
    }
    _create_class$j(TableCell, [
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$D());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    n$3
                ];
            }
        }
    ]);
    return TableCell;
}(SpectrumElement);
m$8([
    n$r({
        reflect: !0
    })
], TableCell.prototype, "role", 2);

defineElement("sp-table-cell", TableCell);

function _tagged_template_literal$C(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$C() {
    var data = _tagged_template_literal$C([
        "\n    :host .spectrum-Table-scroller{z-index:1;position:sticky;inset-block-start:0}:host{display:flex}\n"
    ]);
    _templateObject$C = function _templateObject() {
        return data;
    };
    return data;
}
var t$4 = i$p(_templateObject$C());
var m$7 = t$4;

function _array_like_to_array$4(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$3(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$4(arr);
}
function _assert_this_initialized$h(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$i(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$i(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$i(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$i(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$i(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$h(o) {
    _get_prototype_of$h = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$h(o);
}
function _inherits$h(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$h(subClass, superClass);
}
function _iterable_to_array$3(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$3() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$h(self, call) {
    if (call && (_type_of$h(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$h(self);
}
function _set_prototype_of$h(o, p) {
    _set_prototype_of$h = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$h(o, p);
}
function _tagged_template_literal$B(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$3(arr) {
    return _array_without_holes$3(arr) || _iterable_to_array$3(arr) || _unsupported_iterable_to_array$4(arr) || _non_iterable_spread$3();
}
function _type_of$h(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$4(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$4(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$4(o, minLen);
}
function _is_native_reflect_construct$h() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$h(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$h();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$h(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$h(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$h(this, result);
    };
}
function _templateObject$B() {
    var data = _tagged_template_literal$B([
        "\n            <slot\n                @sorted=",
        "\n                @change=",
        "\n            ></slot>\n        "
    ]);
    _templateObject$B = function _templateObject() {
        return data;
    };
    return data;
}
var c$5 = Object.defineProperty;
var n$2 = Object.getOwnPropertyDescriptor;
var d$2 = function(o, r, t, l) {
    for(var e = l > 1 ? void 0 : l ? n$2(r, t) : r, i = o.length - 1, a; i >= 0; i--)(a = o[i]) && (e = (l ? a(r, t, e) : a(e)) || e);
    return l && e && c$5(r, t, e), e;
};
var TableHead = /*#__PURE__*/ function(p) {
    _inherits$h(TableHead, p);
    var _super = _create_super$h(TableHead);
    function TableHead() {
        _class_call_check$i(this, TableHead);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.role = "row";
        return _this;
    }
    _create_class$i(TableHead, [
        {
            key: "handleSorted",
            value: function handleSorted(param) {
                var t = param.target;
                _to_consumable_array$3(this.children).forEach(function(e) {
                    e !== t && (e.sortDirection = void 0);
                });
            }
        },
        {
            key: "handleChange",
            value: function handleChange(param) {
                var t = param.target;
                this.selected = t.checkbox.checked || t.checkbox.indeterminate;
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$B(), this.handleSorted, this.handleChange);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    m$7
                ];
            }
        }
    ]);
    return TableHead;
}(SpectrumElement);
d$2([
    n$r({
        reflect: !0
    })
], TableHead.prototype, "role", 2), d$2([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TableHead.prototype, "selected", 2);

defineElement("sp-table-head", TableHead);

function _tagged_template_literal$A(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$A() {
    var data = _tagged_template_literal$A([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    viewBox="0 0 10 10"\n    aria-hidden="true"\n    role="img"\n    fill="currentColor"\n    aria-label=',
        "\n    width=",
        "\n    height=",
        '\n  >\n    <path\n      d="M9.7 4.387 6.623 1.262a.875.875 0 1 0-1.247 1.226l1.61 1.637H.925a.875.875 0 0 0 0 1.75h6.062l-1.61 1.637a.875.875 0 1 0 1.247 1.226l3.075-3.125a.874.874 0 0 0 0-1.226z"\n    />\n  </svg>'
    ]);
    _templateObject$A = function _templateObject() {
        return data;
    };
    return data;
}
var Arrow100Icon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, t = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, r = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.title, e = tmp2 === void 0 ? "Arrow100" : tmp2;
    return tag$1(_templateObject$A(), e, t, r);
};

function _assert_this_initialized$g(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$h(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$h(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$h(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$h(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$h(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$g(o) {
    _get_prototype_of$g = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$g(o);
}
function _inherits$g(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$g(subClass, superClass);
}
function _possible_constructor_return$g(self, call) {
    if (call && (_type_of$g(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$g(self);
}
function _set_prototype_of$g(o, p) {
    _set_prototype_of$g = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$g(o, p);
}
function _type_of$g(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$g() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$g(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$g();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$g(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$g(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$g(this, result);
    };
}
var IconArrow100 = /*#__PURE__*/ function(r) {
    _inherits$g(IconArrow100, r);
    var _super = _create_super$g(IconArrow100);
    function IconArrow100() {
        _class_call_check$h(this, IconArrow100);
        return _super.apply(this, arguments);
    }
    _create_class$h(IconArrow100, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag$1(x$3), Arrow100Icon();
            }
        }
    ]);
    return IconArrow100;
} 
(IconBase);

defineElement("sp-icon-arrow100", IconArrow100);

function _tagged_template_literal$z(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$z() {
    var data = _tagged_template_literal$z([
        "\n    .sortedIcon{vertical-align:initial;transition:transform var(--highcontrast-table-transition-duration,var(--mod-table-transition-duration,var(--spectrum-table-transition-duration)))ease-in-out;margin-inline-start:var(--mod-table-sort-icon-inline-start-spacing,0);margin-inline-end:var(--mod-table-sort-icon-inline-end-spacing,var(--mod-table-icon-to-text,var(--spectrum-table-icon-to-text)));display:none}:host{--spectrum-table-icon-color:var(--highcontrast-table-icon-color,var(--mod-table-icon-color-default,var(--spectrum-table-icon-color-default)));box-sizing:border-box;text-align:start;vertical-align:var(--mod-table-header-vertical-align,var(--spectrum-table-header-vertical-align));font-family:var(--mod-table-header-font-family,var(--spectrum-table-row-font-family));font-size:var(--mod-table-header-font-size,var(--spectrum-table-row-font-size));font-weight:var(--mod-table-header-font-weight,var(--spectrum-table-header-font-weight));line-height:var(--mod-table-header-line-height,var(--spectrum-table-row-line-height));text-transform:var(--mod-table-header-text-transform,none);block-size:var(--mod-table-min-header-height,var(--spectrum-table-min-header-height));padding-block:var(--mod-table-header-top-to-text,var(--spectrum-table-header-top-to-text))var(--mod-table-header-bottom-to-text,var(--spectrum-table-header-bottom-to-text));padding-inline:var(--mod-table-cell-inline-space,var(--spectrum-table-cell-inline-space));color:var(--mod-table-header-text-color,var(--spectrum-table-header-text-color));background-color:var(--mod-table-header-background-color,var(--spectrum-table-header-background-color));transition:color var(--highcontrast-table-transition-duration,var(--mod-table-transition-duration,var(--spectrum-table-transition-duration)))ease-in-out;cursor:var(--mod-table-cursor-header-default,initial);border-radius:0;outline:0}.spectrum-Table-menuIcon,.sortedIcon{color:var(--spectrum-table-icon-color)}:host([sortable]){cursor:var(--mod-table-cursor-header-sortable,pointer)}:host([sortable][active]){--spectrum-table-icon-color:var(--highcontrast-table-icon-color-focus,var(--mod-table-icon-color-active,var(--spectrum-table-icon-color-active)))}:host([sortable]:focus){--spectrum-table-icon-color:var(--highcontrast-table-icon-color-focus,var(--mod-table-icon-color-focus,var(--spectrum-table-icon-color-focus)))}:host([sortable]) .is-keyboardFocused,:host([sortable]:focus-visible){--spectrum-table-icon-color:var(--highcontrast-table-icon-color-focus,var(--mod-table-icon-color-key-focus,var(--spectrum-table-icon-color-key-focus)))}:host([sort-direction=asc]) .sortedIcon,:host([sort-direction=desc]) .sortedIcon{display:inline-block}:host([sort-direction=asc]) .sortedIcon{transform:rotate(-90deg)}:host{position:relative}:host([focused]),:host(:focus-visible){outline-width:var(--mod-table-focus-indicator-thickness,var(--spectrum-table-focus-indicator-thickness));outline-style:solid;outline-color:var(--highcontrast-table-cell-focus-indicator-color,var(--highcontrast-table-focus-indicator-color,var(--mod-table-focus-indicator-color,var(--spectrum-table-focus-indicator-color))));outline-offset:calc(var(--mod-table-focus-indicator-thickness,var(--spectrum-table-focus-indicator-thickness))*-1 - var(--highcontrast-table-cell-focus-extra-offset,0px))}:host .spectrum-Table-checkboxCell .spectrum-Table-checkbox{margin-block-start:calc(var(--mod-table-header-checkbox-block-spacing,var(--spectrum-table-header-checkbox-block-spacing)) - var(--mod-table-border-width,var(--spectrum-table-border-width)));margin-block-end:var(--mod-table-header-checkbox-block-spacing,var(--spectrum-table-header-checkbox-block-spacing))}:host{display:table-cell}:host .spectrum-Table-scroller{border-block-end:var(--mod-table-border-width,var(--spectrum-table-border-width))solid var(--highcontrast-table-border-color,var(--mod-table-border-color,var(--spectrum-table-border-color)))}@media (hover:hover){:host([sortable]:hover){--spectrum-table-icon-color:var(--highcontrast-table-icon-color-focus,var(--mod-table-icon-color-hover,var(--spectrum-table-icon-color-hover)))}:host([sortable]:focus):hover{--spectrum-table-icon-color:var(--highcontrast-table-icon-color-focus,var(--mod-table-icon-color-focus-hover,var(--spectrum-table-icon-color-focus-hover)))}}:host{flex:1;block-size:auto;display:block}\n"
    ]);
    _templateObject$z = function _templateObject() {
        return data;
    };
    return data;
}
var t$3 = i$p(_templateObject$z());
var m$6 = t$3;

function _tagged_template_literal$y(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$y() {
    var data = _tagged_template_literal$y([
        "\n    .spectrum-UIIcon-ArrowRight75{--spectrum-icon-size:var(--spectrum-arrow-icon-size-75)}.spectrum-UIIcon-ArrowRight100{--spectrum-icon-size:var(--spectrum-arrow-icon-size-100)}.spectrum-UIIcon-ArrowRight200{--spectrum-icon-size:var(--spectrum-arrow-icon-size-200)}.spectrum-UIIcon-ArrowRight300{--spectrum-icon-size:var(--spectrum-arrow-icon-size-300)}.spectrum-UIIcon-ArrowRight400{--spectrum-icon-size:var(--spectrum-arrow-icon-size-400)}.spectrum-UIIcon-ArrowRight500{--spectrum-icon-size:var(--spectrum-arrow-icon-size-500)}.spectrum-UIIcon-ArrowRight600{--spectrum-icon-size:var(--spectrum-arrow-icon-size-600)}.spectrum-UIIcon-ArrowDown75{--spectrum-icon-size:var(--spectrum-arrow-icon-size-75);transform:rotate(90deg)}.spectrum-UIIcon-ArrowDown100{--spectrum-icon-size:var(--spectrum-arrow-icon-size-100);transform:rotate(90deg)}.spectrum-UIIcon-ArrowDown200{--spectrum-icon-size:var(--spectrum-arrow-icon-size-200);transform:rotate(90deg)}.spectrum-UIIcon-ArrowDown300{--spectrum-icon-size:var(--spectrum-arrow-icon-size-300);transform:rotate(90deg)}.spectrum-UIIcon-ArrowDown400{--spectrum-icon-size:var(--spectrum-arrow-icon-size-400);transform:rotate(90deg)}.spectrum-UIIcon-ArrowDown500{--spectrum-icon-size:var(--spectrum-arrow-icon-size-500);transform:rotate(90deg)}.spectrum-UIIcon-ArrowDown600{--spectrum-icon-size:var(--spectrum-arrow-icon-size-600);transform:rotate(90deg)}.spectrum-UIIcon-ArrowLeft75{--spectrum-icon-size:var(--spectrum-arrow-icon-size-75);transform:rotate(180deg)}.spectrum-UIIcon-ArrowLeft100{--spectrum-icon-size:var(--spectrum-arrow-icon-size-100);transform:rotate(180deg)}.spectrum-UIIcon-ArrowLeft200{--spectrum-icon-size:var(--spectrum-arrow-icon-size-200);transform:rotate(180deg)}.spectrum-UIIcon-ArrowLeft300{--spectrum-icon-size:var(--spectrum-arrow-icon-size-300);transform:rotate(180deg)}.spectrum-UIIcon-ArrowLeft400{--spectrum-icon-size:var(--spectrum-arrow-icon-size-400);transform:rotate(180deg)}.spectrum-UIIcon-ArrowLeft500{--spectrum-icon-size:var(--spectrum-arrow-icon-size-500);transform:rotate(180deg)}.spectrum-UIIcon-ArrowLeft600{--spectrum-icon-size:var(--spectrum-arrow-icon-size-600);transform:rotate(180deg)}.spectrum-UIIcon-ArrowUp75{--spectrum-icon-size:var(--spectrum-arrow-icon-size-75);transform:rotate(270deg)}.spectrum-UIIcon-ArrowUp100{--spectrum-icon-size:var(--spectrum-arrow-icon-size-100);transform:rotate(270deg)}.spectrum-UIIcon-ArrowUp200{--spectrum-icon-size:var(--spectrum-arrow-icon-size-200);transform:rotate(270deg)}.spectrum-UIIcon-ArrowUp300{--spectrum-icon-size:var(--spectrum-arrow-icon-size-300);transform:rotate(270deg)}.spectrum-UIIcon-ArrowUp400{--spectrum-icon-size:var(--spectrum-arrow-icon-size-400);transform:rotate(270deg)}.spectrum-UIIcon-ArrowUp500{--spectrum-icon-size:var(--spectrum-arrow-icon-size-500);transform:rotate(270deg)}.spectrum-UIIcon-ArrowUp600{--spectrum-icon-size:var(--spectrum-arrow-icon-size-600);transform:rotate(270deg)}\n"
    ]);
    _templateObject$y = function _templateObject() {
        return data;
    };
    return data;
}
var o$8 = i$p(_templateObject$y());
var y$5 = o$8;

function _assert_this_initialized$f(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$g(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$g(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$g(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$g(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$g(Constructor, staticProps);
    return Constructor;
}
function _get$a(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$a = Reflect.get;
    } else {
        _get$a = function get(target, property, receiver) {
            var base = _super_prop_base$a(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$a(target, property, receiver || target);
}
function _get_prototype_of$f(o) {
    _get_prototype_of$f = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$f(o);
}
function _inherits$f(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$f(subClass, superClass);
}
function _possible_constructor_return$f(self, call) {
    if (call && (_type_of$f(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$f(self);
}
function _set_prototype_of$f(o, p) {
    _set_prototype_of$f = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$f(o, p);
}
function _super_prop_base$a(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$f(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$x(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$f(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$f() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$f(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$f();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$f(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$f(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$f(this, result);
    };
}
function _templateObject$x() {
    var data = _tagged_template_literal$x([
        '\n                      <sp-icon-arrow100\n                          class="sortedIcon spectrum-UIIcon-ArrowDown100"\n                      ></sp-icon-arrow100>\n                  '
    ]);
    _templateObject$x = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$6() {
    var data = _tagged_template_literal$x([
        "\n            ",
        "\n            <slot></slot>\n        "
    ]);
    _templateObject1$6 = function _templateObject() {
        return data;
    };
    return data;
}
var l$3 = Object.defineProperty;
var p$8 = Object.getOwnPropertyDescriptor;
var o$7 = function(s, r, t, i) {
    for(var e = i > 1 ? void 0 : i ? p$8(r, t) : r, n = s.length - 1, a; n >= 0; n--)(a = s[n]) && (e = (i ? a(r, t, e) : a(e)) || e);
    return i && e && l$3(r, t, e), e;
};
var v$3 = function(s) {
    return ({
        asc: "ascending",
        desc: "descending"
    })[s] || "none";
};
var TableHeadCell = /*#__PURE__*/ function(h) {
    _inherits$f(TableHeadCell, h);
    var _super = _create_super$f(TableHeadCell);
    function TableHeadCell() {
        _class_call_check$g(this, TableHeadCell);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.role = "columnheader";
        _this.sortable = !1;
        _this.sortKey = "";
        return _this;
    }
    _create_class$g(TableHeadCell, [
        {
            key: "handleClick",
            value: function handleClick() {
                this.sortable && (this.sortDirection ? this.sortDirection = this.sortDirection === "asc" ? "desc" : "asc" : this.sortDirection = "asc", this.dispatchEvent(new CustomEvent("sorted", {
                    bubbles: !0,
                    detail: {
                        sortDirection: this.sortDirection,
                        sortKey: this.sortKey
                    }
                })));
            }
        },
        {
            key: "render",
            value: function render() {
                var t = this.sortable && !!this.sortDirection;
                return x$3(_templateObject1$6(), t ? x$3(_templateObject$x()) : E$2);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(t) {
                _get$a(_get_prototype_of$f(TableHeadCell.prototype), "firstUpdated", this).call(this, t), this.addEventListener("click", this.handleClick);
            }
        },
        {
            key: "update",
            value: function update(t) {
                t.has("sortDirection") && this.setAttribute("aria-sort", v$3(this.sortDirection)), t.has("sortable") && (this.tabIndex = this.sortable ? 0 : -1), _get$a(_get_prototype_of$f(TableHeadCell.prototype), "update", this).call(this, t);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    m$6,
                    y$5
                ];
            }
        }
    ]);
    return TableHeadCell;
}(SpectrumElement);
o$7([
    n$r({
        reflect: !0
    })
], TableHeadCell.prototype, "role", 2), o$7([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TableHeadCell.prototype, "sortable", 2), o$7([
    n$r({
        reflect: !0,
        attribute: "sort-direction"
    })
], TableHeadCell.prototype, "sortDirection", 2), o$7([
    n$r({
        attribute: "sort-key"
    })
], TableHeadCell.prototype, "sortKey", 2);

defineElement("sp-table-head-cell", TableHeadCell);

function _tagged_template_literal$w(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$w() {
    var data = _tagged_template_literal$w([
        '\n    :host{box-sizing:border-box;block-size:calc(var(--mod-tabs-item-height,var(--spectrum-tabs-item-height)) - var(--mod-tabs-divider-size,var(--spectrum-tabs-divider-size)));z-index:1;white-space:nowrap;color:var(--highcontrast-tabs-color,var(--mod-tabs-color,var(--spectrum-tabs-color)));transition:color var(--mod-tabs-animation-duration,var(--spectrum-tabs-animation-duration))ease-out;cursor:pointer;outline:none;-webkit-text-decoration:none;text-decoration:none;position:relative}::slotted([slot=icon]){block-size:var(--mod-tabs-icon-size,var(--spectrum-tabs-icon-size));inline-size:var(--mod-tabs-icon-size,var(--spectrum-tabs-icon-size));margin-block-start:var(--mod-tabs-top-to-icon,var(--spectrum-tabs-top-to-icon))}[name=icon]+#item-label{margin-inline-start:var(--mod-tabs-icon-to-text,var(--spectrum-tabs-icon-to-text))}:host:before{content:"";box-sizing:border-box;block-size:calc(100% - var(--mod-tabs-top-to-text,var(--spectrum-tabs-top-to-text)));inline-size:calc(100% + var(--mod-tabs-focus-indicator-gap,var(--spectrum-tabs-focus-indicator-gap))*2);border:var(--mod-tabs-focus-indicator-width,var(--spectrum-tabs-focus-indicator-width))solid transparent;border-radius:var(--mod-tabs-focus-indicator-border-radius,var(--spectrum-tabs-focus-indicator-border-radius));pointer-events:none;position:absolute;inset-block-start:calc(var(--mod-tabs-top-to-text,var(--spectrum-tabs-top-to-text))/2);inset-inline-start:calc(var(--mod-tabs-focus-indicator-gap,var(--spectrum-tabs-focus-indicator-gap))*-1);inset-inline-end:calc(var(--mod-tabs-focus-indicator-gap,var(--spectrum-tabs-focus-indicator-gap))*-1)}@media (hover:hover){:host(:hover){color:var(--highcontrast-tabs-color-hover,var(--mod-tabs-color-hover,var(--spectrum-tabs-color-hover)))}}:host([selected]){color:var(--highcontrast-tabs-color-selected,var(--mod-tabs-color-selected,var(--spectrum-tabs-color-selected)))}:host([disabled]){cursor:default;color:var(--highcontrast-tabs-color-disabled,var(--mod-tabs-color-disabled,var(--spectrum-tabs-color-disabled)))}:host([disabled]) #item-label{cursor:default}:host(:focus-visible){color:var(--highcontrast-tabs-color-key-focus,var(--mod-tabs-color-key-focus,var(--spectrum-tabs-color-key-focus)))}:host(:focus-visible):before{border-color:var(--highcontrast-tabs-focus-indicator-color,var(--mod-tabs-focus-indicator-color,var(--spectrum-tabs-focus-indicator-color)))}#item-label{cursor:pointer;vertical-align:top;font-family:var(--mod-tabs-font-family,var(--spectrum-tabs-font-family));font-style:var(--mod-tabs-font-style,var(--spectrum-tabs-font-style));font-size:var(--mod-tabs-font-size,var(--spectrum-tabs-font-size));font-weight:var(--mod-tabs-font-weight,var(--spectrum-tabs-font-weight));line-height:var(--mod-tabs-line-height,var(--spectrum-tabs-line-height));margin-block-start:var(--mod-tabs-top-to-text,var(--spectrum-tabs-top-to-text));margin-block-end:var(--mod-tabs-bottom-to-text,var(--spectrum-tabs-bottom-to-text));-webkit-text-decoration:none;text-decoration:none;display:inline-block}#item-label:empty{display:none}:host{scroll-margin-inline:var(--mod-tabs-item-horizontal-spacing,var(--spectrum-tabs-item-horizontal-spacing))}:host([disabled]){pointer-events:none}#item-label[hidden]{display:none}@media (forced-colors:active){:host:before{background-color:buttonface}:host ::slotted([slot=icon]){z-index:1;color:inherit;position:relative}#item-label{z-index:1;position:relative}:host([selected]),:host([selected]) ::slotted([slot=icon]),:host([selected]) #item-label{color:highlighttext}}:host([vertical]){flex-direction:column;justify-content:center;align-items:center;height:auto;display:flex}:host([dir][vertical]) slot[name=icon]+#item-label{margin-inline-start:0;margin-block:calc(var(--mod-tabs-top-to-text,var(--spectrum-tabs-top-to-text))/2)calc(var(--mod-tabs-bottom-to-text,var(--spectrum-tabs-bottom-to-text))/2)}:host([vertical]) ::slotted([slot=icon]){margin-block-start:calc(var(--mod-tabs-top-to-icon,var(--spectrum-tabs-top-to-icon))/2)}\n'
    ]);
    _templateObject$w = function _templateObject() {
        return data;
    };
    return data;
}
var o$6 = i$p(_templateObject$w());
var v$2 = o$6;

function _assert_this_initialized$e(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$f(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$f(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$f(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$f(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$f(Constructor, staticProps);
    return Constructor;
}
function _get$9(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$9 = Reflect.get;
    } else {
        _get$9 = function get(target, property, receiver) {
            var base = _super_prop_base$9(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$9(target, property, receiver || target);
}
function _get_prototype_of$e(o) {
    _get_prototype_of$e = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$e(o);
}
function _inherits$e(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$e(subClass, superClass);
}
function _possible_constructor_return$e(self, call) {
    if (call && (_type_of$e(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$e(self);
}
function _set_prototype_of$e(o, p) {
    _set_prototype_of$e = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$e(o, p);
}
function _super_prop_base$9(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$e(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$v(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$e(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$e() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$e(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$e();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$e(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$e(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$e(this, result);
    };
}
function _templateObject$v() {
    var data = _tagged_template_literal$v([
        '\n                      <slot name="icon"></slot>\n                  '
    ]);
    _templateObject$v = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$5() {
    var data = _tagged_template_literal$v([
        "\n            ",
        '\n            <label id="item-label" ?hidden=',
        ">\n                ",
        "\n                <slot>",
        "</slot>\n            </label>\n        "
    ]);
    _templateObject1$5 = function _templateObject() {
        return data;
    };
    return data;
}
var b = Object.defineProperty;
var n$1 = Object.getOwnPropertyDescriptor;
var r$8 = function(o, l, e, i) {
    for(var t = i > 1 ? void 0 : i ? n$1(l, e) : l, a = o.length - 1, d; a >= 0; a--)(d = o[a]) && (t = (i ? d(l, e, t) : d(t)) || t);
    return i && t && b(l, e, t), t;
};
var Tab = /*#__PURE__*/ function(_h) {
    _inherits$e(Tab, _h);
    var _super = _create_super$e(Tab);
    function Tab() {
        _class_call_check$f(this, Tab);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.disabled = !1;
        _this.label = "";
        _this.selected = !1;
        _this.vertical = !1;
        _this.value = "";
        return _this;
    }
    _create_class$f(Tab, [
        {
            key: "hasIcon",
            get: function get() {
                return this.slotContentIsPresent;
            }
        },
        {
            key: "hasLabel",
            get: function get() {
                return !!this.label || this.slotHasContent;
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject1$5(), this.hasIcon ? x$3(_templateObject$v()) : E$2, !this.hasLabel, this.slotHasContent ? E$2 : this.label, this.label);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$9(_get_prototype_of$e(Tab.prototype), "firstUpdated", this).call(this, e), this.setAttribute("role", "tab"), this.hasAttribute("id") || (this.id = "sp-tab-".concat(randomID()));
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$9(_get_prototype_of$e(Tab.prototype), "updated", this).call(this, e), e.has("selected") && (this.setAttribute("aria-selected", this.selected ? "true" : "false"), this.setAttribute("tabindex", this.selected ? "0" : "-1")), e.has("disabled") && (this.disabled ? this.setAttribute("aria-disabled", "true") : this.removeAttribute("aria-disabled"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    v$2
                ];
            }
        }
    ]);
    return Tab;
}(FocusVisiblePolyfillMixin(ObserveSlotText(ObserveSlotPresence(SpectrumElement, '[slot="icon"]'), "")));
r$8([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tab.prototype, "disabled", 2), r$8([
    n$r({
        reflect: !0
    })
], Tab.prototype, "label", 2), r$8([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tab.prototype, "selected", 2), r$8([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tab.prototype, "vertical", 2), r$8([
    n$r({
        type: String,
        reflect: !0
    })
], Tab.prototype, "value", 2);

defineElement("sp-tab", Tab);

function asyncGeneratorStep$5(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$5(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$5(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$5(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$e(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$e(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$e(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$e(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$e(Constructor, staticProps);
    return Constructor;
}
function _ts_generator$5(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
/**
 * @license
 * Copyright 2021 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */ var s$1 = /*#__PURE__*/ function() {
    function s(s1, param) {
        var _this = this;
        var i = param.target, h = param.config, e = param.callback, o = param.skipInitial;
        _class_call_check$e(this, s);
        this.t = new Set, this.o = !1, this.i = !1, this.h = s1, null !== i && this.t.add(i !== null && i !== void 0 ? i : s1), this.o = o !== null && o !== void 0 ? o : this.o, this.callback = e, (window.IntersectionObserver ? (this.u = new IntersectionObserver(function(t) {
            var _$s = _this.i;
            _this.i = !1, _this.o && _$s || (_this.handleChanges(t), _this.h.requestUpdate());
        }, h), s1.addController(this)) : console.warn("IntersectionController error: browser does not support IntersectionObserver."));
    }
    _create_class$e(s, [
        {
            key: "handleChanges",
            value: function handleChanges(t) {
                var _this_callback, _this;
                this.value = (_this_callback = (_this = this).callback) === null || _this_callback === void 0 ? void 0 : _this_callback.call(_this, t, this.u);
            }
        },
        {
            key: "hostConnected",
            value: function hostConnected() {
                var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
                try {
                    for(var _iterator = this.t[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true){
                        var t = _step.value;
                        this.observe(t);
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally{
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return != null) {
                            _iterator.return();
                        }
                    } finally{
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
            }
        },
        {
            key: "hostDisconnected",
            value: function hostDisconnected() {
                this.disconnect();
            }
        },
        {
            key: "hostUpdated",
            value: function hostUpdated() {
                var _this = this;
                return _async_to_generator$5(function() {
                    var t;
                    return _ts_generator$5(this, function(_state) {
                        t = _this.u.takeRecords();
                        t.length && _this.handleChanges(t);
                        return [
                            2
                        ];
                    });
                })();
            }
        },
        {
            key: "observe",
            value: function observe(t) {
                this.t.add(t), this.u.observe(t), this.i = !0;
            }
        },
        {
            key: "unobserve",
            value: function unobserve(t) {
                this.t.delete(t), this.u.unobserve(t);
            }
        },
        {
            key: "disconnect",
            value: function disconnect() {
                this.u.disconnect();
            }
        }
    ]);
    return s;
}();

function _tagged_template_literal$u(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$u() {
    var data = _tagged_template_literal$u([
        "\n    #list{--spectrum-tabs-item-height:var(--spectrum-tab-item-height-medium);--spectrum-tabs-item-horizontal-spacing:var(--spectrum-tab-item-to-tab-item-horizontal-medium);--spectrum-tabs-item-vertical-spacing:var(--spectrum-tab-item-to-tab-item-vertical-medium);--spectrum-tabs-start-to-edge:var(--spectrum-tab-item-start-to-edge-medium);--spectrum-tabs-top-to-text:var(--spectrum-tab-item-top-to-text-medium);--spectrum-tabs-bottom-to-text:var(--spectrum-tab-item-bottom-to-text-medium);--spectrum-tabs-icon-size:var(--spectrum-workflow-icon-size-75);--spectrum-tabs-icon-to-text:var(--spectrum-text-to-visual-100);--spectrum-tabs-top-to-icon:var(--spectrum-tab-item-top-to-workflow-icon-medium);--spectrum-tabs-color:var(--spectrum-neutral-subdued-content-color-default);--spectrum-tabs-color-selected:var(--spectrum-neutral-subdued-content-color-down);--spectrum-tabs-color-hover:var(--spectrum-neutral-subdued-content-color-hover);--spectrum-tabs-color-key-focus:var(--spectrum-neutral-subdued-content-color-key-focus);--spectrum-tabs-color-disabled:var(--spectrum-gray-500);--spectrum-tabs-font-family:var(--spectrum-sans-font-family-stack);--spectrum-tabs-font-style:var(--spectrum-default-font-style);--spectrum-tabs-font-size:var(--spectrum-font-size-100);--spectrum-tabs-line-height:var(--spectrum-line-height-100);--spectrum-tabs-focus-indicator-width:var(--spectrum-focus-indicator-thickness);--spectrum-tabs-focus-indicator-border-radius:var(--spectrum-corner-radius-100);--spectrum-tabs-focus-indicator-gap:var(--spectrum-tab-item-focus-indicator-gap-medium);--spectrum-tabs-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-tabs-selection-indicator-color:var(--spectrum-neutral-subdued-content-color-down);--spectrum-tabs-list-background-direction:top;--spectrum-tabs-divider-background-color:var(--spectrum-gray-300);--spectrum-tabs-divider-size:var(--spectrum-border-width-200);--spectrum-tabs-divider-border-radius:1px;--spectrum-tabs-animation-duration:var(--spectrum-animation-duration-100);--spectrum-tabs-animation-ease:var(--spectrum-animation-ease-in-out)}:host([emphasized]) #list{--mod-tabs-color-selected:var(--mod-tabs-color-selected-emphasized,var(--spectrum-accent-content-color-default));--mod-tabs-color-hover:var(--mod-tabs-color-hover-emphasized,var(--spectrum-accent-content-color-hover));--mod-tabs-color-key-focus:var(--mod-tabs-color-key-focus-emphasized,var(--spectrum-accent-content-color-key-focus));--mod-tabs-selection-indicator-color:var(--mod-tabs-selection-indicator-color-emphasized,var(--spectrum-accent-content-color-default))}:host([direction^=vertical]) #list{--mod-tabs-list-background-direction:var(--mod-tabs-list-background-direction-vertical,right)}:host([direction^=vertical-right]) #list{--mod-tabs-list-background-direction:var(--mod-tabs-list-background-direction-vertical-right,left)}:host([direction^=vertical]) #list:dir(rtl),:host([dir=rtl][direction^=vertical]) #list{--mod-tabs-list-background-direction:var(--mod-tabs-list-background-direction-vertical,left)}:host([direction^=vertical-right]) #list:dir(rtl),:host([dir=rtl][direction^=vertical-right]) #list{--mod-tabs-list-background-direction:var(--mod-tabs-list-background-direction-vertical,right)}:host([compact]) #list{--mod-tabs-item-height:var(--mod-tabs-item-height-compact,var(--spectrum-tab-item-compact-height-medium));--mod-tabs-top-to-text:var(--mod-tabs-top-to-text-compact,var(--spectrum-tab-item-top-to-text-compact-medium));--mod-tabs-bottom-to-text:var(--mod-tabs-bottom-to-text-compact,var(--spectrum-tab-item-top-to-text-compact-medium));--mod-tabs-top-to-icon:var(--mod-tabs-top-to-icon-compact,var(--spectrum-tab-item-top-to-workflow-icon-compact-medium))}#list{z-index:0;vertical-align:top;background:linear-gradient(to var(--mod-tabs-list-background-direction,var(--spectrum-tabs-list-background-direction)),var(--highcontrast-tabs-divider-background-color,var(--mod-tabs-divider-background-color,var(--spectrum-tabs-divider-background-color)))0 var(--mod-tabs-divider-size,var(--spectrum-tabs-divider-size)),transparent var(--mod-tabs-divider-size,var(--spectrum-tabs-divider-size)));margin:0;padding-block:0;display:flex;position:relative}::slotted([selected]:not([slot])){color:var(--highcontrast-tabs-color-selected,var(--mod-tabs-color-selected,var(--spectrum-tabs-color-selected)))}::slotted([disabled]:not([slot])){cursor:default;color:var(--highcontrast-tabs-color-disabled,var(--mod-tabs-color-disabled,var(--spectrum-tabs-color-disabled)))}#selection-indicator{background-color:var(--highcontrast-tabs-selection-indicator-color,var(--mod-tabs-selection-indicator-color,var(--spectrum-tabs-selection-indicator-color)));z-index:0;transition:transform var(--mod-tabs-animation-duration,var(--spectrum-tabs-animation-duration))var(--mod-tabs-animation-ease,var(--spectrum-tabs-animation-ease));transform-origin:0 0;border-radius:var(--mod-tabs-divider-border-radius,var(--spectrum-tabs-divider-border-radius));position:absolute;inset-inline-start:0}:host([direction^=horizontal]) #list{align-items:center}:host([direction^=horizontal]) #list ::slotted(:not([slot])){vertical-align:top}:host([direction^=horizontal]) ::slotted(:not(:first-child)){margin-inline-start:var(--mod-tabs-item-horizontal-spacing,var(--spectrum-tabs-item-horizontal-spacing))}:host([direction^=horizontal]) #list #selection-indicator{block-size:var(--mod-tabs-divider-size,var(--spectrum-tabs-divider-size));position:absolute;inset-block-end:0}:host([direction^=horizontal][compact]) #list{box-sizing:initial;align-items:end}:host([quiet]) #list{background:0 0;border-color:#0000;display:inline-flex}:host([quiet]) #selection-indicator{padding-inline-start:var(--mod-tabs-start-to-item-quiet,var(--spectrum-tabs-start-to-item-quiet))}:host([direction^=vertical]) #list,:host([direction^=vertical-right]) #list{flex-direction:column;padding:0;display:inline-flex}:host([direction^=vertical-right][quiet]) #list,:host([direction^=vertical][quiet]) #list{border-color:#0000}:host([direction^=vertical]) #list ::slotted(:not([slot])),:host([direction^=vertical-right]) #list ::slotted(:not([slot])){block-size:var(--mod-tabs-item-height,var(--spectrum-tabs-item-height));line-height:var(--mod-tabs-item-height,var(--spectrum-tabs-item-height));margin-block-end:var(--mod-tabs-item-vertical-spacing,var(--spectrum-tabs-item-vertical-spacing));margin-inline-start:var(--mod-tabs-start-to-edge,var(--spectrum-tabs-start-to-edge));margin-inline-end:var(--mod-tabs-start-to-edge,var(--spectrum-tabs-start-to-edge));padding-block:0}:host([direction^=vertical]) #list ::slotted(:not([slot])):before,:host([direction^=vertical-right]) #list ::slotted(:not([slot])):before{inset-inline-start:calc(var(--mod-tabs-focus-indicator-gap,var(--spectrum-tabs-focus-indicator-gap))*-1)}:host([direction^=vertical]) #list #selection-indicator,:host([direction^=vertical-right]) #list #selection-indicator{inline-size:var(--mod-tabs-divider-size,var(--spectrum-tabs-divider-size));position:absolute;inset-block-start:0;inset-inline-start:0}:host([direction^=vertical-right]) #list #selection-indicator{inset-inline:auto 0}@media (forced-colors:active){#list{--highcontrast-tabs-divider-background-color:var(--spectrum-gray-500);--highcontrast-tabs-selection-indicator-color:Highlight;--highcontrast-tabs-focus-indicator-color:CanvasText;--highcontrast-tabs-focus-indicator-background-color:Highlight;--highcontrast-tabs-color:ButtonText;--highcontrast-tabs-color-hover:ButtonText;--highcontrast-tabs-color-selected:HighlightText;--highcontrast-tabs-color-key-focus:ButtonText;--highcontrast-tabs-color-disabled:GrayText;forced-color-adjust:none}#list ::slotted([selected]:not([slot])):before{background-color:var(--highcontrast-tabs-focus-indicator-background-color)}:host([direction^=vertical][compact]) #list #list ::slotted(:not([slot])):before{block-size:100%;inset-block-start:0}:host([quiet]) #list{background:linear-gradient(to var(--mod-tabs-list-background-direction,var(--spectrum-tabs-list-background-direction)),var(--highcontrast-tabs-divider-background-color,var(--mod-tabs-divider-background-color,var(--spectrum-tabs-divider-background-color)))0 var(--mod-tabs-divider-size,var(--spectrum-tabs-divider-size)),transparent var(--mod-tabs-divider-size,var(--spectrum-tabs-divider-size)))}}#list{--spectrum-tabs-font-weight:var(--system-spectrum-tabs-font-weight)}:host{grid-template-columns:100%;display:grid;position:relative}:host(:not([direction^=vertical])){grid-template-rows:auto 1fr}:host([direction^=vertical]){grid-template-columns:auto 1fr}:host([dir=rtl]) #selection-indicator{left:0;right:auto}:host([direction=vertical-right]) #list #selection-indicator{inset-inline:auto 0}#list{justify-content:var(--swc-tabs-list-justify-content)}:host([disabled]) #list{pointer-events:none}:host([disabled]) #list #selection-indicator{background-color:var(--mod-tabs-color-disabled,var(--spectrum-tabs-color-disabled))}:host([disabled]) ::slotted(sp-tab){color:var(--mod-tabs-color-disabled,var(--spectrum-tabs-color-disabled))}:host([direction=vertical-right]) #list #selection-indicator,:host([direction=vertical]) #list #selection-indicator{inset-block-start:0}#selection-indicator.first-position{transition:none}:host([dir][direction=horizontal]) #list.scroll{scrollbar-width:none;overflow:auto hidden}:host([dir][direction=horizontal]) #list.scroll::-webkit-scrollbar{display:none}\n"
    ]);
    _templateObject$u = function _templateObject() {
        return data;
    };
    return data;
}
var o$5 = i$p(_templateObject$u());
var I = o$5;

function _tagged_template_literal$t(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$t() {
    var data = _tagged_template_literal$t([
        "\n    :host([size=s]) #list{--spectrum-tabs-item-height:var(--spectrum-tab-item-height-small);--spectrum-tabs-item-horizontal-spacing:var(--spectrum-tab-item-to-tab-item-horizontal-small);--spectrum-tabs-item-vertical-spacing:var(--spectrum-tab-item-to-tab-item-vertical-small);--spectrum-tabs-start-to-edge:var(--spectrum-tab-item-start-to-edge-small);--spectrum-tabs-top-to-text:var(--spectrum-tab-item-top-to-text-small);--spectrum-tabs-bottom-to-text:var(--spectrum-tab-item-bottom-to-text-small);--spectrum-tabs-icon-size:var(--spectrum-workflow-icon-size-50);--spectrum-tabs-icon-to-text:var(--spectrum-text-to-visual-75);--spectrum-tabs-top-to-icon:var(--spectrum-tab-item-top-to-workflow-icon-small);--spectrum-tabs-focus-indicator-gap:var(--spectrum-tab-item-focus-indicator-gap-small);--spectrum-tabs-font-size:var(--spectrum-font-size-75)}:host([size=l]) #list{--spectrum-tabs-item-height:var(--spectrum-tab-item-height-large);--spectrum-tabs-item-horizontal-spacing:var(--spectrum-tab-item-to-tab-item-horizontal-large);--spectrum-tabs-item-vertical-spacing:var(--spectrum-tab-item-to-tab-item-vertical-large);--spectrum-tabs-start-to-edge:var(--spectrum-tab-item-start-to-edge-large);--spectrum-tabs-top-to-text:var(--spectrum-tab-item-top-to-text-large);--spectrum-tabs-bottom-to-text:var(--spectrum-tab-item-bottom-to-text-large);--spectrum-tabs-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-tabs-icon-to-text:var(--spectrum-text-to-visual-200);--spectrum-tabs-top-to-icon:var(--spectrum-tab-item-top-to-workflow-icon-large);--spectrum-tabs-focus-indicator-gap:var(--spectrum-tab-item-focus-indicator-gap-large);--spectrum-tabs-font-size:var(--spectrum-font-size-200)}:host([size=xl]) #list{--spectrum-tabs-item-height:var(--spectrum-tab-item-height-extra-large);--spectrum-tabs-item-horizontal-spacing:var(--spectrum-tab-item-to-tab-item-horizontal-extra-large);--spectrum-tabs-item-vertical-spacing:var(--spectrum-tab-item-to-tab-item-vertical-extra-large);--spectrum-tabs-start-to-edge:var(--spectrum-tab-item-start-to-edge-extra-large);--spectrum-tabs-top-to-text:var(--spectrum-tab-item-top-to-text-extra-large);--spectrum-tabs-bottom-to-text:var(--spectrum-tab-item-bottom-to-text-extra-large);--spectrum-tabs-icon-size:var(--spectrum-workflow-icon-size-200);--spectrum-tabs-icon-to-text:var(--spectrum-text-to-visual-300);--spectrum-tabs-top-to-icon:var(--spectrum-tab-item-top-to-workflow-icon-extra-large);--spectrum-tabs-focus-indicator-gap:var(--spectrum-tab-item-focus-indicator-gap-extra-large);--spectrum-tabs-font-size:var(--spectrum-font-size-300)}:host([size=s]) #list.spectrum-Tabs--compact{--mod-tabs-item-height:var(--mod-tabs-item-height-compact,var(--spectrum-tab-item-compact-height-small));--mod-tabs-top-to-text:var(--mod-tabs-top-to-text-compact,var(--spectrum-tab-item-top-to-text-compact-small));--mod-tabs-bottom-to-text:var(--mod-tabs-bottom-to-text-compact,var(--spectrum-tab-item-top-to-text-compact-small));--mod-tabs-top-to-icon:var(--mod-tabs-top-to-icon-compact,var(--spectrum-tab-item-top-to-workflow-icon-compact-small))}:host([size=l]) #list.spectrum-Tabs--compact{--mod-tabs-item-height:var(--mod-tabs-item-height-compact,var(--spectrum-tab-item-compact-height-large));--mod-tabs-top-to-text:var(--mod-tabs-top-to-text-compact,var(--spectrum-tab-item-top-to-text-compact-large));--mod-tabs-bottom-to-text:var(--mod-tabs-bottom-to-text-compact,var(--spectrum-tab-item-top-to-text-compact-large));--mod-tabs-top-to-icon:var(--mod-tabs-top-to-icon-compact,var(--spectrum-tab-item-top-to-workflow-icon-compact-large))}:host([size=xl]) #list.spectrum-Tabs--compact{--mod-tabs-item-height:var(--mod-tabs-item-height-compact,var(--spectrum-tab-item-compact-height-extra-large));--mod-tabs-top-to-text:var(--mod-tabs-top-to-text-compact,var(--spectrum-tab-item-top-to-text-compact-extra-large));--mod-tabs-bottom-to-text:var(--mod-tabs-bottom-to-text-compact,var(--spectrum-tab-item-top-to-text-compact-extra-large));--mod-tabs-top-to-icon:var(--mod-tabs-top-to-icon-compact,var(--spectrum-tab-item-top-to-workflow-icon-compact-extra-large))}\n"
    ]);
    _templateObject$t = function _templateObject() {
        return data;
    };
    return data;
}
var a$1 = i$p(_templateObject$t());
var g$2 = a$1;

function _array_like_to_array$3(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$2(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$3(arr);
}
function _assert_this_initialized$d(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$4(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$4(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$4(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$4(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$d(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$d(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$d(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$d(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$d(Constructor, staticProps);
    return Constructor;
}
function _get$8(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$8 = Reflect.get;
    } else {
        _get$8 = function get(target, property, receiver) {
            var base = _super_prop_base$8(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$8(target, property, receiver || target);
}
function _get_prototype_of$d(o) {
    _get_prototype_of$d = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$d(o);
}
function _inherits$d(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$d(subClass, superClass);
}
function _iterable_to_array$2(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$2() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$d(self, call) {
    if (call && (_type_of$d(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$d(self);
}
function _set_prototype_of$d(o, p) {
    _set_prototype_of$d = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$d(o, p);
}
function _super_prop_base$8(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$d(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$s(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$2(arr) {
    return _array_without_holes$2(arr) || _iterable_to_array$2(arr) || _unsupported_iterable_to_array$3(arr) || _non_iterable_spread$2();
}
function _type_of$d(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$3(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$3(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$3(o, minLen);
}
function _is_native_reflect_construct$d() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$d(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$d();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$d(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$d(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$d(this, result);
    };
}
function _ts_generator$4(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$s() {
    var data = _tagged_template_literal$s([
        "\n            :host([direction='vertical-right']) #selection-indicator,\n            :host([direction='vertical']) #selection-indicator {\n                height: ",
        "px;\n            }\n            :host([dir][direction='horizontal']) #selection-indicator {\n                width: ",
        "px;\n            }\n        "
    ]);
    _templateObject$s = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$4() {
    var data = _tagged_template_literal$s([
        "\n            <div\n                class=",
        "\n                aria-label=",
        "\n                @click=",
        "\n                @keydown=",
        "\n                @scroll=",
        '\n                id="list"\n                role="tablist"\n                part="tablist"\n            >\n                <slot @slotchange=',
        '></slot>\n                <div\n                    id="selection-indicator"\n                    class=',
        "\n                    style=",
        '\n                    role="presentation"\n                ></div>\n            </div>\n            <slot name="tab-panel" @slotchange=',
        "></slot>\n        "
    ]);
    _templateObject1$4 = function _templateObject() {
        return data;
    };
    return data;
}
var h$2 = Object.defineProperty;
var p$7 = Object.getOwnPropertyDescriptor;
var l$2 = function(n, a, e, t) {
    for(var i = t > 1 ? void 0 : t ? p$7(a, e) : a, s = n.length - 1, r; s >= 0; s--)(r = n[s]) && (i = (t ? r(a, e, i) : r(i)) || i);
    return t && i && h$2(a, e, i), i;
};
var ScaledIndicator = {
    baseSize: 100,
    noSelectionStyle: "transform: translateX(0px) scaleX(0) scaleY(0)",
    transformX: function transformX(n, a) {
        var e = a / this.baseSize;
        return "transform: translateX(".concat(n, "px) scaleX(").concat(e, ");");
    },
    transformY: function transformY(n, a) {
        var e = a / this.baseSize;
        return "transform: translateY(".concat(n, "px) scaleY(").concat(e, ");");
    },
    baseStyles: function baseStyles() {
        return i$p(_templateObject$s(), this.baseSize, this.baseSize);
    }
};
var Tabs = /*#__PURE__*/ function(_m) {
    _inherits$d(Tabs, _m);
    var _super = _create_super$d(Tabs);
    function Tabs() {
        _class_call_check$d(this, Tabs);
        var _this;
        _this = _super.call(this);
        _this.auto = !1;
        _this.compact = !1;
        _this.direction = "horizontal";
        _this.emphasized = !1;
        _this.label = "";
        _this.enableTabsScroll = !1;
        _this.quiet = !1;
        _this.selectionIndicatorStyle = ScaledIndicator.noSelectionStyle;
        _this.shouldAnimate = !1;
        _this.selected = "";
        _this._tabs = [];
        _this.resizeController = new t$o(_assert_this_initialized$d(_this), {
            callback: function() {
                _this.updateSelectionIndicator();
            }
        });
        _this.rovingTabindexController = new RovingTabindexController(_assert_this_initialized$d(_this), {
            focusInIndex: function(e) {
                var t = 0;
                return e.find(function(s, r) {
                    var c = _this.selected ? !s.disabled && s.value === _this.selected : !s.disabled;
                    return t = r, c;
                }) ? t : -1;
            },
            direction: function() {
                return "both";
            },
            elementEnterAction: function(e) {
                _this.auto && (_this.shouldAnimate = !0, _this.selectTarget(e));
            },
            elements: function() {
                return _this.tabs;
            },
            isFocusableElement: function(e) {
                return !e.disabled;
            },
            listenerScope: function() {
                return _this.tabList;
            }
        });
        _this.onTabsScroll = function() {
            _this.dispatchEvent(new Event("sp-tabs-scroll", {
                bubbles: !0,
                composed: !0
            }));
        };
        _this.onClick = function(e) {
            if (_this.disabled) return;
            var t = e.composedPath().find(function(i) {
                return i.parentElement === _assert_this_initialized$d(_this);
            });
            !t || t.disabled || (_this.shouldAnimate = !0, _this.selectTarget(t));
        };
        _this.onKeyDown = function(e) {
            if (e.code === "Enter" || e.code === "Space") {
                e.preventDefault();
                var t = e.target;
                t && _this.selectTarget(t);
            }
        };
        _this.updateCheckedState = function() {
            if (_this.tabs.forEach(function(e) {
                e.removeAttribute("selected");
            }), _this.selected) {
                var e = _this.tabs.find(function(t) {
                    return t.value === _this.selected;
                });
                e ? e.selected = !0 : _this.selected = "";
            } else {
                var e1 = _this.tabs[0];
                e1 && e1.setAttribute("tabindex", "0");
            }
            _this.updateSelectionIndicator();
        };
        var _this1 = _assert_this_initialized$d(_this);
        _this.updateSelectionIndicator = /*#__PURE__*/ _async_to_generator$4(function() {
            var e, _e_getBoundingClientRect, t, i;
            return _ts_generator$4(this, function(_state) {
                switch(_state.label){
                    case 0:
                        e = _this1.tabs.find(function(s) {
                            return s.selected;
                        });
                        if (!e) {
                            _this1.selectionIndicatorStyle = ScaledIndicator.noSelectionStyle;
                            return [
                                2
                            ];
                        }
                        return [
                            4,
                            Promise.all([
                                e.updateComplete,
                                document.fonts ? document.fonts.ready : Promise.resolve()
                            ])
                        ];
                    case 1:
                        _state.sent();
                        _e_getBoundingClientRect = e.getBoundingClientRect(), t = _e_getBoundingClientRect.width, i = _e_getBoundingClientRect.height;
                        _this1.selectionIndicatorStyle = _this1.direction === "horizontal" ? ScaledIndicator.transformX(e.offsetLeft, t) : ScaledIndicator.transformY(e.offsetTop, i);
                        return [
                            2
                        ];
                }
            });
        });
        new s$1(_assert_this_initialized$d(_this), {
            config: {
                root: null,
                rootMargin: "0px",
                threshold: [
                    0,
                    1
                ]
            },
            callback: function() {
                _this.updateSelectionIndicator();
            }
        });
        return _this;
    }
    _create_class$d(Tabs, [
        {
            key: "tabs",
            get: function get() {
                return this._tabs;
            },
            set: function set(e) {
                var _this = this;
                e !== this.tabs && (this._tabs.forEach(function(t) {
                    _this.resizeController.unobserve(t);
                }), e.forEach(function(t) {
                    _this.resizeController.observe(t);
                }), this._tabs = e, this.rovingTabindexController.clearElementCache());
            }
        },
        {
            key: "focusElement",
            get: function get() {
                return this.rovingTabindexController.focusInElement || this;
            }
        },
        {
            key: "scrollTabs",
            value: function scrollTabs(e) {
                var t = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "smooth";
                var i;
                (i = this.tabList) == null || i.scrollBy({
                    left: e,
                    top: 0,
                    behavior: t
                });
            }
        },
        {
            key: "scrollState",
            get: function get() {
                if (this.tabList) {
                    var _this_tabList = this.tabList, e = _this_tabList.scrollLeft, t = _this_tabList.clientWidth, i = _this_tabList.scrollWidth, s = Math.abs(e) > 0, r = Math.ceil(Math.abs(e)) < i - t;
                    return {
                        canScrollLeft: this.dir === "ltr" ? s : r,
                        canScrollRight: this.dir === "ltr" ? r : s
                    };
                }
                return {};
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                var _this = this;
                var _this1 = this, _superprop_get_getUpdateComplete = function() {
                    return _get$8(_get_prototype_of$d(Tabs.prototype), "getUpdateComplete", _this);
                };
                return _async_to_generator$4(function() {
                    var e, i;
                    return _ts_generator$4(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _superprop_get_getUpdateComplete().call(_this1)
                                ];
                            case 1:
                                e = _state.sent(), i = _to_consumable_array$2(_this1.children).map(function(s) {
                                    return typeof s.updateComplete != "undefined" ? s.updateComplete : Promise.resolve(!0);
                                });
                                return [
                                    4,
                                    Promise.all(i)
                                ];
                            case 2:
                                return [
                                    2,
                                    (_state.sent(), e)
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "scrollToSelection",
            value: function scrollToSelection() {
                var _this = this;
                return _async_to_generator$4(function() {
                    var e;
                    return _ts_generator$4(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                if (!_this.enableTabsScroll || !_this.selected) return [
                                    2
                                ];
                                return [
                                    4,
                                    _this.updateComplete
                                ];
                            case 1:
                                _state.sent();
                                e = _this.tabs.find(function(t) {
                                    return t.value === _this.selected;
                                });
                                e == null || e.scrollIntoView();
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$8(_get_prototype_of$d(Tabs.prototype), "updated", this).call(this, e), e.has("selected") && this.scrollToSelection();
            }
        },
        {
            key: "managePanels",
            value: function managePanels(param) {
                var _this = this;
                var e = param.target;
                e.assignedElements().map(function(i) {
                    var s = i.value, r = i.id, c = _this.querySelector('[role="tab"][value="'.concat(s, '"]'));
                    c && (c.setAttribute("aria-controls", r), i.setAttribute("aria-labelledby", c.id)), i.selected = s === _this.selected;
                });
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject1$4(), e$C({
                    scroll: this.enableTabsScroll
                }), o$O(this.label ? this.label : void 0), this.onClick, this.onKeyDown, this.onTabsScroll, this.onSlotChange, o$O(this.shouldAnimate ? void 0 : "first-position"), this.selectionIndicatorStyle, this.managePanels);
            }
        },
        {
            key: "willUpdate",
            value: function willUpdate(e) {
                if (!this.hasUpdated) {
                    var t = this.querySelector(":scope > [selected]");
                    t && this.selectTarget(t);
                }
                if (_get$8(_get_prototype_of$d(Tabs.prototype), "willUpdate", this).call(this, e), e.has("selected")) {
                    if (this.tabs.length && this.updateCheckedState(), e.get("selected")) {
                        var i = this.querySelector('[role="tabpanel"][value="'.concat(e.get("selected"), '"]'));
                        i && (i.selected = !1);
                    }
                    var t1 = this.querySelector('[role="tabpanel"][value="'.concat(this.selected, '"]'));
                    t1 && (t1.selected = !0);
                }
                e.has("direction") && (this.direction === "horizontal" ? this.removeAttribute("aria-orientation") : this.setAttribute("aria-orientation", "vertical")), e.has("dir") && this.updateSelectionIndicator(), e.has("disabled") && (this.disabled ? this.setAttribute("aria-disabled", "true") : this.removeAttribute("aria-disabled")), !this.shouldAnimate && typeof e.get("shouldAnimate") != "undefined" && (this.shouldAnimate = !0);
            }
        },
        {
            key: "selectTarget",
            value: function selectTarget(e) {
                var t = e.getAttribute("value");
                if (t) {
                    var i = this.selected;
                    this.selected = t, this.dispatchEvent(new Event("change", {
                        cancelable: !0
                    })) || (this.selected = i);
                }
            }
        },
        {
            key: "onSlotChange",
            value: function onSlotChange() {
                this.tabs = this.slotEl.assignedElements().filter(function(e) {
                    return e.getAttribute("role") === "tab";
                }), this.updateCheckedState();
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                _get$8(_get_prototype_of$d(Tabs.prototype), "connectedCallback", this).call(this), window.addEventListener("resize", this.updateSelectionIndicator), "fonts" in document && document.fonts.addEventListener("loadingdone", this.updateSelectionIndicator);
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                window.removeEventListener("resize", this.updateSelectionIndicator), "fonts" in document && document.fonts.removeEventListener("loadingdone", this.updateSelectionIndicator), _get$8(_get_prototype_of$d(Tabs.prototype), "disconnectedCallback", this).call(this);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    g$2,
                    I,
                    ScaledIndicator.baseStyles()
                ];
            }
        }
    ]);
    return Tabs;
}(SizedMixin(Focusable, {
    noDefaultSize: !0
}));
l$2([
    n$r({
        type: Boolean
    })
], Tabs.prototype, "auto", 2), l$2([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tabs.prototype, "compact", 2), l$2([
    n$r({
        reflect: !0
    })
], Tabs.prototype, "dir", 2), l$2([
    n$r({
        reflect: !0
    })
], Tabs.prototype, "direction", 2), l$2([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tabs.prototype, "emphasized", 2), l$2([
    n$r()
], Tabs.prototype, "label", 2), l$2([
    n$r({
        type: Boolean
    })
], Tabs.prototype, "enableTabsScroll", 2), l$2([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tabs.prototype, "quiet", 2), l$2([
    n$r({
        attribute: !1
    })
], Tabs.prototype, "selectionIndicatorStyle", 2), l$2([
    n$r({
        attribute: !1
    })
], Tabs.prototype, "shouldAnimate", 2), l$2([
    e$F("slot")
], Tabs.prototype, "slotEl", 2), l$2([
    e$F("#list")
], Tabs.prototype, "tabList", 2), l$2([
    n$r({
        reflect: !0
    })
], Tabs.prototype, "selected", 2);

defineElement("sp-tabs", Tabs);

function _tagged_template_literal$r(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$r() {
    var data = _tagged_template_literal$r([
        "\n    :host{display:inline-flex}:host(:not([selected])){display:none}\n"
    ]);
    _templateObject$r = function _templateObject() {
        return data;
    };
    return data;
}
var e$a = i$p(_templateObject$r());
var m$5 = e$a;

function _assert_this_initialized$c(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$c(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$c(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$c(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$c(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$c(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$c(o) {
    _get_prototype_of$c = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$c(o);
}
function _inherits$c(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$c(subClass, superClass);
}
function _possible_constructor_return$c(self, call) {
    if (call && (_type_of$c(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$c(self);
}
function _set_prototype_of$c(o, p) {
    _set_prototype_of$c = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$c(o, p);
}
function _tagged_template_literal$q(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$c(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$c() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$c(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$c();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$c(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$c(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$c(this, result);
    };
}
function _templateObject$q() {
    var data = _tagged_template_literal$q([
        "\n            <slot\n                @focusin=",
        "\n                @focusout=",
        "\n            ></slot>\n        "
    ]);
    _templateObject$q = function _templateObject() {
        return data;
    };
    return data;
}
var p$6 = Object.defineProperty;
var u$4 = Object.getOwnPropertyDescriptor;
var l$1 = function(s, t, i, r) {
    for(var e = r > 1 ? void 0 : r ? u$4(t, i) : t, o = s.length - 1, d; o >= 0; o--)(d = s[o]) && (e = (r ? d(t, i, e) : d(e)) || e);
    return r && e && p$6(t, i, e), e;
};
var TabPanel = /*#__PURE__*/ function(n) {
    _inherits$c(TabPanel, n);
    var _super = _create_super$c(TabPanel);
    function TabPanel() {
        _class_call_check$c(this, TabPanel);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.selected = !1;
        _this.value = "";
        return _this;
    }
    _create_class$c(TabPanel, [
        {
            key: "handleFocusin",
            value: function handleFocusin() {
                this.removeAttribute("tabindex");
            }
        },
        {
            key: "handleFocusout",
            value: function handleFocusout() {
                this.tabIndex = this.selected ? 0 : -1;
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$q(), this.handleFocusin, this.handleFocusout);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated() {
                this.slot = "tab-panel", this.setAttribute("role", "tabpanel"), this.tabIndex = 0, this.hasAttribute("id") || (this.id = "sp-tab-panel-".concat(randomID()));
            }
        },
        {
            key: "updated",
            value: function updated(i) {
                i.has("selected") && (this.selected ? (this.removeAttribute("aria-hidden"), this.tabIndex = 0) : (this.setAttribute("aria-hidden", "true"), this.tabIndex = -1));
            }
        }
    ]);
    return TabPanel;
}(SpectrumElement);
TabPanel.styles = [
    m$5
], l$1([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TabPanel.prototype, "selected", 2), l$1([
    n$r({
        type: String,
        reflect: !0
    })
], TabPanel.prototype, "value", 2);

defineElement("sp-tab-panel", TabPanel);

function _tagged_template_literal$p(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$p() {
    var data = _tagged_template_literal$p([
        '\n    :host{--sp-tabs-overflow-next-button-right:calc(-1*var(--spectrum-component-edge-to-text-100));--sp-tabs-overflow-previous-button-left:calc(-1*var(--spectrum-component-edge-to-text-100));--sp-tabs-overflow-button-height:calc(var(--spectrum-tab-item-height-medium) - var(--spectrum-border-width-200));--sp-tabs-overflow-button-size:var(--spectrum-tab-item-height-medium);--sp-tabs-overflow-icon-color:var(--spectrum-gray-800);--sp-tabs-overflow-shadow-color:var(--spectrum-gray-100);--sp-tabs-overflow-shadow-width:50px;--mod-actionbutton-icon-size:var(--spectrum-workflow-icon-size-100);width:100%;inset:0}:host([size=s]){--sp-tabs-overflow-button-height:calc(var(--spectrum-tab-item-height-small) - var(--spectrum-border-width-200));--sp-tabs-overflow-button-size:var(--spectrum-tab-item-height-small);--mod-actionbutton-icon-size:var(--spectrum-workflow-icon-size-75)}:host([size=l]){--sp-tabs-overflow-button-height:calc(var(--spectrum-tab-item-height-large) - var(--spectrum-border-width-200));--sp-tabs-overflow-button-size:var(--spectrum-tab-item-height-large);--mod-actionbutton-icon-size:var(--spectrum-workflow-icon-size-200)}:host([size=xl]){--sp-tabs-overflow-button-height:calc(var(--spectrum-tab-item-height-extra-large) - var(--spectrum-border-width-200));--sp-tabs-overflow-button-size:var(--spectrum-tab-item-height-extra-large);--mod-actionbutton-icon-size:var(--spectrum-workflow-icon-size-300)}:host([compact]){--sp-tabs-overflow-button-height:calc(var(--spectrum-tab-item-compact-height-medium) - var(--spectrum-border-width-200));--mod-actionbutton-icon-size:var(--spectrum-workflow-icon-size-50)}sp-action-button{width:var(--sp-tabs-overflow-button-size);height:var(--sp-tabs-overflow-button-height);z-index:2;text-align:center;box-shadow:none;color:var(--sp-tabs-overflow-icon-color);background:0 0;border:none;position:absolute}sp-action-button.left-scroll{visibility:hidden;left:var(--sp-tabs-overflow-previous-button-left)}sp-action-button.right-scroll{visibility:hidden;right:var(--sp-tabs-overflow-next-button-right)}sp-action-button.left-scroll.show,sp-action-button.right-scroll.show{visibility:visible}.tabs-overflow-container{position:relative}.tabs-overflow-container:before,.tabs-overflow-container:after{content:"";visibility:hidden;z-index:1;height:var(--sp-tabs-overflow-button-height);width:var(--sp-tabs-overflow-shadow-width);pointer-events:none;position:absolute;inset-block-start:0}.tabs-overflow-container:before{background:transparent linear-gradient(270deg,transparent,var(--sp-tabs-overflow-shadow-color))0 0 no-repeat padding-box;left:0}.tabs-overflow-container:after{background:transparent linear-gradient(90deg,transparent,var(--sp-tabs-overflow-shadow-color))0 0 no-repeat padding-box;right:0}.tabs-overflow-container.left-shadow:before,.tabs-overflow-container.right-shadow:after{visibility:visible}\n'
    ]);
    _templateObject$p = function _templateObject() {
        return data;
    };
    return data;
}
var o$4 = i$p(_templateObject$p());
var y$4 = o$4;

function _array_like_to_array$2(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes$1(arr) {
    if (Array.isArray(arr)) return arr;
}
function _assert_this_initialized$b(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$3(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$3(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$3(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$3(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$b(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$b(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$b(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$b(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$b(Constructor, staticProps);
    return Constructor;
}
function _define_property$1(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _get$7(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$7 = Reflect.get;
    } else {
        _get$7 = function get(target, property, receiver) {
            var base = _super_prop_base$7(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$7(target, property, receiver || target);
}
function _get_prototype_of$b(o) {
    _get_prototype_of$b = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$b(o);
}
function _inherits$b(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$b(subClass, superClass);
}
function _iterable_to_array_limit$1(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest$1() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property$1(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _possible_constructor_return$b(self, call) {
    if (call && (_type_of$b(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$b(self);
}
function _set_prototype_of$b(o, p) {
    _set_prototype_of$b = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$b(o, p);
}
function _sliced_to_array$1(arr, i) {
    return _array_with_holes$1(arr) || _iterable_to_array_limit$1(arr, i) || _unsupported_iterable_to_array$2(arr, i) || _non_iterable_rest$1();
}
function _super_prop_base$7(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$b(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$o(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$b(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$2(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$2(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$2(o, minLen);
}
function _is_native_reflect_construct$b() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$b(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$b();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$b(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$b(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$b(this, result);
    };
}
function _ts_generator$3(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$o() {
    var data = _tagged_template_literal$o([
        "\n            <div\n                class=",
        "\n            >\n                <sp-action-button\n                    class=",
        "\n                    aria-label=",
        '\n                    quiet\n                    dir="rtl"\n                    tabindex="-1"\n                    @click=',
        '\n                >\n                    <sp-icon-chevron100\n                        slot="icon"\n                        class="spectrum-UIIcon-ChevronLeft300"\n                    ></sp-icon-chevron100>\n                </sp-action-button>\n                <sp-action-button\n                    class=',
        "\n                    aria-label=",
        '\n                    quiet\n                    tabindex="-1"\n                    @click=',
        '\n                >\n                    <sp-icon-chevron100\n                        slot="icon"\n                        class="spectrum-UIIcon-ChevronRight300"\n                    ></sp-icon-chevron100>\n                </sp-action-button>\n                <slot\n                    @slotchange=',
        "\n                    @sp-tabs-scroll=",
        "\n                ></slot>\n            </div>\n        "
    ]);
    _templateObject$o = function _templateObject() {
        return data;
    };
    return data;
}
var p$5 = Object.defineProperty;
var u$3 = Object.getOwnPropertyDescriptor;
var r$7 = function(c, a, t, o) {
    for(var e = o > 1 ? void 0 : o ? u$3(a, t) : a, l = c.length - 1, s; l >= 0; l--)(s = c[l]) && (e = (o ? s(a, t, e) : s(e)) || e);
    return o && e && p$5(a, t, e), e;
};
var TabsOverflow = /*#__PURE__*/ function(_d) {
    _inherits$b(TabsOverflow, _d);
    var _super = _create_super$b(TabsOverflow);
    function TabsOverflow() {
        _class_call_check$b(this, TabsOverflow);
        var _this;
        _this = _super.call(this);
        _this.compact = !1;
        _this.labelPrevious = "Scroll to previous tabs";
        _this.labelNext = "Scroll to next tabs";
        _this.overflowState = {
            canScrollLeft: !1,
            canScrollRight: !1
        };
        _this.resizeController = new t$o(_assert_this_initialized$b(_this), {
            target: _assert_this_initialized$b(_this),
            callback: function() {
                _this._updateScrollState();
            }
        });
        return _this;
    }
    _create_class$b(TabsOverflow, [
        {
            key: "firstUpdated",
            value: function firstUpdated(t) {
                _get$7(_get_prototype_of$b(TabsOverflow.prototype), "firstUpdated", this).call(this, t);
                var _this_scrollContent = _sliced_to_array$1(this.scrollContent, 1), o = _this_scrollContent[0];
                o && (o.enableTabsScroll = !0), this.resizeController.observe(this.overflowContainer);
            }
        },
        {
            key: "_handleSlotChange",
            value: function _handleSlotChange() {
                var _this = this;
                return _async_to_generator$3(function() {
                    var _this_scrollContent, t;
                    return _ts_generator$3(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _this_scrollContent = _sliced_to_array$1(_this.scrollContent, 1), t = _this_scrollContent[0];
                                return [
                                    4,
                                    t == null ? void 0 : t.updateComplete
                                ];
                            case 1:
                                _state.sent(), _this._updateScrollState();
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "_updateScrollState",
            value: function _updateScrollState() {
                var _this = this, t = _this.scrollContent, o = _this.overflowState;
                if (t) {
                    var _this_scrollContent = _sliced_to_array$1(this.scrollContent, 1), e = _this_scrollContent[0], _ref = (e == null ? void 0 : e.scrollState) || {
                        canScrollLeft: !1,
                        canScrollRight: !1
                    }, l = _ref.canScrollLeft, s = _ref.canScrollRight;
                    this.overflowState = _object_spread_props(_object_spread({}, o), {
                        canScrollLeft: l,
                        canScrollRight: s
                    });
                }
            }
        },
        {
            key: "_handleScrollClick",
            value: function _handleScrollClick(t) {
                var o = t.currentTarget, _this_scrollContent = _sliced_to_array$1(this.scrollContent, 1), e = _this_scrollContent[0], l = e.clientWidth * .5, s = o.classList.contains("left-scroll") ? -l : l;
                e.scrollTabs(s, "smooth");
            }
        },
        {
            key: "updated",
            value: function updated(t) {
                _get$7(_get_prototype_of$b(TabsOverflow.prototype), "updated", this).call(this, t), t.has("dir") && this._updateScrollState();
            }
        },
        {
            key: "render",
            value: function render() {
                var _this_overflowState = this.overflowState, t = _this_overflowState.canScrollRight, o = _this_overflowState.canScrollLeft, e = this.labelPrevious, l = this.labelNext;
                return x$3(_templateObject$o(), e$C({
                    "tabs-overflow-container": !0,
                    "left-shadow": o,
                    "right-shadow": t
                }), e$C({
                    "left-scroll": !0,
                    show: o
                }), e, this._handleScrollClick, e$C({
                    "right-scroll": !0,
                    show: t
                }), l, this._handleScrollClick, this._handleSlotChange, this._updateScrollState);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    C$6,
                    y$4,
                    g$2
                ];
            }
        }
    ]);
    return TabsOverflow;
}(SizedMixin(SpectrumElement));
r$7([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TabsOverflow.prototype, "compact", 2), r$7([
    n$r({
        type: String,
        attribute: "label-previous"
    })
], TabsOverflow.prototype, "labelPrevious", 2), r$7([
    n$r({
        type: String,
        attribute: "label-next"
    })
], TabsOverflow.prototype, "labelNext", 2), r$7([
    n$r({
        reflect: !0
    })
], TabsOverflow.prototype, "dir", 2), r$7([
    r$A()
], TabsOverflow.prototype, "overflowState", 2), r$7([
    o$P({
        selector: "sp-tabs",
        flatten: !0
    })
], TabsOverflow.prototype, "scrollContent", 2), r$7([
    e$F(".tabs-overflow-container")
], TabsOverflow.prototype, "overflowContainer", 2);

defineElement("sp-tabs-overflow", TabsOverflow);

function _tagged_template_literal$n(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$n() {
    var data = _tagged_template_literal$n([
        '\n    :host{--spectrum-avatar-opacity-disabled:.3;--spectrum-tag-animation-duration:var(--spectrum-animation-duration-100);--spectrum-tag-border-width:var(--spectrum-border-width-100);--spectrum-tag-focus-ring-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-tag-focus-ring-gap:var(--spectrum-focus-indicator-gap);--spectrum-tag-focus-ring-color:var(--spectrum-focus-indicator-color);--spectrum-tag-label-line-height:var(--spectrum-line-height-100);--spectrum-tag-label-font-weight:var(--spectrum-regular-font-weight);--spectrum-tag-content-color-selected:var(--spectrum-gray-50);--spectrum-tag-background-color-selected:var(--spectrum-neutral-background-color-selected-default);--spectrum-tag-background-color-selected-hover:var(--spectrum-neutral-background-color-selected-hover);--spectrum-tag-background-color-selected-active:var(--spectrum-neutral-background-color-selected-down);--spectrum-tag-background-color-selected-focus:var(--spectrum-neutral-background-color-selected-key-focus);--spectrum-tag-border-color-invalid:var(--spectrum-negative-color-900);--spectrum-tag-border-color-invalid-hover:var(--spectrum-negative-color-1000);--spectrum-tag-border-color-invalid-active:var(--spectrum-negative-color-1100);--spectrum-tag-border-color-invalid-focus:var(--spectrum-negative-color-1000);--spectrum-tag-content-color-invalid:var(--spectrum-negative-content-color-default);--spectrum-tag-content-color-invalid-hover:var(--spectrum-negative-content-color-hover);--spectrum-tag-content-color-invalid-active:var(--spectrum-negative-content-color-down);--spectrum-tag-content-color-invalid-focus:var(--spectrum-negative-content-color-key-focus);--spectrum-tag-border-color-invalid-selected:var(--spectrum-negative-background-color-default);--spectrum-tag-border-color-invalid-selected-hover:var(--spectrum-negative-background-color-hover);--spectrum-tag-border-color-invalid-selected-focus:var(--spectrum-negative-background-color-down);--spectrum-tag-border-color-invalid-selected-active:var(--spectrum-negative-background-color-key-focus);--spectrum-tag-background-color-invalid-selected:var(--spectrum-negative-background-color-default);--spectrum-tag-background-color-invalid-selected-hover:var(--spectrum-negative-background-color-hover);--spectrum-tag-background-color-invalid-selected-active:var(--spectrum-negative-background-color-down);--spectrum-tag-background-color-invalid-selected-focus:var(--spectrum-negative-background-color-key-focus);--spectrum-tag-content-color-invalid-selected:var(--spectrum-white);--spectrum-tag-border-color-emphasized:var(--spectrum-accent-background-color-default);--spectrum-tag-border-color-emphasized-hover:var(--spectrum-accent-background-color-hover);--spectrum-tag-border-color-emphasized-active:var(--spectrum-accent-background-color-down);--spectrum-tag-border-color-emphasized-focus:var(--spectrum-accent-background-color-key-focus);--spectrum-tag-background-color-emphasized:var(--spectrum-accent-background-color-default);--spectrum-tag-background-color-emphasized-hover:var(--spectrum-accent-background-color-hover);--spectrum-tag-background-color-emphasized-active:var(--spectrum-accent-background-color-down);--spectrum-tag-background-color-emphasized-focus:var(--spectrum-accent-background-color-key-focus);--spectrum-tag-content-color-emphasized:var(--spectrum-white);--spectrum-tag-content-color-disabled:var(--spectrum-disabled-content-color);--spectrum-tag-icon-spacing-inline-end:var(--spectrum-text-to-visual-100);--spectrum-tag-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-tag-icon-spacing-block-start:var(--spectrum-component-top-to-workflow-icon-100);--spectrum-tag-icon-spacing-block-end:var(--spectrum-component-top-to-workflow-icon-100);--spectrum-tag-avatar-spacing-block-start:var(--spectrum-tag-top-to-avatar-medium);--spectrum-tag-avatar-spacing-block-end:var(--spectrum-tag-top-to-avatar-medium);--spectrum-tag-avatar-spacing-inline-end:var(--spectrum-text-to-visual-100);--spectrum-tag-label-spacing-block:var(--spectrum-component-top-to-text-100);--spectrum-tag-clear-button-spacing-inline-start:var(--spectrum-text-to-visual-100);--spectrum-tag-height:var(--spectrum-component-height-100);--spectrum-tag-font-size:var(--spectrum-font-size-100);--spectrum-tag-clear-button-spacing-block:var(--spectrum-tag-top-to-cross-icon-medium)}:host([size=s]){--spectrum-tag-height:var(--spectrum-component-height-75);--spectrum-tag-font-size:var(--spectrum-font-size-75);--spectrum-tag-icon-size:var(--spectrum-workflow-icon-size-75);--spectrum-tag-clear-button-spacing-inline-start:var(--spectrum-text-to-visual-75);--spectrum-tag-clear-button-spacing-block:var(--spectrum-tag-top-to-cross-icon-small);--spectrum-tag-icon-spacing-block-start:var(--spectrum-component-top-to-workflow-icon-75);--spectrum-tag-icon-spacing-block-end:var(--spectrum-component-top-to-workflow-icon-75);--spectrum-tag-icon-spacing-inline-end:var(--spectrum-text-to-visual-75);--spectrum-tag-avatar-spacing-block-start:var(--spectrum-tag-top-to-avatar-small);--spectrum-tag-avatar-spacing-block-end:var(--spectrum-tag-top-to-avatar-small);--spectrum-tag-avatar-spacing-inline-end:var(--spectrum-text-to-visual-75);--spectrum-tag-label-spacing-block:var(--spectrum-component-top-to-text-75);--spectrum-tag-corner-radius:var(--spectrum-tag-size-small-corner-radius);--spectrum-tag-spacing-inline-start:var(--spectrum-tag-size-small-spacing-inline-start);--spectrum-tag-label-spacing-inline-end:var(--spectrum-tag-size-small-label-spacing-inline-end);--spectrum-tag-clear-button-spacing-inline-end:var(--spectrum-tag-size-small-clear-button-spacing-inline-end)}:host{--spectrum-tag-height:var(--spectrum-component-height-100);--spectrum-tag-font-size:var(--spectrum-font-size-100);--spectrum-tag-icon-size:var(--spectrum-workflow-icon-size-100);--spectrum-tag-clear-button-spacing-inline-start:var(--spectrum-text-to-visual-100);--spectrum-tag-clear-button-spacing-block:var(--spectrum-tag-top-to-cross-icon-medium);--spectrum-tag-icon-spacing-block-start:var(--spectrum-component-top-to-workflow-icon-100);--spectrum-tag-icon-spacing-block-end:var(--spectrum-component-top-to-workflow-icon-100);--spectrum-tag-icon-spacing-inline-end:var(--spectrum-text-to-visual-100);--spectrum-tag-avatar-spacing-block-start:var(--spectrum-tag-top-to-avatar-medium);--spectrum-tag-avatar-spacing-block-end:var(--spectrum-tag-top-to-avatar-medium);--spectrum-tag-avatar-spacing-inline-end:var(--spectrum-text-to-visual-100);--spectrum-tag-label-spacing-block:var(--spectrum-component-top-to-text-100);--spectrum-tag-corner-radius:var(--spectrum-tag-size-medium-corner-radius);--spectrum-tag-spacing-inline-start:var(--spectrum-tag-size-medium-spacing-inline-start);--spectrum-tag-label-spacing-inline-end:var(--spectrum-tag-size-medium-label-spacing-inline-end);--spectrum-tag-clear-button-spacing-inline-end:var(--spectrum-tag-size-medium-clear-button-spacing-inline-end)}:host([size=l]){--spectrum-tag-height:var(--spectrum-component-height-200);--spectrum-tag-font-size:var(--spectrum-font-size-200);--spectrum-tag-icon-size:var(--spectrum-workflow-icon-size-200);--spectrum-tag-clear-button-spacing-inline-start:var(--spectrum-text-to-visual-200);--spectrum-tag-clear-button-spacing-block:var(--spectrum-tag-top-to-cross-icon-large);--spectrum-tag-icon-spacing-block-start:var(--spectrum-component-top-to-workflow-icon-200);--spectrum-tag-icon-spacing-block-end:var(--spectrum-component-top-to-workflow-icon-200);--spectrum-tag-icon-spacing-inline-end:var(--spectrum-text-to-visual-200);--spectrum-tag-avatar-spacing-block-start:var(--spectrum-tag-top-to-avatar-large);--spectrum-tag-avatar-spacing-block-end:var(--spectrum-tag-top-to-avatar-large);--spectrum-tag-avatar-spacing-inline-end:var(--spectrum-text-to-visual-200);--spectrum-tag-label-spacing-block:var(--spectrum-component-top-to-text-200);--spectrum-tag-corner-radius:var(--spectrum-tag-size-large-corner-radius);--spectrum-tag-spacing-inline-start:var(--spectrum-tag-size-large-spacing-inline-start);--spectrum-tag-label-spacing-inline-end:var(--spectrum-tag-size-large-label-spacing-inline-end);--spectrum-tag-clear-button-spacing-inline-end:var(--spectrum-tag-size-large-clear-button-spacing-inline-end)}:host{border-color:var(--highcontrast-tag-border-color,var(--mod-tag-border-color,var(--spectrum-tag-border-color)));background-color:var(--highcontrast-tag-background-color,var(--mod-tag-background-color,var(--spectrum-tag-background-color)));color:var(--highcontrast-tag-content-color,var(--mod-tag-content-color,var(--spectrum-tag-content-color)));border-radius:var(--mod-tag-corner-radius,var(--spectrum-tag-corner-radius));border-width:var(--mod-tag-border-width,var(--spectrum-tag-border-width));block-size:var(--mod-tag-height,var(--spectrum-tag-height));box-sizing:border-box;vertical-align:bottom;-webkit-user-select:none;user-select:none;transition:border-color var(--mod-tag-animation-duration,var(--spectrum-tag-animation-duration))ease-in-out,color var(--mod-tag-animation-duration,var(--spectrum-tag-animation-duration))ease-in-out,box-shadow var(--mod-tag-animation-duration,var(--spectrum-tag-animation-duration))ease-in-out,background-color var(--mod-tag-animation-duration,var(--spectrum-tag-animation-duration))ease-in-out;border-style:solid;outline:none;align-items:center;max-inline-size:100%;padding-inline-start:calc(var(--mod-tag-spacing-inline-start,var(--spectrum-tag-spacing-inline-start)) - var(--mod-tag-border-width,var(--spectrum-tag-border-width)));padding-inline-end:0;display:inline-flex;position:relative}::slotted([slot=icon]){block-size:var(--mod-tag-icon-size,var(--spectrum-tag-icon-size));inline-size:var(--mod-tag-icon-size,var(--spectrum-tag-icon-size));margin-block-start:calc(var(--mod-tag-icon-spacing-block-start,var(--spectrum-tag-icon-spacing-block-start)) - var(--mod-tag-border-width,var(--spectrum-tag-border-width)));margin-block-end:calc(var(--mod-tag-icon-spacing-block-end,var(--spectrum-tag-icon-spacing-block-end)) - var(--mod-tag-border-width,var(--spectrum-tag-border-width)));margin-inline-end:var(--mod-tag-icon-spacing-inline-end,var(--spectrum-tag-icon-spacing-inline-end))}::slotted([slot=avatar]){margin-block-start:calc(var(--mod-tag-avatar-spacing-block-start,var(--spectrum-tag-avatar-spacing-block-start)) - var(--mod-tag-border-width,var(--spectrum-tag-border-width)));margin-block-end:calc(var(--mod-tag-avatar-spacing-block-end,var(--spectrum-tag-avatar-spacing-block-end)) - var(--mod-tag-border-width,var(--spectrum-tag-border-width)));margin-inline-end:var(--mod-tag-avatar-spacing-inline-end,var(--spectrum-tag-avatar-spacing-inline-end))}.clear-button{box-sizing:border-box;color:currentColor;--mod-clear-button-width:fit-content;--spectrum-clearbutton-fill-size:fit-content;--spectrum-clearbutton-fill-background-color:transparent;margin-inline-start:calc(var(--mod-tag-clear-button-spacing-inline-start,var(--spectrum-tag-clear-button-spacing-inline-start)) + var(--mod-tag-label-spacing-inline-end,var(--spectrum-tag-label-spacing-inline-end))*-1);margin-inline-end:calc(var(--mod-tag-clear-button-spacing-inline-end,var(--spectrum-tag-clear-button-spacing-inline-end)) - var(--mod-tag-border-width,var(--spectrum-tag-border-width)));padding-block-start:calc(var(--mod-tag-clear-button-spacing-block,var(--spectrum-tag-clear-button-spacing-block)) - var(--mod-tag-border-width,var(--spectrum-tag-border-width)));padding-block-end:calc(var(--mod-tag-clear-button-spacing-block,var(--spectrum-tag-clear-button-spacing-block)) - var(--mod-tag-border-width,var(--spectrum-tag-border-width)))}.clear-button .spectrum-ClearButton-fill{background-color:var(--mod-clearbutton-fill-background-color,var(--spectrum-clearbutton-fill-background-color));inline-size:var(--mod-clearbutton-fill-size,var(--spectrum-clearbutton-fill-size));block-size:var(--mod-clearbutton-fill-size,var(--spectrum-clearbutton-fill-size))}.label{box-sizing:border-box;line-height:var(--mod-tag-label-line-height,var(--spectrum-tag-label-line-height));font-weight:var(--mod-tag-label-font-weight,var(--spectrum-tag-label-font-weight));font-size:var(--mod-tag-font-size,var(--spectrum-tag-font-size));cursor:default;white-space:nowrap;text-overflow:ellipsis;flex:auto;block-size:100%;margin-inline-end:calc(var(--mod-tag-label-spacing-inline-end,var(--spectrum-tag-label-spacing-inline-end)) - var(--mod-tag-border-width,var(--spectrum-tag-border-width)));padding-block-start:calc(var(--mod-tag-label-spacing-block,var(--spectrum-tag-label-spacing-block)) - var(--mod-tag-border-width,var(--spectrum-tag-border-width)));overflow:hidden}:host(:is(:active,[active])){border-color:var(--highcontrast-tag-border-color-active,var(--mod-tag-border-color-active,var(--spectrum-tag-border-color-active)));background-color:var(--highcontrast-tag-background-color-active,var(--mod-tag-background-color-active,var(--spectrum-tag-background-color-active)));color:var(--highcontrast-tag-content-color-active,var(--mod-tag-content-color-active,var(--spectrum-tag-content-color-active)))}:host([focused]),:host(:focus-visible){border-color:var(--highcontrast-tag-border-color-focus,var(--mod-tag-border-color-focus,var(--spectrum-tag-border-color-focus)));background-color:var(--highcontrast-tag-background-color-focus,var(--mod-tag-background-color-focus,var(--spectrum-tag-background-color-focus)));color:var(--highcontrast-tag-content-color-focus,var(--mod-tag-content-color-focus,var(--spectrum-tag-content-color-focus)))}:host([focused]):after,:host(:focus-visible):after{content:"";border-color:var(--highcontrast-tag-focus-ring-color,var(--mod-tag-focus-ring-color,var(--spectrum-tag-focus-ring-color)));border-radius:calc(var(--mod-tag-corner-radius,var(--spectrum-tag-corner-radius)) + var(--mod-tag-focus-ring-gap,var(--spectrum-tag-focus-ring-gap)) + var(--mod-tag-border-width,var(--spectrum-tag-border-width)));border-width:var(--mod-tag-focus-ring-thickness,var(--spectrum-tag-focus-ring-thickness));pointer-events:none;border-style:solid;display:inline-block;position:absolute;inset-block-start:calc(var(--mod-tag-focus-ring-gap,var(--spectrum-tag-focus-ring-gap))*-1 - var(--mod-tag-border-width,var(--spectrum-tag-border-width)) - var(--mod-tag-focus-ring-thickness,var(--spectrum-tag-focus-ring-thickness)));inset-block-end:calc(var(--mod-tag-focus-ring-gap,var(--spectrum-tag-focus-ring-gap))*-1 - var(--mod-tag-border-width,var(--spectrum-tag-border-width)) - var(--mod-tag-focus-ring-thickness,var(--spectrum-tag-focus-ring-thickness)));inset-inline-start:calc(var(--mod-tag-focus-ring-gap,var(--spectrum-tag-focus-ring-gap))*-1 - var(--mod-tag-border-width,var(--spectrum-tag-border-width)) - var(--mod-tag-focus-ring-thickness,var(--spectrum-tag-focus-ring-thickness)));inset-inline-end:calc(var(--mod-tag-focus-ring-gap,var(--spectrum-tag-focus-ring-gap))*-1 - var(--mod-tag-border-width,var(--spectrum-tag-border-width)) - var(--mod-tag-focus-ring-thickness,var(--spectrum-tag-focus-ring-thickness)))}:host([selected]){border-color:var(--highcontrast-tag-border-color-selected,var(--mod-tag-border-color-selected,var(--spectrum-tag-border-color-selected)));background-color:var(--highcontrast-tag-background-color-selected,var(--mod-tag-background-color-selected,var(--spectrum-tag-background-color-selected)));color:var(--highcontrast-tag-content-color-selected,var(--mod-tag-content-color-selected,var(--spectrum-tag-content-color-selected)))}:host([selected]:is(:active,[active])){border-color:var(--highcontrast-tag-border-color-selected-active,var(--mod-tag-border-color-selected-active,var(--spectrum-tag-border-color-selected-active)));background-color:var(--highcontrast-tag-background-color-selected-active,var(--mod-tag-background-color-selected-active,var(--spectrum-tag-background-color-selected-active)))}:host([selected][focused]),:host([selected]:focus-visible){border-color:var(--highcontrast-tag-border-color-selected-focus,var(--mod-tag-border-color-selected-focus,var(--spectrum-tag-border-color-selected-focus)));background-color:var(--highcontrast-tag-background-color-selected-focus,var(--mod-tag-background-color-selected-focus,var(--spectrum-tag-background-color-selected-focus)))}:host([invalid]){border-color:var(--highcontrast-tag-border-color-invalid,var(--mod-tag-border-color-invalid,var(--spectrum-tag-border-color-invalid)));color:var(--highcontrast-tag-content-color-invalid,var(--mod-tag-content-color-invalid,var(--spectrum-tag-content-color-invalid)))}:host([invalid]:is(:active,[active])){border-color:var(--highcontrast-tag-border-color-invalid-active,var(--mod-tag-border-color-invalid-active,var(--spectrum-tag-border-color-invalid-active)));color:var(--highcontrast-tag-content-color-invalid-active,var(--mod-tag-content-color-invalid-active,var(--spectrum-tag-content-color-invalid-active)))}:host([invalid][focused]),:host([invalid]:focus-visible){border-color:var(--highcontrast-tag-border-color-invalid-focus,var(--mod-tag-border-color-invalid-focus,var(--spectrum-tag-border-color-invalid-focus)));color:var(--highcontrast-tag-content-color-invalid-focus,var(--mod-tag-content-color-invalid-focus,var(--spectrum-tag-content-color-invalid-focus)))}:host([invalid][selected]){border-color:var(--highcontrast-tag-border-color-invalid-selected,var(--mod-tag-border-color-invalid-selected,var(--spectrum-tag-border-color-invalid-selected)));background-color:var(--highcontrast-tag-background-color-invalid-selected,var(--mod-tag-background-color-invalid-selected,var(--spectrum-tag-background-color-invalid-selected)));color:var(--highcontrast-tag-content-color-invalid-selected,var(--mod-tag-content-color-invalid-selected,var(--spectrum-tag-content-color-invalid-selected)))}:host([invalid][selected]:is(:active,[active])){border-color:var(--highcontrast-tag-border-color-invalid-selected-active,var(--mod-tag-border-color-invalid-selected-active,var(--spectrum-tag-border-color-invalid-selected-active)));background-color:var(--highcontrast-tag-background-color-invalid-selected-active,var(--mod-tag-background-color-invalid-selected-active,var(--spectrum-tag-background-color-invalid-selected-active)))}:host([invalid][selected][focused]),:host([invalid][selected]:focus-visible){border-color:var(--highcontrast-tag-border-color-invalid-selected-focus,var(--mod-tag-border-color-invalid-selected-focus,var(--spectrum-tag-border-color-invalid-selected-focus)));background-color:var(--highcontrast-tag-background-color-invalid-selected-focus,var(--mod-tag-background-color-invalid-selected-focus,var(--spectrum-tag-background-color-invalid-selected-focus)))}:host([emphasized]){border-color:var(--highcontrast-tag-border-color-emphasized,var(--mod-tag-border-color-emphasized,var(--spectrum-tag-border-color-emphasized)));background-color:var(--highcontrast-tag-background-color-emphasized,var(--mod-tag-background-color-emphasized,var(--spectrum-tag-background-color-emphasized)));color:var(--highcontrast-tag-content-color-emphasized,var(--mod-tag-content-color-emphasized,var(--spectrum-tag-content-color-emphasized)))}@media (hover:hover){:host(:hover){border-color:var(--highcontrast-tag-border-color-hover,var(--mod-tag-border-color-hover,var(--spectrum-tag-border-color-hover)));background-color:var(--highcontrast-tag-background-color-hover,var(--mod-tag-background-color-hover,var(--spectrum-tag-background-color-hover)));color:var(--highcontrast-tag-content-color-hover,var(--mod-tag-content-color-hover,var(--spectrum-tag-content-color-hover)))}:host([selected]:hover){border-color:var(--highcontrast-tag-border-color-selected-hover,var(--mod-tag-border-color-selected-hover,var(--spectrum-tag-border-color-selected-hover)));background-color:var(--highcontrast-tag-background-color-selected-hover,var(--mod-tag-background-color-selected-hover,var(--spectrum-tag-background-color-selected-hover)));color:var(--highcontrast-tag-content-color-selected,var(--mod-tag-content-color-selected,var(--spectrum-tag-content-color-selected)))}:host([invalid]:hover){border-color:var(--highcontrast-tag-border-color-invalid-hover,var(--mod-tag-border-color-invalid-hover,var(--spectrum-tag-border-color-invalid-hover)));color:var(--highcontrast-tag-content-color-invalid-hover,var(--mod-tag-content-color-invalid-hover,var(--spectrum-tag-content-color-invalid-hover)))}:host([invalid][selected]:hover){border-color:var(--highcontrast-tag-border-color-invalid-selected-hover,var(--mod-tag-border-color-invalid-selected-hover,var(--spectrum-tag-border-color-invalid-selected-hover)));background-color:var(--highcontrast-tag-background-color-invalid-selected-hover,var(--mod-tag-background-color-invalid-selected-hover,var(--spectrum-tag-background-color-invalid-selected-hover)));color:var(--highcontrast-tag-content-color-invalid-selected,var(--mod-tag-content-color-invalid-selected,var(--spectrum-tag-content-color-invalid-selected)))}:host([emphasized]:hover){border-color:var(--highcontrast-tag-border-color-emphasized-hover,var(--mod-tag-border-color-emphasized-hover,var(--spectrum-tag-border-color-emphasized-hover)));background-color:var(--highcontrast-tag-background-color-emphasized-hover,var(--mod-tag-background-color-emphasized-hover,var(--spectrum-tag-background-color-emphasized-hover)));color:var(--highcontrast-tag-content-color-emphasized,var(--mod-tag-content-color-emphasized,var(--spectrum-tag-content-color-emphasized)))}}:host([emphasized]:is(:active,[active])){border-color:var(--highcontrast-tag-border-color-emphasized-active,var(--mod-tag-border-color-emphasized-active,var(--spectrum-tag-border-color-emphasized-active)));background-color:var(--highcontrast-tag-background-color-emphasized-active,var(--mod-tag-background-color-emphasized-active,var(--spectrum-tag-background-color-emphasized-active)))}:host([emphasized][focused]),:host([emphasized]:focus-visible){border-color:var(--highcontrast-tag-border-color-emphasized-focus,var(--mod-tag-border-color-emphasized-focus,var(--spectrum-tag-border-color-emphasized-focus)));background-color:var(--highcontrast-tag-background-color-emphasized-focus,var(--mod-tag-background-color-emphasized-focus,var(--spectrum-tag-background-color-emphasized-focus)))}:host([disabled]){border-color:var(--highcontrast-tag-border-color-disabled,var(--mod-tag-border-color-disabled,var(--spectrum-tag-border-color-disabled)));background-color:var(--highcontrast-tag-background-color-disabled,var(--mod-tag-background-color-disabled,var(--spectrum-tag-background-color-disabled)));color:var(--highcontrast-tag-content-color-disabled,var(--mod-tag-content-color-disabled,var(--spectrum-tag-content-color-disabled)));pointer-events:none}:host([disabled]) ::slotted([slot=avatar]){opacity:var(--mod-avatar-opacity-disabled,var(--spectrum-avatar-opacity-disabled))}@media (forced-colors:active){:host{forced-color-adjust:none;--highcontrast-tag-border-color:ButtonText;--highcontrast-tag-border-color-hover:ButtonText;--highcontrast-tag-border-color-active:ButtonText;--highcontrast-tag-border-color-focus:Highlight;--highcontrast-tag-background-color:ButtonFace;--highcontrast-tag-background-color-hover:ButtonFace;--highcontrast-tag-background-color-active:ButtonFace;--highcontrast-tag-background-color-focus:ButtonFace;--highcontrast-tag-content-color:ButtonText;--highcontrast-tag-content-color-hover:ButtonText;--highcontrast-tag-content-color-active:ButtonText;--highcontrast-tag-content-color-focus:ButtonText;--highcontrast-tag-focus-ring-color:Highlight}:host([selected]){--highcontrast-tag-border-color-selected:Highlight;--highcontrast-tag-border-color-selected-hover:Highlight;--highcontrast-tag-border-color-selected-active:Highlight;--highcontrast-tag-border-color-selected-focus:Highlight;--highcontrast-tag-background-color-selected:Highlight;--highcontrast-tag-background-color-selected-hover:Highlight;--highcontrast-tag-background-color-selected-active:Highlight;--highcontrast-tag-background-color-selected-focus:Highlight;--highcontrast-tag-content-color-selected:HighlightText}:host([disabled]){--highcontrast-tag-border-color-disabled:GrayText;--highcontrast-tag-background-color-disabled:ButtonFace;--highcontrast-tag-content-color-disabled:GrayText}:host([invalid]){--highcontrast-tag-border-color-invalid:Highlight;--highcontrast-tag-border-color-invalid-hover:Highlight;--highcontrast-tag-border-color-invalid-active:Highlight;--highcontrast-tag-border-color-invalid-focus:Highlight;--highcontrast-tag-content-color-invalid:CanvasText;--highcontrast-tag-content-color-invalid-hover:CanvasText;--highcontrast-tag-content-color-invalid-active:CanvasText;--highcontrast-tag-content-color-invalid-focus:CanvasText}:host([invalid][selected]){--highcontrast-tag-border-color-invalid-selected:Highlight;--highcontrast-tag-border-color-invalid-selected-hover:Highlight;--highcontrast-tag-border-color-invalid-selected-focus:Highlight;--highcontrast-tag-border-color-invalid-selected-active:Highlight;--highcontrast-tag-background-color-invalid-selected:Highlight;--highcontrast-tag-background-color-invalid-selected-hover:Highlight;--highcontrast-tag-background-color-invalid-selected-active:Highlight;--highcontrast-tag-background-color-invalid-selected-focus:Highlight;--highcontrast-tag-content-color-invalid-selected:HighlightText}:host([emphasized]){--highcontrast-tag-border-color-emphasized:Highlight;--highcontrast-tag-border-color-emphasized-hover:Highlight;--highcontrast-tag-border-color-emphasized-active:Highlight;--highcontrast-tag-border-color-emphasized-focus:Highlight;--highcontrast-tag-background-color-emphasized:ButtonFace;--highcontrast-tag-background-color-emphasized-hover:ButtonFace;--highcontrast-tag-background-color-emphasized-active:ButtonFace;--highcontrast-tag-background-color-emphasized-focus:ButtonFace;--highcontrast-tag-content-color-emphasized:CanvasText}}:host{--spectrum-tag-border-color:var(--system-spectrum-tag-border-color);--spectrum-tag-border-color-hover:var(--system-spectrum-tag-border-color-hover);--spectrum-tag-border-color-active:var(--system-spectrum-tag-border-color-active);--spectrum-tag-border-color-focus:var(--system-spectrum-tag-border-color-focus);--spectrum-tag-size-small-corner-radius:var(--system-spectrum-tag-size-small-corner-radius);--spectrum-tag-size-medium-corner-radius:var(--system-spectrum-tag-size-medium-corner-radius);--spectrum-tag-size-large-corner-radius:var(--system-spectrum-tag-size-large-corner-radius);--spectrum-tag-background-color:var(--system-spectrum-tag-background-color);--spectrum-tag-background-color-hover:var(--system-spectrum-tag-background-color-hover);--spectrum-tag-background-color-active:var(--system-spectrum-tag-background-color-active);--spectrum-tag-background-color-focus:var(--system-spectrum-tag-background-color-focus);--spectrum-tag-content-color:var(--system-spectrum-tag-content-color);--spectrum-tag-content-color-hover:var(--system-spectrum-tag-content-color-hover);--spectrum-tag-content-color-active:var(--system-spectrum-tag-content-color-active);--spectrum-tag-content-color-focus:var(--system-spectrum-tag-content-color-focus);--spectrum-tag-border-color-selected:var(--system-spectrum-tag-border-color-selected);--spectrum-tag-border-color-selected-hover:var(--system-spectrum-tag-border-color-selected-hover);--spectrum-tag-border-color-selected-active:var(--system-spectrum-tag-border-color-selected-active);--spectrum-tag-border-color-selected-focus:var(--system-spectrum-tag-border-color-selected-focus);--spectrum-tag-border-color-disabled:var(--system-spectrum-tag-border-color-disabled);--spectrum-tag-background-color-disabled:var(--system-spectrum-tag-background-color-disabled);--spectrum-tag-size-small-spacing-inline-start:var(--system-spectrum-tag-size-small-spacing-inline-start);--spectrum-tag-size-small-label-spacing-inline-end:var(--system-spectrum-tag-size-small-label-spacing-inline-end);--spectrum-tag-size-small-clear-button-spacing-inline-end:var(--system-spectrum-tag-size-small-clear-button-spacing-inline-end);--spectrum-tag-size-medium-spacing-inline-start:var(--system-spectrum-tag-size-medium-spacing-inline-start);--spectrum-tag-size-medium-label-spacing-inline-end:var(--system-spectrum-tag-size-medium-label-spacing-inline-end);--spectrum-tag-size-medium-clear-button-spacing-inline-end:var(--system-spectrum-tag-size-medium-clear-button-spacing-inline-end);--spectrum-tag-size-large-spacing-inline-start:var(--system-spectrum-tag-size-large-spacing-inline-start);--spectrum-tag-size-large-label-spacing-inline-end:var(--system-spectrum-tag-size-large-label-spacing-inline-end);--spectrum-tag-size-large-clear-button-spacing-inline-end:var(--system-spectrum-tag-size-large-clear-button-spacing-inline-end)}:host([invalid]) .clear-button{--spectrum-clearbutton-medium-icon-color:var(--spectrum-tag-icon-color-error-key-focus,var(--spectrum-red-600));--spectrum-clearbutton-medium-icon-color-hover:var(--spectrum-clearbutton-medium-icon-color);--spectrum-clearbutton-medium-icon-color-down:var(--spectrum-tag-deletable-icon-color-error-down,var(--spectrum-red-700))}:host([invalid]):hover .clear-button,:host([invalid]:is(:active,[active])) .clear-button{--spectrum-clearbutton-medium-icon-color:var(--spectrum-tag-icon-color-error-hover,var(--spectrum-red-600));--spectrum-clearbutton-medium-icon-color-hover:var(--spectrum-clearbutton-medium-icon-color);--spectrum-clearbutton-medium-icon-color-down:var(--spectrum-tag-deletable-icon-color-error-down,var(--spectrum-red-700))}:host([size=xs]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-50)}:host([size=s]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-75)}:host([size=m]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-100)}:host([size=l]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-200)}:host([size=xl]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-300)}:host([size=xxl]){--spectrum-icon-size:var(--spectrum-workflow-icon-size-400)}\n'
    ]);
    _templateObject$n = function _templateObject() {
        return data;
    };
    return data;
}
var t$2 = i$p(_templateObject$n());
var v$1 = t$2;

function _assert_this_initialized$a(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$a(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$a(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$a(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$a(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$a(Constructor, staticProps);
    return Constructor;
}
function _get$6(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$6 = Reflect.get;
    } else {
        _get$6 = function get(target, property, receiver) {
            var base = _super_prop_base$6(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$6(target, property, receiver || target);
}
function _get_prototype_of$a(o) {
    _get_prototype_of$a = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$a(o);
}
function _inherits$a(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$a(subClass, superClass);
}
function _possible_constructor_return$a(self, call) {
    if (call && (_type_of$a(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$a(self);
}
function _set_prototype_of$a(o, p) {
    _set_prototype_of$a = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$a(o, p);
}
function _super_prop_base$6(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$a(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$m(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$a(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$a() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$a(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$a();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$a(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$a(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$a(this, result);
    };
}
function _templateObject$m() {
    var data = _tagged_template_literal$m([
        '\n                      <sp-clear-button\n                          class="clear-button"\n                          ?disabled=',
        '\n                          label="Remove"\n                          size="s"\n                          tabindex="-1"\n                          @click=',
        "\n                      ></sp-clear-button>\n                  "
    ]);
    _templateObject$m = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$3() {
    var data = _tagged_template_literal$m([
        '\n            <slot name="avatar"></slot>\n            <slot name="icon"></slot>\n            <span class="label"><slot></slot></span>\n            ',
        "\n        "
    ]);
    _templateObject1$3 = function _templateObject() {
        return data;
    };
    return data;
}
var u$2 = Object.defineProperty;
var p$4 = Object.getOwnPropertyDescriptor;
var r$6 = function(l, i, e, s) {
    for(var t = s > 1 ? void 0 : s ? p$4(i, e) : i, a = l.length - 1, o; a >= 0; a--)(o = l[a]) && (t = (s ? o(i, e, t) : o(t)) || t);
    return s && t && u$2(i, e, t), t;
};
var Tag = /*#__PURE__*/ function(_h) {
    _inherits$a(Tag, _h);
    var _super = _create_super$a(Tag);
    function Tag() {
        _class_call_check$a(this, Tag);
        var _this;
        _this = _super.call(this);
        _this.deletable = !1;
        _this.disabled = !1;
        _this.readonly = !1;
        _this.handleFocusin = function() {
            _this.addEventListener("focusout", _this.handleFocusout), _this.addEventListener("keydown", _this.handleKeydown);
        };
        _this.handleFocusout = function() {
            _this.removeEventListener("keydown", _this.handleKeydown), _this.removeEventListener("focusout", _this.handleFocusout);
        };
        _this.handleKeydown = function(e) {
            if (!_this.deletable || _this.disabled) return;
            var s = e.code;
            switch(s){
                case "Backspace":
                case "Space":
                case "Delete":
                    _this.delete();
                default:
                    return;
            }
        };
        _this.addEventListener("focusin", _this.handleFocusin);
        return _this;
    }
    _create_class$a(Tag, [
        {
            key: "delete",
            value: function _delete() {
                this.readonly || !this.dispatchEvent(new Event("delete", {
                    bubbles: !0,
                    cancelable: !0,
                    composed: !0
                })) || this.remove();
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject1$3(), this.deletable ? x$3(_templateObject$m(), this.disabled, this.delete) : E$2);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$6(_get_prototype_of$a(Tag.prototype), "firstUpdated", this).call(this, e), this.hasAttribute("role") || this.setAttribute("role", "listitem"), this.deletable && this.setAttribute("tabindex", "0");
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$6(_get_prototype_of$a(Tag.prototype), "updated", this).call(this, e), e.has("disabled") && (this.disabled ? this.setAttribute("aria-disabled", "true") : this.removeAttribute("aria-disabled"));
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    v$1
                ];
            }
        }
    ]);
    return Tag;
}(SizedMixin(SpectrumElement, {
    validSizes: [
        "s",
        "m",
        "l"
    ],
    noDefaultSize: !0
}));
r$6([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tag.prototype, "deletable", 2), r$6([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tag.prototype, "disabled", 2), r$6([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tag.prototype, "readonly", 2);

defineElement("sp-tag", Tag);

function _tagged_template_literal$l(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$l() {
    var data = _tagged_template_literal$l([
        "\n    :host{--spectrum-tag-group-item-margin-block:var(--spectrum-spacing-75);--spectrum-tag-group-item-margin-inline:var(--spectrum-spacing-75);flex-wrap:wrap;margin:0;padding:0;list-style:none;display:inline-flex}::slotted(*){margin-block:var(--mod-tag-group-item-margin-block,var(--spectrum-tag-group-item-margin-block));margin-inline:var(--mod-tag-group-item-margin-inline,var(--spectrum-tag-group-item-margin-inline))}:host{--mod-clear-button-width:fit-content;margin:0;padding:0;list-style:none;display:inline-flex}\n"
    ]);
    _templateObject$l = function _templateObject() {
        return data;
    };
    return data;
}
var t$1 = i$p(_templateObject$l());
var y$3 = t$1;

function _array_like_to_array$1(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_without_holes$1(arr) {
    if (Array.isArray(arr)) return _array_like_to_array$1(arr);
}
function _assert_this_initialized$9(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$9(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$9(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$9(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$9(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$9(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$9(o) {
    _get_prototype_of$9 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$9(o);
}
function _inherits$9(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$9(subClass, superClass);
}
function _instanceof$1(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _iterable_to_array$1(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _non_iterable_spread$1() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$9(self, call) {
    if (call && (_type_of$9(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$9(self);
}
function _set_prototype_of$9(o, p) {
    _set_prototype_of$9 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$9(o, p);
}
function _tagged_template_literal$k(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _to_consumable_array$1(arr) {
    return _array_without_holes$1(arr) || _iterable_to_array$1(arr) || _unsupported_iterable_to_array$1(arr) || _non_iterable_spread$1();
}
function _type_of$9(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array$1(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array$1(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array$1(o, minLen);
}
function _is_native_reflect_construct$9() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$9(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$9();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$9(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$9(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$9(this, result);
    };
}
function _templateObject$k() {
    var data = _tagged_template_literal$k([
        "\n            <slot @slotchange=",
        "></slot>\n        "
    ]);
    _templateObject$k = function _templateObject() {
        return data;
    };
    return data;
}
var g$1 = Object.defineProperty;
var f = Object.getOwnPropertyDescriptor;
var h$1 = function(r, n, e, t) {
    for(var s = t > 1 ? void 0 : t ? f(n, e) : n, o = r.length - 1, i; o >= 0; o--)(i = r[o]) && (s = (t ? i(n, e, s) : i(s)) || s);
    return t && s && g$1(n, e, s), s;
};
var Tags = /*#__PURE__*/ function(_b) {
    _inherits$9(Tags, _b);
    var _super = _create_super$9(Tags);
    function Tags() {
        _class_call_check$9(this, Tags);
        var _this;
        _this = _super.call(this);
        _this.rovingTabindexController = new RovingTabindexController(_assert_this_initialized$9(_this), {
            focusInIndex: function(e) {
                return e.findIndex(function(t) {
                    return !t.disabled && t.deletable;
                });
            },
            elements: function() {
                return _this.tags;
            },
            isFocusableElement: function(e) {
                return !e.disabled && e.deletable;
            }
        });
        _this.handleFocusin = function() {
            _this.addEventListener("focusout", _this.handleFocusout), _this.addEventListener("keydown", _this.handleKeydown);
        };
        _this.handleKeydown = function(e) {
            var t = e.code;
            if (t !== "PageUp" && t !== "PageDown") return;
            var s = function(d, c) {
                return d[(d.length + c) % d.length];
            }, o = _to_consumable_array$1(_this.getRootNode().querySelectorAll("sp-tags"));
            if (o.length < 2) return;
            e.preventDefault();
            var i = o.indexOf(_assert_this_initialized$9(_this)), u = t === "PageUp" ? -1 : 1;
            var l = i + u, a = s(o, l);
            for(; !a.tags.length;)l += u, a = s(o, l);
            a.focus();
        };
        _this.handleFocusout = function() {
            _this.removeEventListener("keydown", _this.handleKeydown), _this.removeEventListener("focusout", _this.handleFocusout);
        };
        _this.addEventListener("focusin", _this.handleFocusin);
        return _this;
    }
    _create_class$9(Tags, [
        {
            key: "tags",
            get: function get() {
                return this.defaultNodes.filter(function(e) {
                    return _instanceof$1(e, Tag);
                });
            }
        },
        {
            key: "focus",
            value: function focus() {
                this.rovingTabindexController.focus();
            }
        },
        {
            key: "handleSlotchange",
            value: function handleSlotchange() {
                this.rovingTabindexController.clearElementCache();
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$k(), this.handleSlotchange);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated() {
                this.hasAttribute("role") || this.setAttribute("role", "list"), this.hasAttribute("aria-label") || this.setAttribute("aria-label", "Tags");
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    y$3
                ];
            }
        }
    ]);
    return Tags;
}(FocusVisiblePolyfillMixin(SpectrumElement));
h$1([
    n$q()
], Tags.prototype, "defaultNodes", 2);

defineElement("sp-tags", Tags);

defineElement("sp-textfield", Textfield);

function _array_like_to_array(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes(arr) {
    if (Array.isArray(arr)) return arr;
}
function _array_without_holes(arr) {
    if (Array.isArray(arr)) return _array_like_to_array(arr);
}
function _assert_this_initialized$8(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$2(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$2(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$2(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$2(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$8(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _construct$1(Parent, args, Class) {
    if (_is_native_reflect_construct$8()) {
        _construct$1 = Reflect.construct;
    } else {
        _construct$1 = function construct(Parent, args, Class) {
            var a = [
                null
            ];
            a.push.apply(a, args);
            var Constructor = Function.bind.apply(Parent, a);
            var instance = new Constructor();
            if (Class) _set_prototype_of$8(instance, Class.prototype);
            return instance;
        };
    }
    return _construct$1.apply(null, arguments);
}
function _defineProperties$8(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$8(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$8(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$8(Constructor, staticProps);
    return Constructor;
}
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _get_prototype_of$8(o) {
    _get_prototype_of$8 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$8(o);
}
function _inherits$8(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$8(subClass, superClass);
}
function _instanceof(left, right) {
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
function _is_native_function$1(fn) {
    return Function.toString.call(fn).indexOf("[native code]") !== -1;
}
function _iterable_to_array(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _iterable_to_array_limit(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _non_iterable_spread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _possible_constructor_return$8(self, call) {
    if (call && (_type_of$8(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$8(self);
}
function _set_prototype_of$8(o, p) {
    _set_prototype_of$8 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$8(o, p);
}
function _sliced_to_array(arr, i) {
    return _array_with_holes(arr) || _iterable_to_array_limit(arr, i) || _unsupported_iterable_to_array(arr, i) || _non_iterable_rest();
}
function _to_consumable_array(arr) {
    return _array_without_holes(arr) || _iterable_to_array(arr) || _unsupported_iterable_to_array(arr) || _non_iterable_spread();
}
function _type_of$8(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _unsupported_iterable_to_array(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array(o, minLen);
}
function _wrap_native_super$1(Class) {
    var _cache = typeof Map === "function" ? new Map() : undefined;
    _wrap_native_super$1 = function wrapNativeSuper(Class) {
        if (Class === null || !_is_native_function$1(Class)) return Class;
        if (typeof Class !== "function") {
            throw new TypeError("Super expression must either be null or a function");
        }
        if (typeof _cache !== "undefined") {
            if (_cache.has(Class)) return _cache.get(Class);
            _cache.set(Class, Wrapper);
        }
        function Wrapper() {
            return _construct$1(Class, arguments, _get_prototype_of$8(this).constructor);
        }
        Wrapper.prototype = Object.create(Class.prototype, {
            constructor: {
                value: Wrapper,
                enumerable: false,
                writable: true,
                configurable: true
            }
        });
        return _set_prototype_of$8(Wrapper, Class);
    };
    return _wrap_native_super$1(Class);
}
function _is_native_reflect_construct$8() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$8(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$8();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$8(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$8(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$8(this, result);
    };
}
function _ts_generator$2(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
var d$1 = [
    "spectrum",
    "express",
    "spectrum-two"
], c$4 = [
    "medium",
    "large",
    "medium-express",
    "large-express",
    "medium-spectrum-two",
    "large-spectrum-two"
], p$3 = [
    "light",
    "lightest",
    "dark",
    "darkest",
    "light-express",
    "lightest-express",
    "dark-express",
    "darkest-express",
    "light-spectrum-two",
    "dark-spectrum-two"
], r$5 = /*#__PURE__*/ function(HTMLElement1) {
    _inherits$8(r, HTMLElement1);
    var _super = _create_super$8(r);
    function r() {
        _class_call_check$8(this, r);
        var _this;
        _this = _super.call(this);
        _this._dir = "";
        _this._system = "spectrum";
        _this._color = "";
        _this._scale = "";
        _this.trackedChildren = new Set;
        _this._updateRequested = !1;
        _this._contextConsumers = new Map;
        _this.attachShadow({
            mode: "open"
        });
        var e = document.importNode(r.template.content, !0);
        _this.shadowRoot.appendChild(e), _this.shouldAdoptStyles(), _this.addEventListener("sp-query-theme", _this.onQueryTheme), _this.addEventListener("sp-language-context", _this._handleContextPresence), _this.updateComplete = _this.__createDeferredPromise();
        return _this;
    }
    _create_class$8(r, [
        {
            key: "dir",
            get: function get() {
                return this._dir;
            },
            set: function set(e) {
                if (e === this.dir) return;
                this.setAttribute("dir", e), this._dir = e;
                var t = e === "rtl" ? e : "ltr";
                this.trackedChildren.forEach(function(s) {
                    s.setAttribute("dir", t);
                });
            }
        },
        {
            key: "attributeChangedCallback",
            value: function attributeChangedCallback(e, t, s) {
                t !== s && (e === "color" ? this.color = s : e === "scale" ? this.scale = s : e === "lang" && s ? (this.lang = s, this._provideContext()) : e === "theme" ? this.theme = s : e === "system" ? this.system = s : e === "dir" && (this.dir = s));
            }
        },
        {
            key: "requestUpdate",
            value: function requestUpdate() {
                window.ShadyCSS !== void 0 && !window.ShadyCSS.nativeShadow ? window.ShadyCSS.styleElement(this) : this.shouldAdoptStyles();
            }
        },
        {
            key: "system",
            get: function get() {
                var e = r.themeFragmentsByKind.get("system"), _ref = e && e.get("default") || {}, t = _ref.name;
                return this._system || t || "";
            },
            set: function set(e) {
                if (e === this._system) return;
                var t = e && d$1.includes(e) ? e : this.system;
                t !== this._system && (this._system = t, this.requestUpdate()), t ? this.setAttribute("system", t) : this.removeAttribute("system");
            }
        },
        {
            key: "theme",
            get: function get() {
                return this.system || this.removeAttribute("system"), this.system;
            },
            set: function set(e) {
                this.system = e, this.requestUpdate();
            }
        },
        {
            key: "color",
            get: function get() {
                var e = r.themeFragmentsByKind.get("color"), _ref = e && e.get("default") || {}, t = _ref.name;
                return this._color || t || "";
            },
            set: function set(e) {
                if (e === this._color) return;
                var t = e && p$3.includes(e) ? e : this.color;
                t !== this._color && (this._color = t, this.requestUpdate()), t ? this.setAttribute("color", t) : this.removeAttribute("color");
            }
        },
        {
            key: "scale",
            get: function get() {
                var e = r.themeFragmentsByKind.get("scale"), _ref = e && e.get("default") || {}, t = _ref.name;
                return this._scale || t || "";
            },
            set: function set(e) {
                if (e === this._scale) return;
                var t = e && c$4.includes(e) ? e : this.scale;
                t !== this._scale && (this._scale = t, this.requestUpdate()), t ? this.setAttribute("scale", t) : this.removeAttribute("scale");
            }
        },
        _define_property({
            key: "styles"
        }, "get", function get() {
            var _this = this;
            var e = _to_consumable_array(r.themeFragmentsByKind.keys()), t = function(a, i, n) {
                var o = n && n !== "theme" && n !== "system" && _this.theme !== "spectrum" && _this.system !== "spectrum" ? a.get("".concat(i, "-").concat(_this.system)) : a.get(i), l = i === "spectrum" || !n || _this.hasAttribute(n);
                if (o && l) return o.styles;
            };
            return _to_consumable_array(e.reduce(function(a, i) {
                var n = r.themeFragmentsByKind.get(i);
                var o;
                if (i === "app" || i === "core") o = t(n, i);
                else {
                    var l = _this[i];
                    o = t(n, l, i);
                }
                return o && a.push(o), a;
            }, []));
        }),
        {
            key: "__createDeferredPromise",
            value: function __createDeferredPromise() {
                var _this = this;
                return new Promise(function(e) {
                    _this.__resolve = e;
                });
            }
        },
        {
            key: "onQueryTheme",
            value: function onQueryTheme(e) {
                if (e.defaultPrevented) return;
                e.preventDefault();
                var t = e.detail;
                t.color = this.color || void 0, t.scale = this.scale || void 0, t.lang = this.lang || document.documentElement.lang || navigator.language, t.theme = this.system || void 0, t.system = this.system || void 0;
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                if (this.shouldAdoptStyles(), window.ShadyCSS !== void 0 && window.ShadyCSS.styleElement(this), r.instances.add(this), !this.hasAttribute("dir")) {
                    var e = this.assignedSlot || this.parentNode;
                    for(; e !== document.documentElement && !_instanceof(e, r);)e = e.assignedSlot || e.parentNode || e.host;
                    this.dir = e.dir === "rtl" ? e.dir : "ltr";
                }
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                r.instances.delete(this);
            }
        },
        {
            key: "startManagingContentDirection",
            value: function startManagingContentDirection(e) {
                this.trackedChildren.add(e);
            }
        },
        {
            key: "stopManagingContentDirection",
            value: function stopManagingContentDirection(e) {
                this.trackedChildren.delete(e);
            }
        },
        {
            key: "shouldAdoptStyles",
            value: function shouldAdoptStyles() {
                var _this = this;
                return _async_to_generator$2(function() {
                    var _tmp;
                    return _ts_generator$2(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                _tmp = _this._updateRequested;
                                if (_tmp) return [
                                    3,
                                    2
                                ];
                                _this.updateComplete = _this.__createDeferredPromise(), _this._updateRequested = !0;
                                return [
                                    4,
                                    !1
                                ];
                            case 1:
                                _tmp = (_this._updateRequested = _state.sent(), _this.adoptStyles(), _this.__resolve(!0));
                                _state.label = 2;
                            case 2:
                                return [
                                    2
                                ];
                        }
                    });
                })();
            }
        },
        {
            key: "adoptStyles",
            value: function adoptStyles() {
                var _this = this;
                var e = this.styles;
                if (window.ShadyCSS !== void 0 && !window.ShadyCSS.nativeShadow && window.ShadyCSS.ScopingShim) {
                    var t = [];
                    var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined, _iteratorNormalCompletion1 = true, _didIteratorError1 = false, _iteratorError1 = undefined;
                    try {
                        for(var _iterator = r.themeFragmentsByKind[Symbol.iterator](), _step; !(_iteratorNormalCompletion1 = (_step = _iterator.next()).done); _iteratorNormalCompletion1 = true){
                            var _step_value = _sliced_to_array(_step.value, 2), s = _step_value[0], a = _step_value[1];
                            try {
                                for(var _iterator1 = a[Symbol.iterator](), _step1; !(_iteratorNormalCompletion = (_step1 = _iterator1.next()).done); _iteratorNormalCompletion = true){
                                    var _step_value1 = _sliced_to_array(_step1.value, 2), i = _step_value1[0], _step_value_ = _step_value1[1], n = _step_value_.styles;
                                    if (i === "default") continue;
                                    var o = n.cssText;
                                    r.defaultFragments.has(i) || (o = o.replace(":host", ":host([".concat(s, "='").concat(i, "'])"))), t.push(o);
                                }
                            } catch (err) {
                                _didIteratorError = true;
                                _iteratorError = err;
                            } finally{
                                try {
                                    if (!_iteratorNormalCompletion && _iterator1.return != null) {
                                        _iterator1.return();
                                    }
                                } finally{
                                    if (_didIteratorError) {
                                        throw _iteratorError;
                                    }
                                }
                            }
                        }
                    } catch (err) {
                        _didIteratorError1 = true;
                        _iteratorError1 = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion1 && _iterator.return != null) {
                                _iterator.return();
                            }
                        } finally{
                            if (_didIteratorError1) {
                                throw _iteratorError1;
                            }
                        }
                    }
                    window.ShadyCSS.ScopingShim.prepareAdoptedCssText(t, this.localName), window.ShadyCSS.prepareTemplate(r.template, this.localName);
                } else if (e$J) {
                    var t1 = [];
                    var _iteratorNormalCompletion2 = true, _didIteratorError2 = false, _iteratorError2 = undefined;
                    try {
                        for(var _iterator2 = e[Symbol.iterator](), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true){
                            var s1 = _step2.value;
                            t1.push(s1.styleSheet);
                        }
                    } catch (err) {
                        _didIteratorError2 = true;
                        _iteratorError2 = err;
                    } finally{
                        try {
                            if (!_iteratorNormalCompletion2 && _iterator2.return != null) {
                                _iterator2.return();
                            }
                        } finally{
                            if (_didIteratorError2) {
                                throw _iteratorError2;
                            }
                        }
                    }
                    this.shadowRoot.adoptedStyleSheets = t1;
                } else this.shadowRoot.querySelectorAll("style").forEach(function(s) {
                    return s.remove();
                }), e.forEach(function(s) {
                    var a = document.createElement("style");
                    a.textContent = s.cssText, _this.shadowRoot.appendChild(a);
                });
            }
        },
        {
            key: "_provideContext",
            value: function _provideContext() {
                var _this = this;
                this._contextConsumers.forEach(function(param) {
                    var _param = _sliced_to_array(param, 2), e = _param[0], t = _param[1];
                    return e(_this.lang, t);
                });
            }
        },
        {
            key: "_handleContextPresence",
            value: function _handleContextPresence(e) {
                var _this = this;
                e.stopPropagation();
                var t = e.composedPath()[0];
                if (this._contextConsumers.has(t)) return;
                this._contextConsumers.set(t, [
                    e.detail.callback,
                    function() {
                        return _this._contextConsumers.delete(t);
                    }
                ]);
                var _ref = _sliced_to_array(this._contextConsumers.get(t) || [], 2), s = _ref[0], a = _ref[1];
                s && a && s(this.lang || document.documentElement.lang || navigator.language, a);
            }
        }
    ], [
        {
            key: "observedAttributes",
            get: function get() {
                return [
                    "color",
                    "scale",
                    "lang",
                    "dir",
                    "system",
                    "theme"
                ];
            }
        },
        {
            key: "template",
            get: function get() {
                return this.templateElement || (this.templateElement = document.createElement("template"), this.templateElement.innerHTML = "<slot></slot>"), this.templateElement;
            }
        },
        {
            key: "registerThemeFragment",
            value: function registerThemeFragment(e, t, s) {
                var a = r.themeFragmentsByKind.get(t) || new Map;
                a.size === 0 && (r.themeFragmentsByKind.set(t, a), a.set("default", {
                    name: e,
                    styles: s
                }), r.defaultFragments.add(e)), a.set(e, {
                    name: e,
                    styles: s
                }), r.instances.forEach(function(i) {
                    return i.shouldAdoptStyles();
                });
            }
        }
    ]);
    return r;
}(_wrap_native_super$1(HTMLElement));
r$5.themeFragmentsByKind = new Map, r$5.defaultFragments = new Set([
    "spectrum"
]), r$5.instances = new Set, r$5.VERSION = version;
var Theme = r$5;

customElements.define("sp-theme", Theme);

function _tagged_template_literal$j(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$j() {
    var data = _tagged_template_literal$j([
        "\n    :root,:host{--spectrum-global-color-status:Verified;--spectrum-global-color-version:5.1;--spectrum-global-color-opacity-100:1;--spectrum-global-color-opacity-90:.9;--spectrum-global-color-opacity-80:.8;--spectrum-global-color-opacity-70:.7;--spectrum-global-color-opacity-60:.6;--spectrum-global-color-opacity-55:.55;--spectrum-global-color-opacity-50:.5;--spectrum-global-color-opacity-42:.42;--spectrum-global-color-opacity-40:.4;--spectrum-global-color-opacity-30:.3;--spectrum-global-color-opacity-25:.25;--spectrum-global-color-opacity-20:.2;--spectrum-global-color-opacity-15:.15;--spectrum-global-color-opacity-10:.1;--spectrum-global-color-opacity-8:.08;--spectrum-global-color-opacity-7:.07;--spectrum-global-color-opacity-6:.06;--spectrum-global-color-opacity-5:.05;--spectrum-global-color-opacity-4:.04;--spectrum-global-color-opacity-0:0;--spectrum-global-color-celery-400-rgb:39,187,54;--spectrum-global-color-celery-400:rgb(var(--spectrum-global-color-celery-400-rgb));--spectrum-global-color-celery-500-rgb:7,167,33;--spectrum-global-color-celery-500:rgb(var(--spectrum-global-color-celery-500-rgb));--spectrum-global-color-celery-600-rgb:0,145,18;--spectrum-global-color-celery-600:rgb(var(--spectrum-global-color-celery-600-rgb));--spectrum-global-color-celery-700-rgb:0,124,15;--spectrum-global-color-celery-700:rgb(var(--spectrum-global-color-celery-700-rgb));--spectrum-global-color-chartreuse-400-rgb:152,197,10;--spectrum-global-color-chartreuse-400:rgb(var(--spectrum-global-color-chartreuse-400-rgb));--spectrum-global-color-chartreuse-500-rgb:135,177,3;--spectrum-global-color-chartreuse-500:rgb(var(--spectrum-global-color-chartreuse-500-rgb));--spectrum-global-color-chartreuse-600-rgb:118,156,0;--spectrum-global-color-chartreuse-600:rgb(var(--spectrum-global-color-chartreuse-600-rgb));--spectrum-global-color-chartreuse-700-rgb:103,136,0;--spectrum-global-color-chartreuse-700:rgb(var(--spectrum-global-color-chartreuse-700-rgb));--spectrum-global-color-yellow-400-rgb:232,198,0;--spectrum-global-color-yellow-400:rgb(var(--spectrum-global-color-yellow-400-rgb));--spectrum-global-color-yellow-500-rgb:215,179,0;--spectrum-global-color-yellow-500:rgb(var(--spectrum-global-color-yellow-500-rgb));--spectrum-global-color-yellow-600-rgb:196,159,0;--spectrum-global-color-yellow-600:rgb(var(--spectrum-global-color-yellow-600-rgb));--spectrum-global-color-yellow-700-rgb:176,140,0;--spectrum-global-color-yellow-700:rgb(var(--spectrum-global-color-yellow-700-rgb));--spectrum-global-color-magenta-400-rgb:222,61,130;--spectrum-global-color-magenta-400:rgb(var(--spectrum-global-color-magenta-400-rgb));--spectrum-global-color-magenta-500-rgb:200,34,105;--spectrum-global-color-magenta-500:rgb(var(--spectrum-global-color-magenta-500-rgb));--spectrum-global-color-magenta-600-rgb:173,9,85;--spectrum-global-color-magenta-600:rgb(var(--spectrum-global-color-magenta-600-rgb));--spectrum-global-color-magenta-700-rgb:142,0,69;--spectrum-global-color-magenta-700:rgb(var(--spectrum-global-color-magenta-700-rgb));--spectrum-global-color-fuchsia-400-rgb:205,58,206;--spectrum-global-color-fuchsia-400:rgb(var(--spectrum-global-color-fuchsia-400-rgb));--spectrum-global-color-fuchsia-500-rgb:182,34,183;--spectrum-global-color-fuchsia-500:rgb(var(--spectrum-global-color-fuchsia-500-rgb));--spectrum-global-color-fuchsia-600-rgb:157,3,158;--spectrum-global-color-fuchsia-600:rgb(var(--spectrum-global-color-fuchsia-600-rgb));--spectrum-global-color-fuchsia-700-rgb:128,0,129;--spectrum-global-color-fuchsia-700:rgb(var(--spectrum-global-color-fuchsia-700-rgb));--spectrum-global-color-purple-400-rgb:157,87,244;--spectrum-global-color-purple-400:rgb(var(--spectrum-global-color-purple-400-rgb));--spectrum-global-color-purple-500-rgb:137,61,231;--spectrum-global-color-purple-500:rgb(var(--spectrum-global-color-purple-500-rgb));--spectrum-global-color-purple-600-rgb:115,38,211;--spectrum-global-color-purple-600:rgb(var(--spectrum-global-color-purple-600-rgb));--spectrum-global-color-purple-700-rgb:93,19,183;--spectrum-global-color-purple-700:rgb(var(--spectrum-global-color-purple-700-rgb));--spectrum-global-color-indigo-400-rgb:104,109,244;--spectrum-global-color-indigo-400:rgb(var(--spectrum-global-color-indigo-400-rgb));--spectrum-global-color-indigo-500-rgb:82,88,228;--spectrum-global-color-indigo-500:rgb(var(--spectrum-global-color-indigo-500-rgb));--spectrum-global-color-indigo-600-rgb:64,70,202;--spectrum-global-color-indigo-600:rgb(var(--spectrum-global-color-indigo-600-rgb));--spectrum-global-color-indigo-700-rgb:50,54,168;--spectrum-global-color-indigo-700:rgb(var(--spectrum-global-color-indigo-700-rgb));--spectrum-global-color-seafoam-400-rgb:0,161,154;--spectrum-global-color-seafoam-400:rgb(var(--spectrum-global-color-seafoam-400-rgb));--spectrum-global-color-seafoam-500-rgb:0,140,135;--spectrum-global-color-seafoam-500:rgb(var(--spectrum-global-color-seafoam-500-rgb));--spectrum-global-color-seafoam-600-rgb:0,119,114;--spectrum-global-color-seafoam-600:rgb(var(--spectrum-global-color-seafoam-600-rgb));--spectrum-global-color-seafoam-700-rgb:0,99,95;--spectrum-global-color-seafoam-700:rgb(var(--spectrum-global-color-seafoam-700-rgb));--spectrum-global-color-red-400-rgb:234,56,41;--spectrum-global-color-red-400:rgb(var(--spectrum-global-color-red-400-rgb));--spectrum-global-color-red-500-rgb:211,21,16;--spectrum-global-color-red-500:rgb(var(--spectrum-global-color-red-500-rgb));--spectrum-global-color-red-600-rgb:180,0,0;--spectrum-global-color-red-600:rgb(var(--spectrum-global-color-red-600-rgb));--spectrum-global-color-red-700-rgb:147,0,0;--spectrum-global-color-red-700:rgb(var(--spectrum-global-color-red-700-rgb));--spectrum-global-color-orange-400-rgb:246,133,17;--spectrum-global-color-orange-400:rgb(var(--spectrum-global-color-orange-400-rgb));--spectrum-global-color-orange-500-rgb:228,111,0;--spectrum-global-color-orange-500:rgb(var(--spectrum-global-color-orange-500-rgb));--spectrum-global-color-orange-600-rgb:203,93,0;--spectrum-global-color-orange-600:rgb(var(--spectrum-global-color-orange-600-rgb));--spectrum-global-color-orange-700-rgb:177,76,0;--spectrum-global-color-orange-700:rgb(var(--spectrum-global-color-orange-700-rgb));--spectrum-global-color-green-400-rgb:0,143,93;--spectrum-global-color-green-400:rgb(var(--spectrum-global-color-green-400-rgb));--spectrum-global-color-green-500-rgb:0,122,77;--spectrum-global-color-green-500:rgb(var(--spectrum-global-color-green-500-rgb));--spectrum-global-color-green-600-rgb:0,101,62;--spectrum-global-color-green-600:rgb(var(--spectrum-global-color-green-600-rgb));--spectrum-global-color-green-700-rgb:0,81,50;--spectrum-global-color-green-700:rgb(var(--spectrum-global-color-green-700-rgb));--spectrum-global-color-blue-400-rgb:20,122,243;--spectrum-global-color-blue-400:rgb(var(--spectrum-global-color-blue-400-rgb));--spectrum-global-color-blue-500-rgb:2,101,220;--spectrum-global-color-blue-500:rgb(var(--spectrum-global-color-blue-500-rgb));--spectrum-global-color-blue-600-rgb:0,84,182;--spectrum-global-color-blue-600:rgb(var(--spectrum-global-color-blue-600-rgb));--spectrum-global-color-blue-700-rgb:0,68,145;--spectrum-global-color-blue-700:rgb(var(--spectrum-global-color-blue-700-rgb));--spectrum-global-color-gray-50-rgb:255,255,255;--spectrum-global-color-gray-50:rgb(var(--spectrum-global-color-gray-50-rgb));--spectrum-global-color-gray-75-rgb:253,253,253;--spectrum-global-color-gray-75:rgb(var(--spectrum-global-color-gray-75-rgb));--spectrum-global-color-gray-100-rgb:248,248,248;--spectrum-global-color-gray-100:rgb(var(--spectrum-global-color-gray-100-rgb));--spectrum-global-color-gray-200-rgb:230,230,230;--spectrum-global-color-gray-200:rgb(var(--spectrum-global-color-gray-200-rgb));--spectrum-global-color-gray-300-rgb:213,213,213;--spectrum-global-color-gray-300:rgb(var(--spectrum-global-color-gray-300-rgb));--spectrum-global-color-gray-400-rgb:177,177,177;--spectrum-global-color-gray-400:rgb(var(--spectrum-global-color-gray-400-rgb));--spectrum-global-color-gray-500-rgb:144,144,144;--spectrum-global-color-gray-500:rgb(var(--spectrum-global-color-gray-500-rgb));--spectrum-global-color-gray-600-rgb:109,109,109;--spectrum-global-color-gray-600:rgb(var(--spectrum-global-color-gray-600-rgb));--spectrum-global-color-gray-700-rgb:70,70,70;--spectrum-global-color-gray-700:rgb(var(--spectrum-global-color-gray-700-rgb));--spectrum-global-color-gray-800-rgb:34,34,34;--spectrum-global-color-gray-800:rgb(var(--spectrum-global-color-gray-800-rgb));--spectrum-global-color-gray-900-rgb:0,0,0;--spectrum-global-color-gray-900:rgb(var(--spectrum-global-color-gray-900-rgb));--spectrum-alias-background-color-primary:var(--spectrum-global-color-gray-50);--spectrum-alias-background-color-secondary:var(--spectrum-global-color-gray-100);--spectrum-alias-background-color-tertiary:var(--spectrum-global-color-gray-300);--spectrum-alias-background-color-modal-overlay:#0006;--spectrum-alias-dropshadow-color:#00000026;--spectrum-alias-background-color-hover-overlay:#0000000a;--spectrum-alias-highlight-hover:#0000000f;--spectrum-alias-highlight-down:#0000001a;--spectrum-alias-highlight-selected:#0265dc1a;--spectrum-alias-highlight-selected-hover:#0265dc33;--spectrum-alias-text-highlight-color:#0265dc33;--spectrum-alias-background-color-quickactions:#f8f8f8e6;--spectrum-alias-border-color-selected:var(--spectrum-global-color-blue-500);--spectrum-alias-border-color-translucent:#0000001a;--spectrum-alias-radial-reaction-color-default:#2229;--spectrum-alias-pasteboard-background-color:var(--spectrum-global-color-gray-300);--spectrum-alias-appframe-border-color:var(--spectrum-global-color-gray-300);--spectrum-alias-appframe-separator-color:var(--spectrum-global-color-gray-300)}:host,:root{color-scheme:light;--spectrum-overlay-opacity:.4;--spectrum-drop-shadow-color-rgb:0,0,0;--spectrum-drop-shadow-color-opacity:.15;--spectrum-drop-shadow-color:rgba(var(--spectrum-drop-shadow-color-rgb),var(--spectrum-drop-shadow-color-opacity));--spectrum-background-base-color:var(--spectrum-gray-200);--spectrum-background-layer-1-color:var(--spectrum-gray-100);--spectrum-background-layer-2-color:var(--spectrum-gray-50);--spectrum-neutral-background-color-default:var(--spectrum-gray-800);--spectrum-neutral-background-color-hover:var(--spectrum-gray-900);--spectrum-neutral-background-color-down:var(--spectrum-gray-900);--spectrum-neutral-background-color-key-focus:var(--spectrum-gray-900);--spectrum-neutral-subdued-background-color-default:var(--spectrum-gray-600);--spectrum-neutral-subdued-background-color-hover:var(--spectrum-gray-700);--spectrum-neutral-subdued-background-color-down:var(--spectrum-gray-800);--spectrum-neutral-subdued-background-color-key-focus:var(--spectrum-gray-700);--spectrum-accent-background-color-default:var(--spectrum-accent-color-900);--spectrum-accent-background-color-hover:var(--spectrum-accent-color-1000);--spectrum-accent-background-color-down:var(--spectrum-accent-color-1100);--spectrum-accent-background-color-key-focus:var(--spectrum-accent-color-1000);--spectrum-informative-background-color-default:var(--spectrum-informative-color-900);--spectrum-informative-background-color-hover:var(--spectrum-informative-color-1000);--spectrum-informative-background-color-down:var(--spectrum-informative-color-1100);--spectrum-informative-background-color-key-focus:var(--spectrum-informative-color-1000);--spectrum-negative-background-color-default:var(--spectrum-negative-color-900);--spectrum-negative-background-color-hover:var(--spectrum-negative-color-1000);--spectrum-negative-background-color-down:var(--spectrum-negative-color-1100);--spectrum-negative-background-color-key-focus:var(--spectrum-negative-color-1000);--spectrum-positive-background-color-default:var(--spectrum-positive-color-900);--spectrum-positive-background-color-hover:var(--spectrum-positive-color-1000);--spectrum-positive-background-color-down:var(--spectrum-positive-color-1100);--spectrum-positive-background-color-key-focus:var(--spectrum-positive-color-1000);--spectrum-notice-background-color-default:var(--spectrum-notice-color-600);--spectrum-gray-background-color-default:var(--spectrum-gray-700);--spectrum-red-background-color-default:var(--spectrum-red-900);--spectrum-orange-background-color-default:var(--spectrum-orange-600);--spectrum-yellow-background-color-default:var(--spectrum-yellow-400);--spectrum-chartreuse-background-color-default:var(--spectrum-chartreuse-500);--spectrum-celery-background-color-default:var(--spectrum-celery-600);--spectrum-green-background-color-default:var(--spectrum-green-900);--spectrum-seafoam-background-color-default:var(--spectrum-seafoam-900);--spectrum-cyan-background-color-default:var(--spectrum-cyan-900);--spectrum-blue-background-color-default:var(--spectrum-blue-900);--spectrum-indigo-background-color-default:var(--spectrum-indigo-900);--spectrum-purple-background-color-default:var(--spectrum-purple-900);--spectrum-fuchsia-background-color-default:var(--spectrum-fuchsia-900);--spectrum-magenta-background-color-default:var(--spectrum-magenta-900);--spectrum-neutral-visual-color:var(--spectrum-gray-500);--spectrum-accent-visual-color:var(--spectrum-accent-color-800);--spectrum-informative-visual-color:var(--spectrum-informative-color-800);--spectrum-negative-visual-color:var(--spectrum-negative-color-800);--spectrum-notice-visual-color:var(--spectrum-notice-color-700);--spectrum-positive-visual-color:var(--spectrum-positive-color-700);--spectrum-gray-visual-color:var(--spectrum-gray-500);--spectrum-red-visual-color:var(--spectrum-red-800);--spectrum-orange-visual-color:var(--spectrum-orange-700);--spectrum-yellow-visual-color:var(--spectrum-yellow-600);--spectrum-chartreuse-visual-color:var(--spectrum-chartreuse-600);--spectrum-celery-visual-color:var(--spectrum-celery-700);--spectrum-green-visual-color:var(--spectrum-green-700);--spectrum-seafoam-visual-color:var(--spectrum-seafoam-700);--spectrum-cyan-visual-color:var(--spectrum-cyan-600);--spectrum-blue-visual-color:var(--spectrum-blue-800);--spectrum-indigo-visual-color:var(--spectrum-indigo-800);--spectrum-purple-visual-color:var(--spectrum-purple-800);--spectrum-fuchsia-visual-color:var(--spectrum-fuchsia-800);--spectrum-magenta-visual-color:var(--spectrum-magenta-800);--spectrum-opacity-checkerboard-square-dark:var(--spectrum-gray-200);--spectrum-gray-50-rgb:255,255,255;--spectrum-gray-50:rgba(var(--spectrum-gray-50-rgb));--spectrum-gray-75-rgb:253,253,253;--spectrum-gray-75:rgba(var(--spectrum-gray-75-rgb));--spectrum-gray-100-rgb:248,248,248;--spectrum-gray-100:rgba(var(--spectrum-gray-100-rgb));--spectrum-gray-200-rgb:230,230,230;--spectrum-gray-200:rgba(var(--spectrum-gray-200-rgb));--spectrum-gray-300-rgb:213,213,213;--spectrum-gray-300:rgba(var(--spectrum-gray-300-rgb));--spectrum-gray-400-rgb:177,177,177;--spectrum-gray-400:rgba(var(--spectrum-gray-400-rgb));--spectrum-gray-500-rgb:144,144,144;--spectrum-gray-500:rgba(var(--spectrum-gray-500-rgb));--spectrum-gray-600-rgb:109,109,109;--spectrum-gray-600:rgba(var(--spectrum-gray-600-rgb));--spectrum-gray-700-rgb:70,70,70;--spectrum-gray-700:rgba(var(--spectrum-gray-700-rgb));--spectrum-gray-800-rgb:34,34,34;--spectrum-gray-800:rgba(var(--spectrum-gray-800-rgb));--spectrum-gray-900-rgb:0,0,0;--spectrum-gray-900:rgba(var(--spectrum-gray-900-rgb));--spectrum-blue-100-rgb:224,242,255;--spectrum-blue-100:rgba(var(--spectrum-blue-100-rgb));--spectrum-blue-200-rgb:202,232,255;--spectrum-blue-200:rgba(var(--spectrum-blue-200-rgb));--spectrum-blue-300-rgb:181,222,255;--spectrum-blue-300:rgba(var(--spectrum-blue-300-rgb));--spectrum-blue-400-rgb:150,206,253;--spectrum-blue-400:rgba(var(--spectrum-blue-400-rgb));--spectrum-blue-500-rgb:120,187,250;--spectrum-blue-500:rgba(var(--spectrum-blue-500-rgb));--spectrum-blue-600-rgb:89,167,246;--spectrum-blue-600:rgba(var(--spectrum-blue-600-rgb));--spectrum-blue-700-rgb:56,146,243;--spectrum-blue-700:rgba(var(--spectrum-blue-700-rgb));--spectrum-blue-800-rgb:20,122,243;--spectrum-blue-800:rgba(var(--spectrum-blue-800-rgb));--spectrum-blue-900-rgb:2,101,220;--spectrum-blue-900:rgba(var(--spectrum-blue-900-rgb));--spectrum-blue-1000-rgb:0,84,182;--spectrum-blue-1000:rgba(var(--spectrum-blue-1000-rgb));--spectrum-blue-1100-rgb:0,68,145;--spectrum-blue-1100:rgba(var(--spectrum-blue-1100-rgb));--spectrum-blue-1200-rgb:0,53,113;--spectrum-blue-1200:rgba(var(--spectrum-blue-1200-rgb));--spectrum-blue-1300-rgb:0,39,84;--spectrum-blue-1300:rgba(var(--spectrum-blue-1300-rgb));--spectrum-blue-1400-rgb:0,28,60;--spectrum-blue-1400:rgba(var(--spectrum-blue-1400-rgb));--spectrum-red-100-rgb:255,235,231;--spectrum-red-100:rgba(var(--spectrum-red-100-rgb));--spectrum-red-200-rgb:255,221,214;--spectrum-red-200:rgba(var(--spectrum-red-200-rgb));--spectrum-red-300-rgb:255,205,195;--spectrum-red-300:rgba(var(--spectrum-red-300-rgb));--spectrum-red-400-rgb:255,183,169;--spectrum-red-400:rgba(var(--spectrum-red-400-rgb));--spectrum-red-500-rgb:255,155,136;--spectrum-red-500:rgba(var(--spectrum-red-500-rgb));--spectrum-red-600-rgb:255,124,101;--spectrum-red-600:rgba(var(--spectrum-red-600-rgb));--spectrum-red-700-rgb:247,92,70;--spectrum-red-700:rgba(var(--spectrum-red-700-rgb));--spectrum-red-800-rgb:234,56,41;--spectrum-red-800:rgba(var(--spectrum-red-800-rgb));--spectrum-red-900-rgb:211,21,16;--spectrum-red-900:rgba(var(--spectrum-red-900-rgb));--spectrum-red-1000-rgb:180,0,0;--spectrum-red-1000:rgba(var(--spectrum-red-1000-rgb));--spectrum-red-1100-rgb:147,0,0;--spectrum-red-1100:rgba(var(--spectrum-red-1100-rgb));--spectrum-red-1200-rgb:116,0,0;--spectrum-red-1200:rgba(var(--spectrum-red-1200-rgb));--spectrum-red-1300-rgb:89,0,0;--spectrum-red-1300:rgba(var(--spectrum-red-1300-rgb));--spectrum-red-1400-rgb:67,0,0;--spectrum-red-1400:rgba(var(--spectrum-red-1400-rgb));--spectrum-orange-100-rgb:255,236,204;--spectrum-orange-100:rgba(var(--spectrum-orange-100-rgb));--spectrum-orange-200-rgb:255,223,173;--spectrum-orange-200:rgba(var(--spectrum-orange-200-rgb));--spectrum-orange-300-rgb:253,210,145;--spectrum-orange-300:rgba(var(--spectrum-orange-300-rgb));--spectrum-orange-400-rgb:255,187,99;--spectrum-orange-400:rgba(var(--spectrum-orange-400-rgb));--spectrum-orange-500-rgb:255,160,55;--spectrum-orange-500:rgba(var(--spectrum-orange-500-rgb));--spectrum-orange-600-rgb:246,133,17;--spectrum-orange-600:rgba(var(--spectrum-orange-600-rgb));--spectrum-orange-700-rgb:228,111,0;--spectrum-orange-700:rgba(var(--spectrum-orange-700-rgb));--spectrum-orange-800-rgb:203,93,0;--spectrum-orange-800:rgba(var(--spectrum-orange-800-rgb));--spectrum-orange-900-rgb:177,76,0;--spectrum-orange-900:rgba(var(--spectrum-orange-900-rgb));--spectrum-orange-1000-rgb:149,61,0;--spectrum-orange-1000:rgba(var(--spectrum-orange-1000-rgb));--spectrum-orange-1100-rgb:122,47,0;--spectrum-orange-1100:rgba(var(--spectrum-orange-1100-rgb));--spectrum-orange-1200-rgb:97,35,0;--spectrum-orange-1200:rgba(var(--spectrum-orange-1200-rgb));--spectrum-orange-1300-rgb:73,25,1;--spectrum-orange-1300:rgba(var(--spectrum-orange-1300-rgb));--spectrum-orange-1400-rgb:53,18,1;--spectrum-orange-1400:rgba(var(--spectrum-orange-1400-rgb));--spectrum-yellow-100-rgb:251,241,152;--spectrum-yellow-100:rgba(var(--spectrum-yellow-100-rgb));--spectrum-yellow-200-rgb:248,231,80;--spectrum-yellow-200:rgba(var(--spectrum-yellow-200-rgb));--spectrum-yellow-300-rgb:248,217,4;--spectrum-yellow-300:rgba(var(--spectrum-yellow-300-rgb));--spectrum-yellow-400-rgb:232,198,0;--spectrum-yellow-400:rgba(var(--spectrum-yellow-400-rgb));--spectrum-yellow-500-rgb:215,179,0;--spectrum-yellow-500:rgba(var(--spectrum-yellow-500-rgb));--spectrum-yellow-600-rgb:196,159,0;--spectrum-yellow-600:rgba(var(--spectrum-yellow-600-rgb));--spectrum-yellow-700-rgb:176,140,0;--spectrum-yellow-700:rgba(var(--spectrum-yellow-700-rgb));--spectrum-yellow-800-rgb:155,120,0;--spectrum-yellow-800:rgba(var(--spectrum-yellow-800-rgb));--spectrum-yellow-900-rgb:133,102,0;--spectrum-yellow-900:rgba(var(--spectrum-yellow-900-rgb));--spectrum-yellow-1000-rgb:112,83,0;--spectrum-yellow-1000:rgba(var(--spectrum-yellow-1000-rgb));--spectrum-yellow-1100-rgb:91,67,0;--spectrum-yellow-1100:rgba(var(--spectrum-yellow-1100-rgb));--spectrum-yellow-1200-rgb:72,51,0;--spectrum-yellow-1200:rgba(var(--spectrum-yellow-1200-rgb));--spectrum-yellow-1300-rgb:54,37,0;--spectrum-yellow-1300:rgba(var(--spectrum-yellow-1300-rgb));--spectrum-yellow-1400-rgb:40,26,0;--spectrum-yellow-1400:rgba(var(--spectrum-yellow-1400-rgb));--spectrum-chartreuse-100-rgb:219,252,110;--spectrum-chartreuse-100:rgba(var(--spectrum-chartreuse-100-rgb));--spectrum-chartreuse-200-rgb:203,244,67;--spectrum-chartreuse-200:rgba(var(--spectrum-chartreuse-200-rgb));--spectrum-chartreuse-300-rgb:188,233,42;--spectrum-chartreuse-300:rgba(var(--spectrum-chartreuse-300-rgb));--spectrum-chartreuse-400-rgb:170,216,22;--spectrum-chartreuse-400:rgba(var(--spectrum-chartreuse-400-rgb));--spectrum-chartreuse-500-rgb:152,197,10;--spectrum-chartreuse-500:rgba(var(--spectrum-chartreuse-500-rgb));--spectrum-chartreuse-600-rgb:135,177,3;--spectrum-chartreuse-600:rgba(var(--spectrum-chartreuse-600-rgb));--spectrum-chartreuse-700-rgb:118,156,0;--spectrum-chartreuse-700:rgba(var(--spectrum-chartreuse-700-rgb));--spectrum-chartreuse-800-rgb:103,136,0;--spectrum-chartreuse-800:rgba(var(--spectrum-chartreuse-800-rgb));--spectrum-chartreuse-900-rgb:87,116,0;--spectrum-chartreuse-900:rgba(var(--spectrum-chartreuse-900-rgb));--spectrum-chartreuse-1000-rgb:72,96,0;--spectrum-chartreuse-1000:rgba(var(--spectrum-chartreuse-1000-rgb));--spectrum-chartreuse-1100-rgb:58,77,0;--spectrum-chartreuse-1100:rgba(var(--spectrum-chartreuse-1100-rgb));--spectrum-chartreuse-1200-rgb:44,59,0;--spectrum-chartreuse-1200:rgba(var(--spectrum-chartreuse-1200-rgb));--spectrum-chartreuse-1300-rgb:33,44,0;--spectrum-chartreuse-1300:rgba(var(--spectrum-chartreuse-1300-rgb));--spectrum-chartreuse-1400-rgb:24,31,0;--spectrum-chartreuse-1400:rgba(var(--spectrum-chartreuse-1400-rgb));--spectrum-celery-100-rgb:205,252,191;--spectrum-celery-100:rgba(var(--spectrum-celery-100-rgb));--spectrum-celery-200-rgb:174,246,157;--spectrum-celery-200:rgba(var(--spectrum-celery-200-rgb));--spectrum-celery-300-rgb:150,238,133;--spectrum-celery-300:rgba(var(--spectrum-celery-300-rgb));--spectrum-celery-400-rgb:114,224,106;--spectrum-celery-400:rgba(var(--spectrum-celery-400-rgb));--spectrum-celery-500-rgb:78,207,80;--spectrum-celery-500:rgba(var(--spectrum-celery-500-rgb));--spectrum-celery-600-rgb:39,187,54;--spectrum-celery-600:rgba(var(--spectrum-celery-600-rgb));--spectrum-celery-700-rgb:7,167,33;--spectrum-celery-700:rgba(var(--spectrum-celery-700-rgb));--spectrum-celery-800-rgb:0,145,18;--spectrum-celery-800:rgba(var(--spectrum-celery-800-rgb));--spectrum-celery-900-rgb:0,124,15;--spectrum-celery-900:rgba(var(--spectrum-celery-900-rgb));--spectrum-celery-1000-rgb:0,103,15;--spectrum-celery-1000:rgba(var(--spectrum-celery-1000-rgb));--spectrum-celery-1100-rgb:0,83,13;--spectrum-celery-1100:rgba(var(--spectrum-celery-1100-rgb));--spectrum-celery-1200-rgb:0,64,10;--spectrum-celery-1200:rgba(var(--spectrum-celery-1200-rgb));--spectrum-celery-1300-rgb:0,48,7;--spectrum-celery-1300:rgba(var(--spectrum-celery-1300-rgb));--spectrum-celery-1400-rgb:0,34,5;--spectrum-celery-1400:rgba(var(--spectrum-celery-1400-rgb));--spectrum-green-100-rgb:206,248,224;--spectrum-green-100:rgba(var(--spectrum-green-100-rgb));--spectrum-green-200-rgb:173,244,206;--spectrum-green-200:rgba(var(--spectrum-green-200-rgb));--spectrum-green-300-rgb:137,236,188;--spectrum-green-300:rgba(var(--spectrum-green-300-rgb));--spectrum-green-400-rgb:103,222,168;--spectrum-green-400:rgba(var(--spectrum-green-400-rgb));--spectrum-green-500-rgb:73,204,147;--spectrum-green-500:rgba(var(--spectrum-green-500-rgb));--spectrum-green-600-rgb:47,184,128;--spectrum-green-600:rgba(var(--spectrum-green-600-rgb));--spectrum-green-700-rgb:21,164,110;--spectrum-green-700:rgba(var(--spectrum-green-700-rgb));--spectrum-green-800-rgb:0,143,93;--spectrum-green-800:rgba(var(--spectrum-green-800-rgb));--spectrum-green-900-rgb:0,122,77;--spectrum-green-900:rgba(var(--spectrum-green-900-rgb));--spectrum-green-1000-rgb:0,101,62;--spectrum-green-1000:rgba(var(--spectrum-green-1000-rgb));--spectrum-green-1100-rgb:0,81,50;--spectrum-green-1100:rgba(var(--spectrum-green-1100-rgb));--spectrum-green-1200-rgb:5,63,39;--spectrum-green-1200:rgba(var(--spectrum-green-1200-rgb));--spectrum-green-1300-rgb:10,46,29;--spectrum-green-1300:rgba(var(--spectrum-green-1300-rgb));--spectrum-green-1400-rgb:10,32,21;--spectrum-green-1400:rgba(var(--spectrum-green-1400-rgb));--spectrum-seafoam-100-rgb:206,247,243;--spectrum-seafoam-100:rgba(var(--spectrum-seafoam-100-rgb));--spectrum-seafoam-200-rgb:170,241,234;--spectrum-seafoam-200:rgba(var(--spectrum-seafoam-200-rgb));--spectrum-seafoam-300-rgb:140,233,226;--spectrum-seafoam-300:rgba(var(--spectrum-seafoam-300-rgb));--spectrum-seafoam-400-rgb:101,218,210;--spectrum-seafoam-400:rgba(var(--spectrum-seafoam-400-rgb));--spectrum-seafoam-500-rgb:63,201,193;--spectrum-seafoam-500:rgba(var(--spectrum-seafoam-500-rgb));--spectrum-seafoam-600-rgb:15,181,174;--spectrum-seafoam-600:rgba(var(--spectrum-seafoam-600-rgb));--spectrum-seafoam-700-rgb:0,161,154;--spectrum-seafoam-700:rgba(var(--spectrum-seafoam-700-rgb));--spectrum-seafoam-800-rgb:0,140,135;--spectrum-seafoam-800:rgba(var(--spectrum-seafoam-800-rgb));--spectrum-seafoam-900-rgb:0,119,114;--spectrum-seafoam-900:rgba(var(--spectrum-seafoam-900-rgb));--spectrum-seafoam-1000-rgb:0,99,95;--spectrum-seafoam-1000:rgba(var(--spectrum-seafoam-1000-rgb));--spectrum-seafoam-1100-rgb:12,79,76;--spectrum-seafoam-1100:rgba(var(--spectrum-seafoam-1100-rgb));--spectrum-seafoam-1200-rgb:18,60,58;--spectrum-seafoam-1200:rgba(var(--spectrum-seafoam-1200-rgb));--spectrum-seafoam-1300-rgb:18,44,43;--spectrum-seafoam-1300:rgba(var(--spectrum-seafoam-1300-rgb));--spectrum-seafoam-1400-rgb:15,31,30;--spectrum-seafoam-1400:rgba(var(--spectrum-seafoam-1400-rgb));--spectrum-cyan-100-rgb:197,248,255;--spectrum-cyan-100:rgba(var(--spectrum-cyan-100-rgb));--spectrum-cyan-200-rgb:164,240,255;--spectrum-cyan-200:rgba(var(--spectrum-cyan-200-rgb));--spectrum-cyan-300-rgb:136,231,250;--spectrum-cyan-300:rgba(var(--spectrum-cyan-300-rgb));--spectrum-cyan-400-rgb:96,216,243;--spectrum-cyan-400:rgba(var(--spectrum-cyan-400-rgb));--spectrum-cyan-500-rgb:51,197,232;--spectrum-cyan-500:rgba(var(--spectrum-cyan-500-rgb));--spectrum-cyan-600-rgb:18,176,218;--spectrum-cyan-600:rgba(var(--spectrum-cyan-600-rgb));--spectrum-cyan-700-rgb:1,156,200;--spectrum-cyan-700:rgba(var(--spectrum-cyan-700-rgb));--spectrum-cyan-800-rgb:0,134,180;--spectrum-cyan-800:rgba(var(--spectrum-cyan-800-rgb));--spectrum-cyan-900-rgb:0,113,159;--spectrum-cyan-900:rgba(var(--spectrum-cyan-900-rgb));--spectrum-cyan-1000-rgb:0,93,137;--spectrum-cyan-1000:rgba(var(--spectrum-cyan-1000-rgb));--spectrum-cyan-1100-rgb:0,74,115;--spectrum-cyan-1100:rgba(var(--spectrum-cyan-1100-rgb));--spectrum-cyan-1200-rgb:0,57,93;--spectrum-cyan-1200:rgba(var(--spectrum-cyan-1200-rgb));--spectrum-cyan-1300-rgb:0,42,70;--spectrum-cyan-1300:rgba(var(--spectrum-cyan-1300-rgb));--spectrum-cyan-1400-rgb:0,30,51;--spectrum-cyan-1400:rgba(var(--spectrum-cyan-1400-rgb));--spectrum-indigo-100-rgb:237,238,255;--spectrum-indigo-100:rgba(var(--spectrum-indigo-100-rgb));--spectrum-indigo-200-rgb:224,226,255;--spectrum-indigo-200:rgba(var(--spectrum-indigo-200-rgb));--spectrum-indigo-300-rgb:211,213,255;--spectrum-indigo-300:rgba(var(--spectrum-indigo-300-rgb));--spectrum-indigo-400-rgb:193,196,255;--spectrum-indigo-400:rgba(var(--spectrum-indigo-400-rgb));--spectrum-indigo-500-rgb:172,175,255;--spectrum-indigo-500:rgba(var(--spectrum-indigo-500-rgb));--spectrum-indigo-600-rgb:149,153,255;--spectrum-indigo-600:rgba(var(--spectrum-indigo-600-rgb));--spectrum-indigo-700-rgb:126,132,252;--spectrum-indigo-700:rgba(var(--spectrum-indigo-700-rgb));--spectrum-indigo-800-rgb:104,109,244;--spectrum-indigo-800:rgba(var(--spectrum-indigo-800-rgb));--spectrum-indigo-900-rgb:82,88,228;--spectrum-indigo-900:rgba(var(--spectrum-indigo-900-rgb));--spectrum-indigo-1000-rgb:64,70,202;--spectrum-indigo-1000:rgba(var(--spectrum-indigo-1000-rgb));--spectrum-indigo-1100-rgb:50,54,168;--spectrum-indigo-1100:rgba(var(--spectrum-indigo-1100-rgb));--spectrum-indigo-1200-rgb:38,41,134;--spectrum-indigo-1200:rgba(var(--spectrum-indigo-1200-rgb));--spectrum-indigo-1300-rgb:27,30,100;--spectrum-indigo-1300:rgba(var(--spectrum-indigo-1300-rgb));--spectrum-indigo-1400-rgb:20,22,72;--spectrum-indigo-1400:rgba(var(--spectrum-indigo-1400-rgb));--spectrum-purple-100-rgb:246,235,255;--spectrum-purple-100:rgba(var(--spectrum-purple-100-rgb));--spectrum-purple-200-rgb:238,221,255;--spectrum-purple-200:rgba(var(--spectrum-purple-200-rgb));--spectrum-purple-300-rgb:230,208,255;--spectrum-purple-300:rgba(var(--spectrum-purple-300-rgb));--spectrum-purple-400-rgb:219,187,254;--spectrum-purple-400:rgba(var(--spectrum-purple-400-rgb));--spectrum-purple-500-rgb:204,164,253;--spectrum-purple-500:rgba(var(--spectrum-purple-500-rgb));--spectrum-purple-600-rgb:189,139,252;--spectrum-purple-600:rgba(var(--spectrum-purple-600-rgb));--spectrum-purple-700-rgb:174,114,249;--spectrum-purple-700:rgba(var(--spectrum-purple-700-rgb));--spectrum-purple-800-rgb:157,87,244;--spectrum-purple-800:rgba(var(--spectrum-purple-800-rgb));--spectrum-purple-900-rgb:137,61,231;--spectrum-purple-900:rgba(var(--spectrum-purple-900-rgb));--spectrum-purple-1000-rgb:115,38,211;--spectrum-purple-1000:rgba(var(--spectrum-purple-1000-rgb));--spectrum-purple-1100-rgb:93,19,183;--spectrum-purple-1100:rgba(var(--spectrum-purple-1100-rgb));--spectrum-purple-1200-rgb:71,12,148;--spectrum-purple-1200:rgba(var(--spectrum-purple-1200-rgb));--spectrum-purple-1300-rgb:51,16,106;--spectrum-purple-1300:rgba(var(--spectrum-purple-1300-rgb));--spectrum-purple-1400-rgb:35,15,73;--spectrum-purple-1400:rgba(var(--spectrum-purple-1400-rgb));--spectrum-fuchsia-100-rgb:255,233,252;--spectrum-fuchsia-100:rgba(var(--spectrum-fuchsia-100-rgb));--spectrum-fuchsia-200-rgb:255,218,250;--spectrum-fuchsia-200:rgba(var(--spectrum-fuchsia-200-rgb));--spectrum-fuchsia-300-rgb:254,199,248;--spectrum-fuchsia-300:rgba(var(--spectrum-fuchsia-300-rgb));--spectrum-fuchsia-400-rgb:251,174,246;--spectrum-fuchsia-400:rgba(var(--spectrum-fuchsia-400-rgb));--spectrum-fuchsia-500-rgb:245,146,243;--spectrum-fuchsia-500:rgba(var(--spectrum-fuchsia-500-rgb));--spectrum-fuchsia-600-rgb:237,116,237;--spectrum-fuchsia-600:rgba(var(--spectrum-fuchsia-600-rgb));--spectrum-fuchsia-700-rgb:224,85,226;--spectrum-fuchsia-700:rgba(var(--spectrum-fuchsia-700-rgb));--spectrum-fuchsia-800-rgb:205,58,206;--spectrum-fuchsia-800:rgba(var(--spectrum-fuchsia-800-rgb));--spectrum-fuchsia-900-rgb:182,34,183;--spectrum-fuchsia-900:rgba(var(--spectrum-fuchsia-900-rgb));--spectrum-fuchsia-1000-rgb:157,3,158;--spectrum-fuchsia-1000:rgba(var(--spectrum-fuchsia-1000-rgb));--spectrum-fuchsia-1100-rgb:128,0,129;--spectrum-fuchsia-1100:rgba(var(--spectrum-fuchsia-1100-rgb));--spectrum-fuchsia-1200-rgb:100,6,100;--spectrum-fuchsia-1200:rgba(var(--spectrum-fuchsia-1200-rgb));--spectrum-fuchsia-1300-rgb:71,14,70;--spectrum-fuchsia-1300:rgba(var(--spectrum-fuchsia-1300-rgb));--spectrum-fuchsia-1400-rgb:50,13,49;--spectrum-fuchsia-1400:rgba(var(--spectrum-fuchsia-1400-rgb));--spectrum-magenta-100-rgb:255,234,241;--spectrum-magenta-100:rgba(var(--spectrum-magenta-100-rgb));--spectrum-magenta-200-rgb:255,220,232;--spectrum-magenta-200:rgba(var(--spectrum-magenta-200-rgb));--spectrum-magenta-300-rgb:255,202,221;--spectrum-magenta-300:rgba(var(--spectrum-magenta-300-rgb));--spectrum-magenta-400-rgb:255,178,206;--spectrum-magenta-400:rgba(var(--spectrum-magenta-400-rgb));--spectrum-magenta-500-rgb:255,149,189;--spectrum-magenta-500:rgba(var(--spectrum-magenta-500-rgb));--spectrum-magenta-600-rgb:250,119,170;--spectrum-magenta-600:rgba(var(--spectrum-magenta-600-rgb));--spectrum-magenta-700-rgb:239,90,152;--spectrum-magenta-700:rgba(var(--spectrum-magenta-700-rgb));--spectrum-magenta-800-rgb:222,61,130;--spectrum-magenta-800:rgba(var(--spectrum-magenta-800-rgb));--spectrum-magenta-900-rgb:200,34,105;--spectrum-magenta-900:rgba(var(--spectrum-magenta-900-rgb));--spectrum-magenta-1000-rgb:173,9,85;--spectrum-magenta-1000:rgba(var(--spectrum-magenta-1000-rgb));--spectrum-magenta-1100-rgb:142,0,69;--spectrum-magenta-1100:rgba(var(--spectrum-magenta-1100-rgb));--spectrum-magenta-1200-rgb:112,0,55;--spectrum-magenta-1200:rgba(var(--spectrum-magenta-1200-rgb));--spectrum-magenta-1300-rgb:84,3,42;--spectrum-magenta-1300:rgba(var(--spectrum-magenta-1300-rgb));--spectrum-magenta-1400-rgb:60,6,29;--spectrum-magenta-1400:rgba(var(--spectrum-magenta-1400-rgb));--spectrum-icon-color-blue-primary-default:var(--spectrum-blue-900);--spectrum-icon-color-green-primary-default:var(--spectrum-green-900);--spectrum-icon-color-red-primary-default:var(--spectrum-red-900);--spectrum-icon-color-yellow-primary-default:var(--spectrum-yellow-400);--spectrum-menu-item-background-color-default-rgb:0,0,0;--spectrum-menu-item-background-color-default-opacity:0;--spectrum-menu-item-background-color-default:rgba(var(--spectrum-menu-item-background-color-default-rgb),var(--spectrum-menu-item-background-color-default-opacity));--spectrum-menu-item-background-color-hover:var(--spectrum-transparent-black-200);--spectrum-menu-item-background-color-down:var(--spectrum-transparent-black-200);--spectrum-menu-item-background-color-key-focus:var(--spectrum-transparent-black-200);--spectrum-drop-zone-background-color-rgb:var(--spectrum-blue-800-rgb);--spectrum-dropindicator-color:var(--spectrum-blue-800);--spectrum-calendar-day-background-color-selected:rgba(var(--spectrum-blue-900-rgb),.1);--spectrum-calendar-day-background-color-hover:rgba(var(--spectrum-black-rgb),.06);--spectrum-calendar-day-today-background-color-selected-hover:rgba(var(--spectrum-blue-900-rgb),.2);--spectrum-calendar-day-background-color-selected-hover:rgba(var(--spectrum-blue-900-rgb),.2);--spectrum-calendar-day-background-color-down:var(--spectrum-transparent-black-200);--spectrum-calendar-day-background-color-cap-selected:rgba(var(--spectrum-blue-900-rgb),.2);--spectrum-calendar-day-background-color-key-focus:rgba(var(--spectrum-black-rgb),.06);--spectrum-calendar-day-border-color-key-focus:var(--spectrum-blue-800);--spectrum-badge-label-icon-color-primary:var(--spectrum-white);--spectrum-coach-indicator-ring-default-color:var(--spectrum-blue-800);--spectrum-coach-indicator-ring-dark-color:var(--spectrum-gray-900);--spectrum-coach-indicator-ring-light-color:var(--spectrum-gray-50);--spectrum-well-border-color:var(--spectrum-black-rgb);--spectrum-steplist-current-marker-color-key-focus:var(--spectrum-blue-800);--spectrum-treeview-item-background-color-quiet-selected:rgba(var(--spectrum-gray-900-rgb),.06);--spectrum-treeview-item-background-color-selected:rgba(var(--spectrum-blue-900-rgb),.1);--spectrum-logic-button-and-background-color:var(--spectrum-blue-900);--spectrum-logic-button-and-border-color:var(--spectrum-blue-900);--spectrum-logic-button-and-background-color-hover:var(--spectrum-blue-1100);--spectrum-logic-button-and-border-color-hover:var(--spectrum-blue-1100);--spectrum-logic-button-or-background-color:var(--spectrum-magenta-900);--spectrum-logic-button-or-border-color:var(--spectrum-magenta-900);--spectrum-logic-button-or-background-color-hover:var(--spectrum-magenta-1100);--spectrum-logic-button-or-border-color-hover:var(--spectrum-magenta-1100);--spectrum-assetcard-border-color-selected:var(--spectrum-blue-900);--spectrum-assetcard-border-color-selected-hover:var(--spectrum-blue-900);--spectrum-assetcard-border-color-selected-down:var(--spectrum-blue-1000);--spectrum-assetcard-selectionindicator-background-color-ordered:var(--spectrum-blue-900);--spectrum-assestcard-focus-indicator-color:var(--spectrum-blue-800);--spectrum-assetlist-item-background-color-selected-hover:rgba(var(--spectrum-blue-900-rgb),.2);--spectrum-assetlist-item-background-color-selected:rgba(var(--spectrum-blue-900-rgb),.1);--spectrum-assetlist-border-color-key-focus:var(--spectrum-blue-800)}\n"
    ]);
    _templateObject$j = function _templateObject() {
        return data;
    };
    return data;
}
var e$9 = i$p(_templateObject$j());
var r$4 = e$9;

function _tagged_template_literal$i(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$i() {
    var data = _tagged_template_literal$i([
        '\n            /*!\nCopyright 2023 Adobe. All rights reserved.\nThis file is licensed to you under the Apache License, Version 2.0 (the "License");\nyou may not use this file except in compliance with the License. You may obtain a copy\nof the License at http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software distributed under\nthe License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS\nOF ANY KIND, either express or implied. See the License for the specific language\ngoverning permissions and limitations under the License.\n*/\n:root,:host{--spectrum-global-animation-linear:cubic-bezier(0,0,1,1);--spectrum-global-animation-duration-0:0s;--spectrum-global-animation-duration-100:.13s;--spectrum-global-animation-duration-200:.16s;--spectrum-global-animation-duration-300:.19s;--spectrum-global-animation-duration-400:.22s;--spectrum-global-animation-duration-500:.25s;--spectrum-global-animation-duration-600:.3s;--spectrum-global-animation-duration-700:.35s;--spectrum-global-animation-duration-800:.4s;--spectrum-global-animation-duration-900:.45s;--spectrum-global-animation-duration-1000:.5s;--spectrum-global-animation-duration-2000:1s;--spectrum-global-animation-duration-4000:2s;--spectrum-global-animation-ease-in-out:cubic-bezier(.45,0,.4,1);--spectrum-global-animation-ease-in:cubic-bezier(.5,0,1,1);--spectrum-global-animation-ease-out:cubic-bezier(0,0,.4,1);--spectrum-global-animation-ease-linear:cubic-bezier(0,0,1,1);--spectrum-global-color-status:Verified;--spectrum-global-color-version:5.1;--spectrum-global-color-static-black-rgb:0,0,0;--spectrum-global-color-static-black:rgb(var(--spectrum-global-color-static-black-rgb));--spectrum-global-color-static-white-rgb:255,255,255;--spectrum-global-color-static-white:rgb(var(--spectrum-global-color-static-white-rgb));--spectrum-global-color-static-blue-rgb:0,87,191;--spectrum-global-color-static-blue:rgb(var(--spectrum-global-color-static-blue-rgb));--spectrum-global-color-static-gray-50-rgb:255,255,255;--spectrum-global-color-static-gray-50:rgb(var(--spectrum-global-color-static-gray-50-rgb));--spectrum-global-color-static-gray-75-rgb:255,255,255;--spectrum-global-color-static-gray-75:rgb(var(--spectrum-global-color-static-gray-75-rgb));--spectrum-global-color-static-gray-100-rgb:255,255,255;--spectrum-global-color-static-gray-100:rgb(var(--spectrum-global-color-static-gray-100-rgb));--spectrum-global-color-static-gray-200-rgb:235,235,235;--spectrum-global-color-static-gray-200:rgb(var(--spectrum-global-color-static-gray-200-rgb));--spectrum-global-color-static-gray-300-rgb:217,217,217;--spectrum-global-color-static-gray-300:rgb(var(--spectrum-global-color-static-gray-300-rgb));--spectrum-global-color-static-gray-400-rgb:179,179,179;--spectrum-global-color-static-gray-400:rgb(var(--spectrum-global-color-static-gray-400-rgb));--spectrum-global-color-static-gray-500-rgb:146,146,146;--spectrum-global-color-static-gray-500:rgb(var(--spectrum-global-color-static-gray-500-rgb));--spectrum-global-color-static-gray-600-rgb:110,110,110;--spectrum-global-color-static-gray-600:rgb(var(--spectrum-global-color-static-gray-600-rgb));--spectrum-global-color-static-gray-700-rgb:71,71,71;--spectrum-global-color-static-gray-700:rgb(var(--spectrum-global-color-static-gray-700-rgb));--spectrum-global-color-static-gray-800-rgb:34,34,34;--spectrum-global-color-static-gray-800:rgb(var(--spectrum-global-color-static-gray-800-rgb));--spectrum-global-color-static-gray-900-rgb:0,0,0;--spectrum-global-color-static-gray-900:rgb(var(--spectrum-global-color-static-gray-900-rgb));--spectrum-global-color-static-red-400-rgb:237,64,48;--spectrum-global-color-static-red-400:rgb(var(--spectrum-global-color-static-red-400-rgb));--spectrum-global-color-static-red-500-rgb:217,28,21;--spectrum-global-color-static-red-500:rgb(var(--spectrum-global-color-static-red-500-rgb));--spectrum-global-color-static-red-600-rgb:187,2,2;--spectrum-global-color-static-red-600:rgb(var(--spectrum-global-color-static-red-600-rgb));--spectrum-global-color-static-red-700-rgb:154,0,0;--spectrum-global-color-static-red-700:rgb(var(--spectrum-global-color-static-red-700-rgb));--spectrum-global-color-static-red-800-rgb:124,0,0;--spectrum-global-color-static-red-800:rgb(var(--spectrum-global-color-static-red-800-rgb));--spectrum-global-color-static-orange-400-rgb:250,139,26;--spectrum-global-color-static-orange-400:rgb(var(--spectrum-global-color-static-orange-400-rgb));--spectrum-global-color-static-orange-500-rgb:233,117,0;--spectrum-global-color-static-orange-500:rgb(var(--spectrum-global-color-static-orange-500-rgb));--spectrum-global-color-static-orange-600-rgb:209,97,0;--spectrum-global-color-static-orange-600:rgb(var(--spectrum-global-color-static-orange-600-rgb));--spectrum-global-color-static-orange-700-rgb:182,80,0;--spectrum-global-color-static-orange-700:rgb(var(--spectrum-global-color-static-orange-700-rgb));--spectrum-global-color-static-orange-800-rgb:155,64,0;--spectrum-global-color-static-orange-800:rgb(var(--spectrum-global-color-static-orange-800-rgb));--spectrum-global-color-static-yellow-200-rgb:250,237,123;--spectrum-global-color-static-yellow-200:rgb(var(--spectrum-global-color-static-yellow-200-rgb));--spectrum-global-color-static-yellow-300-rgb:250,224,23;--spectrum-global-color-static-yellow-300:rgb(var(--spectrum-global-color-static-yellow-300-rgb));--spectrum-global-color-static-yellow-400-rgb:238,205,0;--spectrum-global-color-static-yellow-400:rgb(var(--spectrum-global-color-static-yellow-400-rgb));--spectrum-global-color-static-yellow-500-rgb:221,185,0;--spectrum-global-color-static-yellow-500:rgb(var(--spectrum-global-color-static-yellow-500-rgb));--spectrum-global-color-static-yellow-600-rgb:201,164,0;--spectrum-global-color-static-yellow-600:rgb(var(--spectrum-global-color-static-yellow-600-rgb));--spectrum-global-color-static-yellow-700-rgb:181,144,0;--spectrum-global-color-static-yellow-700:rgb(var(--spectrum-global-color-static-yellow-700-rgb));--spectrum-global-color-static-yellow-800-rgb:160,125,0;--spectrum-global-color-static-yellow-800:rgb(var(--spectrum-global-color-static-yellow-800-rgb));--spectrum-global-color-static-chartreuse-300-rgb:176,222,27;--spectrum-global-color-static-chartreuse-300:rgb(var(--spectrum-global-color-static-chartreuse-300-rgb));--spectrum-global-color-static-chartreuse-400-rgb:157,203,13;--spectrum-global-color-static-chartreuse-400:rgb(var(--spectrum-global-color-static-chartreuse-400-rgb));--spectrum-global-color-static-chartreuse-500-rgb:139,182,4;--spectrum-global-color-static-chartreuse-500:rgb(var(--spectrum-global-color-static-chartreuse-500-rgb));--spectrum-global-color-static-chartreuse-600-rgb:122,162,0;--spectrum-global-color-static-chartreuse-600:rgb(var(--spectrum-global-color-static-chartreuse-600-rgb));--spectrum-global-color-static-chartreuse-700-rgb:106,141,0;--spectrum-global-color-static-chartreuse-700:rgb(var(--spectrum-global-color-static-chartreuse-700-rgb));--spectrum-global-color-static-chartreuse-800-rgb:90,120,0;--spectrum-global-color-static-chartreuse-800:rgb(var(--spectrum-global-color-static-chartreuse-800-rgb));--spectrum-global-color-static-celery-200-rgb:126,229,114;--spectrum-global-color-static-celery-200:rgb(var(--spectrum-global-color-static-celery-200-rgb));--spectrum-global-color-static-celery-300-rgb:87,212,86;--spectrum-global-color-static-celery-300:rgb(var(--spectrum-global-color-static-celery-300-rgb));--spectrum-global-color-static-celery-400-rgb:48,193,61;--spectrum-global-color-static-celery-400:rgb(var(--spectrum-global-color-static-celery-400-rgb));--spectrum-global-color-static-celery-500-rgb:15,172,38;--spectrum-global-color-static-celery-500:rgb(var(--spectrum-global-color-static-celery-500-rgb));--spectrum-global-color-static-celery-600-rgb:0,150,20;--spectrum-global-color-static-celery-600:rgb(var(--spectrum-global-color-static-celery-600-rgb));--spectrum-global-color-static-celery-700-rgb:0,128,15;--spectrum-global-color-static-celery-700:rgb(var(--spectrum-global-color-static-celery-700-rgb));--spectrum-global-color-static-celery-800-rgb:0,107,15;--spectrum-global-color-static-celery-800:rgb(var(--spectrum-global-color-static-celery-800-rgb));--spectrum-global-color-static-green-400-rgb:29,169,115;--spectrum-global-color-static-green-400:rgb(var(--spectrum-global-color-static-green-400-rgb));--spectrum-global-color-static-green-500-rgb:0,148,97;--spectrum-global-color-static-green-500:rgb(var(--spectrum-global-color-static-green-500-rgb));--spectrum-global-color-static-green-600-rgb:0,126,80;--spectrum-global-color-static-green-600:rgb(var(--spectrum-global-color-static-green-600-rgb));--spectrum-global-color-static-green-700-rgb:0,105,65;--spectrum-global-color-static-green-700:rgb(var(--spectrum-global-color-static-green-700-rgb));--spectrum-global-color-static-green-800-rgb:0,86,53;--spectrum-global-color-static-green-800:rgb(var(--spectrum-global-color-static-green-800-rgb));--spectrum-global-color-static-seafoam-200-rgb:75,206,199;--spectrum-global-color-static-seafoam-200:rgb(var(--spectrum-global-color-static-seafoam-200-rgb));--spectrum-global-color-static-seafoam-300-rgb:32,187,180;--spectrum-global-color-static-seafoam-300:rgb(var(--spectrum-global-color-static-seafoam-300-rgb));--spectrum-global-color-static-seafoam-400-rgb:0,166,160;--spectrum-global-color-static-seafoam-400:rgb(var(--spectrum-global-color-static-seafoam-400-rgb));--spectrum-global-color-static-seafoam-500-rgb:0,145,139;--spectrum-global-color-static-seafoam-500:rgb(var(--spectrum-global-color-static-seafoam-500-rgb));--spectrum-global-color-static-seafoam-600-rgb:0,124,118;--spectrum-global-color-static-seafoam-600:rgb(var(--spectrum-global-color-static-seafoam-600-rgb));--spectrum-global-color-static-seafoam-700-rgb:0,103,99;--spectrum-global-color-static-seafoam-700:rgb(var(--spectrum-global-color-static-seafoam-700-rgb));--spectrum-global-color-static-seafoam-800-rgb:10,83,80;--spectrum-global-color-static-seafoam-800:rgb(var(--spectrum-global-color-static-seafoam-800-rgb));--spectrum-global-color-static-blue-200-rgb:130,193,251;--spectrum-global-color-static-blue-200:rgb(var(--spectrum-global-color-static-blue-200-rgb));--spectrum-global-color-static-blue-300-rgb:98,173,247;--spectrum-global-color-static-blue-300:rgb(var(--spectrum-global-color-static-blue-300-rgb));--spectrum-global-color-static-blue-400-rgb:66,151,244;--spectrum-global-color-static-blue-400:rgb(var(--spectrum-global-color-static-blue-400-rgb));--spectrum-global-color-static-blue-500-rgb:27,127,245;--spectrum-global-color-static-blue-500:rgb(var(--spectrum-global-color-static-blue-500-rgb));--spectrum-global-color-static-blue-600-rgb:4,105,227;--spectrum-global-color-static-blue-600:rgb(var(--spectrum-global-color-static-blue-600-rgb));--spectrum-global-color-static-blue-700-rgb:0,87,190;--spectrum-global-color-static-blue-700:rgb(var(--spectrum-global-color-static-blue-700-rgb));--spectrum-global-color-static-blue-800-rgb:0,72,153;--spectrum-global-color-static-blue-800:rgb(var(--spectrum-global-color-static-blue-800-rgb));--spectrum-global-color-static-indigo-200-rgb:178,181,255;--spectrum-global-color-static-indigo-200:rgb(var(--spectrum-global-color-static-indigo-200-rgb));--spectrum-global-color-static-indigo-300-rgb:155,159,255;--spectrum-global-color-static-indigo-300:rgb(var(--spectrum-global-color-static-indigo-300-rgb));--spectrum-global-color-static-indigo-400-rgb:132,137,253;--spectrum-global-color-static-indigo-400:rgb(var(--spectrum-global-color-static-indigo-400-rgb));--spectrum-global-color-static-indigo-500-rgb:109,115,246;--spectrum-global-color-static-indigo-500:rgb(var(--spectrum-global-color-static-indigo-500-rgb));--spectrum-global-color-static-indigo-600-rgb:87,93,232;--spectrum-global-color-static-indigo-600:rgb(var(--spectrum-global-color-static-indigo-600-rgb));--spectrum-global-color-static-indigo-700-rgb:68,74,208;--spectrum-global-color-static-indigo-700:rgb(var(--spectrum-global-color-static-indigo-700-rgb));--spectrum-global-color-static-indigo-800-rgb:68,74,208;--spectrum-global-color-static-indigo-800:rgb(var(--spectrum-global-color-static-indigo-800-rgb));--spectrum-global-color-static-purple-400-rgb:178,121,250;--spectrum-global-color-static-purple-400:rgb(var(--spectrum-global-color-static-purple-400-rgb));--spectrum-global-color-static-purple-500-rgb:161,93,246;--spectrum-global-color-static-purple-500:rgb(var(--spectrum-global-color-static-purple-500-rgb));--spectrum-global-color-static-purple-600-rgb:142,67,234;--spectrum-global-color-static-purple-600:rgb(var(--spectrum-global-color-static-purple-600-rgb));--spectrum-global-color-static-purple-700-rgb:120,43,216;--spectrum-global-color-static-purple-700:rgb(var(--spectrum-global-color-static-purple-700-rgb));--spectrum-global-color-static-purple-800-rgb:98,23,190;--spectrum-global-color-static-purple-800:rgb(var(--spectrum-global-color-static-purple-800-rgb));--spectrum-global-color-static-fuchsia-400-rgb:228,93,230;--spectrum-global-color-static-fuchsia-400:rgb(var(--spectrum-global-color-static-fuchsia-400-rgb));--spectrum-global-color-static-fuchsia-500-rgb:211,63,212;--spectrum-global-color-static-fuchsia-500:rgb(var(--spectrum-global-color-static-fuchsia-500-rgb));--spectrum-global-color-static-fuchsia-600-rgb:188,39,187;--spectrum-global-color-static-fuchsia-600:rgb(var(--spectrum-global-color-static-fuchsia-600-rgb));--spectrum-global-color-static-fuchsia-700-rgb:163,10,163;--spectrum-global-color-static-fuchsia-700:rgb(var(--spectrum-global-color-static-fuchsia-700-rgb));--spectrum-global-color-static-fuchsia-800-rgb:135,0,136;--spectrum-global-color-static-fuchsia-800:rgb(var(--spectrum-global-color-static-fuchsia-800-rgb));--spectrum-global-color-static-magenta-200-rgb:253,127,175;--spectrum-global-color-static-magenta-200:rgb(var(--spectrum-global-color-static-magenta-200-rgb));--spectrum-global-color-static-magenta-300-rgb:242,98,157;--spectrum-global-color-static-magenta-300:rgb(var(--spectrum-global-color-static-magenta-300-rgb));--spectrum-global-color-static-magenta-400-rgb:226,68,135;--spectrum-global-color-static-magenta-400:rgb(var(--spectrum-global-color-static-magenta-400-rgb));--spectrum-global-color-static-magenta-500-rgb:205,40,111;--spectrum-global-color-static-magenta-500:rgb(var(--spectrum-global-color-static-magenta-500-rgb));--spectrum-global-color-static-magenta-600-rgb:179,15,89;--spectrum-global-color-static-magenta-600:rgb(var(--spectrum-global-color-static-magenta-600-rgb));--spectrum-global-color-static-magenta-700-rgb:149,0,72;--spectrum-global-color-static-magenta-700:rgb(var(--spectrum-global-color-static-magenta-700-rgb));--spectrum-global-color-static-magenta-800-rgb:119,0,58;--spectrum-global-color-static-magenta-800:rgb(var(--spectrum-global-color-static-magenta-800-rgb));--spectrum-global-color-static-transparent-white-200:#ffffff1a;--spectrum-global-color-static-transparent-white-300:#ffffff40;--spectrum-global-color-static-transparent-white-400:#fff6;--spectrum-global-color-static-transparent-white-500:#ffffff8c;--spectrum-global-color-static-transparent-white-600:#ffffffb3;--spectrum-global-color-static-transparent-white-700:#fffc;--spectrum-global-color-static-transparent-white-800:#ffffffe6;--spectrum-global-color-static-transparent-white-900-rgb:255,255,255;--spectrum-global-color-static-transparent-white-900:rgb(var(--spectrum-global-color-static-transparent-white-900-rgb));--spectrum-global-color-static-transparent-black-200:#0000001a;--spectrum-global-color-static-transparent-black-300:#00000040;--spectrum-global-color-static-transparent-black-400:#0006;--spectrum-global-color-static-transparent-black-500:#0000008c;--spectrum-global-color-static-transparent-black-600:#000000b3;--spectrum-global-color-static-transparent-black-700:#000c;--spectrum-global-color-static-transparent-black-800:#000000e6;--spectrum-global-color-static-transparent-black-900-rgb:0,0,0;--spectrum-global-color-static-transparent-black-900:rgb(var(--spectrum-global-color-static-transparent-black-900-rgb));--spectrum-global-color-sequential-cerulean:#e9fff1,#c8f1e4,#a5e3d7,#82d5ca,#68c5c1,#54b4ba,#3fa2b2,#2991ac,#2280a2,#1f6d98,#1d5c8d,#1a4b83,#1a3979,#1a266f,#191264,#180057;--spectrum-global-color-sequential-forest:#ffffdf,#e2f6ba,#c4eb95,#a4e16d,#8dd366,#77c460,#5fb65a,#48a754,#36984f,#2c894d,#237a4a,#196b47,#105c45,#094d41,#033f3e,#00313a;--spectrum-global-color-sequential-rose:#fff4dd,#ffddd7,#ffc5d2,#feaecb,#fa96c4,#f57ebd,#ef64b5,#e846ad,#d238a1,#bb2e96,#a3248c,#8a1b83,#71167c,#560f74,#370b6e,#000968;--spectrum-global-color-diverging-orange-yellow-seafoam:#580000,#79260b,#9c4511,#bd651a,#dd8629,#f5ad52,#fed693,#ffffe0,#bbe4d1,#76c7be,#3ea8a6,#208288,#076769,#00494b,#002c2d;--spectrum-global-color-diverging-red-yellow-blue:#4a001e,#751232,#a52747,#c65154,#e47961,#f0a882,#fad4ac,#ffffe0,#bce2cf,#89c0c4,#579eb9,#397aa8,#1c5796,#163771,#10194d;--spectrum-global-color-diverging-red-blue:#4a001e,#731331,#9f2945,#cc415a,#e06e85,#ed9ab0,#f8c3d9,#faf0ff,#c6d0f2,#92b2de,#5d94cb,#2f74b3,#265191,#163670,#0b194c;--spectrum-semantic-negative-background-color:var(--spectrum-global-color-static-red-600);--spectrum-semantic-negative-color-default:var(--spectrum-global-color-red-500);--spectrum-semantic-negative-color-hover:var(--spectrum-global-color-red-600);--spectrum-semantic-negative-color-dark:var(--spectrum-global-color-red-600);--spectrum-semantic-negative-border-color:var(--spectrum-global-color-red-400);--spectrum-semantic-negative-icon-color:var(--spectrum-global-color-red-600);--spectrum-semantic-negative-status-color:var(--spectrum-global-color-red-400);--spectrum-semantic-negative-text-color-large:var(--spectrum-global-color-red-500);--spectrum-semantic-negative-text-color-small:var(--spectrum-global-color-red-600);--spectrum-semantic-negative-text-color-small-hover:var(--spectrum-global-color-red-700);--spectrum-semantic-negative-text-color-small-down:var(--spectrum-global-color-red-700);--spectrum-semantic-negative-text-color-small-key-focus:var(--spectrum-global-color-red-600);--spectrum-semantic-negative-color-down:var(--spectrum-global-color-red-700);--spectrum-semantic-negative-color-key-focus:var(--spectrum-global-color-red-400);--spectrum-semantic-negative-background-color-default:var(--spectrum-global-color-static-red-600);--spectrum-semantic-negative-background-color-hover:var(--spectrum-global-color-static-red-700);--spectrum-semantic-negative-background-color-down:var(--spectrum-global-color-static-red-800);--spectrum-semantic-negative-background-color-key-focus:var(--spectrum-global-color-static-red-700);--spectrum-semantic-notice-background-color:var(--spectrum-global-color-static-orange-600);--spectrum-semantic-notice-color-default:var(--spectrum-global-color-orange-500);--spectrum-semantic-notice-color-dark:var(--spectrum-global-color-orange-600);--spectrum-semantic-notice-border-color:var(--spectrum-global-color-orange-400);--spectrum-semantic-notice-icon-color:var(--spectrum-global-color-orange-600);--spectrum-semantic-notice-status-color:var(--spectrum-global-color-orange-400);--spectrum-semantic-notice-text-color-large:var(--spectrum-global-color-orange-500);--spectrum-semantic-notice-text-color-small:var(--spectrum-global-color-orange-600);--spectrum-semantic-notice-color-down:var(--spectrum-global-color-orange-700);--spectrum-semantic-notice-color-key-focus:var(--spectrum-global-color-orange-400);--spectrum-semantic-notice-background-color-default:var(--spectrum-global-color-static-orange-600);--spectrum-semantic-notice-background-color-hover:var(--spectrum-global-color-static-orange-700);--spectrum-semantic-notice-background-color-down:var(--spectrum-global-color-static-orange-800);--spectrum-semantic-notice-background-color-key-focus:var(--spectrum-global-color-static-orange-700);--spectrum-semantic-positive-background-color:var(--spectrum-global-color-static-green-600);--spectrum-semantic-positive-color-default:var(--spectrum-global-color-green-500);--spectrum-semantic-positive-color-dark:var(--spectrum-global-color-green-600);--spectrum-semantic-positive-border-color:var(--spectrum-global-color-green-400);--spectrum-semantic-positive-icon-color:var(--spectrum-global-color-green-600);--spectrum-semantic-positive-status-color:var(--spectrum-global-color-green-400);--spectrum-semantic-positive-text-color-large:var(--spectrum-global-color-green-500);--spectrum-semantic-positive-text-color-small:var(--spectrum-global-color-green-600);--spectrum-semantic-positive-color-down:var(--spectrum-global-color-green-700);--spectrum-semantic-positive-color-key-focus:var(--spectrum-global-color-green-400);--spectrum-semantic-positive-background-color-default:var(--spectrum-global-color-static-green-600);--spectrum-semantic-positive-background-color-hover:var(--spectrum-global-color-static-green-700);--spectrum-semantic-positive-background-color-down:var(--spectrum-global-color-static-green-800);--spectrum-semantic-positive-background-color-key-focus:var(--spectrum-global-color-static-green-700);--spectrum-semantic-informative-background-color:var(--spectrum-global-color-static-blue-600);--spectrum-semantic-informative-color-default:var(--spectrum-global-color-blue-500);--spectrum-semantic-informative-color-dark:var(--spectrum-global-color-blue-600);--spectrum-semantic-informative-border-color:var(--spectrum-global-color-blue-400);--spectrum-semantic-informative-icon-color:var(--spectrum-global-color-blue-600);--spectrum-semantic-informative-status-color:var(--spectrum-global-color-blue-400);--spectrum-semantic-informative-text-color-large:var(--spectrum-global-color-blue-500);--spectrum-semantic-informative-text-color-small:var(--spectrum-global-color-blue-600);--spectrum-semantic-informative-color-down:var(--spectrum-global-color-blue-700);--spectrum-semantic-informative-color-key-focus:var(--spectrum-global-color-blue-400);--spectrum-semantic-informative-background-color-default:var(--spectrum-global-color-static-blue-600);--spectrum-semantic-informative-background-color-hover:var(--spectrum-global-color-static-blue-700);--spectrum-semantic-informative-background-color-down:var(--spectrum-global-color-static-blue-800);--spectrum-semantic-informative-background-color-key-focus:var(--spectrum-global-color-static-blue-700);--spectrum-semantic-cta-background-color-default:var(--spectrum-global-color-static-blue-600);--spectrum-semantic-cta-background-color-hover:var(--spectrum-global-color-static-blue-700);--spectrum-semantic-cta-background-color-down:var(--spectrum-global-color-static-blue-800);--spectrum-semantic-cta-background-color-key-focus:var(--spectrum-global-color-static-blue-700);--spectrum-semantic-emphasized-border-color-default:var(--spectrum-global-color-blue-500);--spectrum-semantic-emphasized-border-color-hover:var(--spectrum-global-color-blue-600);--spectrum-semantic-emphasized-border-color-down:var(--spectrum-global-color-blue-700);--spectrum-semantic-emphasized-border-color-key-focus:var(--spectrum-global-color-blue-600);--spectrum-semantic-neutral-background-color-default:var(--spectrum-global-color-static-gray-700);--spectrum-semantic-neutral-background-color-hover:var(--spectrum-global-color-static-gray-800);--spectrum-semantic-neutral-background-color-down:var(--spectrum-global-color-static-gray-900);--spectrum-semantic-neutral-background-color-key-focus:var(--spectrum-global-color-static-gray-800);--spectrum-semantic-presence-color-1:var(--spectrum-global-color-static-red-500);--spectrum-semantic-presence-color-2:var(--spectrum-global-color-static-orange-400);--spectrum-semantic-presence-color-3:var(--spectrum-global-color-static-yellow-400);--spectrum-semantic-presence-color-4-rgb:75,204,162;--spectrum-semantic-presence-color-4:rgb(var(--spectrum-semantic-presence-color-4-rgb));--spectrum-semantic-presence-color-5-rgb:0,199,255;--spectrum-semantic-presence-color-5:rgb(var(--spectrum-semantic-presence-color-5-rgb));--spectrum-semantic-presence-color-6-rgb:0,140,184;--spectrum-semantic-presence-color-6:rgb(var(--spectrum-semantic-presence-color-6-rgb));--spectrum-semantic-presence-color-7-rgb:126,75,243;--spectrum-semantic-presence-color-7:rgb(var(--spectrum-semantic-presence-color-7-rgb));--spectrum-semantic-presence-color-8:var(--spectrum-global-color-static-fuchsia-600);--spectrum-global-dimension-static-percent-50:50%;--spectrum-global-dimension-static-percent-70:70%;--spectrum-global-dimension-static-percent-100:100%;--spectrum-global-dimension-static-breakpoint-xsmall:304px;--spectrum-global-dimension-static-breakpoint-small:768px;--spectrum-global-dimension-static-breakpoint-medium:1280px;--spectrum-global-dimension-static-breakpoint-large:1768px;--spectrum-global-dimension-static-breakpoint-xlarge:2160px;--spectrum-global-dimension-static-grid-columns:12;--spectrum-global-dimension-static-grid-fluid-width:100%;--spectrum-global-dimension-static-grid-fixed-max-width:1280px;--spectrum-global-dimension-static-size-0:0px;--spectrum-global-dimension-static-size-10:1px;--spectrum-global-dimension-static-size-25:2px;--spectrum-global-dimension-static-size-40:3px;--spectrum-global-dimension-static-size-50:4px;--spectrum-global-dimension-static-size-65:5px;--spectrum-global-dimension-static-size-75:6px;--spectrum-global-dimension-static-size-85:7px;--spectrum-global-dimension-static-size-100:8px;--spectrum-global-dimension-static-size-115:9px;--spectrum-global-dimension-static-size-125:10px;--spectrum-global-dimension-static-size-130:11px;--spectrum-global-dimension-static-size-150:12px;--spectrum-global-dimension-static-size-160:13px;--spectrum-global-dimension-static-size-175:14px;--spectrum-global-dimension-static-size-185:15px;--spectrum-global-dimension-static-size-200:16px;--spectrum-global-dimension-static-size-225:18px;--spectrum-global-dimension-static-size-250:20px;--spectrum-global-dimension-static-size-275:22px;--spectrum-global-dimension-static-size-300:24px;--spectrum-global-dimension-static-size-325:26px;--spectrum-global-dimension-static-size-350:28px;--spectrum-global-dimension-static-size-400:32px;--spectrum-global-dimension-static-size-450:36px;--spectrum-global-dimension-static-size-500:40px;--spectrum-global-dimension-static-size-550:44px;--spectrum-global-dimension-static-size-600:48px;--spectrum-global-dimension-static-size-700:56px;--spectrum-global-dimension-static-size-800:64px;--spectrum-global-dimension-static-size-900:72px;--spectrum-global-dimension-static-size-1000:80px;--spectrum-global-dimension-static-size-1200:96px;--spectrum-global-dimension-static-size-1700:136px;--spectrum-global-dimension-static-size-2400:192px;--spectrum-global-dimension-static-size-2500:200px;--spectrum-global-dimension-static-size-2600:208px;--spectrum-global-dimension-static-size-2800:224px;--spectrum-global-dimension-static-size-3200:256px;--spectrum-global-dimension-static-size-3400:272px;--spectrum-global-dimension-static-size-3500:280px;--spectrum-global-dimension-static-size-3600:288px;--spectrum-global-dimension-static-size-3800:304px;--spectrum-global-dimension-static-size-4600:368px;--spectrum-global-dimension-static-size-5000:400px;--spectrum-global-dimension-static-size-6000:480px;--spectrum-global-dimension-static-size-16000:1280px;--spectrum-global-dimension-static-font-size-50:11px;--spectrum-global-dimension-static-font-size-75:12px;--spectrum-global-dimension-static-font-size-100:14px;--spectrum-global-dimension-static-font-size-150:15px;--spectrum-global-dimension-static-font-size-200:16px;--spectrum-global-dimension-static-font-size-300:18px;--spectrum-global-dimension-static-font-size-400:20px;--spectrum-global-dimension-static-font-size-500:22px;--spectrum-global-dimension-static-font-size-600:25px;--spectrum-global-dimension-static-font-size-700:28px;--spectrum-global-dimension-static-font-size-800:32px;--spectrum-global-dimension-static-font-size-900:36px;--spectrum-global-dimension-static-font-size-1000:40px;--spectrum-global-font-family-base:adobe-clean,"Source Sans Pro",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Ubuntu,"Trebuchet MS","Lucida Grande",sans-serif;--spectrum-global-font-family-serif:adobe-clean-serif,"Source Serif Pro",Georgia,serif;--spectrum-global-font-family-code:"Source Code Pro",Monaco,monospace;--spectrum-global-font-weight-thin:100;--spectrum-global-font-weight-ultra-light:200;--spectrum-global-font-weight-light:300;--spectrum-global-font-weight-regular:400;--spectrum-global-font-weight-medium:500;--spectrum-global-font-weight-semi-bold:600;--spectrum-global-font-weight-bold:700;--spectrum-global-font-weight-extra-bold:800;--spectrum-global-font-weight-black:900;--spectrum-global-font-style-regular:normal;--spectrum-global-font-style-italic:italic;--spectrum-global-font-letter-spacing-none:0;--spectrum-global-font-letter-spacing-small:.0125em;--spectrum-global-font-letter-spacing-han:.05em;--spectrum-global-font-letter-spacing-medium:.06em;--spectrum-global-font-line-height-large:1.7;--spectrum-global-font-line-height-medium:1.5;--spectrum-global-font-line-height-small:1.3;--spectrum-global-font-multiplier-0:0em;--spectrum-global-font-multiplier-25:.25em;--spectrum-global-font-multiplier-75:.75em;--spectrum-global-font-font-family-ar:myriad-arabic,adobe-clean,"Source Sans Pro",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Ubuntu,"Trebuchet MS","Lucida Grande",sans-serif;--spectrum-global-font-font-family-he:myriad-hebrew,adobe-clean,"Source Sans Pro",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Ubuntu,"Trebuchet MS","Lucida Grande",sans-serif;--spectrum-global-font-font-family-zh:adobe-clean-han-traditional,source-han-traditional,"MingLiu","Heiti TC Light","sans-serif";--spectrum-global-font-font-family-zhhans:adobe-clean-han-simplified-c,source-han-simplified-c,"SimSun","Heiti SC Light","sans-serif";--spectrum-global-font-font-family-ko:adobe-clean-han-korean,source-han-korean,"Malgun Gothic","Apple Gothic","sans-serif";--spectrum-global-font-font-family-ja:adobe-clean-han-japanese,"Hiragino Kaku Gothic ProN","ヒラギノ角ゴ ProN W3","Osaka",YuGothic,"Yu Gothic","メイリオ",Meiryo,"ＭＳ Ｐゴシック","MS PGothic","sans-serif";--spectrum-global-font-font-family-condensed:adobe-clean-han-traditional,source-han-traditional,"MingLiu","Heiti TC Light",adobe-clean,"Source Sans Pro",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Ubuntu,"Trebuchet MS","Lucida Grande",sans-serif;--spectrum-alias-border-size-thin:var(--spectrum-global-dimension-static-size-10);--spectrum-alias-border-size-thick:var(--spectrum-global-dimension-static-size-25);--spectrum-alias-border-size-thicker:var(--spectrum-global-dimension-static-size-50);--spectrum-alias-border-size-thickest:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-border-offset-thin:var(--spectrum-global-dimension-static-size-25);--spectrum-alias-border-offset-thick:var(--spectrum-global-dimension-static-size-50);--spectrum-alias-border-offset-thicker:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-border-offset-thickest:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-grid-baseline:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-grid-gutter-xsmall:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-grid-gutter-small:var(--spectrum-global-dimension-static-size-300);--spectrum-alias-grid-gutter-medium:var(--spectrum-global-dimension-static-size-400);--spectrum-alias-grid-gutter-large:var(--spectrum-global-dimension-static-size-500);--spectrum-alias-grid-gutter-xlarge:var(--spectrum-global-dimension-static-size-600);--spectrum-alias-grid-margin-xsmall:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-grid-margin-small:var(--spectrum-global-dimension-static-size-300);--spectrum-alias-grid-margin-medium:var(--spectrum-global-dimension-static-size-400);--spectrum-alias-grid-margin-large:var(--spectrum-global-dimension-static-size-500);--spectrum-alias-grid-margin-xlarge:var(--spectrum-global-dimension-static-size-600);--spectrum-alias-grid-layout-region-margin-bottom-xsmall:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-grid-layout-region-margin-bottom-small:var(--spectrum-global-dimension-static-size-300);--spectrum-alias-grid-layout-region-margin-bottom-medium:var(--spectrum-global-dimension-static-size-400);--spectrum-alias-grid-layout-region-margin-bottom-large:var(--spectrum-global-dimension-static-size-500);--spectrum-alias-grid-layout-region-margin-bottom-xlarge:var(--spectrum-global-dimension-static-size-600);--spectrum-alias-radial-reaction-size-default:var(--spectrum-global-dimension-static-size-550);--spectrum-alias-focus-ring-gap:var(--spectrum-global-dimension-static-size-25);--spectrum-alias-focus-ring-size:var(--spectrum-global-dimension-static-size-25);--spectrum-alias-loupe-entry-animation-duration:var(--spectrum-global-animation-duration-300);--spectrum-alias-loupe-exit-animation-duration:var(--spectrum-global-animation-duration-300);--spectrum-alias-heading-text-line-height:var(--spectrum-global-font-line-height-small);--spectrum-alias-heading-text-font-weight-regular:var(--spectrum-global-font-weight-bold);--spectrum-alias-heading-text-font-weight-regular-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-heading-text-font-weight-light:var(--spectrum-global-font-weight-light);--spectrum-alias-heading-text-font-weight-light-strong:var(--spectrum-global-font-weight-bold);--spectrum-alias-heading-text-font-weight-heavy:var(--spectrum-global-font-weight-black);--spectrum-alias-heading-text-font-weight-heavy-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-heading-text-font-weight-quiet:var(--spectrum-global-font-weight-light);--spectrum-alias-heading-text-font-weight-quiet-strong:var(--spectrum-global-font-weight-bold);--spectrum-alias-heading-text-font-weight-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-heading-text-font-weight-strong-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-heading-margin-bottom:var(--spectrum-global-font-multiplier-25);--spectrum-alias-subheading-text-font-weight:var(--spectrum-global-font-weight-bold);--spectrum-alias-subheading-text-font-weight-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-body-text-font-family:var(--spectrum-global-font-family-base);--spectrum-alias-body-text-line-height:var(--spectrum-global-font-line-height-medium);--spectrum-alias-body-text-font-weight:var(--spectrum-global-font-weight-regular);--spectrum-alias-body-text-font-weight-strong:var(--spectrum-global-font-weight-bold);--spectrum-alias-body-margin-bottom:var(--spectrum-global-font-multiplier-75);--spectrum-alias-detail-text-font-weight:var(--spectrum-global-font-weight-bold);--spectrum-alias-detail-text-font-weight-regular:var(--spectrum-global-font-weight-bold);--spectrum-alias-detail-text-font-weight-light:var(--spectrum-global-font-weight-regular);--spectrum-alias-detail-text-font-weight-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-article-heading-text-font-weight:var(--spectrum-global-font-weight-bold);--spectrum-alias-article-heading-text-font-weight-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-article-heading-text-font-weight-quiet:var(--spectrum-global-font-weight-regular);--spectrum-alias-article-heading-text-font-weight-quiet-strong:var(--spectrum-global-font-weight-bold);--spectrum-alias-article-body-text-font-weight:var(--spectrum-global-font-weight-regular);--spectrum-alias-article-body-text-font-weight-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-article-subheading-text-font-weight:var(--spectrum-global-font-weight-bold);--spectrum-alias-article-subheading-text-font-weight-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-article-detail-text-font-weight:var(--spectrum-global-font-weight-regular);--spectrum-alias-article-detail-text-font-weight-strong:var(--spectrum-global-font-weight-bold);--spectrum-alias-code-text-font-family:var(--spectrum-global-font-family-code);--spectrum-alias-code-text-font-weight-regular:var(--spectrum-global-font-weight-regular);--spectrum-alias-code-text-font-weight-strong:var(--spectrum-global-font-weight-bold);--spectrum-alias-code-text-line-height:var(--spectrum-global-font-line-height-medium);--spectrum-alias-code-margin-bottom:var(--spectrum-global-font-multiplier-0);--spectrum-alias-font-family-ar:var(--spectrum-global-font-font-family-ar);--spectrum-alias-font-family-he:var(--spectrum-global-font-font-family-he);--spectrum-alias-font-family-zh:var(--spectrum-global-font-font-family-zh);--spectrum-alias-font-family-zhhans:var(--spectrum-global-font-font-family-zhhans);--spectrum-alias-font-family-ko:var(--spectrum-global-font-font-family-ko);--spectrum-alias-font-family-ja:var(--spectrum-global-font-font-family-ja);--spectrum-alias-font-family-condensed:var(--spectrum-global-font-font-family-condensed);--spectrum-alias-component-text-line-height:var(--spectrum-global-font-line-height-small);--spectrum-alias-han-component-text-line-height:var(--spectrum-global-font-line-height-medium);--spectrum-alias-serif-text-font-family:var(--spectrum-global-font-family-serif);--spectrum-alias-han-heading-text-line-height:var(--spectrum-global-font-line-height-medium);--spectrum-alias-han-heading-text-font-weight-regular:var(--spectrum-global-font-weight-bold);--spectrum-alias-han-heading-text-font-weight-regular-emphasis:var(--spectrum-global-font-weight-extra-bold);--spectrum-alias-han-heading-text-font-weight-regular-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-han-heading-text-font-weight-quiet-strong:var(--spectrum-global-font-weight-bold);--spectrum-alias-han-heading-text-font-weight-light:var(--spectrum-global-font-weight-light);--spectrum-alias-han-heading-text-font-weight-light-emphasis:var(--spectrum-global-font-weight-regular);--spectrum-alias-han-heading-text-font-weight-light-strong:var(--spectrum-global-font-weight-bold);--spectrum-alias-han-heading-text-font-weight-heavy:var(--spectrum-global-font-weight-black);--spectrum-alias-han-heading-text-font-weight-heavy-emphasis:var(--spectrum-global-font-weight-black);--spectrum-alias-han-heading-text-font-weight-heavy-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-han-body-text-line-height:var(--spectrum-global-font-line-height-large);--spectrum-alias-han-body-text-font-weight-regular:var(--spectrum-global-font-weight-regular);--spectrum-alias-han-body-text-font-weight-emphasis:var(--spectrum-global-font-weight-bold);--spectrum-alias-han-body-text-font-weight-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-han-subheading-text-font-weight-regular:var(--spectrum-global-font-weight-bold);--spectrum-alias-han-subheading-text-font-weight-emphasis:var(--spectrum-global-font-weight-extra-bold);--spectrum-alias-han-subheading-text-font-weight-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-han-detail-text-font-weight:var(--spectrum-global-font-weight-regular);--spectrum-alias-han-detail-text-font-weight-emphasis:var(--spectrum-global-font-weight-bold);--spectrum-alias-han-detail-text-font-weight-strong:var(--spectrum-global-font-weight-black);--spectrum-alias-item-height-s:var(--spectrum-global-dimension-size-300);--spectrum-alias-item-height-m:var(--spectrum-global-dimension-size-400);--spectrum-alias-item-height-l:var(--spectrum-global-dimension-size-500);--spectrum-alias-item-height-xl:var(--spectrum-global-dimension-size-600);--spectrum-alias-item-rounded-border-radius-s:var(--spectrum-global-dimension-size-150);--spectrum-alias-item-rounded-border-radius-m:var(--spectrum-global-dimension-size-200);--spectrum-alias-item-rounded-border-radius-l:var(--spectrum-global-dimension-size-250);--spectrum-alias-item-rounded-border-radius-xl:var(--spectrum-global-dimension-size-300);--spectrum-alias-item-text-size-s:var(--spectrum-global-dimension-font-size-75);--spectrum-alias-item-text-size-m:var(--spectrum-global-dimension-font-size-100);--spectrum-alias-item-text-size-l:var(--spectrum-global-dimension-font-size-200);--spectrum-alias-item-text-size-xl:var(--spectrum-global-dimension-font-size-300);--spectrum-alias-item-text-padding-top-s:var(--spectrum-global-dimension-static-size-50);--spectrum-alias-item-text-padding-top-m:var(--spectrum-global-dimension-size-75);--spectrum-alias-item-text-padding-top-xl:var(--spectrum-global-dimension-size-150);--spectrum-alias-item-text-padding-bottom-m:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-text-padding-bottom-l:var(--spectrum-global-dimension-size-130);--spectrum-alias-item-text-padding-bottom-xl:var(--spectrum-global-dimension-size-175);--spectrum-alias-item-icon-padding-top-s:var(--spectrum-global-dimension-size-50);--spectrum-alias-item-icon-padding-top-m:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-icon-padding-top-l:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-icon-padding-top-xl:var(--spectrum-global-dimension-size-160);--spectrum-alias-item-icon-padding-bottom-s:var(--spectrum-global-dimension-size-50);--spectrum-alias-item-icon-padding-bottom-m:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-icon-padding-bottom-l:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-icon-padding-bottom-xl:var(--spectrum-global-dimension-size-160);--spectrum-alias-item-padding-s:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-padding-m:var(--spectrum-global-dimension-size-150);--spectrum-alias-item-padding-l:var(--spectrum-global-dimension-size-185);--spectrum-alias-item-padding-xl:var(--spectrum-global-dimension-size-225);--spectrum-alias-item-rounded-padding-s:var(--spectrum-global-dimension-size-150);--spectrum-alias-item-rounded-padding-m:var(--spectrum-global-dimension-size-200);--spectrum-alias-item-rounded-padding-l:var(--spectrum-global-dimension-size-250);--spectrum-alias-item-rounded-padding-xl:var(--spectrum-global-dimension-size-300);--spectrum-alias-item-icononly-padding-s:var(--spectrum-global-dimension-size-50);--spectrum-alias-item-icononly-padding-m:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-icononly-padding-l:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-icononly-padding-xl:var(--spectrum-global-dimension-size-160);--spectrum-alias-item-control-gap-s:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-control-gap-m:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-control-gap-l:var(--spectrum-global-dimension-size-130);--spectrum-alias-item-control-gap-xl:var(--spectrum-global-dimension-size-160);--spectrum-alias-item-workflow-icon-gap-s:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-workflow-icon-gap-m:var(--spectrum-global-dimension-size-100);--spectrum-alias-item-workflow-icon-gap-l:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-workflow-icon-gap-xl:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-mark-gap-s:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-mark-gap-m:var(--spectrum-global-dimension-size-100);--spectrum-alias-item-mark-gap-l:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-mark-gap-xl:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-ui-icon-gap-s:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-ui-icon-gap-m:var(--spectrum-global-dimension-size-100);--spectrum-alias-item-ui-icon-gap-l:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-ui-icon-gap-xl:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-clearbutton-gap-s:var(--spectrum-global-dimension-size-50);--spectrum-alias-item-clearbutton-gap-m:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-clearbutton-gap-l:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-clearbutton-gap-xl:var(--spectrum-global-dimension-size-150);--spectrum-alias-item-workflow-padding-left-s:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-workflow-padding-left-l:var(--spectrum-global-dimension-size-160);--spectrum-alias-item-workflow-padding-left-xl:var(--spectrum-global-dimension-size-185);--spectrum-alias-item-rounded-workflow-padding-left-s:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-rounded-workflow-padding-left-l:var(--spectrum-global-dimension-size-225);--spectrum-alias-item-mark-padding-top-s:var(--spectrum-global-dimension-size-40);--spectrum-alias-item-mark-padding-top-l:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-mark-padding-top-xl:var(--spectrum-global-dimension-size-130);--spectrum-alias-item-mark-padding-bottom-s:var(--spectrum-global-dimension-size-40);--spectrum-alias-item-mark-padding-bottom-l:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-mark-padding-bottom-xl:var(--spectrum-global-dimension-size-130);--spectrum-alias-item-mark-padding-left-s:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-mark-padding-left-l:var(--spectrum-global-dimension-size-160);--spectrum-alias-item-mark-padding-left-xl:var(--spectrum-global-dimension-size-185);--spectrum-alias-item-control-1-size-s:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-item-control-1-size-m:var(--spectrum-global-dimension-size-100);--spectrum-alias-item-control-2-size-m:var(--spectrum-global-dimension-size-175);--spectrum-alias-item-control-2-size-l:var(--spectrum-global-dimension-size-200);--spectrum-alias-item-control-2-size-xl:var(--spectrum-global-dimension-size-225);--spectrum-alias-item-control-2-size-xxl:var(--spectrum-global-dimension-size-250);--spectrum-alias-item-control-2-border-radius-s:var(--spectrum-global-dimension-size-75);--spectrum-alias-item-control-2-border-radius-m:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-control-2-border-radius-l:var(--spectrum-global-dimension-size-100);--spectrum-alias-item-control-2-border-radius-xl:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-control-2-border-radius-xxl:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-control-2-padding-s:var(--spectrum-global-dimension-size-75);--spectrum-alias-item-control-2-padding-m:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-control-2-padding-l:var(--spectrum-global-dimension-size-150);--spectrum-alias-item-control-2-padding-xl:var(--spectrum-global-dimension-size-185);--spectrum-alias-item-control-3-height-m:var(--spectrum-global-dimension-size-175);--spectrum-alias-item-control-3-height-l:var(--spectrum-global-dimension-size-200);--spectrum-alias-item-control-3-height-xl:var(--spectrum-global-dimension-size-225);--spectrum-alias-item-control-3-border-radius-s:var(--spectrum-global-dimension-size-75);--spectrum-alias-item-control-3-border-radius-m:var(--spectrum-global-dimension-size-85);--spectrum-alias-item-control-3-border-radius-l:var(--spectrum-global-dimension-size-100);--spectrum-alias-item-control-3-border-radius-xl:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-control-3-padding-s:var(--spectrum-global-dimension-size-75);--spectrum-alias-item-control-3-padding-m:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-control-3-padding-l:var(--spectrum-global-dimension-size-150);--spectrum-alias-item-control-3-padding-xl:var(--spectrum-global-dimension-size-185);--spectrum-alias-item-mark-size-s:var(--spectrum-global-dimension-size-225);--spectrum-alias-item-mark-size-l:var(--spectrum-global-dimension-size-275);--spectrum-alias-item-mark-size-xl:var(--spectrum-global-dimension-size-325);--spectrum-alias-heading-xxxl-text-size:var(--spectrum-global-dimension-font-size-1300);--spectrum-alias-heading-xxl-text-size:var(--spectrum-global-dimension-font-size-1100);--spectrum-alias-heading-xl-text-size:var(--spectrum-global-dimension-font-size-900);--spectrum-alias-heading-l-text-size:var(--spectrum-global-dimension-font-size-700);--spectrum-alias-heading-m-text-size:var(--spectrum-global-dimension-font-size-500);--spectrum-alias-heading-s-text-size:var(--spectrum-global-dimension-font-size-300);--spectrum-alias-heading-xs-text-size:var(--spectrum-global-dimension-font-size-200);--spectrum-alias-heading-xxs-text-size:var(--spectrum-global-dimension-font-size-100);--spectrum-alias-heading-xxxl-margin-top:var(--spectrum-global-dimension-font-size-1200);--spectrum-alias-heading-xxl-margin-top:var(--spectrum-global-dimension-font-size-900);--spectrum-alias-heading-xl-margin-top:var(--spectrum-global-dimension-font-size-800);--spectrum-alias-heading-l-margin-top:var(--spectrum-global-dimension-font-size-600);--spectrum-alias-heading-m-margin-top:var(--spectrum-global-dimension-font-size-400);--spectrum-alias-heading-s-margin-top:var(--spectrum-global-dimension-font-size-200);--spectrum-alias-heading-xs-margin-top:var(--spectrum-global-dimension-font-size-100);--spectrum-alias-heading-xxs-margin-top:var(--spectrum-global-dimension-font-size-75);--spectrum-alias-heading-han-xxxl-text-size:var(--spectrum-global-dimension-font-size-1300);--spectrum-alias-heading-han-xxl-text-size:var(--spectrum-global-dimension-font-size-900);--spectrum-alias-heading-han-xl-text-size:var(--spectrum-global-dimension-font-size-800);--spectrum-alias-heading-han-l-text-size:var(--spectrum-global-dimension-font-size-600);--spectrum-alias-heading-han-m-text-size:var(--spectrum-global-dimension-font-size-400);--spectrum-alias-heading-han-s-text-size:var(--spectrum-global-dimension-font-size-300);--spectrum-alias-heading-han-xs-text-size:var(--spectrum-global-dimension-font-size-200);--spectrum-alias-heading-han-xxs-text-size:var(--spectrum-global-dimension-font-size-100);--spectrum-alias-heading-han-xxxl-margin-top:var(--spectrum-global-dimension-font-size-1200);--spectrum-alias-heading-han-xxl-margin-top:var(--spectrum-global-dimension-font-size-800);--spectrum-alias-heading-han-xl-margin-top:var(--spectrum-global-dimension-font-size-700);--spectrum-alias-heading-han-l-margin-top:var(--spectrum-global-dimension-font-size-500);--spectrum-alias-heading-han-m-margin-top:var(--spectrum-global-dimension-font-size-300);--spectrum-alias-heading-han-s-margin-top:var(--spectrum-global-dimension-font-size-200);--spectrum-alias-heading-han-xs-margin-top:var(--spectrum-global-dimension-font-size-100);--spectrum-alias-heading-han-xxs-margin-top:var(--spectrum-global-dimension-font-size-75);--spectrum-alias-component-border-radius:var(--spectrum-global-dimension-size-50);--spectrum-alias-component-border-radius-quiet:var(--spectrum-global-dimension-static-size-0);--spectrum-alias-component-focusring-gap:var(--spectrum-global-dimension-static-size-0);--spectrum-alias-component-focusring-gap-emphasized:var(--spectrum-global-dimension-static-size-25);--spectrum-alias-component-focusring-size:var(--spectrum-global-dimension-static-size-10);--spectrum-alias-component-focusring-size-emphasized:var(--spectrum-global-dimension-static-size-25);--spectrum-alias-input-border-size:var(--spectrum-global-dimension-static-size-10);--spectrum-alias-input-focusring-gap:var(--spectrum-global-dimension-static-size-0);--spectrum-alias-input-quiet-focusline-gap:var(--spectrum-global-dimension-static-size-10);--spectrum-alias-control-two-size-m:var(--spectrum-global-dimension-size-175);--spectrum-alias-control-two-size-l:var(--spectrum-global-dimension-size-200);--spectrum-alias-control-two-size-xl:var(--spectrum-global-dimension-size-225);--spectrum-alias-control-two-size-xxl:var(--spectrum-global-dimension-size-250);--spectrum-alias-control-two-border-radius-s:var(--spectrum-global-dimension-size-75);--spectrum-alias-control-two-border-radius-m:var(--spectrum-global-dimension-size-85);--spectrum-alias-control-two-border-radius-l:var(--spectrum-global-dimension-size-100);--spectrum-alias-control-two-border-radius-xl:var(--spectrum-global-dimension-size-115);--spectrum-alias-control-two-border-radius-xxl:var(--spectrum-global-dimension-size-125);--spectrum-alias-control-two-focus-ring-border-radius-s:var(--spectrum-global-dimension-size-125);--spectrum-alias-control-two-focus-ring-border-radius-m:var(--spectrum-global-dimension-size-130);--spectrum-alias-control-two-focus-ring-border-radius-l:var(--spectrum-global-dimension-size-150);--spectrum-alias-control-two-focus-ring-border-radius-xl:var(--spectrum-global-dimension-size-160);--spectrum-alias-control-two-focus-ring-border-radius-xxl:var(--spectrum-global-dimension-size-175);--spectrum-alias-control-three-height-m:var(--spectrum-global-dimension-size-175);--spectrum-alias-control-three-height-l:var(--spectrum-global-dimension-size-200);--spectrum-alias-control-three-height-xl:var(--spectrum-global-dimension-size-225);--spectrum-alias-clearbutton-icon-margin-s:var(--spectrum-global-dimension-size-100);--spectrum-alias-clearbutton-icon-margin-m:var(--spectrum-global-dimension-size-150);--spectrum-alias-clearbutton-icon-margin-l:var(--spectrum-global-dimension-size-185);--spectrum-alias-clearbutton-icon-margin-xl:var(--spectrum-global-dimension-size-225);--spectrum-alias-clearbutton-border-radius:var(--spectrum-global-dimension-size-50);--spectrum-alias-percent-50:50%;--spectrum-alias-percent-70:70%;--spectrum-alias-percent-100:100%;--spectrum-alias-breakpoint-xsmall:304px;--spectrum-alias-breakpoint-small:768px;--spectrum-alias-breakpoint-medium:1280px;--spectrum-alias-breakpoint-large:1768px;--spectrum-alias-breakpoint-xlarge:2160px;--spectrum-alias-grid-columns:12;--spectrum-alias-grid-fluid-width:100%;--spectrum-alias-grid-fixed-max-width:1280px;--spectrum-alias-focus-ring-gap-small:var(--spectrum-global-dimension-static-size-0);--spectrum-alias-focus-ring-size-small:var(--spectrum-global-dimension-static-size-10);--spectrum-alias-dropshadow-blur:var(--spectrum-global-dimension-size-50);--spectrum-alias-dropshadow-offset-y:var(--spectrum-global-dimension-size-10);--spectrum-alias-font-size-default:var(--spectrum-global-dimension-font-size-100);--spectrum-alias-layout-label-gap-size:var(--spectrum-global-dimension-size-100);--spectrum-alias-pill-button-text-size:var(--spectrum-global-dimension-font-size-100);--spectrum-alias-pill-button-text-baseline:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-border-radius-xsmall:var(--spectrum-global-dimension-size-10);--spectrum-alias-border-radius-small:var(--spectrum-global-dimension-size-25);--spectrum-alias-border-radius-regular:var(--spectrum-global-dimension-size-50);--spectrum-alias-border-radius-medium:var(--spectrum-global-dimension-size-100);--spectrum-alias-border-radius-large:var(--spectrum-global-dimension-size-200);--spectrum-alias-border-radius-xlarge:var(--spectrum-global-dimension-size-300);--spectrum-alias-focus-ring-border-radius-xsmall:var(--spectrum-global-dimension-size-50);--spectrum-alias-focus-ring-border-radius-small:var(--spectrum-global-dimension-static-size-65);--spectrum-alias-focus-ring-border-radius-medium:var(--spectrum-global-dimension-size-150);--spectrum-alias-focus-ring-border-radius-large:var(--spectrum-global-dimension-size-250);--spectrum-alias-focus-ring-border-radius-xlarge:var(--spectrum-global-dimension-size-350);--spectrum-alias-single-line-height:var(--spectrum-global-dimension-size-400);--spectrum-alias-single-line-width:var(--spectrum-global-dimension-size-2400);--spectrum-alias-workflow-icon-size-s:var(--spectrum-global-dimension-size-200);--spectrum-alias-workflow-icon-size-m:var(--spectrum-global-dimension-size-225);--spectrum-alias-workflow-icon-size-xl:var(--spectrum-global-dimension-size-275);--spectrum-alias-ui-icon-alert-size-75:var(--spectrum-global-dimension-size-200);--spectrum-alias-ui-icon-alert-size-100:var(--spectrum-global-dimension-size-225);--spectrum-alias-ui-icon-alert-size-200:var(--spectrum-global-dimension-size-250);--spectrum-alias-ui-icon-alert-size-300:var(--spectrum-global-dimension-size-275);--spectrum-alias-ui-icon-triplegripper-size-100-height:var(--spectrum-global-dimension-size-100);--spectrum-alias-ui-icon-doublegripper-size-100-width:var(--spectrum-global-dimension-size-200);--spectrum-alias-ui-icon-singlegripper-size-100-width:var(--spectrum-global-dimension-size-300);--spectrum-alias-ui-icon-cornertriangle-size-75:var(--spectrum-global-dimension-size-65);--spectrum-alias-ui-icon-cornertriangle-size-200:var(--spectrum-global-dimension-size-75);--spectrum-alias-ui-icon-asterisk-size-75:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-ui-icon-asterisk-size-100:var(--spectrum-global-dimension-size-100);--spectrum-alias-transparent-blue-background-color-hover:#0057be26;--spectrum-alias-transparent-blue-background-color-down:#0048994d;--spectrum-alias-transparent-blue-background-color-key-focus:var(--spectrum-alias-transparent-blue-background-color-hover);--spectrum-alias-transparent-blue-background-color-mouse-focus:var(--spectrum-alias-transparent-blue-background-color-hover);--spectrum-alias-transparent-blue-background-color:var(--spectrum-alias-component-text-color-default);--spectrum-alias-transparent-red-background-color-hover:#9a000026;--spectrum-alias-transparent-red-background-color-down:#7c00004d;--spectrum-alias-transparent-red-background-color-key-focus:var(--spectrum-alias-transparent-red-background-color-hover);--spectrum-alias-transparent-red-background-color-mouse-focus:var(--spectrum-alias-transparent-red-background-color-hover);--spectrum-alias-transparent-red-background-color:var(--spectrum-alias-component-text-color-default);--spectrum-alias-component-text-color-disabled:var(--spectrum-global-color-gray-500);--spectrum-alias-component-text-color-default:var(--spectrum-global-color-gray-800);--spectrum-alias-component-text-color-hover:var(--spectrum-global-color-gray-900);--spectrum-alias-component-text-color-down:var(--spectrum-global-color-gray-900);--spectrum-alias-component-text-color-key-focus:var(--spectrum-alias-component-text-color-hover);--spectrum-alias-component-text-color-mouse-focus:var(--spectrum-alias-component-text-color-hover);--spectrum-alias-component-text-color:var(--spectrum-alias-component-text-color-default);--spectrum-alias-component-text-color-selected-default:var(--spectrum-alias-component-text-color-default);--spectrum-alias-component-text-color-selected-hover:var(--spectrum-alias-component-text-color-hover);--spectrum-alias-component-text-color-selected-down:var(--spectrum-alias-component-text-color-down);--spectrum-alias-component-text-color-selected-key-focus:var(--spectrum-alias-component-text-color-key-focus);--spectrum-alias-component-text-color-selected-mouse-focus:var(--spectrum-alias-component-text-color-mouse-focus);--spectrum-alias-component-text-color-selected:var(--spectrum-alias-component-text-color-selected-default);--spectrum-alias-component-text-color-emphasized-selected-default:var(--spectrum-global-color-static-white);--spectrum-alias-component-text-color-emphasized-selected-hover:var(--spectrum-alias-component-text-color-emphasized-selected-default);--spectrum-alias-component-text-color-emphasized-selected-down:var(--spectrum-alias-component-text-color-emphasized-selected-default);--spectrum-alias-component-text-color-emphasized-selected-key-focus:var(--spectrum-alias-component-text-color-emphasized-selected-default);--spectrum-alias-component-text-color-emphasized-selected-mouse-focus:var(--spectrum-alias-component-text-color-emphasized-selected-default);--spectrum-alias-component-text-color-emphasized-selected:var(--spectrum-alias-component-text-color-emphasized-selected-default);--spectrum-alias-component-text-color-error-default:var(--spectrum-semantic-negative-text-color-small);--spectrum-alias-component-text-color-error-hover:var(--spectrum-semantic-negative-text-color-small-hover);--spectrum-alias-component-text-color-error-down:var(--spectrum-semantic-negative-text-color-small-down);--spectrum-alias-component-text-color-error-key-focus:var(--spectrum-semantic-negative-text-color-small-key-focus);--spectrum-alias-component-text-color-error-mouse-focus:var(--spectrum-semantic-negative-text-color-small-key-focus);--spectrum-alias-component-text-color-error:var(--spectrum-alias-component-text-color-error-default);--spectrum-alias-component-icon-color-disabled:var(--spectrum-alias-icon-color-disabled);--spectrum-alias-component-icon-color-default:var(--spectrum-alias-icon-color);--spectrum-alias-component-icon-color-hover:var(--spectrum-alias-icon-color-hover);--spectrum-alias-component-icon-color-down:var(--spectrum-alias-icon-color-down);--spectrum-alias-component-icon-color-key-focus:var(--spectrum-alias-icon-color-hover);--spectrum-alias-component-icon-color-mouse-focus:var(--spectrum-alias-icon-color-down);--spectrum-alias-component-icon-color:var(--spectrum-alias-component-icon-color-default);--spectrum-alias-component-icon-color-selected:var(--spectrum-alias-icon-color-selected-neutral-subdued);--spectrum-alias-component-icon-color-emphasized-selected-default:var(--spectrum-global-color-static-white);--spectrum-alias-component-icon-color-emphasized-selected-hover:var(--spectrum-alias-component-icon-color-emphasized-selected-default);--spectrum-alias-component-icon-color-emphasized-selected-down:var(--spectrum-alias-component-icon-color-emphasized-selected-default);--spectrum-alias-component-icon-color-emphasized-selected-key-focus:var(--spectrum-alias-component-icon-color-emphasized-selected-default);--spectrum-alias-component-icon-color-emphasized-selected:var(--spectrum-alias-component-icon-color-emphasized-selected-default);--spectrum-alias-component-background-color-disabled:var(--spectrum-global-color-gray-200);--spectrum-alias-component-background-color-quiet-disabled:var(--spectrum-alias-background-color-transparent);--spectrum-alias-component-background-color-quiet-selected-disabled:var(--spectrum-alias-component-background-color-disabled);--spectrum-alias-component-background-color-default:var(--spectrum-global-color-gray-75);--spectrum-alias-component-background-color-hover:var(--spectrum-global-color-gray-50);--spectrum-alias-component-background-color-down:var(--spectrum-global-color-gray-200);--spectrum-alias-component-background-color-key-focus:var(--spectrum-global-color-gray-50);--spectrum-alias-component-background-color:var(--spectrum-alias-component-background-color-default);--spectrum-alias-component-background-color-selected-default:var(--spectrum-global-color-gray-200);--spectrum-alias-component-background-color-selected-hover:var(--spectrum-global-color-gray-200);--spectrum-alias-component-background-color-selected-down:var(--spectrum-global-color-gray-200);--spectrum-alias-component-background-color-selected-key-focus:var(--spectrum-global-color-gray-200);--spectrum-alias-component-background-color-selected:var(--spectrum-alias-component-background-color-selected-default);--spectrum-alias-component-background-color-quiet-default:var(--spectrum-alias-background-color-transparent);--spectrum-alias-component-background-color-quiet-hover:var(--spectrum-alias-background-color-transparent);--spectrum-alias-component-background-color-quiet-down:var(--spectrum-global-color-gray-300);--spectrum-alias-component-background-color-quiet-key-focus:var(--spectrum-alias-background-color-transparent);--spectrum-alias-component-background-color-quiet:var(--spectrum-alias-component-background-color-quiet-default);--spectrum-alias-component-background-color-quiet-selected-default:var(--spectrum-alias-component-background-color-selected-default);--spectrum-alias-component-background-color-quiet-selected-hover:var(--spectrum-alias-component-background-color-selected-hover);--spectrum-alias-component-background-color-quiet-selected-down:var(--spectrum-alias-component-background-color-selected-down);--spectrum-alias-component-background-color-quiet-selected-key-focus:var(--spectrum-alias-component-background-color-selected-key-focus);--spectrum-alias-component-background-color-quiet-selected:var(--spectrum-alias-component-background-color-selected-default);--spectrum-alias-component-background-color-emphasized-selected-default:var(--spectrum-semantic-cta-background-color-default);--spectrum-alias-component-background-color-emphasized-selected-hover:var(--spectrum-semantic-cta-background-color-hover);--spectrum-alias-component-background-color-emphasized-selected-down:var(--spectrum-semantic-cta-background-color-down);--spectrum-alias-component-background-color-emphasized-selected-key-focus:var(--spectrum-semantic-cta-background-color-key-focus);--spectrum-alias-component-background-color-emphasized-selected:var(--spectrum-alias-component-background-color-emphasized-selected-default);--spectrum-alias-component-border-color-disabled:var(--spectrum-alias-border-color-disabled);--spectrum-alias-component-border-color-quiet-disabled:var(--spectrum-alias-border-color-transparent);--spectrum-alias-component-border-color-default:var(--spectrum-alias-border-color);--spectrum-alias-component-border-color-hover:var(--spectrum-alias-border-color-hover);--spectrum-alias-component-border-color-down:var(--spectrum-alias-border-color-down);--spectrum-alias-component-border-color-key-focus:var(--spectrum-alias-border-color-key-focus);--spectrum-alias-component-border-color:var(--spectrum-alias-component-border-color-default);--spectrum-alias-component-border-color-selected-default:var(--spectrum-alias-border-color);--spectrum-alias-component-border-color-selected-hover:var(--spectrum-alias-border-color-hover);--spectrum-alias-component-border-color-selected-down:var(--spectrum-alias-border-color-down);--spectrum-alias-component-border-color-selected-key-focus:var(--spectrum-alias-border-color-key-focus);--spectrum-alias-component-border-color-selected:var(--spectrum-alias-component-border-color-selected-default);--spectrum-alias-component-border-color-quiet-default:var(--spectrum-alias-border-color-transparent);--spectrum-alias-component-border-color-quiet-hover:var(--spectrum-alias-border-color-transparent);--spectrum-alias-component-border-color-quiet-down:var(--spectrum-alias-border-color-transparent);--spectrum-alias-component-border-color-quiet-key-focus:var(--spectrum-alias-border-color-key-focus);--spectrum-alias-component-border-color-quiet:var(--spectrum-alias-component-border-color-quiet-default);--spectrum-alias-component-border-color-quiet-selected-default:var(--spectrum-global-color-gray-200);--spectrum-alias-component-border-color-quiet-selected-hover:var(--spectrum-global-color-gray-200);--spectrum-alias-component-border-color-quiet-selected-down:var(--spectrum-global-color-gray-200);--spectrum-alias-component-border-color-quiet-selected-key-focus:var(--spectrum-alias-border-color-key-focus);--spectrum-alias-component-border-color-quiet-selected:var(--spectrum-alias-component-border-color-quiet-selected-default);--spectrum-alias-component-border-color-emphasized-selected-default:var(--spectrum-semantic-cta-background-color-default);--spectrum-alias-component-border-color-emphasized-selected-hover:var(--spectrum-semantic-cta-background-color-hover);--spectrum-alias-component-border-color-emphasized-selected-down:var(--spectrum-semantic-cta-background-color-down);--spectrum-alias-component-border-color-emphasized-selected-key-focus:var(--spectrum-semantic-cta-background-color-key-focus);--spectrum-alias-component-border-color-emphasized-selected:var(--spectrum-alias-component-border-color-emphasized-selected-default);--spectrum-alias-toggle-background-color-default:var(--spectrum-global-color-gray-700);--spectrum-alias-toggle-background-color-hover:var(--spectrum-global-color-gray-800);--spectrum-alias-toggle-background-color-down:var(--spectrum-global-color-gray-900);--spectrum-alias-toggle-background-color-key-focus:var(--spectrum-global-color-gray-800);--spectrum-alias-toggle-background-color:var(--spectrum-alias-toggle-background-color-default);--spectrum-alias-toggle-background-color-emphasized-selected-default:var(--spectrum-global-color-blue-500);--spectrum-alias-toggle-background-color-emphasized-selected-hover:var(--spectrum-global-color-blue-600);--spectrum-alias-toggle-background-color-emphasized-selected-down:var(--spectrum-global-color-blue-700);--spectrum-alias-toggle-background-color-emphasized-selected-key-focus:var(--spectrum-global-color-blue-600);--spectrum-alias-toggle-background-color-emphasized-selected:var(--spectrum-alias-toggle-background-color-emphasized-selected-default);--spectrum-alias-toggle-border-color-default:var(--spectrum-global-color-gray-700);--spectrum-alias-toggle-border-color-hover:var(--spectrum-global-color-gray-800);--spectrum-alias-toggle-border-color-down:var(--spectrum-global-color-gray-900);--spectrum-alias-toggle-border-color-key-focus:var(--spectrum-global-color-gray-800);--spectrum-alias-toggle-border-color:var(--spectrum-alias-toggle-border-color-default);--spectrum-alias-toggle-icon-color-selected:var(--spectrum-global-color-gray-75);--spectrum-alias-toggle-icon-color-emphasized-selected:var(--spectrum-global-color-gray-75);--spectrum-alias-input-border-color-disabled:var(--spectrum-alias-border-color-transparent);--spectrum-alias-input-border-color-quiet-disabled:var(--spectrum-alias-border-color-mid);--spectrum-alias-input-border-color-default:var(--spectrum-alias-border-color);--spectrum-alias-input-border-color-hover:var(--spectrum-alias-border-color-hover);--spectrum-alias-input-border-color-down:var(--spectrum-alias-border-color-mouse-focus);--spectrum-alias-input-border-color-mouse-focus:var(--spectrum-alias-border-color-mouse-focus);--spectrum-alias-input-border-color-key-focus:var(--spectrum-alias-border-color-key-focus);--spectrum-alias-input-border-color:var(--spectrum-alias-input-border-color-default);--spectrum-alias-input-border-color-invalid-default:var(--spectrum-semantic-negative-color-default);--spectrum-alias-input-border-color-invalid-hover:var(--spectrum-semantic-negative-color-hover);--spectrum-alias-input-border-color-invalid-down:var(--spectrum-semantic-negative-color-down);--spectrum-alias-input-border-color-invalid-mouse-focus:var(--spectrum-semantic-negative-color-hover);--spectrum-alias-input-border-color-invalid-key-focus:var(--spectrum-alias-border-color-key-focus);--spectrum-alias-input-border-color-invalid:var(--spectrum-alias-input-border-color-invalid-default);--spectrum-alias-background-color-yellow-default:var(--spectrum-global-color-static-yellow-300);--spectrum-alias-background-color-yellow-hover:var(--spectrum-global-color-static-yellow-400);--spectrum-alias-background-color-yellow-key-focus:var(--spectrum-global-color-static-yellow-400);--spectrum-alias-background-color-yellow-down:var(--spectrum-global-color-static-yellow-500);--spectrum-alias-background-color-yellow:var(--spectrum-alias-background-color-yellow-default);--spectrum-alias-tabitem-text-color-default:var(--spectrum-alias-label-text-color);--spectrum-alias-tabitem-text-color-hover:var(--spectrum-alias-text-color-hover);--spectrum-alias-tabitem-text-color-down:var(--spectrum-alias-text-color-down);--spectrum-alias-tabitem-text-color-key-focus:var(--spectrum-alias-text-color-hover);--spectrum-alias-tabitem-text-color-mouse-focus:var(--spectrum-alias-text-color-hover);--spectrum-alias-tabitem-text-color:var(--spectrum-alias-tabitem-text-color-default);--spectrum-alias-tabitem-text-color-selected-default:var(--spectrum-global-color-gray-900);--spectrum-alias-tabitem-text-color-selected-hover:var(--spectrum-alias-tabitem-text-color-selected-default);--spectrum-alias-tabitem-text-color-selected-down:var(--spectrum-alias-tabitem-text-color-selected-default);--spectrum-alias-tabitem-text-color-selected-key-focus:var(--spectrum-alias-tabitem-text-color-selected-default);--spectrum-alias-tabitem-text-color-selected-mouse-focus:var(--spectrum-alias-tabitem-text-color-selected-default);--spectrum-alias-tabitem-text-color-selected:var(--spectrum-alias-tabitem-text-color-selected-default);--spectrum-alias-tabitem-text-color-emphasized:var(--spectrum-alias-tabitem-text-color-default);--spectrum-alias-tabitem-text-color-emphasized-selected-default:var(--spectrum-global-color-static-blue-500);--spectrum-alias-tabitem-text-color-emphasized-selected-hover:var(--spectrum-alias-tabitem-text-color-emphasized-selected-default);--spectrum-alias-tabitem-text-color-emphasized-selected-down:var(--spectrum-alias-tabitem-text-color-emphasized-selected-default);--spectrum-alias-tabitem-text-color-emphasized-selected-key-focus:var(--spectrum-alias-tabitem-text-color-emphasized-selected-default);--spectrum-alias-tabitem-text-color-emphasized-selected-mouse-focus:var(--spectrum-alias-tabitem-text-color-emphasized-selected-default);--spectrum-alias-tabitem-text-color-emphasized-selected:var(--spectrum-alias-tabitem-text-color-emphasized-selected-default);--spectrum-alias-tabitem-selection-indicator-color-default:var(--spectrum-alias-tabitem-text-color-selected-default);--spectrum-alias-tabitem-selection-indicator-color-emphasized:var(--spectrum-alias-tabitem-text-color-emphasized-selected-default);--spectrum-alias-tabitem-icon-color-disabled:var(--spectrum-alias-text-color-disabled);--spectrum-alias-tabitem-icon-color-default:var(--spectrum-alias-icon-color);--spectrum-alias-tabitem-icon-color-hover:var(--spectrum-alias-icon-color-hover);--spectrum-alias-tabitem-icon-color-down:var(--spectrum-alias-icon-color-down);--spectrum-alias-tabitem-icon-color-key-focus:var(--spectrum-alias-icon-color-hover);--spectrum-alias-tabitem-icon-color-mouse-focus:var(--spectrum-alias-icon-color-down);--spectrum-alias-tabitem-icon-color:var(--spectrum-alias-tabitem-icon-color-default);--spectrum-alias-tabitem-icon-color-selected:var(--spectrum-alias-icon-color-selected-neutral);--spectrum-alias-tabitem-icon-color-emphasized:var(--spectrum-alias-tabitem-text-color-default);--spectrum-alias-tabitem-icon-color-emphasized-selected:var(--spectrum-alias-tabitem-text-color-emphasized-selected-default);--spectrum-alias-assetcard-selectionindicator-background-color-ordered:var(--spectrum-global-color-blue-500);--spectrum-alias-assetcard-overlay-background-color:#1b7ff51a;--spectrum-alias-assetcard-border-color-selected:var(--spectrum-global-color-blue-500);--spectrum-alias-assetcard-border-color-selected-hover:var(--spectrum-global-color-blue-500);--spectrum-alias-assetcard-border-color-selected-down:var(--spectrum-global-color-blue-600);--spectrum-alias-background-color-default:var(--spectrum-global-color-gray-100);--spectrum-alias-background-color-disabled:var(--spectrum-global-color-gray-200);--spectrum-alias-background-color-transparent:transparent;--spectrum-alias-background-color-overbackground-down:#fff3;--spectrum-alias-background-color-quiet-overbackground-hover:#ffffff1a;--spectrum-alias-background-color-quiet-overbackground-down:#fff3;--spectrum-alias-background-color-overbackground-disabled:#ffffff1a;--spectrum-alias-background-color-quickactions-overlay:#0003;--spectrum-alias-placeholder-text-color:var(--spectrum-global-color-gray-800);--spectrum-alias-placeholder-text-color-hover:var(--spectrum-global-color-gray-900);--spectrum-alias-placeholder-text-color-down:var(--spectrum-global-color-gray-900);--spectrum-alias-placeholder-text-color-selected:var(--spectrum-global-color-gray-800);--spectrum-alias-label-text-color:var(--spectrum-global-color-gray-700);--spectrum-alias-text-color:var(--spectrum-global-color-gray-800);--spectrum-alias-text-color-hover:var(--spectrum-global-color-gray-900);--spectrum-alias-text-color-down:var(--spectrum-global-color-gray-900);--spectrum-alias-text-color-key-focus:var(--spectrum-global-color-blue-600);--spectrum-alias-text-color-mouse-focus:var(--spectrum-global-color-blue-600);--spectrum-alias-text-color-disabled:var(--spectrum-global-color-gray-500);--spectrum-alias-text-color-invalid:var(--spectrum-global-color-red-500);--spectrum-alias-text-color-selected:var(--spectrum-global-color-blue-600);--spectrum-alias-text-color-selected-neutral:var(--spectrum-global-color-gray-900);--spectrum-alias-text-color-overbackground:var(--spectrum-global-color-static-white);--spectrum-alias-text-color-overbackground-disabled:#fff3;--spectrum-alias-text-color-quiet-overbackground-disabled:#fff3;--spectrum-alias-heading-text-color:var(--spectrum-global-color-gray-900);--spectrum-alias-border-color:var(--spectrum-global-color-gray-400);--spectrum-alias-border-color-hover:var(--spectrum-global-color-gray-500);--spectrum-alias-border-color-down:var(--spectrum-global-color-gray-500);--spectrum-alias-border-color-key-focus:var(--spectrum-global-color-blue-400);--spectrum-alias-border-color-mouse-focus:var(--spectrum-global-color-blue-500);--spectrum-alias-border-color-disabled:var(--spectrum-global-color-gray-200);--spectrum-alias-border-color-extralight:var(--spectrum-global-color-gray-100);--spectrum-alias-border-color-light:var(--spectrum-global-color-gray-200);--spectrum-alias-border-color-mid:var(--spectrum-global-color-gray-300);--spectrum-alias-border-color-dark:var(--spectrum-global-color-gray-400);--spectrum-alias-border-color-darker-default:var(--spectrum-global-color-gray-600);--spectrum-alias-border-color-darker-hover:var(--spectrum-global-color-gray-900);--spectrum-alias-border-color-darker-down:var(--spectrum-global-color-gray-900);--spectrum-alias-border-color-transparent:transparent;--spectrum-alias-border-color-translucent-dark:#0000000d;--spectrum-alias-border-color-translucent-darker:#0000001a;--spectrum-alias-focus-color:var(--spectrum-global-color-blue-400);--spectrum-alias-focus-ring-color:var(--spectrum-alias-focus-color);--spectrum-alias-track-color-default:var(--spectrum-global-color-gray-300);--spectrum-alias-track-fill-color-overbackground:var(--spectrum-global-color-static-white);--spectrum-alias-track-color-disabled:var(--spectrum-global-color-gray-300);--spectrum-alias-track-color-overbackground:#fff3;--spectrum-alias-icon-color:var(--spectrum-global-color-gray-700);--spectrum-alias-icon-color-overbackground:var(--spectrum-global-color-static-white);--spectrum-alias-icon-color-hover:var(--spectrum-global-color-gray-900);--spectrum-alias-icon-color-down:var(--spectrum-global-color-gray-900);--spectrum-alias-icon-color-key-focus:var(--spectrum-global-color-gray-900);--spectrum-alias-icon-color-disabled:var(--spectrum-global-color-gray-400);--spectrum-alias-icon-color-overbackground-disabled:#fff3;--spectrum-alias-icon-color-quiet-overbackground-disabled:#ffffff26;--spectrum-alias-icon-color-selected-neutral:var(--spectrum-global-color-gray-900);--spectrum-alias-icon-color-selected-neutral-subdued:var(--spectrum-global-color-gray-800);--spectrum-alias-icon-color-selected:var(--spectrum-global-color-blue-500);--spectrum-alias-icon-color-selected-hover:var(--spectrum-global-color-blue-600);--spectrum-alias-icon-color-selected-down:var(--spectrum-global-color-blue-700);--spectrum-alias-icon-color-selected-focus:var(--spectrum-global-color-blue-600);--spectrum-alias-image-opacity-disabled:var(--spectrum-global-color-opacity-30);--spectrum-alias-toolbar-background-color:var(--spectrum-global-color-gray-100);--spectrum-alias-code-highlight-color-default:var(--spectrum-global-color-gray-800);--spectrum-alias-code-highlight-background-color:var(--spectrum-global-color-gray-75);--spectrum-alias-code-highlight-color-keyword:var(--spectrum-global-color-fuchsia-600);--spectrum-alias-code-highlight-color-section:var(--spectrum-global-color-red-600);--spectrum-alias-code-highlight-color-literal:var(--spectrum-global-color-blue-600);--spectrum-alias-code-highlight-color-attribute:var(--spectrum-global-color-seafoam-600);--spectrum-alias-code-highlight-color-class:var(--spectrum-global-color-magenta-600);--spectrum-alias-code-highlight-color-variable:var(--spectrum-global-color-purple-600);--spectrum-alias-code-highlight-color-title:var(--spectrum-global-color-indigo-600);--spectrum-alias-code-highlight-color-string:var(--spectrum-global-color-fuchsia-600);--spectrum-alias-code-highlight-color-function:var(--spectrum-global-color-blue-600);--spectrum-alias-code-highlight-color-comment:var(--spectrum-global-color-gray-700);--spectrum-alias-categorical-color-1:var(--spectrum-global-color-static-seafoam-200);--spectrum-alias-categorical-color-2:var(--spectrum-global-color-static-indigo-700);--spectrum-alias-categorical-color-3:var(--spectrum-global-color-static-orange-500);--spectrum-alias-categorical-color-4:var(--spectrum-global-color-static-magenta-500);--spectrum-alias-categorical-color-5:var(--spectrum-global-color-static-indigo-200);--spectrum-alias-categorical-color-6:var(--spectrum-global-color-static-celery-200);--spectrum-alias-categorical-color-7:var(--spectrum-global-color-static-blue-500);--spectrum-alias-categorical-color-8:var(--spectrum-global-color-static-purple-800);--spectrum-alias-categorical-color-9:var(--spectrum-global-color-static-yellow-500);--spectrum-alias-categorical-color-10:var(--spectrum-global-color-static-orange-700);--spectrum-alias-categorical-color-11:var(--spectrum-global-color-static-green-600);--spectrum-alias-categorical-color-12:var(--spectrum-global-color-static-chartreuse-300);--spectrum-alias-categorical-color-13:var(--spectrum-global-color-static-blue-200);--spectrum-alias-categorical-color-14:var(--spectrum-global-color-static-fuchsia-500);--spectrum-alias-categorical-color-15:var(--spectrum-global-color-static-magenta-200);--spectrum-alias-categorical-color-16:var(--spectrum-global-color-static-yellow-200)}:host,:root{-webkit-tap-highlight-color:#0000;--spectrum-focus-indicator-color:var(--spectrum-blue-800);--spectrum-static-white-focus-indicator-color:var(--spectrum-white);--spectrum-static-black-focus-indicator-color:var(--spectrum-black);--spectrum-overlay-color:var(--spectrum-black);--spectrum-opacity-disabled:.3;--spectrum-neutral-subdued-content-color-selected:var(--spectrum-neutral-subdued-content-color-down);--spectrum-accent-content-color-selected:var(--spectrum-accent-content-color-down);--spectrum-disabled-background-color:var(--spectrum-gray-200);--spectrum-disabled-static-white-background-color:var(--spectrum-transparent-white-200);--spectrum-disabled-static-black-background-color:var(--spectrum-transparent-black-200);--spectrum-background-opacity-default:0;--spectrum-background-opacity-hover:.1;--spectrum-background-opacity-down:.1;--spectrum-background-opacity-key-focus:.1;--spectrum-neutral-content-color-default:var(--spectrum-gray-800);--spectrum-neutral-content-color-hover:var(--spectrum-gray-900);--spectrum-neutral-content-color-down:var(--spectrum-gray-900);--spectrum-neutral-content-color-focus-hover:var(--spectrum-neutral-content-color-down);--spectrum-neutral-content-color-focus:var(--spectrum-neutral-content-color-down);--spectrum-neutral-content-color-key-focus:var(--spectrum-gray-900);--spectrum-neutral-subdued-content-color-default:var(--spectrum-gray-700);--spectrum-neutral-subdued-content-color-hover:var(--spectrum-gray-800);--spectrum-neutral-subdued-content-color-down:var(--spectrum-gray-900);--spectrum-neutral-subdued-content-color-key-focus:var(--spectrum-gray-800);--spectrum-accent-content-color-default:var(--spectrum-accent-color-900);--spectrum-accent-content-color-hover:var(--spectrum-accent-color-1000);--spectrum-accent-content-color-down:var(--spectrum-accent-color-1100);--spectrum-accent-content-color-key-focus:var(--spectrum-accent-color-1000);--spectrum-negative-content-color-default:var(--spectrum-negative-color-900);--spectrum-negative-content-color-hover:var(--spectrum-negative-color-1000);--spectrum-negative-content-color-down:var(--spectrum-negative-color-1100);--spectrum-negative-content-color-key-focus:var(--spectrum-negative-color-1000);--spectrum-disabled-content-color:var(--spectrum-gray-400);--spectrum-disabled-static-white-content-color:var(--spectrum-transparent-white-500);--spectrum-disabled-static-black-content-color:var(--spectrum-transparent-black-500);--spectrum-disabled-border-color:var(--spectrum-gray-300);--spectrum-disabled-static-white-border-color:var(--spectrum-transparent-white-300);--spectrum-disabled-static-black-border-color:var(--spectrum-transparent-black-300);--spectrum-negative-border-color-default:var(--spectrum-negative-color-900);--spectrum-negative-border-color-hover:var(--spectrum-negative-color-1000);--spectrum-negative-border-color-down:var(--spectrum-negative-color-1100);--spectrum-negative-border-color-focus-hover:var(--spectrum-negative-border-color-down);--spectrum-negative-border-color-focus:var(--spectrum-negative-color-1000);--spectrum-negative-border-color-key-focus:var(--spectrum-negative-color-1000);--spectrum-swatch-border-color:var(--spectrum-gray-900);--spectrum-swatch-border-opacity:.51;--spectrum-swatch-disabled-icon-border-color:var(--spectrum-black);--spectrum-swatch-disabled-icon-border-opacity:.51;--spectrum-thumbnail-border-color:var(--spectrum-gray-800);--spectrum-thumbnail-border-opacity:.1;--spectrum-thumbnail-opacity-disabled:var(--spectrum-opacity-disabled);--spectrum-opacity-checkerboard-square-light:var(--spectrum-white);--spectrum-avatar-opacity-disabled:var(--spectrum-opacity-disabled);--spectrum-color-area-border-color:var(--spectrum-gray-900);--spectrum-color-area-border-opacity:.1;--spectrum-color-slider-border-color:var(--spectrum-gray-900);--spectrum-color-slider-border-opacity:.1;--spectrum-color-loupe-drop-shadow-color:var(--spectrum-transparent-black-300);--spectrum-color-loupe-inner-border:var(--spectrum-transparent-black-200);--spectrum-color-loupe-outer-border:var(--spectrum-white);--spectrum-card-selection-background-color:var(--spectrum-gray-100);--spectrum-card-selection-background-color-opacity:.95;--spectrum-drop-zone-background-color:var(--spectrum-accent-visual-color);--spectrum-drop-zone-background-color-opacity:.1;--spectrum-drop-zone-background-color-opacity-filled:.3;--spectrum-coach-mark-pagination-color:var(--spectrum-gray-600);--spectrum-color-handle-inner-border-color:var(--spectrum-black);--spectrum-color-handle-inner-border-opacity:.42;--spectrum-color-handle-outer-border-color:var(--spectrum-black);--spectrum-color-handle-outer-border-opacity:var(--spectrum-color-handle-inner-border-opacity);--spectrum-color-handle-drop-shadow-color:var(--spectrum-drop-shadow-color);--spectrum-floating-action-button-drop-shadow-color:var(--spectrum-transparent-black-300);--spectrum-floating-action-button-shadow-color:var(--spectrum-floating-action-button-drop-shadow-color);--spectrum-table-row-hover-color:var(--spectrum-gray-900);--spectrum-table-row-hover-opacity:.07;--spectrum-table-selected-row-background-color:var(--spectrum-informative-background-color-default);--spectrum-table-selected-row-background-opacity:.1;--spectrum-table-selected-row-background-color-non-emphasized:var(--spectrum-neutral-background-color-selected-default);--spectrum-table-selected-row-background-opacity-non-emphasized:.1;--spectrum-table-row-down-opacity:.1;--spectrum-table-selected-row-background-opacity-hover:.15;--spectrum-table-selected-row-background-opacity-non-emphasized-hover:.15;--spectrum-white-rgb:255,255,255;--spectrum-white:rgba(var(--spectrum-white-rgb));--spectrum-transparent-white-100-rgb:255,255,255;--spectrum-transparent-white-100-opacity:0;--spectrum-transparent-white-100:rgba(var(--spectrum-transparent-white-100-rgb),var(--spectrum-transparent-white-100-opacity));--spectrum-transparent-white-200-rgb:255,255,255;--spectrum-transparent-white-200-opacity:.1;--spectrum-transparent-white-200:rgba(var(--spectrum-transparent-white-200-rgb),var(--spectrum-transparent-white-200-opacity));--spectrum-transparent-white-300-rgb:255,255,255;--spectrum-transparent-white-300-opacity:.25;--spectrum-transparent-white-300:rgba(var(--spectrum-transparent-white-300-rgb),var(--spectrum-transparent-white-300-opacity));--spectrum-transparent-white-400-rgb:255,255,255;--spectrum-transparent-white-400-opacity:.4;--spectrum-transparent-white-400:rgba(var(--spectrum-transparent-white-400-rgb),var(--spectrum-transparent-white-400-opacity));--spectrum-transparent-white-500-rgb:255,255,255;--spectrum-transparent-white-500-opacity:.55;--spectrum-transparent-white-500:rgba(var(--spectrum-transparent-white-500-rgb),var(--spectrum-transparent-white-500-opacity));--spectrum-transparent-white-600-rgb:255,255,255;--spectrum-transparent-white-600-opacity:.7;--spectrum-transparent-white-600:rgba(var(--spectrum-transparent-white-600-rgb),var(--spectrum-transparent-white-600-opacity));--spectrum-transparent-white-700-rgb:255,255,255;--spectrum-transparent-white-700-opacity:.8;--spectrum-transparent-white-700:rgba(var(--spectrum-transparent-white-700-rgb),var(--spectrum-transparent-white-700-opacity));--spectrum-transparent-white-800-rgb:255,255,255;--spectrum-transparent-white-800-opacity:.9;--spectrum-transparent-white-800:rgba(var(--spectrum-transparent-white-800-rgb),var(--spectrum-transparent-white-800-opacity));--spectrum-transparent-white-900-rgb:255,255,255;--spectrum-transparent-white-900:rgba(var(--spectrum-transparent-white-900-rgb));--spectrum-black-rgb:0,0,0;--spectrum-black:rgba(var(--spectrum-black-rgb));--spectrum-transparent-black-100-rgb:0,0,0;--spectrum-transparent-black-100-opacity:0;--spectrum-transparent-black-100:rgba(var(--spectrum-transparent-black-100-rgb),var(--spectrum-transparent-black-100-opacity));--spectrum-transparent-black-200-rgb:0,0,0;--spectrum-transparent-black-200-opacity:.1;--spectrum-transparent-black-200:rgba(var(--spectrum-transparent-black-200-rgb),var(--spectrum-transparent-black-200-opacity));--spectrum-transparent-black-300-rgb:0,0,0;--spectrum-transparent-black-300-opacity:.25;--spectrum-transparent-black-300:rgba(var(--spectrum-transparent-black-300-rgb),var(--spectrum-transparent-black-300-opacity));--spectrum-transparent-black-400-rgb:0,0,0;--spectrum-transparent-black-400-opacity:.4;--spectrum-transparent-black-400:rgba(var(--spectrum-transparent-black-400-rgb),var(--spectrum-transparent-black-400-opacity));--spectrum-transparent-black-500-rgb:0,0,0;--spectrum-transparent-black-500-opacity:.55;--spectrum-transparent-black-500:rgba(var(--spectrum-transparent-black-500-rgb),var(--spectrum-transparent-black-500-opacity));--spectrum-transparent-black-600-rgb:0,0,0;--spectrum-transparent-black-600-opacity:.7;--spectrum-transparent-black-600:rgba(var(--spectrum-transparent-black-600-rgb),var(--spectrum-transparent-black-600-opacity));--spectrum-transparent-black-700-rgb:0,0,0;--spectrum-transparent-black-700-opacity:.8;--spectrum-transparent-black-700:rgba(var(--spectrum-transparent-black-700-rgb),var(--spectrum-transparent-black-700-opacity));--spectrum-transparent-black-800-rgb:0,0,0;--spectrum-transparent-black-800-opacity:.9;--spectrum-transparent-black-800:rgba(var(--spectrum-transparent-black-800-rgb),var(--spectrum-transparent-black-800-opacity));--spectrum-transparent-black-900-rgb:0,0,0;--spectrum-transparent-black-900:rgba(var(--spectrum-transparent-black-900-rgb));--spectrum-icon-color-inverse:var(--spectrum-gray-50);--spectrum-icon-color-primary-default:var(--spectrum-neutral-content-color-default);--spectrum-asterisk-icon-size-75:8px;--spectrum-radio-button-selection-indicator:4px;--spectrum-field-label-top-margin-small:0px;--spectrum-field-label-to-component:0px;--spectrum-help-text-to-component:0px;--spectrum-status-light-dot-size-small:8px;--spectrum-action-button-edge-to-hold-icon-extra-small:3px;--spectrum-action-button-edge-to-hold-icon-small:3px;--spectrum-button-minimum-width-multiplier:2.25;--spectrum-divider-thickness-small:1px;--spectrum-divider-thickness-medium:2px;--spectrum-divider-thickness-large:4px;--spectrum-swatch-rectangle-width-multiplier:2;--spectrum-swatch-slash-thickness-extra-small:2px;--spectrum-swatch-slash-thickness-small:3px;--spectrum-swatch-slash-thickness-medium:4px;--spectrum-swatch-slash-thickness-large:5px;--spectrum-progress-bar-minimum-width:48px;--spectrum-progress-bar-maximum-width:768px;--spectrum-meter-minimum-width:48px;--spectrum-meter-maximum-width:768px;--spectrum-meter-default-width:var(--spectrum-meter-width);--spectrum-in-line-alert-minimum-width:240px;--spectrum-popover-tip-width:16px;--spectrum-popover-tip-height:8px;--spectrum-menu-item-label-to-description:1px;--spectrum-menu-item-section-divider-height:8px;--spectrum-picker-minimum-width-multiplier:2;--spectrum-picker-end-edge-to-disclousure-icon-quiet:var(--spectrum-picker-end-edge-to-disclosure-icon-quiet);--spectrum-picker-end-edge-to-disclosure-icon-quiet:0px;--spectrum-text-field-minimum-width-multiplier:1.5;--spectrum-combo-box-minimum-width-multiplier:2.5;--spectrum-combo-box-quiet-minimum-width-multiplier:2;--spectrum-combo-box-visual-to-field-button-quiet:0px;--spectrum-alert-dialog-minimum-width:288px;--spectrum-alert-dialog-maximum-width:480px;--spectrum-contextual-help-minimum-width:268px;--spectrum-breadcrumbs-height:var(--spectrum-component-height-300);--spectrum-breadcrumbs-height-compact:var(--spectrum-component-height-200);--spectrum-breadcrumbs-end-edge-to-text:0px;--spectrum-breadcrumbs-truncated-menu-to-separator-icon:0px;--spectrum-breadcrumbs-start-edge-to-truncated-menu:0px;--spectrum-breadcrumbs-truncated-menu-to-bottom-text:0px;--spectrum-alert-banner-to-top-workflow-icon:var(--spectrum-alert-banner-top-to-workflow-icon);--spectrum-alert-banner-to-top-text:var(--spectrum-alert-banner-top-to-text);--spectrum-alert-banner-to-bottom-text:var(--spectrum-alert-banner-bottom-to-text);--spectrum-color-area-border-width:var(--spectrum-border-width-100);--spectrum-color-area-border-rounding:var(--spectrum-corner-radius-100);--spectrum-color-wheel-color-area-margin:12px;--spectrum-color-slider-border-width:1px;--spectrum-color-slider-border-rounding:4px;--spectrum-floating-action-button-drop-shadow-blur:12px;--spectrum-floating-action-button-drop-shadow-y:4px;--spectrum-illustrated-message-maximum-width:380px;--spectrum-search-field-minimum-width-multiplier:3;--spectrum-color-loupe-height:64px;--spectrum-color-loupe-width:48px;--spectrum-color-loupe-bottom-to-color-handle:12px;--spectrum-color-loupe-outer-border-width:var(--spectrum-border-width-200);--spectrum-color-loupe-inner-border-width:1px;--spectrum-color-loupe-drop-shadow-y:2px;--spectrum-color-loupe-drop-shadow-blur:8px;--spectrum-card-minimum-width:100px;--spectrum-card-preview-minimum-height:130px;--spectrum-card-selection-background-size:40px;--spectrum-drop-zone-width:428px;--spectrum-drop-zone-content-maximum-width:var(--spectrum-illustrated-message-maximum-width);--spectrum-drop-zone-border-dash-length:8px;--spectrum-drop-zone-border-dash-gap:4px;--spectrum-drop-zone-title-size:var(--spectrum-illustrated-message-title-size);--spectrum-drop-zone-cjk-title-size:var(--spectrum-illustrated-message-cjk-title-size);--spectrum-drop-zone-body-size:var(--spectrum-illustrated-message-body-size);--spectrum-accordion-top-to-text-compact-small:2px;--spectrum-accordion-top-to-text-compact-medium:4px;--spectrum-accordion-disclosure-indicator-to-text:0px;--spectrum-accordion-edge-to-disclosure-indicator:0px;--spectrum-accordion-edge-to-text:0px;--spectrum-accordion-focus-indicator-gap:0px;--spectrum-color-handle-border-width:var(--spectrum-border-width-200);--spectrum-color-handle-inner-border-width:1px;--spectrum-color-handle-outer-border-width:1px;--spectrum-color-handle-drop-shadow-x:0;--spectrum-color-handle-drop-shadow-y:0;--spectrum-color-handle-drop-shadow-blur:0;--spectrum-table-row-height-small-compact:var(--spectrum-component-height-75);--spectrum-table-row-height-medium-compact:var(--spectrum-component-height-100);--spectrum-table-row-height-large-compact:var(--spectrum-component-height-200);--spectrum-table-row-height-extra-large-compact:var(--spectrum-component-height-300);--spectrum-table-row-top-to-text-small-compact:var(--spectrum-component-top-to-text-75);--spectrum-table-row-top-to-text-medium-compact:var(--spectrum-component-top-to-text-100);--spectrum-table-row-top-to-text-large-compact:var(--spectrum-component-top-to-text-200);--spectrum-table-row-top-to-text-extra-large-compact:var(--spectrum-component-top-to-text-300);--spectrum-table-row-bottom-to-text-small-compact:var(--spectrum-component-bottom-to-text-75);--spectrum-table-row-bottom-to-text-medium-compact:var(--spectrum-component-bottom-to-text-100);--spectrum-table-row-bottom-to-text-large-compact:var(--spectrum-component-bottom-to-text-200);--spectrum-table-row-bottom-to-text-extra-large-compact:var(--spectrum-component-bottom-to-text-300);--spectrum-table-edge-to-content:16px;--spectrum-table-border-divider-width:1px;--spectrum-tab-item-height-small:var(--spectrum-component-height-200);--spectrum-tab-item-height-medium:var(--spectrum-component-height-300);--spectrum-tab-item-height-large:var(--spectrum-component-height-400);--spectrum-tab-item-height-extra-large:var(--spectrum-component-height-500);--spectrum-tab-item-compact-height-small:var(--spectrum-component-height-75);--spectrum-tab-item-compact-height-medium:var(--spectrum-component-height-100);--spectrum-tab-item-compact-height-large:var(--spectrum-component-height-200);--spectrum-tab-item-compact-height-extra-large:var(--spectrum-component-height-300);--spectrum-tab-item-start-to-edge-quiet:0px;--spectrum-in-field-button-width-stacked-small:20px;--spectrum-in-field-button-width-stacked-medium:28px;--spectrum-in-field-button-width-stacked-large:36px;--spectrum-in-field-button-width-stacked-extra-large:44px;--spectrum-in-field-button-edge-to-disclosure-icon-stacked-small:7px;--spectrum-in-field-button-edge-to-disclosure-icon-stacked-medium:9px;--spectrum-in-field-button-edge-to-disclosure-icon-stacked-large:13px;--spectrum-in-field-button-edge-to-disclosure-icon-stacked-extra-large:16px;--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-small:3px;--spectrum-android-elevation:2dp;--spectrum-spacing-50:2px;--spectrum-spacing-75:4px;--spectrum-spacing-100:8px;--spectrum-spacing-200:12px;--spectrum-spacing-300:16px;--spectrum-spacing-400:24px;--spectrum-spacing-500:32px;--spectrum-spacing-600:40px;--spectrum-spacing-700:48px;--spectrum-spacing-800:64px;--spectrum-spacing-900:80px;--spectrum-spacing-1000:96px;--spectrum-focus-indicator-thickness:2px;--spectrum-focus-indicator-gap:2px;--spectrum-border-width-200:2px;--spectrum-border-width-400:4px;--spectrum-field-edge-to-text-quiet:0px;--spectrum-field-edge-to-visual-quiet:0px;--spectrum-field-edge-to-border-quiet:0px;--spectrum-field-edge-to-alert-icon-quiet:0px;--spectrum-field-edge-to-validation-icon-quiet:0px;--spectrum-text-underline-thickness:1px;--spectrum-text-underline-gap:1px;--spectrum-informative-color-100:var(--spectrum-blue-100);--spectrum-informative-color-200:var(--spectrum-blue-200);--spectrum-informative-color-300:var(--spectrum-blue-300);--spectrum-informative-color-400:var(--spectrum-blue-400);--spectrum-informative-color-500:var(--spectrum-blue-500);--spectrum-informative-color-600:var(--spectrum-blue-600);--spectrum-informative-color-700:var(--spectrum-blue-700);--spectrum-informative-color-800:var(--spectrum-blue-800);--spectrum-informative-color-900:var(--spectrum-blue-900);--spectrum-informative-color-1000:var(--spectrum-blue-1000);--spectrum-informative-color-1100:var(--spectrum-blue-1100);--spectrum-informative-color-1200:var(--spectrum-blue-1200);--spectrum-informative-color-1300:var(--spectrum-blue-1300);--spectrum-informative-color-1400:var(--spectrum-blue-1400);--spectrum-negative-color-100:var(--spectrum-red-100);--spectrum-negative-color-200:var(--spectrum-red-200);--spectrum-negative-color-300:var(--spectrum-red-300);--spectrum-negative-color-400:var(--spectrum-red-400);--spectrum-negative-color-500:var(--spectrum-red-500);--spectrum-negative-color-600:var(--spectrum-red-600);--spectrum-negative-color-700:var(--spectrum-red-700);--spectrum-negative-color-800:var(--spectrum-red-800);--spectrum-negative-color-900:var(--spectrum-red-900);--spectrum-negative-color-1000:var(--spectrum-red-1000);--spectrum-negative-color-1100:var(--spectrum-red-1100);--spectrum-negative-color-1200:var(--spectrum-red-1200);--spectrum-negative-color-1300:var(--spectrum-red-1300);--spectrum-negative-color-1400:var(--spectrum-red-1400);--spectrum-notice-color-100:var(--spectrum-orange-100);--spectrum-notice-color-200:var(--spectrum-orange-200);--spectrum-notice-color-300:var(--spectrum-orange-300);--spectrum-notice-color-400:var(--spectrum-orange-400);--spectrum-notice-color-500:var(--spectrum-orange-500);--spectrum-notice-color-600:var(--spectrum-orange-600);--spectrum-notice-color-700:var(--spectrum-orange-700);--spectrum-notice-color-800:var(--spectrum-orange-800);--spectrum-notice-color-900:var(--spectrum-orange-900);--spectrum-notice-color-1000:var(--spectrum-orange-1000);--spectrum-notice-color-1100:var(--spectrum-orange-1100);--spectrum-notice-color-1200:var(--spectrum-orange-1200);--spectrum-notice-color-1300:var(--spectrum-orange-1300);--spectrum-notice-color-1400:var(--spectrum-orange-1400);--spectrum-positive-color-100:var(--spectrum-green-100);--spectrum-positive-color-200:var(--spectrum-green-200);--spectrum-positive-color-300:var(--spectrum-green-300);--spectrum-positive-color-400:var(--spectrum-green-400);--spectrum-positive-color-500:var(--spectrum-green-500);--spectrum-positive-color-600:var(--spectrum-green-600);--spectrum-positive-color-700:var(--spectrum-green-700);--spectrum-positive-color-800:var(--spectrum-green-800);--spectrum-positive-color-900:var(--spectrum-green-900);--spectrum-positive-color-1000:var(--spectrum-green-1000);--spectrum-positive-color-1100:var(--spectrum-green-1100);--spectrum-positive-color-1200:var(--spectrum-green-1200);--spectrum-positive-color-1300:var(--spectrum-green-1300);--spectrum-positive-color-1400:var(--spectrum-green-1400);--spectrum-default-font-family:var(--spectrum-sans-serif-font-family);--spectrum-sans-serif-font-family:Adobe Clean;--spectrum-serif-font-family:Adobe Clean Serif;--spectrum-cjk-font-family:Adobe Clean Han;--spectrum-light-font-weight:300;--spectrum-regular-font-weight:400;--spectrum-medium-font-weight:500;--spectrum-bold-font-weight:700;--spectrum-extra-bold-font-weight:800;--spectrum-black-font-weight:900;--spectrum-italic-font-style:italic;--spectrum-default-font-style:normal;--spectrum-line-height-100:1.3;--spectrum-line-height-200:1.5;--spectrum-cjk-line-height-100:1.5;--spectrum-cjk-line-height-200:1.7;--spectrum-cjk-letter-spacing:.05em;--spectrum-heading-sans-serif-font-family:var(--spectrum-sans-serif-font-family);--spectrum-heading-serif-font-family:var(--spectrum-serif-font-family);--spectrum-heading-cjk-font-family:var(--spectrum-cjk-font-family);--spectrum-heading-sans-serif-light-font-weight:var(--spectrum-light-font-weight);--spectrum-heading-sans-serif-light-font-style:var(--spectrum-default-font-style);--spectrum-heading-serif-light-font-weight:var(--spectrum-regular-font-weight);--spectrum-heading-serif-light-font-style:var(--spectrum-default-font-style);--spectrum-heading-cjk-light-font-weight:var(--spectrum-light-font-weight);--spectrum-heading-cjk-light-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-font-style:var(--spectrum-default-font-style);--spectrum-heading-serif-font-style:var(--spectrum-default-font-style);--spectrum-heading-cjk-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-heavy-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-sans-serif-heavy-font-style:var(--spectrum-default-font-style);--spectrum-heading-serif-heavy-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-serif-heavy-font-style:var(--spectrum-default-font-style);--spectrum-heading-cjk-heavy-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-cjk-heavy-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-light-strong-font-weight:var(--spectrum-bold-font-weight);--spectrum-heading-sans-serif-light-strong-font-style:var(--spectrum-default-font-style);--spectrum-heading-serif-light-strong-font-weight:var(--spectrum-bold-font-weight);--spectrum-heading-serif-light-strong-font-style:var(--spectrum-default-font-style);--spectrum-heading-cjk-light-strong-font-weight:var(--spectrum-extra-bold-font-weight);--spectrum-heading-cjk-light-strong-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-strong-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-sans-serif-strong-font-style:var(--spectrum-default-font-style);--spectrum-heading-serif-strong-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-serif-strong-font-style:var(--spectrum-default-font-style);--spectrum-heading-cjk-strong-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-cjk-strong-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-heavy-strong-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-sans-serif-heavy-strong-font-style:var(--spectrum-default-font-style);--spectrum-heading-serif-heavy-strong-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-serif-heavy-strong-font-style:var(--spectrum-default-font-style);--spectrum-heading-cjk-heavy-strong-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-cjk-heavy-strong-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-light-emphasized-font-weight:var(--spectrum-light-font-weight);--spectrum-heading-sans-serif-light-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-serif-light-emphasized-font-weight:var(--spectrum-regular-font-weight);--spectrum-heading-serif-light-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-cjk-light-emphasized-font-weight:var(--spectrum-regular-font-weight);--spectrum-heading-cjk-light-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-serif-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-cjk-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-cjk-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-heavy-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-sans-serif-heavy-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-serif-heavy-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-serif-heavy-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-cjk-heavy-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-cjk-heavy-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-light-strong-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-heading-sans-serif-light-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-serif-light-strong-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-heading-serif-light-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-cjk-light-strong-emphasized-font-weight:var(--spectrum-extra-bold-font-weight);--spectrum-heading-cjk-light-strong-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-strong-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-sans-serif-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-serif-strong-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-serif-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-cjk-strong-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-cjk-strong-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-heading-sans-serif-heavy-strong-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-sans-serif-heavy-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-serif-heavy-strong-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-serif-heavy-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-heading-cjk-heavy-strong-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-heading-cjk-heavy-strong-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-heading-size-xxxl:var(--spectrum-font-size-1300);--spectrum-heading-size-xxl:var(--spectrum-font-size-1100);--spectrum-heading-size-xl:var(--spectrum-font-size-900);--spectrum-heading-size-l:var(--spectrum-font-size-700);--spectrum-heading-size-m:var(--spectrum-font-size-500);--spectrum-heading-size-s:var(--spectrum-font-size-300);--spectrum-heading-size-xs:var(--spectrum-font-size-200);--spectrum-heading-size-xxs:var(--spectrum-font-size-100);--spectrum-heading-cjk-size-xxxl:var(--spectrum-font-size-1300);--spectrum-heading-cjk-size-xxl:var(--spectrum-font-size-900);--spectrum-heading-cjk-size-xl:var(--spectrum-font-size-800);--spectrum-heading-cjk-size-l:var(--spectrum-font-size-600);--spectrum-heading-cjk-size-m:var(--spectrum-font-size-400);--spectrum-heading-cjk-size-s:var(--spectrum-font-size-300);--spectrum-heading-cjk-size-xs:var(--spectrum-font-size-200);--spectrum-heading-cjk-size-xxs:var(--spectrum-font-size-100);--spectrum-heading-line-height:var(--spectrum-line-height-100);--spectrum-heading-cjk-line-height:var(--spectrum-cjk-line-height-100);--spectrum-heading-margin-top-multiplier:.888889;--spectrum-heading-margin-bottom-multiplier:.25;--spectrum-heading-color:var(--spectrum-gray-900);--spectrum-body-sans-serif-font-family:var(--spectrum-sans-serif-font-family);--spectrum-body-serif-font-family:var(--spectrum-serif-font-family);--spectrum-body-cjk-font-family:var(--spectrum-cjk-font-family);--spectrum-body-sans-serif-font-weight:var(--spectrum-regular-font-weight);--spectrum-body-sans-serif-font-style:var(--spectrum-default-font-style);--spectrum-body-serif-font-weight:var(--spectrum-regular-font-weight);--spectrum-body-serif-font-style:var(--spectrum-default-font-style);--spectrum-body-cjk-font-weight:var(--spectrum-regular-font-weight);--spectrum-body-cjk-font-style:var(--spectrum-default-font-style);--spectrum-body-sans-serif-strong-font-weight:var(--spectrum-bold-font-weight);--spectrum-body-sans-serif-strong-font-style:var(--spectrum-default-font-style);--spectrum-body-serif-strong-font-weight:var(--spectrum-bold-font-weight);--spectrum-body-serif-strong-font-style:var(--spectrum-default-font-style);--spectrum-body-cjk-strong-font-weight:var(--spectrum-black-font-weight);--spectrum-body-cjk-strong-font-style:var(--spectrum-default-font-style);--spectrum-body-sans-serif-emphasized-font-weight:var(--spectrum-regular-font-weight);--spectrum-body-sans-serif-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-body-serif-emphasized-font-weight:var(--spectrum-regular-font-weight);--spectrum-body-serif-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-body-cjk-emphasized-font-weight:var(--spectrum-extra-bold-font-weight);--spectrum-body-cjk-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-body-sans-serif-strong-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-body-sans-serif-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-body-serif-strong-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-body-serif-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-body-cjk-strong-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-body-cjk-strong-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-body-size-xxxl:var(--spectrum-font-size-600);--spectrum-body-size-xxl:var(--spectrum-font-size-500);--spectrum-body-size-xl:var(--spectrum-font-size-400);--spectrum-body-size-l:var(--spectrum-font-size-300);--spectrum-body-size-m:var(--spectrum-font-size-200);--spectrum-body-size-s:var(--spectrum-font-size-100);--spectrum-body-size-xs:var(--spectrum-font-size-75);--spectrum-body-line-height:var(--spectrum-line-height-200);--spectrum-body-cjk-line-height:var(--spectrum-cjk-line-height-200);--spectrum-body-margin-multiplier:.75;--spectrum-body-color:var(--spectrum-gray-800);--spectrum-detail-sans-serif-font-family:var(--spectrum-sans-serif-font-family);--spectrum-detail-serif-font-family:var(--spectrum-serif-font-family);--spectrum-detail-cjk-font-family:var(--spectrum-cjk-font-family);--spectrum-detail-sans-serif-font-weight:var(--spectrum-bold-font-weight);--spectrum-detail-sans-serif-font-style:var(--spectrum-default-font-style);--spectrum-detail-serif-font-weight:var(--spectrum-bold-font-weight);--spectrum-detail-serif-font-style:var(--spectrum-default-font-style);--spectrum-detail-cjk-font-weight:var(--spectrum-extra-bold-font-weight);--spectrum-detail-cjk-font-style:var(--spectrum-default-font-style);--spectrum-detail-sans-serif-light-font-weight:var(--spectrum-regular-font-weight);--spectrum-detail-sans-serif-light-font-style:var(--spectrum-default-font-style);--spectrum-detail-serif-light-font-weight:var(--spectrum-regular-font-weight);--spectrum-detail-serif-light-font-style:var(--spectrum-default-font-style);--spectrum-detail-cjk-light-font-weight:var(--spectrum-light-font-weight);--spectrum-detail-cjk-light-font-style:var(--spectrum-default-font-style);--spectrum-detail-sans-serif-strong-font-weight:var(--spectrum-bold-font-weight);--spectrum-detail-sans-serif-strong-font-style:var(--spectrum-default-font-style);--spectrum-detail-serif-strong-font-weight:var(--spectrum-bold-font-weight);--spectrum-detail-serif-strong-font-style:var(--spectrum-default-font-style);--spectrum-detail-cjk-strong-font-weight:var(--spectrum-black-font-weight);--spectrum-detail-cjk-strong-font-style:var(--spectrum-default-font-style);--spectrum-detail-sans-serif-light-strong-font-weight:var(--spectrum-regular-font-weight);--spectrum-detail-sans-serif-light-strong-font-style:var(--spectrum-default-font-style);--spectrum-detail-serif-light-strong-font-weight:var(--spectrum-regular-font-weight);--spectrum-detail-serif-light-strong-font-style:var(--spectrum-default-font-style);--spectrum-detail-cjk-light-strong-font-weight:var(--spectrum-extra-bold-font-weight);--spectrum-detail-cjk-light-strong-font-style:var(--spectrum-default-font-style);--spectrum-detail-sans-serif-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-detail-sans-serif-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-detail-serif-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-detail-serif-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-detail-cjk-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-detail-cjk-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-detail-sans-serif-light-emphasized-font-weight:var(--spectrum-regular-font-weight);--spectrum-detail-sans-serif-light-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-detail-serif-light-emphasized-font-weight:var(--spectrum-regular-font-weight);--spectrum-detail-serif-light-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-detail-cjk-light-emphasized-font-weight:var(--spectrum-regular-font-weight);--spectrum-detail-cjk-light-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-detail-sans-serif-strong-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-detail-sans-serif-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-detail-serif-strong-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-detail-serif-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-detail-cjk-strong-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-detail-cjk-strong-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-detail-sans-serif-light-strong-emphasized-font-weight:var(--spectrum-regular-font-weight);--spectrum-detail-sans-serif-light-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-detail-serif-light-strong-emphasized-font-weight:var(--spectrum-regular-font-weight);--spectrum-detail-serif-light-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-detail-cjk-light-strong-emphasized-font-weight:var(--spectrum-extra-bold-font-weight);--spectrum-detail-cjk-light-strong-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-detail-size-xl:var(--spectrum-font-size-200);--spectrum-detail-size-l:var(--spectrum-font-size-100);--spectrum-detail-size-m:var(--spectrum-font-size-75);--spectrum-detail-size-s:var(--spectrum-font-size-50);--spectrum-detail-line-height:var(--spectrum-line-height-100);--spectrum-detail-cjk-line-height:var(--spectrum-cjk-line-height-100);--spectrum-detail-margin-top-multiplier:.888889;--spectrum-detail-margin-bottom-multiplier:.25;--spectrum-detail-letter-spacing:.06em;--spectrum-detail-sans-serif-text-transform:uppercase;--spectrum-detail-serif-text-transform:uppercase;--spectrum-detail-color:var(--spectrum-gray-900);--spectrum-code-font-family:Source Code Pro;--spectrum-code-cjk-font-family:var(--spectrum-code-font-family);--spectrum-code-font-weight:var(--spectrum-regular-font-weight);--spectrum-code-font-style:var(--spectrum-default-font-style);--spectrum-code-cjk-font-weight:var(--spectrum-regular-font-weight);--spectrum-code-cjk-font-style:var(--spectrum-default-font-style);--spectrum-code-strong-font-weight:var(--spectrum-bold-font-weight);--spectrum-code-strong-font-style:var(--spectrum-default-font-style);--spectrum-code-cjk-strong-font-weight:var(--spectrum-black-font-weight);--spectrum-code-cjk-strong-font-style:var(--spectrum-default-font-style);--spectrum-code-emphasized-font-weight:var(--spectrum-regular-font-weight);--spectrum-code-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-code-cjk-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-code-cjk-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-code-strong-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-code-strong-emphasized-font-style:var(--spectrum-italic-font-style);--spectrum-code-cjk-strong-emphasized-font-weight:var(--spectrum-black-font-weight);--spectrum-code-cjk-strong-emphasized-font-style:var(--spectrum-default-font-style);--spectrum-code-size-xl:var(--spectrum-font-size-400);--spectrum-code-size-l:var(--spectrum-font-size-300);--spectrum-code-size-m:var(--spectrum-font-size-200);--spectrum-code-size-s:var(--spectrum-font-size-100);--spectrum-code-size-xs:var(--spectrum-font-size-75);--spectrum-code-line-height:var(--spectrum-line-height-200);--spectrum-code-cjk-line-height:var(--spectrum-cjk-line-height-200);--spectrum-code-color:var(--spectrum-gray-800);--spectrum-neutral-background-color-selected-default:var(--spectrum-gray-700);--spectrum-neutral-background-color-selected-hover:var(--spectrum-gray-800);--spectrum-neutral-background-color-selected-down:var(--spectrum-gray-900);--spectrum-neutral-background-color-selected-key-focus:var(--spectrum-gray-800);--spectrum-slider-track-thickness:2px;--spectrum-slider-handle-gap:4px;--spectrum-picker-border-width:var(--spectrum-border-width-100);--spectrum-in-field-button-fill-stacked-inner-border-rounding:0px;--spectrum-in-field-button-edge-to-fill:0px;--spectrum-in-field-button-stacked-inner-edge-to-fill:0px;--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-medium:3px;--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-large:4px;--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-extra-large:5px;--spectrum-in-field-button-inner-edge-to-disclosure-icon-stacked-small:var(--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-small);--spectrum-in-field-button-inner-edge-to-disclosure-icon-stacked-medium:var(--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-medium);--spectrum-in-field-button-inner-edge-to-disclosure-icon-stacked-large:var(--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-large);--spectrum-in-field-button-inner-edge-to-disclosure-icon-stacked-extra-large:var(--spectrum-in-field-button-outer-edge-to-disclosure-icon-stacked-extra-large);--spectrum-corner-radius-75:2px;--spectrum-drop-shadow-x:0px;--spectrum-border-width-100:1px;--spectrum-accent-color-100:var(--spectrum-blue-100);--spectrum-accent-color-200:var(--spectrum-blue-200);--spectrum-accent-color-300:var(--spectrum-blue-300);--spectrum-accent-color-400:var(--spectrum-blue-400);--spectrum-accent-color-500:var(--spectrum-blue-500);--spectrum-accent-color-600:var(--spectrum-blue-600);--spectrum-accent-color-700:var(--spectrum-blue-700);--spectrum-accent-color-800:var(--spectrum-blue-800);--spectrum-accent-color-900:var(--spectrum-blue-900);--spectrum-accent-color-1000:var(--spectrum-blue-1000);--spectrum-accent-color-1100:var(--spectrum-blue-1100);--spectrum-accent-color-1200:var(--spectrum-blue-1200);--spectrum-accent-color-1300:var(--spectrum-blue-1300);--spectrum-accent-color-1400:var(--spectrum-blue-1400);--spectrum-heading-sans-serif-font-weight:var(--spectrum-bold-font-weight);--spectrum-heading-serif-font-weight:var(--spectrum-bold-font-weight);--spectrum-heading-cjk-font-weight:var(--spectrum-extra-bold-font-weight);--spectrum-heading-sans-serif-emphasized-font-weight:var(--spectrum-bold-font-weight);--spectrum-heading-serif-emphasized-font-weight:var(--spectrum-bold-font-weight);--system-spectrum-actionbutton-background-color-default:var(--spectrum-gray-75);--system-spectrum-actionbutton-background-color-hover:var(--spectrum-gray-200);--system-spectrum-actionbutton-background-color-down:var(--spectrum-gray-300);--system-spectrum-actionbutton-background-color-focus:var(--spectrum-gray-200);--system-spectrum-actionbutton-border-color-default:var(--spectrum-gray-400);--system-spectrum-actionbutton-border-color-hover:var(--spectrum-gray-500);--system-spectrum-actionbutton-border-color-down:var(--spectrum-gray-600);--system-spectrum-actionbutton-border-color-focus:var(--spectrum-gray-500);--system-spectrum-actionbutton-background-color-disabled:transparent;--system-spectrum-actionbutton-border-color-disabled:var(--spectrum-disabled-border-color);--system-spectrum-actionbutton-content-color-disabled:var(--spectrum-disabled-content-color);--system-spectrum-actionbutton-quiet-background-color-default:transparent;--system-spectrum-actionbutton-quiet-background-color-hover:var(--spectrum-gray-200);--system-spectrum-actionbutton-quiet-background-color-down:var(--spectrum-gray-300);--system-spectrum-actionbutton-quiet-background-color-focus:var(--spectrum-gray-200);--system-spectrum-actionbutton-quiet-border-color-default:transparent;--system-spectrum-actionbutton-quiet-border-color-hover:transparent;--system-spectrum-actionbutton-quiet-border-color-down:transparent;--system-spectrum-actionbutton-quiet-border-color-focus:transparent;--system-spectrum-actionbutton-quiet-background-color-disabled:transparent;--system-spectrum-actionbutton-quiet-border-color-disabled:transparent;--system-spectrum-actionbutton-selected-border-color-default:transparent;--system-spectrum-actionbutton-selected-border-color-hover:transparent;--system-spectrum-actionbutton-selected-border-color-down:transparent;--system-spectrum-actionbutton-selected-border-color-focus:transparent;--system-spectrum-actionbutton-selected-background-color-disabled:var(--spectrum-disabled-background-color);--system-spectrum-actionbutton-selected-border-color-disabled:transparent;--system-spectrum-actionbutton-staticblack-quiet-border-color-default:transparent;--system-spectrum-actionbutton-staticwhite-quiet-border-color-default:transparent;--system-spectrum-actionbutton-staticblack-quiet-border-color-hover:transparent;--system-spectrum-actionbutton-staticwhite-quiet-border-color-hover:transparent;--system-spectrum-actionbutton-staticblack-quiet-border-color-down:transparent;--system-spectrum-actionbutton-staticwhite-quiet-border-color-down:transparent;--system-spectrum-actionbutton-staticblack-quiet-border-color-focus:transparent;--system-spectrum-actionbutton-staticwhite-quiet-border-color-focus:transparent;--system-spectrum-actionbutton-staticblack-quiet-border-color-disabled:transparent;--system-spectrum-actionbutton-staticwhite-quiet-border-color-disabled:transparent;--system-spectrum-actionbutton-staticblack-background-color-default:transparent;--system-spectrum-actionbutton-staticblack-background-color-hover:var(--spectrum-transparent-black-300);--system-spectrum-actionbutton-staticblack-background-color-down:var(--spectrum-transparent-black-400);--system-spectrum-actionbutton-staticblack-background-color-focus:var(--spectrum-transparent-black-300);--system-spectrum-actionbutton-staticblack-border-color-default:var(--spectrum-transparent-black-400);--system-spectrum-actionbutton-staticblack-border-color-hover:var(--spectrum-transparent-black-500);--system-spectrum-actionbutton-staticblack-border-color-down:var(--spectrum-transparent-black-600);--system-spectrum-actionbutton-staticblack-border-color-focus:var(--spectrum-transparent-black-500);--system-spectrum-actionbutton-staticblack-content-color-default:var(--spectrum-black);--system-spectrum-actionbutton-staticblack-content-color-hover:var(--spectrum-black);--system-spectrum-actionbutton-staticblack-content-color-down:var(--spectrum-black);--system-spectrum-actionbutton-staticblack-content-color-focus:var(--spectrum-black);--system-spectrum-actionbutton-staticblack-focus-indicator-color:var(--spectrum-static-black-focus-indicator-color);--system-spectrum-actionbutton-staticblack-background-color-disabled:transparent;--system-spectrum-actionbutton-staticblack-border-color-disabled:var(--spectrum-disabled-static-black-border-color);--system-spectrum-actionbutton-staticblack-content-color-disabled:var(--spectrum-disabled-static-black-content-color);--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-background-color-default:var(--spectrum-transparent-black-800);--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-background-color-hover:var(--spectrum-transparent-black-900);--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-background-color-down:var(--spectrum-transparent-black-900);--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-background-color-focus:var(--spectrum-transparent-black-900);--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-content-color-default:var(--spectrum-white);--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-content-color-hover:var(--spectrum-white);--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-content-color-down:var(--spectrum-white);--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-content-color-focus:var(--spectrum-white);--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-background-color-disabled:var(--spectrum-disabled-static-black-background-color);--system-spectrum-actionbutton-staticblack-selected-mod-actionbutton-border-color-disabled:transparent;--system-spectrum-actionbutton-staticwhite-background-color-default:transparent;--system-spectrum-actionbutton-staticwhite-background-color-hover:var(--spectrum-transparent-white-300);--system-spectrum-actionbutton-staticwhite-background-color-down:var(--spectrum-transparent-white-400);--system-spectrum-actionbutton-staticwhite-background-color-focus:var(--spectrum-transparent-white-300);--system-spectrum-actionbutton-staticwhite-border-color-default:var(--spectrum-transparent-white-400);--system-spectrum-actionbutton-staticwhite-border-color-hover:var(--spectrum-transparent-white-500);--system-spectrum-actionbutton-staticwhite-border-color-down:var(--spectrum-transparent-white-600);--system-spectrum-actionbutton-staticwhite-border-color-focus:var(--spectrum-transparent-white-500);--system-spectrum-actionbutton-staticwhite-content-color-default:var(--spectrum-white);--system-spectrum-actionbutton-staticwhite-content-color-hover:var(--spectrum-white);--system-spectrum-actionbutton-staticwhite-content-color-down:var(--spectrum-white);--system-spectrum-actionbutton-staticwhite-content-color-focus:var(--spectrum-white);--system-spectrum-actionbutton-staticwhite-focus-indicator-color:var(--spectrum-static-white-focus-indicator-color);--system-spectrum-actionbutton-staticwhite-background-color-disabled:transparent;--system-spectrum-actionbutton-staticwhite-border-color-disabled:var(--spectrum-disabled-static-white-border-color);--system-spectrum-actionbutton-staticwhite-content-color-disabled:var(--spectrum-disabled-static-white-content-color);--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-background-color-default:var(--spectrum-transparent-white-800);--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-background-color-hover:var(--spectrum-transparent-white-900);--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-background-color-down:var(--spectrum-transparent-white-900);--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-background-color-focus:var(--spectrum-transparent-white-900);--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-content-color-default:var(--spectrum-black);--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-content-color-hover:var(--spectrum-black);--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-content-color-down:var(--spectrum-black);--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-content-color-focus:var(--spectrum-black);--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-background-color-disabled:var(--spectrum-disabled-static-white-background-color);--system-spectrum-actionbutton-staticwhite-selected-mod-actionbutton-border-color-disabled:transparent;--system-spectrum-actiongroup-gap-size-compact:0;--system-spectrum-actiongroup-horizontal-spacing-compact:-1px;--system-spectrum-actiongroup-vertical-spacing-compact:-1px;--system-spectrum-button-background-color-default:var(--spectrum-gray-75);--system-spectrum-button-background-color-hover:var(--spectrum-gray-200);--system-spectrum-button-background-color-down:var(--spectrum-gray-300);--system-spectrum-button-background-color-focus:var(--spectrum-gray-200);--system-spectrum-button-border-color-default:var(--spectrum-gray-400);--system-spectrum-button-border-color-hover:var(--spectrum-gray-500);--system-spectrum-button-border-color-down:var(--spectrum-gray-600);--system-spectrum-button-border-color-focus:var(--spectrum-gray-500);--system-spectrum-button-content-color-default:var(--spectrum-neutral-content-color-default);--system-spectrum-button-content-color-hover:var(--spectrum-neutral-content-color-hover);--system-spectrum-button-content-color-down:var(--spectrum-neutral-content-color-down);--system-spectrum-button-content-color-focus:var(--spectrum-neutral-content-color-key-focus);--system-spectrum-button-background-color-disabled:transparent;--system-spectrum-button-border-color-disabled:var(--spectrum-disabled-border-color);--system-spectrum-button-content-color-disabled:var(--spectrum-disabled-content-color);--system-spectrum-button-accent-background-color-default:var(--spectrum-accent-background-color-default);--system-spectrum-button-accent-background-color-hover:var(--spectrum-accent-background-color-hover);--system-spectrum-button-accent-background-color-down:var(--spectrum-accent-background-color-down);--system-spectrum-button-accent-background-color-focus:var(--spectrum-accent-background-color-key-focus);--system-spectrum-button-accent-border-color-default:transparent;--system-spectrum-button-accent-border-color-hover:transparent;--system-spectrum-button-accent-border-color-down:transparent;--system-spectrum-button-accent-border-color-focus:transparent;--system-spectrum-button-accent-content-color-default:var(--spectrum-white);--system-spectrum-button-accent-content-color-hover:var(--spectrum-white);--system-spectrum-button-accent-content-color-down:var(--spectrum-white);--system-spectrum-button-accent-content-color-focus:var(--spectrum-white);--system-spectrum-button-accent-background-color-disabled:var(--spectrum-disabled-background-color);--system-spectrum-button-accent-border-color-disabled:transparent;--system-spectrum-button-accent-content-color-disabled:var(--spectrum-disabled-content-color);--system-spectrum-button-accent-outline-background-color-default:transparent;--system-spectrum-button-accent-outline-background-color-hover:var(--spectrum-accent-color-200);--system-spectrum-button-accent-outline-background-color-down:var(--spectrum-accent-color-300);--system-spectrum-button-accent-outline-background-color-focus:var(--spectrum-accent-color-200);--system-spectrum-button-accent-outline-border-color-default:var(--spectrum-accent-color-900);--system-spectrum-button-accent-outline-border-color-hover:var(--spectrum-accent-color-1000);--system-spectrum-button-accent-outline-border-color-down:var(--spectrum-accent-color-1100);--system-spectrum-button-accent-outline-border-color-focus:var(--spectrum-accent-color-1000);--system-spectrum-button-accent-outline-content-color-default:var(--spectrum-accent-content-color-default);--system-spectrum-button-accent-outline-content-color-hover:var(--spectrum-accent-content-color-hover);--system-spectrum-button-accent-outline-content-color-down:var(--spectrum-accent-content-color-down);--system-spectrum-button-accent-outline-content-color-focus:var(--spectrum-accent-content-color-key-focus);--system-spectrum-button-accent-outline-background-color-disabled:transparent;--system-spectrum-button-accent-outline-border-color-disabled:var(--spectrum-disabled-border-color);--system-spectrum-button-accent-outline-content-color-disabled:var(--spectrum-disabled-content-color);--system-spectrum-button-negative-background-color-default:var(--spectrum-negative-background-color-default);--system-spectrum-button-negative-background-color-hover:var(--spectrum-negative-background-color-hover);--system-spectrum-button-negative-background-color-down:var(--spectrum-negative-background-color-down);--system-spectrum-button-negative-background-color-focus:var(--spectrum-negative-background-color-key-focus);--system-spectrum-button-negative-border-color-default:transparent;--system-spectrum-button-negative-border-color-hover:transparent;--system-spectrum-button-negative-border-color-down:transparent;--system-spectrum-button-negative-border-color-focus:transparent;--system-spectrum-button-negative-content-color-default:var(--spectrum-white);--system-spectrum-button-negative-content-color-hover:var(--spectrum-white);--system-spectrum-button-negative-content-color-down:var(--spectrum-white);--system-spectrum-button-negative-content-color-focus:var(--spectrum-white);--system-spectrum-button-negative-background-color-disabled:var(--spectrum-disabled-background-color);--system-spectrum-button-negative-border-color-disabled:transparent;--system-spectrum-button-negative-content-color-disabled:var(--spectrum-disabled-content-color);--system-spectrum-button-negative-outline-background-color-default:transparent;--system-spectrum-button-negative-outline-background-color-hover:var(--spectrum-negative-color-200);--system-spectrum-button-negative-outline-background-color-down:var(--spectrum-negative-color-300);--system-spectrum-button-negative-outline-background-color-focus:var(--spectrum-negative-color-200);--system-spectrum-button-negative-outline-border-color-default:var(--spectrum-negative-color-900);--system-spectrum-button-negative-outline-border-color-hover:var(--spectrum-negative-color-1000);--system-spectrum-button-negative-outline-border-color-down:var(--spectrum-negative-color-1100);--system-spectrum-button-negative-outline-border-color-focus:var(--spectrum-negative-color-1000);--system-spectrum-button-negative-outline-content-color-default:var(--spectrum-negative-content-color-default);--system-spectrum-button-negative-outline-content-color-hover:var(--spectrum-negative-content-color-hover);--system-spectrum-button-negative-outline-content-color-down:var(--spectrum-negative-content-color-down);--system-spectrum-button-negative-outline-content-color-focus:var(--spectrum-negative-content-color-key-focus);--system-spectrum-button-negative-outline-background-color-disabled:transparent;--system-spectrum-button-negative-outline-border-color-disabled:var(--spectrum-disabled-border-color);--system-spectrum-button-negative-outline-content-color-disabled:var(--spectrum-disabled-content-color);--system-spectrum-button-primary-background-color-default:var(--spectrum-neutral-background-color-default);--system-spectrum-button-primary-background-color-hover:var(--spectrum-neutral-background-color-hover);--system-spectrum-button-primary-background-color-down:var(--spectrum-neutral-background-color-down);--system-spectrum-button-primary-background-color-focus:var(--spectrum-neutral-background-color-key-focus);--system-spectrum-button-primary-border-color-default:transparent;--system-spectrum-button-primary-border-color-hover:transparent;--system-spectrum-button-primary-border-color-down:transparent;--system-spectrum-button-primary-border-color-focus:transparent;--system-spectrum-button-primary-content-color-default:var(--spectrum-white);--system-spectrum-button-primary-content-color-hover:var(--spectrum-white);--system-spectrum-button-primary-content-color-down:var(--spectrum-white);--system-spectrum-button-primary-content-color-focus:var(--spectrum-white);--system-spectrum-button-primary-background-color-disabled:var(--spectrum-disabled-background-color);--system-spectrum-button-primary-border-color-disabled:transparent;--system-spectrum-button-primary-content-color-disabled:var(--spectrum-disabled-content-color);--system-spectrum-button-primary-outline-background-color-default:transparent;--system-spectrum-button-primary-outline-background-color-hover:var(--spectrum-gray-300);--system-spectrum-button-primary-outline-background-color-down:var(--spectrum-gray-400);--system-spectrum-button-primary-outline-background-color-focus:var(--spectrum-gray-300);--system-spectrum-button-primary-outline-border-color-default:var(--spectrum-gray-800);--system-spectrum-button-primary-outline-border-color-hover:var(--spectrum-gray-900);--system-spectrum-button-primary-outline-border-color-down:var(--spectrum-gray-900);--system-spectrum-button-primary-outline-border-color-focus:var(--spectrum-gray-900);--system-spectrum-button-primary-outline-content-color-default:var(--spectrum-neutral-content-color-default);--system-spectrum-button-primary-outline-content-color-hover:var(--spectrum-neutral-content-color-hover);--system-spectrum-button-primary-outline-content-color-down:var(--spectrum-neutral-content-color-down);--system-spectrum-button-primary-outline-content-color-focus:var(--spectrum-neutral-content-color-key-focus);--system-spectrum-button-primary-outline-background-color-disabled:transparent;--system-spectrum-button-primary-outline-border-color-disabled:var(--spectrum-disabled-border-color);--system-spectrum-button-primary-outline-content-color-disabled:var(--spectrum-disabled-content-color);--system-spectrum-button-secondary-background-color-default:var(--spectrum-gray-200);--system-spectrum-button-secondary-background-color-hover:var(--spectrum-gray-300);--system-spectrum-button-secondary-background-color-down:var(--spectrum-gray-400);--system-spectrum-button-secondary-background-color-focus:var(--spectrum-gray-300);--system-spectrum-button-secondary-border-color-default:transparent;--system-spectrum-button-secondary-border-color-hover:transparent;--system-spectrum-button-secondary-border-color-down:transparent;--system-spectrum-button-secondary-border-color-focus:transparent;--system-spectrum-button-secondary-content-color-default:var(--spectrum-neutral-content-color-default);--system-spectrum-button-secondary-content-color-hover:var(--spectrum-neutral-content-color-hover);--system-spectrum-button-secondary-content-color-down:var(--spectrum-neutral-content-color-down);--system-spectrum-button-secondary-content-color-focus:var(--spectrum-neutral-content-color-key-focus);--system-spectrum-button-secondary-background-color-disabled:var(--spectrum-disabled-background-color);--system-spectrum-button-secondary-border-color-disabled:transparent;--system-spectrum-button-secondary-content-color-disabled:var(--spectrum-disabled-content-color);--system-spectrum-button-secondary-outline-background-color-default:transparent;--system-spectrum-button-secondary-outline-background-color-hover:var(--spectrum-gray-300);--system-spectrum-button-secondary-outline-background-color-down:var(--spectrum-gray-400);--system-spectrum-button-secondary-outline-background-color-focus:var(--spectrum-gray-300);--system-spectrum-button-secondary-outline-border-color-default:var(--spectrum-gray-300);--system-spectrum-button-secondary-outline-border-color-hover:var(--spectrum-gray-400);--system-spectrum-button-secondary-outline-border-color-down:var(--spectrum-gray-500);--system-spectrum-button-secondary-outline-border-color-focus:var(--spectrum-gray-400);--system-spectrum-button-secondary-outline-content-color-default:var(--spectrum-neutral-content-color-default);--system-spectrum-button-secondary-outline-content-color-hover:var(--spectrum-neutral-content-color-hover);--system-spectrum-button-secondary-outline-content-color-down:var(--spectrum-neutral-content-color-down);--system-spectrum-button-secondary-outline-content-color-focus:var(--spectrum-neutral-content-color-key-focus);--system-spectrum-button-secondary-outline-background-color-disabled:transparent;--system-spectrum-button-secondary-outline-border-color-disabled:var(--spectrum-disabled-border-color);--system-spectrum-button-secondary-outline-content-color-disabled:var(--spectrum-disabled-content-color);--system-spectrum-button-quiet-background-color-default:transparent;--system-spectrum-button-quiet-background-color-hover:var(--spectrum-gray-200);--system-spectrum-button-quiet-background-color-down:var(--spectrum-gray-300);--system-spectrum-button-quiet-background-color-focus:var(--spectrum-gray-200);--system-spectrum-button-quiet-border-color-default:transparent;--system-spectrum-button-quiet-border-color-hover:transparent;--system-spectrum-button-quiet-border-color-down:transparent;--system-spectrum-button-quiet-border-color-focus:transparent;--system-spectrum-button-quiet-background-color-disabled:transparent;--system-spectrum-button-quiet-border-color-disabled:transparent;--system-spectrum-button-selected-background-color-default:var(--spectrum-neutral-subdued-background-color-default);--system-spectrum-button-selected-background-color-hover:var(--spectrum-neutral-subdued-background-color-hover);--system-spectrum-button-selected-background-color-down:var(--spectrum-neutral-subdued-background-color-down);--system-spectrum-button-selected-background-color-focus:var(--spectrum-neutral-subdued-background-color-key-focus);--system-spectrum-button-selected-border-color-default:transparent;--system-spectrum-button-selected-border-color-hover:transparent;--system-spectrum-button-selected-border-color-down:transparent;--system-spectrum-button-selected-border-color-focus:transparent;--system-spectrum-button-selected-content-color-default:var(--spectrum-white);--system-spectrum-button-selected-content-color-hover:var(--spectrum-white);--system-spectrum-button-selected-content-color-down:var(--spectrum-white);--system-spectrum-button-selected-content-color-focus:var(--spectrum-white);--system-spectrum-button-selected-background-color-disabled:var(--spectrum-disabled-background-color);--system-spectrum-button-selected-border-color-disabled:transparent;--system-spectrum-button-selected-emphasized-background-color-default:var(--spectrum-accent-background-color-default);--system-spectrum-button-selected-emphasized-background-color-hover:var(--spectrum-accent-background-color-hover);--system-spectrum-button-selected-emphasized-background-color-down:var(--spectrum-accent-background-color-down);--system-spectrum-button-selected-emphasized-background-color-focus:var(--spectrum-accent-background-color-key-focus);--system-spectrum-button-staticblack-quiet-border-color-default:transparent;--system-spectrum-button-staticwhite-quiet-border-color-default:transparent;--system-spectrum-button-staticblack-quiet-border-color-hover:transparent;--system-spectrum-button-staticwhite-quiet-border-color-hover:transparent;--system-spectrum-button-staticblack-quiet-border-color-down:transparent;--system-spectrum-button-staticwhite-quiet-border-color-down:transparent;--system-spectrum-button-staticblack-quiet-border-color-focus:transparent;--system-spectrum-button-staticwhite-quiet-border-color-focus:transparent;--system-spectrum-button-staticblack-quiet-border-color-disabled:transparent;--system-spectrum-button-staticwhite-quiet-border-color-disabled:transparent;--system-spectrum-button-staticwhite-background-color-default:var(--spectrum-transparent-white-800);--system-spectrum-button-staticwhite-background-color-hover:var(--spectrum-transparent-white-900);--system-spectrum-button-staticwhite-background-color-down:var(--spectrum-transparent-white-900);--system-spectrum-button-staticwhite-background-color-focus:var(--spectrum-transparent-white-900);--system-spectrum-button-staticwhite-border-color-default:transparent;--system-spectrum-button-staticwhite-border-color-hover:transparent;--system-spectrum-button-staticwhite-border-color-down:transparent;--system-spectrum-button-staticwhite-border-color-focus:transparent;--system-spectrum-button-staticwhite-content-color-default:var(--spectrum-black);--system-spectrum-button-staticwhite-content-color-hover:var(--spectrum-black);--system-spectrum-button-staticwhite-content-color-down:var(--spectrum-black);--system-spectrum-button-staticwhite-content-color-focus:var(--spectrum-black);--system-spectrum-button-staticwhite-focus-indicator-color:var(--spectrum-static-white-focus-indicator-color);--system-spectrum-button-staticwhite-background-color-disabled:var(--spectrum-disabled-static-white-background-color);--system-spectrum-button-staticwhite-border-color-disabled:transparent;--system-spectrum-button-staticwhite-content-color-disabled:var(--spectrum-disabled-static-white-content-color);--system-spectrum-button-staticwhite-outline-background-color-default:transparent;--system-spectrum-button-staticwhite-outline-background-color-hover:var(--spectrum-transparent-white-300);--system-spectrum-button-staticwhite-outline-background-color-down:var(--spectrum-transparent-white-400);--system-spectrum-button-staticwhite-outline-background-color-focus:var(--spectrum-transparent-white-300);--system-spectrum-button-staticwhite-outline-border-color-default:var(--spectrum-transparent-white-800);--system-spectrum-button-staticwhite-outline-border-color-hover:var(--spectrum-transparent-white-900);--system-spectrum-button-staticwhite-outline-border-color-down:var(--spectrum-transparent-white-900);--system-spectrum-button-staticwhite-outline-border-color-focus:var(--spectrum-transparent-white-900);--system-spectrum-button-staticwhite-outline-content-color-default:var(--spectrum-white);--system-spectrum-button-staticwhite-outline-content-color-hover:var(--spectrum-white);--system-spectrum-button-staticwhite-outline-content-color-down:var(--spectrum-white);--system-spectrum-button-staticwhite-outline-content-color-focus:var(--spectrum-white);--system-spectrum-button-staticwhite-outline-focus-indicator-color:var(--spectrum-static-white-focus-indicator-color);--system-spectrum-button-staticwhite-outline-background-color-disabled:transparent;--system-spectrum-button-staticwhite-outline-border-color-disabled:var(--spectrum-disabled-static-white-border-color);--system-spectrum-button-staticwhite-outline-content-color-disabled:var(--spectrum-disabled-static-white-content-color);--system-spectrum-button-staticwhite-selected-background-color-default:var(--spectrum-transparent-white-800);--system-spectrum-button-staticwhite-selected-background-color-hover:var(--spectrum-transparent-white-900);--system-spectrum-button-staticwhite-selected-background-color-down:var(--spectrum-transparent-white-900);--system-spectrum-button-staticwhite-selected-background-color-focus:var(--spectrum-transparent-white-900);--system-spectrum-button-staticwhite-selected-content-color-default:var(--spectrum-black);--system-spectrum-button-staticwhite-selected-content-color-hover:var(--spectrum-black);--system-spectrum-button-staticwhite-selected-content-color-down:var(--spectrum-black);--system-spectrum-button-staticwhite-selected-content-color-focus:var(--spectrum-black);--system-spectrum-button-staticwhite-selected-background-color-disabled:var(--spectrum-disabled-static-white-background-color);--system-spectrum-button-staticwhite-selected-border-color-disabled:transparent;--system-spectrum-button-staticwhite-secondary-background-color-default:var(--spectrum-transparent-white-200);--system-spectrum-button-staticwhite-secondary-background-color-hover:var(--spectrum-transparent-white-300);--system-spectrum-button-staticwhite-secondary-background-color-down:var(--spectrum-transparent-white-400);--system-spectrum-button-staticwhite-secondary-background-color-focus:var(--spectrum-transparent-white-300);--system-spectrum-button-staticwhite-secondary-border-color-default:transparent;--system-spectrum-button-staticwhite-secondary-border-color-hover:transparent;--system-spectrum-button-staticwhite-secondary-border-color-down:transparent;--system-spectrum-button-staticwhite-secondary-border-color-focus:transparent;--system-spectrum-button-staticwhite-secondary-content-color-default:var(--spectrum-white);--system-spectrum-button-staticwhite-secondary-content-color-hover:var(--spectrum-white);--system-spectrum-button-staticwhite-secondary-content-color-down:var(--spectrum-white);--system-spectrum-button-staticwhite-secondary-content-color-focus:var(--spectrum-white);--system-spectrum-button-staticwhite-secondary-focus-indicator-color:var(--spectrum-static-white-focus-indicator-color);--system-spectrum-button-staticwhite-secondary-background-color-disabled:var(--spectrum-disabled-static-white-background-color);--system-spectrum-button-staticwhite-secondary-border-color-disabled:transparent;--system-spectrum-button-staticwhite-secondary-content-color-disabled:var(--spectrum-disabled-static-white-content-color);--system-spectrum-button-staticwhite-secondary-outline-background-color-default:transparent;--system-spectrum-button-staticwhite-secondary-outline-background-color-hover:var(--spectrum-transparent-white-300);--system-spectrum-button-staticwhite-secondary-outline-background-color-down:var(--spectrum-transparent-white-400);--system-spectrum-button-staticwhite-secondary-outline-background-color-focus:var(--spectrum-transparent-white-300);--system-spectrum-button-staticwhite-secondary-outline-border-color-default:var(--spectrum-transparent-white-300);--system-spectrum-button-staticwhite-secondary-outline-border-color-hover:var(--spectrum-transparent-white-400);--system-spectrum-button-staticwhite-secondary-outline-border-color-down:var(--spectrum-transparent-white-500);--system-spectrum-button-staticwhite-secondary-outline-border-color-focus:var(--spectrum-transparent-white-400);--system-spectrum-button-staticwhite-secondary-outline-content-color-default:var(--spectrum-white);--system-spectrum-button-staticwhite-secondary-outline-content-color-hover:var(--spectrum-white);--system-spectrum-button-staticwhite-secondary-outline-content-color-down:var(--spectrum-white);--system-spectrum-button-staticwhite-secondary-outline-content-color-focus:var(--spectrum-white);--system-spectrum-button-staticwhite-secondary-outline-focus-indicator-color:var(--spectrum-static-white-focus-indicator-color);--system-spectrum-button-staticwhite-secondary-outline-background-color-disabled:transparent;--system-spectrum-button-staticwhite-secondary-outline-border-color-disabled:var(--spectrum-disabled-static-white-border-color);--system-spectrum-button-staticwhite-secondary-outline-content-color-disabled:var(--spectrum-disabled-static-white-content-color);--system-spectrum-button-staticblack-background-color-default:var(--spectrum-transparent-black-800);--system-spectrum-button-staticblack-background-color-hover:var(--spectrum-transparent-black-900);--system-spectrum-button-staticblack-background-color-down:var(--spectrum-transparent-black-900);--system-spectrum-button-staticblack-background-color-focus:var(--spectrum-transparent-black-900);--system-spectrum-button-staticblack-border-color-default:transparent;--system-spectrum-button-staticblack-border-color-hover:transparent;--system-spectrum-button-staticblack-border-color-down:transparent;--system-spectrum-button-staticblack-border-color-focus:transparent;--system-spectrum-button-staticblack-content-color-default:var(--spectrum-white);--system-spectrum-button-staticblack-content-color-hover:var(--spectrum-white);--system-spectrum-button-staticblack-content-color-down:var(--spectrum-white);--system-spectrum-button-staticblack-content-color-focus:var(--spectrum-white);--system-spectrum-button-staticblack-focus-indicator-color:var(--spectrum-static-black-focus-indicator-color);--system-spectrum-button-staticblack-background-color-disabled:var(--spectrum-disabled-static-black-background-color);--system-spectrum-button-staticblack-border-color-disabled:transparent;--system-spectrum-button-staticblack-content-color-disabled:var(--spectrum-disabled-static-black-content-color);--system-spectrum-button-staticblack-outline-background-color-default:transparent;--system-spectrum-button-staticblack-outline-background-color-hover:var(--spectrum-transparent-black-300);--system-spectrum-button-staticblack-outline-background-color-down:var(--spectrum-transparent-black-400);--system-spectrum-button-staticblack-outline-background-color-focus:var(--spectrum-transparent-black-300);--system-spectrum-button-staticblack-outline-border-color-default:var(--spectrum-transparent-black-400);--system-spectrum-button-staticblack-outline-border-color-hover:var(--spectrum-transparent-black-500);--system-spectrum-button-staticblack-outline-border-color-down:var(--spectrum-transparent-black-600);--system-spectrum-button-staticblack-outline-border-color-focus:var(--spectrum-transparent-black-500);--system-spectrum-button-staticblack-outline-content-color-default:var(--spectrum-black);--system-spectrum-button-staticblack-outline-content-color-hover:var(--spectrum-black);--system-spectrum-button-staticblack-outline-content-color-down:var(--spectrum-black);--system-spectrum-button-staticblack-outline-content-color-focus:var(--spectrum-black);--system-spectrum-button-staticblack-outline-focus-indicator-color:var(--spectrum-static-black-focus-indicator-color);--system-spectrum-button-staticblack-outline-background-color-disabled:transparent;--system-spectrum-button-staticblack-outline-border-color-disabled:var(--spectrum-disabled-static-black-border-color);--system-spectrum-button-staticblack-outline-content-color-disabled:var(--spectrum-disabled-static-black-content-color);--system-spectrum-button-staticblack-secondary-background-color-default:var(--spectrum-transparent-black-200);--system-spectrum-button-staticblack-secondary-background-color-hover:var(--spectrum-transparent-black-300);--system-spectrum-button-staticblack-secondary-background-color-down:var(--spectrum-transparent-black-400);--system-spectrum-button-staticblack-secondary-background-color-focus:var(--spectrum-transparent-black-300);--system-spectrum-button-staticblack-secondary-border-color-default:transparent;--system-spectrum-button-staticblack-secondary-border-color-hover:transparent;--system-spectrum-button-staticblack-secondary-border-color-down:transparent;--system-spectrum-button-staticblack-secondary-border-color-focus:transparent;--system-spectrum-button-staticblack-secondary-content-color-default:var(--spectrum-black);--system-spectrum-button-staticblack-secondary-content-color-hover:var(--spectrum-black);--system-spectrum-button-staticblack-secondary-content-color-down:var(--spectrum-black);--system-spectrum-button-staticblack-secondary-content-color-focus:var(--spectrum-black);--system-spectrum-button-staticblack-secondary-focus-indicator-color:var(--spectrum-static-black-focus-indicator-color);--system-spectrum-button-staticblack-secondary-background-color-disabled:var(--spectrum-disabled-static-black-background-color);--system-spectrum-button-staticblack-secondary-border-color-disabled:transparent;--system-spectrum-button-staticblack-secondary-content-color-disabled:var(--spectrum-disabled-static-black-content-color);--system-spectrum-button-staticblack-secondary-outline-background-color-default:transparent;--system-spectrum-button-staticblack-secondary-outline-background-color-hover:var(--spectrum-transparent-black-300);--system-spectrum-button-staticblack-secondary-outline-background-color-down:var(--spectrum-transparent-black-400);--system-spectrum-button-staticblack-secondary-outline-background-color-focus:var(--spectrum-transparent-black-300);--system-spectrum-button-staticblack-secondary-outline-border-color-default:var(--spectrum-transparent-black-300);--system-spectrum-button-staticblack-secondary-outline-border-color-hover:var(--spectrum-transparent-black-400);--system-spectrum-button-staticblack-secondary-outline-border-color-down:var(--spectrum-transparent-black-500);--system-spectrum-button-staticblack-secondary-outline-border-color-focus:var(--spectrum-transparent-black-400);--system-spectrum-button-staticblack-secondary-outline-content-color-default:var(--spectrum-black);--system-spectrum-button-staticblack-secondary-outline-content-color-hover:var(--spectrum-black);--system-spectrum-button-staticblack-secondary-outline-content-color-down:var(--spectrum-black);--system-spectrum-button-staticblack-secondary-outline-content-color-focus:var(--spectrum-black);--system-spectrum-button-staticblack-secondary-outline-focus-indicator-color:var(--spectrum-static-black-focus-indicator-color);--system-spectrum-button-staticblack-secondary-outline-background-color-disabled:transparent;--system-spectrum-button-staticblack-secondary-outline-border-color-disabled:var(--spectrum-disabled-static-black-border-color);--system-spectrum-button-staticblack-secondary-outline-content-color-disabled:var(--spectrum-disabled-static-black-content-color);--system-spectrum-checkbox-control-color-default:var(--spectrum-gray-600);--system-spectrum-checkbox-control-color-hover:var(--spectrum-gray-700);--system-spectrum-checkbox-control-color-down:var(--spectrum-gray-800);--system-spectrum-checkbox-control-color-focus:var(--spectrum-gray-700);--system-spectrum-closebutton-background-color-default:transparent;--system-spectrum-closebutton-background-color-hover:var(--spectrum-gray-200);--system-spectrum-closebutton-background-color-down:var(--spectrum-gray-300);--system-spectrum-closebutton-background-color-focus:var(--spectrum-gray-200);--system-spectrum-combobox-border-color-default:var(--spectrum-gray-500);--system-spectrum-combobox-border-color-hover:var(--spectrum-gray-600);--system-spectrum-combobox-border-color-focus:var(--spectrum-gray-500);--system-spectrum-combobox-border-color-focus-hover:var(--spectrum-gray-600);--system-spectrum-combobox-border-color-key-focus:var(--spectrum-gray-600);--system-spectrum-infieldbutton-spectrum-infield-button-border-width:var(--spectrum-border-width-100);--system-spectrum-infieldbutton-spectrum-infield-button-border-color:inherit;--system-spectrum-infieldbutton-spectrum-infield-button-border-radius:var(--spectrum-corner-radius-100);--system-spectrum-infieldbutton-spectrum-infield-button-border-radius-reset:0;--system-spectrum-infieldbutton-spectrum-infield-button-stacked-top-border-radius-start-start:var(--spectrum-infield-button-border-radius-reset);--system-spectrum-infieldbutton-spectrum-infield-button-stacked-bottom-border-radius-end-start:var(--spectrum-infield-button-border-radius-reset);--system-spectrum-infieldbutton-spectrum-infield-button-background-color:var(--spectrum-gray-75);--system-spectrum-infieldbutton-spectrum-infield-button-background-color-hover:var(--spectrum-gray-200);--system-spectrum-infieldbutton-spectrum-infield-button-background-color-down:var(--spectrum-gray-300);--system-spectrum-infieldbutton-spectrum-infield-button-background-color-key-focus:var(--spectrum-gray-200);--system-spectrum-picker-background-color-default:var(--spectrum-gray-75);--system-spectrum-picker-background-color-default-open:var(--spectrum-gray-200);--system-spectrum-picker-background-color-active:var(--spectrum-gray-300);--system-spectrum-picker-background-color-hover:var(--spectrum-gray-200);--system-spectrum-picker-background-color-hover-open:var(--spectrum-gray-200);--system-spectrum-picker-background-color-key-focus:var(--spectrum-gray-200);--system-spectrum-picker-border-color-default:var(--spectrum-gray-500);--system-spectrum-picker-border-color-default-open:var(--spectrum-gray-500);--system-spectrum-picker-border-color-hover:var(--spectrum-gray-600);--system-spectrum-picker-border-color-hover-open:var(--spectrum-gray-600);--system-spectrum-picker-border-color-active:var(--spectrum-gray-700);--system-spectrum-picker-border-color-key-focus:var(--spectrum-gray-600);--system-spectrum-picker-border-width:var(--spectrum-border-width-100);--system-spectrum-pickerbutton-spectrum-picker-button-background-color:var(--spectrum-gray-75);--system-spectrum-pickerbutton-spectrum-picker-button-background-color-hover:var(--spectrum-gray-200);--system-spectrum-pickerbutton-spectrum-picker-button-background-color-down:var(--spectrum-gray-300);--system-spectrum-pickerbutton-spectrum-picker-button-background-color-key-focus:var(--spectrum-gray-200);--system-spectrum-pickerbutton-spectrum-picker-button-border-color:inherit;--system-spectrum-pickerbutton-spectrum-picker-button-border-radius:var(--spectrum-corner-radius-100);--system-spectrum-pickerbutton-spectrum-picker-button-border-radius-rounded-sided:0;--system-spectrum-pickerbutton-spectrum-picker-button-border-radius-sided:0;--system-spectrum-pickerbutton-spectrum-picker-button-border-width:var(--spectrum-border-width-100);--system-spectrum-popover-border-width:var(--spectrum-border-width-100);--system-spectrum-radio-button-border-color-default:var(--spectrum-gray-600);--system-spectrum-radio-button-border-color-hover:var(--spectrum-gray-700);--system-spectrum-radio-button-border-color-down:var(--spectrum-gray-800);--system-spectrum-radio-button-border-color-focus:var(--spectrum-gray-700);--system-spectrum-radio-emphasized-button-checked-border-color-default:var(--spectrum-accent-color-900);--system-spectrum-radio-emphasized-button-checked-border-color-hover:var(--spectrum-accent-color-1000);--system-spectrum-radio-emphasized-button-checked-border-color-down:var(--spectrum-accent-color-1100);--system-spectrum-radio-emphasized-button-checked-border-color-focus:var(--spectrum-accent-color-1000);--system-spectrum-search-border-radius:var(--spectrum-corner-radius-100);--system-spectrum-search-edge-to-visual:var(--spectrum-component-edge-to-visual-100);--system-spectrum-search-border-color-default:var(--spectrum-gray-500);--system-spectrum-search-border-color-hover:var(--spectrum-gray-600);--system-spectrum-search-border-color-focus:var(--spectrum-gray-800);--system-spectrum-search-border-color-focus-hover:var(--spectrum-gray-900);--system-spectrum-search-border-color-key-focus:var(--spectrum-gray-900);--system-spectrum-search-sizes-border-radius:var(--spectrum-corner-radius-100);--system-spectrum-search-sizes-edge-to-visual:var(--spectrum-component-edge-to-visual-75);--system-spectrum-search-sizem-border-radius:var(--spectrum-corner-radius-100);--system-spectrum-search-sizem-edge-to-visual:var(--spectrum-component-edge-to-visual-100);--system-spectrum-search-sizel-border-radius:var(--spectrum-corner-radius-100);--system-spectrum-search-sizel-edge-to-visual:var(--spectrum-component-edge-to-visual-200);--system-spectrum-search-sizexl-border-radius:var(--spectrum-corner-radius-100);--system-spectrum-search-sizexl-edge-to-visual:var(--spectrum-component-edge-to-visual-300);--system-spectrum-slider-track-color:var(--spectrum-gray-300);--system-spectrum-slider-track-fill-color:var(--spectrum-gray-700);--system-spectrum-slider-ramp-track-color:var(--spectrum-gray-400);--system-spectrum-slider-ramp-track-color-disabled:var(--spectrum-gray-200);--system-spectrum-slider-handle-background-color:transparent;--system-spectrum-slider-handle-background-color-disabled:transparent;--system-spectrum-slider-ramp-handle-background-color:var(--spectrum-gray-100);--system-spectrum-slider-ticks-handle-background-color:var(--spectrum-gray-100);--system-spectrum-slider-handle-border-color:var(--spectrum-gray-700);--system-spectrum-slider-handle-disabled-background-color:var(--spectrum-gray-100);--system-spectrum-slider-tick-mark-color:var(--spectrum-gray-300);--system-spectrum-slider-handle-border-color-hover:var(--spectrum-gray-800);--system-spectrum-slider-handle-border-color-down:var(--spectrum-gray-800);--system-spectrum-slider-handle-border-color-key-focus:var(--spectrum-gray-800);--system-spectrum-slider-handle-focus-ring-color-key-focus:var(--spectrum-focus-indicator-color);--system-spectrum-stepper-border-width:var(--spectrum-border-width-100);--system-spectrum-stepper-buttons-border-style:none;--system-spectrum-stepper-buttons-border-width:0;--system-spectrum-stepper-buttons-border-color:var(--spectrum-gray-500);--system-spectrum-stepper-buttons-background-color:var(--spectrum-gray-50);--system-spectrum-stepper-buttons-border-color-hover:var(--spectrum-gray-600);--system-spectrum-stepper-buttons-border-color-focus:var(--spectrum-gray-800);--system-spectrum-stepper-buttons-border-color-keyboard-focus:var(--spectrum-gray-900);--system-spectrum-stepper-button-border-radius-reset:0px;--system-spectrum-stepper-button-border-width:var(--spectrum-border-width-100);--system-spectrum-stepper-border-color:var(--spectrum-gray-500);--system-spectrum-stepper-border-color-hover:var(--spectrum-gray-600);--system-spectrum-stepper-border-color-focus:var(--spectrum-gray-800);--system-spectrum-stepper-border-color-focus-hover:var(--spectrum-gray-800);--system-spectrum-stepper-border-color-keyboard-focus:var(--spectrum-gray-900);--system-spectrum-stepper-border-color-invalid:var(--spectrum-negative-border-color-default);--system-spectrum-stepper-border-color-focus-invalid:var(--spectrum-negative-border-color-focus);--system-spectrum-stepper-border-color-focus-hover-invalid:var(--spectrum-negative-border-color-focus-hover);--system-spectrum-stepper-border-color-keyboard-focus-invalid:var(--spectrum-negative-border-color-key-focus);--system-spectrum-stepper-button-background-color-focus:var(--spectrum-gray-300);--system-spectrum-stepper-button-background-color-keyboard-focus:var(--spectrum-gray-200);--system-spectrum-switch-handle-border-color-default:var(--spectrum-gray-600);--system-spectrum-switch-handle-border-color-hover:var(--spectrum-gray-700);--system-spectrum-switch-handle-border-color-down:var(--spectrum-gray-800);--system-spectrum-switch-handle-border-color-focus:var(--spectrum-gray-700);--system-spectrum-switch-handle-border-color-selected-default:var(--spectrum-gray-700);--system-spectrum-switch-handle-border-color-selected-hover:var(--spectrum-gray-800);--system-spectrum-switch-handle-border-color-selected-down:var(--spectrum-gray-900);--system-spectrum-switch-handle-border-color-selected-focus:var(--spectrum-gray-800);--system-spectrum-tabs-font-weight:var(--spectrum-default-font-weight);--system-spectrum-tag-border-color:var(--spectrum-gray-700);--system-spectrum-tag-border-color-hover:var(--spectrum-gray-800);--system-spectrum-tag-border-color-active:var(--spectrum-gray-900);--system-spectrum-tag-border-color-focus:var(--spectrum-gray-800);--system-spectrum-tag-size-small-corner-radius:var(--spectrum-corner-radius-100);--system-spectrum-tag-size-medium-corner-radius:var(--spectrum-corner-radius-100);--system-spectrum-tag-size-large-corner-radius:var(--spectrum-corner-radius-100);--system-spectrum-tag-background-color:var(--spectrum-gray-75);--system-spectrum-tag-background-color-hover:var(--spectrum-gray-75);--system-spectrum-tag-background-color-active:var(--spectrum-gray-200);--system-spectrum-tag-background-color-focus:var(--spectrum-gray-75);--system-spectrum-tag-content-color:var(--spectrum-neutral-subdued-content-color-default);--system-spectrum-tag-content-color-hover:var(--spectrum-neutral-subdued-content-color-hover);--system-spectrum-tag-content-color-active:var(--spectrum-neutral-subdued-content-color-down);--system-spectrum-tag-content-color-focus:var(--spectrum-neutral-subdued-content-color-key-focus);--system-spectrum-tag-border-color-selected:var(--spectrum-neutral-subdued-background-color-default);--system-spectrum-tag-border-color-selected-hover:var(--spectrum-neutral-subdued-background-color-hover);--system-spectrum-tag-border-color-selected-active:var(--spectrum-neutral-subdued-background-color-down);--system-spectrum-tag-border-color-selected-focus:var(--spectrum-neutral-subdued-background-color-key-focus);--system-spectrum-tag-border-color-disabled:transparent;--system-spectrum-tag-background-color-disabled:var(--spectrum-disabled-background-color);--system-spectrum-tag-size-small-spacing-inline-start:var(--spectrum-component-edge-to-visual-75);--system-spectrum-tag-size-small-label-spacing-inline-end:var(--spectrum-component-edge-to-text-75);--system-spectrum-tag-size-small-clear-button-spacing-inline-end:var(--spectrum-component-edge-to-visual-75);--system-spectrum-tag-size-medium-spacing-inline-start:var(--spectrum-component-edge-to-visual-100);--system-spectrum-tag-size-medium-label-spacing-inline-end:var(--spectrum-component-edge-to-text-100);--system-spectrum-tag-size-medium-clear-button-spacing-inline-end:var(--spectrum-component-edge-to-visual-100);--system-spectrum-tag-size-large-spacing-inline-start:var(--spectrum-component-edge-to-visual-200);--system-spectrum-tag-size-large-label-spacing-inline-end:var(--spectrum-component-edge-to-text-200);--system-spectrum-tag-size-large-clear-button-spacing-inline-end:var(--spectrum-component-edge-to-visual-200);--system-spectrum-textfield-border-color:var(--spectrum-gray-500);--system-spectrum-textfield-border-color-hover:var(--spectrum-gray-600);--system-spectrum-textfield-border-color-focus:var(--spectrum-gray-800);--system-spectrum-textfield-border-color-focus-hover:var(--spectrum-gray-900);--system-spectrum-textfield-border-color-keyboard-focus:var(--spectrum-gray-900);--system-spectrum-textfield-border-width:var(--spectrum-border-width-100);--system-spectrum-toast-background-color-default:var(--spectrum-neutral-subdued-background-color-default);--system-spectrum-tooltip-backgound-color-default-neutral:var(--spectrum-neutral-subdued-background-color-default);--system:spectrum;--spectrum-animation-linear:cubic-bezier(0,0,1,1);--spectrum-animation-duration-0:0s;--spectrum-animation-duration-100:.13s;--spectrum-animation-duration-200:.16s;--spectrum-animation-duration-300:.19s;--spectrum-animation-duration-400:.22s;--spectrum-animation-duration-500:.25s;--spectrum-animation-duration-600:.3s;--spectrum-animation-duration-700:.35s;--spectrum-animation-duration-800:.4s;--spectrum-animation-duration-900:.45s;--spectrum-animation-duration-1000:.5s;--spectrum-animation-duration-2000:1s;--spectrum-animation-duration-4000:2s;--spectrum-animation-duration-6000:3s;--spectrum-animation-ease-in-out:cubic-bezier(.45,0,.4,1);--spectrum-animation-ease-in:cubic-bezier(.5,0,1,1);--spectrum-animation-ease-out:cubic-bezier(0,0,.4,1);--spectrum-animation-ease-linear:cubic-bezier(0,0,1,1);--spectrum-sans-font-family-stack:adobe-clean,var(--spectrum-sans-serif-font-family),"Source Sans Pro",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Ubuntu,"Trebuchet MS","Lucida Grande",sans-serif;--spectrum-sans-serif-font:var(--spectrum-sans-font-family-stack);--spectrum-serif-font-family-stack:adobe-clean-serif,var(--spectrum-serif-font-family),"Source Serif Pro",Georgia,serif;--spectrum-serif-font:var(--spectrum-serif-font-family-stack);--spectrum-code-font-family-stack:"Source Code Pro",Monaco,monospace;--spectrum-cjk-font-family-stack:adobe-clean-han-japanese,var(--spectrum-cjk-font-family),sans-serif;--spectrum-cjk-font:var(--spectrum-code-font-family-stack);--spectrum-docs-static-white-background-color-rgb:15,121,125;--spectrum-docs-static-white-background-color:rgba(var(--spectrum-docs-static-white-background-color-rgb));--spectrum-docs-static-black-background-color-rgb:206,247,243;--spectrum-docs-static-black-background-color:rgba(var(--spectrum-docs-static-black-background-color-rgb))}:root,:host{--spectrum-font-family-ar:myriad-arabic,adobe-clean,"Source Sans Pro",-apple-system,blinkmacsystemfont,"Segoe UI",roboto,ubuntu,"Trebuchet MS","Lucida Grande",sans-serif;--spectrum-font-family-he:myriad-hebrew,adobe-clean,"Source Sans Pro",-apple-system,blinkmacsystemfont,"Segoe UI",roboto,ubuntu,"Trebuchet MS","Lucida Grande",sans-serif;--spectrum-font-family:var(--spectrum-sans-font-family-stack);--spectrum-font-style:var(--spectrum-default-font-style);--spectrum-font-size:var(--spectrum-font-size-100);font-family:var(--spectrum-font-family);font-style:var(--spectrum-font-style);font-size:var(--spectrum-font-size)}.spectrum:lang(ar){font-family:var(--spectrum-font-family-ar)}.spectrum:lang(he){font-family:var(--spectrum-font-family-he)}.spectrum-Heading{--spectrum-heading-sans-serif-font-family:var(--spectrum-sans-font-family-stack);--spectrum-heading-serif-font-family:var(--spectrum-serif-font-family-stack);--spectrum-heading-cjk-font-family:var(--spectrum-cjk-font-family-stack);--spectrum-heading-cjk-letter-spacing:var(--spectrum-cjk-letter-spacing);--spectrum-heading-font-color:var(--spectrum-heading-color);--spectrum-heading-margin-start:calc(var(--mod-heading-font-size,var(--spectrum-heading-font-size))*var(--spectrum-heading-margin-top-multiplier));--spectrum-heading-margin-end:calc(var(--mod-heading-font-size,var(--spectrum-heading-font-size))*var(--spectrum-heading-margin-bottom-multiplier))}.spectrum-Heading--sizeXXS{--spectrum-heading-font-size:var(--spectrum-heading-size-xxs);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-xxs)}.spectrum-Heading--sizeXS{--spectrum-heading-font-size:var(--spectrum-heading-size-xs);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-xs)}.spectrum-Heading--sizeS{--spectrum-heading-font-size:var(--spectrum-heading-size-s);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-s)}.spectrum-Heading--sizeM{--spectrum-heading-font-size:var(--spectrum-heading-size-m);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-m)}.spectrum-Heading--sizeL{--spectrum-heading-font-size:var(--spectrum-heading-size-l);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-l)}.spectrum-Heading--sizeXL{--spectrum-heading-font-size:var(--spectrum-heading-size-xl);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-xl)}.spectrum-Heading--sizeXXL{--spectrum-heading-font-size:var(--spectrum-heading-size-xxl);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-xxl)}.spectrum-Heading--sizeXXXL{--spectrum-heading-font-size:var(--spectrum-heading-size-xxxl);--spectrum-heading-cjk-font-size:var(--spectrum-heading-cjk-size-xxxl)}.spectrum-Heading{font-family:var(--mod-heading-sans-serif-font-family,var(--spectrum-heading-sans-serif-font-family));font-style:var(--mod-heading-sans-serif-font-style,var(--spectrum-heading-sans-serif-font-style));font-weight:var(--mod-heading-sans-serif-font-weight,var(--spectrum-heading-sans-serif-font-weight));font-size:var(--mod-heading-font-size,var(--spectrum-heading-font-size));color:var(--highcontrast-heading-font-color,var(--mod-heading-font-color,var(--spectrum-heading-font-color)));line-height:var(--mod-heading-line-height,var(--spectrum-heading-line-height));margin-block:0}.spectrum-Heading .spectrum-Heading-strong,.spectrum-Heading strong{font-style:var(--mod-heading-sans-serif-strong-font-style,var(--spectrum-heading-sans-serif-strong-font-style));font-weight:var(--mod-heading-sans-serif-strong-font-weight,var(--spectrum-heading-sans-serif-strong-font-weight))}.spectrum-Heading .spectrum-Heading-emphasized,.spectrum-Heading em{font-style:var(--mod-heading-sans-serif-emphasized-font-style,var(--spectrum-heading-sans-serif-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-emphasized-font-weight,var(--spectrum-heading-sans-serif-emphasized-font-weight))}.spectrum-Heading .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading em strong,.spectrum-Heading strong em{font-style:var(--mod-heading-sans-serif-strong-emphasized-font-style,var(--spectrum-heading-sans-serif-strong-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-strong-emphasized-font-weight,var(--spectrum-heading-sans-serif-strong-emphasized-font-weight))}.spectrum-Heading:lang(ja),.spectrum-Heading:lang(ko),.spectrum-Heading:lang(zh){font-family:var(--mod-heading-cjk-font-family,var(--spectrum-heading-cjk-font-family));font-style:var(--mod-heading-cjk-font-style,var(--spectrum-heading-cjk-font-style));font-weight:var(--mod-heading-cjk-font-weight,var(--spectrum-heading-cjk-font-weight));font-size:var(--mod-heading-cjk-font-size,var(--spectrum-heading-cjk-font-size));line-height:var(--mod-heading-cjk-line-height,var(--spectrum-heading-cjk-line-height));letter-spacing:var(--mod-heading-cjk-letter-spacing,var(--spectrum-heading-cjk-letter-spacing))}.spectrum-Heading:lang(ja) .spectrum-Heading-emphasized,.spectrum-Heading:lang(ja) em,.spectrum-Heading:lang(ko) .spectrum-Heading-emphasized,.spectrum-Heading:lang(ko) em,.spectrum-Heading:lang(zh) .spectrum-Heading-emphasized,.spectrum-Heading:lang(zh) em{font-style:var(--mod-heading-cjk-emphasized-font-style,var(--spectrum-heading-cjk-emphasized-font-style));font-weight:var(--mod-heading-cjk-emphasized-font-weight,var(--spectrum-heading-cjk-emphasized-font-weight))}.spectrum-Heading:lang(ja) .spectrum-Heading-strong,.spectrum-Heading:lang(ja) strong,.spectrum-Heading:lang(ko) .spectrum-Heading-strong,.spectrum-Heading:lang(ko) strong,.spectrum-Heading:lang(zh) .spectrum-Heading-strong,.spectrum-Heading:lang(zh) strong{font-style:var(--mod-heading-cjk-strong-font-style,var(--spectrum-heading-cjk-strong-font-style));font-weight:var(--mod-heading-cjk-strong-font-weight,var(--spectrum-heading-cjk-strong-font-weight))}.spectrum-Heading:lang(ja) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading:lang(ja) em strong,.spectrum-Heading:lang(ja) strong em,.spectrum-Heading:lang(ko) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading:lang(ko) em strong,.spectrum-Heading:lang(ko) strong em,.spectrum-Heading:lang(zh) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading:lang(zh) em strong,.spectrum-Heading:lang(zh) strong em{font-style:var(--mod-heading-cjk-strong-emphasized-font-style,var(--spectrum-heading-cjk-strong-emphasized-font-style));font-weight:var(--mod-heading-cjk-strong-emphasized-font-weight,var(--spectrum-heading-cjk-strong-emphasized-font-weight))}.spectrum-Heading--heavy{font-style:var(--mod-heading-sans-serif-heavy-font-style,var(--spectrum-heading-sans-serif-heavy-font-style));font-weight:var(--mod-heading-sans-serif-heavy-font-weight,var(--spectrum-heading-sans-serif-heavy-font-weight))}.spectrum-Heading--heavy .spectrum-Heading-strong,.spectrum-Heading--heavy strong{font-style:var(--mod-heading-sans-serif-heavy-strong-font-style,var(--spectrum-heading-sans-serif-heavy-strong-font-style));font-weight:var(--mod-heading-sans-serif-heavy-strong-font-weight,var(--spectrum-heading-sans-serif-heavy-strong-font-weight))}.spectrum-Heading--heavy .spectrum-Heading-emphasized,.spectrum-Heading--heavy em{font-style:var(--mod-heading-sans-serif-heavy-emphasized-font-style,var(--spectrum-heading-sans-serif-heavy-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-heavy-emphasized-font-weight,var(--spectrum-heading-sans-serif-heavy-emphasized-font-weight))}.spectrum-Heading--heavy .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy em strong,.spectrum-Heading--heavy strong em{font-style:var(--mod-heading-sans-serif-heavy-strong-emphasized-font-style,var(--spectrum-heading-sans-serif-heavy-strong-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-heavy-strong-emphasized-font-weight,var(--spectrum-heading-sans-serif-heavy-strong-emphasized-font-weight))}.spectrum-Heading--heavy:lang(ja),.spectrum-Heading--heavy:lang(ko),.spectrum-Heading--heavy:lang(zh){font-style:var(--mod-heading-cjk-heavy-font-style,var(--spectrum-heading-cjk-heavy-font-style));font-weight:var(--mod-heading-cjk-heavy-font-weight,var(--spectrum-heading-cjk-heavy-font-weight))}.spectrum-Heading--heavy:lang(ja) .spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ja) em,.spectrum-Heading--heavy:lang(ko) .spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ko) em,.spectrum-Heading--heavy:lang(zh) .spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(zh) em{font-style:var(--mod-heading-cjk-heavy-emphasized-font-style,var(--spectrum-heading-cjk-heavy-emphasized-font-style));font-weight:var(--mod-heading-cjk-heavy-emphasized-font-weight,var(--spectrum-heading-cjk-heavy-emphasized-font-weight))}.spectrum-Heading--heavy:lang(ja) .spectrum-Heading-strong,.spectrum-Heading--heavy:lang(ja) strong,.spectrum-Heading--heavy:lang(ko) .spectrum-Heading-strong,.spectrum-Heading--heavy:lang(ko) strong,.spectrum-Heading--heavy:lang(zh) .spectrum-Heading-strong,.spectrum-Heading--heavy:lang(zh) strong{font-style:var(--mod-heading-cjk-heavy-strong-font-style,var(--spectrum-heading-cjk-heavy-strong-font-style));font-weight:var(--mod-heading-cjk-heavy-strong-font-weight,var(--spectrum-heading-cjk-heavy-strong-font-weight))}.spectrum-Heading--heavy:lang(ja) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ja) em strong,.spectrum-Heading--heavy:lang(ja) strong em,.spectrum-Heading--heavy:lang(ko) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(ko) em strong,.spectrum-Heading--heavy:lang(ko) strong em,.spectrum-Heading--heavy:lang(zh) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--heavy:lang(zh) em strong,.spectrum-Heading--heavy:lang(zh) strong em{font-style:var(--mod-heading-cjk-heavy-strong-emphasized-font-style,var(--spectrum-heading-cjk-heavy-strong-emphasized-font-style));font-weight:var(--mod-heading-cjk-heavy-strong-emphasized-font-weight,var(--spectrum-heading-cjk-heavy-strong-emphasized-font-weight))}.spectrum-Heading--light{font-style:var(--mod-heading-sans-serif-light-font-style,var(--spectrum-heading-sans-serif-light-font-style));font-weight:var(--mod-heading-sans-serif-light-font-weight,var(--spectrum-heading-sans-serif-light-font-weight))}.spectrum-Heading--light .spectrum-Heading-emphasized,.spectrum-Heading--light em{font-style:var(--mod-heading-sans-serif-light-emphasized-font-style,var(--spectrum-heading-sans-serif-light-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-light-emphasized-font-weight,var(--spectrum-heading-sans-serif-light-emphasized-font-weight))}.spectrum-Heading--light .spectrum-Heading-strong,.spectrum-Heading--light strong{font-style:var(--mod-heading-sans-serif-light-strong-font-style,var(--spectrum-heading-sans-serif-light-strong-font-style));font-weight:var(--mod-heading-sans-serif-light-strong-font-weight,var(--spectrum-heading-sans-serif-light-strong-font-weight))}.spectrum-Heading--light .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light em strong,.spectrum-Heading--light strong em{font-style:var(--mod-heading-sans-serif-light-strong-emphasized-font-style,var(--spectrum-heading-sans-serif-light-strong-emphasized-font-style));font-weight:var(--mod-heading-sans-serif-light-strong-emphasized-font-weight,var(--spectrum-heading-sans-serif-light-strong-emphasized-font-weight))}.spectrum-Heading--light:lang(ja),.spectrum-Heading--light:lang(ko),.spectrum-Heading--light:lang(zh){font-style:var(--mod-heading-cjk-light-font-style,var(--spectrum-heading-cjk-light-font-style));font-weight:var(--mod-heading-cjk-light-font-weight,var(--spectrum-heading-cjk-light-font-weight))}.spectrum-Heading--light:lang(ja) .spectrum-Heading-strong,.spectrum-Heading--light:lang(ja) strong,.spectrum-Heading--light:lang(ko) .spectrum-Heading-strong,.spectrum-Heading--light:lang(ko) strong,.spectrum-Heading--light:lang(zh) .spectrum-Heading-strong,.spectrum-Heading--light:lang(zh) strong{font-style:var(--mod-heading-cjk-light-strong-font-style,var(--spectrum-heading-cjk-light-strong-font-style));font-weight:var(--mod-heading-cjk-light-strong-font-weight,var(--spectrum-heading-cjk-light-strong-font-weight))}.spectrum-Heading--light:lang(ja) .spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ja) em,.spectrum-Heading--light:lang(ko) .spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ko) em,.spectrum-Heading--light:lang(zh) .spectrum-Heading-emphasized,.spectrum-Heading--light:lang(zh) em{font-style:var(--mod-heading-cjk-light-emphasized-font-style,var(--spectrum-heading-cjk-light-emphasized-font-style));font-weight:var(--mod-heading-cjk-light-emphasized-font-weight,var(--spectrum-heading-cjk-light-emphasized-font-weight))}.spectrum-Heading--light:lang(ja) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ja) em strong,.spectrum-Heading--light:lang(ja) strong em,.spectrum-Heading--light:lang(ko) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light:lang(ko) em strong,.spectrum-Heading--light:lang(ko) strong em,.spectrum-Heading--light:lang(zh) .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--light:lang(zh) em strong,.spectrum-Heading--light:lang(zh) strong em{font-style:var(--mod-heading-cjk-light-strong-emphasized-font-style,var(--spectrum-heading-cjk-light-strong-emphasized-font-style));font-weight:var(--mod-heading-cjk-light-strong-emphasized-font-weight,var(--spectrum-heading-cjk-light-strong-emphasized-font-weight))}.spectrum-Heading--serif{font-family:var(--mod-heading-serif-font-family,var(--spectrum-heading-serif-font-family));font-style:var(--mod-heading-serif-font-style,var(--spectrum-heading-serif-font-style));font-weight:var(--mod-heading-serif-font-weight,var(--spectrum-heading-serif-font-weight))}.spectrum-Heading--serif .spectrum-Heading-emphasized,.spectrum-Heading--serif em{font-style:var(--mod-heading-serif-emphasized-font-style,var(--spectrum-heading-serif-emphasized-font-style));font-weight:var(--mod-heading-serif-emphasized-font-weight,var(--spectrum-heading-serif-emphasized-font-weight))}.spectrum-Heading--serif .spectrum-Heading-strong,.spectrum-Heading--serif strong{font-style:var(--mod-heading-serif-strong-font-style,var(--spectrum-heading-serif-strong-font-style));font-weight:var(--mod-heading-serif-strong-font-weight,var(--spectrum-heading-serif-strong-font-weight))}.spectrum-Heading--serif .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--serif em strong,.spectrum-Heading--serif strong em{font-style:var(--mod-heading-serif-strong-emphasized-font-style,var(--spectrum-heading-serif-strong-emphasized-font-style));font-weight:var(--mod-heading-serif-strong-emphasized-font-weight,var(--spectrum-heading-serif-strong-emphasized-font-weight))}.spectrum-Heading--serif.spectrum-Heading--heavy{font-style:var(--mod-heading-serif-heavy-font-style,var(--spectrum-heading-serif-heavy-font-style));font-weight:var(--mod-heading-serif-heavy-font-weight,var(--spectrum-heading-serif-heavy-font-weight))}.spectrum-Heading--serif.spectrum-Heading--heavy .spectrum-Heading-strong,.spectrum-Heading--serif.spectrum-Heading--heavy strong{font-style:var(--mod-heading-serif-heavy-strong-font-style,var(--spectrum-heading-serif-heavy-strong-font-style));font-weight:var(--mod-heading-serif-heavy-strong-font-weight,var(--spectrum-heading-serif-heavy-strong-font-weight))}.spectrum-Heading--serif.spectrum-Heading--heavy .spectrum-Heading-emphasized,.spectrum-Heading--serif.spectrum-Heading--heavy em{font-style:var(--mod-heading-serif-heavy-emphasized-font-style,var(--spectrum-heading-serif-heavy-emphasized-font-style));font-weight:var(--mod-heading-serif-heavy-emphasized-font-weight,var(--spectrum-heading-serif-heavy-emphasized-font-weight))}.spectrum-Heading--serif.spectrum-Heading--heavy .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--serif.spectrum-Heading--heavy em strong,.spectrum-Heading--serif.spectrum-Heading--heavy strong em{font-style:var(--mod-heading-serif-heavy-strong-emphasized-font-style,var(--spectrum-heading-serif-heavy-strong-emphasized-font-style));font-weight:var(--mod-heading-serif-heavy-strong-emphasized-font-weight,var(--spectrum-heading-serif-heavy-strong-emphasized-font-weight))}.spectrum-Heading--serif.spectrum-Heading--light{font-style:var(--mod-heading-serif-light-font-style,var(--spectrum-heading-serif-light-font-style));font-weight:var(--mod-heading-serif-light-font-weight,var(--spectrum-heading-serif-light-font-weight))}.spectrum-Heading--serif.spectrum-Heading--light .spectrum-Heading-emphasized,.spectrum-Heading--serif.spectrum-Heading--light em{font-style:var(--mod-heading-serif-light-emphasized-font-style,var(--spectrum-heading-serif-light-emphasized-font-style));font-weight:var(--mod-heading-serif-light-emphasized-font-weight,var(--spectrum-heading-serif-light-emphasized-font-weight))}.spectrum-Heading--serif.spectrum-Heading--light .spectrum-Heading-strong,.spectrum-Heading--serif.spectrum-Heading--light strong{font-style:var(--mod-heading-serif-light-strong-font-style,var(--spectrum-heading-serif-light-strong-font-style));font-weight:var(--mod-heading-serif-light-strong-font-weight,var(--spectrum-heading-serif-light-strong-font-weight))}.spectrum-Heading--serif.spectrum-Heading--light .spectrum-Heading-strong.spectrum-Heading-emphasized,.spectrum-Heading--serif.spectrum-Heading--light em strong,.spectrum-Heading--serif.spectrum-Heading--light strong em{font-style:var(--mod-heading-serif-light-strong-emphasized-font-style,var(--spectrum-heading-serif-light-strong-emphasized-font-style));font-weight:var(--mod-heading-serif-light-strong-emphasized-font-weight,var(--spectrum-heading-serif-light-strong-emphasized-font-weight))}.spectrum-Typography .spectrum-Heading{margin-block-start:var(--mod-heading-margin-start,var(--spectrum-heading-margin-start));margin-block-end:var(--mod-heading-margin-end,var(--spectrum-heading-margin-end))}.spectrum-Body{--spectrum-body-sans-serif-font-family:var(--spectrum-sans-font-family-stack);--spectrum-body-serif-font-family:var(--spectrum-serif-font-family-stack);--spectrum-body-cjk-font-family:var(--spectrum-cjk-font-family-stack);--spectrum-body-cjk-letter-spacing:var(--spectrum-cjk-letter-spacing);--spectrum-body-margin:calc(var(--mod-body-font-size,var(--spectrum-body-font-size))*var(--spectrum-body-margin-multiplier));--spectrum-body-font-color:var(--spectrum-body-color)}.spectrum-Body--sizeXS{--spectrum-body-font-size:var(--spectrum-body-size-xs)}.spectrum-Body--sizeS{--spectrum-body-font-size:var(--spectrum-body-size-s)}.spectrum-Body--sizeM{--spectrum-body-font-size:var(--spectrum-body-size-m)}.spectrum-Body--sizeL{--spectrum-body-font-size:var(--spectrum-body-size-l)}.spectrum-Body--sizeXL{--spectrum-body-font-size:var(--spectrum-body-size-xl)}.spectrum-Body--sizeXXL{--spectrum-body-font-size:var(--spectrum-body-size-xxl)}.spectrum-Body--sizeXXXL{--spectrum-body-font-size:var(--spectrum-body-size-xxxl)}.spectrum-Body{font-family:var(--mod-body-sans-serif-font-family,var(--spectrum-body-sans-serif-font-family));font-style:var(--mod-body-sans-serif-font-style,var(--spectrum-body-sans-serif-font-style));font-weight:var(--mod-body-sans-serif-font-weight,var(--spectrum-body-sans-serif-font-weight));font-size:var(--mod-body-font-size,var(--spectrum-body-font-size));color:var(--highcontrast-body-font-color,var(--mod-body-font-color,var(--spectrum-body-font-color)));line-height:var(--mod-body-line-height,var(--spectrum-body-line-height));margin-block:0}.spectrum-Body .spectrum-Body-strong,.spectrum-Body strong{font-style:var(--mod-body-sans-serif-strong-font-style,var(--spectrum-body-sans-serif-strong-font-style));font-weight:var(--mod-body-sans-serif-strong-font-weight,var(--spectrum-body-sans-serif-strong-font-weight))}.spectrum-Body .spectrum-Body-emphasized,.spectrum-Body em{font-style:var(--mod-body-sans-serif-emphasized-font-style,var(--spectrum-body-sans-serif-emphasized-font-style));font-weight:var(--mod-body-sans-serif-emphasized-font-weight,var(--spectrum-body-sans-serif-emphasized-font-weight))}.spectrum-Body .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body em strong,.spectrum-Body strong em{font-style:var(--mod-body-sans-serif-strong-emphasized-font-style,var(--spectrum-body-sans-serif-strong-emphasized-font-style));font-weight:var(--mod-body-sans-serif-strong-emphasized-font-weight,var(--spectrum-body-sans-serif-strong-emphasized-font-weight))}.spectrum-Body:lang(ja),.spectrum-Body:lang(ko),.spectrum-Body:lang(zh){font-family:var(--mod-body-cjk-font-family,var(--spectrum-body-cjk-font-family));font-style:var(--mod-body-cjk-font-style,var(--spectrum-body-cjk-font-style));font-weight:var(--mod-body-cjk-font-weight,var(--spectrum-body-cjk-font-weight));line-height:var(--mod-body-cjk-line-height,var(--spectrum-body-cjk-line-height));letter-spacing:var(--mod-body-cjk-letter-spacing,var(--spectrum-body-cjk-letter-spacing))}.spectrum-Body:lang(ja) .spectrum-Body-strong,.spectrum-Body:lang(ja) strong,.spectrum-Body:lang(ko) .spectrum-Body-strong,.spectrum-Body:lang(ko) strong,.spectrum-Body:lang(zh) .spectrum-Body-strong,.spectrum-Body:lang(zh) strong{font-style:var(--mod-body-cjk-strong-font-style,var(--spectrum-body-cjk-strong-font-style));font-weight:var(--mod-body-cjk-strong-font-weight,var(--spectrum-body-cjk-strong-font-weight))}.spectrum-Body:lang(ja) .spectrum-Body-emphasized,.spectrum-Body:lang(ja) em,.spectrum-Body:lang(ko) .spectrum-Body-emphasized,.spectrum-Body:lang(ko) em,.spectrum-Body:lang(zh) .spectrum-Body-emphasized,.spectrum-Body:lang(zh) em{font-style:var(--mod-body-cjk-emphasized-font-style,var(--spectrum-body-cjk-emphasized-font-style));font-weight:var(--mod-body-cjk-emphasized-font-weight,var(--spectrum-body-cjk-emphasized-font-weight))}.spectrum-Body:lang(ja) .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body:lang(ja) em strong,.spectrum-Body:lang(ja) strong em,.spectrum-Body:lang(ko) .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body:lang(ko) em strong,.spectrum-Body:lang(ko) strong em,.spectrum-Body:lang(zh) .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body:lang(zh) em strong,.spectrum-Body:lang(zh) strong em{font-style:var(--mod-body-cjk-strong-emphasized-font-style,var(--spectrum-body-cjk-strong-emphasized-font-style));font-weight:var(--mod-body-cjk-strong-emphasized-font-weight,var(--spectrum-body-cjk-strong-emphasized-font-weight))}.spectrum-Body--serif{font-family:var(--mod-body-serif-font-family,var(--spectrum-body-serif-font-family));font-weight:var(--mod-body-serif-font-weight,var(--spectrum-body-serif-font-weight));font-style:var(--mod-body-serif-font-style,var(--spectrum-body-serif-font-style))}.spectrum-Body--serif .spectrum-Body-strong,.spectrum-Body--serif strong{font-style:var(--mod-body-serif-strong-font-style,var(--spectrum-body-serif-strong-font-style));font-weight:var(--mod-body-serif-strong-font-weight,var(--spectrum-body-serif-strong-font-weight))}.spectrum-Body--serif .spectrum-Body-emphasized,.spectrum-Body--serif em{font-style:var(--mod-body-serif-emphasized-font-style,var(--spectrum-body-serif-emphasized-font-style));font-weight:var(--mod-body-serif-emphasized-font-weight,var(--spectrum-body-serif-emphasized-font-weight))}.spectrum-Body--serif .spectrum-Body-strong.spectrum-Body-emphasized,.spectrum-Body--serif em strong,.spectrum-Body--serif strong em{font-style:var(--mod-body-serif-strong-emphasized-font-style,var(--spectrum-body-serif-strong-emphasized-font-style));font-weight:var(--mod-body-serif-strong-emphasized-font-weight,var(--spectrum-body-serif-strong-emphasized-font-weight))}.spectrum-Typography .spectrum-Body{margin-block-end:var(--mod-body-margin,var(--spectrum-body-margin))}.spectrum-Detail{--spectrum-detail-sans-serif-font-family:var(--spectrum-sans-font-family-stack);--spectrum-detail-serif-font-family:var(--spectrum-serif-font-family-stack);--spectrum-detail-cjk-font-family:var(--spectrum-cjk-font-family-stack);--spectrum-detail-margin-start:calc(var(--mod-detail-font-size,var(--spectrum-detail-font-size))*var(--spectrum-detail-margin-top-multiplier));--spectrum-detail-margin-end:calc(var(--mod-detail-font-size,var(--spectrum-detail-font-size))*var(--spectrum-detail-margin-bottom-multiplier));--spectrum-detail-font-color:var(--spectrum-detail-color)}.spectrum-Detail--sizeS{--spectrum-detail-font-size:var(--spectrum-detail-size-s)}.spectrum-Detail--sizeM{--spectrum-detail-font-size:var(--spectrum-detail-size-m)}.spectrum-Detail--sizeL{--spectrum-detail-font-size:var(--spectrum-detail-size-l)}.spectrum-Detail--sizeXL{--spectrum-detail-font-size:var(--spectrum-detail-size-xl)}.spectrum-Detail{font-family:var(--mod-detail-sans-serif-font-family,var(--spectrum-detail-sans-serif-font-family));font-style:var(--mod-detail-sans-serif-font-style,var(--spectrum-detail-sans-serif-font-style));font-weight:var(--mod-detail-sans-serif-font-weight,var(--spectrum-detail-sans-serif-font-weight));font-size:var(--mod-detail-font-size,var(--spectrum-detail-font-size));color:var(--highcontrast-detail-font-color,var(--mod-detail-font-color,var(--spectrum-detail-font-color)));line-height:var(--mod-detail-line-height,var(--spectrum-detail-line-height));letter-spacing:var(--mod-detail-letter-spacing,var(--spectrum-detail-letter-spacing));text-transform:uppercase;margin-block:0}.spectrum-Detail .spectrum-Detail-strong,.spectrum-Detail strong{font-style:var(--mod-detail-sans-serif-strong-font-style,var(--spectrum-detail-sans-serif-strong-font-style));font-weight:var(--mod-detail-sans-serif-strong-font-weight,var(--spectrum-detail-sans-serif-strong-font-weight))}.spectrum-Detail .spectrum-Detail-emphasized,.spectrum-Detail em{font-style:var(--mod-detail-sans-serif-emphasized-font-style,var(--spectrum-detail-sans-serif-emphasized-font-style));font-weight:var(--mod-detail-sans-serif-emphasized-font-weight,var(--spectrum-detail-sans-serif-emphasized-font-weight))}.spectrum-Detail .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail em strong,.spectrum-Detail strong em{font-style:var(--mod-detail-sans-serif-strong-emphasized-font-style,var(--spectrum-detail-sans-serif-strong-emphasized-font-style));font-weight:var(--mod-detail-sans-serif-strong-emphasized-font-weight,var(--spectrum-detail-sans-serif-strong-emphasized-font-weight))}.spectrum-Detail:lang(ja),.spectrum-Detail:lang(ko),.spectrum-Detail:lang(zh){font-family:var(--mod-detail-cjk-font-family,var(--spectrum-detail-cjk-font-family));font-style:var(--mod-detail-cjk-font-style,var(--spectrum-detail-cjk-font-style));font-weight:var(--mod-detail-cjk-font-weight,var(--spectrum-detail-cjk-font-weight));line-height:var(--mod-detail-cjk-line-height,var(--spectrum-detail-cjk-line-height))}.spectrum-Detail:lang(ja) .spectrum-Detail-strong,.spectrum-Detail:lang(ja) strong,.spectrum-Detail:lang(ko) .spectrum-Detail-strong,.spectrum-Detail:lang(ko) strong,.spectrum-Detail:lang(zh) .spectrum-Detail-strong,.spectrum-Detail:lang(zh) strong{font-style:var(--mod-detail-cjk-strong-font-style,var(--spectrum-detail-cjk-strong-font-style));font-weight:var(--mod-detail-cjk-strong-font-weight,var(--spectrum-detail-cjk-strong-font-weight))}.spectrum-Detail:lang(ja) .spectrum-Detail-emphasized,.spectrum-Detail:lang(ja) em,.spectrum-Detail:lang(ko) .spectrum-Detail-emphasized,.spectrum-Detail:lang(ko) em,.spectrum-Detail:lang(zh) .spectrum-Detail-emphasized,.spectrum-Detail:lang(zh) em{font-style:var(--mod-detail-cjk-emphasized-font-style,var(--spectrum-detail-cjk-emphasized-font-style));font-weight:var(--mod-detail-cjk-emphasized-font-weight,var(--spectrum-detail-cjk-emphasized-font-weight))}.spectrum-Detail:lang(ja) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail:lang(ja) em strong,.spectrum-Detail:lang(ja) strong em,.spectrum-Detail:lang(ko) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail:lang(ko) em strong,.spectrum-Detail:lang(ko) strong em,.spectrum-Detail:lang(zh) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail:lang(zh) em strong,.spectrum-Detail:lang(zh) strong em{font-style:var(--mod-detail-cjk-strong-emphasized-font-style,var(--spectrum-detail-cjk-strong-emphasized-font-style));font-weight:var(--mod-detail-cjk-strong-emphasized-font-weight,var(--spectrum-detail-cjk-strong-emphasized-font-weight))}.spectrum-Detail--serif{font-family:var(--mod-detail-serif-font-family,var(--spectrum-detail-serif-font-family));font-style:var(--mod-detail-serif-font-style,var(--spectrum-detail-serif-font-style));font-weight:var(--mod-detail-serif-font-weight,var(--spectrum-detail-serif-font-weight))}.spectrum-Detail--serif .spectrum-Detail-strong,.spectrum-Detail--serif strong{font-style:var(--mod-detail-serif-strong-font-style,var(--spectrum-detail-serif-strong-font-style));font-weight:var(--mod-detail-serif-strong-font-weight,var(--spectrum-detail-serif-strong-font-weight))}.spectrum-Detail--serif .spectrum-Detail-emphasized,.spectrum-Detail--serif em{font-style:var(--mod-detail-serif-emphasized-font-style,var(--spectrum-detail-serif-emphasized-font-style));font-weight:var(--mod-detail-serif-emphasized-font-weight,var(--spectrum-detail-serif-emphasized-font-weight))}.spectrum-Detail--serif .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail--serif em strong,.spectrum-Detail--serif strong em{font-style:var(--mod-detail-serif-strong-emphasized-font-style,var(--spectrum-detail-serif-strong-emphasized-font-style));font-weight:var(--mod-detail-serif-strong-emphasized-font-weight,var(--spectrum-detail-serif-strong-emphasized-font-weight))}.spectrum-Detail--light{font-style:var(--mod-detail-sans-serif-light-font-style,var(--spectrum-detail-sans-serif-light-font-style));font-weight:var(--spectrum-detail-sans-serif-light-font-weight,var(--spectrum-detail-sans-serif-light-font-weight))}.spectrum-Detail--light .spectrum-Detail-strong,.spectrum-Detail--light strong{font-style:var(--mod-detail-sans-serif-light-strong-font-style,var(--spectrum-detail-sans-serif-light-strong-font-style));font-weight:var(--mod-detail-sans-serif-light-strong-font-weight,var(--spectrum-detail-sans-serif-light-strong-font-weight))}.spectrum-Detail--light .spectrum-Detail-emphasized,.spectrum-Detail--light em{font-style:var(--mod-detail-sans-serif-light-emphasized-font-style,var(--spectrum-detail-sans-serif-light-emphasized-font-style));font-weight:var(--mod-detail-sans-serif-light-emphasized-font-weight,var(--spectrum-detail-sans-serif-light-emphasized-font-weight))}.spectrum-Detail--light .spectrum-Detail-strong.spectrum-Body-emphasized,.spectrum-Detail--light em strong,.spectrum-Detail--light strong em{font-style:var(--mod-detail-sans-serif-light-strong-emphasized-font-style,var(--spectrum-detail-sans-serif-light-strong-emphasized-font-style));font-weight:var(--mod-detail-sans-serif-light-strong-emphasized-font-weight,var(--spectrum-detail-sans-serif-light-strong-emphasized-font-weight))}.spectrum-Detail--light:lang(ja),.spectrum-Detail--light:lang(ko),.spectrum-Detail--light:lang(zh){font-style:var(--mod-detail-cjk-light-font-style,var(--spectrum-detail-cjk-light-font-style));font-weight:var(--mod-detail-cjk-light-font-weight,var(--spectrum-detail-cjk-light-font-weight))}.spectrum-Detail--light:lang(ja) .spectrum-Detail-strong,.spectrum-Detail--light:lang(ja) strong,.spectrum-Detail--light:lang(ko) .spectrum-Detail-strong,.spectrum-Detail--light:lang(ko) strong,.spectrum-Detail--light:lang(zh) .spectrum-Detail-strong,.spectrum-Detail--light:lang(zh) strong{font-style:var(--mod-detail-cjk-light-strong-font-style,var(--spectrum-detail-cjk-light-strong-font-style));font-weight:var(--mod-detail-cjk-light-strong-font-weight,var(--spectrum-detail-cjk-light-strong-font-weight))}.spectrum-Detail--light:lang(ja) .spectrum-Detail-emphasized,.spectrum-Detail--light:lang(ja) em,.spectrum-Detail--light:lang(ko) .spectrum-Detail-emphasized,.spectrum-Detail--light:lang(ko) em,.spectrum-Detail--light:lang(zh) .spectrum-Detail-emphasized,.spectrum-Detail--light:lang(zh) em{font-style:var(--mod-detail-cjk-light-emphasized-font-style,var(--spectrum-detail-cjk-light-emphasized-font-style));font-weight:var(--mod-detail-cjk-light-emphasized-font-weight,var(--spectrum-detail-cjk-light-emphasized-font-weight))}.spectrum-Detail--light:lang(ja) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail--light:lang(ko) .spectrum-Detail-strong.spectrum-Detail-emphasized,.spectrum-Detail--light:lang(zh) .spectrum-Detail-strong.spectrum-Detail-emphasized{font-style:var(--mod-detail-cjk-light-strong-emphasized-font-style,var(--spectrum-detail-cjk-light-strong-emphasized-font-style));font-weight:var(--mod-detail-cjk-light-strong-emphasized-font-weight,var(--spectrum-detail-cjk-light-strong-emphasized-font-weight))}.spectrum-Detail--serif.spectrum-Detail--light{font-style:var(--mod-detail-serif-light-font-style,var(--spectrum-detail-serif-light-font-style));font-weight:var(--mod-detail-serif-light-font-weight,var(--spectrum-detail-serif-light-font-weight))}.spectrum-Detail--serif.spectrum-Detail--light .spectrum-Detail-strong,.spectrum-Detail--serif.spectrum-Detail--light strong{font-style:var(--mod-detail-serif-light-strong-font-style,var(--spectrum-detail-serif-light-strong-font-style));font-weight:var(--mod-detail-serif-light-strong-font-weight,var(--spectrum-detail-serif-light-strong-font-weight))}.spectrum-Detail--serif.spectrum-Detail--light .spectrum-Detail-emphasized,.spectrum-Detail--serif.spectrum-Detail--light em{font-style:var(--mod-detail-serif-light-emphasized-font-style,var(--spectrum-detail-serif-light-emphasized-font-style));font-weight:var(--mod-detail-serif-light-emphasized-font-weight,var(--spectrum-detail-serif-light-emphasized-font-weight))}.spectrum-Detail--serif.spectrum-Detail--light .spectrum-Detail-strong.spectrum-Body-emphasized,.spectrum-Detail--serif.spectrum-Detail--light em strong,.spectrum-Detail--serif.spectrum-Detail--light strong em{font-style:var(--mod-detail-serif-light-strong-emphasized-font-style,var(--spectrum-detail-serif-light-strong-emphasized-font-style));font-weight:var(--mod-detail-serif-light-strong-emphasized-font-weight,var(--spectrum-detail-serif-light-strong-emphasized-font-weight))}.spectrum-Typography .spectrum-Detail{margin-block-start:var(--mod-detail-margin-start,var(--spectrum-detail-margin-start));margin-block-end:var(--mod-detail-margin-end,var(--spectrum-detail-margin-end))}.spectrum-Code{--spectrum-code-font-family:var(--spectrum-code-font-family-stack);--spectrum-code-cjk-letter-spacing:var(--spectrum-cjk-letter-spacing);--spectrum-code-font-color:var(--spectrum-code-color)}.spectrum-Code--sizeXS{--spectrum-code-font-size:var(--spectrum-code-size-xs)}.spectrum-Code--sizeS{--spectrum-code-font-size:var(--spectrum-code-size-s)}.spectrum-Code--sizeM{--spectrum-code-font-size:var(--spectrum-code-size-m)}.spectrum-Code--sizeL{--spectrum-code-font-size:var(--spectrum-code-size-l)}.spectrum-Code--sizeXL{--spectrum-code-font-size:var(--spectrum-code-size-xl)}.spectrum-Code{font-family:var(--mod-code-font-family,var(--spectrum-code-font-family));font-style:var(--mod-code-font-style,var(--spectrum-code-font-style));font-weight:var(--mod-code-font-weight,var(--spectrum-code-font-weight));font-size:var(--mod-code-font-size,var(--spectrum-code-font-size));line-height:var(--mod-code-line-height,var(--spectrum-code-line-height));color:var(--highcontrast-code-font-color,var(--mod-code-font-color,var(--spectrum-code-font-color)));margin-block:0}.spectrum-Code .spectrum-Code-strong,.spectrum-Code strong{font-style:var(--mod-code-strong-font-style,var(--spectrum-code-strong-font-style));font-weight:var(--mod-code-strong-font-weight,var(--spectrum-code-strong-font-weight))}.spectrum-Code .spectrum-Code-emphasized,.spectrum-Code em{font-style:var(--mod-code-emphasized-font-style,var(--spectrum-code-emphasized-font-style));font-weight:var(--mod-code-emphasized-font-weight,var(--spectrum-code-emphasized-font-weight))}.spectrum-Code .spectrum-Code-strong.spectrum-Code-emphasized,.spectrum-Code em strong,.spectrum-Code strong em{font-style:var(--mod-code-strong-emphasized-font-style,var(--spectrum-code-strong-emphasized-font-style));font-weight:var(--mod-code-strong-emphasized-font-weight,var(--spectrum-code-strong-emphasized-font-weight))}.spectrum-Code:lang(ja),.spectrum-Code:lang(ko),.spectrum-Code:lang(zh){font-family:var(--mod-code-cjk-font-family,var(--spectrum-code-cjk-font-family));font-style:var(--mod-code-cjk-font-style,var(--spectrum-code-cjk-font-style));font-weight:var(--mod-code-cjk-font-weight,var(--spectrum-code-cjk-font-weight));line-height:var(--mod-code-cjk-line-height,var(--spectrum-code-cjk-line-height));letter-spacing:var(--mod-code-cjk-letter-spacing,var(--spectrum-code-cjk-letter-spacing))}.spectrum-Code:lang(ja) .spectrum-Code-strong,.spectrum-Code:lang(ja) strong,.spectrum-Code:lang(ko) .spectrum-Code-strong,.spectrum-Code:lang(ko) strong,.spectrum-Code:lang(zh) .spectrum-Code-strong,.spectrum-Code:lang(zh) strong{font-style:var(--mod-code-cjk-strong-font-style,var(--spectrum-code-cjk-strong-font-style));font-weight:var(--mod-code-cjk-strong-font-weight,var(--spectrum-code-cjk-strong-font-weight))}.spectrum-Code:lang(ja) .spectrum-Code-emphasized,.spectrum-Code:lang(ja) em,.spectrum-Code:lang(ko) .spectrum-Code-emphasized,.spectrum-Code:lang(ko) em,.spectrum-Code:lang(zh) .spectrum-Code-emphasized,.spectrum-Code:lang(zh) em{font-style:var(--mod-code-cjk-emphasized-font-style,var(--spectrum-code-cjk-emphasized-font-style));font-weight:var(--mod-code-cjk-emphasized-font-weight,var(--spectrum-code-cjk-emphasized-font-weight))}.spectrum-Code:lang(ja) .spectrum-Code-strong.spectrum-Code-emphasized,.spectrum-Code:lang(ja) em strong,.spectrum-Code:lang(ja) strong em,.spectrum-Code:lang(ko) .spectrum-Code-strong.spectrum-Code-emphasized,.spectrum-Code:lang(ko) em strong,.spectrum-Code:lang(ko) strong em,.spectrum-Code:lang(zh) .spectrum-Code-strong.spectrum-Code-emphasized,.spectrum-Code:lang(zh) em strong,.spectrum-Code:lang(zh) strong em{font-style:var(--mod-code-cjk-strong-emphasized-font-style,var(--spectrum-code-cjk-strong-emphasized-font-style));font-weight:var(--mod-code-cjk-strong-emphasized-font-weight,var(--spectrum-code-cjk-strong-emphasized-font-weight))}:host{display:block}#scale,#theme{width:100%;height:100%}\n        '
    ]);
    _templateObject$i = function _templateObject() {
        return data;
    };
    return data;
}
var e$8 = i$p(_templateObject$i());
var m$4 = e$8;

Theme.registerThemeFragment("spectrum", "system", m$4);

Theme.registerThemeFragment("light", "color", r$4);

function _tagged_template_literal$h(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$h() {
    var data = _tagged_template_literal$h([
        "\n    :root,:host{--spectrum-global-color-status:Verified;--spectrum-global-color-version:5.1;--spectrum-global-color-opacity-100:1;--spectrum-global-color-opacity-90:.9;--spectrum-global-color-opacity-80:.8;--spectrum-global-color-opacity-70:.7;--spectrum-global-color-opacity-60:.6;--spectrum-global-color-opacity-55:.55;--spectrum-global-color-opacity-50:.5;--spectrum-global-color-opacity-42:.42;--spectrum-global-color-opacity-40:.4;--spectrum-global-color-opacity-30:.3;--spectrum-global-color-opacity-25:.25;--spectrum-global-color-opacity-20:.2;--spectrum-global-color-opacity-15:.15;--spectrum-global-color-opacity-10:.1;--spectrum-global-color-opacity-8:.08;--spectrum-global-color-opacity-7:.07;--spectrum-global-color-opacity-6:.06;--spectrum-global-color-opacity-5:.05;--spectrum-global-color-opacity-4:.04;--spectrum-global-color-opacity-0:0;--spectrum-global-color-celery-400-rgb:48,193,61;--spectrum-global-color-celery-400:rgb(var(--spectrum-global-color-celery-400-rgb));--spectrum-global-color-celery-500-rgb:15,172,38;--spectrum-global-color-celery-500:rgb(var(--spectrum-global-color-celery-500-rgb));--spectrum-global-color-celery-600-rgb:0,150,20;--spectrum-global-color-celery-600:rgb(var(--spectrum-global-color-celery-600-rgb));--spectrum-global-color-celery-700-rgb:0,128,15;--spectrum-global-color-celery-700:rgb(var(--spectrum-global-color-celery-700-rgb));--spectrum-global-color-chartreuse-400-rgb:157,203,13;--spectrum-global-color-chartreuse-400:rgb(var(--spectrum-global-color-chartreuse-400-rgb));--spectrum-global-color-chartreuse-500-rgb:139,182,4;--spectrum-global-color-chartreuse-500:rgb(var(--spectrum-global-color-chartreuse-500-rgb));--spectrum-global-color-chartreuse-600-rgb:122,162,0;--spectrum-global-color-chartreuse-600:rgb(var(--spectrum-global-color-chartreuse-600-rgb));--spectrum-global-color-chartreuse-700-rgb:106,141,0;--spectrum-global-color-chartreuse-700:rgb(var(--spectrum-global-color-chartreuse-700-rgb));--spectrum-global-color-yellow-400-rgb:238,205,0;--spectrum-global-color-yellow-400:rgb(var(--spectrum-global-color-yellow-400-rgb));--spectrum-global-color-yellow-500-rgb:221,185,0;--spectrum-global-color-yellow-500:rgb(var(--spectrum-global-color-yellow-500-rgb));--spectrum-global-color-yellow-600-rgb:201,164,0;--spectrum-global-color-yellow-600:rgb(var(--spectrum-global-color-yellow-600-rgb));--spectrum-global-color-yellow-700-rgb:181,144,0;--spectrum-global-color-yellow-700:rgb(var(--spectrum-global-color-yellow-700-rgb));--spectrum-global-color-magenta-400-rgb:226,68,135;--spectrum-global-color-magenta-400:rgb(var(--spectrum-global-color-magenta-400-rgb));--spectrum-global-color-magenta-500-rgb:205,40,111;--spectrum-global-color-magenta-500:rgb(var(--spectrum-global-color-magenta-500-rgb));--spectrum-global-color-magenta-600-rgb:179,15,89;--spectrum-global-color-magenta-600:rgb(var(--spectrum-global-color-magenta-600-rgb));--spectrum-global-color-magenta-700-rgb:149,0,72;--spectrum-global-color-magenta-700:rgb(var(--spectrum-global-color-magenta-700-rgb));--spectrum-global-color-fuchsia-400-rgb:211,63,212;--spectrum-global-color-fuchsia-400:rgb(var(--spectrum-global-color-fuchsia-400-rgb));--spectrum-global-color-fuchsia-500-rgb:188,39,187;--spectrum-global-color-fuchsia-500:rgb(var(--spectrum-global-color-fuchsia-500-rgb));--spectrum-global-color-fuchsia-600-rgb:163,10,163;--spectrum-global-color-fuchsia-600:rgb(var(--spectrum-global-color-fuchsia-600-rgb));--spectrum-global-color-fuchsia-700-rgb:135,0,136;--spectrum-global-color-fuchsia-700:rgb(var(--spectrum-global-color-fuchsia-700-rgb));--spectrum-global-color-purple-400-rgb:161,93,246;--spectrum-global-color-purple-400:rgb(var(--spectrum-global-color-purple-400-rgb));--spectrum-global-color-purple-500-rgb:142,67,234;--spectrum-global-color-purple-500:rgb(var(--spectrum-global-color-purple-500-rgb));--spectrum-global-color-purple-600-rgb:120,43,216;--spectrum-global-color-purple-600:rgb(var(--spectrum-global-color-purple-600-rgb));--spectrum-global-color-purple-700-rgb:98,23,190;--spectrum-global-color-purple-700:rgb(var(--spectrum-global-color-purple-700-rgb));--spectrum-global-color-indigo-400-rgb:109,115,246;--spectrum-global-color-indigo-400:rgb(var(--spectrum-global-color-indigo-400-rgb));--spectrum-global-color-indigo-500-rgb:87,93,232;--spectrum-global-color-indigo-500:rgb(var(--spectrum-global-color-indigo-500-rgb));--spectrum-global-color-indigo-600-rgb:68,74,208;--spectrum-global-color-indigo-600:rgb(var(--spectrum-global-color-indigo-600-rgb));--spectrum-global-color-indigo-700-rgb:53,58,176;--spectrum-global-color-indigo-700:rgb(var(--spectrum-global-color-indigo-700-rgb));--spectrum-global-color-seafoam-400-rgb:0,166,160;--spectrum-global-color-seafoam-400:rgb(var(--spectrum-global-color-seafoam-400-rgb));--spectrum-global-color-seafoam-500-rgb:0,145,139;--spectrum-global-color-seafoam-500:rgb(var(--spectrum-global-color-seafoam-500-rgb));--spectrum-global-color-seafoam-600-rgb:0,124,118;--spectrum-global-color-seafoam-600:rgb(var(--spectrum-global-color-seafoam-600-rgb));--spectrum-global-color-seafoam-700-rgb:0,103,99;--spectrum-global-color-seafoam-700:rgb(var(--spectrum-global-color-seafoam-700-rgb));--spectrum-global-color-red-400-rgb:237,64,48;--spectrum-global-color-red-400:rgb(var(--spectrum-global-color-red-400-rgb));--spectrum-global-color-red-500-rgb:217,28,21;--spectrum-global-color-red-500:rgb(var(--spectrum-global-color-red-500-rgb));--spectrum-global-color-red-600-rgb:187,2,2;--spectrum-global-color-red-600:rgb(var(--spectrum-global-color-red-600-rgb));--spectrum-global-color-red-700-rgb:154,0,0;--spectrum-global-color-red-700:rgb(var(--spectrum-global-color-red-700-rgb));--spectrum-global-color-orange-400-rgb:250,139,26;--spectrum-global-color-orange-400:rgb(var(--spectrum-global-color-orange-400-rgb));--spectrum-global-color-orange-500-rgb:233,117,0;--spectrum-global-color-orange-500:rgb(var(--spectrum-global-color-orange-500-rgb));--spectrum-global-color-orange-600-rgb:209,97,0;--spectrum-global-color-orange-600:rgb(var(--spectrum-global-color-orange-600-rgb));--spectrum-global-color-orange-700-rgb:182,80,0;--spectrum-global-color-orange-700:rgb(var(--spectrum-global-color-orange-700-rgb));--spectrum-global-color-green-400-rgb:0,148,97;--spectrum-global-color-green-400:rgb(var(--spectrum-global-color-green-400-rgb));--spectrum-global-color-green-500-rgb:0,126,80;--spectrum-global-color-green-500:rgb(var(--spectrum-global-color-green-500-rgb));--spectrum-global-color-green-600-rgb:0,105,65;--spectrum-global-color-green-600:rgb(var(--spectrum-global-color-green-600-rgb));--spectrum-global-color-green-700-rgb:0,86,53;--spectrum-global-color-green-700:rgb(var(--spectrum-global-color-green-700-rgb));--spectrum-global-color-blue-400-rgb:27,127,245;--spectrum-global-color-blue-400:rgb(var(--spectrum-global-color-blue-400-rgb));--spectrum-global-color-blue-500-rgb:4,105,227;--spectrum-global-color-blue-500:rgb(var(--spectrum-global-color-blue-500-rgb));--spectrum-global-color-blue-600-rgb:0,87,190;--spectrum-global-color-blue-600:rgb(var(--spectrum-global-color-blue-600-rgb));--spectrum-global-color-blue-700-rgb:0,72,153;--spectrum-global-color-blue-700:rgb(var(--spectrum-global-color-blue-700-rgb));--spectrum-global-color-gray-50-rgb:255,255,255;--spectrum-global-color-gray-50:rgb(var(--spectrum-global-color-gray-50-rgb));--spectrum-global-color-gray-75-rgb:255,255,255;--spectrum-global-color-gray-75:rgb(var(--spectrum-global-color-gray-75-rgb));--spectrum-global-color-gray-100-rgb:255,255,255;--spectrum-global-color-gray-100:rgb(var(--spectrum-global-color-gray-100-rgb));--spectrum-global-color-gray-200-rgb:235,235,235;--spectrum-global-color-gray-200:rgb(var(--spectrum-global-color-gray-200-rgb));--spectrum-global-color-gray-300-rgb:217,217,217;--spectrum-global-color-gray-300:rgb(var(--spectrum-global-color-gray-300-rgb));--spectrum-global-color-gray-400-rgb:179,179,179;--spectrum-global-color-gray-400:rgb(var(--spectrum-global-color-gray-400-rgb));--spectrum-global-color-gray-500-rgb:146,146,146;--spectrum-global-color-gray-500:rgb(var(--spectrum-global-color-gray-500-rgb));--spectrum-global-color-gray-600-rgb:110,110,110;--spectrum-global-color-gray-600:rgb(var(--spectrum-global-color-gray-600-rgb));--spectrum-global-color-gray-700-rgb:71,71,71;--spectrum-global-color-gray-700:rgb(var(--spectrum-global-color-gray-700-rgb));--spectrum-global-color-gray-800-rgb:34,34,34;--spectrum-global-color-gray-800:rgb(var(--spectrum-global-color-gray-800-rgb));--spectrum-global-color-gray-900-rgb:0,0,0;--spectrum-global-color-gray-900:rgb(var(--spectrum-global-color-gray-900-rgb));--spectrum-alias-background-color-primary:var(--spectrum-global-color-gray-50);--spectrum-alias-background-color-secondary:var(--spectrum-global-color-gray-100);--spectrum-alias-background-color-tertiary:var(--spectrum-global-color-gray-300);--spectrum-alias-background-color-modal-overlay:#0006;--spectrum-alias-dropshadow-color:#00000026;--spectrum-alias-background-color-hover-overlay:#0000000a;--spectrum-alias-highlight-hover:#0000000f;--spectrum-alias-highlight-down:#0000001a;--spectrum-alias-highlight-selected:#0469e31a;--spectrum-alias-highlight-selected-hover:#0469e333;--spectrum-alias-text-highlight-color:#0469e333;--spectrum-alias-background-color-quickactions:#ffffffe6;--spectrum-alias-border-color-selected:var(--spectrum-global-color-blue-500);--spectrum-alias-border-color-translucent:#0000001a;--spectrum-alias-radial-reaction-color-default:#2229;--spectrum-alias-pasteboard-background-color:var(--spectrum-global-color-gray-300);--spectrum-alias-appframe-border-color:var(--spectrum-global-color-gray-300);--spectrum-alias-appframe-separator-color:var(--spectrum-global-color-gray-300)}:host,:root{color-scheme:light;--spectrum-overlay-opacity:.4;--spectrum-drop-shadow-color-rgb:0,0,0;--spectrum-drop-shadow-color-opacity:.15;--spectrum-drop-shadow-color:rgba(var(--spectrum-drop-shadow-color-rgb),var(--spectrum-drop-shadow-color-opacity));--spectrum-background-base-color:var(--spectrum-gray-200);--spectrum-background-layer-1-color:var(--spectrum-gray-100);--spectrum-background-layer-2-color:var(--spectrum-gray-50);--spectrum-neutral-background-color-default:var(--spectrum-gray-800);--spectrum-neutral-background-color-hover:var(--spectrum-gray-900);--spectrum-neutral-background-color-down:var(--spectrum-gray-900);--spectrum-neutral-background-color-key-focus:var(--spectrum-gray-900);--spectrum-neutral-subdued-background-color-default:var(--spectrum-gray-600);--spectrum-neutral-subdued-background-color-hover:var(--spectrum-gray-700);--spectrum-neutral-subdued-background-color-down:var(--spectrum-gray-800);--spectrum-neutral-subdued-background-color-key-focus:var(--spectrum-gray-700);--spectrum-accent-background-color-default:var(--spectrum-accent-color-900);--spectrum-accent-background-color-hover:var(--spectrum-accent-color-1000);--spectrum-accent-background-color-down:var(--spectrum-accent-color-1100);--spectrum-accent-background-color-key-focus:var(--spectrum-accent-color-1000);--spectrum-informative-background-color-default:var(--spectrum-informative-color-900);--spectrum-informative-background-color-hover:var(--spectrum-informative-color-1000);--spectrum-informative-background-color-down:var(--spectrum-informative-color-1100);--spectrum-informative-background-color-key-focus:var(--spectrum-informative-color-1000);--spectrum-negative-background-color-default:var(--spectrum-negative-color-900);--spectrum-negative-background-color-hover:var(--spectrum-negative-color-1000);--spectrum-negative-background-color-down:var(--spectrum-negative-color-1100);--spectrum-negative-background-color-key-focus:var(--spectrum-negative-color-1000);--spectrum-positive-background-color-default:var(--spectrum-positive-color-900);--spectrum-positive-background-color-hover:var(--spectrum-positive-color-1000);--spectrum-positive-background-color-down:var(--spectrum-positive-color-1100);--spectrum-positive-background-color-key-focus:var(--spectrum-positive-color-1000);--spectrum-notice-background-color-default:var(--spectrum-notice-color-600);--spectrum-gray-background-color-default:var(--spectrum-gray-700);--spectrum-red-background-color-default:var(--spectrum-red-900);--spectrum-orange-background-color-default:var(--spectrum-orange-600);--spectrum-yellow-background-color-default:var(--spectrum-yellow-400);--spectrum-chartreuse-background-color-default:var(--spectrum-chartreuse-500);--spectrum-celery-background-color-default:var(--spectrum-celery-600);--spectrum-green-background-color-default:var(--spectrum-green-900);--spectrum-seafoam-background-color-default:var(--spectrum-seafoam-900);--spectrum-cyan-background-color-default:var(--spectrum-cyan-900);--spectrum-blue-background-color-default:var(--spectrum-blue-900);--spectrum-indigo-background-color-default:var(--spectrum-indigo-900);--spectrum-purple-background-color-default:var(--spectrum-purple-900);--spectrum-fuchsia-background-color-default:var(--spectrum-fuchsia-900);--spectrum-magenta-background-color-default:var(--spectrum-magenta-900);--spectrum-neutral-visual-color:var(--spectrum-gray-500);--spectrum-accent-visual-color:var(--spectrum-accent-color-800);--spectrum-informative-visual-color:var(--spectrum-informative-color-800);--spectrum-negative-visual-color:var(--spectrum-negative-color-800);--spectrum-notice-visual-color:var(--spectrum-notice-color-700);--spectrum-positive-visual-color:var(--spectrum-positive-color-700);--spectrum-gray-visual-color:var(--spectrum-gray-500);--spectrum-red-visual-color:var(--spectrum-red-800);--spectrum-orange-visual-color:var(--spectrum-orange-700);--spectrum-yellow-visual-color:var(--spectrum-yellow-600);--spectrum-chartreuse-visual-color:var(--spectrum-chartreuse-600);--spectrum-celery-visual-color:var(--spectrum-celery-700);--spectrum-green-visual-color:var(--spectrum-green-700);--spectrum-seafoam-visual-color:var(--spectrum-seafoam-700);--spectrum-cyan-visual-color:var(--spectrum-cyan-600);--spectrum-blue-visual-color:var(--spectrum-blue-800);--spectrum-indigo-visual-color:var(--spectrum-indigo-800);--spectrum-purple-visual-color:var(--spectrum-purple-800);--spectrum-fuchsia-visual-color:var(--spectrum-fuchsia-800);--spectrum-magenta-visual-color:var(--spectrum-magenta-800);--spectrum-opacity-checkerboard-square-dark:var(--spectrum-gray-200);--spectrum-gray-50-rgb:255,255,255;--spectrum-gray-50:rgba(var(--spectrum-gray-50-rgb));--spectrum-gray-75-rgb:253,253,253;--spectrum-gray-75:rgba(var(--spectrum-gray-75-rgb));--spectrum-gray-100-rgb:248,248,248;--spectrum-gray-100:rgba(var(--spectrum-gray-100-rgb));--spectrum-gray-200-rgb:230,230,230;--spectrum-gray-200:rgba(var(--spectrum-gray-200-rgb));--spectrum-gray-300-rgb:213,213,213;--spectrum-gray-300:rgba(var(--spectrum-gray-300-rgb));--spectrum-gray-400-rgb:177,177,177;--spectrum-gray-400:rgba(var(--spectrum-gray-400-rgb));--spectrum-gray-500-rgb:144,144,144;--spectrum-gray-500:rgba(var(--spectrum-gray-500-rgb));--spectrum-gray-600-rgb:109,109,109;--spectrum-gray-600:rgba(var(--spectrum-gray-600-rgb));--spectrum-gray-700-rgb:70,70,70;--spectrum-gray-700:rgba(var(--spectrum-gray-700-rgb));--spectrum-gray-800-rgb:34,34,34;--spectrum-gray-800:rgba(var(--spectrum-gray-800-rgb));--spectrum-gray-900-rgb:0,0,0;--spectrum-gray-900:rgba(var(--spectrum-gray-900-rgb));--spectrum-blue-100-rgb:224,242,255;--spectrum-blue-100:rgba(var(--spectrum-blue-100-rgb));--spectrum-blue-200-rgb:202,232,255;--spectrum-blue-200:rgba(var(--spectrum-blue-200-rgb));--spectrum-blue-300-rgb:181,222,255;--spectrum-blue-300:rgba(var(--spectrum-blue-300-rgb));--spectrum-blue-400-rgb:150,206,253;--spectrum-blue-400:rgba(var(--spectrum-blue-400-rgb));--spectrum-blue-500-rgb:120,187,250;--spectrum-blue-500:rgba(var(--spectrum-blue-500-rgb));--spectrum-blue-600-rgb:89,167,246;--spectrum-blue-600:rgba(var(--spectrum-blue-600-rgb));--spectrum-blue-700-rgb:56,146,243;--spectrum-blue-700:rgba(var(--spectrum-blue-700-rgb));--spectrum-blue-800-rgb:20,122,243;--spectrum-blue-800:rgba(var(--spectrum-blue-800-rgb));--spectrum-blue-900-rgb:2,101,220;--spectrum-blue-900:rgba(var(--spectrum-blue-900-rgb));--spectrum-blue-1000-rgb:0,84,182;--spectrum-blue-1000:rgba(var(--spectrum-blue-1000-rgb));--spectrum-blue-1100-rgb:0,68,145;--spectrum-blue-1100:rgba(var(--spectrum-blue-1100-rgb));--spectrum-blue-1200-rgb:0,53,113;--spectrum-blue-1200:rgba(var(--spectrum-blue-1200-rgb));--spectrum-blue-1300-rgb:0,39,84;--spectrum-blue-1300:rgba(var(--spectrum-blue-1300-rgb));--spectrum-blue-1400-rgb:0,28,60;--spectrum-blue-1400:rgba(var(--spectrum-blue-1400-rgb));--spectrum-red-100-rgb:255,235,231;--spectrum-red-100:rgba(var(--spectrum-red-100-rgb));--spectrum-red-200-rgb:255,221,214;--spectrum-red-200:rgba(var(--spectrum-red-200-rgb));--spectrum-red-300-rgb:255,205,195;--spectrum-red-300:rgba(var(--spectrum-red-300-rgb));--spectrum-red-400-rgb:255,183,169;--spectrum-red-400:rgba(var(--spectrum-red-400-rgb));--spectrum-red-500-rgb:255,155,136;--spectrum-red-500:rgba(var(--spectrum-red-500-rgb));--spectrum-red-600-rgb:255,124,101;--spectrum-red-600:rgba(var(--spectrum-red-600-rgb));--spectrum-red-700-rgb:247,92,70;--spectrum-red-700:rgba(var(--spectrum-red-700-rgb));--spectrum-red-800-rgb:234,56,41;--spectrum-red-800:rgba(var(--spectrum-red-800-rgb));--spectrum-red-900-rgb:211,21,16;--spectrum-red-900:rgba(var(--spectrum-red-900-rgb));--spectrum-red-1000-rgb:180,0,0;--spectrum-red-1000:rgba(var(--spectrum-red-1000-rgb));--spectrum-red-1100-rgb:147,0,0;--spectrum-red-1100:rgba(var(--spectrum-red-1100-rgb));--spectrum-red-1200-rgb:116,0,0;--spectrum-red-1200:rgba(var(--spectrum-red-1200-rgb));--spectrum-red-1300-rgb:89,0,0;--spectrum-red-1300:rgba(var(--spectrum-red-1300-rgb));--spectrum-red-1400-rgb:67,0,0;--spectrum-red-1400:rgba(var(--spectrum-red-1400-rgb));--spectrum-orange-100-rgb:255,236,204;--spectrum-orange-100:rgba(var(--spectrum-orange-100-rgb));--spectrum-orange-200-rgb:255,223,173;--spectrum-orange-200:rgba(var(--spectrum-orange-200-rgb));--spectrum-orange-300-rgb:253,210,145;--spectrum-orange-300:rgba(var(--spectrum-orange-300-rgb));--spectrum-orange-400-rgb:255,187,99;--spectrum-orange-400:rgba(var(--spectrum-orange-400-rgb));--spectrum-orange-500-rgb:255,160,55;--spectrum-orange-500:rgba(var(--spectrum-orange-500-rgb));--spectrum-orange-600-rgb:246,133,17;--spectrum-orange-600:rgba(var(--spectrum-orange-600-rgb));--spectrum-orange-700-rgb:228,111,0;--spectrum-orange-700:rgba(var(--spectrum-orange-700-rgb));--spectrum-orange-800-rgb:203,93,0;--spectrum-orange-800:rgba(var(--spectrum-orange-800-rgb));--spectrum-orange-900-rgb:177,76,0;--spectrum-orange-900:rgba(var(--spectrum-orange-900-rgb));--spectrum-orange-1000-rgb:149,61,0;--spectrum-orange-1000:rgba(var(--spectrum-orange-1000-rgb));--spectrum-orange-1100-rgb:122,47,0;--spectrum-orange-1100:rgba(var(--spectrum-orange-1100-rgb));--spectrum-orange-1200-rgb:97,35,0;--spectrum-orange-1200:rgba(var(--spectrum-orange-1200-rgb));--spectrum-orange-1300-rgb:73,25,1;--spectrum-orange-1300:rgba(var(--spectrum-orange-1300-rgb));--spectrum-orange-1400-rgb:53,18,1;--spectrum-orange-1400:rgba(var(--spectrum-orange-1400-rgb));--spectrum-yellow-100-rgb:251,241,152;--spectrum-yellow-100:rgba(var(--spectrum-yellow-100-rgb));--spectrum-yellow-200-rgb:248,231,80;--spectrum-yellow-200:rgba(var(--spectrum-yellow-200-rgb));--spectrum-yellow-300-rgb:248,217,4;--spectrum-yellow-300:rgba(var(--spectrum-yellow-300-rgb));--spectrum-yellow-400-rgb:232,198,0;--spectrum-yellow-400:rgba(var(--spectrum-yellow-400-rgb));--spectrum-yellow-500-rgb:215,179,0;--spectrum-yellow-500:rgba(var(--spectrum-yellow-500-rgb));--spectrum-yellow-600-rgb:196,159,0;--spectrum-yellow-600:rgba(var(--spectrum-yellow-600-rgb));--spectrum-yellow-700-rgb:176,140,0;--spectrum-yellow-700:rgba(var(--spectrum-yellow-700-rgb));--spectrum-yellow-800-rgb:155,120,0;--spectrum-yellow-800:rgba(var(--spectrum-yellow-800-rgb));--spectrum-yellow-900-rgb:133,102,0;--spectrum-yellow-900:rgba(var(--spectrum-yellow-900-rgb));--spectrum-yellow-1000-rgb:112,83,0;--spectrum-yellow-1000:rgba(var(--spectrum-yellow-1000-rgb));--spectrum-yellow-1100-rgb:91,67,0;--spectrum-yellow-1100:rgba(var(--spectrum-yellow-1100-rgb));--spectrum-yellow-1200-rgb:72,51,0;--spectrum-yellow-1200:rgba(var(--spectrum-yellow-1200-rgb));--spectrum-yellow-1300-rgb:54,37,0;--spectrum-yellow-1300:rgba(var(--spectrum-yellow-1300-rgb));--spectrum-yellow-1400-rgb:40,26,0;--spectrum-yellow-1400:rgba(var(--spectrum-yellow-1400-rgb));--spectrum-chartreuse-100-rgb:219,252,110;--spectrum-chartreuse-100:rgba(var(--spectrum-chartreuse-100-rgb));--spectrum-chartreuse-200-rgb:203,244,67;--spectrum-chartreuse-200:rgba(var(--spectrum-chartreuse-200-rgb));--spectrum-chartreuse-300-rgb:188,233,42;--spectrum-chartreuse-300:rgba(var(--spectrum-chartreuse-300-rgb));--spectrum-chartreuse-400-rgb:170,216,22;--spectrum-chartreuse-400:rgba(var(--spectrum-chartreuse-400-rgb));--spectrum-chartreuse-500-rgb:152,197,10;--spectrum-chartreuse-500:rgba(var(--spectrum-chartreuse-500-rgb));--spectrum-chartreuse-600-rgb:135,177,3;--spectrum-chartreuse-600:rgba(var(--spectrum-chartreuse-600-rgb));--spectrum-chartreuse-700-rgb:118,156,0;--spectrum-chartreuse-700:rgba(var(--spectrum-chartreuse-700-rgb));--spectrum-chartreuse-800-rgb:103,136,0;--spectrum-chartreuse-800:rgba(var(--spectrum-chartreuse-800-rgb));--spectrum-chartreuse-900-rgb:87,116,0;--spectrum-chartreuse-900:rgba(var(--spectrum-chartreuse-900-rgb));--spectrum-chartreuse-1000-rgb:72,96,0;--spectrum-chartreuse-1000:rgba(var(--spectrum-chartreuse-1000-rgb));--spectrum-chartreuse-1100-rgb:58,77,0;--spectrum-chartreuse-1100:rgba(var(--spectrum-chartreuse-1100-rgb));--spectrum-chartreuse-1200-rgb:44,59,0;--spectrum-chartreuse-1200:rgba(var(--spectrum-chartreuse-1200-rgb));--spectrum-chartreuse-1300-rgb:33,44,0;--spectrum-chartreuse-1300:rgba(var(--spectrum-chartreuse-1300-rgb));--spectrum-chartreuse-1400-rgb:24,31,0;--spectrum-chartreuse-1400:rgba(var(--spectrum-chartreuse-1400-rgb));--spectrum-celery-100-rgb:205,252,191;--spectrum-celery-100:rgba(var(--spectrum-celery-100-rgb));--spectrum-celery-200-rgb:174,246,157;--spectrum-celery-200:rgba(var(--spectrum-celery-200-rgb));--spectrum-celery-300-rgb:150,238,133;--spectrum-celery-300:rgba(var(--spectrum-celery-300-rgb));--spectrum-celery-400-rgb:114,224,106;--spectrum-celery-400:rgba(var(--spectrum-celery-400-rgb));--spectrum-celery-500-rgb:78,207,80;--spectrum-celery-500:rgba(var(--spectrum-celery-500-rgb));--spectrum-celery-600-rgb:39,187,54;--spectrum-celery-600:rgba(var(--spectrum-celery-600-rgb));--spectrum-celery-700-rgb:7,167,33;--spectrum-celery-700:rgba(var(--spectrum-celery-700-rgb));--spectrum-celery-800-rgb:0,145,18;--spectrum-celery-800:rgba(var(--spectrum-celery-800-rgb));--spectrum-celery-900-rgb:0,124,15;--spectrum-celery-900:rgba(var(--spectrum-celery-900-rgb));--spectrum-celery-1000-rgb:0,103,15;--spectrum-celery-1000:rgba(var(--spectrum-celery-1000-rgb));--spectrum-celery-1100-rgb:0,83,13;--spectrum-celery-1100:rgba(var(--spectrum-celery-1100-rgb));--spectrum-celery-1200-rgb:0,64,10;--spectrum-celery-1200:rgba(var(--spectrum-celery-1200-rgb));--spectrum-celery-1300-rgb:0,48,7;--spectrum-celery-1300:rgba(var(--spectrum-celery-1300-rgb));--spectrum-celery-1400-rgb:0,34,5;--spectrum-celery-1400:rgba(var(--spectrum-celery-1400-rgb));--spectrum-green-100-rgb:206,248,224;--spectrum-green-100:rgba(var(--spectrum-green-100-rgb));--spectrum-green-200-rgb:173,244,206;--spectrum-green-200:rgba(var(--spectrum-green-200-rgb));--spectrum-green-300-rgb:137,236,188;--spectrum-green-300:rgba(var(--spectrum-green-300-rgb));--spectrum-green-400-rgb:103,222,168;--spectrum-green-400:rgba(var(--spectrum-green-400-rgb));--spectrum-green-500-rgb:73,204,147;--spectrum-green-500:rgba(var(--spectrum-green-500-rgb));--spectrum-green-600-rgb:47,184,128;--spectrum-green-600:rgba(var(--spectrum-green-600-rgb));--spectrum-green-700-rgb:21,164,110;--spectrum-green-700:rgba(var(--spectrum-green-700-rgb));--spectrum-green-800-rgb:0,143,93;--spectrum-green-800:rgba(var(--spectrum-green-800-rgb));--spectrum-green-900-rgb:0,122,77;--spectrum-green-900:rgba(var(--spectrum-green-900-rgb));--spectrum-green-1000-rgb:0,101,62;--spectrum-green-1000:rgba(var(--spectrum-green-1000-rgb));--spectrum-green-1100-rgb:0,81,50;--spectrum-green-1100:rgba(var(--spectrum-green-1100-rgb));--spectrum-green-1200-rgb:5,63,39;--spectrum-green-1200:rgba(var(--spectrum-green-1200-rgb));--spectrum-green-1300-rgb:10,46,29;--spectrum-green-1300:rgba(var(--spectrum-green-1300-rgb));--spectrum-green-1400-rgb:10,32,21;--spectrum-green-1400:rgba(var(--spectrum-green-1400-rgb));--spectrum-seafoam-100-rgb:206,247,243;--spectrum-seafoam-100:rgba(var(--spectrum-seafoam-100-rgb));--spectrum-seafoam-200-rgb:170,241,234;--spectrum-seafoam-200:rgba(var(--spectrum-seafoam-200-rgb));--spectrum-seafoam-300-rgb:140,233,226;--spectrum-seafoam-300:rgba(var(--spectrum-seafoam-300-rgb));--spectrum-seafoam-400-rgb:101,218,210;--spectrum-seafoam-400:rgba(var(--spectrum-seafoam-400-rgb));--spectrum-seafoam-500-rgb:63,201,193;--spectrum-seafoam-500:rgba(var(--spectrum-seafoam-500-rgb));--spectrum-seafoam-600-rgb:15,181,174;--spectrum-seafoam-600:rgba(var(--spectrum-seafoam-600-rgb));--spectrum-seafoam-700-rgb:0,161,154;--spectrum-seafoam-700:rgba(var(--spectrum-seafoam-700-rgb));--spectrum-seafoam-800-rgb:0,140,135;--spectrum-seafoam-800:rgba(var(--spectrum-seafoam-800-rgb));--spectrum-seafoam-900-rgb:0,119,114;--spectrum-seafoam-900:rgba(var(--spectrum-seafoam-900-rgb));--spectrum-seafoam-1000-rgb:0,99,95;--spectrum-seafoam-1000:rgba(var(--spectrum-seafoam-1000-rgb));--spectrum-seafoam-1100-rgb:12,79,76;--spectrum-seafoam-1100:rgba(var(--spectrum-seafoam-1100-rgb));--spectrum-seafoam-1200-rgb:18,60,58;--spectrum-seafoam-1200:rgba(var(--spectrum-seafoam-1200-rgb));--spectrum-seafoam-1300-rgb:18,44,43;--spectrum-seafoam-1300:rgba(var(--spectrum-seafoam-1300-rgb));--spectrum-seafoam-1400-rgb:15,31,30;--spectrum-seafoam-1400:rgba(var(--spectrum-seafoam-1400-rgb));--spectrum-cyan-100-rgb:197,248,255;--spectrum-cyan-100:rgba(var(--spectrum-cyan-100-rgb));--spectrum-cyan-200-rgb:164,240,255;--spectrum-cyan-200:rgba(var(--spectrum-cyan-200-rgb));--spectrum-cyan-300-rgb:136,231,250;--spectrum-cyan-300:rgba(var(--spectrum-cyan-300-rgb));--spectrum-cyan-400-rgb:96,216,243;--spectrum-cyan-400:rgba(var(--spectrum-cyan-400-rgb));--spectrum-cyan-500-rgb:51,197,232;--spectrum-cyan-500:rgba(var(--spectrum-cyan-500-rgb));--spectrum-cyan-600-rgb:18,176,218;--spectrum-cyan-600:rgba(var(--spectrum-cyan-600-rgb));--spectrum-cyan-700-rgb:1,156,200;--spectrum-cyan-700:rgba(var(--spectrum-cyan-700-rgb));--spectrum-cyan-800-rgb:0,134,180;--spectrum-cyan-800:rgba(var(--spectrum-cyan-800-rgb));--spectrum-cyan-900-rgb:0,113,159;--spectrum-cyan-900:rgba(var(--spectrum-cyan-900-rgb));--spectrum-cyan-1000-rgb:0,93,137;--spectrum-cyan-1000:rgba(var(--spectrum-cyan-1000-rgb));--spectrum-cyan-1100-rgb:0,74,115;--spectrum-cyan-1100:rgba(var(--spectrum-cyan-1100-rgb));--spectrum-cyan-1200-rgb:0,57,93;--spectrum-cyan-1200:rgba(var(--spectrum-cyan-1200-rgb));--spectrum-cyan-1300-rgb:0,42,70;--spectrum-cyan-1300:rgba(var(--spectrum-cyan-1300-rgb));--spectrum-cyan-1400-rgb:0,30,51;--spectrum-cyan-1400:rgba(var(--spectrum-cyan-1400-rgb));--spectrum-indigo-100-rgb:237,238,255;--spectrum-indigo-100:rgba(var(--spectrum-indigo-100-rgb));--spectrum-indigo-200-rgb:224,226,255;--spectrum-indigo-200:rgba(var(--spectrum-indigo-200-rgb));--spectrum-indigo-300-rgb:211,213,255;--spectrum-indigo-300:rgba(var(--spectrum-indigo-300-rgb));--spectrum-indigo-400-rgb:193,196,255;--spectrum-indigo-400:rgba(var(--spectrum-indigo-400-rgb));--spectrum-indigo-500-rgb:172,175,255;--spectrum-indigo-500:rgba(var(--spectrum-indigo-500-rgb));--spectrum-indigo-600-rgb:149,153,255;--spectrum-indigo-600:rgba(var(--spectrum-indigo-600-rgb));--spectrum-indigo-700-rgb:126,132,252;--spectrum-indigo-700:rgba(var(--spectrum-indigo-700-rgb));--spectrum-indigo-800-rgb:104,109,244;--spectrum-indigo-800:rgba(var(--spectrum-indigo-800-rgb));--spectrum-indigo-900-rgb:82,88,228;--spectrum-indigo-900:rgba(var(--spectrum-indigo-900-rgb));--spectrum-indigo-1000-rgb:64,70,202;--spectrum-indigo-1000:rgba(var(--spectrum-indigo-1000-rgb));--spectrum-indigo-1100-rgb:50,54,168;--spectrum-indigo-1100:rgba(var(--spectrum-indigo-1100-rgb));--spectrum-indigo-1200-rgb:38,41,134;--spectrum-indigo-1200:rgba(var(--spectrum-indigo-1200-rgb));--spectrum-indigo-1300-rgb:27,30,100;--spectrum-indigo-1300:rgba(var(--spectrum-indigo-1300-rgb));--spectrum-indigo-1400-rgb:20,22,72;--spectrum-indigo-1400:rgba(var(--spectrum-indigo-1400-rgb));--spectrum-purple-100-rgb:246,235,255;--spectrum-purple-100:rgba(var(--spectrum-purple-100-rgb));--spectrum-purple-200-rgb:238,221,255;--spectrum-purple-200:rgba(var(--spectrum-purple-200-rgb));--spectrum-purple-300-rgb:230,208,255;--spectrum-purple-300:rgba(var(--spectrum-purple-300-rgb));--spectrum-purple-400-rgb:219,187,254;--spectrum-purple-400:rgba(var(--spectrum-purple-400-rgb));--spectrum-purple-500-rgb:204,164,253;--spectrum-purple-500:rgba(var(--spectrum-purple-500-rgb));--spectrum-purple-600-rgb:189,139,252;--spectrum-purple-600:rgba(var(--spectrum-purple-600-rgb));--spectrum-purple-700-rgb:174,114,249;--spectrum-purple-700:rgba(var(--spectrum-purple-700-rgb));--spectrum-purple-800-rgb:157,87,244;--spectrum-purple-800:rgba(var(--spectrum-purple-800-rgb));--spectrum-purple-900-rgb:137,61,231;--spectrum-purple-900:rgba(var(--spectrum-purple-900-rgb));--spectrum-purple-1000-rgb:115,38,211;--spectrum-purple-1000:rgba(var(--spectrum-purple-1000-rgb));--spectrum-purple-1100-rgb:93,19,183;--spectrum-purple-1100:rgba(var(--spectrum-purple-1100-rgb));--spectrum-purple-1200-rgb:71,12,148;--spectrum-purple-1200:rgba(var(--spectrum-purple-1200-rgb));--spectrum-purple-1300-rgb:51,16,106;--spectrum-purple-1300:rgba(var(--spectrum-purple-1300-rgb));--spectrum-purple-1400-rgb:35,15,73;--spectrum-purple-1400:rgba(var(--spectrum-purple-1400-rgb));--spectrum-fuchsia-100-rgb:255,233,252;--spectrum-fuchsia-100:rgba(var(--spectrum-fuchsia-100-rgb));--spectrum-fuchsia-200-rgb:255,218,250;--spectrum-fuchsia-200:rgba(var(--spectrum-fuchsia-200-rgb));--spectrum-fuchsia-300-rgb:254,199,248;--spectrum-fuchsia-300:rgba(var(--spectrum-fuchsia-300-rgb));--spectrum-fuchsia-400-rgb:251,174,246;--spectrum-fuchsia-400:rgba(var(--spectrum-fuchsia-400-rgb));--spectrum-fuchsia-500-rgb:245,146,243;--spectrum-fuchsia-500:rgba(var(--spectrum-fuchsia-500-rgb));--spectrum-fuchsia-600-rgb:237,116,237;--spectrum-fuchsia-600:rgba(var(--spectrum-fuchsia-600-rgb));--spectrum-fuchsia-700-rgb:224,85,226;--spectrum-fuchsia-700:rgba(var(--spectrum-fuchsia-700-rgb));--spectrum-fuchsia-800-rgb:205,58,206;--spectrum-fuchsia-800:rgba(var(--spectrum-fuchsia-800-rgb));--spectrum-fuchsia-900-rgb:182,34,183;--spectrum-fuchsia-900:rgba(var(--spectrum-fuchsia-900-rgb));--spectrum-fuchsia-1000-rgb:157,3,158;--spectrum-fuchsia-1000:rgba(var(--spectrum-fuchsia-1000-rgb));--spectrum-fuchsia-1100-rgb:128,0,129;--spectrum-fuchsia-1100:rgba(var(--spectrum-fuchsia-1100-rgb));--spectrum-fuchsia-1200-rgb:100,6,100;--spectrum-fuchsia-1200:rgba(var(--spectrum-fuchsia-1200-rgb));--spectrum-fuchsia-1300-rgb:71,14,70;--spectrum-fuchsia-1300:rgba(var(--spectrum-fuchsia-1300-rgb));--spectrum-fuchsia-1400-rgb:50,13,49;--spectrum-fuchsia-1400:rgba(var(--spectrum-fuchsia-1400-rgb));--spectrum-magenta-100-rgb:255,234,241;--spectrum-magenta-100:rgba(var(--spectrum-magenta-100-rgb));--spectrum-magenta-200-rgb:255,220,232;--spectrum-magenta-200:rgba(var(--spectrum-magenta-200-rgb));--spectrum-magenta-300-rgb:255,202,221;--spectrum-magenta-300:rgba(var(--spectrum-magenta-300-rgb));--spectrum-magenta-400-rgb:255,178,206;--spectrum-magenta-400:rgba(var(--spectrum-magenta-400-rgb));--spectrum-magenta-500-rgb:255,149,189;--spectrum-magenta-500:rgba(var(--spectrum-magenta-500-rgb));--spectrum-magenta-600-rgb:250,119,170;--spectrum-magenta-600:rgba(var(--spectrum-magenta-600-rgb));--spectrum-magenta-700-rgb:239,90,152;--spectrum-magenta-700:rgba(var(--spectrum-magenta-700-rgb));--spectrum-magenta-800-rgb:222,61,130;--spectrum-magenta-800:rgba(var(--spectrum-magenta-800-rgb));--spectrum-magenta-900-rgb:200,34,105;--spectrum-magenta-900:rgba(var(--spectrum-magenta-900-rgb));--spectrum-magenta-1000-rgb:173,9,85;--spectrum-magenta-1000:rgba(var(--spectrum-magenta-1000-rgb));--spectrum-magenta-1100-rgb:142,0,69;--spectrum-magenta-1100:rgba(var(--spectrum-magenta-1100-rgb));--spectrum-magenta-1200-rgb:112,0,55;--spectrum-magenta-1200:rgba(var(--spectrum-magenta-1200-rgb));--spectrum-magenta-1300-rgb:84,3,42;--spectrum-magenta-1300:rgba(var(--spectrum-magenta-1300-rgb));--spectrum-magenta-1400-rgb:60,6,29;--spectrum-magenta-1400:rgba(var(--spectrum-magenta-1400-rgb));--spectrum-icon-color-blue-primary-default:var(--spectrum-blue-900);--spectrum-icon-color-green-primary-default:var(--spectrum-green-900);--spectrum-icon-color-red-primary-default:var(--spectrum-red-900);--spectrum-icon-color-yellow-primary-default:var(--spectrum-yellow-400);--spectrum-menu-item-background-color-default-rgb:0,0,0;--spectrum-menu-item-background-color-default-opacity:0;--spectrum-menu-item-background-color-default:rgba(var(--spectrum-menu-item-background-color-default-rgb),var(--spectrum-menu-item-background-color-default-opacity));--spectrum-menu-item-background-color-hover:var(--spectrum-transparent-black-200);--spectrum-menu-item-background-color-down:var(--spectrum-transparent-black-200);--spectrum-menu-item-background-color-key-focus:var(--spectrum-transparent-black-200);--spectrum-drop-zone-background-color-rgb:var(--spectrum-blue-800-rgb);--spectrum-dropindicator-color:var(--spectrum-blue-800);--spectrum-calendar-day-background-color-selected:rgba(var(--spectrum-blue-900-rgb),.1);--spectrum-calendar-day-background-color-hover:rgba(var(--spectrum-black-rgb),.06);--spectrum-calendar-day-today-background-color-selected-hover:rgba(var(--spectrum-blue-900-rgb),.2);--spectrum-calendar-day-background-color-selected-hover:rgba(var(--spectrum-blue-900-rgb),.2);--spectrum-calendar-day-background-color-down:var(--spectrum-transparent-black-200);--spectrum-calendar-day-background-color-cap-selected:rgba(var(--spectrum-blue-900-rgb),.2);--spectrum-calendar-day-background-color-key-focus:rgba(var(--spectrum-black-rgb),.06);--spectrum-calendar-day-border-color-key-focus:var(--spectrum-blue-800);--spectrum-badge-label-icon-color-primary:var(--spectrum-white);--spectrum-coach-indicator-ring-default-color:var(--spectrum-blue-800);--spectrum-coach-indicator-ring-dark-color:var(--spectrum-gray-900);--spectrum-coach-indicator-ring-light-color:var(--spectrum-gray-50);--spectrum-well-border-color:var(--spectrum-black-rgb);--spectrum-steplist-current-marker-color-key-focus:var(--spectrum-blue-800);--spectrum-treeview-item-background-color-quiet-selected:rgba(var(--spectrum-gray-900-rgb),.06);--spectrum-treeview-item-background-color-selected:rgba(var(--spectrum-blue-900-rgb),.1);--spectrum-logic-button-and-background-color:var(--spectrum-blue-900);--spectrum-logic-button-and-border-color:var(--spectrum-blue-900);--spectrum-logic-button-and-background-color-hover:var(--spectrum-blue-1100);--spectrum-logic-button-and-border-color-hover:var(--spectrum-blue-1100);--spectrum-logic-button-or-background-color:var(--spectrum-magenta-900);--spectrum-logic-button-or-border-color:var(--spectrum-magenta-900);--spectrum-logic-button-or-background-color-hover:var(--spectrum-magenta-1100);--spectrum-logic-button-or-border-color-hover:var(--spectrum-magenta-1100);--spectrum-assetcard-border-color-selected:var(--spectrum-blue-900);--spectrum-assetcard-border-color-selected-hover:var(--spectrum-blue-900);--spectrum-assetcard-border-color-selected-down:var(--spectrum-blue-1000);--spectrum-assetcard-selectionindicator-background-color-ordered:var(--spectrum-blue-900);--spectrum-assestcard-focus-indicator-color:var(--spectrum-blue-800);--spectrum-assetlist-item-background-color-selected-hover:rgba(var(--spectrum-blue-900-rgb),.2);--spectrum-assetlist-item-background-color-selected:rgba(var(--spectrum-blue-900-rgb),.1);--spectrum-assetlist-border-color-key-focus:var(--spectrum-blue-800)}\n"
    ]);
    _templateObject$h = function _templateObject() {
        return data;
    };
    return data;
}
var e$6 = i$p(_templateObject$h());
var e$7 = e$6;

Theme.registerThemeFragment("lightest", "color", e$7);

function _tagged_template_literal$g(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$g() {
    var data = _tagged_template_literal$g([
        "\n    :root,:host{--spectrum-global-color-status:Verified;--spectrum-global-color-version:5.1;--spectrum-global-color-opacity-100:1;--spectrum-global-color-opacity-90:.9;--spectrum-global-color-opacity-80:.8;--spectrum-global-color-opacity-70:.7;--spectrum-global-color-opacity-60:.6;--spectrum-global-color-opacity-55:.55;--spectrum-global-color-opacity-50:.5;--spectrum-global-color-opacity-42:.42;--spectrum-global-color-opacity-40:.4;--spectrum-global-color-opacity-30:.3;--spectrum-global-color-opacity-25:.25;--spectrum-global-color-opacity-20:.2;--spectrum-global-color-opacity-15:.15;--spectrum-global-color-opacity-10:.1;--spectrum-global-color-opacity-8:.08;--spectrum-global-color-opacity-7:.07;--spectrum-global-color-opacity-6:.06;--spectrum-global-color-opacity-5:.05;--spectrum-global-color-opacity-4:.04;--spectrum-global-color-opacity-0:0;--spectrum-global-color-celery-400-rgb:34,184,51;--spectrum-global-color-celery-400:rgb(var(--spectrum-global-color-celery-400-rgb));--spectrum-global-color-celery-500-rgb:68,202,73;--spectrum-global-color-celery-500:rgb(var(--spectrum-global-color-celery-500-rgb));--spectrum-global-color-celery-600-rgb:105,220,99;--spectrum-global-color-celery-600:rgb(var(--spectrum-global-color-celery-600-rgb));--spectrum-global-color-celery-700-rgb:142,235,127;--spectrum-global-color-celery-700:rgb(var(--spectrum-global-color-celery-700-rgb));--spectrum-global-color-chartreuse-400-rgb:148,192,8;--spectrum-global-color-chartreuse-400:rgb(var(--spectrum-global-color-chartreuse-400-rgb));--spectrum-global-color-chartreuse-500-rgb:166,211,18;--spectrum-global-color-chartreuse-500:rgb(var(--spectrum-global-color-chartreuse-500-rgb));--spectrum-global-color-chartreuse-600-rgb:184,229,37;--spectrum-global-color-chartreuse-600:rgb(var(--spectrum-global-color-chartreuse-600-rgb));--spectrum-global-color-chartreuse-700-rgb:205,245,71;--spectrum-global-color-chartreuse-700:rgb(var(--spectrum-global-color-chartreuse-700-rgb));--spectrum-global-color-yellow-400-rgb:228,194,0;--spectrum-global-color-yellow-400:rgb(var(--spectrum-global-color-yellow-400-rgb));--spectrum-global-color-yellow-500-rgb:244,213,0;--spectrum-global-color-yellow-500:rgb(var(--spectrum-global-color-yellow-500-rgb));--spectrum-global-color-yellow-600-rgb:249,232,92;--spectrum-global-color-yellow-600:rgb(var(--spectrum-global-color-yellow-600-rgb));--spectrum-global-color-yellow-700-rgb:252,246,187;--spectrum-global-color-yellow-700:rgb(var(--spectrum-global-color-yellow-700-rgb));--spectrum-global-color-magenta-400-rgb:222,61,130;--spectrum-global-color-magenta-400:rgb(var(--spectrum-global-color-magenta-400-rgb));--spectrum-global-color-magenta-500-rgb:237,87,149;--spectrum-global-color-magenta-500:rgb(var(--spectrum-global-color-magenta-500-rgb));--spectrum-global-color-magenta-600-rgb:249,114,167;--spectrum-global-color-magenta-600:rgb(var(--spectrum-global-color-magenta-600-rgb));--spectrum-global-color-magenta-700-rgb:255,143,185;--spectrum-global-color-magenta-700:rgb(var(--spectrum-global-color-magenta-700-rgb));--spectrum-global-color-fuchsia-400-rgb:205,57,206;--spectrum-global-color-fuchsia-400:rgb(var(--spectrum-global-color-fuchsia-400-rgb));--spectrum-global-color-fuchsia-500-rgb:223,81,224;--spectrum-global-color-fuchsia-500:rgb(var(--spectrum-global-color-fuchsia-500-rgb));--spectrum-global-color-fuchsia-600-rgb:235,110,236;--spectrum-global-color-fuchsia-600:rgb(var(--spectrum-global-color-fuchsia-600-rgb));--spectrum-global-color-fuchsia-700-rgb:244,140,242;--spectrum-global-color-fuchsia-700:rgb(var(--spectrum-global-color-fuchsia-700-rgb));--spectrum-global-color-purple-400-rgb:157,87,243;--spectrum-global-color-purple-400:rgb(var(--spectrum-global-color-purple-400-rgb));--spectrum-global-color-purple-500-rgb:172,111,249;--spectrum-global-color-purple-500:rgb(var(--spectrum-global-color-purple-500-rgb));--spectrum-global-color-purple-600-rgb:187,135,251;--spectrum-global-color-purple-600:rgb(var(--spectrum-global-color-purple-600-rgb));--spectrum-global-color-purple-700-rgb:202,159,252;--spectrum-global-color-purple-700:rgb(var(--spectrum-global-color-purple-700-rgb));--spectrum-global-color-indigo-400-rgb:104,109,244;--spectrum-global-color-indigo-400:rgb(var(--spectrum-global-color-indigo-400-rgb));--spectrum-global-color-indigo-500-rgb:124,129,251;--spectrum-global-color-indigo-500:rgb(var(--spectrum-global-color-indigo-500-rgb));--spectrum-global-color-indigo-600-rgb:145,149,255;--spectrum-global-color-indigo-600:rgb(var(--spectrum-global-color-indigo-600-rgb));--spectrum-global-color-indigo-700-rgb:167,170,255;--spectrum-global-color-indigo-700:rgb(var(--spectrum-global-color-indigo-700-rgb));--spectrum-global-color-seafoam-400-rgb:0,158,152;--spectrum-global-color-seafoam-400:rgb(var(--spectrum-global-color-seafoam-400-rgb));--spectrum-global-color-seafoam-500-rgb:3,178,171;--spectrum-global-color-seafoam-500:rgb(var(--spectrum-global-color-seafoam-500-rgb));--spectrum-global-color-seafoam-600-rgb:54,197,189;--spectrum-global-color-seafoam-600:rgb(var(--spectrum-global-color-seafoam-600-rgb));--spectrum-global-color-seafoam-700-rgb:93,214,207;--spectrum-global-color-seafoam-700:rgb(var(--spectrum-global-color-seafoam-700-rgb));--spectrum-global-color-red-400-rgb:234,56,41;--spectrum-global-color-red-400:rgb(var(--spectrum-global-color-red-400-rgb));--spectrum-global-color-red-500-rgb:246,88,67;--spectrum-global-color-red-500:rgb(var(--spectrum-global-color-red-500-rgb));--spectrum-global-color-red-600-rgb:255,117,94;--spectrum-global-color-red-600:rgb(var(--spectrum-global-color-red-600-rgb));--spectrum-global-color-red-700-rgb:255,149,129;--spectrum-global-color-red-700:rgb(var(--spectrum-global-color-red-700-rgb));--spectrum-global-color-orange-400-rgb:244,129,12;--spectrum-global-color-orange-400:rgb(var(--spectrum-global-color-orange-400-rgb));--spectrum-global-color-orange-500-rgb:254,154,46;--spectrum-global-color-orange-500:rgb(var(--spectrum-global-color-orange-500-rgb));--spectrum-global-color-orange-600-rgb:255,181,88;--spectrum-global-color-orange-600:rgb(var(--spectrum-global-color-orange-600-rgb));--spectrum-global-color-orange-700-rgb:253,206,136;--spectrum-global-color-orange-700:rgb(var(--spectrum-global-color-orange-700-rgb));--spectrum-global-color-green-400-rgb:18,162,108;--spectrum-global-color-green-400:rgb(var(--spectrum-global-color-green-400-rgb));--spectrum-global-color-green-500-rgb:43,180,125;--spectrum-global-color-green-500:rgb(var(--spectrum-global-color-green-500-rgb));--spectrum-global-color-green-600-rgb:67,199,143;--spectrum-global-color-green-600:rgb(var(--spectrum-global-color-green-600-rgb));--spectrum-global-color-green-700-rgb:94,217,162;--spectrum-global-color-green-700:rgb(var(--spectrum-global-color-green-700-rgb));--spectrum-global-color-blue-400-rgb:52,143,244;--spectrum-global-color-blue-400:rgb(var(--spectrum-global-color-blue-400-rgb));--spectrum-global-color-blue-500-rgb:84,163,246;--spectrum-global-color-blue-500:rgb(var(--spectrum-global-color-blue-500-rgb));--spectrum-global-color-blue-600-rgb:114,183,249;--spectrum-global-color-blue-600:rgb(var(--spectrum-global-color-blue-600-rgb));--spectrum-global-color-blue-700-rgb:143,202,252;--spectrum-global-color-blue-700:rgb(var(--spectrum-global-color-blue-700-rgb));--spectrum-global-color-gray-50-rgb:29,29,29;--spectrum-global-color-gray-50:rgb(var(--spectrum-global-color-gray-50-rgb));--spectrum-global-color-gray-75-rgb:38,38,38;--spectrum-global-color-gray-75:rgb(var(--spectrum-global-color-gray-75-rgb));--spectrum-global-color-gray-100-rgb:50,50,50;--spectrum-global-color-gray-100:rgb(var(--spectrum-global-color-gray-100-rgb));--spectrum-global-color-gray-200-rgb:63,63,63;--spectrum-global-color-gray-200:rgb(var(--spectrum-global-color-gray-200-rgb));--spectrum-global-color-gray-300-rgb:84,84,84;--spectrum-global-color-gray-300:rgb(var(--spectrum-global-color-gray-300-rgb));--spectrum-global-color-gray-400-rgb:112,112,112;--spectrum-global-color-gray-400:rgb(var(--spectrum-global-color-gray-400-rgb));--spectrum-global-color-gray-500-rgb:144,144,144;--spectrum-global-color-gray-500:rgb(var(--spectrum-global-color-gray-500-rgb));--spectrum-global-color-gray-600-rgb:178,178,178;--spectrum-global-color-gray-600:rgb(var(--spectrum-global-color-gray-600-rgb));--spectrum-global-color-gray-700-rgb:209,209,209;--spectrum-global-color-gray-700:rgb(var(--spectrum-global-color-gray-700-rgb));--spectrum-global-color-gray-800-rgb:235,235,235;--spectrum-global-color-gray-800:rgb(var(--spectrum-global-color-gray-800-rgb));--spectrum-global-color-gray-900-rgb:255,255,255;--spectrum-global-color-gray-900:rgb(var(--spectrum-global-color-gray-900-rgb));--spectrum-alias-background-color-primary:var(--spectrum-global-color-gray-100);--spectrum-alias-background-color-secondary:var(--spectrum-global-color-gray-75);--spectrum-alias-background-color-tertiary:var(--spectrum-global-color-gray-50);--spectrum-alias-background-color-modal-overlay:#00000080;--spectrum-alias-dropshadow-color:#00000080;--spectrum-alias-background-color-hover-overlay:#ffffff0f;--spectrum-alias-highlight-hover:#ffffff12;--spectrum-alias-highlight-down:#ffffff1a;--spectrum-alias-highlight-selected:#54a3f626;--spectrum-alias-highlight-selected-hover:#54a3f640;--spectrum-alias-text-highlight-color:#54a3f640;--spectrum-alias-background-color-quickactions:#323232e6;--spectrum-alias-border-color-selected:var(--spectrum-global-color-blue-600);--spectrum-alias-border-color-translucent:#ffffff1a;--spectrum-alias-radial-reaction-color-default:#ebebeb99;--spectrum-alias-pasteboard-background-color:var(--spectrum-global-color-gray-50);--spectrum-alias-appframe-border-color:var(--spectrum-global-color-gray-50);--spectrum-alias-appframe-separator-color:var(--spectrum-global-color-gray-50)}:host,:root{color-scheme:dark;--spectrum-overlay-opacity:.5;--spectrum-drop-shadow-color-rgb:0,0,0;--spectrum-drop-shadow-color-opacity:.5;--spectrum-drop-shadow-color:rgba(var(--spectrum-drop-shadow-color-rgb),var(--spectrum-drop-shadow-color-opacity));--spectrum-background-base-color:var(--spectrum-gray-50);--spectrum-background-layer-1-color:var(--spectrum-gray-75);--spectrum-background-layer-2-color:var(--spectrum-gray-100);--spectrum-neutral-background-color-default:var(--spectrum-gray-400);--spectrum-neutral-background-color-hover:var(--spectrum-gray-300);--spectrum-neutral-background-color-down:var(--spectrum-gray-200);--spectrum-neutral-background-color-key-focus:var(--spectrum-gray-300);--spectrum-neutral-subdued-background-color-default:var(--spectrum-gray-400);--spectrum-neutral-subdued-background-color-hover:var(--spectrum-gray-300);--spectrum-neutral-subdued-background-color-down:var(--spectrum-gray-200);--spectrum-neutral-subdued-background-color-key-focus:var(--spectrum-gray-300);--spectrum-accent-background-color-default:var(--spectrum-accent-color-500);--spectrum-accent-background-color-hover:var(--spectrum-accent-color-400);--spectrum-accent-background-color-down:var(--spectrum-accent-color-300);--spectrum-accent-background-color-key-focus:var(--spectrum-accent-color-400);--spectrum-informative-background-color-default:var(--spectrum-informative-color-500);--spectrum-informative-background-color-hover:var(--spectrum-informative-color-400);--spectrum-informative-background-color-down:var(--spectrum-informative-color-300);--spectrum-informative-background-color-key-focus:var(--spectrum-informative-color-400);--spectrum-negative-background-color-default:var(--spectrum-negative-color-500);--spectrum-negative-background-color-hover:var(--spectrum-negative-color-400);--spectrum-negative-background-color-down:var(--spectrum-negative-color-300);--spectrum-negative-background-color-key-focus:var(--spectrum-negative-color-400);--spectrum-positive-background-color-default:var(--spectrum-positive-color-500);--spectrum-positive-background-color-hover:var(--spectrum-positive-color-400);--spectrum-positive-background-color-down:var(--spectrum-positive-color-300);--spectrum-positive-background-color-key-focus:var(--spectrum-positive-color-400);--spectrum-notice-background-color-default:var(--spectrum-notice-color-800);--spectrum-gray-background-color-default:var(--spectrum-gray-700);--spectrum-red-background-color-default:var(--spectrum-red-700);--spectrum-orange-background-color-default:var(--spectrum-orange-800);--spectrum-yellow-background-color-default:var(--spectrum-yellow-1000);--spectrum-chartreuse-background-color-default:var(--spectrum-chartreuse-900);--spectrum-celery-background-color-default:var(--spectrum-celery-800);--spectrum-green-background-color-default:var(--spectrum-green-700);--spectrum-seafoam-background-color-default:var(--spectrum-seafoam-700);--spectrum-cyan-background-color-default:var(--spectrum-cyan-700);--spectrum-blue-background-color-default:var(--spectrum-blue-700);--spectrum-indigo-background-color-default:var(--spectrum-indigo-700);--spectrum-purple-background-color-default:var(--spectrum-purple-700);--spectrum-fuchsia-background-color-default:var(--spectrum-fuchsia-700);--spectrum-magenta-background-color-default:var(--spectrum-magenta-700);--spectrum-neutral-visual-color:var(--spectrum-gray-600);--spectrum-accent-visual-color:var(--spectrum-accent-color-900);--spectrum-informative-visual-color:var(--spectrum-informative-color-900);--spectrum-negative-visual-color:var(--spectrum-negative-color-700);--spectrum-notice-visual-color:var(--spectrum-notice-color-900);--spectrum-positive-visual-color:var(--spectrum-positive-color-800);--spectrum-gray-visual-color:var(--spectrum-gray-600);--spectrum-red-visual-color:var(--spectrum-red-700);--spectrum-orange-visual-color:var(--spectrum-orange-900);--spectrum-yellow-visual-color:var(--spectrum-yellow-1100);--spectrum-chartreuse-visual-color:var(--spectrum-chartreuse-900);--spectrum-celery-visual-color:var(--spectrum-celery-800);--spectrum-green-visual-color:var(--spectrum-green-800);--spectrum-seafoam-visual-color:var(--spectrum-seafoam-800);--spectrum-cyan-visual-color:var(--spectrum-cyan-900);--spectrum-blue-visual-color:var(--spectrum-blue-900);--spectrum-indigo-visual-color:var(--spectrum-indigo-900);--spectrum-purple-visual-color:var(--spectrum-purple-900);--spectrum-fuchsia-visual-color:var(--spectrum-fuchsia-900);--spectrum-magenta-visual-color:var(--spectrum-magenta-900);--spectrum-opacity-checkerboard-square-dark:var(--spectrum-gray-800);--spectrum-gray-50-rgb:29,29,29;--spectrum-gray-50:rgba(var(--spectrum-gray-50-rgb));--spectrum-gray-75-rgb:38,38,38;--spectrum-gray-75:rgba(var(--spectrum-gray-75-rgb));--spectrum-gray-100-rgb:50,50,50;--spectrum-gray-100:rgba(var(--spectrum-gray-100-rgb));--spectrum-gray-200-rgb:63,63,63;--spectrum-gray-200:rgba(var(--spectrum-gray-200-rgb));--spectrum-gray-300-rgb:84,84,84;--spectrum-gray-300:rgba(var(--spectrum-gray-300-rgb));--spectrum-gray-400-rgb:112,112,112;--spectrum-gray-400:rgba(var(--spectrum-gray-400-rgb));--spectrum-gray-500-rgb:144,144,144;--spectrum-gray-500:rgba(var(--spectrum-gray-500-rgb));--spectrum-gray-600-rgb:178,178,178;--spectrum-gray-600:rgba(var(--spectrum-gray-600-rgb));--spectrum-gray-700-rgb:209,209,209;--spectrum-gray-700:rgba(var(--spectrum-gray-700-rgb));--spectrum-gray-800-rgb:235,235,235;--spectrum-gray-800:rgba(var(--spectrum-gray-800-rgb));--spectrum-gray-900-rgb:255,255,255;--spectrum-gray-900:rgba(var(--spectrum-gray-900-rgb));--spectrum-blue-100-rgb:0,56,119;--spectrum-blue-100:rgba(var(--spectrum-blue-100-rgb));--spectrum-blue-200-rgb:0,65,138;--spectrum-blue-200:rgba(var(--spectrum-blue-200-rgb));--spectrum-blue-300-rgb:0,77,163;--spectrum-blue-300:rgba(var(--spectrum-blue-300-rgb));--spectrum-blue-400-rgb:0,89,194;--spectrum-blue-400:rgba(var(--spectrum-blue-400-rgb));--spectrum-blue-500-rgb:3,103,224;--spectrum-blue-500:rgba(var(--spectrum-blue-500-rgb));--spectrum-blue-600-rgb:19,121,243;--spectrum-blue-600:rgba(var(--spectrum-blue-600-rgb));--spectrum-blue-700-rgb:52,143,244;--spectrum-blue-700:rgba(var(--spectrum-blue-700-rgb));--spectrum-blue-800-rgb:84,163,246;--spectrum-blue-800:rgba(var(--spectrum-blue-800-rgb));--spectrum-blue-900-rgb:114,183,249;--spectrum-blue-900:rgba(var(--spectrum-blue-900-rgb));--spectrum-blue-1000-rgb:143,202,252;--spectrum-blue-1000:rgba(var(--spectrum-blue-1000-rgb));--spectrum-blue-1100-rgb:174,219,254;--spectrum-blue-1100:rgba(var(--spectrum-blue-1100-rgb));--spectrum-blue-1200-rgb:204,233,255;--spectrum-blue-1200:rgba(var(--spectrum-blue-1200-rgb));--spectrum-blue-1300-rgb:232,246,255;--spectrum-blue-1300:rgba(var(--spectrum-blue-1300-rgb));--spectrum-blue-1400-rgb:255,255,255;--spectrum-blue-1400:rgba(var(--spectrum-blue-1400-rgb));--spectrum-red-100-rgb:123,0,0;--spectrum-red-100:rgba(var(--spectrum-red-100-rgb));--spectrum-red-200-rgb:141,0,0;--spectrum-red-200:rgba(var(--spectrum-red-200-rgb));--spectrum-red-300-rgb:165,0,0;--spectrum-red-300:rgba(var(--spectrum-red-300-rgb));--spectrum-red-400-rgb:190,4,3;--spectrum-red-400:rgba(var(--spectrum-red-400-rgb));--spectrum-red-500-rgb:215,25,19;--spectrum-red-500:rgba(var(--spectrum-red-500-rgb));--spectrum-red-600-rgb:234,56,41;--spectrum-red-600:rgba(var(--spectrum-red-600-rgb));--spectrum-red-700-rgb:246,88,67;--spectrum-red-700:rgba(var(--spectrum-red-700-rgb));--spectrum-red-800-rgb:255,117,94;--spectrum-red-800:rgba(var(--spectrum-red-800-rgb));--spectrum-red-900-rgb:255,149,129;--spectrum-red-900:rgba(var(--spectrum-red-900-rgb));--spectrum-red-1000-rgb:255,176,161;--spectrum-red-1000:rgba(var(--spectrum-red-1000-rgb));--spectrum-red-1100-rgb:255,201,189;--spectrum-red-1100:rgba(var(--spectrum-red-1100-rgb));--spectrum-red-1200-rgb:255,222,216;--spectrum-red-1200:rgba(var(--spectrum-red-1200-rgb));--spectrum-red-1300-rgb:255,241,238;--spectrum-red-1300:rgba(var(--spectrum-red-1300-rgb));--spectrum-red-1400-rgb:255,255,255;--spectrum-red-1400:rgba(var(--spectrum-red-1400-rgb));--spectrum-orange-100-rgb:102,37,0;--spectrum-orange-100:rgba(var(--spectrum-orange-100-rgb));--spectrum-orange-200-rgb:117,45,0;--spectrum-orange-200:rgba(var(--spectrum-orange-200-rgb));--spectrum-orange-300-rgb:137,55,0;--spectrum-orange-300:rgba(var(--spectrum-orange-300-rgb));--spectrum-orange-400-rgb:158,66,0;--spectrum-orange-400:rgba(var(--spectrum-orange-400-rgb));--spectrum-orange-500-rgb:180,78,0;--spectrum-orange-500:rgba(var(--spectrum-orange-500-rgb));--spectrum-orange-600-rgb:202,93,0;--spectrum-orange-600:rgba(var(--spectrum-orange-600-rgb));--spectrum-orange-700-rgb:225,109,0;--spectrum-orange-700:rgba(var(--spectrum-orange-700-rgb));--spectrum-orange-800-rgb:244,129,12;--spectrum-orange-800:rgba(var(--spectrum-orange-800-rgb));--spectrum-orange-900-rgb:254,154,46;--spectrum-orange-900:rgba(var(--spectrum-orange-900-rgb));--spectrum-orange-1000-rgb:255,181,88;--spectrum-orange-1000:rgba(var(--spectrum-orange-1000-rgb));--spectrum-orange-1100-rgb:253,206,136;--spectrum-orange-1100:rgba(var(--spectrum-orange-1100-rgb));--spectrum-orange-1200-rgb:255,225,179;--spectrum-orange-1200:rgba(var(--spectrum-orange-1200-rgb));--spectrum-orange-1300-rgb:255,242,221;--spectrum-orange-1300:rgba(var(--spectrum-orange-1300-rgb));--spectrum-orange-1400-rgb:255,253,249;--spectrum-orange-1400:rgba(var(--spectrum-orange-1400-rgb));--spectrum-yellow-100-rgb:76,54,0;--spectrum-yellow-100:rgba(var(--spectrum-yellow-100-rgb));--spectrum-yellow-200-rgb:88,64,0;--spectrum-yellow-200:rgba(var(--spectrum-yellow-200-rgb));--spectrum-yellow-300-rgb:103,76,0;--spectrum-yellow-300:rgba(var(--spectrum-yellow-300-rgb));--spectrum-yellow-400-rgb:119,89,0;--spectrum-yellow-400:rgba(var(--spectrum-yellow-400-rgb));--spectrum-yellow-500-rgb:136,104,0;--spectrum-yellow-500:rgba(var(--spectrum-yellow-500-rgb));--spectrum-yellow-600-rgb:155,120,0;--spectrum-yellow-600:rgba(var(--spectrum-yellow-600-rgb));--spectrum-yellow-700-rgb:174,137,0;--spectrum-yellow-700:rgba(var(--spectrum-yellow-700-rgb));--spectrum-yellow-800-rgb:192,156,0;--spectrum-yellow-800:rgba(var(--spectrum-yellow-800-rgb));--spectrum-yellow-900-rgb:211,174,0;--spectrum-yellow-900:rgba(var(--spectrum-yellow-900-rgb));--spectrum-yellow-1000-rgb:228,194,0;--spectrum-yellow-1000:rgba(var(--spectrum-yellow-1000-rgb));--spectrum-yellow-1100-rgb:244,213,0;--spectrum-yellow-1100:rgba(var(--spectrum-yellow-1100-rgb));--spectrum-yellow-1200-rgb:249,232,92;--spectrum-yellow-1200:rgba(var(--spectrum-yellow-1200-rgb));--spectrum-yellow-1300-rgb:252,246,187;--spectrum-yellow-1300:rgba(var(--spectrum-yellow-1300-rgb));--spectrum-yellow-1400-rgb:255,255,255;--spectrum-yellow-1400:rgba(var(--spectrum-yellow-1400-rgb));--spectrum-chartreuse-100-rgb:48,64,0;--spectrum-chartreuse-100:rgba(var(--spectrum-chartreuse-100-rgb));--spectrum-chartreuse-200-rgb:55,74,0;--spectrum-chartreuse-200:rgba(var(--spectrum-chartreuse-200-rgb));--spectrum-chartreuse-300-rgb:65,87,0;--spectrum-chartreuse-300:rgba(var(--spectrum-chartreuse-300-rgb));--spectrum-chartreuse-400-rgb:76,102,0;--spectrum-chartreuse-400:rgba(var(--spectrum-chartreuse-400-rgb));--spectrum-chartreuse-500-rgb:89,118,0;--spectrum-chartreuse-500:rgba(var(--spectrum-chartreuse-500-rgb));--spectrum-chartreuse-600-rgb:102,136,0;--spectrum-chartreuse-600:rgba(var(--spectrum-chartreuse-600-rgb));--spectrum-chartreuse-700-rgb:117,154,0;--spectrum-chartreuse-700:rgba(var(--spectrum-chartreuse-700-rgb));--spectrum-chartreuse-800-rgb:132,173,1;--spectrum-chartreuse-800:rgba(var(--spectrum-chartreuse-800-rgb));--spectrum-chartreuse-900-rgb:148,192,8;--spectrum-chartreuse-900:rgba(var(--spectrum-chartreuse-900-rgb));--spectrum-chartreuse-1000-rgb:166,211,18;--spectrum-chartreuse-1000:rgba(var(--spectrum-chartreuse-1000-rgb));--spectrum-chartreuse-1100-rgb:184,229,37;--spectrum-chartreuse-1100:rgba(var(--spectrum-chartreuse-1100-rgb));--spectrum-chartreuse-1200-rgb:205,245,71;--spectrum-chartreuse-1200:rgba(var(--spectrum-chartreuse-1200-rgb));--spectrum-chartreuse-1300-rgb:231,254,154;--spectrum-chartreuse-1300:rgba(var(--spectrum-chartreuse-1300-rgb));--spectrum-chartreuse-1400-rgb:255,255,255;--spectrum-chartreuse-1400:rgba(var(--spectrum-chartreuse-1400-rgb));--spectrum-celery-100-rgb:0,69,10;--spectrum-celery-100:rgba(var(--spectrum-celery-100-rgb));--spectrum-celery-200-rgb:0,80,12;--spectrum-celery-200:rgba(var(--spectrum-celery-200-rgb));--spectrum-celery-300-rgb:0,94,14;--spectrum-celery-300:rgba(var(--spectrum-celery-300-rgb));--spectrum-celery-400-rgb:0,109,15;--spectrum-celery-400:rgba(var(--spectrum-celery-400-rgb));--spectrum-celery-500-rgb:0,127,15;--spectrum-celery-500:rgba(var(--spectrum-celery-500-rgb));--spectrum-celery-600-rgb:0,145,18;--spectrum-celery-600:rgba(var(--spectrum-celery-600-rgb));--spectrum-celery-700-rgb:4,165,30;--spectrum-celery-700:rgba(var(--spectrum-celery-700-rgb));--spectrum-celery-800-rgb:34,184,51;--spectrum-celery-800:rgba(var(--spectrum-celery-800-rgb));--spectrum-celery-900-rgb:68,202,73;--spectrum-celery-900:rgba(var(--spectrum-celery-900-rgb));--spectrum-celery-1000-rgb:105,220,99;--spectrum-celery-1000:rgba(var(--spectrum-celery-1000-rgb));--spectrum-celery-1100-rgb:142,235,127;--spectrum-celery-1100:rgba(var(--spectrum-celery-1100-rgb));--spectrum-celery-1200-rgb:180,247,162;--spectrum-celery-1200:rgba(var(--spectrum-celery-1200-rgb));--spectrum-celery-1300-rgb:221,253,211;--spectrum-celery-1300:rgba(var(--spectrum-celery-1300-rgb));--spectrum-celery-1400-rgb:255,255,255;--spectrum-celery-1400:rgba(var(--spectrum-celery-1400-rgb));--spectrum-green-100-rgb:4,67,41;--spectrum-green-100:rgba(var(--spectrum-green-100-rgb));--spectrum-green-200-rgb:0,78,47;--spectrum-green-200:rgba(var(--spectrum-green-200-rgb));--spectrum-green-300-rgb:0,92,56;--spectrum-green-300:rgba(var(--spectrum-green-300-rgb));--spectrum-green-400-rgb:0,108,67;--spectrum-green-400:rgba(var(--spectrum-green-400-rgb));--spectrum-green-500-rgb:0,125,78;--spectrum-green-500:rgba(var(--spectrum-green-500-rgb));--spectrum-green-600-rgb:0,143,93;--spectrum-green-600:rgba(var(--spectrum-green-600-rgb));--spectrum-green-700-rgb:18,162,108;--spectrum-green-700:rgba(var(--spectrum-green-700-rgb));--spectrum-green-800-rgb:43,180,125;--spectrum-green-800:rgba(var(--spectrum-green-800-rgb));--spectrum-green-900-rgb:67,199,143;--spectrum-green-900:rgba(var(--spectrum-green-900-rgb));--spectrum-green-1000-rgb:94,217,162;--spectrum-green-1000:rgba(var(--spectrum-green-1000-rgb));--spectrum-green-1100-rgb:129,233,184;--spectrum-green-1100:rgba(var(--spectrum-green-1100-rgb));--spectrum-green-1200-rgb:177,244,209;--spectrum-green-1200:rgba(var(--spectrum-green-1200-rgb));--spectrum-green-1300-rgb:223,250,234;--spectrum-green-1300:rgba(var(--spectrum-green-1300-rgb));--spectrum-green-1400-rgb:254,255,252;--spectrum-green-1400:rgba(var(--spectrum-green-1400-rgb));--spectrum-seafoam-100-rgb:18,65,63;--spectrum-seafoam-100:rgba(var(--spectrum-seafoam-100-rgb));--spectrum-seafoam-200-rgb:14,76,73;--spectrum-seafoam-200:rgba(var(--spectrum-seafoam-200-rgb));--spectrum-seafoam-300-rgb:4,90,87;--spectrum-seafoam-300:rgba(var(--spectrum-seafoam-300-rgb));--spectrum-seafoam-400-rgb:0,105,101;--spectrum-seafoam-400:rgba(var(--spectrum-seafoam-400-rgb));--spectrum-seafoam-500-rgb:0,122,117;--spectrum-seafoam-500:rgba(var(--spectrum-seafoam-500-rgb));--spectrum-seafoam-600-rgb:0,140,135;--spectrum-seafoam-600:rgba(var(--spectrum-seafoam-600-rgb));--spectrum-seafoam-700-rgb:0,158,152;--spectrum-seafoam-700:rgba(var(--spectrum-seafoam-700-rgb));--spectrum-seafoam-800-rgb:3,178,171;--spectrum-seafoam-800:rgba(var(--spectrum-seafoam-800-rgb));--spectrum-seafoam-900-rgb:54,197,189;--spectrum-seafoam-900:rgba(var(--spectrum-seafoam-900-rgb));--spectrum-seafoam-1000-rgb:93,214,207;--spectrum-seafoam-1000:rgba(var(--spectrum-seafoam-1000-rgb));--spectrum-seafoam-1100-rgb:132,230,223;--spectrum-seafoam-1100:rgba(var(--spectrum-seafoam-1100-rgb));--spectrum-seafoam-1200-rgb:176,242,236;--spectrum-seafoam-1200:rgba(var(--spectrum-seafoam-1200-rgb));--spectrum-seafoam-1300-rgb:223,249,246;--spectrum-seafoam-1300:rgba(var(--spectrum-seafoam-1300-rgb));--spectrum-seafoam-1400-rgb:254,255,254;--spectrum-seafoam-1400:rgba(var(--spectrum-seafoam-1400-rgb));--spectrum-cyan-100-rgb:0,61,98;--spectrum-cyan-100:rgba(var(--spectrum-cyan-100-rgb));--spectrum-cyan-200-rgb:0,71,111;--spectrum-cyan-200:rgba(var(--spectrum-cyan-200-rgb));--spectrum-cyan-300-rgb:0,85,127;--spectrum-cyan-300:rgba(var(--spectrum-cyan-300-rgb));--spectrum-cyan-400-rgb:0,100,145;--spectrum-cyan-400:rgba(var(--spectrum-cyan-400-rgb));--spectrum-cyan-500-rgb:0,116,162;--spectrum-cyan-500:rgba(var(--spectrum-cyan-500-rgb));--spectrum-cyan-600-rgb:0,134,180;--spectrum-cyan-600:rgba(var(--spectrum-cyan-600-rgb));--spectrum-cyan-700-rgb:0,153,198;--spectrum-cyan-700:rgba(var(--spectrum-cyan-700-rgb));--spectrum-cyan-800-rgb:14,173,215;--spectrum-cyan-800:rgba(var(--spectrum-cyan-800-rgb));--spectrum-cyan-900-rgb:44,193,230;--spectrum-cyan-900:rgba(var(--spectrum-cyan-900-rgb));--spectrum-cyan-1000-rgb:84,211,241;--spectrum-cyan-1000:rgba(var(--spectrum-cyan-1000-rgb));--spectrum-cyan-1100-rgb:127,228,249;--spectrum-cyan-1100:rgba(var(--spectrum-cyan-1100-rgb));--spectrum-cyan-1200-rgb:167,241,255;--spectrum-cyan-1200:rgba(var(--spectrum-cyan-1200-rgb));--spectrum-cyan-1300-rgb:215,250,255;--spectrum-cyan-1300:rgba(var(--spectrum-cyan-1300-rgb));--spectrum-cyan-1400-rgb:255,255,255;--spectrum-cyan-1400:rgba(var(--spectrum-cyan-1400-rgb));--spectrum-indigo-100-rgb:40,44,140;--spectrum-indigo-100:rgba(var(--spectrum-indigo-100-rgb));--spectrum-indigo-200-rgb:47,52,163;--spectrum-indigo-200:rgba(var(--spectrum-indigo-200-rgb));--spectrum-indigo-300-rgb:57,63,187;--spectrum-indigo-300:rgba(var(--spectrum-indigo-300-rgb));--spectrum-indigo-400-rgb:70,75,211;--spectrum-indigo-400:rgba(var(--spectrum-indigo-400-rgb));--spectrum-indigo-500-rgb:85,91,231;--spectrum-indigo-500:rgba(var(--spectrum-indigo-500-rgb));--spectrum-indigo-600-rgb:104,109,244;--spectrum-indigo-600:rgba(var(--spectrum-indigo-600-rgb));--spectrum-indigo-700-rgb:124,129,251;--spectrum-indigo-700:rgba(var(--spectrum-indigo-700-rgb));--spectrum-indigo-800-rgb:145,149,255;--spectrum-indigo-800:rgba(var(--spectrum-indigo-800-rgb));--spectrum-indigo-900-rgb:167,170,255;--spectrum-indigo-900:rgba(var(--spectrum-indigo-900-rgb));--spectrum-indigo-1000-rgb:188,190,255;--spectrum-indigo-1000:rgba(var(--spectrum-indigo-1000-rgb));--spectrum-indigo-1100-rgb:208,210,255;--spectrum-indigo-1100:rgba(var(--spectrum-indigo-1100-rgb));--spectrum-indigo-1200-rgb:226,228,255;--spectrum-indigo-1200:rgba(var(--spectrum-indigo-1200-rgb));--spectrum-indigo-1300-rgb:243,243,254;--spectrum-indigo-1300:rgba(var(--spectrum-indigo-1300-rgb));--spectrum-indigo-1400-rgb:255,255,255;--spectrum-indigo-1400:rgba(var(--spectrum-indigo-1400-rgb));--spectrum-purple-100-rgb:76,13,157;--spectrum-purple-100:rgba(var(--spectrum-purple-100-rgb));--spectrum-purple-200-rgb:89,17,177;--spectrum-purple-200:rgba(var(--spectrum-purple-200-rgb));--spectrum-purple-300-rgb:105,28,200;--spectrum-purple-300:rgba(var(--spectrum-purple-300-rgb));--spectrum-purple-400-rgb:122,45,218;--spectrum-purple-400:rgba(var(--spectrum-purple-400-rgb));--spectrum-purple-500-rgb:140,65,233;--spectrum-purple-500:rgba(var(--spectrum-purple-500-rgb));--spectrum-purple-600-rgb:157,87,243;--spectrum-purple-600:rgba(var(--spectrum-purple-600-rgb));--spectrum-purple-700-rgb:172,111,249;--spectrum-purple-700:rgba(var(--spectrum-purple-700-rgb));--spectrum-purple-800-rgb:187,135,251;--spectrum-purple-800:rgba(var(--spectrum-purple-800-rgb));--spectrum-purple-900-rgb:202,159,252;--spectrum-purple-900:rgba(var(--spectrum-purple-900-rgb));--spectrum-purple-1000-rgb:215,182,254;--spectrum-purple-1000:rgba(var(--spectrum-purple-1000-rgb));--spectrum-purple-1100-rgb:228,204,254;--spectrum-purple-1100:rgba(var(--spectrum-purple-1100-rgb));--spectrum-purple-1200-rgb:239,223,255;--spectrum-purple-1200:rgba(var(--spectrum-purple-1200-rgb));--spectrum-purple-1300-rgb:249,240,255;--spectrum-purple-1300:rgba(var(--spectrum-purple-1300-rgb));--spectrum-purple-1400-rgb:255,253,255;--spectrum-purple-1400:rgba(var(--spectrum-purple-1400-rgb));--spectrum-fuchsia-100-rgb:107,3,106;--spectrum-fuchsia-100:rgba(var(--spectrum-fuchsia-100-rgb));--spectrum-fuchsia-200-rgb:123,0,123;--spectrum-fuchsia-200:rgba(var(--spectrum-fuchsia-200-rgb));--spectrum-fuchsia-300-rgb:144,0,145;--spectrum-fuchsia-300:rgba(var(--spectrum-fuchsia-300-rgb));--spectrum-fuchsia-400-rgb:165,13,166;--spectrum-fuchsia-400:rgba(var(--spectrum-fuchsia-400-rgb));--spectrum-fuchsia-500-rgb:185,37,185;--spectrum-fuchsia-500:rgba(var(--spectrum-fuchsia-500-rgb));--spectrum-fuchsia-600-rgb:205,57,206;--spectrum-fuchsia-600:rgba(var(--spectrum-fuchsia-600-rgb));--spectrum-fuchsia-700-rgb:223,81,224;--spectrum-fuchsia-700:rgba(var(--spectrum-fuchsia-700-rgb));--spectrum-fuchsia-800-rgb:235,110,236;--spectrum-fuchsia-800:rgba(var(--spectrum-fuchsia-800-rgb));--spectrum-fuchsia-900-rgb:244,140,242;--spectrum-fuchsia-900:rgba(var(--spectrum-fuchsia-900-rgb));--spectrum-fuchsia-1000-rgb:250,168,245;--spectrum-fuchsia-1000:rgba(var(--spectrum-fuchsia-1000-rgb));--spectrum-fuchsia-1100-rgb:254,194,248;--spectrum-fuchsia-1100:rgba(var(--spectrum-fuchsia-1100-rgb));--spectrum-fuchsia-1200-rgb:255,219,250;--spectrum-fuchsia-1200:rgba(var(--spectrum-fuchsia-1200-rgb));--spectrum-fuchsia-1300-rgb:255,239,252;--spectrum-fuchsia-1300:rgba(var(--spectrum-fuchsia-1300-rgb));--spectrum-fuchsia-1400-rgb:255,253,255;--spectrum-fuchsia-1400:rgba(var(--spectrum-fuchsia-1400-rgb));--spectrum-magenta-100-rgb:118,0,58;--spectrum-magenta-100:rgba(var(--spectrum-magenta-100-rgb));--spectrum-magenta-200-rgb:137,0,66;--spectrum-magenta-200:rgba(var(--spectrum-magenta-200-rgb));--spectrum-magenta-300-rgb:160,0,77;--spectrum-magenta-300:rgba(var(--spectrum-magenta-300-rgb));--spectrum-magenta-400-rgb:182,18,90;--spectrum-magenta-400:rgba(var(--spectrum-magenta-400-rgb));--spectrum-magenta-500-rgb:203,38,109;--spectrum-magenta-500:rgba(var(--spectrum-magenta-500-rgb));--spectrum-magenta-600-rgb:222,61,130;--spectrum-magenta-600:rgba(var(--spectrum-magenta-600-rgb));--spectrum-magenta-700-rgb:237,87,149;--spectrum-magenta-700:rgba(var(--spectrum-magenta-700-rgb));--spectrum-magenta-800-rgb:249,114,167;--spectrum-magenta-800:rgba(var(--spectrum-magenta-800-rgb));--spectrum-magenta-900-rgb:255,143,185;--spectrum-magenta-900:rgba(var(--spectrum-magenta-900-rgb));--spectrum-magenta-1000-rgb:255,172,202;--spectrum-magenta-1000:rgba(var(--spectrum-magenta-1000-rgb));--spectrum-magenta-1100-rgb:255,198,218;--spectrum-magenta-1100:rgba(var(--spectrum-magenta-1100-rgb));--spectrum-magenta-1200-rgb:255,221,233;--spectrum-magenta-1200:rgba(var(--spectrum-magenta-1200-rgb));--spectrum-magenta-1300-rgb:255,240,245;--spectrum-magenta-1300:rgba(var(--spectrum-magenta-1300-rgb));--spectrum-magenta-1400-rgb:255,252,253;--spectrum-magenta-1400:rgba(var(--spectrum-magenta-1400-rgb));--spectrum-icon-color-blue-primary-default:var(--spectrum-blue-800);--spectrum-icon-color-green-primary-default:var(--spectrum-green-800);--spectrum-icon-color-red-primary-default:var(--spectrum-red-700);--spectrum-icon-color-yellow-primary-default:var(--spectrum-yellow-1000);--spectrum-menu-item-background-color-default-rgb:255,255,255;--spectrum-menu-item-background-color-default-opacity:0;--spectrum-menu-item-background-color-default:rgba(var(--spectrum-menu-item-background-color-default-rgb),var(--spectrum-menu-item-background-color-default-opacity));--spectrum-menu-item-background-color-hover:var(--spectrum-transparent-white-200);--spectrum-menu-item-background-color-down:var(--spectrum-transparent-white-200);--spectrum-menu-item-background-color-key-focus:var(--spectrum-transparent-white-200);--spectrum-drop-zone-background-color-rgb:var(--spectrum-blue-900-rgb);--spectrum-dropindicator-color:var(--spectrum-blue-700);--spectrum-calendar-day-background-color-selected:rgba(var(--spectrum-blue-800-rgb),.15);--spectrum-calendar-day-background-color-hover:rgba(var(--spectrum-white-rgb),.07);--spectrum-calendar-day-today-background-color-selected-hover:rgba(var(--spectrum-blue-800-rgb),.25);--spectrum-calendar-day-background-color-selected-hover:rgba(var(--spectrum-blue-800-rgb),.25);--spectrum-calendar-day-background-color-down:var(--spectrum-transparent-white-200);--spectrum-calendar-day-background-color-cap-selected:rgba(var(--spectrum-blue-800-rgb),.25);--spectrum-calendar-day-background-color-key-focus:rgba(var(--spectrum-white-rgb),.07);--spectrum-calendar-day-border-color-key-focus:var(--spectrum-blue-700);--spectrum-badge-label-icon-color-primary:var(--spectrum-black);--spectrum-coach-indicator-ring-default-color:var(--spectrum-blue-700);--spectrum-coach-indicator-ring-dark-color:var(--spectrum-gray-900);--spectrum-coach-indicator-ring-light-color:var(--spectrum-gray-50);--spectrum-well-border-color:rgba(var(--spectrum-white-rgb),.05);--spectrum-steplist-current-marker-color-key-focus:var(--spectrum-blue-700);--spectrum-treeview-item-background-color-quiet-selected:rgba(var(--spectrum-gray-900-rgb),.07);--spectrum-treeview-item-background-color-selected:rgba(var(--spectrum-blue-800-rgb),.15);--spectrum-logic-button-and-background-color:var(--spectrum-blue-800);--spectrum-logic-button-and-border-color:var(--spectrum-blue-800);--spectrum-logic-button-and-background-color-hover:var(--spectrum-blue-1000);--spectrum-logic-button-and-border-color-hover:var(--spectrum-blue-1000);--spectrum-logic-button-or-background-color:var(--spectrum-magenta-700);--spectrum-logic-button-or-border-color:var(--spectrum-magenta-700);--spectrum-logic-button-or-background-color-hover:var(--spectrum-magenta-900);--spectrum-logic-button-or-border-color-hover:var(--spectrum-magenta-900);--spectrum-assetcard-border-color-selected:var(--spectrum-blue-800);--spectrum-assetcard-border-color-selected-hover:var(--spectrum-blue-800);--spectrum-assetcard-border-color-selected-down:var(--spectrum-blue-900);--spectrum-assetcard-selectionindicator-background-color-ordered:var(--spectrum-blue-800);--spectrum-assestcard-focus-indicator-color:var(--spectrum-blue-700);--spectrum-assetlist-item-background-color-selected-hover:rgba(var(--spectrum-blue-800-rgb),.25);--spectrum-assetlist-item-background-color-selected:rgba(var(--spectrum-blue-800-rgb),.15);--spectrum-assetlist-border-color-key-focus:var(--spectrum-blue-700)}\n"
    ]);
    _templateObject$g = function _templateObject() {
        return data;
    };
    return data;
}
var e$5 = i$p(_templateObject$g());
var r$3 = e$5;

Theme.registerThemeFragment("dark", "color", r$3);

function _tagged_template_literal$f(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$f() {
    var data = _tagged_template_literal$f([
        "\n    :root,:host{--spectrum-global-color-status:Verified;--spectrum-global-color-version:5.1;--spectrum-global-color-opacity-100:1;--spectrum-global-color-opacity-90:.9;--spectrum-global-color-opacity-80:.8;--spectrum-global-color-opacity-70:.7;--spectrum-global-color-opacity-60:.6;--spectrum-global-color-opacity-55:.55;--spectrum-global-color-opacity-50:.5;--spectrum-global-color-opacity-42:.42;--spectrum-global-color-opacity-40:.4;--spectrum-global-color-opacity-30:.3;--spectrum-global-color-opacity-25:.25;--spectrum-global-color-opacity-20:.2;--spectrum-global-color-opacity-15:.15;--spectrum-global-color-opacity-10:.1;--spectrum-global-color-opacity-8:.08;--spectrum-global-color-opacity-7:.07;--spectrum-global-color-opacity-6:.06;--spectrum-global-color-opacity-5:.05;--spectrum-global-color-opacity-4:.04;--spectrum-global-color-opacity-0:0;--spectrum-global-color-celery-400-rgb:13,171,37;--spectrum-global-color-celery-400:rgb(var(--spectrum-global-color-celery-400-rgb));--spectrum-global-color-celery-500-rgb:45,191,58;--spectrum-global-color-celery-500:rgb(var(--spectrum-global-color-celery-500-rgb));--spectrum-global-color-celery-600-rgb:80,208,82;--spectrum-global-color-celery-600:rgb(var(--spectrum-global-color-celery-600-rgb));--spectrum-global-color-celery-700-rgb:115,224,107;--spectrum-global-color-celery-700:rgb(var(--spectrum-global-color-celery-700-rgb));--spectrum-global-color-chartreuse-400-rgb:138,180,3;--spectrum-global-color-chartreuse-400:rgb(var(--spectrum-global-color-chartreuse-400-rgb));--spectrum-global-color-chartreuse-500-rgb:154,198,11;--spectrum-global-color-chartreuse-500:rgb(var(--spectrum-global-color-chartreuse-500-rgb));--spectrum-global-color-chartreuse-600-rgb:170,216,22;--spectrum-global-color-chartreuse-600:rgb(var(--spectrum-global-color-chartreuse-600-rgb));--spectrum-global-color-chartreuse-700-rgb:187,232,41;--spectrum-global-color-chartreuse-700:rgb(var(--spectrum-global-color-chartreuse-700-rgb));--spectrum-global-color-yellow-400-rgb:216,181,0;--spectrum-global-color-yellow-400:rgb(var(--spectrum-global-color-yellow-400-rgb));--spectrum-global-color-yellow-500-rgb:233,199,0;--spectrum-global-color-yellow-500:rgb(var(--spectrum-global-color-yellow-500-rgb));--spectrum-global-color-yellow-600-rgb:247,216,4;--spectrum-global-color-yellow-600:rgb(var(--spectrum-global-color-yellow-600-rgb));--spectrum-global-color-yellow-700-rgb:249,233,97;--spectrum-global-color-yellow-700:rgb(var(--spectrum-global-color-yellow-700-rgb));--spectrum-global-color-magenta-400-rgb:209,43,114;--spectrum-global-color-magenta-400:rgb(var(--spectrum-global-color-magenta-400-rgb));--spectrum-global-color-magenta-500-rgb:227,69,137;--spectrum-global-color-magenta-500:rgb(var(--spectrum-global-color-magenta-500-rgb));--spectrum-global-color-magenta-600-rgb:241,97,156;--spectrum-global-color-magenta-600:rgb(var(--spectrum-global-color-magenta-600-rgb));--spectrum-global-color-magenta-700-rgb:252,124,173;--spectrum-global-color-magenta-700:rgb(var(--spectrum-global-color-magenta-700-rgb));--spectrum-global-color-fuchsia-400-rgb:191,43,191;--spectrum-global-color-fuchsia-400:rgb(var(--spectrum-global-color-fuchsia-400-rgb));--spectrum-global-color-fuchsia-500-rgb:211,65,213;--spectrum-global-color-fuchsia-500:rgb(var(--spectrum-global-color-fuchsia-500-rgb));--spectrum-global-color-fuchsia-600-rgb:228,91,229;--spectrum-global-color-fuchsia-600:rgb(var(--spectrum-global-color-fuchsia-600-rgb));--spectrum-global-color-fuchsia-700-rgb:239,120,238;--spectrum-global-color-fuchsia-700:rgb(var(--spectrum-global-color-fuchsia-700-rgb));--spectrum-global-color-purple-400-rgb:145,70,236;--spectrum-global-color-purple-400:rgb(var(--spectrum-global-color-purple-400-rgb));--spectrum-global-color-purple-500-rgb:162,94,246;--spectrum-global-color-purple-500:rgb(var(--spectrum-global-color-purple-500-rgb));--spectrum-global-color-purple-600-rgb:178,119,250;--spectrum-global-color-purple-600:rgb(var(--spectrum-global-color-purple-600-rgb));--spectrum-global-color-purple-700-rgb:192,143,252;--spectrum-global-color-purple-700:rgb(var(--spectrum-global-color-purple-700-rgb));--spectrum-global-color-indigo-400-rgb:90,96,235;--spectrum-global-color-indigo-400:rgb(var(--spectrum-global-color-indigo-400-rgb));--spectrum-global-color-indigo-500-rgb:110,115,246;--spectrum-global-color-indigo-500:rgb(var(--spectrum-global-color-indigo-500-rgb));--spectrum-global-color-indigo-600-rgb:132,136,253;--spectrum-global-color-indigo-600:rgb(var(--spectrum-global-color-indigo-600-rgb));--spectrum-global-color-indigo-700-rgb:153,157,255;--spectrum-global-color-indigo-700:rgb(var(--spectrum-global-color-indigo-700-rgb));--spectrum-global-color-seafoam-400-rgb:0,146,140;--spectrum-global-color-seafoam-400:rgb(var(--spectrum-global-color-seafoam-400-rgb));--spectrum-global-color-seafoam-500-rgb:0,165,159;--spectrum-global-color-seafoam-500:rgb(var(--spectrum-global-color-seafoam-500-rgb));--spectrum-global-color-seafoam-600-rgb:26,185,178;--spectrum-global-color-seafoam-600:rgb(var(--spectrum-global-color-seafoam-600-rgb));--spectrum-global-color-seafoam-700-rgb:66,202,195;--spectrum-global-color-seafoam-700:rgb(var(--spectrum-global-color-seafoam-700-rgb));--spectrum-global-color-red-400-rgb:221,33,24;--spectrum-global-color-red-400:rgb(var(--spectrum-global-color-red-400-rgb));--spectrum-global-color-red-500-rgb:238,67,49;--spectrum-global-color-red-500:rgb(var(--spectrum-global-color-red-500-rgb));--spectrum-global-color-red-600-rgb:249,99,76;--spectrum-global-color-red-600:rgb(var(--spectrum-global-color-red-600-rgb));--spectrum-global-color-red-700-rgb:255,129,107;--spectrum-global-color-red-700:rgb(var(--spectrum-global-color-red-700-rgb));--spectrum-global-color-orange-400-rgb:232,116,0;--spectrum-global-color-orange-400:rgb(var(--spectrum-global-color-orange-400-rgb));--spectrum-global-color-orange-500-rgb:249,137,23;--spectrum-global-color-orange-500:rgb(var(--spectrum-global-color-orange-500-rgb));--spectrum-global-color-orange-600-rgb:255,162,59;--spectrum-global-color-orange-600:rgb(var(--spectrum-global-color-orange-600-rgb));--spectrum-global-color-orange-700-rgb:255,188,102;--spectrum-global-color-orange-700:rgb(var(--spectrum-global-color-orange-700-rgb));--spectrum-global-color-green-400-rgb:0,149,98;--spectrum-global-color-green-400:rgb(var(--spectrum-global-color-green-400-rgb));--spectrum-global-color-green-500-rgb:28,168,114;--spectrum-global-color-green-500:rgb(var(--spectrum-global-color-green-500-rgb));--spectrum-global-color-green-600-rgb:52,187,132;--spectrum-global-color-green-600:rgb(var(--spectrum-global-color-green-600-rgb));--spectrum-global-color-green-700-rgb:75,205,149;--spectrum-global-color-green-700:rgb(var(--spectrum-global-color-green-700-rgb));--spectrum-global-color-blue-400-rgb:29,128,245;--spectrum-global-color-blue-400:rgb(var(--spectrum-global-color-blue-400-rgb));--spectrum-global-color-blue-500-rgb:64,150,243;--spectrum-global-color-blue-500:rgb(var(--spectrum-global-color-blue-500-rgb));--spectrum-global-color-blue-600-rgb:94,170,247;--spectrum-global-color-blue-600:rgb(var(--spectrum-global-color-blue-600-rgb));--spectrum-global-color-blue-700-rgb:124,189,250;--spectrum-global-color-blue-700:rgb(var(--spectrum-global-color-blue-700-rgb));--spectrum-global-color-gray-50-rgb:0,0,0;--spectrum-global-color-gray-50:rgb(var(--spectrum-global-color-gray-50-rgb));--spectrum-global-color-gray-75-rgb:14,14,14;--spectrum-global-color-gray-75:rgb(var(--spectrum-global-color-gray-75-rgb));--spectrum-global-color-gray-100-rgb:29,29,29;--spectrum-global-color-gray-100:rgb(var(--spectrum-global-color-gray-100-rgb));--spectrum-global-color-gray-200-rgb:48,48,48;--spectrum-global-color-gray-200:rgb(var(--spectrum-global-color-gray-200-rgb));--spectrum-global-color-gray-300-rgb:75,75,75;--spectrum-global-color-gray-300:rgb(var(--spectrum-global-color-gray-300-rgb));--spectrum-global-color-gray-400-rgb:106,106,106;--spectrum-global-color-gray-400:rgb(var(--spectrum-global-color-gray-400-rgb));--spectrum-global-color-gray-500-rgb:141,141,141;--spectrum-global-color-gray-500:rgb(var(--spectrum-global-color-gray-500-rgb));--spectrum-global-color-gray-600-rgb:176,176,176;--spectrum-global-color-gray-600:rgb(var(--spectrum-global-color-gray-600-rgb));--spectrum-global-color-gray-700-rgb:208,208,208;--spectrum-global-color-gray-700:rgb(var(--spectrum-global-color-gray-700-rgb));--spectrum-global-color-gray-800-rgb:235,235,235;--spectrum-global-color-gray-800:rgb(var(--spectrum-global-color-gray-800-rgb));--spectrum-global-color-gray-900-rgb:255,255,255;--spectrum-global-color-gray-900:rgb(var(--spectrum-global-color-gray-900-rgb));--spectrum-alias-background-color-primary:var(--spectrum-global-color-gray-100);--spectrum-alias-background-color-secondary:var(--spectrum-global-color-gray-75);--spectrum-alias-background-color-tertiary:var(--spectrum-global-color-gray-50);--spectrum-alias-background-color-modal-overlay:#0009;--spectrum-alias-dropshadow-color:#000c;--spectrum-alias-background-color-hover-overlay:#ffffff14;--spectrum-alias-highlight-hover:#ffffff14;--spectrum-alias-highlight-down:#ffffff26;--spectrum-alias-highlight-selected:#4096f333;--spectrum-alias-highlight-selected-hover:#4096f34d;--spectrum-alias-text-highlight-color:#4096f34d;--spectrum-alias-background-color-quickactions:#1d1d1de6;--spectrum-alias-border-color-selected:var(--spectrum-global-color-blue-600);--spectrum-alias-border-color-translucent:#ffffff1a;--spectrum-alias-radial-reaction-color-default:#ebebeb99;--spectrum-alias-pasteboard-background-color:var(--spectrum-global-color-gray-50);--spectrum-alias-appframe-border-color:var(--spectrum-global-color-gray-50);--spectrum-alias-appframe-separator-color:var(--spectrum-global-color-gray-50)}:host,:root{color-scheme:dark;--spectrum-overlay-opacity:.6;--spectrum-drop-shadow-color-rgb:0,0,0;--spectrum-drop-shadow-color-opacity:.8;--spectrum-drop-shadow-color:rgba(var(--spectrum-drop-shadow-color-rgb),var(--spectrum-drop-shadow-color-opacity));--spectrum-background-base-color:var(--spectrum-gray-50);--spectrum-background-layer-1-color:var(--spectrum-gray-75);--spectrum-background-layer-2-color:var(--spectrum-gray-100);--spectrum-neutral-background-color-default:var(--spectrum-gray-400);--spectrum-neutral-background-color-hover:var(--spectrum-gray-300);--spectrum-neutral-background-color-down:var(--spectrum-gray-200);--spectrum-neutral-background-color-key-focus:var(--spectrum-gray-300);--spectrum-neutral-subdued-background-color-default:var(--spectrum-gray-400);--spectrum-neutral-subdued-background-color-hover:var(--spectrum-gray-300);--spectrum-neutral-subdued-background-color-down:var(--spectrum-gray-200);--spectrum-neutral-subdued-background-color-key-focus:var(--spectrum-gray-300);--spectrum-accent-background-color-default:var(--spectrum-accent-color-600);--spectrum-accent-background-color-hover:var(--spectrum-accent-color-500);--spectrum-accent-background-color-down:var(--spectrum-accent-color-400);--spectrum-accent-background-color-key-focus:var(--spectrum-accent-color-500);--spectrum-informative-background-color-default:var(--spectrum-informative-color-600);--spectrum-informative-background-color-hover:var(--spectrum-informative-color-500);--spectrum-informative-background-color-down:var(--spectrum-informative-color-400);--spectrum-informative-background-color-key-focus:var(--spectrum-informative-color-500);--spectrum-negative-background-color-default:var(--spectrum-negative-color-600);--spectrum-negative-background-color-hover:var(--spectrum-negative-color-500);--spectrum-negative-background-color-down:var(--spectrum-negative-color-400);--spectrum-negative-background-color-key-focus:var(--spectrum-negative-color-500);--spectrum-positive-background-color-default:var(--spectrum-positive-color-600);--spectrum-positive-background-color-hover:var(--spectrum-positive-color-500);--spectrum-positive-background-color-down:var(--spectrum-positive-color-400);--spectrum-positive-background-color-key-focus:var(--spectrum-positive-color-500);--spectrum-notice-background-color-default:var(--spectrum-notice-color-800);--spectrum-gray-background-color-default:var(--spectrum-gray-700);--spectrum-red-background-color-default:var(--spectrum-red-700);--spectrum-orange-background-color-default:var(--spectrum-orange-800);--spectrum-yellow-background-color-default:var(--spectrum-yellow-1000);--spectrum-chartreuse-background-color-default:var(--spectrum-chartreuse-900);--spectrum-celery-background-color-default:var(--spectrum-celery-800);--spectrum-green-background-color-default:var(--spectrum-green-700);--spectrum-seafoam-background-color-default:var(--spectrum-seafoam-700);--spectrum-cyan-background-color-default:var(--spectrum-cyan-700);--spectrum-blue-background-color-default:var(--spectrum-blue-700);--spectrum-indigo-background-color-default:var(--spectrum-indigo-700);--spectrum-purple-background-color-default:var(--spectrum-purple-700);--spectrum-fuchsia-background-color-default:var(--spectrum-fuchsia-700);--spectrum-magenta-background-color-default:var(--spectrum-magenta-700);--spectrum-neutral-visual-color:var(--spectrum-gray-600);--spectrum-accent-visual-color:var(--spectrum-accent-color-900);--spectrum-informative-visual-color:var(--spectrum-informative-color-900);--spectrum-negative-visual-color:var(--spectrum-negative-color-700);--spectrum-notice-visual-color:var(--spectrum-notice-color-900);--spectrum-positive-visual-color:var(--spectrum-positive-color-800);--spectrum-gray-visual-color:var(--spectrum-gray-600);--spectrum-red-visual-color:var(--spectrum-red-700);--spectrum-orange-visual-color:var(--spectrum-orange-900);--spectrum-yellow-visual-color:var(--spectrum-yellow-1100);--spectrum-chartreuse-visual-color:var(--spectrum-chartreuse-900);--spectrum-celery-visual-color:var(--spectrum-celery-800);--spectrum-green-visual-color:var(--spectrum-green-800);--spectrum-seafoam-visual-color:var(--spectrum-seafoam-800);--spectrum-cyan-visual-color:var(--spectrum-cyan-900);--spectrum-blue-visual-color:var(--spectrum-blue-900);--spectrum-indigo-visual-color:var(--spectrum-indigo-900);--spectrum-purple-visual-color:var(--spectrum-purple-900);--spectrum-fuchsia-visual-color:var(--spectrum-fuchsia-900);--spectrum-magenta-visual-color:var(--spectrum-magenta-900);--spectrum-opacity-checkerboard-square-dark:var(--spectrum-gray-800);--spectrum-gray-50-rgb:0,0,0;--spectrum-gray-50:rgba(var(--spectrum-gray-50-rgb));--spectrum-gray-75-rgb:14,14,14;--spectrum-gray-75:rgba(var(--spectrum-gray-75-rgb));--spectrum-gray-100-rgb:29,29,29;--spectrum-gray-100:rgba(var(--spectrum-gray-100-rgb));--spectrum-gray-200-rgb:48,48,48;--spectrum-gray-200:rgba(var(--spectrum-gray-200-rgb));--spectrum-gray-300-rgb:75,75,75;--spectrum-gray-300:rgba(var(--spectrum-gray-300-rgb));--spectrum-gray-400-rgb:106,106,106;--spectrum-gray-400:rgba(var(--spectrum-gray-400-rgb));--spectrum-gray-500-rgb:141,141,141;--spectrum-gray-500:rgba(var(--spectrum-gray-500-rgb));--spectrum-gray-600-rgb:176,176,176;--spectrum-gray-600:rgba(var(--spectrum-gray-600-rgb));--spectrum-gray-700-rgb:208,208,208;--spectrum-gray-700:rgba(var(--spectrum-gray-700-rgb));--spectrum-gray-800-rgb:235,235,235;--spectrum-gray-800:rgba(var(--spectrum-gray-800-rgb));--spectrum-gray-900-rgb:255,255,255;--spectrum-gray-900:rgba(var(--spectrum-gray-900-rgb));--spectrum-blue-100-rgb:0,38,81;--spectrum-blue-100:rgba(var(--spectrum-blue-100-rgb));--spectrum-blue-200-rgb:0,50,106;--spectrum-blue-200:rgba(var(--spectrum-blue-200-rgb));--spectrum-blue-300-rgb:0,64,135;--spectrum-blue-300:rgba(var(--spectrum-blue-300-rgb));--spectrum-blue-400-rgb:0,78,166;--spectrum-blue-400:rgba(var(--spectrum-blue-400-rgb));--spectrum-blue-500-rgb:0,92,200;--spectrum-blue-500:rgba(var(--spectrum-blue-500-rgb));--spectrum-blue-600-rgb:6,108,231;--spectrum-blue-600:rgba(var(--spectrum-blue-600-rgb));--spectrum-blue-700-rgb:29,128,245;--spectrum-blue-700:rgba(var(--spectrum-blue-700-rgb));--spectrum-blue-800-rgb:64,150,243;--spectrum-blue-800:rgba(var(--spectrum-blue-800-rgb));--spectrum-blue-900-rgb:94,170,247;--spectrum-blue-900:rgba(var(--spectrum-blue-900-rgb));--spectrum-blue-1000-rgb:124,189,250;--spectrum-blue-1000:rgba(var(--spectrum-blue-1000-rgb));--spectrum-blue-1100-rgb:152,206,253;--spectrum-blue-1100:rgba(var(--spectrum-blue-1100-rgb));--spectrum-blue-1200-rgb:179,222,254;--spectrum-blue-1200:rgba(var(--spectrum-blue-1200-rgb));--spectrum-blue-1300-rgb:206,234,255;--spectrum-blue-1300:rgba(var(--spectrum-blue-1300-rgb));--spectrum-blue-1400-rgb:227,243,255;--spectrum-blue-1400:rgba(var(--spectrum-blue-1400-rgb));--spectrum-red-100-rgb:87,0,0;--spectrum-red-100:rgba(var(--spectrum-red-100-rgb));--spectrum-red-200-rgb:110,0,0;--spectrum-red-200:rgba(var(--spectrum-red-200-rgb));--spectrum-red-300-rgb:138,0,0;--spectrum-red-300:rgba(var(--spectrum-red-300-rgb));--spectrum-red-400-rgb:167,0,0;--spectrum-red-400:rgba(var(--spectrum-red-400-rgb));--spectrum-red-500-rgb:196,7,6;--spectrum-red-500:rgba(var(--spectrum-red-500-rgb));--spectrum-red-600-rgb:221,33,24;--spectrum-red-600:rgba(var(--spectrum-red-600-rgb));--spectrum-red-700-rgb:238,67,49;--spectrum-red-700:rgba(var(--spectrum-red-700-rgb));--spectrum-red-800-rgb:249,99,76;--spectrum-red-800:rgba(var(--spectrum-red-800-rgb));--spectrum-red-900-rgb:255,129,107;--spectrum-red-900:rgba(var(--spectrum-red-900-rgb));--spectrum-red-1000-rgb:255,158,140;--spectrum-red-1000:rgba(var(--spectrum-red-1000-rgb));--spectrum-red-1100-rgb:255,183,169;--spectrum-red-1100:rgba(var(--spectrum-red-1100-rgb));--spectrum-red-1200-rgb:255,205,195;--spectrum-red-1200:rgba(var(--spectrum-red-1200-rgb));--spectrum-red-1300-rgb:255,223,217;--spectrum-red-1300:rgba(var(--spectrum-red-1300-rgb));--spectrum-red-1400-rgb:255,237,234;--spectrum-red-1400:rgba(var(--spectrum-red-1400-rgb));--spectrum-orange-100-rgb:72,24,1;--spectrum-orange-100:rgba(var(--spectrum-orange-100-rgb));--spectrum-orange-200-rgb:92,32,0;--spectrum-orange-200:rgba(var(--spectrum-orange-200-rgb));--spectrum-orange-300-rgb:115,43,0;--spectrum-orange-300:rgba(var(--spectrum-orange-300-rgb));--spectrum-orange-400-rgb:138,55,0;--spectrum-orange-400:rgba(var(--spectrum-orange-400-rgb));--spectrum-orange-500-rgb:162,68,0;--spectrum-orange-500:rgba(var(--spectrum-orange-500-rgb));--spectrum-orange-600-rgb:186,82,0;--spectrum-orange-600:rgba(var(--spectrum-orange-600-rgb));--spectrum-orange-700-rgb:210,98,0;--spectrum-orange-700:rgba(var(--spectrum-orange-700-rgb));--spectrum-orange-800-rgb:232,116,0;--spectrum-orange-800:rgba(var(--spectrum-orange-800-rgb));--spectrum-orange-900-rgb:249,137,23;--spectrum-orange-900:rgba(var(--spectrum-orange-900-rgb));--spectrum-orange-1000-rgb:255,162,59;--spectrum-orange-1000:rgba(var(--spectrum-orange-1000-rgb));--spectrum-orange-1100-rgb:255,188,102;--spectrum-orange-1100:rgba(var(--spectrum-orange-1100-rgb));--spectrum-orange-1200-rgb:253,210,145;--spectrum-orange-1200:rgba(var(--spectrum-orange-1200-rgb));--spectrum-orange-1300-rgb:255,226,181;--spectrum-orange-1300:rgba(var(--spectrum-orange-1300-rgb));--spectrum-orange-1400-rgb:255,239,213;--spectrum-orange-1400:rgba(var(--spectrum-orange-1400-rgb));--spectrum-yellow-100-rgb:53,36,0;--spectrum-yellow-100:rgba(var(--spectrum-yellow-100-rgb));--spectrum-yellow-200-rgb:68,47,0;--spectrum-yellow-200:rgba(var(--spectrum-yellow-200-rgb));--spectrum-yellow-300-rgb:86,62,0;--spectrum-yellow-300:rgba(var(--spectrum-yellow-300-rgb));--spectrum-yellow-400-rgb:103,77,0;--spectrum-yellow-400:rgba(var(--spectrum-yellow-400-rgb));--spectrum-yellow-500-rgb:122,92,0;--spectrum-yellow-500:rgba(var(--spectrum-yellow-500-rgb));--spectrum-yellow-600-rgb:141,108,0;--spectrum-yellow-600:rgba(var(--spectrum-yellow-600-rgb));--spectrum-yellow-700-rgb:161,126,0;--spectrum-yellow-700:rgba(var(--spectrum-yellow-700-rgb));--spectrum-yellow-800-rgb:180,144,0;--spectrum-yellow-800:rgba(var(--spectrum-yellow-800-rgb));--spectrum-yellow-900-rgb:199,162,0;--spectrum-yellow-900:rgba(var(--spectrum-yellow-900-rgb));--spectrum-yellow-1000-rgb:216,181,0;--spectrum-yellow-1000:rgba(var(--spectrum-yellow-1000-rgb));--spectrum-yellow-1100-rgb:233,199,0;--spectrum-yellow-1100:rgba(var(--spectrum-yellow-1100-rgb));--spectrum-yellow-1200-rgb:247,216,4;--spectrum-yellow-1200:rgba(var(--spectrum-yellow-1200-rgb));--spectrum-yellow-1300-rgb:249,233,97;--spectrum-yellow-1300:rgba(var(--spectrum-yellow-1300-rgb));--spectrum-yellow-1400-rgb:252,243,170;--spectrum-yellow-1400:rgba(var(--spectrum-yellow-1400-rgb));--spectrum-chartreuse-100-rgb:32,43,0;--spectrum-chartreuse-100:rgba(var(--spectrum-chartreuse-100-rgb));--spectrum-chartreuse-200-rgb:42,56,0;--spectrum-chartreuse-200:rgba(var(--spectrum-chartreuse-200-rgb));--spectrum-chartreuse-300-rgb:54,72,0;--spectrum-chartreuse-300:rgba(var(--spectrum-chartreuse-300-rgb));--spectrum-chartreuse-400-rgb:66,88,0;--spectrum-chartreuse-400:rgba(var(--spectrum-chartreuse-400-rgb));--spectrum-chartreuse-500-rgb:79,105,0;--spectrum-chartreuse-500:rgba(var(--spectrum-chartreuse-500-rgb));--spectrum-chartreuse-600-rgb:93,123,0;--spectrum-chartreuse-600:rgba(var(--spectrum-chartreuse-600-rgb));--spectrum-chartreuse-700-rgb:107,142,0;--spectrum-chartreuse-700:rgba(var(--spectrum-chartreuse-700-rgb));--spectrum-chartreuse-800-rgb:122,161,0;--spectrum-chartreuse-800:rgba(var(--spectrum-chartreuse-800-rgb));--spectrum-chartreuse-900-rgb:138,180,3;--spectrum-chartreuse-900:rgba(var(--spectrum-chartreuse-900-rgb));--spectrum-chartreuse-1000-rgb:154,198,11;--spectrum-chartreuse-1000:rgba(var(--spectrum-chartreuse-1000-rgb));--spectrum-chartreuse-1100-rgb:170,216,22;--spectrum-chartreuse-1100:rgba(var(--spectrum-chartreuse-1100-rgb));--spectrum-chartreuse-1200-rgb:187,232,41;--spectrum-chartreuse-1200:rgba(var(--spectrum-chartreuse-1200-rgb));--spectrum-chartreuse-1300-rgb:205,246,72;--spectrum-chartreuse-1300:rgba(var(--spectrum-chartreuse-1300-rgb));--spectrum-chartreuse-1400-rgb:225,253,132;--spectrum-chartreuse-1400:rgba(var(--spectrum-chartreuse-1400-rgb));--spectrum-celery-100-rgb:0,47,7;--spectrum-celery-100:rgba(var(--spectrum-celery-100-rgb));--spectrum-celery-200-rgb:0,61,9;--spectrum-celery-200:rgba(var(--spectrum-celery-200-rgb));--spectrum-celery-300-rgb:0,77,12;--spectrum-celery-300:rgba(var(--spectrum-celery-300-rgb));--spectrum-celery-400-rgb:0,95,15;--spectrum-celery-400:rgba(var(--spectrum-celery-400-rgb));--spectrum-celery-500-rgb:0,113,15;--spectrum-celery-500:rgba(var(--spectrum-celery-500-rgb));--spectrum-celery-600-rgb:0,132,15;--spectrum-celery-600:rgba(var(--spectrum-celery-600-rgb));--spectrum-celery-700-rgb:0,151,20;--spectrum-celery-700:rgba(var(--spectrum-celery-700-rgb));--spectrum-celery-800-rgb:13,171,37;--spectrum-celery-800:rgba(var(--spectrum-celery-800-rgb));--spectrum-celery-900-rgb:45,191,58;--spectrum-celery-900:rgba(var(--spectrum-celery-900-rgb));--spectrum-celery-1000-rgb:80,208,82;--spectrum-celery-1000:rgba(var(--spectrum-celery-1000-rgb));--spectrum-celery-1100-rgb:115,224,107;--spectrum-celery-1100:rgba(var(--spectrum-celery-1100-rgb));--spectrum-celery-1200-rgb:147,237,131;--spectrum-celery-1200:rgba(var(--spectrum-celery-1200-rgb));--spectrum-celery-1300-rgb:180,247,162;--spectrum-celery-1300:rgba(var(--spectrum-celery-1300-rgb));--spectrum-celery-1400-rgb:213,252,202;--spectrum-celery-1400:rgba(var(--spectrum-celery-1400-rgb));--spectrum-green-100-rgb:10,44,28;--spectrum-green-100:rgba(var(--spectrum-green-100-rgb));--spectrum-green-200-rgb:7,59,36;--spectrum-green-200:rgba(var(--spectrum-green-200-rgb));--spectrum-green-300-rgb:0,76,46;--spectrum-green-300:rgba(var(--spectrum-green-300-rgb));--spectrum-green-400-rgb:0,93,57;--spectrum-green-400:rgba(var(--spectrum-green-400-rgb));--spectrum-green-500-rgb:0,111,69;--spectrum-green-500:rgba(var(--spectrum-green-500-rgb));--spectrum-green-600-rgb:0,130,82;--spectrum-green-600:rgba(var(--spectrum-green-600-rgb));--spectrum-green-700-rgb:0,149,98;--spectrum-green-700:rgba(var(--spectrum-green-700-rgb));--spectrum-green-800-rgb:28,168,114;--spectrum-green-800:rgba(var(--spectrum-green-800-rgb));--spectrum-green-900-rgb:52,187,132;--spectrum-green-900:rgba(var(--spectrum-green-900-rgb));--spectrum-green-1000-rgb:75,205,149;--spectrum-green-1000:rgba(var(--spectrum-green-1000-rgb));--spectrum-green-1100-rgb:103,222,168;--spectrum-green-1100:rgba(var(--spectrum-green-1100-rgb));--spectrum-green-1200-rgb:137,236,188;--spectrum-green-1200:rgba(var(--spectrum-green-1200-rgb));--spectrum-green-1300-rgb:177,244,209;--spectrum-green-1300:rgba(var(--spectrum-green-1300-rgb));--spectrum-green-1400-rgb:214,249,228;--spectrum-green-1400:rgba(var(--spectrum-green-1400-rgb));--spectrum-seafoam-100-rgb:18,43,42;--spectrum-seafoam-100:rgba(var(--spectrum-seafoam-100-rgb));--spectrum-seafoam-200-rgb:19,57,55;--spectrum-seafoam-200:rgba(var(--spectrum-seafoam-200-rgb));--spectrum-seafoam-300-rgb:16,73,70;--spectrum-seafoam-300:rgba(var(--spectrum-seafoam-300-rgb));--spectrum-seafoam-400-rgb:3,91,88;--spectrum-seafoam-400:rgba(var(--spectrum-seafoam-400-rgb));--spectrum-seafoam-500-rgb:0,108,104;--spectrum-seafoam-500:rgba(var(--spectrum-seafoam-500-rgb));--spectrum-seafoam-600-rgb:0,127,121;--spectrum-seafoam-600:rgba(var(--spectrum-seafoam-600-rgb));--spectrum-seafoam-700-rgb:0,146,140;--spectrum-seafoam-700:rgba(var(--spectrum-seafoam-700-rgb));--spectrum-seafoam-800-rgb:0,165,159;--spectrum-seafoam-800:rgba(var(--spectrum-seafoam-800-rgb));--spectrum-seafoam-900-rgb:26,185,178;--spectrum-seafoam-900:rgba(var(--spectrum-seafoam-900-rgb));--spectrum-seafoam-1000-rgb:66,202,195;--spectrum-seafoam-1000:rgba(var(--spectrum-seafoam-1000-rgb));--spectrum-seafoam-1100-rgb:102,218,211;--spectrum-seafoam-1100:rgba(var(--spectrum-seafoam-1100-rgb));--spectrum-seafoam-1200-rgb:139,232,225;--spectrum-seafoam-1200:rgba(var(--spectrum-seafoam-1200-rgb));--spectrum-seafoam-1300-rgb:179,242,237;--spectrum-seafoam-1300:rgba(var(--spectrum-seafoam-1300-rgb));--spectrum-seafoam-1400-rgb:215,248,244;--spectrum-seafoam-1400:rgba(var(--spectrum-seafoam-1400-rgb));--spectrum-cyan-100-rgb:0,41,68;--spectrum-cyan-100:rgba(var(--spectrum-cyan-100-rgb));--spectrum-cyan-200-rgb:0,54,88;--spectrum-cyan-200:rgba(var(--spectrum-cyan-200-rgb));--spectrum-cyan-300-rgb:0,69,108;--spectrum-cyan-300:rgba(var(--spectrum-cyan-300-rgb));--spectrum-cyan-400-rgb:0,86,128;--spectrum-cyan-400:rgba(var(--spectrum-cyan-400-rgb));--spectrum-cyan-500-rgb:0,103,147;--spectrum-cyan-500:rgba(var(--spectrum-cyan-500-rgb));--spectrum-cyan-600-rgb:0,121,167;--spectrum-cyan-600:rgba(var(--spectrum-cyan-600-rgb));--spectrum-cyan-700-rgb:0,140,186;--spectrum-cyan-700:rgba(var(--spectrum-cyan-700-rgb));--spectrum-cyan-800-rgb:4,160,205;--spectrum-cyan-800:rgba(var(--spectrum-cyan-800-rgb));--spectrum-cyan-900-rgb:23,180,221;--spectrum-cyan-900:rgba(var(--spectrum-cyan-900-rgb));--spectrum-cyan-1000-rgb:57,199,234;--spectrum-cyan-1000:rgba(var(--spectrum-cyan-1000-rgb));--spectrum-cyan-1100-rgb:96,216,243;--spectrum-cyan-1100:rgba(var(--spectrum-cyan-1100-rgb));--spectrum-cyan-1200-rgb:134,230,250;--spectrum-cyan-1200:rgba(var(--spectrum-cyan-1200-rgb));--spectrum-cyan-1300-rgb:170,242,255;--spectrum-cyan-1300:rgba(var(--spectrum-cyan-1300-rgb));--spectrum-cyan-1400-rgb:206,249,255;--spectrum-cyan-1400:rgba(var(--spectrum-cyan-1400-rgb));--spectrum-indigo-100-rgb:26,29,97;--spectrum-indigo-100:rgba(var(--spectrum-indigo-100-rgb));--spectrum-indigo-200-rgb:35,39,125;--spectrum-indigo-200:rgba(var(--spectrum-indigo-200-rgb));--spectrum-indigo-300-rgb:46,50,158;--spectrum-indigo-300:rgba(var(--spectrum-indigo-300-rgb));--spectrum-indigo-400-rgb:58,63,189;--spectrum-indigo-400:rgba(var(--spectrum-indigo-400-rgb));--spectrum-indigo-500-rgb:73,78,216;--spectrum-indigo-500:rgba(var(--spectrum-indigo-500-rgb));--spectrum-indigo-600-rgb:90,96,235;--spectrum-indigo-600:rgba(var(--spectrum-indigo-600-rgb));--spectrum-indigo-700-rgb:110,115,246;--spectrum-indigo-700:rgba(var(--spectrum-indigo-700-rgb));--spectrum-indigo-800-rgb:132,136,253;--spectrum-indigo-800:rgba(var(--spectrum-indigo-800-rgb));--spectrum-indigo-900-rgb:153,157,255;--spectrum-indigo-900:rgba(var(--spectrum-indigo-900-rgb));--spectrum-indigo-1000-rgb:174,177,255;--spectrum-indigo-1000:rgba(var(--spectrum-indigo-1000-rgb));--spectrum-indigo-1100-rgb:194,196,255;--spectrum-indigo-1100:rgba(var(--spectrum-indigo-1100-rgb));--spectrum-indigo-1200-rgb:212,213,255;--spectrum-indigo-1200:rgba(var(--spectrum-indigo-1200-rgb));--spectrum-indigo-1300-rgb:227,228,255;--spectrum-indigo-1300:rgba(var(--spectrum-indigo-1300-rgb));--spectrum-indigo-1400-rgb:240,240,255;--spectrum-indigo-1400:rgba(var(--spectrum-indigo-1400-rgb));--spectrum-purple-100-rgb:50,16,104;--spectrum-purple-100:rgba(var(--spectrum-purple-100-rgb));--spectrum-purple-200-rgb:67,13,140;--spectrum-purple-200:rgba(var(--spectrum-purple-200-rgb));--spectrum-purple-300-rgb:86,16,173;--spectrum-purple-300:rgba(var(--spectrum-purple-300-rgb));--spectrum-purple-400-rgb:106,29,200;--spectrum-purple-400:rgba(var(--spectrum-purple-400-rgb));--spectrum-purple-500-rgb:126,49,222;--spectrum-purple-500:rgba(var(--spectrum-purple-500-rgb));--spectrum-purple-600-rgb:145,70,236;--spectrum-purple-600:rgba(var(--spectrum-purple-600-rgb));--spectrum-purple-700-rgb:162,94,246;--spectrum-purple-700:rgba(var(--spectrum-purple-700-rgb));--spectrum-purple-800-rgb:178,119,250;--spectrum-purple-800:rgba(var(--spectrum-purple-800-rgb));--spectrum-purple-900-rgb:192,143,252;--spectrum-purple-900:rgba(var(--spectrum-purple-900-rgb));--spectrum-purple-1000-rgb:206,166,253;--spectrum-purple-1000:rgba(var(--spectrum-purple-1000-rgb));--spectrum-purple-1100-rgb:219,188,254;--spectrum-purple-1100:rgba(var(--spectrum-purple-1100-rgb));--spectrum-purple-1200-rgb:230,207,255;--spectrum-purple-1200:rgba(var(--spectrum-purple-1200-rgb));--spectrum-purple-1300-rgb:240,224,255;--spectrum-purple-1300:rgba(var(--spectrum-purple-1300-rgb));--spectrum-purple-1400-rgb:248,237,255;--spectrum-purple-1400:rgba(var(--spectrum-purple-1400-rgb));--spectrum-fuchsia-100-rgb:70,14,68;--spectrum-fuchsia-100:rgba(var(--spectrum-fuchsia-100-rgb));--spectrum-fuchsia-200-rgb:93,9,92;--spectrum-fuchsia-200:rgba(var(--spectrum-fuchsia-200-rgb));--spectrum-fuchsia-300-rgb:120,0,120;--spectrum-fuchsia-300:rgba(var(--spectrum-fuchsia-300-rgb));--spectrum-fuchsia-400-rgb:146,0,147;--spectrum-fuchsia-400:rgba(var(--spectrum-fuchsia-400-rgb));--spectrum-fuchsia-500-rgb:169,19,170;--spectrum-fuchsia-500:rgba(var(--spectrum-fuchsia-500-rgb));--spectrum-fuchsia-600-rgb:191,43,191;--spectrum-fuchsia-600:rgba(var(--spectrum-fuchsia-600-rgb));--spectrum-fuchsia-700-rgb:211,65,213;--spectrum-fuchsia-700:rgba(var(--spectrum-fuchsia-700-rgb));--spectrum-fuchsia-800-rgb:228,91,229;--spectrum-fuchsia-800:rgba(var(--spectrum-fuchsia-800-rgb));--spectrum-fuchsia-900-rgb:239,120,238;--spectrum-fuchsia-900:rgba(var(--spectrum-fuchsia-900-rgb));--spectrum-fuchsia-1000-rgb:246,149,243;--spectrum-fuchsia-1000:rgba(var(--spectrum-fuchsia-1000-rgb));--spectrum-fuchsia-1100-rgb:251,175,246;--spectrum-fuchsia-1100:rgba(var(--spectrum-fuchsia-1100-rgb));--spectrum-fuchsia-1200-rgb:254,199,248;--spectrum-fuchsia-1200:rgba(var(--spectrum-fuchsia-1200-rgb));--spectrum-fuchsia-1300-rgb:255,220,250;--spectrum-fuchsia-1300:rgba(var(--spectrum-fuchsia-1300-rgb));--spectrum-fuchsia-1400-rgb:255,235,252;--spectrum-fuchsia-1400:rgba(var(--spectrum-fuchsia-1400-rgb));--spectrum-magenta-100-rgb:83,3,41;--spectrum-magenta-100:rgba(var(--spectrum-magenta-100-rgb));--spectrum-magenta-200-rgb:106,0,52;--spectrum-magenta-200:rgba(var(--spectrum-magenta-200-rgb));--spectrum-magenta-300-rgb:133,0,65;--spectrum-magenta-300:rgba(var(--spectrum-magenta-300-rgb));--spectrum-magenta-400-rgb:161,0,78;--spectrum-magenta-400:rgba(var(--spectrum-magenta-400-rgb));--spectrum-magenta-500-rgb:186,22,93;--spectrum-magenta-500:rgba(var(--spectrum-magenta-500-rgb));--spectrum-magenta-600-rgb:209,43,114;--spectrum-magenta-600:rgba(var(--spectrum-magenta-600-rgb));--spectrum-magenta-700-rgb:227,69,137;--spectrum-magenta-700:rgba(var(--spectrum-magenta-700-rgb));--spectrum-magenta-800-rgb:241,97,156;--spectrum-magenta-800:rgba(var(--spectrum-magenta-800-rgb));--spectrum-magenta-900-rgb:252,124,173;--spectrum-magenta-900:rgba(var(--spectrum-magenta-900-rgb));--spectrum-magenta-1000-rgb:255,152,191;--spectrum-magenta-1000:rgba(var(--spectrum-magenta-1000-rgb));--spectrum-magenta-1100-rgb:255,179,207;--spectrum-magenta-1100:rgba(var(--spectrum-magenta-1100-rgb));--spectrum-magenta-1200-rgb:255,202,221;--spectrum-magenta-1200:rgba(var(--spectrum-magenta-1200-rgb));--spectrum-magenta-1300-rgb:255,221,233;--spectrum-magenta-1300:rgba(var(--spectrum-magenta-1300-rgb));--spectrum-magenta-1400-rgb:255,236,243;--spectrum-magenta-1400:rgba(var(--spectrum-magenta-1400-rgb));--spectrum-icon-color-blue-primary-default:var(--spectrum-blue-800);--spectrum-icon-color-green-primary-default:var(--spectrum-green-800);--spectrum-icon-color-red-primary-default:var(--spectrum-red-700);--spectrum-icon-color-yellow-primary-default:var(--spectrum-yellow-1000);--spectrum-menu-item-background-color-default-rgb:255,255,255;--spectrum-menu-item-background-color-default-opacity:0;--spectrum-menu-item-background-color-default:rgba(var(--spectrum-menu-item-background-color-default-rgb),var(--spectrum-menu-item-background-color-default-opacity));--spectrum-menu-item-background-color-hover:var(--spectrum-transparent-white-200);--spectrum-menu-item-background-color-down:var(--spectrum-transparent-white-200);--spectrum-menu-item-background-color-key-focus:var(--spectrum-transparent-white-200);--spectrum-drop-zone-background-color-rgb:var(--spectrum-blue-900-rgb);--spectrum-dropindicator-color:var(--spectrum-blue-700);--spectrum-calendar-day-background-color-selected:rgba(var(--spectrum-blue-800-rgb),.2);--spectrum-calendar-day-background-color-hover:rgba(var(--spectrum-white-rgb),.08);--spectrum-calendar-day-today-background-color-selected-hover:rgba(var(--spectrum-blue-800-rgb),.3);--spectrum-calendar-day-background-color-selected-hover:rgba(var(--spectrum-blue-800-rgb),.3);--spectrum-calendar-day-background-color-down:rgba(var(--spectrum-white-rgb),.15);--spectrum-calendar-day-background-color-cap-selected:rgba(var(--spectrum-blue-800-rgb),.3);--spectrum-calendar-day-background-color-key-focus:rgba(var(--spectrum-white-rgb),.08);--spectrum-calendar-day-border-color-key-focus:var(--spectrum-blue-700);--spectrum-badge-label-icon-color-primary:var(--spectrum-black);--spectrum-coach-indicator-ring-default-color:var(--spectrum-blue-700);--spectrum-coach-indicator-ring-dark-color:var(--spectrum-gray-900);--spectrum-coach-indicator-ring-light-color:var(--spectrum-gray-50);--spectrum-well-border-color:rgba(var(--spectrum-white-rgb),.05);--spectrum-steplist-current-marker-color-key-focus:var(--spectrum-blue-700);--spectrum-treeview-item-background-color-quiet-selected:rgba(var(--spectrum-gray-900-rgb),.08);--spectrum-treeview-item-background-color-selected:rgba(var(--spectrum-blue-800-rgb),.2);--spectrum-logic-button-and-background-color:var(--spectrum-blue-800);--spectrum-logic-button-and-border-color:var(--spectrum-blue-800);--spectrum-logic-button-and-background-color-hover:var(--spectrum-blue-1000);--spectrum-logic-button-and-border-color-hover:var(--spectrum-blue-1000);--spectrum-logic-button-or-background-color:var(--spectrum-magenta-700);--spectrum-logic-button-or-border-color:var(--spectrum-magenta-700);--spectrum-logic-button-or-background-color-hover:var(--spectrum-magenta-900);--spectrum-logic-button-or-border-color-hover:var(--spectrum-magenta-900);--spectrum-assetcard-border-color-selected:var(--spectrum-blue-800);--spectrum-assetcard-border-color-selected-hover:var(--spectrum-blue-800);--spectrum-assetcard-border-color-selected-down:var(--spectrum-blue-900);--spectrum-assetcard-selectionindicator-background-color-ordered:var(--spectrum-blue-800);--spectrum-assestcard-focus-indicator-color:var(--spectrum-blue-700);--spectrum-assetlist-item-background-color-selected-hover:rgba(var(--spectrum-blue-800-rgb),.3);--spectrum-assetlist-item-background-color-selected:rgba(var(--spectrum-blue-800-rgb),.2);--spectrum-assetlist-border-color-key-focus:var(--spectrum-blue-700)}\n"
    ]);
    _templateObject$f = function _templateObject() {
        return data;
    };
    return data;
}
var e$4 = i$p(_templateObject$f());
var r$2 = e$4;

Theme.registerThemeFragment("darkest", "color", r$2);

function _tagged_template_literal$e(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$e() {
    var data = _tagged_template_literal$e([
        '\n    :root,:host{--spectrum-global-dimension-scale-factor:1;--spectrum-global-dimension-size-0:0px;--spectrum-global-dimension-size-10:1px;--spectrum-global-dimension-size-25:2px;--spectrum-global-dimension-size-30:2px;--spectrum-global-dimension-size-40:3px;--spectrum-global-dimension-size-50:4px;--spectrum-global-dimension-size-65:5px;--spectrum-global-dimension-size-75:6px;--spectrum-global-dimension-size-85:7px;--spectrum-global-dimension-size-100:8px;--spectrum-global-dimension-size-115:9px;--spectrum-global-dimension-size-125:10px;--spectrum-global-dimension-size-130:11px;--spectrum-global-dimension-size-150:12px;--spectrum-global-dimension-size-160:13px;--spectrum-global-dimension-size-175:14px;--spectrum-global-dimension-size-185:15px;--spectrum-global-dimension-size-200:16px;--spectrum-global-dimension-size-225:18px;--spectrum-global-dimension-size-250:20px;--spectrum-global-dimension-size-275:22px;--spectrum-global-dimension-size-300:24px;--spectrum-global-dimension-size-325:26px;--spectrum-global-dimension-size-350:28px;--spectrum-global-dimension-size-400:32px;--spectrum-global-dimension-size-450:36px;--spectrum-global-dimension-size-500:40px;--spectrum-global-dimension-size-550:44px;--spectrum-global-dimension-size-600:48px;--spectrum-global-dimension-size-650:52px;--spectrum-global-dimension-size-675:54px;--spectrum-global-dimension-size-700:56px;--spectrum-global-dimension-size-750:60px;--spectrum-global-dimension-size-800:64px;--spectrum-global-dimension-size-900:72px;--spectrum-global-dimension-size-1000:80px;--spectrum-global-dimension-size-1125:90px;--spectrum-global-dimension-size-1200:96px;--spectrum-global-dimension-size-1250:100px;--spectrum-global-dimension-size-1600:128px;--spectrum-global-dimension-size-1700:136px;--spectrum-global-dimension-size-1800:144px;--spectrum-global-dimension-size-2000:160px;--spectrum-global-dimension-size-2400:192px;--spectrum-global-dimension-size-2500:200px;--spectrum-global-dimension-size-3000:240px;--spectrum-global-dimension-size-3400:272px;--spectrum-global-dimension-size-3600:288px;--spectrum-global-dimension-size-4600:368px;--spectrum-global-dimension-size-5000:400px;--spectrum-global-dimension-size-6000:480px;--spectrum-global-dimension-font-size-25:10px;--spectrum-global-dimension-font-size-50:11px;--spectrum-global-dimension-font-size-75:12px;--spectrum-global-dimension-font-size-100:14px;--spectrum-global-dimension-font-size-150:15px;--spectrum-global-dimension-font-size-200:16px;--spectrum-global-dimension-font-size-300:18px;--spectrum-global-dimension-font-size-400:20px;--spectrum-global-dimension-font-size-500:22px;--spectrum-global-dimension-font-size-600:25px;--spectrum-global-dimension-font-size-700:28px;--spectrum-global-dimension-font-size-800:32px;--spectrum-global-dimension-font-size-900:36px;--spectrum-global-dimension-font-size-1000:40px;--spectrum-global-dimension-font-size-1100:45px;--spectrum-global-dimension-font-size-1200:50px;--spectrum-global-dimension-font-size-1300:60px;--spectrum-alias-item-text-padding-top-l:var(--spectrum-global-dimension-size-115);--spectrum-alias-item-text-padding-bottom-s:var(--spectrum-global-dimension-static-size-65);--spectrum-alias-item-workflow-padding-left-m:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-rounded-workflow-padding-left-m:var(--spectrum-global-dimension-size-175);--spectrum-alias-item-rounded-workflow-padding-left-xl:21px;--spectrum-alias-item-mark-padding-top-m:var(--spectrum-global-dimension-static-size-75);--spectrum-alias-item-mark-padding-bottom-m:var(--spectrum-global-dimension-static-size-75);--spectrum-alias-item-mark-padding-left-m:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-control-1-size-l:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-control-1-size-xl:var(--spectrum-global-dimension-size-125);--spectrum-alias-item-control-2-size-s:var(--spectrum-global-dimension-size-150);--spectrum-alias-item-control-3-height-s:var(--spectrum-global-dimension-size-150);--spectrum-alias-item-control-3-width-s:23px;--spectrum-alias-item-control-3-width-m:var(--spectrum-global-dimension-static-size-325);--spectrum-alias-item-control-3-width-l:29px;--spectrum-alias-item-control-3-width-xl:33px;--spectrum-alias-item-mark-size-m:var(--spectrum-global-dimension-size-250);--spectrum-alias-component-focusring-border-radius:var(--spectrum-global-dimension-static-size-65);--spectrum-alias-control-two-size-s:var(--spectrum-global-dimension-size-150);--spectrum-alias-control-three-height-s:var(--spectrum-global-dimension-size-150);--spectrum-alias-control-three-width-s:23px;--spectrum-alias-control-three-width-m:var(--spectrum-global-dimension-static-size-325);--spectrum-alias-control-three-width-l:29px;--spectrum-alias-control-three-width-xl:33px;--spectrum-alias-focus-ring-border-radius-regular:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-focus-ring-radius-default:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-workflow-icon-size-l:var(--spectrum-global-dimension-static-size-250);--spectrum-alias-ui-icon-chevron-size-75:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-chevron-size-100:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-chevron-size-200:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-chevron-size-300:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-chevron-size-400:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-chevron-size-500:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-checkmark-size-50:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-checkmark-size-75:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-checkmark-size-100:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-checkmark-size-200:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-checkmark-size-300:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-checkmark-size-400:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-checkmark-size-500:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-checkmark-size-600:var(--spectrum-global-dimension-static-size-225);--spectrum-alias-ui-icon-dash-size-50:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-ui-icon-dash-size-75:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-ui-icon-dash-size-100:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-dash-size-200:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-dash-size-300:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-dash-size-400:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-dash-size-500:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-dash-size-600:var(--spectrum-global-dimension-static-size-225);--spectrum-alias-ui-icon-cross-size-75:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-ui-icon-cross-size-100:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-ui-icon-cross-size-200:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-cross-size-300:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-cross-size-400:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-cross-size-500:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-cross-size-600:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-arrow-size-75:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-arrow-size-100:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-arrow-size-200:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-arrow-size-300:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-arrow-size-400:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-arrow-size-500:var(--spectrum-global-dimension-static-size-225);--spectrum-alias-ui-icon-arrow-size-600:var(--spectrum-global-dimension-static-size-250);--spectrum-alias-ui-icon-triplegripper-size-100-width:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-doublegripper-size-100-height:var(--spectrum-global-dimension-static-size-50);--spectrum-alias-ui-icon-singlegripper-size-100-height:var(--spectrum-global-dimension-static-size-25);--spectrum-alias-ui-icon-cornertriangle-size-100:var(--spectrum-global-dimension-static-size-65);--spectrum-alias-ui-icon-cornertriangle-size-300:var(--spectrum-global-dimension-static-size-85);--spectrum-alias-ui-icon-asterisk-size-200:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-asterisk-size-300:var(--spectrum-global-dimension-static-size-125);--spectrum-dialog-confirm-title-text-size:var(--spectrum-alias-heading-s-text-size);--spectrum-dialog-confirm-description-text-size:var(--spectrum-global-dimension-font-size-100)}:host,:root{--spectrum-global-alias-appframe-border-size:2px;--swc-scale-factor:1;--spectrum-workflow-icon-size-50:14px;--spectrum-workflow-icon-size-75:16px;--spectrum-workflow-icon-size-100:18px;--spectrum-workflow-icon-size-200:20px;--spectrum-workflow-icon-size-300:22px;--spectrum-arrow-icon-size-75:10px;--spectrum-arrow-icon-size-100:10px;--spectrum-arrow-icon-size-200:12px;--spectrum-arrow-icon-size-300:14px;--spectrum-arrow-icon-size-400:16px;--spectrum-arrow-icon-size-500:18px;--spectrum-arrow-icon-size-600:20px;--spectrum-asterisk-icon-size-100:8px;--spectrum-asterisk-icon-size-200:10px;--spectrum-asterisk-icon-size-300:10px;--spectrum-checkmark-icon-size-50:10px;--spectrum-checkmark-icon-size-75:10px;--spectrum-checkmark-icon-size-100:10px;--spectrum-checkmark-icon-size-200:12px;--spectrum-checkmark-icon-size-300:14px;--spectrum-checkmark-icon-size-400:16px;--spectrum-checkmark-icon-size-500:16px;--spectrum-checkmark-icon-size-600:18px;--spectrum-chevron-icon-size-50:6px;--spectrum-chevron-icon-size-75:10px;--spectrum-chevron-icon-size-100:10px;--spectrum-chevron-icon-size-200:12px;--spectrum-chevron-icon-size-300:14px;--spectrum-chevron-icon-size-400:16px;--spectrum-chevron-icon-size-500:16px;--spectrum-chevron-icon-size-600:18px;--spectrum-corner-triangle-icon-size-75:5px;--spectrum-corner-triangle-icon-size-100:5px;--spectrum-corner-triangle-icon-size-200:6px;--spectrum-corner-triangle-icon-size-300:7px;--spectrum-cross-icon-size-75:8px;--spectrum-cross-icon-size-100:8px;--spectrum-cross-icon-size-200:10px;--spectrum-cross-icon-size-300:12px;--spectrum-cross-icon-size-400:12px;--spectrum-cross-icon-size-500:14px;--spectrum-cross-icon-size-600:16px;--spectrum-dash-icon-size-50:8px;--spectrum-dash-icon-size-75:8px;--spectrum-dash-icon-size-100:10px;--spectrum-dash-icon-size-200:12px;--spectrum-dash-icon-size-300:12px;--spectrum-dash-icon-size-400:14px;--spectrum-dash-icon-size-500:16px;--spectrum-dash-icon-size-600:18px;--spectrum-field-label-text-to-asterisk-small:4px;--spectrum-field-label-text-to-asterisk-medium:4px;--spectrum-field-label-text-to-asterisk-large:5px;--spectrum-field-label-text-to-asterisk-extra-large:5px;--spectrum-field-label-top-to-asterisk-small:8px;--spectrum-field-label-top-to-asterisk-medium:12px;--spectrum-field-label-top-to-asterisk-large:15px;--spectrum-field-label-top-to-asterisk-extra-large:19px;--spectrum-field-label-top-margin-medium:4px;--spectrum-field-label-top-margin-large:5px;--spectrum-field-label-top-margin-extra-large:5px;--spectrum-field-label-to-component-quiet-small:-8px;--spectrum-field-label-to-component-quiet-medium:-8px;--spectrum-field-label-to-component-quiet-large:-12px;--spectrum-field-label-to-component-quiet-extra-large:-15px;--spectrum-help-text-top-to-workflow-icon-small:4px;--spectrum-help-text-top-to-workflow-icon-medium:3px;--spectrum-help-text-top-to-workflow-icon-large:6px;--spectrum-help-text-top-to-workflow-icon-extra-large:9px;--spectrum-status-light-dot-size-medium:8px;--spectrum-status-light-dot-size-large:10px;--spectrum-status-light-dot-size-extra-large:10px;--spectrum-status-light-top-to-dot-small:8px;--spectrum-status-light-top-to-dot-medium:12px;--spectrum-status-light-top-to-dot-large:15px;--spectrum-status-light-top-to-dot-extra-large:19px;--spectrum-action-button-edge-to-hold-icon-medium:4px;--spectrum-action-button-edge-to-hold-icon-large:5px;--spectrum-action-button-edge-to-hold-icon-extra-large:6px;--spectrum-tooltip-tip-width:8px;--spectrum-tooltip-tip-height:4px;--spectrum-tooltip-maximum-width:160px;--spectrum-progress-circle-size-small:16px;--spectrum-progress-circle-size-medium:32px;--spectrum-progress-circle-size-large:64px;--spectrum-progress-circle-thickness-small:2px;--spectrum-progress-circle-thickness-medium:3px;--spectrum-progress-circle-thickness-large:4px;--spectrum-toast-height:48px;--spectrum-toast-maximum-width:336px;--spectrum-toast-top-to-workflow-icon:15px;--spectrum-toast-top-to-text:14px;--spectrum-toast-bottom-to-text:17px;--spectrum-action-bar-height:48px;--spectrum-action-bar-top-to-item-counter:14px;--spectrum-swatch-size-extra-small:16px;--spectrum-swatch-size-small:24px;--spectrum-swatch-size-medium:32px;--spectrum-swatch-size-large:40px;--spectrum-progress-bar-thickness-small:4px;--spectrum-progress-bar-thickness-medium:6px;--spectrum-progress-bar-thickness-large:8px;--spectrum-progress-bar-thickness-extra-large:10px;--spectrum-meter-width:192px;--spectrum-meter-thickness-small:4px;--spectrum-meter-thickness-large:6px;--spectrum-tag-top-to-avatar-small:4px;--spectrum-tag-top-to-avatar-medium:6px;--spectrum-tag-top-to-avatar-large:9px;--spectrum-tag-top-to-cross-icon-small:8px;--spectrum-tag-top-to-cross-icon-medium:12px;--spectrum-tag-top-to-cross-icon-large:15px;--spectrum-popover-top-to-content-area:4px;--spectrum-menu-item-edge-to-content-not-selected-small:28px;--spectrum-menu-item-edge-to-content-not-selected-medium:32px;--spectrum-menu-item-edge-to-content-not-selected-large:38px;--spectrum-menu-item-edge-to-content-not-selected-extra-large:45px;--spectrum-menu-item-top-to-disclosure-icon-small:7px;--spectrum-menu-item-top-to-disclosure-icon-medium:11px;--spectrum-menu-item-top-to-disclosure-icon-large:14px;--spectrum-menu-item-top-to-disclosure-icon-extra-large:17px;--spectrum-menu-item-top-to-selected-icon-small:7px;--spectrum-menu-item-top-to-selected-icon-medium:11px;--spectrum-menu-item-top-to-selected-icon-large:14px;--spectrum-menu-item-top-to-selected-icon-extra-large:17px;--spectrum-slider-control-to-field-label-small:5px;--spectrum-slider-control-to-field-label-medium:8px;--spectrum-slider-control-to-field-label-large:11px;--spectrum-slider-control-to-field-label-extra-large:14px;--spectrum-picker-visual-to-disclosure-icon-small:7px;--spectrum-picker-visual-to-disclosure-icon-medium:8px;--spectrum-picker-visual-to-disclosure-icon-large:9px;--spectrum-picker-visual-to-disclosure-icon-extra-large:10px;--spectrum-text-area-minimum-width:112px;--spectrum-text-area-minimum-height:56px;--spectrum-combo-box-visual-to-field-button-small:7px;--spectrum-combo-box-visual-to-field-button-medium:8px;--spectrum-combo-box-visual-to-field-button-large:9px;--spectrum-combo-box-visual-to-field-button-extra-large:10px;--spectrum-thumbnail-size-50:16px;--spectrum-thumbnail-size-75:18px;--spectrum-thumbnail-size-100:20px;--spectrum-thumbnail-size-200:22px;--spectrum-thumbnail-size-300:26px;--spectrum-thumbnail-size-400:28px;--spectrum-thumbnail-size-500:32px;--spectrum-thumbnail-size-600:36px;--spectrum-thumbnail-size-700:40px;--spectrum-thumbnail-size-800:44px;--spectrum-thumbnail-size-900:50px;--spectrum-thumbnail-size-1000:56px;--spectrum-alert-dialog-title-size:var(--spectrum-heading-size-s);--spectrum-alert-dialog-description-size:var(--spectrum-body-size-s);--spectrum-opacity-checkerboard-square-size:8px;--spectrum-contextual-help-title-size:var(--spectrum-heading-size-xs);--spectrum-contextual-help-body-size:var(--spectrum-body-size-s);--spectrum-breadcrumbs-height-multiline:72px;--spectrum-breadcrumbs-top-to-text:13px;--spectrum-breadcrumbs-top-to-text-compact:11px;--spectrum-breadcrumbs-top-to-text-multiline:12px;--spectrum-breadcrumbs-bottom-to-text:15px;--spectrum-breadcrumbs-bottom-to-text-compact:12px;--spectrum-breadcrumbs-bottom-to-text-multiline:9px;--spectrum-breadcrumbs-start-edge-to-text:8px;--spectrum-breadcrumbs-top-text-to-bottom-text:9px;--spectrum-breadcrumbs-top-to-separator-icon:19px;--spectrum-breadcrumbs-top-to-separator-icon-compact:15px;--spectrum-breadcrumbs-top-to-separator-icon-multiline:15px;--spectrum-breadcrumbs-separator-icon-to-bottom-text-multiline:11px;--spectrum-breadcrumbs-top-to-truncated-menu:8px;--spectrum-breadcrumbs-top-to-truncated-menu-compact:4px;--spectrum-avatar-size-50:16px;--spectrum-avatar-size-75:18px;--spectrum-avatar-size-100:20px;--spectrum-avatar-size-200:22px;--spectrum-avatar-size-300:26px;--spectrum-avatar-size-400:28px;--spectrum-avatar-size-500:32px;--spectrum-avatar-size-600:36px;--spectrum-avatar-size-700:40px;--spectrum-alert-banner-minimum-height:48px;--spectrum-alert-banner-width:832px;--spectrum-alert-banner-top-to-workflow-icon:15px;--spectrum-alert-banner-top-to-text:14px;--spectrum-alert-banner-bottom-to-text:17px;--spectrum-rating-indicator-width:18px;--spectrum-rating-indicator-to-icon:4px;--spectrum-color-area-width:192px;--spectrum-color-area-minimum-width:64px;--spectrum-color-area-height:192px;--spectrum-color-area-minimum-height:64px;--spectrum-color-wheel-width:192px;--spectrum-color-wheel-minimum-width:175px;--spectrum-color-slider-length:192px;--spectrum-color-slider-minimum-length:80px;--spectrum-illustrated-message-title-size:var(--spectrum-heading-size-m);--spectrum-illustrated-message-cjk-title-size:var(--spectrum-heading-cjk-size-m);--spectrum-illustrated-message-body-size:var(--spectrum-body-size-s);--spectrum-coach-mark-width:296px;--spectrum-coach-mark-minimum-width:296px;--spectrum-coach-mark-maximum-width:380px;--spectrum-coach-mark-edge-to-content:var(--spectrum-spacing-400);--spectrum-coach-mark-pagination-text-to-bottom-edge:33px;--spectrum-coach-mark-media-height:222px;--spectrum-coach-mark-media-minimum-height:166px;--spectrum-coach-mark-title-size:var(--spectrum-heading-size-xs);--spectrum-coach-mark-body-size:var(--spectrum-body-size-s);--spectrum-coach-mark-pagination-body-size:var(--spectrum-body-size-s);--spectrum-accordion-top-to-text-regular-small:5px;--spectrum-accordion-small-top-to-text-spacious:9px;--spectrum-accordion-top-to-text-regular-medium:8px;--spectrum-accordion-top-to-text-spacious-medium:12px;--spectrum-accordion-top-to-text-compact-large:4px;--spectrum-accordion-top-to-text-regular-large:9px;--spectrum-accordion-top-to-text-spacious-large:12px;--spectrum-accordion-top-to-text-compact-extra-large:5px;--spectrum-accordion-top-to-text-regular-extra-large:9px;--spectrum-accordion-top-to-text-spacious-extra-large:13px;--spectrum-accordion-bottom-to-text-compact-small:2px;--spectrum-accordion-bottom-to-text-regular-small:7px;--spectrum-accordion-bottom-to-text-spacious-small:11px;--spectrum-accordion-bottom-to-text-compact-medium:5px;--spectrum-accordion-bottom-to-text-regular-medium:9px;--spectrum-accordion-bottom-to-text-spacious-medium:13px;--spectrum-accordion-bottom-to-text-compact-large:8px;--spectrum-accordion-bottom-to-text-regular-large:11px;--spectrum-accordion-bottom-to-text-spacious-large:16px;--spectrum-accordion-bottom-to-text-compact-extra-large:8px;--spectrum-accordion-bottom-to-text-regular-extra-large:12px;--spectrum-accordion-bottom-to-text-spacious-extra-large:16px;--spectrum-accordion-minimum-width:200px;--spectrum-accordion-content-area-top-to-content:8px;--spectrum-accordion-content-area-bottom-to-content:16px;--spectrum-color-handle-size:16px;--spectrum-color-handle-size-key-focus:32px;--spectrum-table-column-header-row-top-to-text-small:8px;--spectrum-table-column-header-row-top-to-text-medium:7px;--spectrum-table-column-header-row-top-to-text-large:10px;--spectrum-table-column-header-row-top-to-text-extra-large:13px;--spectrum-table-column-header-row-bottom-to-text-small:9px;--spectrum-table-column-header-row-bottom-to-text-medium:8px;--spectrum-table-column-header-row-bottom-to-text-large:10px;--spectrum-table-column-header-row-bottom-to-text-extra-large:13px;--spectrum-table-row-height-small-regular:32px;--spectrum-table-row-height-medium-regular:40px;--spectrum-table-row-height-large-regular:48px;--spectrum-table-row-height-extra-large-regular:56px;--spectrum-table-row-height-small-spacious:40px;--spectrum-table-row-height-medium-spacious:48px;--spectrum-table-row-height-large-spacious:56px;--spectrum-table-row-height-extra-large-spacious:64px;--spectrum-table-row-top-to-text-small-regular:8px;--spectrum-table-row-top-to-text-medium-regular:11px;--spectrum-table-row-top-to-text-large-regular:14px;--spectrum-table-row-top-to-text-extra-large-regular:17px;--spectrum-table-row-bottom-to-text-small-regular:9px;--spectrum-table-row-bottom-to-text-medium-regular:12px;--spectrum-table-row-bottom-to-text-large-regular:14px;--spectrum-table-row-bottom-to-text-extra-large-regular:17px;--spectrum-table-row-top-to-text-small-spacious:12px;--spectrum-table-row-top-to-text-medium-spacious:15px;--spectrum-table-row-top-to-text-large-spacious:18px;--spectrum-table-row-top-to-text-extra-large-spacious:21px;--spectrum-table-row-bottom-to-text-small-spacious:13px;--spectrum-table-row-bottom-to-text-medium-spacious:16px;--spectrum-table-row-bottom-to-text-large-spacious:18px;--spectrum-table-row-bottom-to-text-extra-large-spacious:21px;--spectrum-table-checkbox-to-text:24px;--spectrum-table-header-row-checkbox-to-top-small:10px;--spectrum-table-header-row-checkbox-to-top-medium:9px;--spectrum-table-header-row-checkbox-to-top-large:12px;--spectrum-table-header-row-checkbox-to-top-extra-large:15px;--spectrum-table-row-checkbox-to-top-small-compact:6px;--spectrum-table-row-checkbox-to-top-small-regular:10px;--spectrum-table-row-checkbox-to-top-small-spacious:14px;--spectrum-table-row-checkbox-to-top-medium-compact:9px;--spectrum-table-row-checkbox-to-top-medium-regular:13px;--spectrum-table-row-checkbox-to-top-medium-spacious:17px;--spectrum-table-row-checkbox-to-top-large-compact:12px;--spectrum-table-row-checkbox-to-top-large-regular:16px;--spectrum-table-row-checkbox-to-top-large-spacious:20px;--spectrum-table-row-checkbox-to-top-extra-large-compact:15px;--spectrum-table-row-checkbox-to-top-extra-large-regular:19px;--spectrum-table-row-checkbox-to-top-extra-large-spacious:23px;--spectrum-table-section-header-row-height-small:24px;--spectrum-table-section-header-row-height-medium:32px;--spectrum-table-section-header-row-height-large:40px;--spectrum-table-section-header-row-height-extra-large:48px;--spectrum-table-thumbnail-to-top-minimum-small-compact:4px;--spectrum-table-thumbnail-to-top-minimum-medium-compact:5px;--spectrum-table-thumbnail-to-top-minimum-large-compact:7px;--spectrum-table-thumbnail-to-top-minimum-extra-large-compact:8px;--spectrum-table-thumbnail-to-top-minimum-small-regular:5px;--spectrum-table-thumbnail-to-top-minimum-medium-regular:7px;--spectrum-table-thumbnail-to-top-minimum-large-regular:8px;--spectrum-table-thumbnail-to-top-minimum-extra-large-regular:8px;--spectrum-table-thumbnail-to-top-minimum-small-spacious:7px;--spectrum-table-thumbnail-to-top-minimum-medium-spacious:8px;--spectrum-table-thumbnail-to-top-minimum-large-spacious:8px;--spectrum-table-thumbnail-to-top-minimum-extra-large-spacious:10px;--spectrum-tab-item-to-tab-item-horizontal-small:21px;--spectrum-tab-item-to-tab-item-horizontal-medium:24px;--spectrum-tab-item-to-tab-item-horizontal-large:27px;--spectrum-tab-item-to-tab-item-horizontal-extra-large:30px;--spectrum-tab-item-to-tab-item-vertical-small:4px;--spectrum-tab-item-to-tab-item-vertical-medium:4px;--spectrum-tab-item-to-tab-item-vertical-large:5px;--spectrum-tab-item-to-tab-item-vertical-extra-large:5px;--spectrum-tab-item-start-to-edge-small:12px;--spectrum-tab-item-start-to-edge-medium:12px;--spectrum-tab-item-start-to-edge-large:13px;--spectrum-tab-item-start-to-edge-extra-large:13px;--spectrum-tab-item-top-to-text-small:11px;--spectrum-tab-item-bottom-to-text-small:12px;--spectrum-tab-item-top-to-text-medium:14px;--spectrum-tab-item-bottom-to-text-medium:14px;--spectrum-tab-item-top-to-text-large:16px;--spectrum-tab-item-bottom-to-text-large:18px;--spectrum-tab-item-top-to-text-extra-large:19px;--spectrum-tab-item-bottom-to-text-extra-large:20px;--spectrum-tab-item-top-to-text-compact-small:4px;--spectrum-tab-item-bottom-to-text-compact-small:5px;--spectrum-tab-item-top-to-text-compact-medium:6px;--spectrum-tab-item-bottom-to-text-compact-medium:8px;--spectrum-tab-item-top-to-text-compact-large:10px;--spectrum-tab-item-bottom-to-text-compact-large:12px;--spectrum-tab-item-top-to-text-compact-extra-large:12px;--spectrum-tab-item-bottom-to-text-compact-extra-large:13px;--spectrum-tab-item-top-to-workflow-icon-small:13px;--spectrum-tab-item-top-to-workflow-icon-medium:15px;--spectrum-tab-item-top-to-workflow-icon-large:17px;--spectrum-tab-item-top-to-workflow-icon-extra-large:19px;--spectrum-tab-item-top-to-workflow-icon-compact-small:3px;--spectrum-tab-item-top-to-workflow-icon-compact-medium:7px;--spectrum-tab-item-top-to-workflow-icon-compact-large:9px;--spectrum-tab-item-top-to-workflow-icon-compact-extra-large:11px;--spectrum-tab-item-focus-indicator-gap-small:7px;--spectrum-tab-item-focus-indicator-gap-medium:8px;--spectrum-tab-item-focus-indicator-gap-large:9px;--spectrum-tab-item-focus-indicator-gap-extra-large:10px;--spectrum-side-navigation-width:192px;--spectrum-side-navigation-minimum-width:160px;--spectrum-side-navigation-maximum-width:240px;--spectrum-side-navigation-second-level-edge-to-text:24px;--spectrum-side-navigation-third-level-edge-to-text:36px;--spectrum-side-navigation-with-icon-second-level-edge-to-text:50px;--spectrum-side-navigation-with-icon-third-level-edge-to-text:62px;--spectrum-side-navigation-item-to-item:4px;--spectrum-side-navigation-item-to-header:24px;--spectrum-side-navigation-header-to-item:8px;--spectrum-side-navigation-bottom-to-text:8px;--spectrum-tray-top-to-content-area:4px;--spectrum-text-to-visual-50:6px;--spectrum-text-to-visual-75:7px;--spectrum-text-to-visual-100:8px;--spectrum-text-to-visual-200:9px;--spectrum-text-to-visual-300:10px;--spectrum-text-to-control-75:9px;--spectrum-text-to-control-100:10px;--spectrum-text-to-control-200:11px;--spectrum-text-to-control-300:13px;--spectrum-component-height-50:20px;--spectrum-component-height-75:24px;--spectrum-component-height-100:32px;--spectrum-component-height-200:40px;--spectrum-component-height-300:48px;--spectrum-component-height-400:56px;--spectrum-component-height-500:64px;--spectrum-component-pill-edge-to-visual-75:10px;--spectrum-component-pill-edge-to-visual-100:14px;--spectrum-component-pill-edge-to-visual-200:18px;--spectrum-component-pill-edge-to-visual-300:21px;--spectrum-component-pill-edge-to-visual-only-75:4px;--spectrum-component-pill-edge-to-visual-only-100:7px;--spectrum-component-pill-edge-to-visual-only-200:10px;--spectrum-component-pill-edge-to-visual-only-300:13px;--spectrum-component-pill-edge-to-text-75:12px;--spectrum-component-pill-edge-to-text-100:16px;--spectrum-component-pill-edge-to-text-200:20px;--spectrum-component-pill-edge-to-text-300:24px;--spectrum-component-edge-to-visual-50:6px;--spectrum-component-edge-to-visual-75:7px;--spectrum-component-edge-to-visual-100:10px;--spectrum-component-edge-to-visual-200:13px;--spectrum-component-edge-to-visual-300:15px;--spectrum-component-edge-to-visual-only-50:3px;--spectrum-component-edge-to-visual-only-75:4px;--spectrum-component-edge-to-visual-only-100:7px;--spectrum-component-edge-to-visual-only-200:10px;--spectrum-component-edge-to-visual-only-300:13px;--spectrum-component-edge-to-text-50:8px;--spectrum-component-edge-to-text-75:9px;--spectrum-component-edge-to-text-100:12px;--spectrum-component-edge-to-text-200:15px;--spectrum-component-edge-to-text-300:18px;--spectrum-component-top-to-workflow-icon-50:3px;--spectrum-component-top-to-workflow-icon-75:4px;--spectrum-component-top-to-workflow-icon-100:7px;--spectrum-component-top-to-workflow-icon-200:10px;--spectrum-component-top-to-workflow-icon-300:13px;--spectrum-component-top-to-text-50:3px;--spectrum-component-top-to-text-75:4px;--spectrum-component-top-to-text-100:6px;--spectrum-component-top-to-text-200:9px;--spectrum-component-top-to-text-300:12px;--spectrum-component-bottom-to-text-50:3px;--spectrum-component-bottom-to-text-75:5px;--spectrum-component-bottom-to-text-100:9px;--spectrum-component-bottom-to-text-200:11px;--spectrum-component-bottom-to-text-300:14px;--spectrum-component-to-menu-small:6px;--spectrum-component-to-menu-medium:6px;--spectrum-component-to-menu-large:7px;--spectrum-component-to-menu-extra-large:8px;--spectrum-field-edge-to-disclosure-icon-75:7px;--spectrum-field-edge-to-disclosure-icon-100:11px;--spectrum-field-edge-to-disclosure-icon-200:14px;--spectrum-field-edge-to-disclosure-icon-300:17px;--spectrum-field-end-edge-to-disclosure-icon-75:7px;--spectrum-field-end-edge-to-disclosure-icon-100:11px;--spectrum-field-end-edge-to-disclosure-icon-200:14px;--spectrum-field-end-edge-to-disclosure-icon-300:17px;--spectrum-field-top-to-disclosure-icon-75:7px;--spectrum-field-top-to-disclosure-icon-100:11px;--spectrum-field-top-to-disclosure-icon-200:14px;--spectrum-field-top-to-disclosure-icon-300:17px;--spectrum-field-top-to-alert-icon-small:4px;--spectrum-field-top-to-alert-icon-medium:7px;--spectrum-field-top-to-alert-icon-large:10px;--spectrum-field-top-to-alert-icon-extra-large:13px;--spectrum-field-top-to-validation-icon-small:7px;--spectrum-field-top-to-validation-icon-medium:11px;--spectrum-field-top-to-validation-icon-large:14px;--spectrum-field-top-to-validation-icon-extra-large:17px;--spectrum-field-top-to-progress-circle-small:4px;--spectrum-field-top-to-progress-circle-medium:8px;--spectrum-field-top-to-progress-circle-large:12px;--spectrum-field-top-to-progress-circle-extra-large:16px;--spectrum-field-edge-to-alert-icon-small:9px;--spectrum-field-edge-to-alert-icon-medium:12px;--spectrum-field-edge-to-alert-icon-large:15px;--spectrum-field-edge-to-alert-icon-extra-large:18px;--spectrum-field-edge-to-validation-icon-small:9px;--spectrum-field-edge-to-validation-icon-medium:12px;--spectrum-field-edge-to-validation-icon-large:15px;--spectrum-field-edge-to-validation-icon-extra-large:18px;--spectrum-field-text-to-alert-icon-small:8px;--spectrum-field-text-to-alert-icon-medium:12px;--spectrum-field-text-to-alert-icon-large:15px;--spectrum-field-text-to-alert-icon-extra-large:18px;--spectrum-field-text-to-validation-icon-small:8px;--spectrum-field-text-to-validation-icon-medium:12px;--spectrum-field-text-to-validation-icon-large:15px;--spectrum-field-text-to-validation-icon-extra-large:18px;--spectrum-field-width:192px;--spectrum-character-count-to-field-quiet-small:-3px;--spectrum-character-count-to-field-quiet-medium:-3px;--spectrum-character-count-to-field-quiet-large:-3px;--spectrum-character-count-to-field-quiet-extra-large:-4px;--spectrum-side-label-character-count-to-field:12px;--spectrum-side-label-character-count-top-margin-small:4px;--spectrum-side-label-character-count-top-margin-medium:8px;--spectrum-side-label-character-count-top-margin-large:11px;--spectrum-side-label-character-count-top-margin-extra-large:14px;--spectrum-disclosure-indicator-top-to-disclosure-icon-small:7px;--spectrum-disclosure-indicator-top-to-disclosure-icon-medium:11px;--spectrum-disclosure-indicator-top-to-disclosure-icon-large:14px;--spectrum-disclosure-indicator-top-to-disclosure-icon-extra-large:17px;--spectrum-navigational-indicator-top-to-back-icon-small:6px;--spectrum-navigational-indicator-top-to-back-icon-medium:9px;--spectrum-navigational-indicator-top-to-back-icon-large:12px;--spectrum-navigational-indicator-top-to-back-icon-extra-large:15px;--spectrum-color-control-track-width:24px;--spectrum-font-size-50:11px;--spectrum-font-size-75:12px;--spectrum-font-size-100:14px;--spectrum-font-size-200:16px;--spectrum-font-size-300:18px;--spectrum-font-size-400:20px;--spectrum-font-size-500:22px;--spectrum-font-size-600:25px;--spectrum-font-size-700:28px;--spectrum-font-size-800:32px;--spectrum-font-size-900:36px;--spectrum-font-size-1000:40px;--spectrum-font-size-1100:45px;--spectrum-font-size-1200:50px;--spectrum-font-size-1300:60px;--spectrum-slider-tick-mark-height:10px;--spectrum-slider-ramp-track-height:16px;--spectrum-colorwheel-path:"M 95 95 m -95 0 a 95 95 0 1 0 190 0 a 95 95 0 1 0 -190 0.2 M 95 95 m -73 0 a 73 73 0 1 0 146 0 a 73 73 0 1 0 -146 0";--spectrum-colorwheel-path-borders:"M 96 96 m -96 0 a 96 96 0 1 0 192 0 a 96 96 0 1 0 -192 0.2 M 96 96 m -72 0 a 72 72 0 1 0 144 0 a 72 72 0 1 0 -144 0";--spectrum-colorwheel-colorarea-container-size:144px;--spectrum-colorloupe-checkerboard-fill:url(#checkerboard-primary);--spectrum-menu-item-selectable-edge-to-text-not-selected-small:28px;--spectrum-menu-item-selectable-edge-to-text-not-selected-medium:32px;--spectrum-menu-item-selectable-edge-to-text-not-selected-large:38px;--spectrum-menu-item-selectable-edge-to-text-not-selected-extra-large:45px;--spectrum-menu-item-checkmark-height-small:10px;--spectrum-menu-item-checkmark-height-medium:10px;--spectrum-menu-item-checkmark-height-large:12px;--spectrum-menu-item-checkmark-height-extra-large:14px;--spectrum-menu-item-checkmark-width-small:10px;--spectrum-menu-item-checkmark-width-medium:10px;--spectrum-menu-item-checkmark-width-large:12px;--spectrum-menu-item-checkmark-width-extra-large:14px;--spectrum-rating-icon-spacing:var(--spectrum-spacing-75);--spectrum-button-top-to-text-small:5px;--spectrum-button-bottom-to-text-small:4px;--spectrum-button-top-to-text-medium:7px;--spectrum-button-bottom-to-text-medium:8px;--spectrum-button-top-to-text-large:10px;--spectrum-button-bottom-to-text-large:10px;--spectrum-button-top-to-text-extra-large:13px;--spectrum-button-bottom-to-text-extra-large:13px;--spectrum-alert-banner-close-button-spacing:var(--spectrum-spacing-100);--spectrum-alert-banner-edge-to-divider:var(--spectrum-spacing-100);--spectrum-alert-banner-edge-to-button:var(--spectrum-spacing-100);--spectrum-alert-banner-text-to-button-vertical:var(--spectrum-spacing-100);--spectrum-alert-dialog-padding:var(--spectrum-spacing-500);--spectrum-alert-dialog-description-to-buttons:var(--spectrum-spacing-700);--spectrum-coach-indicator-gap:6px;--spectrum-coach-indicator-ring-diameter:var(--spectrum-spacing-300);--spectrum-coach-indicator-quiet-ring-diameter:var(--spectrum-spacing-100);--spectrum-coachmark-buttongroup-display:flex;--spectrum-coachmark-buttongroup-mobile-display:none;--spectrum-coachmark-menu-display:inline-flex;--spectrum-coachmark-menu-mobile-display:none;--spectrum-well-padding:var(--spectrum-spacing-300);--spectrum-well-margin-top:var(--spectrum-spacing-75);--spectrum-well-min-width:240px;--spectrum-well-border-radius:var(--spectrum-spacing-75);--spectrum-workflow-icon-size-xxl:32px;--spectrum-workflow-icon-size-xxs:12px;--spectrum-treeview-item-indentation-medium:var(--spectrum-spacing-300);--spectrum-treeview-item-indentation-small:var(--spectrum-spacing-200);--spectrum-treeview-item-indentation-large:20px;--spectrum-treeview-item-indentation-extra-large:var(--spectrum-spacing-400);--spectrum-treeview-indicator-inset-block-start:5px;--spectrum-treeview-item-min-block-size-thumbnail-offset-medium:0px;--spectrum-dialog-confirm-entry-animation-distance:20px;--spectrum-dialog-confirm-hero-height:128px;--spectrum-dialog-confirm-border-radius:4px;--spectrum-dialog-confirm-title-text-size:18px;--spectrum-dialog-confirm-description-text-size:14px;--spectrum-dialog-confirm-padding-grid:40px;--spectrum-datepicker-initial-width:128px;--spectrum-datepicker-generic-padding:var(--spectrum-spacing-200);--spectrum-datepicker-dash-line-height:24px;--spectrum-datepicker-width-quiet-first:72px;--spectrum-datepicker-width-quiet-second:16px;--spectrum-datepicker-datetime-width-first:36px;--spectrum-datepicker-invalid-icon-to-button:8px;--spectrum-datepicker-invalid-icon-to-button-quiet:7px;--spectrum-datepicker-input-datetime-width:var(--spectrum-spacing-400);--spectrum-pagination-textfield-width:var(--spectrum-spacing-700);--spectrum-pagination-item-inline-spacing:5px;--spectrum-dial-border-radius:16px;--spectrum-dial-handle-position:8px;--spectrum-dial-handle-block-margin:16px;--spectrum-dial-handle-inline-margin:16px;--spectrum-dial-controls-margin:8px;--spectrum-dial-label-gap-y:5px;--spectrum-dial-label-container-top-to-text:4px;--spectrum-assetcard-focus-ring-border-radius:8px;--spectrum-assetcard-selectionindicator-margin:12px;--spectrum-assetcard-title-font-size:var(--spectrum-heading-size-xs);--spectrum-assetcard-header-content-font-size:var(--spectrum-heading-size-xs);--spectrum-assetcard-content-font-size:var(--spectrum-body-size-s);--spectrum-tooltip-animation-distance:var(--spectrum-spacing-75);--spectrum-ui-icon-medium-display:block;--spectrum-ui-icon-large-display:none;--spectrum-checkbox-control-size-small:12px;--spectrum-checkbox-control-size-medium:14px;--spectrum-checkbox-control-size-large:16px;--spectrum-checkbox-control-size-extra-large:18px;--spectrum-checkbox-top-to-control-small:6px;--spectrum-checkbox-top-to-control-medium:9px;--spectrum-checkbox-top-to-control-large:12px;--spectrum-checkbox-top-to-control-extra-large:15px;--spectrum-switch-control-width-small:23px;--spectrum-switch-control-width-medium:26px;--spectrum-switch-control-width-large:29px;--spectrum-switch-control-width-extra-large:33px;--spectrum-switch-control-height-small:12px;--spectrum-switch-control-height-medium:14px;--spectrum-switch-control-height-large:16px;--spectrum-switch-control-height-extra-large:18px;--spectrum-switch-top-to-control-small:6px;--spectrum-switch-top-to-control-medium:9px;--spectrum-switch-top-to-control-large:12px;--spectrum-switch-top-to-control-extra-large:15px;--spectrum-radio-button-control-size-small:12px;--spectrum-radio-button-control-size-medium:14px;--spectrum-radio-button-control-size-large:16px;--spectrum-radio-button-control-size-extra-large:18px;--spectrum-radio-button-top-to-control-small:6px;--spectrum-radio-button-top-to-control-medium:9px;--spectrum-radio-button-top-to-control-large:12px;--spectrum-radio-button-top-to-control-extra-large:15px;--spectrum-slider-control-height-small:14px;--spectrum-slider-control-height-medium:16px;--spectrum-slider-control-height-large:18px;--spectrum-slider-control-height-extra-large:20px;--spectrum-slider-handle-size-small:14px;--spectrum-slider-handle-size-medium:16px;--spectrum-slider-handle-size-large:18px;--spectrum-slider-handle-size-extra-large:20px;--spectrum-slider-handle-border-width-down-small:5px;--spectrum-slider-handle-border-width-down-medium:6px;--spectrum-slider-handle-border-width-down-large:7px;--spectrum-slider-handle-border-width-down-extra-large:8px;--spectrum-slider-bottom-to-handle-small:5px;--spectrum-slider-bottom-to-handle-medium:8px;--spectrum-slider-bottom-to-handle-large:11px;--spectrum-slider-bottom-to-handle-extra-large:14px;--spectrum-corner-radius-100:4px;--spectrum-corner-radius-200:8px;--spectrum-drop-shadow-y:1px;--spectrum-drop-shadow-blur:4px}:root,:host{--spectrum-global-alias-appframe-border-size:2px;--swc-scale-factor:1}\n'
    ]);
    _templateObject$e = function _templateObject() {
        return data;
    };
    return data;
}
var e$3 = i$p(_templateObject$e());
var m$3 = e$3;

Theme.registerThemeFragment("medium", "scale", m$3);

function _tagged_template_literal$d(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$d() {
    var data = _tagged_template_literal$d([
        '\n    :root,:host{--spectrum-global-dimension-scale-factor:1.25;--spectrum-global-dimension-size-0:0px;--spectrum-global-dimension-size-10:1px;--spectrum-global-dimension-size-25:2px;--spectrum-global-dimension-size-30:3px;--spectrum-global-dimension-size-40:4px;--spectrum-global-dimension-size-50:5px;--spectrum-global-dimension-size-65:6px;--spectrum-global-dimension-size-75:8px;--spectrum-global-dimension-size-85:9px;--spectrum-global-dimension-size-100:10px;--spectrum-global-dimension-size-115:11px;--spectrum-global-dimension-size-125:13px;--spectrum-global-dimension-size-130:14px;--spectrum-global-dimension-size-150:15px;--spectrum-global-dimension-size-160:16px;--spectrum-global-dimension-size-175:18px;--spectrum-global-dimension-size-185:19px;--spectrum-global-dimension-size-200:20px;--spectrum-global-dimension-size-225:22px;--spectrum-global-dimension-size-250:25px;--spectrum-global-dimension-size-275:28px;--spectrum-global-dimension-size-300:30px;--spectrum-global-dimension-size-325:32px;--spectrum-global-dimension-size-350:35px;--spectrum-global-dimension-size-400:40px;--spectrum-global-dimension-size-450:45px;--spectrum-global-dimension-size-500:50px;--spectrum-global-dimension-size-550:56px;--spectrum-global-dimension-size-600:60px;--spectrum-global-dimension-size-650:65px;--spectrum-global-dimension-size-675:68px;--spectrum-global-dimension-size-700:70px;--spectrum-global-dimension-size-750:75px;--spectrum-global-dimension-size-800:80px;--spectrum-global-dimension-size-900:90px;--spectrum-global-dimension-size-1000:100px;--spectrum-global-dimension-size-1125:112px;--spectrum-global-dimension-size-1200:120px;--spectrum-global-dimension-size-1250:125px;--spectrum-global-dimension-size-1600:160px;--spectrum-global-dimension-size-1700:170px;--spectrum-global-dimension-size-1800:180px;--spectrum-global-dimension-size-2000:200px;--spectrum-global-dimension-size-2400:240px;--spectrum-global-dimension-size-2500:250px;--spectrum-global-dimension-size-3000:300px;--spectrum-global-dimension-size-3400:340px;--spectrum-global-dimension-size-3600:360px;--spectrum-global-dimension-size-4600:460px;--spectrum-global-dimension-size-5000:500px;--spectrum-global-dimension-size-6000:600px;--spectrum-global-dimension-font-size-25:12px;--spectrum-global-dimension-font-size-50:13px;--spectrum-global-dimension-font-size-75:15px;--spectrum-global-dimension-font-size-100:17px;--spectrum-global-dimension-font-size-150:18px;--spectrum-global-dimension-font-size-200:19px;--spectrum-global-dimension-font-size-300:22px;--spectrum-global-dimension-font-size-400:24px;--spectrum-global-dimension-font-size-500:27px;--spectrum-global-dimension-font-size-600:31px;--spectrum-global-dimension-font-size-700:34px;--spectrum-global-dimension-font-size-800:39px;--spectrum-global-dimension-font-size-900:44px;--spectrum-global-dimension-font-size-1000:49px;--spectrum-global-dimension-font-size-1100:55px;--spectrum-global-dimension-font-size-1200:62px;--spectrum-global-dimension-font-size-1300:70px;--spectrum-alias-item-text-padding-top-l:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-item-text-padding-bottom-s:var(--spectrum-global-dimension-static-size-85);--spectrum-alias-item-workflow-padding-left-m:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-item-rounded-workflow-padding-left-m:17px;--spectrum-alias-item-rounded-workflow-padding-left-xl:27px;--spectrum-alias-item-mark-padding-top-m:var(--spectrum-global-dimension-static-size-85);--spectrum-alias-item-mark-padding-bottom-m:var(--spectrum-global-dimension-static-size-85);--spectrum-alias-item-mark-padding-left-m:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-item-control-1-size-l:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-item-control-1-size-xl:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-item-control-2-size-s:var(--spectrum-global-dimension-size-160);--spectrum-alias-item-control-3-height-s:var(--spectrum-global-dimension-size-160);--spectrum-alias-item-control-3-width-s:var(--spectrum-global-dimension-size-325);--spectrum-alias-item-control-3-width-m:var(--spectrum-global-dimension-static-size-450);--spectrum-alias-item-control-3-width-l:41px;--spectrum-alias-item-control-3-width-xl:46px;--spectrum-alias-item-mark-size-m:var(--spectrum-global-dimension-static-size-325);--spectrum-alias-component-focusring-border-radius:var(--spectrum-global-dimension-static-size-75);--spectrum-alias-control-two-size-s:var(--spectrum-global-dimension-size-160);--spectrum-alias-control-three-height-s:var(--spectrum-global-dimension-size-160);--spectrum-alias-control-three-width-s:var(--spectrum-global-dimension-size-325);--spectrum-alias-control-three-width-m:var(--spectrum-global-dimension-static-size-450);--spectrum-alias-control-three-width-l:41px;--spectrum-alias-control-three-width-xl:46px;--spectrum-alias-focus-ring-border-radius-regular:var(--spectrum-global-dimension-static-size-115);--spectrum-alias-focus-ring-radius-default:var(--spectrum-global-dimension-static-size-115);--spectrum-alias-workflow-icon-size-l:var(--spectrum-global-dimension-static-size-300);--spectrum-alias-ui-icon-chevron-size-75:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-chevron-size-100:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-chevron-size-200:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-chevron-size-300:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-chevron-size-400:var(--spectrum-global-dimension-static-size-225);--spectrum-alias-ui-icon-chevron-size-500:var(--spectrum-global-dimension-static-size-250);--spectrum-alias-ui-icon-checkmark-size-50:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-checkmark-size-75:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-checkmark-size-100:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-checkmark-size-200:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-checkmark-size-300:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-checkmark-size-400:var(--spectrum-global-dimension-static-size-225);--spectrum-alias-ui-icon-checkmark-size-500:var(--spectrum-global-dimension-static-size-250);--spectrum-alias-ui-icon-checkmark-size-600:var(--spectrum-global-dimension-static-size-300);--spectrum-alias-ui-icon-dash-size-50:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-dash-size-75:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-dash-size-100:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-dash-size-200:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-dash-size-300:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-dash-size-400:var(--spectrum-global-dimension-static-size-225);--spectrum-alias-ui-icon-dash-size-500:var(--spectrum-global-dimension-static-size-250);--spectrum-alias-ui-icon-dash-size-600:var(--spectrum-global-dimension-static-size-275);--spectrum-alias-ui-icon-cross-size-75:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-cross-size-100:var(--spectrum-global-dimension-static-size-125);--spectrum-alias-ui-icon-cross-size-200:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-cross-size-300:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-cross-size-400:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-cross-size-500:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-cross-size-600:var(--spectrum-global-dimension-static-size-225);--spectrum-alias-ui-icon-arrow-size-75:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-arrow-size-100:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-arrow-size-200:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-arrow-size-300:var(--spectrum-global-dimension-static-size-200);--spectrum-alias-ui-icon-arrow-size-400:var(--spectrum-global-dimension-static-size-225);--spectrum-alias-ui-icon-arrow-size-500:var(--spectrum-global-dimension-static-size-275);--spectrum-alias-ui-icon-arrow-size-600:var(--spectrum-global-dimension-static-size-300);--spectrum-alias-ui-icon-triplegripper-size-100-width:var(--spectrum-global-dimension-static-size-175);--spectrum-alias-ui-icon-doublegripper-size-100-height:var(--spectrum-global-dimension-static-size-75);--spectrum-alias-ui-icon-singlegripper-size-100-height:var(--spectrum-global-dimension-static-size-50);--spectrum-alias-ui-icon-cornertriangle-size-100:var(--spectrum-global-dimension-static-size-85);--spectrum-alias-ui-icon-cornertriangle-size-300:var(--spectrum-global-dimension-static-size-100);--spectrum-alias-ui-icon-asterisk-size-200:var(--spectrum-global-dimension-static-size-150);--spectrum-alias-ui-icon-asterisk-size-300:var(--spectrum-global-dimension-static-size-150);--spectrum-dialog-confirm-title-text-size:var(--spectrum-alias-heading-xs-text-size);--spectrum-dialog-confirm-description-text-size:var(--spectrum-global-dimension-font-size-75)}:host,:root{--spectrum-global-alias-appframe-border-size:1px;--swc-scale-factor:1.25;--spectrum-workflow-icon-size-50:18px;--spectrum-workflow-icon-size-75:20px;--spectrum-workflow-icon-size-100:22px;--spectrum-workflow-icon-size-200:24px;--spectrum-workflow-icon-size-300:28px;--spectrum-arrow-icon-size-75:12px;--spectrum-arrow-icon-size-100:14px;--spectrum-arrow-icon-size-200:16px;--spectrum-arrow-icon-size-300:16px;--spectrum-arrow-icon-size-400:18px;--spectrum-arrow-icon-size-500:22px;--spectrum-arrow-icon-size-600:24px;--spectrum-asterisk-icon-size-100:10px;--spectrum-asterisk-icon-size-200:12px;--spectrum-asterisk-icon-size-300:12px;--spectrum-checkmark-icon-size-50:12px;--spectrum-checkmark-icon-size-75:12px;--spectrum-checkmark-icon-size-100:14px;--spectrum-checkmark-icon-size-200:14px;--spectrum-checkmark-icon-size-300:16px;--spectrum-checkmark-icon-size-400:18px;--spectrum-checkmark-icon-size-500:20px;--spectrum-checkmark-icon-size-600:24px;--spectrum-chevron-icon-size-50:8px;--spectrum-chevron-icon-size-75:12px;--spectrum-chevron-icon-size-100:14px;--spectrum-chevron-icon-size-200:14px;--spectrum-chevron-icon-size-300:16px;--spectrum-chevron-icon-size-400:18px;--spectrum-chevron-icon-size-500:20px;--spectrum-chevron-icon-size-600:24px;--spectrum-corner-triangle-icon-size-75:6px;--spectrum-corner-triangle-icon-size-100:7px;--spectrum-corner-triangle-icon-size-200:8px;--spectrum-corner-triangle-icon-size-300:8px;--spectrum-cross-icon-size-75:10px;--spectrum-cross-icon-size-100:10px;--spectrum-cross-icon-size-200:12px;--spectrum-cross-icon-size-300:14px;--spectrum-cross-icon-size-400:16px;--spectrum-cross-icon-size-500:16px;--spectrum-cross-icon-size-600:18px;--spectrum-dash-icon-size-50:10px;--spectrum-dash-icon-size-75:10px;--spectrum-dash-icon-size-100:12px;--spectrum-dash-icon-size-200:14px;--spectrum-dash-icon-size-300:16px;--spectrum-dash-icon-size-400:18px;--spectrum-dash-icon-size-500:20px;--spectrum-dash-icon-size-600:22px;--spectrum-field-label-text-to-asterisk-small:5px;--spectrum-field-label-text-to-asterisk-medium:5px;--spectrum-field-label-text-to-asterisk-large:6px;--spectrum-field-label-text-to-asterisk-extra-large:6px;--spectrum-field-label-top-to-asterisk-small:11px;--spectrum-field-label-top-to-asterisk-medium:15px;--spectrum-field-label-top-to-asterisk-large:19px;--spectrum-field-label-top-to-asterisk-extra-large:24px;--spectrum-field-label-top-margin-medium:5px;--spectrum-field-label-top-margin-large:6px;--spectrum-field-label-top-margin-extra-large:6px;--spectrum-field-label-to-component-quiet-small:-10px;--spectrum-field-label-to-component-quiet-medium:-10px;--spectrum-field-label-to-component-quiet-large:-15px;--spectrum-field-label-to-component-quiet-extra-large:-19px;--spectrum-help-text-top-to-workflow-icon-small:5px;--spectrum-help-text-top-to-workflow-icon-medium:4px;--spectrum-help-text-top-to-workflow-icon-large:8px;--spectrum-help-text-top-to-workflow-icon-extra-large:11px;--spectrum-status-light-dot-size-medium:10px;--spectrum-status-light-dot-size-large:12px;--spectrum-status-light-dot-size-extra-large:12px;--spectrum-status-light-top-to-dot-small:11px;--spectrum-status-light-top-to-dot-medium:15px;--spectrum-status-light-top-to-dot-large:19px;--spectrum-status-light-top-to-dot-extra-large:24px;--spectrum-action-button-edge-to-hold-icon-medium:5px;--spectrum-action-button-edge-to-hold-icon-large:6px;--spectrum-action-button-edge-to-hold-icon-extra-large:7px;--spectrum-tooltip-tip-width:10px;--spectrum-tooltip-tip-height:5px;--spectrum-tooltip-maximum-width:200px;--spectrum-progress-circle-size-small:20px;--spectrum-progress-circle-size-medium:40px;--spectrum-progress-circle-size-large:80px;--spectrum-progress-circle-thickness-small:3px;--spectrum-progress-circle-thickness-medium:4px;--spectrum-progress-circle-thickness-large:5px;--spectrum-toast-height:56px;--spectrum-toast-maximum-width:420px;--spectrum-toast-top-to-workflow-icon:17px;--spectrum-toast-top-to-text:16px;--spectrum-toast-bottom-to-text:19px;--spectrum-action-bar-height:56px;--spectrum-action-bar-top-to-item-counter:16px;--spectrum-swatch-size-extra-small:20px;--spectrum-swatch-size-small:30px;--spectrum-swatch-size-medium:40px;--spectrum-swatch-size-large:50px;--spectrum-progress-bar-thickness-small:5px;--spectrum-progress-bar-thickness-medium:8px;--spectrum-progress-bar-thickness-large:10px;--spectrum-progress-bar-thickness-extra-large:13px;--spectrum-meter-width:240px;--spectrum-meter-thickness-small:5px;--spectrum-meter-thickness-large:8px;--spectrum-tag-top-to-avatar-small:5px;--spectrum-tag-top-to-avatar-medium:7px;--spectrum-tag-top-to-avatar-large:11px;--spectrum-tag-top-to-cross-icon-small:10px;--spectrum-tag-top-to-cross-icon-medium:15px;--spectrum-tag-top-to-cross-icon-large:19px;--spectrum-popover-top-to-content-area:5px;--spectrum-menu-item-edge-to-content-not-selected-small:24px;--spectrum-menu-item-edge-to-content-not-selected-medium:42px;--spectrum-menu-item-edge-to-content-not-selected-large:47px;--spectrum-menu-item-edge-to-content-not-selected-extra-large:54px;--spectrum-menu-item-top-to-disclosure-icon-small:9px;--spectrum-menu-item-top-to-disclosure-icon-medium:13px;--spectrum-menu-item-top-to-disclosure-icon-large:17px;--spectrum-menu-item-top-to-disclosure-icon-extra-large:22px;--spectrum-menu-item-top-to-selected-icon-small:9px;--spectrum-menu-item-top-to-selected-icon-medium:13px;--spectrum-menu-item-top-to-selected-icon-large:17px;--spectrum-menu-item-top-to-selected-icon-extra-large:22px;--spectrum-slider-control-to-field-label-small:6px;--spectrum-slider-control-to-field-label-medium:10px;--spectrum-slider-control-to-field-label-large:14px;--spectrum-slider-control-to-field-label-extra-large:17px;--spectrum-picker-visual-to-disclosure-icon-small:9px;--spectrum-picker-visual-to-disclosure-icon-medium:10px;--spectrum-picker-visual-to-disclosure-icon-large:11px;--spectrum-picker-visual-to-disclosure-icon-extra-large:13px;--spectrum-text-area-minimum-width:140px;--spectrum-text-area-minimum-height:70px;--spectrum-combo-box-visual-to-field-button-small:9px;--spectrum-combo-box-visual-to-field-button-medium:10px;--spectrum-combo-box-visual-to-field-button-large:11px;--spectrum-combo-box-visual-to-field-button-extra-large:13px;--spectrum-thumbnail-size-50:20px;--spectrum-thumbnail-size-75:22px;--spectrum-thumbnail-size-100:26px;--spectrum-thumbnail-size-200:28px;--spectrum-thumbnail-size-300:32px;--spectrum-thumbnail-size-400:36px;--spectrum-thumbnail-size-500:40px;--spectrum-thumbnail-size-600:46px;--spectrum-thumbnail-size-700:50px;--spectrum-thumbnail-size-800:55px;--spectrum-thumbnail-size-900:62px;--spectrum-thumbnail-size-1000:70px;--spectrum-alert-dialog-title-size:var(--spectrum-heading-size-xs);--spectrum-alert-dialog-description-size:var(--spectrum-body-size-xs);--spectrum-opacity-checkerboard-square-size:10px;--spectrum-contextual-help-title-size:var(--spectrum-heading-size-xxs);--spectrum-contextual-help-body-size:var(--spectrum-body-size-xs);--spectrum-breadcrumbs-height-multiline:84px;--spectrum-breadcrumbs-top-to-text:17px;--spectrum-breadcrumbs-top-to-text-compact:16px;--spectrum-breadcrumbs-top-to-text-multiline:15px;--spectrum-breadcrumbs-bottom-to-text:19px;--spectrum-breadcrumbs-bottom-to-text-compact:19px;--spectrum-breadcrumbs-bottom-to-text-multiline:10px;--spectrum-breadcrumbs-start-edge-to-text:9px;--spectrum-breadcrumbs-top-text-to-bottom-text:11px;--spectrum-breadcrumbs-top-to-separator-icon:25px;--spectrum-breadcrumbs-top-to-separator-icon-compact:23px;--spectrum-breadcrumbs-top-to-separator-icon-multiline:20px;--spectrum-breadcrumbs-separator-icon-to-bottom-text-multiline:15px;--spectrum-breadcrumbs-top-to-truncated-menu:10px;--spectrum-breadcrumbs-top-to-truncated-menu-compact:5px;--spectrum-avatar-size-50:20px;--spectrum-avatar-size-75:22px;--spectrum-avatar-size-100:26px;--spectrum-avatar-size-200:28px;--spectrum-avatar-size-300:32px;--spectrum-avatar-size-400:36px;--spectrum-avatar-size-500:40px;--spectrum-avatar-size-600:46px;--spectrum-avatar-size-700:50px;--spectrum-alert-banner-minimum-height:64px;--spectrum-alert-banner-width:680px;--spectrum-alert-banner-top-to-workflow-icon:21px;--spectrum-alert-banner-top-to-text:21px;--spectrum-alert-banner-bottom-to-text:22px;--spectrum-rating-indicator-width:22px;--spectrum-rating-indicator-to-icon:5px;--spectrum-color-area-width:240px;--spectrum-color-area-minimum-width:80px;--spectrum-color-area-height:240px;--spectrum-color-area-minimum-height:80px;--spectrum-color-wheel-width:240px;--spectrum-color-wheel-minimum-width:219px;--spectrum-color-slider-length:240px;--spectrum-color-slider-minimum-length:100px;--spectrum-illustrated-message-title-size:var(--spectrum-heading-size-s);--spectrum-illustrated-message-cjk-title-size:var(--spectrum-heading-cjk-size-s);--spectrum-illustrated-message-body-size:var(--spectrum-body-size-xs);--spectrum-coach-mark-width:216px;--spectrum-coach-mark-minimum-width:216px;--spectrum-coach-mark-maximum-width:248px;--spectrum-coach-mark-edge-to-content:var(--spectrum-spacing-300);--spectrum-coach-mark-pagination-text-to-bottom-edge:22px;--spectrum-coach-mark-media-height:162px;--spectrum-coach-mark-media-minimum-height:121px;--spectrum-coach-mark-title-size:var(--spectrum-heading-size-xxs);--spectrum-coach-mark-body-size:var(--spectrum-body-size-xs);--spectrum-coach-mark-pagination-body-size:var(--spectrum-body-size-xs);--spectrum-accordion-top-to-text-regular-small:7px;--spectrum-accordion-small-top-to-text-spacious:12px;--spectrum-accordion-top-to-text-regular-medium:9px;--spectrum-accordion-top-to-text-spacious-medium:14px;--spectrum-accordion-top-to-text-compact-large:7px;--spectrum-accordion-top-to-text-regular-large:12px;--spectrum-accordion-top-to-text-spacious-large:14px;--spectrum-accordion-top-to-text-compact-extra-large:7px;--spectrum-accordion-top-to-text-regular-extra-large:12px;--spectrum-accordion-top-to-text-spacious-extra-large:14px;--spectrum-accordion-bottom-to-text-compact-small:4px;--spectrum-accordion-bottom-to-text-regular-small:9px;--spectrum-accordion-bottom-to-text-spacious-small:14px;--spectrum-accordion-bottom-to-text-compact-medium:8px;--spectrum-accordion-bottom-to-text-regular-medium:13px;--spectrum-accordion-bottom-to-text-spacious-medium:18px;--spectrum-accordion-bottom-to-text-compact-large:9px;--spectrum-accordion-bottom-to-text-regular-large:14px;--spectrum-accordion-bottom-to-text-spacious-large:19px;--spectrum-accordion-bottom-to-text-compact-extra-large:10px;--spectrum-accordion-bottom-to-text-regular-extra-large:15px;--spectrum-accordion-bottom-to-text-spacious-extra-large:21px;--spectrum-accordion-minimum-width:250px;--spectrum-accordion-content-area-top-to-content:10px;--spectrum-accordion-content-area-bottom-to-content:20px;--spectrum-color-handle-size:20px;--spectrum-color-handle-size-key-focus:40px;--spectrum-table-column-header-row-top-to-text-small:10px;--spectrum-table-column-header-row-top-to-text-medium:9px;--spectrum-table-column-header-row-top-to-text-large:13px;--spectrum-table-column-header-row-top-to-text-extra-large:16px;--spectrum-table-column-header-row-bottom-to-text-small:11px;--spectrum-table-column-header-row-bottom-to-text-medium:10px;--spectrum-table-column-header-row-bottom-to-text-large:13px;--spectrum-table-column-header-row-bottom-to-text-extra-large:17px;--spectrum-table-row-height-small-regular:40px;--spectrum-table-row-height-medium-regular:50px;--spectrum-table-row-height-large-regular:60px;--spectrum-table-row-height-extra-large-regular:70px;--spectrum-table-row-height-small-spacious:50px;--spectrum-table-row-height-medium-spacious:60px;--spectrum-table-row-height-large-spacious:70px;--spectrum-table-row-height-extra-large-spacious:80px;--spectrum-table-row-top-to-text-small-regular:10px;--spectrum-table-row-top-to-text-medium-regular:14px;--spectrum-table-row-top-to-text-large-regular:18px;--spectrum-table-row-top-to-text-extra-large-regular:21px;--spectrum-table-row-bottom-to-text-small-regular:11px;--spectrum-table-row-bottom-to-text-medium-regular:15px;--spectrum-table-row-bottom-to-text-large-regular:18px;--spectrum-table-row-bottom-to-text-extra-large-regular:22px;--spectrum-table-row-top-to-text-small-spacious:15px;--spectrum-table-row-top-to-text-medium-spacious:18px;--spectrum-table-row-top-to-text-large-spacious:23px;--spectrum-table-row-top-to-text-extra-large-spacious:26px;--spectrum-table-row-bottom-to-text-small-spacious:16px;--spectrum-table-row-bottom-to-text-medium-spacious:18px;--spectrum-table-row-bottom-to-text-large-spacious:23px;--spectrum-table-row-bottom-to-text-extra-large-spacious:27px;--spectrum-table-checkbox-to-text:30px;--spectrum-table-header-row-checkbox-to-top-small:14px;--spectrum-table-header-row-checkbox-to-top-medium:13px;--spectrum-table-header-row-checkbox-to-top-large:17px;--spectrum-table-header-row-checkbox-to-top-extra-large:21px;--spectrum-table-row-checkbox-to-top-small-compact:9px;--spectrum-table-row-checkbox-to-top-small-regular:14px;--spectrum-table-row-checkbox-to-top-small-spacious:19px;--spectrum-table-row-checkbox-to-top-medium-compact:13px;--spectrum-table-row-checkbox-to-top-medium-regular:18px;--spectrum-table-row-checkbox-to-top-medium-spacious:23px;--spectrum-table-row-checkbox-to-top-large-compact:17px;--spectrum-table-row-checkbox-to-top-large-regular:22px;--spectrum-table-row-checkbox-to-top-large-spacious:27px;--spectrum-table-row-checkbox-to-top-extra-large-compact:21px;--spectrum-table-row-checkbox-to-top-extra-large-regular:26px;--spectrum-table-row-checkbox-to-top-extra-large-spacious:31px;--spectrum-table-section-header-row-height-small:30px;--spectrum-table-section-header-row-height-medium:40px;--spectrum-table-section-header-row-height-large:50px;--spectrum-table-section-header-row-height-extra-large:60px;--spectrum-table-thumbnail-to-top-minimum-small-compact:5px;--spectrum-table-thumbnail-to-top-minimum-medium-compact:6px;--spectrum-table-thumbnail-to-top-minimum-large-compact:9px;--spectrum-table-thumbnail-to-top-minimum-extra-large-compact:10px;--spectrum-table-thumbnail-to-top-minimum-small-regular:6px;--spectrum-table-thumbnail-to-top-minimum-medium-regular:9px;--spectrum-table-thumbnail-to-top-minimum-large-regular:10px;--spectrum-table-thumbnail-to-top-minimum-extra-large-regular:10px;--spectrum-table-thumbnail-to-top-minimum-small-spacious:9px;--spectrum-table-thumbnail-to-top-minimum-medium-spacious:10px;--spectrum-table-thumbnail-to-top-minimum-large-spacious:10px;--spectrum-table-thumbnail-to-top-minimum-extra-large-spacious:12px;--spectrum-tab-item-to-tab-item-horizontal-small:27px;--spectrum-tab-item-to-tab-item-horizontal-medium:30px;--spectrum-tab-item-to-tab-item-horizontal-large:33px;--spectrum-tab-item-to-tab-item-horizontal-extra-large:36px;--spectrum-tab-item-to-tab-item-vertical-small:5px;--spectrum-tab-item-to-tab-item-vertical-medium:5px;--spectrum-tab-item-to-tab-item-vertical-large:6px;--spectrum-tab-item-to-tab-item-vertical-extra-large:6px;--spectrum-tab-item-start-to-edge-small:13px;--spectrum-tab-item-start-to-edge-medium:15px;--spectrum-tab-item-start-to-edge-large:17px;--spectrum-tab-item-start-to-edge-extra-large:19px;--spectrum-tab-item-top-to-text-small:14px;--spectrum-tab-item-bottom-to-text-small:15px;--spectrum-tab-item-top-to-text-medium:18px;--spectrum-tab-item-bottom-to-text-medium:19px;--spectrum-tab-item-top-to-text-large:22px;--spectrum-tab-item-bottom-to-text-large:22px;--spectrum-tab-item-top-to-text-extra-large:25px;--spectrum-tab-item-bottom-to-text-extra-large:25px;--spectrum-tab-item-top-to-text-compact-small:5px;--spectrum-tab-item-bottom-to-text-compact-small:6px;--spectrum-tab-item-top-to-text-compact-medium:9px;--spectrum-tab-item-bottom-to-text-compact-medium:10px;--spectrum-tab-item-top-to-text-compact-large:12px;--spectrum-tab-item-bottom-to-text-compact-large:14px;--spectrum-tab-item-top-to-text-compact-extra-large:15px;--spectrum-tab-item-bottom-to-text-compact-extra-large:17px;--spectrum-tab-item-top-to-workflow-icon-small:15px;--spectrum-tab-item-top-to-workflow-icon-medium:19px;--spectrum-tab-item-top-to-workflow-icon-large:23px;--spectrum-tab-item-top-to-workflow-icon-extra-large:26px;--spectrum-tab-item-top-to-workflow-icon-compact-small:5px;--spectrum-tab-item-top-to-workflow-icon-compact-medium:9px;--spectrum-tab-item-top-to-workflow-icon-compact-large:13px;--spectrum-tab-item-top-to-workflow-icon-compact-extra-large:16px;--spectrum-tab-item-focus-indicator-gap-small:9px;--spectrum-tab-item-focus-indicator-gap-medium:10px;--spectrum-tab-item-focus-indicator-gap-large:11px;--spectrum-tab-item-focus-indicator-gap-extra-large:12px;--spectrum-side-navigation-width:240px;--spectrum-side-navigation-minimum-width:200px;--spectrum-side-navigation-maximum-width:300px;--spectrum-side-navigation-second-level-edge-to-text:30px;--spectrum-side-navigation-third-level-edge-to-text:45px;--spectrum-side-navigation-with-icon-second-level-edge-to-text:62px;--spectrum-side-navigation-with-icon-third-level-edge-to-text:77px;--spectrum-side-navigation-item-to-item:5px;--spectrum-side-navigation-item-to-header:30px;--spectrum-side-navigation-header-to-item:10px;--spectrum-side-navigation-bottom-to-text:10px;--spectrum-tray-top-to-content-area:5px;--spectrum-text-to-visual-50:8px;--spectrum-text-to-visual-75:9px;--spectrum-text-to-visual-100:10px;--spectrum-text-to-visual-200:11px;--spectrum-text-to-visual-300:13px;--spectrum-text-to-control-75:11px;--spectrum-text-to-control-100:13px;--spectrum-text-to-control-200:14px;--spectrum-text-to-control-300:16px;--spectrum-component-height-50:26px;--spectrum-component-height-75:30px;--spectrum-component-height-100:40px;--spectrum-component-height-200:50px;--spectrum-component-height-300:60px;--spectrum-component-height-400:70px;--spectrum-component-height-500:80px;--spectrum-component-pill-edge-to-visual-75:13px;--spectrum-component-pill-edge-to-visual-100:17px;--spectrum-component-pill-edge-to-visual-200:22px;--spectrum-component-pill-edge-to-visual-300:27px;--spectrum-component-pill-edge-to-visual-only-75:5px;--spectrum-component-pill-edge-to-visual-only-100:9px;--spectrum-component-pill-edge-to-visual-only-200:13px;--spectrum-component-pill-edge-to-visual-only-300:16px;--spectrum-component-pill-edge-to-text-75:15px;--spectrum-component-pill-edge-to-text-100:20px;--spectrum-component-pill-edge-to-text-200:25px;--spectrum-component-pill-edge-to-text-300:30px;--spectrum-component-edge-to-visual-50:7px;--spectrum-component-edge-to-visual-75:9px;--spectrum-component-edge-to-visual-100:12px;--spectrum-component-edge-to-visual-200:16px;--spectrum-component-edge-to-visual-300:19px;--spectrum-component-edge-to-visual-only-50:4px;--spectrum-component-edge-to-visual-only-75:5px;--spectrum-component-edge-to-visual-only-100:9px;--spectrum-component-edge-to-visual-only-200:13px;--spectrum-component-edge-to-visual-only-300:16px;--spectrum-component-edge-to-text-50:10px;--spectrum-component-edge-to-text-75:11px;--spectrum-component-edge-to-text-100:15px;--spectrum-component-edge-to-text-200:19px;--spectrum-component-edge-to-text-300:22px;--spectrum-component-top-to-workflow-icon-50:4px;--spectrum-component-top-to-workflow-icon-75:5px;--spectrum-component-top-to-workflow-icon-100:9px;--spectrum-component-top-to-workflow-icon-200:13px;--spectrum-component-top-to-workflow-icon-300:16px;--spectrum-component-top-to-text-50:4px;--spectrum-component-top-to-text-75:5px;--spectrum-component-top-to-text-100:8px;--spectrum-component-top-to-text-200:12px;--spectrum-component-top-to-text-300:15px;--spectrum-component-bottom-to-text-50:6px;--spectrum-component-bottom-to-text-75:6px;--spectrum-component-bottom-to-text-100:11px;--spectrum-component-bottom-to-text-200:14px;--spectrum-component-bottom-to-text-300:18px;--spectrum-component-to-menu-small:7px;--spectrum-component-to-menu-medium:8px;--spectrum-component-to-menu-large:9px;--spectrum-component-to-menu-extra-large:10px;--spectrum-field-edge-to-disclosure-icon-75:9px;--spectrum-field-edge-to-disclosure-icon-100:13px;--spectrum-field-edge-to-disclosure-icon-200:17px;--spectrum-field-edge-to-disclosure-icon-300:22px;--spectrum-field-end-edge-to-disclosure-icon-75:9px;--spectrum-field-end-edge-to-disclosure-icon-100:13px;--spectrum-field-end-edge-to-disclosure-icon-200:17px;--spectrum-field-end-edge-to-disclosure-icon-300:22px;--spectrum-field-top-to-disclosure-icon-75:9px;--spectrum-field-top-to-disclosure-icon-100:13px;--spectrum-field-top-to-disclosure-icon-200:17px;--spectrum-field-top-to-disclosure-icon-300:22px;--spectrum-field-top-to-alert-icon-small:5px;--spectrum-field-top-to-alert-icon-medium:9px;--spectrum-field-top-to-alert-icon-large:13px;--spectrum-field-top-to-alert-icon-extra-large:16px;--spectrum-field-top-to-validation-icon-small:9px;--spectrum-field-top-to-validation-icon-medium:13px;--spectrum-field-top-to-validation-icon-large:17px;--spectrum-field-top-to-validation-icon-extra-large:22px;--spectrum-field-top-to-progress-circle-small:7px;--spectrum-field-top-to-progress-circle-medium:12px;--spectrum-field-top-to-progress-circle-large:17px;--spectrum-field-top-to-progress-circle-extra-large:22px;--spectrum-field-edge-to-alert-icon-small:11px;--spectrum-field-edge-to-alert-icon-medium:15px;--spectrum-field-edge-to-alert-icon-large:19px;--spectrum-field-edge-to-alert-icon-extra-large:22px;--spectrum-field-edge-to-validation-icon-small:11px;--spectrum-field-edge-to-validation-icon-medium:15px;--spectrum-field-edge-to-validation-icon-large:19px;--spectrum-field-edge-to-validation-icon-extra-large:22px;--spectrum-field-text-to-alert-icon-small:10px;--spectrum-field-text-to-alert-icon-medium:15px;--spectrum-field-text-to-alert-icon-large:19px;--spectrum-field-text-to-alert-icon-extra-large:22px;--spectrum-field-text-to-validation-icon-small:10px;--spectrum-field-text-to-validation-icon-medium:15px;--spectrum-field-text-to-validation-icon-large:19px;--spectrum-field-text-to-validation-icon-extra-large:22px;--spectrum-field-width:240px;--spectrum-character-count-to-field-quiet-small:-4px;--spectrum-character-count-to-field-quiet-medium:-4px;--spectrum-character-count-to-field-quiet-large:-4px;--spectrum-character-count-to-field-quiet-extra-large:-5px;--spectrum-side-label-character-count-to-field:15px;--spectrum-side-label-character-count-top-margin-small:5px;--spectrum-side-label-character-count-top-margin-medium:10px;--spectrum-side-label-character-count-top-margin-large:14px;--spectrum-side-label-character-count-top-margin-extra-large:18px;--spectrum-disclosure-indicator-top-to-disclosure-icon-small:9px;--spectrum-disclosure-indicator-top-to-disclosure-icon-medium:13px;--spectrum-disclosure-indicator-top-to-disclosure-icon-large:17px;--spectrum-disclosure-indicator-top-to-disclosure-icon-extra-large:22px;--spectrum-navigational-indicator-top-to-back-icon-small:7px;--spectrum-navigational-indicator-top-to-back-icon-medium:12px;--spectrum-navigational-indicator-top-to-back-icon-large:16px;--spectrum-navigational-indicator-top-to-back-icon-extra-large:19px;--spectrum-color-control-track-width:30px;--spectrum-font-size-50:13px;--spectrum-font-size-75:15px;--spectrum-font-size-100:17px;--spectrum-font-size-200:19px;--spectrum-font-size-300:22px;--spectrum-font-size-400:24px;--spectrum-font-size-500:27px;--spectrum-font-size-600:31px;--spectrum-font-size-700:34px;--spectrum-font-size-800:39px;--spectrum-font-size-900:44px;--spectrum-font-size-1000:49px;--spectrum-font-size-1100:55px;--spectrum-font-size-1200:62px;--spectrum-font-size-1300:70px;--spectrum-slider-tick-mark-height:13px;--spectrum-slider-ramp-track-height:20px;--spectrum-colorwheel-path:"M 119 119 m -119 0 a 119 119 0 1 0 238 0 a 119 119 0 1 0 -238 0.2 M 119 119 m -91 0 a 91 91 0 1 0 182 0 a 91 91 0 1 0 -182 0";--spectrum-colorwheel-path-borders:"M 120 120 m -120 0 a 120 120 0 1 0 240 0 a 120 120 0 1 0 -240 0.2 M 120 120 m -90 0 a 90 90 0 1 0 180 0 a 90 90 0 1 0 -180 0";--spectrum-colorwheel-colorarea-container-size:182px;--spectrum-colorloupe-checkerboard-fill:url(#checkerboard-secondary);--spectrum-menu-item-selectable-edge-to-text-not-selected-small:34px;--spectrum-menu-item-selectable-edge-to-text-not-selected-medium:42px;--spectrum-menu-item-selectable-edge-to-text-not-selected-large:47px;--spectrum-menu-item-selectable-edge-to-text-not-selected-extra-large:54px;--spectrum-menu-item-checkmark-height-small:12px;--spectrum-menu-item-checkmark-height-medium:14px;--spectrum-menu-item-checkmark-height-large:16px;--spectrum-menu-item-checkmark-height-extra-large:16px;--spectrum-menu-item-checkmark-width-small:12px;--spectrum-menu-item-checkmark-width-medium:14px;--spectrum-menu-item-checkmark-width-large:16px;--spectrum-menu-item-checkmark-width-extra-large:16px;--spectrum-rating-icon-spacing:var(--spectrum-spacing-100);--spectrum-button-top-to-text-small:6px;--spectrum-button-bottom-to-text-small:5px;--spectrum-button-top-to-text-medium:9px;--spectrum-button-bottom-to-text-medium:10px;--spectrum-button-top-to-text-large:12px;--spectrum-button-bottom-to-text-large:13px;--spectrum-button-top-to-text-extra-large:16px;--spectrum-button-bottom-to-text-extra-large:17px;--spectrum-alert-banner-close-button-spacing:var(--spectrum-spacing-200);--spectrum-alert-banner-edge-to-divider:var(--spectrum-spacing-200);--spectrum-alert-banner-edge-to-button:var(--spectrum-spacing-200);--spectrum-alert-banner-text-to-button-vertical:var(--spectrum-spacing-200);--spectrum-alert-dialog-padding:var(--spectrum-spacing-400);--spectrum-alert-dialog-description-to-buttons:var(--spectrum-spacing-600);--spectrum-coach-indicator-gap:8px;--spectrum-coach-indicator-ring-diameter:20px;--spectrum-coach-indicator-quiet-ring-diameter:10px;--spectrum-coachmark-buttongroup-display:none;--spectrum-coachmark-buttongroup-mobile-display:flex;--spectrum-coachmark-menu-display:none;--spectrum-coachmark-menu-mobile-display:inline-flex;--spectrum-well-padding:20px;--spectrum-well-margin-top:5px;--spectrum-well-min-width:300px;--spectrum-well-border-radius:5px;--spectrum-workflow-icon-size-xxl:40px;--spectrum-workflow-icon-size-xxs:15px;--spectrum-treeview-item-indentation-medium:20px;--spectrum-treeview-item-indentation-small:15px;--spectrum-treeview-item-indentation-large:25px;--spectrum-treeview-item-indentation-extra-large:30px;--spectrum-treeview-indicator-inset-block-start:6px;--spectrum-treeview-item-min-block-size-thumbnail-offset-medium:2px;--spectrum-dialog-confirm-entry-animation-distance:25px;--spectrum-dialog-confirm-hero-height:160px;--spectrum-dialog-confirm-border-radius:5px;--spectrum-dialog-confirm-title-text-size:19px;--spectrum-dialog-confirm-description-text-size:15px;--spectrum-dialog-confirm-padding-grid:24px;--spectrum-datepicker-initial-width:160px;--spectrum-datepicker-generic-padding:15px;--spectrum-datepicker-dash-line-height:30px;--spectrum-datepicker-width-quiet-first:90px;--spectrum-datepicker-width-quiet-second:20px;--spectrum-datepicker-datetime-width-first:45px;--spectrum-datepicker-invalid-icon-to-button:10px;--spectrum-datepicker-invalid-icon-to-button-quiet:9px;--spectrum-datepicker-input-datetime-width:30px;--spectrum-pagination-textfield-width:60px;--spectrum-pagination-item-inline-spacing:6px;--spectrum-dial-border-radius:20px;--spectrum-dial-handle-position:10px;--spectrum-dial-handle-block-margin:20px;--spectrum-dial-handle-inline-margin:20px;--spectrum-dial-controls-margin:10px;--spectrum-dial-label-gap-y:6px;--spectrum-dial-label-container-top-to-text:5px;--spectrum-assetcard-focus-ring-border-radius:9px;--spectrum-assetcard-selectionindicator-margin:15px;--spectrum-assetcard-title-font-size:var(--spectrum-heading-size-xxs);--spectrum-assetcard-header-content-font-size:var(--spectrum-heading-size-xxs);--spectrum-assetcard-content-font-size:var(--spectrum-body-size-xs);--spectrum-tooltip-animation-distance:5px;--spectrum-ui-icon-medium-display:none;--spectrum-ui-icon-large-display:block;--spectrum-checkbox-control-size-small:16px;--spectrum-checkbox-control-size-medium:18px;--spectrum-checkbox-control-size-large:20px;--spectrum-checkbox-control-size-extra-large:22px;--spectrum-checkbox-top-to-control-small:7px;--spectrum-checkbox-top-to-control-medium:11px;--spectrum-checkbox-top-to-control-large:15px;--spectrum-checkbox-top-to-control-extra-large:19px;--spectrum-switch-control-width-small:32px;--spectrum-switch-control-width-medium:36px;--spectrum-switch-control-width-large:41px;--spectrum-switch-control-width-extra-large:46px;--spectrum-switch-control-height-small:16px;--spectrum-switch-control-height-medium:18px;--spectrum-switch-control-height-large:20px;--spectrum-switch-control-height-extra-large:22px;--spectrum-switch-top-to-control-small:7px;--spectrum-switch-top-to-control-medium:11px;--spectrum-switch-top-to-control-large:15px;--spectrum-switch-top-to-control-extra-large:19px;--spectrum-radio-button-control-size-small:16px;--spectrum-radio-button-control-size-medium:18px;--spectrum-radio-button-control-size-large:20px;--spectrum-radio-button-control-size-extra-large:22px;--spectrum-radio-button-top-to-control-small:7px;--spectrum-radio-button-top-to-control-medium:11px;--spectrum-radio-button-top-to-control-large:15px;--spectrum-radio-button-top-to-control-extra-large:19px;--spectrum-slider-control-height-small:18px;--spectrum-slider-control-height-medium:20px;--spectrum-slider-control-height-large:22px;--spectrum-slider-control-height-extra-large:26px;--spectrum-slider-handle-size-small:18px;--spectrum-slider-handle-size-medium:20px;--spectrum-slider-handle-size-large:22px;--spectrum-slider-handle-size-extra-large:26px;--spectrum-slider-handle-border-width-down-small:7px;--spectrum-slider-handle-border-width-down-medium:8px;--spectrum-slider-handle-border-width-down-large:9px;--spectrum-slider-handle-border-width-down-extra-large:11px;--spectrum-slider-bottom-to-handle-small:6px;--spectrum-slider-bottom-to-handle-medium:10px;--spectrum-slider-bottom-to-handle-large:14px;--spectrum-slider-bottom-to-handle-extra-large:17px;--spectrum-corner-radius-100:5px;--spectrum-corner-radius-200:10px;--spectrum-drop-shadow-y:2px;--spectrum-drop-shadow-blur:6px}:root,:host{--spectrum-global-alias-appframe-border-size:1px;--swc-scale-factor:1.25}\n'
    ]);
    _templateObject$d = function _templateObject() {
        return data;
    };
    return data;
}
var e$1 = i$p(_templateObject$d());
var e$2 = e$1;

Theme.registerThemeFragment("large", "scale", e$2);

function _tagged_template_literal$c(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$c() {
    var data = _tagged_template_literal$c([
        '\n    :host{--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-500);--spectrum-thumbnail-border-radius:var(--spectrum-corner-radius-75);--spectrum-thumbnail-border-width:var(--spectrum-border-width-100);--spectrum-thumbnail-border-color-rgba:rgba(var(--spectrum-gray-800-rgb),var(--spectrum-thumbnail-border-color-opacity));--spectrum-thumbnail-layer-border-width-inner:var(--spectrum-border-width-400);--spectrum-thumbnail-layer-border-color-inner:var(--spectrum-white);--spectrum-thumbnail-layer-border-width-outer:var(--spectrum-border-width-100);--spectrum-thumbnail-layer-border-color-outer:var(--spectrum-gray-500);--spectrum-thumbnail-border-width-selected:var(--spectrum-border-width-200);--spectrum-thumbnail-border-color-selected:var(--spectrum-accent-color-800);--spectrum-thumbnail-focus-indicator-thickness:var(--spectrum-focus-indicator-thickness);--spectrum-thumbnail-focus-indicator-gap:var(--spectrum-focus-indicator-gap);--spectrum-thumbnail-focus-indicator-color:var(--spectrum-focus-indicator-color);--spectrum-thumbnail-color-opacity-disabled:var(--spectrum-thumbnail-opacity-disabled)}:host([size="50"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-50)}:host([size="75"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-75)}:host([size="100"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-100)}:host([size="200"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-200)}:host([size="300"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-300)}:host([size="400"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-400)}:host([size="500"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-500)}:host([size="600"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-600)}:host([size="700"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-700)}:host([size="800"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-800)}:host([size="900"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-900)}:host([size="1000"]){--spectrum-thumbnail-size:var(--spectrum-thumbnail-size-1000)}:host{inline-size:var(--mod-thumbnail-size,var(--spectrum-thumbnail-size));block-size:var(--mod-thumbnail-size,var(--spectrum-thumbnail-size));border-radius:var(--mod-thumbnail-border-radius,var(--spectrum-thumbnail-border-radius));vertical-align:top;z-index:0;margin:0;padding:0;display:block;position:relative;overflow:hidden}:host:before{content:"";z-index:2;border-radius:var(--mod-thumbnail-border-radius,var(--spectrum-thumbnail-border-radius));box-shadow:inset 0 0 0 var(--mod-thumbnail-border-width,var(--spectrum-thumbnail-border-width))var(--highcontrast-thumbnail-border-color,var(--mod-thumbnail-border-color,var(--spectrum-thumbnail-border-color-rgba)));block-size:100%;inline-size:100%;position:absolute}:host([disabled]){opacity:var(--mod-thumbnail-color-opacity-disabled,var(--spectrum-thumbnail-color-opacity-disabled))}:host([focused]){overflow:visible}:host([focused]):after{content:"";border-style:solid;border-width:var(--mod-thumbnail-focus-indicator-thickness,var(--spectrum-thumbnail-focus-indicator-thickness));border-color:var(--highcontrast-thumbnail-focus-indicator-color,var(--mod-thumbnail-focus-indicator-color,var(--spectrum-thumbnail-focus-indicator-color)));border-radius:var(--mod-thumbnail-border-radius,var(--spectrum-thumbnail-border-radius));position:absolute;inset-block-start:calc(( var(--mod-thumbnail-focus-indicator-gap,var(--spectrum-thumbnail-focus-indicator-gap)) + var(--mod-thumbnail-focus-indicator-thickness,var(--spectrum-thumbnail-focus-indicator-thickness)))*-1);inset-block-end:calc(( var(--mod-thumbnail-focus-indicator-gap,var(--spectrum-thumbnail-focus-indicator-gap)) + var(--mod-thumbnail-focus-indicator-thickness,var(--spectrum-thumbnail-focus-indicator-thickness)))*-1);inset-inline-start:calc(( var(--mod-thumbnail-focus-indicator-gap,var(--spectrum-thumbnail-focus-indicator-gap)) + var(--mod-thumbnail-focus-indicator-thickness,var(--spectrum-thumbnail-focus-indicator-thickness)))*-1);inset-inline-end:calc(( var(--mod-thumbnail-focus-indicator-gap,var(--spectrum-thumbnail-focus-indicator-gap)) + var(--mod-thumbnail-focus-indicator-thickness,var(--spectrum-thumbnail-focus-indicator-thickness)))*-1)}:host([focused]) .image-wrapper{border-radius:var(--mod-thumbnail-border-radius,var(--spectrum-thumbnail-border-radius));overflow:hidden}:host([layer]){border-style:solid;border-width:var(--mod-thumbnail-layer-border-width-outer,var(--spectrum-thumbnail-layer-border-width-outer));border-color:var(--highcontrast-thumbnail-layer-border-color-outer,var(--mod-thumbnail-layer-border-color-outer,var(--spectrum-thumbnail-layer-border-color-outer)));box-sizing:border-box;justify-content:center;align-items:center;display:flex}:host([layer]):before{content:none}:host([layer][selected]){outline-style:solid;outline-color:var(--highcontrast-thumbnail-border-color-selected,var(--mod-thumbnail-border-color-selected,var(--spectrum-thumbnail-border-color-selected)));outline-width:var(--mod-thumbnail-border-width-selected,var(--spectrum-thumbnail-border-width-selected));outline-offset:calc(var(--mod-thumbnail-border-width-selected,var(--spectrum-thumbnail-border-width-selected)) - var(--mod-thumbnail-layer-border-width-inner,var(--spectrum-thumbnail-layer-border-width-inner)))}.layer-inner{inline-size:calc(var(--spectrum-thumbnail-size) - ( var(--mod-thumbnail-layer-border-width-inner,var(--spectrum-thumbnail-layer-border-width-inner)))*2);block-size:calc(var(--spectrum-thumbnail-size) - ( var(--mod-thumbnail-layer-border-width-inner,var(--spectrum-thumbnail-layer-border-width-inner)))*2);outline-style:solid;outline-color:var(--highcontrast-thumbnail-layer-border-color-inner,var(--mod-thumbnail-layer-border-color-inner,var(--spectrum-thumbnail-layer-border-color-inner)));outline-width:calc(var(--mod-thumbnail-layer-border-width-inner,var(--spectrum-thumbnail-layer-border-width-inner)) - var(--mod-thumbnail-layer-border-width-outer,var(--spectrum-thumbnail-layer-border-width-outer)));justify-content:center;align-items:center;display:flex}.image-wrapper{justify-content:center;align-items:center;block-size:100%;inline-size:100%;display:flex}::slotted(*){z-index:1;max-block-size:100%;max-inline-size:100%;position:relative}:host([cover]) ::slotted(*){object-fit:cover;object-position:center;block-size:100%;inline-size:100%}.background{z-index:0;border-radius:var(--mod-thumbnail-border-radius,var(--spectrum-thumbnail-border-radius));background-position:50%;background-size:cover;block-size:100%;inline-size:100%;position:absolute;inset-block:0;inset-inline:0}@media (forced-colors:active){:host{forced-color-adjust:none;--highcontrast-thumbnail-border-color-selected:Highlight;--highcontrast-thumbnail-focus-indicator-color:Highlight;--highcontrast-thumbnail-border-color:CanvasText;--highcontrast-thumbnail-layer-border-color-inner:Canvas;--highcontrast-thumbnail-layer-border-color-outer:CanvasText}}::slotted(:not(img)){display:none}\n'
    ]);
    _templateObject$c = function _templateObject() {
        return data;
    };
    return data;
}
var e = i$p(_templateObject$c());
var y$2 = e;

function _assert_this_initialized$7(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$7(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$7(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$7(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$7(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$7(Constructor, staticProps);
    return Constructor;
}
function _get$5(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$5 = Reflect.get;
    } else {
        _get$5 = function get(target, property, receiver) {
            var base = _super_prop_base$5(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$5(target, property, receiver || target);
}
function _get_prototype_of$7(o) {
    _get_prototype_of$7 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$7(o);
}
function _inherits$7(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$7(subClass, superClass);
}
function _possible_constructor_return$7(self, call) {
    if (call && (_type_of$7(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$7(self);
}
function _set_prototype_of$7(o, p) {
    _set_prototype_of$7 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$7(o, p);
}
function _super_prop_base$5(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$7(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$b(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$7(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$7() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$7(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$7();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$7(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$7(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$7(this, result);
    };
}
function _templateObject$b() {
    var data = _tagged_template_literal$b([
        '\n                <div\n                    class="opacity-checkerboard background"\n                    style="background: ',
        '"\n                >\n                    <div class="image-wrapper">\n                        <slot></slot>\n                    </div>\n                </div>\n            '
    ]);
    _templateObject$b = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$2() {
    var data = _tagged_template_literal$b([
        '\n                <div class="opacity-checkerboard layer-inner">\n                    <slot></slot>\n                </div>\n            '
    ]);
    _templateObject1$2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2$1() {
    var data = _tagged_template_literal$b([
        '\n                <div class="opacity-checkerboard image-wrapper">\n                    <slot></slot>\n                </div>\n            '
    ]);
    _templateObject2$1 = function _templateObject() {
        return data;
    };
    return data;
}
var z = Object.defineProperty;
var m$2 = Object.getOwnPropertyDescriptor;
var o$3 = function(c, r, e, i) {
    for(var t = i > 1 ? void 0 : i ? m$2(r, e) : r, a = c.length - 1, s; a >= 0; a--)(s = c[a]) && (t = (i ? s(r, e, t) : s(t)) || t);
    return i && t && z(r, e, t), t;
};
var n = [
    "50",
    "75",
    "100",
    "200",
    "300",
    "400",
    "500",
    "600",
    "700",
    "800",
    "900",
    "1000"
], u$1 = n[6];
var Thumbnail = /*#__PURE__*/ function(h) {
    _inherits$7(Thumbnail, h);
    var _super = _create_super$7(Thumbnail);
    function Thumbnail() {
        _class_call_check$7(this, Thumbnail);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.cover = !1;
        _this.layer = !1;
        _this._size = u$1;
        return _this;
    }
    _create_class$7(Thumbnail, [
        {
            key: "size",
            get: function get() {
                return this._size;
            },
            set: function set(e) {
                var i = [
                    "xxs",
                    "xs",
                    "s",
                    "m",
                    "l"
                ], t = {
                    xxs: "100",
                    xs: "300",
                    s: "500",
                    m: "700",
                    l: "900"
                };
                i.includes(e) && (e = t[e]);
                var s = n.includes(e) ? e : u$1;
                if (s && this.setAttribute("size", "".concat(s)), this._size === s) return;
                var d = this._size;
                this._size = s, this.requestUpdate("size", d);
            }
        },
        {
            key: "update",
            value: function update(e) {
                this.hasAttribute("size") || this.setAttribute("size", this.size), _get$5(_get_prototype_of$7(Thumbnail.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "render",
            value: function render() {
                return this.background ? x$3(_templateObject$b(), this.background) : this.layer ? x$3(_templateObject1$2()) : x$3(_templateObject2$1());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    b$9,
                    y$2
                ];
            }
        }
    ]);
    return Thumbnail;
}(SpectrumElement);
o$3([
    n$r({
        type: String,
        reflect: !0
    })
], Thumbnail.prototype, "background", 2), o$3([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Thumbnail.prototype, "cover", 2), o$3([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Thumbnail.prototype, "layer", 2), o$3([
    n$r({
        type: String,
        reflect: !0
    })
], Thumbnail.prototype, "size", 1);

defineElement("sp-thumbnail", Thumbnail);

function _tagged_template_literal$a(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$a() {
    var data = _tagged_template_literal$a([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    height=',
        '\n    viewBox="0 0 36 36"\n    width=',
        "\n    aria-hidden=",
        '\n    role="img"\n    fill="currentColor"\n    aria-label=',
        '\n  >\n    <path\n      d="M18 2a16 16 0 1 0 16 16A16 16 0 0 0 18 2Zm-.3 4.3a2.718 2.718 0 0 1 2.864 2.824 2.664 2.664 0 0 1-2.864 2.863 2.705 2.705 0 0 1-2.864-2.864A2.717 2.717 0 0 1 17.7 6.3ZM22 27a1 1 0 0 1-1 1h-6a1 1 0 0 1-1-1v-2a1 1 0 0 1 1-1h1v-6h-1a1 1 0 0 1-1-1v-2a1 1 0 0 1 1-1h4a1 1 0 0 1 1 1v9h1a1 1 0 0 1 1 1Z"\n    />\n  </svg>'
    ]);
    _templateObject$a = function _templateObject() {
        return data;
    };
    return data;
}
var InfoIcon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, a = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, t = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.hidden, e = tmp2 === void 0 ? !1 : tmp2, tmp3 = _ref.title, r = tmp3 === void 0 ? "Info" : tmp3;
    return tag(_templateObject$a(), t, a, e ? "true" : "false", r);
};

function _assert_this_initialized$6(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$6(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$6(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$6(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$6(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$6(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$6(o) {
    _get_prototype_of$6 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$6(o);
}
function _inherits$6(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$6(subClass, superClass);
}
function _possible_constructor_return$6(self, call) {
    if (call && (_type_of$6(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$6(self);
}
function _set_prototype_of$6(o, p) {
    _set_prototype_of$6 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$6(o, p);
}
function _type_of$6(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$6() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$6(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$6();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$6(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$6(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$6(this, result);
    };
}
var IconInfo = /*#__PURE__*/ function(t) {
    _inherits$6(IconInfo, t);
    var _super = _create_super$6(IconInfo);
    function IconInfo() {
        _class_call_check$6(this, IconInfo);
        return _super.apply(this, arguments);
    }
    _create_class$6(IconInfo, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag(x$3), InfoIcon({
                    hidden: !this.label,
                    title: this.label
                });
            }
        }
    ]);
    return IconInfo;
} 
(IconBase);

defineElement("sp-icon-info", IconInfo);

function _tagged_template_literal$9(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$9() {
    var data = _tagged_template_literal$9([
        '<svg\n    xmlns="http://www.w3.org/2000/svg"\n    width=',
        "\n    height=",
        '\n    viewBox="0 0 36 36"\n    aria-hidden=',
        '\n    role="img"\n    fill="currentColor"\n    aria-label=',
        '\n  >\n    <path\n      d="M18 2a16 16 0 1 0 16 16A16 16 0 0 0 18 2Zm10.666 9.08L16.018 27.341a1.208 1.208 0 0 1-.875.461c-.024.002-.05.002-.073.002a1.2 1.2 0 0 1-.85-.351l-7.784-7.795a1.2 1.2 0 0 1 0-1.698l1.326-1.325a1.201 1.201 0 0 1 1.695 0l5.346 5.347L25.314 8.473A1.203 1.203 0 0 1 27 8.263l1.455 1.133a1.205 1.205 0 0 1 .211 1.684Z"\n    />\n  </svg>'
    ]);
    _templateObject$9 = function _templateObject() {
        return data;
    };
    return data;
}
var CheckmarkCircleIcon = function() {
    var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, tmp = _ref.width, e = tmp === void 0 ? 24 : tmp, tmp1 = _ref.height, a = tmp1 === void 0 ? 24 : tmp1, tmp2 = _ref.hidden, t = tmp2 === void 0 ? !1 : tmp2, tmp3 = _ref.title, l = tmp3 === void 0 ? "Checkmark Circle" : tmp3;
    return tag(_templateObject$9(), e, a, t ? "true" : "false", l);
};

function _assert_this_initialized$5(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$5(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$5(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$5(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$5(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$5(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of$5(o) {
    _get_prototype_of$5 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$5(o);
}
function _inherits$5(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$5(subClass, superClass);
}
function _possible_constructor_return$5(self, call) {
    if (call && (_type_of$5(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$5(self);
}
function _set_prototype_of$5(o, p) {
    _set_prototype_of$5 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$5(o, p);
}
function _type_of$5(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$5() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$5(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$5();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$5(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$5(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$5(this, result);
    };
}
var IconCheckmarkCircle = /*#__PURE__*/ function(t) {
    _inherits$5(IconCheckmarkCircle, t);
    var _super = _create_super$5(IconCheckmarkCircle);
    function IconCheckmarkCircle() {
        _class_call_check$5(this, IconCheckmarkCircle);
        return _super.apply(this, arguments);
    }
    _create_class$5(IconCheckmarkCircle, [
        {
            key: "render",
            value: function render() {
                return setCustomTemplateLiteralTag(x$3), CheckmarkCircleIcon({
                    hidden: !this.label,
                    title: this.label
                });
            }
        }
    ]);
    return IconCheckmarkCircle;
} 
(IconBase);

defineElement("sp-icon-checkmark-circle", IconCheckmarkCircle);

function _tagged_template_literal$8(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$8() {
    var data = _tagged_template_literal$8([
        "\n    :host{--spectrum-toast-font-weight:var(--spectrum-regular-font-weight);--spectrum-toast-font-size:var(--spectrum-font-size-100);--spectrum-toast-corner-radius:var(--spectrum-corner-radius-100);--spectrum-toast-block-size:var(--spectrum-toast-height);--spectrum-toast-max-inline-size:var(--spectrum-toast-maximum-width);--spectrum-toast-border-width:var(--spectrum-border-width-100);--spectrum-toast-line-height:var(--spectrum-line-height-100);--spectrum-toast-line-height-cjk:var(--spectrum-cjk-line-height-100);--spectrum-toast-spacing-icon-to-text:var(--spectrum-text-to-visual-100);--spectrum-toast-spacing-start-edge-to-text-and-icon:var(--spectrum-spacing-300);--spectrum-toast-spacing-text-and-action-button-to-divider:var(--spectrum-spacing-300);--spectrum-toast-spacing-top-edge-to-divider:var(--spectrum-spacing-100);--spectrum-toast-spacing-bottom-edge-to-divider:var(--spectrum-spacing-100);--spectrum-toast-spacing-top-edge-to-icon:var(--spectrum-toast-top-to-workflow-icon);--spectrum-toast-spacing-text-to-action-button-horizontal:var(--spectrum-spacing-300);--spectrum-toast-spacing-close-button:var(--spectrum-spacing-100);--spectrum-toast-spacing-block-start:var(--spectrum-spacing-100);--spectrum-toast-spacing-block-end:var(--spectrum-spacing-100);--spectrum-toast-spacing-top-edge-to-text:var(--spectrum-toast-top-to-text);--spectrum-toast-spacing-bottom-edge-to-text:var(--spectrum-toast-bottom-to-text);--spectrum-toast-negative-background-color-default:var(--spectrum-negative-background-color-default);--spectrum-toast-positive-background-color-default:var(--spectrum-positive-background-color-default);--spectrum-toast-informative-background-color-default:var(--spectrum-informative-background-color-default);--spectrum-toast-text-and-icon-color:var(--spectrum-white);--spectrum-toast-divider-color:var(--spectrum-transparent-white-300)}@media (forced-colors:active){:host{--highcontrast-toast-border-color:ButtonText;border:var(--mod-toast-border-width,var(--spectrum-toast-border-width))solid var(--highcontrast-toast-border-color,transparent)}}:host{box-sizing:border-box;min-block-size:var(--mod-toast-block-size,var(--spectrum-toast-block-size));max-inline-size:var(--mod-toast-max-inline-size,var(--spectrum-toast-max-inline-size));border-radius:var(--mod-toast-corner-radius,var(--spectrum-toast-corner-radius));font-size:var(--mod-toast-font-size,var(--spectrum-toast-font-size));font-weight:var(--mod-toast-font-weight,var(--spectrum-toast-font-weight));-webkit-font-smoothing:antialiased;background-color:var(--highcontrast-toast-background-color-default,var(--mod-toast-background-color-default,var(--spectrum-toast-background-color-default)));color:var(--highcontrast-toast-background-color-default,var(--mod-toast-background-color-default,var(--spectrum-toast-background-color-default)));flex-direction:row;align-items:stretch;padding-inline-start:var(--mod-toast-spacing-start-edge-to-text-and-icon,var(--spectrum-toast-spacing-start-edge-to-text-and-icon));display:inline-flex}:host([variant=negative]){background-color:var(--highcontrast-toast-negative-background-color-default,var(--mod-toast-negative-background-color-default,var(--spectrum-toast-negative-background-color-default)))}:host([variant=negative]),:host([variant=negative]) .closeButton:focus-visible:not(:active){color:var(--highcontrast-toast-negative-background-color-default,var(--mod-toast-negative-background-color-default,var(--spectrum-toast-negative-background-color-default)))}:host([variant=info]){background-color:var(--highcontrast-toast-informative-background-color-default,var(--mod-toast-informative-background-color-default,var(--spectrum-toast-informative-background-color-default)))}:host([variant=info]),:host([variant=info]) .closeButton:focus-visible:not(:active){color:var(--highcontrast-toast-informative-background-color-default,var(--mod-toast-informative-background-color-default,var(--spectrum-toast-informative-background-color-default)))}:host([variant=positive]){background-color:var(--highcontrast-toast-positive-background-color-default,var(--mod-toast-positive-background-color-default,var(--spectrum-toast-positive-background-color-default)))}:host([variant=positive]),:host([variant=positive]) .closeButton:focus-visible:not(:active){color:var(--highcontrast-toast-positive-background-color-default,var(--mod-toast-positive-background-color-default,var(--spectrum-toast-positive-background-color-default)))}.type{flex-grow:0;flex-shrink:0;margin-block-start:var(--mod-toast-spacing-top-edge-to-icon,var(--spectrum-toast-spacing-top-edge-to-icon));margin-inline-start:0;margin-inline-end:var(--mod-toast-spacing-icon-to-text,var(--spectrum-toast-spacing-icon-to-text))}.content,.type{color:var(--highcontrast-toast-text-and-icon-color,var(--mod-toast-text-and-icon-color,var(--spectrum-toast-text-and-icon-color)))}.content{box-sizing:border-box;line-height:var(--mod-toast-line-height,var(--spectrum-toast-line-height));text-align:start;flex:auto;padding-block-start:calc(var(--mod-toast-spacing-top-edge-to-text,var(--spectrum-toast-spacing-top-edge-to-text)) - var(--mod-toast-spacing-block-start,var(--spectrum-toast-spacing-block-start)));padding-block-end:calc(var(--mod-toast-spacing-bottom-edge-to-text,var(--spectrum-toast-spacing-bottom-edge-to-text)) - var(--mod-toast-spacing-block-end,var(--spectrum-toast-spacing-block-end)));padding-inline-start:0;padding-inline-end:var(--mod-toast-spacing-text-to-action-button-horizontal,var(--spectrum-toast-spacing-text-to-action-button-horizontal));display:inline-block}.content:lang(ja),.content:lang(ko),.content:lang(zh){line-height:var(--mod-toast-line-height-cjk,var(--spectrum-toast-line-height-cjk))}.buttons{border-inline-start-color:var(--mod-toast-divider-color,var(--spectrum-toast-divider-color));flex:none;align-items:flex-start;margin-block-start:var(--mod-toast-spacing-top-edge-to-divider,var(--spectrum-toast-spacing-top-edge-to-divider));margin-block-end:var(--mod-toast-spacing-bottom-edge-to-divider,var(--spectrum-toast-spacing-bottom-edge-to-divider));padding-inline-end:var(--mod-toast-spacing-close-button,var(--spectrum-toast-spacing-close-button));display:flex}.buttons .spectrum-CloseButton{align-self:flex-start}.body{flex-wrap:wrap;flex:auto;align-self:center;align-items:center;padding-block-start:var(--mod-toast-spacing-block-start,var(--spectrum-toast-spacing-block-start));padding-block-end:var(--mod-toast-spacing-block-end,var(--spectrum-toast-spacing-block-end));display:flex}.body ::slotted([slot=action]){margin-inline-start:auto;margin-inline-end:var(--mod-toast-spacing-text-and-action-button-to-divider,var(--spectrum-toast-spacing-text-and-action-button-to-divider))}.body ::slotted([slot=action]:dir(rtl)),:host([dir=rtl]) .body ::slotted([slot=action]){margin-inline-end:auto;margin-inline-end:var(--mod-toast-spacing-text-and-action-button-to-divider,var(--spectrum-toast-spacing-text-and-action-button-to-divider))}.body+.buttons{border-inline-start-style:solid;border-inline-start-width:1px;padding-inline-start:var(--mod-toast-spacing-close-button,var(--spectrum-toast-spacing-close-button))}:host{--spectrum-toast-background-color-default:var(--system-spectrum-toast-background-color-default)}:host{--spectrum-overlay-animation-distance:var(--spectrum-spacing-100);--spectrum-overlay-animation-duration:var(--spectrum-animation-duration-100);opacity:0;pointer-events:none;transition:transform var(--spectrum-overlay-animation-duration)ease-in-out,opacity var(--spectrum-overlay-animation-duration)ease-in-out,visibility 0s linear var(--spectrum-overlay-animation-duration);visibility:hidden}:host([open]){opacity:1;pointer-events:auto;visibility:visible;transition-delay:0s}\n"
    ]);
    _templateObject$8 = function _templateObject() {
        return data;
    };
    return data;
}
var o$2 = i$p(_templateObject$8());
var m$1 = o$2;

function _assert_this_initialized$4(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$4(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$4(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$4(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$4(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$4(Constructor, staticProps);
    return Constructor;
}
function _get$4(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$4 = Reflect.get;
    } else {
        _get$4 = function get(target, property, receiver) {
            var base = _super_prop_base$4(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$4(target, property, receiver || target);
}
function _get_prototype_of$4(o) {
    _get_prototype_of$4 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$4(o);
}
function _inherits$4(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$4(subClass, superClass);
}
function _possible_constructor_return$4(self, call) {
    if (call && (_type_of$4(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$4(self);
}
function _set_prototype_of$4(o, p) {
    _set_prototype_of$4 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$4(o, p);
}
function _super_prop_base$4(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$4(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$7(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$4(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$4() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$4(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$4();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$4(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$4(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$4(this, result);
    };
}
function _templateObject$7() {
    var data = _tagged_template_literal$7([
        '\n                    <sp-icon-info\n                        label="Information"\n                        class="type"\n                    ></sp-icon-info>\n                '
    ]);
    _templateObject$7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1$1() {
    var data = _tagged_template_literal$7([
        '\n                    <sp-icon-alert label="Error" class="type"></sp-icon-alert>\n                '
    ]);
    _templateObject1$1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal$7([
        '\n                    <sp-icon-checkmark-circle\n                        label="Success"\n                        class="type"\n                    ></sp-icon-checkmark-circle>\n                '
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal$7([
        ""
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal$7([
        "\n            ",
        '\n            <div class="body" role="alert">\n                <div class="content">\n                    <slot></slot>\n                </div>\n                <slot name="action"></slot>\n            </div>\n            <div class="buttons">\n                <sp-close-button\n                    @click=',
        '\n                    label="Close"\n                    static="white"\n                ></sp-close-button>\n            </div>\n        '
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
var c$3 = Object.defineProperty;
var p$2 = Object.getOwnPropertyDescriptor;
var r$1 = function(a, i, t, o) {
    for(var e = o > 1 ? void 0 : o ? p$2(i, t) : i, s = a.length - 1, u; s >= 0; s--)(u = a[s]) && (e = (o ? u(i, t, e) : u(e)) || e);
    return o && e && c$3(i, t, e), e;
};
var toastVariants = [
    "negative",
    "positive",
    "info",
    "error",
    "warning"
];
var Toast = /*#__PURE__*/ function(_h) {
    _inherits$4(Toast, _h);
    var _super = _create_super$4(Toast);
    function Toast() {
        _class_call_check$4(this, Toast);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.open = !1;
        _this._timeout = null;
        _this._variant = "";
        _this.countdownStart = 0;
        _this.nextCount = -1;
        _this.doCountdown = function(t) {
            _this.countdownStart || (_this.countdownStart = performance.now()), t - _this.countdownStart > _this._timeout ? (_this.shouldClose(), _this.countdownStart = 0) : _this.countdown();
        };
        _this.countdown = function() {
            cancelAnimationFrame(_this.nextCount), _this.nextCount = requestAnimationFrame(_this.doCountdown);
        };
        _this.holdCountdown = function() {
            _this.stopCountdown(), _this.addEventListener("focusout", _this.resumeCountdown);
        };
        _this.resumeCountdown = function() {
            _this.removeEventListener("focusout", _this.holdCountdown), _this.countdown();
        };
        return _this;
    }
    _create_class$4(Toast, [
        {
            key: "timeout",
            get: function get() {
                return this._timeout;
            },
            set: function set(t) {
                var e = (typeof t === "undefined" ? "undefined" : _type_of$4(t)) !== null && t > 0 ? Math.max(6e3, t) : null, s = this.timeout;
                e && this.countdownStart && (this.countdownStart = performance.now()), this._timeout = e, this.requestUpdate("timeout", s);
            }
        },
        {
            key: "variant",
            get: function get() {
                return this._variant;
            },
            set: function set(t) {
                if (t === this.variant) return;
                var o = this.variant;
                toastVariants.includes(t) ? (this.setAttribute("variant", t), this._variant = t) : (this.removeAttribute("variant"), this._variant = ""), this.requestUpdate("variant", o);
            }
        },
        {
            key: "renderIcon",
            value: function renderIcon(t) {
                switch(t){
                    case "info":
                        return x$3(_templateObject$7());
                    case "negative":
                    case "error":
                    case "warning":
                        return x$3(_templateObject1$1());
                    case "positive":
                    case "success":
                        return x$3(_templateObject2());
                    default:
                        return x$3(_templateObject3());
                }
            }
        },
        {
            key: "startCountdown",
            value: function startCountdown() {
                this.countdown(), this.addEventListener("focusin", this.holdCountdown);
            }
        },
        {
            key: "stopCountdown",
            value: function stopCountdown() {
                cancelAnimationFrame(this.nextCount), this.countdownStart = 0;
            }
        },
        {
            key: "shouldClose",
            value: function shouldClose() {
                this.dispatchEvent(new CustomEvent("close", {
                    composed: !0,
                    bubbles: !0,
                    cancelable: !0
                })) && this.close();
            }
        },
        {
            key: "close",
            value: function close() {
                this.open = !1;
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject4(), this.renderIcon(this.variant), this.shouldClose);
            }
        },
        {
            key: "updated",
            value: function updated(t) {
                _get$4(_get_prototype_of$4(Toast.prototype), "updated", this).call(this, t), t.has("open") && (this.open ? this.timeout && this.startCountdown() : this.timeout && this.stopCountdown()), t.has("timeout") && (this.timeout !== null && this.open ? this.startCountdown() : this.stopCountdown());
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    m$1
                ];
            }
        }
    ]);
    return Toast;
}(FocusVisiblePolyfillMixin(SpectrumElement));
r$1([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Toast.prototype, "open", 2), r$1([
    n$r({
        type: Number
    })
], Toast.prototype, "timeout", 1), r$1([
    n$r({
        type: String
    })
], Toast.prototype, "variant", 1);

defineElement("sp-toast", Toast);

function _tagged_template_literal$6(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$6() {
    var data = _tagged_template_literal$6([
        "\n    #tooltip{pointer-events:none;visibility:hidden;opacity:0;transition:transform var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))ease-in-out,opacity var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))ease-in-out,visibility 0s linear var(--mod-overlay-animation-duration,var(--spectrum-animation-duration-100,.13s))}:host([open]) #tooltip{pointer-events:auto;visibility:visible;opacity:1;transition-delay:var(--mod-overlay-animation-duration-opened,var(--spectrum-animation-duration-0,0s))}#tooltip{--spectrum-tooltip-animation-duration:var(--spectrum-animation-duration-100);--spectrum-tooltip-margin:0px;--spectrum-tooltip-height:var(--spectrum-component-height-75);--spectrum-tooltip-max-inline-size:var(--spectrum-tooltip-maximum-width);--spectrum-tooltip-border-radius:var(--spectrum-corner-radius-100);--spectrum-tooltip-icon-width:var(--spectrum-workflow-icon-size-50);--spectrum-tooltip-icon-height:var(--spectrum-workflow-icon-size-50);--spectrum-tooltip-font-size:var(--spectrum-font-size-75);--spectrum-tooltip-line-height:var(--spectrum-line-height-100);--spectrum-tooltip-cjk-line-height:var(--spectrum-cjk-line-height-100);--spectrum-tooltip-font-weight:var(--spectrum-regular-font-weight);--spectrum-tooltip-spacing-inline:var(--spectrum-component-edge-to-text-75);--spectrum-tooltip-spacing-block-start:var(--spectrum-component-top-to-text-75);--spectrum-tooltip-spacing-block-end:var(--spectrum-component-bottom-to-text-75);--spectrum-tooltip-icon-spacing-inline-start:var(--spectrum-text-to-visual-75);--spectrum-tooltip-icon-spacing-inline-end:var(--spectrum-text-to-visual-75);--spectrum-tooltip-icon-spacing-block-start:var(--spectrum-component-top-to-workflow-icon-75);--spectrum-tooltip-background-color-informative:var(--spectrum-informative-background-color-default);--spectrum-tooltip-background-color-positive:var(--spectrum-positive-background-color-default);--spectrum-tooltip-background-color-negative:var(--spectrum-negative-background-color-default);--spectrum-tooltip-content-color:var(--spectrum-white);--spectrum-tooltip-tip-inline-size:var(--spectrum-tooltip-tip-width);--spectrum-tooltip-tip-block-size:var(--spectrum-tooltip-tip-height);--spectrum-tooltip-tip-square-size:var(--spectrum-tooltip-tip-inline-size);--spectrum-tooltip-tip-height-percentage:50%;--spectrum-tooltip-tip-antialiasing-inset:.5px;--spectrum-tooltip-pointer-corner-spacing:var(--spectrum-corner-radius-100);--spectrum-tooltip-background-color-default:var(--spectrum-tooltip-backgound-color-default-neutral)}@media (forced-colors:active){#tooltip{border:1px solid #0000}#tip{forced-color-adjust:none;--highcontrast-tooltip-background-color-default:CanvasText;--highcontrast-tooltip-background-color-informative:CanvasText;--highcontrast-tooltip-background-color-positive:CanvasText;--highcontrast-tooltip-background-color-negative:CanvasText}}#tooltip{box-sizing:border-box;vertical-align:top;padding-inline:var(--mod-tooltip-spacing-inline,var(--spectrum-tooltip-spacing-inline));border-radius:var(--mod-tooltip-border-radius,var(--spectrum-tooltip-border-radius));min-block-size:var(--mod-tooltip-height,var(--spectrum-tooltip-height));max-inline-size:var(--mod-tooltip-max-inline-size,var(--spectrum-tooltip-max-inline-size));background-color:var(--highcontrast-tooltip-background-color-default,var(--mod-tooltip-background-color-default,var(--spectrum-tooltip-background-color-default)));color:var(--mod-tooltip-content-color,var(--spectrum-tooltip-content-color));font-size:var(--mod-tooltip-font-size,var(--spectrum-tooltip-font-size));font-weight:var(--mod-tooltip-font-weight,var(--spectrum-tooltip-font-weight));line-height:var(--mod-tooltip-line-height,var(--spectrum-tooltip-line-height));word-break:break-word;-webkit-font-smoothing:antialiased;cursor:default;-webkit-user-select:none;user-select:none;flex-direction:row;align-items:center;block-size:auto;inline-size:auto;display:inline-flex;position:relative}:host(:lang(ja)) #tooltip,:host(:lang(ko)) #tooltip,:host(:lang(zh)) #tooltip{line-height:var(--mod-tooltip-cjk-line-height,var(--spectrum-tooltip-cjk-line-height))}#tooltip p{margin:0}:host([variant=info]) #tooltip{background-color:var(--highcontrast-tooltip-background-color-informative,var(--mod-tooltip-background-color-informative,var(--spectrum-tooltip-background-color-informative)))}:host([variant=positive]) #tooltip{background-color:var(--highcontrast-tooltip-background-color-positive,var(--mod-tooltip-background-color-positive,var(--spectrum-tooltip-background-color-positive)))}:host([variant=negative]) #tooltip{background-color:var(--highcontrast-tooltip-background-color-negative,var(--mod-tooltip-background-color-negative,var(--spectrum-tooltip-background-color-negative)))}#tip{block-size:var(--mod-tooltip-tip-square-size,var(--spectrum-tooltip-tip-square-size));inline-size:var(--mod-tooltip-tip-square-size,var(--spectrum-tooltip-tip-square-size));background-color:var(--highcontrast-tooltip-background-color-default,var(--mod-tooltip-background-color-default,var(--spectrum-tooltip-background-color-default)));clip-path:polygon(0 calc(0% - var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset))),50% var(--mod-tooltip-tip-height-percentage,var(--spectrum-tooltip-tip-height-percentage)),100% calc(0% - var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset))));inset-block-start:100%;position:absolute;left:50%;transform:translate(-50%)}:host([variant=info]) #tooltip #tip{background-color:var(--highcontrast-tooltip-background-color-informative,var(--mod-tooltip-background-color-informative,var(--spectrum-tooltip-background-color-informative)))}:host([variant=positive]) #tooltip #tip{background-color:var(--highcontrast-tooltip-background-color-positive,var(--mod-tooltip-background-color-positive,var(--spectrum-tooltip-background-color-positive)))}:host([variant=negative]) #tooltip #tip{background-color:var(--highcontrast-tooltip-background-color-negative,var(--mod-tooltip-background-color-negative,var(--spectrum-tooltip-background-color-negative)))}:host([placement*=top]) #tooltip #tip,.spectrum-Tooltip--top-end #tip,.spectrum-Tooltip--top-left #tip,.spectrum-Tooltip--top-right #tip,.spectrum-Tooltip--top-start #tip{inset-block-start:100%}:host([placement*=bottom]) #tooltip #tip,.spectrum-Tooltip--bottom-end #tip,.spectrum-Tooltip--bottom-left #tip,.spectrum-Tooltip--bottom-right #tip,.spectrum-Tooltip--bottom-start #tip{clip-path:polygon(50% calc(100% - var(--mod-tooltip-tip-height-percentage,var(--spectrum-tooltip-tip-height-percentage))),0 calc(100% + var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset))),100% calc(100% + var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset))));inset-block:auto 100%}.spectrum-Tooltip--bottom-end #tip,.spectrum-Tooltip--bottom-left #tip,.spectrum-Tooltip--bottom-right #tip,.spectrum-Tooltip--bottom-start #tip,.spectrum-Tooltip--top-end #tip,.spectrum-Tooltip--top-left #tip,.spectrum-Tooltip--top-right #tip,.spectrum-Tooltip--top-start #tip{transform:none}.spectrum-Tooltip--bottom-left #tip,.spectrum-Tooltip--top-left #tip{inset-inline-start:var(--mod-tooltip-pointer-corner-spacing,var(--spectrum-tooltip-pointer-corner-spacing))}.spectrum-Tooltip--bottom-right #tip,.spectrum-Tooltip--top-right #tip{inset-inline:auto var(--mod-tooltip-pointer-corner-spacing,var(--spectrum-tooltip-pointer-corner-spacing))}.spectrum-Tooltip--bottom-start #tip,.spectrum-Tooltip--top-start #tip{inset-inline:var(--mod-tooltip-pointer-corner-spacing,var(--spectrum-tooltip-pointer-corner-spacing))auto}.spectrum-Tooltip--bottom-start #tip:dir(rtl),.spectrum-Tooltip--top-start #tip:dir(rtl),:host([dir=rtl]) .spectrum-Tooltip--bottom-start #tip,:host([dir=rtl]) .spectrum-Tooltip--top-start #tip{right:var(--mod-tooltip-pointer-corner-spacing,var(--spectrum-tooltip-pointer-corner-spacing));left:auto}.spectrum-Tooltip--bottom-end #tip,.spectrum-Tooltip--top-end #tip{inset-inline:auto var(--mod-tooltip-pointer-corner-spacing,var(--spectrum-tooltip-pointer-corner-spacing))}.spectrum-Tooltip--bottom-end #tip:dir(rtl),.spectrum-Tooltip--top-end #tip:dir(rtl),:host([dir=rtl]) .spectrum-Tooltip--bottom-end #tip,:host([dir=rtl]) .spectrum-Tooltip--top-end #tip{left:var(--mod-tooltip-pointer-corner-spacing,var(--spectrum-tooltip-pointer-corner-spacing));right:auto}.spectrum-Tooltip--end #tip,.spectrum-Tooltip--end-bottom #tip,.spectrum-Tooltip--end-top #tip,:host([placement*=left]) #tooltip #tip,.spectrum-Tooltip--left-bottom #tip,.spectrum-Tooltip--left-top #tip,:host([placement*=right]) #tooltip #tip,.spectrum-Tooltip--right-bottom #tip,.spectrum-Tooltip--right-top #tip,.spectrum-Tooltip--start #tip,.spectrum-Tooltip--start-bottom #tip,.spectrum-Tooltip--start-top #tip{inset-block-start:50%;transform:translateY(-50%)}.spectrum-Tooltip--end-bottom #tip,.spectrum-Tooltip--end-top #tip,.spectrum-Tooltip--left-bottom #tip,.spectrum-Tooltip--left-top #tip,.spectrum-Tooltip--right-bottom #tip,.spectrum-Tooltip--right-top #tip,.spectrum-Tooltip--start-bottom #tip,.spectrum-Tooltip--start-top #tip{inset-block-start:auto;transform:none}.spectrum-Tooltip--end #tip,.spectrum-Tooltip--end-bottom #tip,.spectrum-Tooltip--end-top #tip,:host([placement*=right]) #tooltip #tip,.spectrum-Tooltip--right-bottom #tip,.spectrum-Tooltip--right-top #tip{clip-path:polygon(calc(100% - var(--mod-tooltip-tip-height-percentage,var(--spectrum-tooltip-tip-height-percentage)))50%,calc(100% + var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset)))100%,calc(100% + var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset)))0);inset-inline:auto 100%}:host([placement*=left]) #tooltip #tip,.spectrum-Tooltip--left-bottom #tip,.spectrum-Tooltip--left-top #tip,.spectrum-Tooltip--start #tip,.spectrum-Tooltip--start-bottom #tip,.spectrum-Tooltip--start-top #tip{clip-path:polygon(calc(0% - var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset)))0,calc(0% - var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset)))100%,var(--mod-tooltip-tip-height-percentage,var(--spectrum-tooltip-tip-height-percentage))50%);inset-inline-start:100%}.spectrum-Tooltip--end-top #tip,.spectrum-Tooltip--left-top #tip,.spectrum-Tooltip--right-top #tip,.spectrum-Tooltip--start-top #tip{inset-block-start:var(--mod-tooltip-pointer-corner-spacing,var(--spectrum-tooltip-pointer-corner-spacing))}.spectrum-Tooltip--end-bottom #tip,.spectrum-Tooltip--left-bottom #tip,.spectrum-Tooltip--right-bottom #tip,.spectrum-Tooltip--start-bottom #tip{inset-block-end:var(--mod-tooltip-pointer-corner-spacing,var(--spectrum-tooltip-pointer-corner-spacing))}.spectrum-Tooltip--end #tip:dir(rtl),.spectrum-Tooltip--end-bottom #tip:dir(rtl),.spectrum-Tooltip--end-top #tip:dir(rtl),:host([placement*=left]) #tooltip #tip:dir(rtl),.spectrum-Tooltip--left-bottom #tip:dir(rtl),.spectrum-Tooltip--left-top #tip:dir(rtl),:host([dir=rtl]) .spectrum-Tooltip--end #tip,:host([dir=rtl]) .spectrum-Tooltip--end-bottom #tip,:host([dir=rtl]) .spectrum-Tooltip--end-top #tip,:host([dir=rtl][placement*=left]) #tooltip #tip,:host([dir=rtl]) .spectrum-Tooltip--left-bottom #tip,:host([dir=rtl]) .spectrum-Tooltip--left-top #tip{clip-path:polygon(calc(0% - var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset)))0,calc(0% - var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset)))100%,var(--mod-tooltip-tip-height-percentage,var(--spectrum-tooltip-tip-height-percentage))50%);left:100%;right:auto}:host([placement*=right]) #tooltip #tip:dir(rtl),.spectrum-Tooltip--right-bottom #tip:dir(rtl),.spectrum-Tooltip--right-top #tip:dir(rtl),.spectrum-Tooltip--start #tip:dir(rtl),.spectrum-Tooltip--start-bottom #tip:dir(rtl),.spectrum-Tooltip--start-top #tip:dir(rtl),:host([dir=rtl][placement*=right]) #tooltip #tip,:host([dir=rtl]) .spectrum-Tooltip--right-bottom #tip,:host([dir=rtl]) .spectrum-Tooltip--right-top #tip,:host([dir=rtl]) .spectrum-Tooltip--start #tip,:host([dir=rtl]) .spectrum-Tooltip--start-bottom #tip,:host([dir=rtl]) .spectrum-Tooltip--start-top #tip{clip-path:polygon(var(--mod-tooltip-tip-height-percentage,var(--spectrum-tooltip-tip-height-percentage))50%,calc(100% + var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset)))100%,calc(100% + var(--mod-tooltip-tip-antialiasing-inset,var(--spectrum-tooltip-tip-antialiasing-inset)))0);left:auto;right:100%}::slotted([slot=icon]){inline-size:var(--mod-tooltip-icon-width,var(--spectrum-tooltip-icon-width));block-size:var(--mod-tooltip-icon-height,var(--spectrum-tooltip-icon-height));flex-shrink:0;align-self:flex-start;margin-block-start:var(--mod-tooltip-icon-spacing-block-start,var(--spectrum-tooltip-icon-spacing-block-start));margin-inline-start:calc(var(--mod-tooltip-icon-spacing-inline-start,var(--spectrum-tooltip-icon-spacing-inline-start)) - var(--mod-tooltip-spacing-inline,var(--spectrum-tooltip-spacing-inline)));margin-inline-end:var(--mod-tooltip-icon-spacing-inline-end,var(--spectrum-tooltip-icon-spacing-inline-end))}#label{line-height:var(--mod-tooltip-line-height,var(--spectrum-tooltip-line-height));margin-block-start:var(--mod-tooltip-spacing-block-start,var(--spectrum-tooltip-spacing-block-start));margin-block-end:var(--mod-tooltip-spacing-block-end,var(--spectrum-tooltip-spacing-block-end))}#tooltip,:host([placement*=top]) #tooltip,.spectrum-Tooltip--top-end,.spectrum-Tooltip--top-left,.spectrum-Tooltip--top-right,.spectrum-Tooltip--top-start{margin-block-end:calc(var(--mod-tooltip-tip-block-size,var(--spectrum-tooltip-tip-block-size)) + var(--mod-tooltip-margin,var(--spectrum-tooltip-margin)))}:host([open]) .spectrum-Tooltip--top-end,:host([open]) .spectrum-Tooltip--top-left,:host([open]) .spectrum-Tooltip--top-right,:host([open]) .spectrum-Tooltip--top-start,:host([placement*=top][open]) #tooltip,:host([open]) #tooltip{transform:translateY(calc(var(--mod-tooltip-animation-distance,var(--spectrum-tooltip-animation-distance))*-1))}:host([placement*=bottom]) #tooltip,.spectrum-Tooltip--bottom-end,.spectrum-Tooltip--bottom-left,.spectrum-Tooltip--bottom-right,.spectrum-Tooltip--bottom-start{margin-block-start:calc(var(--mod-tooltip-tip-block-size,var(--spectrum-tooltip-tip-block-size)) + var(--mod-tooltip-margin,var(--spectrum-tooltip-margin)))}:host([open]) .spectrum-Tooltip--bottom-end,:host([open]) .spectrum-Tooltip--bottom-left,:host([open]) .spectrum-Tooltip--bottom-right,:host([open]) .spectrum-Tooltip--bottom-start,:host([placement*=bottom][open]) #tooltip{transform:translateY(var(--mod-tooltip-animation-distance,var(--spectrum-tooltip-animation-distance)))}:host([placement*=right]) #tooltip,.spectrum-Tooltip--right-bottom,.spectrum-Tooltip--right-top{margin-left:calc(var(--mod-tooltip-tip-block-size,var(--spectrum-tooltip-tip-block-size)) + var(--mod-tooltip-margin,var(--spectrum-tooltip-margin)))}:host([open]) .spectrum-Tooltip--right-bottom,:host([open]) .spectrum-Tooltip--right-top,:host([placement*=right][open]) #tooltip{transform:translateX(var(--mod-tooltip-animation-distance,var(--spectrum-tooltip-animation-distance)))}:host([placement*=left]) #tooltip,.spectrum-Tooltip--left-bottom,.spectrum-Tooltip--left-top{margin-right:calc(var(--mod-tooltip-tip-block-size,var(--spectrum-tooltip-tip-block-size)) + var(--mod-tooltip-margin,var(--spectrum-tooltip-margin)))}:host([open]) .spectrum-Tooltip--left-bottom,:host([open]) .spectrum-Tooltip--left-top,:host([placement*=left][open]) #tooltip{transform:translateX(calc(var(--mod-tooltip-animation-distance,var(--spectrum-tooltip-animation-distance))*-1))}.spectrum-Tooltip--start,.spectrum-Tooltip--start-bottom,.spectrum-Tooltip--start-top{margin-inline-end:calc(var(--mod-tooltip-tip-block-size,var(--spectrum-tooltip-tip-block-size)) + var(--mod-tooltip-margin,var(--spectrum-tooltip-margin)))}:host([open]) .spectrum-Tooltip--start-bottom,:host([open]) .spectrum-Tooltip--start-top,:host([open]) .spectrum-Tooltip--start{transform:translateX(calc(var(--mod-tooltip-animation-distance,var(--spectrum-tooltip-animation-distance))*-1))}:host([open]) .spectrum-Tooltip--start-bottom:dir(rtl),:host([open]) .spectrum-Tooltip--start-top:dir(rtl),:host([open]) .spectrum-Tooltip--start:dir(rtl),:host([dir=rtl][open]) .spectrum-Tooltip--start-bottom,:host([dir=rtl][open]) .spectrum-Tooltip--start-top,:host([dir=rtl][open]) .spectrum-Tooltip--start{transform:translateX(var(--mod-tooltip-animation-distance,var(--spectrum-tooltip-animation-distance)))}.spectrum-Tooltip--end,.spectrum-Tooltip--end-bottom,.spectrum-Tooltip--end-top{margin-inline-start:calc(var(--mod-tooltip-tip-block-size,var(--spectrum-tooltip-tip-block-size)) + var(--mod-tooltip-margin,var(--spectrum-tooltip-margin)))}:host([open]) .spectrum-Tooltip--end-bottom,:host([open]) .spectrum-Tooltip--end-top,:host([open]) .spectrum-Tooltip--end{transform:translateX(var(--mod-tooltip-animation-distance,var(--spectrum-tooltip-animation-distance)))}:host([open]) .spectrum-Tooltip--end-bottom:dir(rtl),:host([open]) .spectrum-Tooltip--end-top:dir(rtl),:host([open]) .spectrum-Tooltip--end:dir(rtl),:host([dir=rtl][open]) .spectrum-Tooltip--end-bottom,:host([dir=rtl][open]) .spectrum-Tooltip--end-top,:host([dir=rtl][open]) .spectrum-Tooltip--end{transform:translateX(calc(var(--mod-tooltip-animation-distance,var(--spectrum-tooltip-animation-distance))*-1))}#tooltip{--spectrum-tooltip-backgound-color-default-neutral:var(--system-spectrum-tooltip-backgound-color-default-neutral)}:host{white-space:initial;display:contents}#tooltip{inline-size:max-content}#tip{clip-path:polygon(0 -5%,50% 50%,100% -5%);width:var(--spectrum-tooltip-tip-inline-size)!important;height:var(--spectrum-tooltip-tip-inline-size)!important}#tip[style]{transform:none!important}:host(:not([placement*=top])) #tooltip{margin-bottom:0}:host([placement*=top]) #tooltip #tip{inset-block-start:100%}:host([placement*=bottom]) #tooltip #tip{clip-path:polygon(50% 50%,0 105%,100% 105%);inset-block-end:100%;top:auto}:host([placement*=left]) #tooltip #tip,:host([placement*=right]) #tooltip #tip{inset-block-start:50%;transform:translateY(-50%)}:host([placement*=right]) #tooltip #tip{clip-path:polygon(50% 50%,105% 100%,105% 0);inset-inline:calc(var(--mod-tooltip-tip-block-size,var(--spectrum-tooltip-tip-block-size))*-2)100%}:host([placement*=left]) #tooltip #tip{clip-path:polygon(-5% 0,-5% 100%,50% 50%);inset-inline-start:100%}sp-overlay:not(:defined){display:none}\n"
    ]);
    _templateObject$6 = function _templateObject() {
        return data;
    };
    return data;
}
var o$1 = i$p(_templateObject$6());
var v = o$1;

function _assert_this_initialized$3(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$3(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _construct(Parent, args, Class) {
    if (_is_native_reflect_construct$3()) {
        _construct = Reflect.construct;
    } else {
        _construct = function construct(Parent, args, Class) {
            var a = [
                null
            ];
            a.push.apply(a, args);
            var Constructor = Function.bind.apply(Parent, a);
            var instance = new Constructor();
            if (Class) _set_prototype_of$3(instance, Class.prototype);
            return instance;
        };
    }
    return _construct.apply(null, arguments);
}
function _defineProperties$3(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$3(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$3(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$3(Constructor, staticProps);
    return Constructor;
}
function _get$3(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$3 = Reflect.get;
    } else {
        _get$3 = function get(target, property, receiver) {
            var base = _super_prop_base$3(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$3(target, property, receiver || target);
}
function _get_prototype_of$3(o) {
    _get_prototype_of$3 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$3(o);
}
function _inherits$3(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$3(subClass, superClass);
}
function _is_native_function(fn) {
    return Function.toString.call(fn).indexOf("[native code]") !== -1;
}
function _possible_constructor_return$3(self, call) {
    if (call && (_type_of$3(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$3(self);
}
function _set_prototype_of$3(o, p) {
    _set_prototype_of$3 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$3(o, p);
}
function _super_prop_base$3(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$3(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$5(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$3(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _wrap_native_super(Class) {
    var _cache = typeof Map === "function" ? new Map() : undefined;
    _wrap_native_super = function wrapNativeSuper(Class) {
        if (Class === null || !_is_native_function(Class)) return Class;
        if (typeof Class !== "function") {
            throw new TypeError("Super expression must either be null or a function");
        }
        if (typeof _cache !== "undefined") {
            if (_cache.has(Class)) return _cache.get(Class);
            _cache.set(Class, Wrapper);
        }
        function Wrapper() {
            return _construct(Class, arguments, _get_prototype_of$3(this).constructor);
        }
        Wrapper.prototype = Object.create(Class.prototype, {
            constructor: {
                value: Wrapper,
                enumerable: false,
                writable: true,
                configurable: true
            }
        });
        return _set_prototype_of$3(Wrapper, Class);
    };
    return _wrap_native_super(Class);
}
function _is_native_reflect_construct$3() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$3(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$3();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$3(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$3(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$3(this, result);
    };
}
function _templateObject$5() {
    var data = _tagged_template_literal$5([
        '\n            <sp-tooltip-openable\n                id="tooltip"\n                placement=',
        "\n                @transitionrun=",
        "\n                @transitionend=",
        "\n                @transitioncancel=",
        '\n            >\n                <slot name="icon"></slot>\n                <span id="label"><slot></slot></span>\n                <span id="tip" aria-hidden="true"></span>\n            </sp-tooltip-openable>\n        '
    ]);
    _templateObject$5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal$5([
        "\n                <sp-overlay\n                    ?open=",
        "\n                    ?delayed=",
        "\n                    ?disabled=",
        "\n                    offset=",
        "\n                    .placement=",
        '\n                    type="hint"\n                    .tipPadding=',
        "\n                    .triggerInteraction=",
        "\n                    @sp-opened=",
        "\n                    @sp-closed=",
        "\n                >\n                    ",
        "\n                </sp-overlay>\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
var c$2 = Object.defineProperty;
var m = Object.getOwnPropertyDescriptor;
var o = function(r, s, e, t) {
    for(var n = t > 1 ? void 0 : t ? m(s, e) : s, i = r.length - 1, l; i >= 0; i--)(l = r[i]) && (n = (t ? l(s, e, n) : l(n)) || n);
    return t && n && c$2(s, e, n), n;
};
var g = /*#__PURE__*/ function(HTMLElement1) {
    _inherits$3(g, HTMLElement1);
    var _super = _create_super$3(g);
    function g() {
        _class_call_check$3(this, g);
        var _this;
        _this = _super.call(this);
        _this._open = !1;
        _this._placement = "top";
        _this.addEventListener("sp-opened", _this.redispatchEvent), _this.addEventListener("sp-closed", _this.redispatchEvent);
        return _this;
    }
    _create_class$3(g, [
        {
            key: "redispatchEvent",
            value: function redispatchEvent(e) {
                e.stopPropagation(), this.tooltip.dispatchEvent(new CustomEvent(e.type, {
                    bubbles: e.bubbles,
                    composed: e.composed,
                    detail: e.detail
                }));
            }
        },
        {
            key: "tooltip",
            get: function get() {
                return this.getRootNode().host;
            }
        },
        {
            key: "attributeChangedCallback",
            value: function attributeChangedCallback(e, t, n) {
                switch(e){
                    case "open":
                        this.open = n !== null;
                        break;
                    case "placement":
                        this.placement = n;
                        break;
                }
            }
        },
        {
            key: "open",
            get: function get() {
                return this._open;
            },
            set: function set(e) {
                this._open = e;
                var _this = this, t = _this.tooltip;
                t && (t.open = e);
            }
        },
        {
            key: "placement",
            get: function get() {
                return this._placement;
            },
            set: function set(e) {
                this._placement = e;
                var _this = this, t = _this.tooltip;
                t && (t.placement = e);
            }
        },
        {
            key: "tipElement",
            get: function get() {
                return this.tooltip.tipElement;
            }
        }
    ], [
        {
            key: "observedAttributes",
            get: function get() {
                return [
                    "open",
                    "placement"
                ];
            }
        }
    ]);
    return g;
}(_wrap_native_super(HTMLElement));
customElements.get("sp-tooltip-openable") || customElements.define("sp-tooltip-openable", g);
var Tooltip = /*#__PURE__*/ function(h) {
    _inherits$3(Tooltip, h);
    var _super = _create_super$3(Tooltip);
    function Tooltip() {
        _class_call_check$3(this, Tooltip);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.delayed = !1;
        _this.dependencyManager = new DependencyManagerController(_assert_this_initialized$3(_this));
        _this.disabled = !1;
        _this.selfManaged = !1;
        _this.offset = 0;
        _this.open = !1;
        _this._variant = "";
        _this.handleOpenOverlay = function() {
            _this.open = !0;
        };
        _this.handleCloseOverlay = function() {
            _this.open = !1;
        };
        return _this;
    }
    _create_class$3(Tooltip, [
        {
            key: "variant",
            get: function get() {
                return this._variant;
            },
            set: function set(e) {
                if (e !== this.variant) {
                    if ([
                        "info",
                        "positive",
                        "negative"
                    ].includes(e)) {
                        this.setAttribute("variant", e), this._variant = e;
                        return;
                    }
                    this.removeAttribute("variant"), this._variant = "";
                }
            }
        },
        {
            key: "forwardTransitionEvent",
            value: function forwardTransitionEvent(e) {
                this.dispatchEvent(new TransitionEvent(e.type, {
                    bubbles: !0,
                    composed: !0,
                    propertyName: e.propertyName
                }));
            }
        },
        {
            key: "triggerElement",
            get: function get() {
                var i;
                var e = this.assignedSlot || this, t = e.getRootNode();
                if (t === document) return null;
                var n = e.parentElement || t.host || t;
                for(; !((i = n == null ? void 0 : n.matches) != null && i.call(n, focusableSelector));){
                    if (e = n.assignedSlot || n, t = e.getRootNode(), t === document) return null;
                    n = e.parentElement || t.host || t;
                }
                return n;
            }
        },
        {
            key: "render",
            value: function render() {
                var e = x$3(_templateObject$5(), o$O(this.placement), this.forwardTransitionEvent, this.forwardTransitionEvent, this.forwardTransitionEvent);
                return this.selfManaged ? (this.dependencyManager.add("sp-overlay"), Promise.resolve().then(function () { return spOverlay; }), x$3(_templateObject1(), this.open && !this.disabled && this.dependencyManager.loaded, this.delayed, this.disabled, this.offset, this.placement, this.tipPadding, "hover", this.handleOpenOverlay, this.handleCloseOverlay, e)) : e;
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                var _this = this;
                _get$3(_get_prototype_of$3(Tooltip.prototype), "connectedCallback", this).call(this), this.updateComplete.then(function() {
                    if (!_this.selfManaged) return;
                    var e = _this.overlayElement;
                    if (e) {
                        var t = _this.triggerElement;
                        e.triggerElement = t;
                    }
                });
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    v
                ];
            }
        }
    ]);
    return Tooltip;
}(SpectrumElement);
o([
    n$r({
        type: Boolean
    })
], Tooltip.prototype, "delayed", 2), o([
    n$r({
        type: Boolean
    })
], Tooltip.prototype, "disabled", 2), o([
    n$r({
        type: Boolean,
        attribute: "self-managed"
    })
], Tooltip.prototype, "selfManaged", 2), o([
    n$r({
        type: Number
    })
], Tooltip.prototype, "offset", 2), o([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tooltip.prototype, "open", 2), o([
    e$F("sp-overlay")
], Tooltip.prototype, "overlayElement", 2), o([
    n$r({
        reflect: !0
    })
], Tooltip.prototype, "placement", 2), o([
    e$F("#tip")
], Tooltip.prototype, "tipElement", 2), o([
    n$r({
        type: Number
    })
], Tooltip.prototype, "tipPadding", 2), o([
    n$r({
        type: String
    })
], Tooltip.prototype, "variant", 1);

defineElement("sp-tooltip", Tooltip);

function _assert_this_initialized$2(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep$1(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator$1(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep$1(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep$1(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check$2(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$2(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$2(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2(Constructor, staticProps);
    return Constructor;
}
function _get$2(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$2 = Reflect.get;
    } else {
        _get$2 = function get(target, property, receiver) {
            var base = _super_prop_base$2(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$2(target, property, receiver || target);
}
function _get_prototype_of$2(o) {
    _get_prototype_of$2 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$2(o);
}
function _inherits$2(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$2(subClass, superClass);
}
function _possible_constructor_return$2(self, call) {
    if (call && (_type_of$2(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$2(self);
}
function _set_prototype_of$2(o, p) {
    _set_prototype_of$2 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$2(o, p);
}
function _super_prop_base$2(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$2(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$4(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$2(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$2() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$2(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$2();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$2(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$2(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$2(this, result);
    };
}
function _ts_generator$1(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject$4() {
    var data = _tagged_template_literal$4([
        "\n            <div @click=",
        ' id="list">\n                <slot @slotchange=',
        '></slot>\n                <div\n                    id="selection-indicator"\n                    class=',
        "\n                    style=",
        "\n                ></div>\n            </div>\n        "
    ]);
    _templateObject$4 = function _templateObject() {
        return data;
    };
    return data;
}
var u = Object.defineProperty;
var h = Object.getOwnPropertyDescriptor;
var s = function(n, l, e, t) {
    for(var i = t > 1 ? void 0 : t ? h(l, e) : l, r = n.length - 1, a; r >= 0; r--)(a = n[r]) && (i = (t ? a(l, e, i) : a(i)) || i);
    return t && i && u(l, e, i), i;
};
var c$1 = "transform: translateX(0px) scaleX(0) scaleY(0)";
var TopNav = /*#__PURE__*/ function(_m) {
    _inherits$2(TopNav, _m);
    var _super = _create_super$2(TopNav);
    function TopNav() {
        _class_call_check$2(this, TopNav);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.label = "";
        _this.ignoreURLParts = "";
        _this.selectionIndicatorStyle = c$1;
        _this.shouldAnimate = !1;
        _this.quiet = !1;
        _this.onClick = function(e) {
            var t = e.target;
            _this.shouldAnimate = !0, _this.selectTarget(t);
        };
        _this._items = [];
        _this.resizeController = new t$o(_assert_this_initialized$2(_this), {
            callback: function() {
                _this.updateSelectionIndicator();
            }
        });
        var _this1 = _assert_this_initialized$2(_this);
        _this.updateSelectionIndicator = /*#__PURE__*/ _async_to_generator$1(function() {
            var e, _e_getBoundingClientRect, t;
            return _ts_generator$1(this, function(_state) {
                switch(_state.label){
                    case 0:
                        e = _this1.items.find(function(i) {
                            return i.value === _this1.selected || i.value === window.location.href;
                        });
                        if (!e) {
                            _this1.selectionIndicatorStyle = c$1;
                            return [
                                2
                            ];
                        }
                        return [
                            4,
                            Promise.all([
                                e.updateComplete,
                                document.fonts ? document.fonts.ready : Promise.resolve()
                            ])
                        ];
                    case 1:
                        _state.sent();
                        _e_getBoundingClientRect = e.getBoundingClientRect(), t = _e_getBoundingClientRect.width;
                        _this1.selectionIndicatorStyle = ScaledIndicator.transformX(e.offsetLeft, t);
                        return [
                            2
                        ];
                }
            });
        });
        return _this;
    }
    _create_class$2(TopNav, [
        {
            key: "selected",
            get: function get() {
                return this._selected;
            },
            set: function set(e) {
                var t = this.selected;
                e !== t && (this.updateCheckedState(e), this._selected = e, this.requestUpdate("selected", t));
            }
        },
        {
            key: "items",
            get: function get() {
                return this._items;
            },
            set: function set(e) {
                var _this = this;
                e !== this.items && (this._items.forEach(function(t) {
                    _this.resizeController.unobserve(t);
                }), e.forEach(function(t) {
                    _this.resizeController.observe(t);
                }), this._items = e);
            }
        },
        {
            key: "manageItems",
            value: function manageItems() {
                this.items = this.slotEl.assignedElements({
                    flatten: !0
                }).filter(function(r) {
                    return r.localName === "sp-top-nav-item";
                });
                var _window_location = window.location, e = _window_location.href;
                var t = this.ignoreURLParts.split(" ");
                t.includes("hash") && (e = e.replace(window.location.hash, "")), t.includes("search") && (e = e.replace(window.location.search, ""));
                var i = this.items.find(function(r) {
                    return r.value === e;
                });
                i ? this.selectTarget(i) : this.selected = "";
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$4(), this.onClick, this.onSlotChange, o$O(this.shouldAnimate ? void 0 : "first-position"), this.selectionIndicatorStyle);
            }
        },
        {
            key: "firstUpdated",
            value: function firstUpdated(e) {
                _get$2(_get_prototype_of$2(TopNav.prototype), "firstUpdated", this).call(this, e), this.setAttribute("direction", "horizontal"), this.setAttribute("role", "navigation");
            }
        },
        {
            key: "updated",
            value: function updated(e) {
                _get$2(_get_prototype_of$2(TopNav.prototype), "updated", this).call(this, e), e.has("dir") && this.updateSelectionIndicator(), !this.shouldAnimate && typeof e.get("shouldAnimate") != "undefined" && (this.shouldAnimate = !0), e.has("label") && (this.label || typeof e.get("label") != "undefined") && (this.label.length ? this.setAttribute("aria-label", this.label) : this.removeAttribute("aria-label"));
            }
        },
        {
            key: "selectTarget",
            value: function selectTarget(e) {
                var t = e.value;
                t && (this.selected = t);
            }
        },
        {
            key: "onSlotChange",
            value: function onSlotChange() {
                this.manageItems();
            }
        },
        {
            key: "updateCheckedState",
            value: function updateCheckedState(e) {
                var _this = this;
                this.items.forEach(function(t) {
                    t.selected = !1;
                }), requestAnimationFrame(function() {
                    if (e && e.length) {
                        var t = _this.items.find(function(i) {
                            return i.value === e || i.value === window.location.href;
                        });
                        t ? t.selected = !0 : _this.selected = "";
                    }
                    _this.updateSelectionIndicator();
                });
            }
        },
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                _get$2(_get_prototype_of$2(TopNav.prototype), "connectedCallback", this).call(this), window.addEventListener("resize", this.updateSelectionIndicator), "fonts" in document && document.fonts.addEventListener("loadingdone", this.updateSelectionIndicator);
            }
        },
        {
            key: "disconnectedCallback",
            value: function disconnectedCallback() {
                window.removeEventListener("resize", this.updateSelectionIndicator), "fonts" in document && document.fonts.removeEventListener("loadingdone", this.updateSelectionIndicator), _get$2(_get_prototype_of$2(TopNav.prototype), "disconnectedCallback", this).call(this);
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    g$2,
                    I,
                    ScaledIndicator.baseStyles()
                ];
            }
        }
    ]);
    return TopNav;
}(SizedMixin(SpectrumElement));
s([
    n$r({
        reflect: !0
    })
], TopNav.prototype, "dir", 2), s([
    n$r({
        type: String
    })
], TopNav.prototype, "label", 2), s([
    n$r({
        attribute: "ignore-url-parts"
    })
], TopNav.prototype, "ignoreURLParts", 2), s([
    n$r()
], TopNav.prototype, "selectionIndicatorStyle", 2), s([
    n$r({
        attribute: !1
    })
], TopNav.prototype, "shouldAnimate", 2), s([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TopNav.prototype, "quiet", 2), s([
    n$r({
        reflect: !0
    })
], TopNav.prototype, "selected", 1), s([
    e$F("slot")
], TopNav.prototype, "slotEl", 2);

defineElement("sp-top-nav", TopNav);

function _tagged_template_literal$3(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$3() {
    var data = _tagged_template_literal$3([
        '\n    a{color:inherit}a:focus,a:focus-visible{outline:none}:host a:before{block-size:calc(100% - var(--mod-tabs-top-to-text,var(--spectrum-tabs-top-to-text)));border:var(--mod-tabs-focus-indicator-width,var(--spectrum-tabs-focus-indicator-width))solid transparent;border-radius:var(--mod-tabs-focus-indicator-border-radius,var(--spectrum-tabs-focus-indicator-border-radius));box-sizing:border-box;content:"";inline-size:calc(100% + var(--mod-tabs-focus-indicator-gap,var(--spectrum-tabs-focus-indicator-gap))*2);inset-block-start:calc(var(--mod-tabs-top-to-text,var(--spectrum-tabs-top-to-text))/2);inset-inline:calc(var(--mod-tabs-focus-indicator-gap,var(--spectrum-tabs-focus-indicator-gap))*-1);pointer-events:none;position:absolute}:host a.focus-visible,:host a:focus-visible{color:var(--highcontrast-tabs-color-key-focus,var(--mod-tabs-color-key-focus,var(--spectrum-tabs-color-key-focus)))}:host a.focus-visible:before,:host a:focus-visible:before{border-color:var(--highcontrast-tabs-focus-indicator-color,var(--mod-tabs-focus-indicator-color,var(--spectrum-tabs-focus-indicator-color)))}#item-label{padding-block:var(--mod-tabs-top-to-text,var(--spectrum-tabs-top-to-text))var(--mod-tabs-bottom-to-text,var(--spectrum-tabs-bottom-to-text));margin-block:0}slot{pointer-events:none}\n'
    ]);
    _templateObject$3 = function _templateObject() {
        return data;
    };
    return data;
}
var t = i$p(_templateObject$3());
var y$1 = t;

function _assert_this_initialized$1(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _class_call_check$1(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties$1(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class$1(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1(Constructor, staticProps);
    return Constructor;
}
function _get$1(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get$1 = Reflect.get;
    } else {
        _get$1 = function get(target, property, receiver) {
            var base = _super_prop_base$1(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get$1(target, property, receiver || target);
}
function _get_prototype_of$1(o) {
    _get_prototype_of$1 = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of$1(o);
}
function _inherits$1(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of$1(subClass, superClass);
}
function _possible_constructor_return$1(self, call) {
    if (call && (_type_of$1(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized$1(self);
}
function _set_prototype_of$1(o, p) {
    _set_prototype_of$1 = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of$1(o, p);
}
function _super_prop_base$1(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of$1(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal$2(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of$1(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct$1() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super$1(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct$1();
    return function _createSuperInternal() {
        var Super = _get_prototype_of$1(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of$1(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return$1(this, result);
    };
}
function _templateObject$2() {
    var data = _tagged_template_literal$2([
        '\n            <a\n                id="item-label"\n                href=',
        "\n                download=",
        "\n                target=",
        "\n                aria-label=",
        "\n                aria-current=",
        "\n                rel=",
        "\n            >\n                <slot></slot>\n            </a>\n        "
    ]);
    _templateObject$2 = function _templateObject() {
        return data;
    };
    return data;
}
var p$1 = Object.defineProperty;
var d = Object.getOwnPropertyDescriptor;
var c = function(o, t, l, i) {
    for(var e = i > 1 ? void 0 : i ? d(t, l) : t, a = o.length - 1, s; a >= 0; a--)(s = o[a]) && (e = (i ? s(t, l, e) : s(e)) || e);
    return i && e && p$1(t, l, e), e;
};
var TopNavItem = /*#__PURE__*/ function(_f) {
    _inherits$1(TopNavItem, _f);
    var _super = _create_super$1(TopNavItem);
    function TopNavItem() {
        _class_call_check$1(this, TopNavItem);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.selected = !1;
        _this.value = "";
        return _this;
    }
    _create_class$1(TopNavItem, [
        {
            key: "focusElement",
            get: function get() {
                return this.anchor;
            }
        },
        {
            key: "click",
            value: function click() {
                this.anchor.click();
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject$2(), o$O(this.href), o$O(this.download), o$O(this.target), o$O(this.label), o$O(this.selected && this.href ? "page" : void 0), o$O(this.rel));
            }
        },
        {
            key: "updated",
            value: function updated(l) {
                _get$1(_get_prototype_of$1(TopNavItem.prototype), "updated", this).call(this, l), this.value = this.anchor.href;
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    v$2,
                    y$1
                ];
            }
        }
    ]);
    return TopNavItem;
}(LikeAnchor(Focusable));
c([
    e$F("a")
], TopNavItem.prototype, "anchor", 2), c([
    n$r({
        type: Boolean,
        reflect: !0
    })
], TopNavItem.prototype, "selected", 2);

defineElement("sp-top-nav-item", TopNavItem);

function _tagged_template_literal$1(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject$1() {
    var data = _tagged_template_literal$1([
        "\n    :host{--spectrum-tray-exit-animation-delay:0s;--spectrum-tray-entry-animation-delay:.16s;--spectrum-tray-max-inline-size:375px;--spectrum-tray-spacing-edge-to-tray-safe-zone:64px;--spectrum-tray-entry-animation-duration:var(--spectrum-animation-duration-500);--spectrum-tray-exit-animation-duration:var(--spectrum-animation-duration-100);--spectrum-tray-corner-radius:var(--spectrum-corner-radius-100);--spectrum-tray-background-color:var(--spectrum-background-layer-2-color);justify-content:center;inline-size:100%;display:flex;position:fixed;inset-block-end:0;inset-inline-start:0}.tray{--mod-modal-max-width:100%;max-block-size:calc(100vh - var(--mod-tray-spacing-edge-to-tray-safe-zone,var(--spectrum-tray-spacing-edge-to-tray-safe-zone)));box-sizing:border-box;border-radius:var(--mod-tray-corner-radius-portrait,0)var(--mod-tray-corner-radius-portrait,0)0 0;transition:opacity var(--mod-tray-exit-animation-duration,var(--spectrum-tray-exit-animation-duration))cubic-bezier(.5,0,1,1)var(--mod-tray-exit-animation-delay,var(--spectrum-tray-exit-animation-delay)),visibility var(--mod-tray-exit-animation-duration,var(--spectrum-tray-exit-animation-duration))linear calc(var(--mod-tray-exit-animation-delay,var(--spectrum-tray-exit-animation-delay)) + var(--mod-tray-exit-animation-duration,var(--spectrum-tray-exit-animation-duration))),transform var(--mod-tray-exit-animation-duration,var(--spectrum-tray-exit-animation-duration))cubic-bezier(.5,0,1,1)var(--mod-tray-exit-animation-delay,var(--spectrum-tray-exit-animation-delay));background-color:var(--highcontrast-tray-background-color,var(--mod-tray-background-color,var(--spectrum-tray-background-color)));outline:none;inline-size:100%;max-inline-size:100%;margin-block-start:var(--mod-tray-spacing-edge-to-tray-safe-zone,var(--spectrum-tray-spacing-edge-to-tray-safe-zone));padding-block-start:var(--mod-tray-top-to-content-area,var(--spectrum-tray-top-to-content-area));padding-block-end:var(--mod-tray-bottom-to-content-area,var(--spectrum-tray-top-to-content-area));overflow:auto;transform:translateY(100%)}:host([open]) .tray{transition:transform var(--mod-tray-entry-animation-duration,var(--spectrum-tray-entry-animation-duration))cubic-bezier(0,0,.4,1)var(--mod-tray-entry-animation-delay,var(--spectrum-tray-entry-animation-delay)),opacity var(--spectrum-tray-entry-animation-duration,var(--mod-tray-entry-animation-duration))cubic-bezier(0,0,.4,1)var(--mod-tray-entry-animation-delay,var(--spectrum-tray-entry-animation-delay));transform:translateY(0)}@media screen and (orientation:landscape){.tray{max-inline-size:var(--mod-tray-max-inline-size,var(--spectrum-tray-max-inline-size));border-start-start-radius:var(--mod-tray-corner-radius,var(--spectrum-tray-corner-radius));border-start-end-radius:var(--mod-tray-corner-radius,var(--spectrum-tray-corner-radius))}}@media (forced-colors:active){.tray{--highcontrast-tray-background-color:Canvas;border:solid}.tray ::slotted(*){border:none}}:host{align-items:flex-end;max-height:100dvh;position:fixed!important}sp-underlay{touch-action:none}.tray{overscroll-behavior:contain;display:inline-flex}::slotted(.visually-hidden){clip:rect(0,0,0,0);clip-path:inset(50%);white-space:nowrap;border:0;width:1px;height:1px;margin:0 -1px -1px 0;padding:0;position:absolute;overflow:hidden}\n"
    ]);
    _templateObject$1 = function _templateObject() {
        return data;
    };
    return data;
}
var r = i$p(_templateObject$1());
var y = r;

function _assert_this_initialized(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _async_to_generator(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _class_call_check(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    return Constructor;
}
function _get(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get = Reflect.get;
    } else {
        _get = function get(target, property, receiver) {
            var base = _super_prop_base(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver || target);
            }
            return desc.value;
        };
    }
    return _get(target, property, receiver || target);
}
function _get_prototype_of(o) {
    _get_prototype_of = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of(o);
}
function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of(subClass, superClass);
}
function _possible_constructor_return(self, call) {
    if (call && (_type_of(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized(self);
}
function _set_prototype_of(o, p) {
    _set_prototype_of = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of(o, p);
}
function _super_prop_base(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _get_prototype_of(object);
        if (object === null) break;
    }
    return object;
}
function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _type_of(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _is_native_reflect_construct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _create_super(Derived) {
    var hasNativeReflectConstruct = _is_native_reflect_construct();
    return function _createSuperInternal() {
        var Super = _get_prototype_of(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _get_prototype_of(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possible_constructor_return(this, result);
    };
}
function _ts_generator(thisArg, body) {
    var f, y, t, g, _ = {
        label: 0,
        sent: function() {
            if (t[0] & 1) throw t[1];
            return t[1];
        },
        trys: [],
        ops: []
    };
    return g = {
        next: verb(0),
        "throw": verb(1),
        "return": verb(2)
    }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
        return this;
    }), g;
    function verb(n) {
        return function(v) {
            return step([
                n,
                v
            ]);
        };
    }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while(_)try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [
                op[0] & 2,
                t.value
            ];
            switch(op[0]){
                case 0:
                case 1:
                    t = op;
                    break;
                case 4:
                    _.label++;
                    return {
                        value: op[1],
                        done: false
                    };
                case 5:
                    _.label++;
                    y = op[1];
                    op = [
                        0
                    ];
                    continue;
                case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                        _ = 0;
                        continue;
                    }
                    if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                        _.label = op[1];
                        break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                    }
                    if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
            }
            op = body.call(thisArg, _);
        } catch (e) {
            op = [
                6,
                e
            ];
            y = 0;
        } finally{
            f = t = 0;
        }
        if (op[0] & 5) throw op[1];
        return {
            value: op[0] ? op[1] : void 0,
            done: true
        };
    }
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n            <sp-underlay\n                ?open=",
        "\n                @close=",
        "\n                @transitionend=",
        '\n            ></sp-underlay>\n            <div\n                class="tray modal"\n                tabindex="-1"\n                @transitionend=',
        "\n            >\n                <slot></slot>\n            </div>\n        "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
var l = Object.defineProperty;
var p = Object.getOwnPropertyDescriptor;
var a = function(o, r, e, i) {
    for(var t = i > 1 ? void 0 : i ? p(r, e) : r, s = o.length - 1, n; s >= 0; s--)(n = o[s]) && (t = (i ? n(r, e, t) : n(t)) || t);
    return i && t && l(r, e, t), t;
};
var Tray = /*#__PURE__*/ function(m) {
    _inherits(Tray, m);
    var _super = _create_super(Tray);
    function Tray() {
        _class_call_check(this, Tray);
        var _this;
        _this = _super.call.apply(_super, [
            this
        ].concat(Array.prototype.slice.call(arguments)));
        _this.open = !1;
        _this.prefersMotion = new MatchMediaController(_assert_this_initialized(_this), "(prefers-reduced-motion: no-preference)");
        _this.transitionPromise = Promise.resolve();
        _this.animating = !1;
        return _this;
    }
    _create_class(Tray, [
        {
            key: "focus",
            value: function focus() {
                var e = firstFocusableIn(this);
                e ? e.focus() : this.children.length === 1 ? this.tray.focus() : _get(_get_prototype_of(Tray.prototype), "focus", this).call(this);
            }
        },
        {
            key: "overlayWillCloseCallback",
            value: function overlayWillCloseCallback() {
                return this.open ? (this.close(), !0) : this.animating;
            }
        },
        {
            key: "close",
            value: function close() {
                this.open = !1, this.prefersMotion.matches || this.dispatchClosed();
            }
        },
        {
            key: "dispatchClosed",
            value: function dispatchClosed() {
                this.dispatchEvent(new Event("close", {
                    bubbles: !0
                }));
            }
        },
        {
            key: "handleUnderlayTransitionend",
            value: function handleUnderlayTransitionend() {
                this.open || (this.resolveTransitionPromise(), this.dispatchClosed());
            }
        },
        {
            key: "handleTrayTransitionend",
            value: function handleTrayTransitionend() {
                this.open && this.resolveTransitionPromise();
            }
        },
        {
            key: "update",
            value: function update(e) {
                var _this = this;
                e.has("open") && e.get("open") !== void 0 && this.prefersMotion.matches && (this.animating = !0, this.transitionPromise = new Promise(function(i) {
                    _this.resolveTransitionPromise = function() {
                        _this.animating = !1, i();
                    };
                })), _get(_get_prototype_of(Tray.prototype), "update", this).call(this, e);
            }
        },
        {
            key: "render",
            value: function render() {
                return x$3(_templateObject(), this.open, this.close, this.handleUnderlayTransitionend, this.handleTrayTransitionend);
            }
        },
        {
            key: "getUpdateComplete",
            value: function getUpdateComplete() {
                var _this = this;
                var _this1 = this, _superprop_get_getUpdateComplete = function() {
                    return _get(_get_prototype_of(Tray.prototype), "getUpdateComplete", _this);
                };
                return _async_to_generator(function() {
                    var e;
                    return _ts_generator(this, function(_state) {
                        switch(_state.label){
                            case 0:
                                return [
                                    4,
                                    _superprop_get_getUpdateComplete().call(_this1)
                                ];
                            case 1:
                                e = _state.sent();
                                return [
                                    4,
                                    _this1.transitionPromise
                                ];
                            case 2:
                                return [
                                    2,
                                    (_state.sent(), e)
                                ];
                        }
                    });
                })();
            }
        }
    ], [
        {
            key: "styles",
            get: function get() {
                return [
                    v$8,
                    y
                ];
            }
        }
    ]);
    return Tray;
}(SpectrumElement);
a([
    n$r({
        type: Boolean,
        reflect: !0
    })
], Tray.prototype, "open", 2), a([
    e$F(".tray")
], Tray.prototype, "tray", 2);

defineElement("sp-tray", Tray);

var spTray = /*#__PURE__*/Object.freeze({
    __proto__: null
});
